(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports) :
  typeof define === 'function' && define.amd ? define(['exports'], factory) :
  (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global.wangEditor = {}));
})(this, (function (exports) { 'use strict';

  /**
   * @description browser polyfill
   * @author wangfupeng
   */
  // @ts-nocheck
  // 必须是浏览器环境
  if (typeof global === 'undefined') {
      // 检查 IE 浏览器
      if ('ActiveXObject' in window) {
          var info = '抱歉，wangEditor V5+ 版本开始，不在支持 IE 浏览器';
          info += '\n Sorry, wangEditor V5+ versions do not support IE browser.';
          console.error(info);
      }
      globalThisPolyfill();
      AggregateErrorPolyfill();
  }
  else if (global && global.navigator.userAgent.match('QQBrowser')) {
      // 兼容 QQ 浏览器 AggregateError 报错
      globalThisPolyfill();
      AggregateErrorPolyfill();
  }
  function globalThisPolyfill() {
      // 部分浏览器不支持 globalThis
      if (typeof globalThis === 'undefined') {
          // @ts-ignore
          window.globalThis = window;
      }
  }
  function AggregateErrorPolyfill() {
      if (typeof AggregateError === 'undefined') {
          window.AggregateError = function (errors, msg) {
              var err = new Error(msg);
              err.errors = errors;
              return err;
          };
      }
  }

  /**
   * @description node polyfill
   * @author wangfupeng
   */
  // @ts-nocheck
  // 必须是 node 环境
  if (typeof global === 'object') {
      // 用于 nodejs ，避免报错
      var globalProperty = Object.getOwnPropertyDescriptor(global, 'window');
      // global.window 为空则直接写入
      // 部分框架下已经定义了global.window且是不可写属性
      if (!global.window || globalProperty.set) {
          global.window = global;
          global.requestAnimationFrame = function () { };
          global.navigator = {
              userAgent: '',
          };
          global.location = {
              hostname: '0.0.0.0',
              port: 0,
              protocol: 'http:',
          };
          global.btoa = function () { };
      }
  }

  /*!
   * isobject <https://github.com/jonschlinkert/isobject>
   *
   * Copyright (c) 2014-2017, Jon Schlinkert.
   * Released under the MIT License.
   */

  function isObject$5(val) {
    return val != null && typeof val === 'object' && Array.isArray(val) === false;
  }

  /*!
   * is-plain-object <https://github.com/jonschlinkert/is-plain-object>
   *
   * Copyright (c) 2014-2017, Jon Schlinkert.
   * Released under the MIT License.
   */

  function isObjectObject(o) {
    return isObject$5(o) === true
      && Object.prototype.toString.call(o) === '[object Object]';
  }

  function isPlainObject(o) {
    var ctor,prot;

    if (isObjectObject(o) === false) return false;

    // If has modified constructor
    ctor = o.constructor;
    if (typeof ctor !== 'function') return false;

    // If has modified prototype
    prot = ctor.prototype;
    if (isObjectObject(prot) === false) return false;

    // If constructor does not have an Object-specific method
    if (prot.hasOwnProperty('isPrototypeOf') === false) {
      return false;
    }

    // Most likely a plain Object
    return true;
  }

  var commonjsGlobal = typeof globalThis !== 'undefined' ? globalThis : typeof window !== 'undefined' ? window : typeof global !== 'undefined' ? global : typeof self !== 'undefined' ? self : {};

  function createCommonjsModule(fn) {
    var module = { exports: {} };
  	return fn(module, module.exports), module.exports;
  }

  /*! https://mths.be/esrever v0.2.0 by @mathias */

  var esrever = createCommonjsModule(function (module, exports) {
  (function(root) {

  	// Detect free variables `exports`
  	var freeExports = exports;

  	// Detect free variable `module`
  	var freeModule = module &&
  		module.exports == freeExports && module;

  	// Detect free variable `global`, from Node.js or Browserified code,
  	// and use it as `root`
  	var freeGlobal = typeof commonjsGlobal == 'object' && commonjsGlobal;
  	if (freeGlobal.global === freeGlobal || freeGlobal.window === freeGlobal) {
  		root = freeGlobal;
  	}

  	/*--------------------------------------------------------------------------*/

  	var regexSymbolWithCombiningMarks = /([\0-\u02FF\u0370-\u1AAF\u1B00-\u1DBF\u1E00-\u20CF\u2100-\uD7FF\uE000-\uFE1F\uFE30-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF])([\u0300-\u036F\u1AB0-\u1AFF\u1DC0-\u1DFF\u20D0-\u20FF\uFE20-\uFE2F]+)/g;
  	var regexSurrogatePair = /([\uD800-\uDBFF])([\uDC00-\uDFFF])/g;

  	var reverse = function(string) {
  		// Step 1: deal with combining marks and astral symbols (surrogate pairs)
  		string = string
  			// Swap symbols with their combining marks so the combining marks go first
  			.replace(regexSymbolWithCombiningMarks, function($0, $1, $2) {
  				// Reverse the combining marks so they will end up in the same order
  				// later on (after another round of reversing)
  				return reverse($2) + $1;
  			})
  			// Swap high and low surrogates so the low surrogates go first
  			.replace(regexSurrogatePair, '$2$1');
  		// Step 2: reverse the code units in the string
  		var result = '';
  		var index = string.length;
  		while (index--) {
  			result += string.charAt(index);
  		}
  		return result;
  	};

  	/*--------------------------------------------------------------------------*/

  	var esrever = {
  		'version': '0.2.0',
  		'reverse': reverse
  	};

  	// Some AMD build optimizers, like r.js, check for specific condition patterns
  	// like the following:
  	if (freeExports && !freeExports.nodeType) {
  		if (freeModule) { // in Node.js, io.js, or RingoJS v0.8.0+
  			freeModule.exports = esrever;
  		} else { // in Narwhal or RingoJS v0.7.0-
  			for (var key in esrever) {
  				esrever.hasOwnProperty(key) && (freeExports[key] = esrever[key]);
  			}
  		}
  	} else { // in Rhino or a web browser
  		root.esrever = esrever;
  	}

  }(commonjsGlobal));
  });

  function n(n){for(var r=arguments.length,t=Array(r>1?r-1:0),e=1;e<r;e++)t[e-1]=arguments[e];{var i=Y$6[n],o=i?"function"==typeof i?i.apply(null,t):i:"unknown error nr: "+n;throw Error("[Immer] "+o)}}function r(n){return !!n&&!!n[Q$6]}function t(n){return !!n&&(function(n){if(!n||"object"!=typeof n)return !1;var r=Object.getPrototypeOf(n);if(null===r)return !0;var t=Object.hasOwnProperty.call(r,"constructor")&&r.constructor;return "function"==typeof t&&Function.toString.call(t)===Z$6}(n)||Array.isArray(n)||!!n[L$5]||!!n.constructor[L$5]||s$2(n)||v$3(n))}function i(n,r,t){void 0===t&&(t=!1),0===o$1(n)?(t?Object.keys:nn$7)(n).forEach((function(e){t&&"symbol"==typeof e||r(e,n[e],n);})):n.forEach((function(t,e){return r(e,t,n)}));}function o$1(n){var r=n[Q$6];return r?r.i>3?r.i-4:r.i:Array.isArray(n)?1:s$2(n)?2:v$3(n)?3:0}function u$1(n,r){return 2===o$1(n)?n.has(r):Object.prototype.hasOwnProperty.call(n,r)}function a$1(n,r){return 2===o$1(n)?n.get(r):n[r]}function f$3(n,r,t){var e=o$1(n);2===e?n.set(r,t):3===e?(n.delete(r),n.add(t)):n[r]=t;}function c$1(n,r){return n===r?0!==n||1/n==1/r:n!=n&&r!=r}function s$2(n){return X$6&&n instanceof Map}function v$3(n){return q$6&&n instanceof Set}function p$2(n){return n.o||n.t}function l$2(n){if(Array.isArray(n))return Array.prototype.slice.call(n);var r=rn$7(n);delete r[Q$6];for(var t=nn$7(r),e=0;e<t.length;e++){var i=t[e],o=r[i];!1===o.writable&&(o.writable=!0,o.configurable=!0),(o.get||o.set)&&(r[i]={configurable:!0,writable:!0,enumerable:o.enumerable,value:n[i]});}return Object.create(Object.getPrototypeOf(n),r)}function d$2(n,e){return void 0===e&&(e=!1),y$4(n)||r(n)||!t(n)?n:(o$1(n)>1&&(n.set=n.add=n.clear=n.delete=h$4),Object.freeze(n),e&&i(n,(function(n,r){return d$2(r,!0)}),!0),n)}function h$4(){n(2);}function y$4(n){return null==n||"object"!=typeof n||Object.isFrozen(n)}function b$4(r){var t=tn$7[r];return t||n(18,r),t}function _$6(){return U$6||n(0),U$6}function j$5(n,r){r&&(b$4("Patches"),n.u=[],n.s=[],n.v=r);}function g$4(n){O$5(n),n.p.forEach(S$4),n.p=null;}function O$5(n){n===U$6&&(U$6=n.l);}function w$4(n){return U$6={p:[],l:U$6,h:n,m:!0,_:0}}function S$4(n){var r=n[Q$6];0===r.i||1===r.i?r.j():r.g=!0;}function P$5(r,e){e._=e.p.length;var i=e.p[0],o=void 0!==r&&r!==i;return e.h.O||b$4("ES5").S(e,r,o),o?(i[Q$6].P&&(g$4(e),n(4)),t(r)&&(r=M$5(e,r),e.l||x$4(e,r)),e.u&&b$4("Patches").M(i[Q$6],r,e.u,e.s)):r=M$5(e,i,[]),g$4(e),e.u&&e.v(e.u,e.s),r!==H$5?r:void 0}function M$5(n,r,t){if(y$4(r))return r;var e=r[Q$6];if(!e)return i(r,(function(i,o){return A$5(n,e,r,i,o,t)}),!0),r;if(e.A!==n)return r;if(!e.P)return x$4(n,e.t,!0),e.t;if(!e.I){e.I=!0,e.A._--;var o=4===e.i||5===e.i?e.o=l$2(e.k):e.o;i(3===e.i?new Set(o):o,(function(r,i){return A$5(n,e,o,r,i,t)})),x$4(n,o,!1),t&&n.u&&b$4("Patches").R(e,t,n.u,n.s);}return e.o}function A$5(e,i,o,a,c,s){if(c===o&&n(5),r(c)){var v=M$5(e,c,s&&i&&3!==i.i&&!u$1(i.D,a)?s.concat(a):void 0);if(f$3(o,a,v),!r(v))return;e.m=!1;}if(t(c)&&!y$4(c)){if(!e.h.F&&e._<1)return;M$5(e,c),i&&i.A.l||x$4(e,c);}}function x$4(n,r,t){void 0===t&&(t=!1),n.h.F&&n.m&&d$2(r,t);}function z$5(n,r){var t=n[Q$6];return (t?p$2(t):n)[r]}function I$5(n,r){if(r in n)for(var t=Object.getPrototypeOf(n);t;){var e=Object.getOwnPropertyDescriptor(t,r);if(e)return e;t=Object.getPrototypeOf(t);}}function k$5(n){n.P||(n.P=!0,n.l&&k$5(n.l));}function E$5(n){n.o||(n.o=l$2(n.t));}function R$6(n,r,t){var e=s$2(r)?b$4("MapSet").N(r,t):v$3(r)?b$4("MapSet").T(r,t):n.O?function(n,r){var t=Array.isArray(n),e={i:t?1:0,A:r?r.A:_$6(),P:!1,I:!1,D:{},l:r,t:n,k:null,o:null,j:null,C:!1},i=e,o=en$7;t&&(i=[e],o=on$8);var u=Proxy.revocable(i,o),a=u.revoke,f=u.proxy;return e.k=f,e.j=a,f}(r,t):b$4("ES5").J(r,t);return (t?t.A:_$6()).p.push(e),e}function D$6(e){return r(e)||n(22,e),function n(r){if(!t(r))return r;var e,u=r[Q$6],c=o$1(r);if(u){if(!u.P&&(u.i<4||!b$4("ES5").K(u)))return u.t;u.I=!0,e=F$6(r,c),u.I=!1;}else e=F$6(r,c);return i(e,(function(r,t){u&&a$1(u.t,r)===t||f$3(e,r,n(t));})),3===c?new Set(e):e}(e)}function F$6(n,r){switch(r){case 2:return new Map(n);case 3:return Array.from(n)}return l$2(n)}var G$6,U$6,W$6="undefined"!=typeof Symbol&&"symbol"==typeof Symbol("x"),X$6="undefined"!=typeof Map,q$6="undefined"!=typeof Set,B$6="undefined"!=typeof Proxy&&void 0!==Proxy.revocable&&"undefined"!=typeof Reflect,H$5=W$6?Symbol.for("immer-nothing"):((G$6={})["immer-nothing"]=!0,G$6),L$5=W$6?Symbol.for("immer-draftable"):"__$immer_draftable",Q$6=W$6?Symbol.for("immer-state"):"__$immer_state",Y$6={0:"Illegal state",1:"Immer drafts cannot have computed properties",2:"This object has been frozen and should not be mutated",3:function(n){return "Cannot use a proxy that has been revoked. Did you pass an object from inside an immer function to an async process? "+n},4:"An immer producer returned a new value *and* modified its draft. Either return a new value *or* modify the draft.",5:"Immer forbids circular references",6:"The first or second argument to `produce` must be a function",7:"The third argument to `produce` must be a function or undefined",8:"First argument to `createDraft` must be a plain object, an array, or an immerable object",9:"First argument to `finishDraft` must be a draft returned by `createDraft`",10:"The given draft is already finalized",11:"Object.defineProperty() cannot be used on an Immer draft",12:"Object.setPrototypeOf() cannot be used on an Immer draft",13:"Immer only supports deleting array indices",14:"Immer only supports setting array indices and the 'length' property",15:function(n){return "Cannot apply patch, path doesn't resolve: "+n},16:'Sets cannot have "replace" patches.',17:function(n){return "Unsupported patch operation: "+n},18:function(n){return "The plugin for '"+n+"' has not been loaded into Immer. To enable the plugin, import and call `enable"+n+"()` when initializing your application."},20:"Cannot use proxies if Proxy, Proxy.revocable or Reflect are not available",21:function(n){return "produce can only be called on things that are draftable: plain objects, arrays, Map, Set or classes that are marked with '[immerable]: true'. Got '"+n+"'"},22:function(n){return "'current' expects a draft, got: "+n},23:function(n){return "'original' expects a draft, got: "+n},24:"Patching reserved attributes like __proto__, prototype and constructor is not allowed"},Z$6=""+Object.prototype.constructor,nn$7="undefined"!=typeof Reflect&&Reflect.ownKeys?Reflect.ownKeys:void 0!==Object.getOwnPropertySymbols?function(n){return Object.getOwnPropertyNames(n).concat(Object.getOwnPropertySymbols(n))}:Object.getOwnPropertyNames,rn$7=Object.getOwnPropertyDescriptors||function(n){var r={};return nn$7(n).forEach((function(t){r[t]=Object.getOwnPropertyDescriptor(n,t);})),r},tn$7={},en$7={get:function(n,r){if(r===Q$6)return n;var e=p$2(n);if(!u$1(e,r))return function(n,r,t){var e,i=I$5(r,t);return i?"value"in i?i.value:null===(e=i.get)||void 0===e?void 0:e.call(n.k):void 0}(n,e,r);var i=e[r];return n.I||!t(i)?i:i===z$5(n.t,r)?(E$5(n),n.o[r]=R$6(n.A.h,i,n)):i},has:function(n,r){return r in p$2(n)},ownKeys:function(n){return Reflect.ownKeys(p$2(n))},set:function(n,r,t){var e=I$5(p$2(n),r);if(null==e?void 0:e.set)return e.set.call(n.k,t),!0;if(!n.P){var i=z$5(p$2(n),r),o=null==i?void 0:i[Q$6];if(o&&o.t===t)return n.o[r]=t,n.D[r]=!1,!0;if(c$1(t,i)&&(void 0!==t||u$1(n.t,r)))return !0;E$5(n),k$5(n);}return n.o[r]===t&&"number"!=typeof t||(n.o[r]=t,n.D[r]=!0,!0)},deleteProperty:function(n,r){return void 0!==z$5(n.t,r)||r in n.t?(n.D[r]=!1,E$5(n),k$5(n)):delete n.D[r],n.o&&delete n.o[r],!0},getOwnPropertyDescriptor:function(n,r){var t=p$2(n),e=Reflect.getOwnPropertyDescriptor(t,r);return e?{writable:!0,configurable:1!==n.i||"length"!==r,enumerable:e.enumerable,value:t[r]}:e},defineProperty:function(){n(11);},getPrototypeOf:function(n){return Object.getPrototypeOf(n.t)},setPrototypeOf:function(){n(12);}},on$8={};i(en$7,(function(n,r){on$8[n]=function(){return arguments[0]=arguments[0][0],r.apply(this,arguments)};})),on$8.deleteProperty=function(r,t){return isNaN(parseInt(t))&&n(13),en$7.deleteProperty.call(this,r[0],t)},on$8.set=function(r,t,e){return "length"!==t&&isNaN(parseInt(t))&&n(14),en$7.set.call(this,r[0],t,e,r[0])};var un$7=function(){function e(r){var e=this;this.O=B$6,this.F=!0,this.produce=function(r,i,o){if("function"==typeof r&&"function"!=typeof i){var u=i;i=r;var a=e;return function(n){var r=this;void 0===n&&(n=u);for(var t=arguments.length,e=Array(t>1?t-1:0),o=1;o<t;o++)e[o-1]=arguments[o];return a.produce(n,(function(n){var t;return (t=i).call.apply(t,[r,n].concat(e))}))}}var f;if("function"!=typeof i&&n(6),void 0!==o&&"function"!=typeof o&&n(7),t(r)){var c=w$4(e),s=R$6(e,r,void 0),v=!0;try{f=i(s),v=!1;}finally{v?g$4(c):O$5(c);}return "undefined"!=typeof Promise&&f instanceof Promise?f.then((function(n){return j$5(c,o),P$5(n,c)}),(function(n){throw g$4(c),n})):(j$5(c,o),P$5(f,c))}if(!r||"object"!=typeof r){if((f=i(r))===H$5)return;return void 0===f&&(f=r),e.F&&d$2(f,!0),f}n(21,r);},this.produceWithPatches=function(n,r){return "function"==typeof n?function(r){for(var t=arguments.length,i=Array(t>1?t-1:0),o=1;o<t;o++)i[o-1]=arguments[o];return e.produceWithPatches(r,(function(r){return n.apply(void 0,[r].concat(i))}))}:[e.produce(n,r,(function(n,r){t=n,i=r;})),t,i];var t,i;},"boolean"==typeof(null==r?void 0:r.useProxies)&&this.setUseProxies(r.useProxies),"boolean"==typeof(null==r?void 0:r.autoFreeze)&&this.setAutoFreeze(r.autoFreeze);}var i=e.prototype;return i.createDraft=function(e){t(e)||n(8),r(e)&&(e=D$6(e));var i=w$4(this),o=R$6(this,e,void 0);return o[Q$6].C=!0,O$5(i),o},i.finishDraft=function(r,t){var e=r&&r[Q$6];(e&&e.C||n(9),e.I&&n(10));var i=e.A;return j$5(i,t),P$5(void 0,i)},i.setAutoFreeze=function(n){this.F=n;},i.setUseProxies=function(r){r&&!B$6&&n(20),this.O=r;},i.applyPatches=function(n,t){var e;for(e=t.length-1;e>=0;e--){var i=t[e];if(0===i.path.length&&"replace"===i.op){n=i.value;break}}var o=b$4("Patches").$;return r(n)?o(n,t):this.produce(n,(function(n){return o(n,t.slice(e+1))}))},e}(),an$7=new un$7,fn$7=an$7.produce;an$7.produceWithPatches.bind(an$7);an$7.setAutoFreeze.bind(an$7);an$7.setUseProxies.bind(an$7);an$7.applyPatches.bind(an$7);var ln$7=an$7.createDraft.bind(an$7),dn$7=an$7.finishDraft.bind(an$7);

  // do not edit .js files directly - edit src/index.jst



  var fastDeepEqual = function equal(a, b) {
    if (a === b) return true;

    if (a && b && typeof a == 'object' && typeof b == 'object') {
      if (a.constructor !== b.constructor) return false;

      var length, i, keys;
      if (Array.isArray(a)) {
        length = a.length;
        if (length != b.length) return false;
        for (i = length; i-- !== 0;)
          if (!equal(a[i], b[i])) return false;
        return true;
      }



      if (a.constructor === RegExp) return a.source === b.source && a.flags === b.flags;
      if (a.valueOf !== Object.prototype.valueOf) return a.valueOf() === b.valueOf();
      if (a.toString !== Object.prototype.toString) return a.toString() === b.toString();

      keys = Object.keys(a);
      length = keys.length;
      if (length !== Object.keys(b).length) return false;

      for (i = length; i-- !== 0;)
        if (!Object.prototype.hasOwnProperty.call(b, keys[i])) return false;

      for (i = length; i-- !== 0;) {
        var key = keys[i];

        if (!equal(a[key], b[key])) return false;
      }

      return true;
    }

    // true if both NaN, false otherwise
    return a!==a && b!==b;
  };

  var isEqual = fastDeepEqual;

  function _defineProperty(obj, key, value) {
    if (key in obj) {
      Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
      });
    } else {
      obj[key] = value;
    }

    return obj;
  }

  var DIRTY_PATHS = new WeakMap();
  var FLUSHING = new WeakMap();
  var NORMALIZING = new WeakMap();
  var PATH_REFS = new WeakMap();
  var POINT_REFS = new WeakMap();
  var RANGE_REFS = new WeakMap();

  function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

  function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }
  /**
   * Create a new Slate `Editor` object.
   */

  var createEditor$1 = () => {
    var editor = {
      children: [],
      operations: [],
      selection: null,
      marks: null,
      isInline: () => false,
      isVoid: () => false,
      onChange: () => {},
      apply: op => {
        for (var ref of Editor.pathRefs(editor)) {
          PathRef.transform(ref, op);
        }

        for (var _ref of Editor.pointRefs(editor)) {
          PointRef.transform(_ref, op);
        }

        for (var _ref2 of Editor.rangeRefs(editor)) {
          RangeRef.transform(_ref2, op);
        }

        var set = new Set();
        var dirtyPaths = [];

        var add = path => {
          if (path) {
            var key = path.join(',');

            if (!set.has(key)) {
              set.add(key);
              dirtyPaths.push(path);
            }
          }
        };

        var oldDirtyPaths = DIRTY_PATHS.get(editor) || [];
        var newDirtyPaths = getDirtyPaths(op);

        for (var path of oldDirtyPaths) {
          var newPath = Path.transform(path, op);
          add(newPath);
        }

        for (var _path of newDirtyPaths) {
          add(_path);
        }

        DIRTY_PATHS.set(editor, dirtyPaths);
        Transforms.transform(editor, op);
        editor.operations.push(op);
        Editor.normalize(editor); // Clear any formats applied to the cursor if the selection changes.

        if (op.type === 'set_selection') {
          editor.marks = null;
        }

        if (!FLUSHING.get(editor)) {
          FLUSHING.set(editor, true);
          Promise.resolve().then(() => {
            FLUSHING.set(editor, false);
            editor.onChange();
            editor.operations = [];
          });
        }
      },
      addMark: (key, value) => {
        var {
          selection
        } = editor;

        if (selection) {
          if (Range.isExpanded(selection)) {
            Transforms.setNodes(editor, {
              [key]: value
            }, {
              match: Text.isText,
              split: true
            });
          } else {
            var marks = _objectSpread(_objectSpread({}, Editor.marks(editor) || {}), {}, {
              [key]: value
            });

            editor.marks = marks;

            if (!FLUSHING.get(editor)) {
              editor.onChange();
            }
          }
        }
      },
      deleteBackward: unit => {
        var {
          selection
        } = editor;

        if (selection && Range.isCollapsed(selection)) {
          Transforms.delete(editor, {
            unit,
            reverse: true
          });
        }
      },
      deleteForward: unit => {
        var {
          selection
        } = editor;

        if (selection && Range.isCollapsed(selection)) {
          Transforms.delete(editor, {
            unit
          });
        }
      },
      deleteFragment: direction => {
        var {
          selection
        } = editor;

        if (selection && Range.isExpanded(selection)) {
          Transforms.delete(editor, {
            reverse: direction === 'backward'
          });
        }
      },
      getFragment: () => {
        var {
          selection
        } = editor;

        if (selection) {
          return Node$1.fragment(editor, selection);
        }

        return [];
      },
      insertBreak: () => {
        Transforms.splitNodes(editor, {
          always: true
        });
      },
      insertFragment: fragment => {
        Transforms.insertFragment(editor, fragment);
      },
      insertNode: node => {
        Transforms.insertNodes(editor, node);
      },
      insertText: text => {
        var {
          selection,
          marks
        } = editor;

        if (selection) {
          // If the cursor is at the end of an inline, move it outside of
          // the inline before inserting
          if (Range.isCollapsed(selection)) {
            var inline = Editor.above(editor, {
              match: n => Editor.isInline(editor, n),
              mode: 'highest'
            });

            if (inline) {
              var [, inlinePath] = inline;

              if (Editor.isEnd(editor, selection.anchor, inlinePath)) {
                var point = Editor.after(editor, inlinePath);
                Transforms.setSelection(editor, {
                  anchor: point,
                  focus: point
                });
              }
            }
          }

          if (marks) {
            var node = _objectSpread({
              text
            }, marks);

            Transforms.insertNodes(editor, node);
          } else {
            Transforms.insertText(editor, text);
          }

          editor.marks = null;
        }
      },
      normalizeNode: entry => {
        var [node, path] = entry; // There are no core normalizations for text nodes.

        if (Text.isText(node)) {
          return;
        } // Ensure that block and inline nodes have at least one text child.


        if (Element$1.isElement(node) && node.children.length === 0) {
          var child = {
            text: ''
          };
          Transforms.insertNodes(editor, child, {
            at: path.concat(0),
            voids: true
          });
          return;
        } // Determine whether the node should have block or inline children.


        var shouldHaveInlines = Editor.isEditor(node) ? false : Element$1.isElement(node) && (editor.isInline(node) || node.children.length === 0 || Text.isText(node.children[0]) || editor.isInline(node.children[0])); // Since we'll be applying operations while iterating, keep track of an
        // index that accounts for any added/removed nodes.

        var n = 0;

        for (var i = 0; i < node.children.length; i++, n++) {
          var currentNode = Node$1.get(editor, path);
          if (Text.isText(currentNode)) continue;
          var _child = node.children[i];
          var prev = currentNode.children[n - 1];
          var isLast = i === node.children.length - 1;
          var isInlineOrText = Text.isText(_child) || Element$1.isElement(_child) && editor.isInline(_child); // Only allow block nodes in the top-level children and parent blocks
          // that only contain block nodes. Similarly, only allow inline nodes in
          // other inline nodes, or parent blocks that only contain inlines and
          // text.

          if (isInlineOrText !== shouldHaveInlines) {
            Transforms.removeNodes(editor, {
              at: path.concat(n),
              voids: true
            });
            n--;
          } else if (Element$1.isElement(_child)) {
            // Ensure that inline nodes are surrounded by text nodes.
            if (editor.isInline(_child)) {
              if (prev == null || !Text.isText(prev)) {
                var newChild = {
                  text: ''
                };
                Transforms.insertNodes(editor, newChild, {
                  at: path.concat(n),
                  voids: true
                });
                n++;
              } else if (isLast) {
                var _newChild = {
                  text: ''
                };
                Transforms.insertNodes(editor, _newChild, {
                  at: path.concat(n + 1),
                  voids: true
                });
                n++;
              }
            }
          } else {
            // Merge adjacent text nodes that are empty or match.
            if (prev != null && Text.isText(prev)) {
              if (Text.equals(_child, prev, {
                loose: true
              })) {
                Transforms.mergeNodes(editor, {
                  at: path.concat(n),
                  voids: true
                });
                n--;
              } else if (prev.text === '') {
                Transforms.removeNodes(editor, {
                  at: path.concat(n - 1),
                  voids: true
                });
                n--;
              } else if (isLast && _child.text === '') {
                Transforms.removeNodes(editor, {
                  at: path.concat(n),
                  voids: true
                });
                n--;
              }
            }
          }
        }
      },
      removeMark: key => {
        var {
          selection
        } = editor;

        if (selection) {
          if (Range.isExpanded(selection)) {
            Transforms.unsetNodes(editor, key, {
              match: Text.isText,
              split: true
            });
          } else {
            var marks = _objectSpread({}, Editor.marks(editor) || {});

            delete marks[key];
            editor.marks = marks;

            if (!FLUSHING.get(editor)) {
              editor.onChange();
            }
          }
        }
      }
    };
    return editor;
  };
  /**
   * Get the "dirty" paths generated from an operation.
   */

  var getDirtyPaths = op => {
    switch (op.type) {
      case 'insert_text':
      case 'remove_text':
      case 'set_node':
        {
          var {
            path
          } = op;
          return Path.levels(path);
        }

      case 'insert_node':
        {
          var {
            node,
            path: _path2
          } = op;
          var levels = Path.levels(_path2);
          var descendants = Text.isText(node) ? [] : Array.from(Node$1.nodes(node), (_ref3) => {
            var [, p] = _ref3;
            return _path2.concat(p);
          });
          return [...levels, ...descendants];
        }

      case 'merge_node':
        {
          var {
            path: _path3
          } = op;
          var ancestors = Path.ancestors(_path3);
          var previousPath = Path.previous(_path3);
          return [...ancestors, previousPath];
        }

      case 'move_node':
        {
          var {
            path: _path4,
            newPath
          } = op;

          if (Path.equals(_path4, newPath)) {
            return [];
          }

          var oldAncestors = [];
          var newAncestors = [];

          for (var ancestor of Path.ancestors(_path4)) {
            var p = Path.transform(ancestor, op);
            oldAncestors.push(p);
          }

          for (var _ancestor of Path.ancestors(newPath)) {
            var _p = Path.transform(_ancestor, op);

            newAncestors.push(_p);
          }

          var newParent = newAncestors[newAncestors.length - 1];
          var newIndex = newPath[newPath.length - 1];
          var resultPath = newParent.concat(newIndex);
          return [...oldAncestors, ...newAncestors, resultPath];
        }

      case 'remove_node':
        {
          var {
            path: _path5
          } = op;

          var _ancestors = Path.ancestors(_path5);

          return [..._ancestors];
        }

      case 'split_node':
        {
          var {
            path: _path6
          } = op;

          var _levels = Path.levels(_path6);

          var nextPath = Path.next(_path6);
          return [..._levels, nextPath];
        }

      default:
        {
          return [];
        }
    }
  };

  function _objectWithoutPropertiesLoose(source, excluded) {
    if (source == null) return {};
    var target = {};
    var sourceKeys = Object.keys(source);
    var key, i;

    for (i = 0; i < sourceKeys.length; i++) {
      key = sourceKeys[i];
      if (excluded.indexOf(key) >= 0) continue;
      target[key] = source[key];
    }

    return target;
  }

  function _objectWithoutProperties(source, excluded) {
    if (source == null) return {};
    var target = _objectWithoutPropertiesLoose(source, excluded);
    var key, i;

    if (Object.getOwnPropertySymbols) {
      var sourceSymbolKeys = Object.getOwnPropertySymbols(source);

      for (i = 0; i < sourceSymbolKeys.length; i++) {
        key = sourceSymbolKeys[i];
        if (excluded.indexOf(key) >= 0) continue;
        if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
        target[key] = source[key];
      }
    }

    return target;
  }

  /**
   * Constants for string distance checking.
   */
  var SPACE = /\s/;
  var PUNCTUATION = /[\u0021-\u0023\u0025-\u002A\u002C-\u002F\u003A\u003B\u003F\u0040\u005B-\u005D\u005F\u007B\u007D\u00A1\u00A7\u00AB\u00B6\u00B7\u00BB\u00BF\u037E\u0387\u055A-\u055F\u0589\u058A\u05BE\u05C0\u05C3\u05C6\u05F3\u05F4\u0609\u060A\u060C\u060D\u061B\u061E\u061F\u066A-\u066D\u06D4\u0700-\u070D\u07F7-\u07F9\u0830-\u083E\u085E\u0964\u0965\u0970\u0AF0\u0DF4\u0E4F\u0E5A\u0E5B\u0F04-\u0F12\u0F14\u0F3A-\u0F3D\u0F85\u0FD0-\u0FD4\u0FD9\u0FDA\u104A-\u104F\u10FB\u1360-\u1368\u1400\u166D\u166E\u169B\u169C\u16EB-\u16ED\u1735\u1736\u17D4-\u17D6\u17D8-\u17DA\u1800-\u180A\u1944\u1945\u1A1E\u1A1F\u1AA0-\u1AA6\u1AA8-\u1AAD\u1B5A-\u1B60\u1BFC-\u1BFF\u1C3B-\u1C3F\u1C7E\u1C7F\u1CC0-\u1CC7\u1CD3\u2010-\u2027\u2030-\u2043\u2045-\u2051\u2053-\u205E\u207D\u207E\u208D\u208E\u2329\u232A\u2768-\u2775\u27C5\u27C6\u27E6-\u27EF\u2983-\u2998\u29D8-\u29DB\u29FC\u29FD\u2CF9-\u2CFC\u2CFE\u2CFF\u2D70\u2E00-\u2E2E\u2E30-\u2E3B\u3001-\u3003\u3008-\u3011\u3014-\u301F\u3030\u303D\u30A0\u30FB\uA4FE\uA4FF\uA60D-\uA60F\uA673\uA67E\uA6F2-\uA6F7\uA874-\uA877\uA8CE\uA8CF\uA8F8-\uA8FA\uA92E\uA92F\uA95F\uA9C1-\uA9CD\uA9DE\uA9DF\uAA5C-\uAA5F\uAADE\uAADF\uAAF0\uAAF1\uABEB\uFD3E\uFD3F\uFE10-\uFE19\uFE30-\uFE52\uFE54-\uFE61\uFE63\uFE68\uFE6A\uFE6B\uFF01-\uFF03\uFF05-\uFF0A\uFF0C-\uFF0F\uFF1A\uFF1B\uFF1F\uFF20\uFF3B-\uFF3D\uFF3F\uFF5B\uFF5D\uFF5F-\uFF65]/;
  var CHAMELEON = /['\u2018\u2019]/;
  var SURROGATE_START = 0xd800;
  var SURROGATE_END = 0xdfff;
  var ZERO_WIDTH_JOINER = 0x200d;
  /**
   * Get the distance to the end of the first character in a string of text.
   */

  var getCharacterDistance = text => {
    var offset = 0; // prev types:
    // SURR: surrogate pair
    // MOD: modifier (technically also surrogate pair)
    // ZWJ: zero width joiner
    // VAR: variation selector
    // BMP: sequenceable character from basic multilingual plane

    var prev = null;
    var charCode = text.charCodeAt(0);

    while (charCode) {
      if (isSurrogate(charCode)) {
        var modifier = isModifier(charCode, text, offset); // Early returns are the heart of this function, where we decide if previous and current
        // codepoints should form a single character (in terms of how many of them should selection
        // jump over).

        if (prev === 'SURR' || prev === 'BMP') {
          break;
        }

        offset += 2;
        prev = modifier ? 'MOD' : 'SURR';
        charCode = text.charCodeAt(offset); // Absolutely fine to `continue` without any checks because if `charCode` is NaN (which
        // is the case when out of `text` range), next `while` loop won"t execute and we"re done.

        continue;
      }

      if (charCode === ZERO_WIDTH_JOINER) {
        offset += 1;
        prev = 'ZWJ';
        charCode = text.charCodeAt(offset);
        continue;
      }

      if (isBMPEmoji(charCode)) {
        if (prev && prev !== 'ZWJ' && prev !== 'VAR') {
          break;
        }

        offset += 1;
        prev = 'BMP';
        charCode = text.charCodeAt(offset);
        continue;
      }

      if (isVariationSelector(charCode)) {
        if (prev && prev !== 'ZWJ') {
          break;
        }

        offset += 1;
        prev = 'VAR';
        charCode = text.charCodeAt(offset);
        continue;
      } // Modifier 'groups up' with what ever character is before that (even whitespace), need to
      // look ahead.


      if (prev === 'MOD') {
        offset += 1;
        break;
      } // If while loop ever gets here, we're done (e.g latin chars).


      break;
    }

    return offset || 1;
  };
  /**
   * Get the distance to the end of the first word in a string of text.
   */

  var getWordDistance = text => {
    var length = 0;
    var i = 0;
    var started = false;
    var char;

    while (char = text.charAt(i)) {
      var l = getCharacterDistance(char);
      char = text.slice(i, i + l);
      var rest = text.slice(i + l);

      if (isWordCharacter(char, rest)) {
        started = true;
        length += l;
      } else if (!started) {
        length += l;
      } else {
        break;
      }

      i += l;
    }

    return length;
  };
  /**
   * Check if a character is a word character. The `remaining` argument is used
   * because sometimes you must read subsequent characters to truly determine it.
   */

  var isWordCharacter = (char, remaining) => {
    if (SPACE.test(char)) {
      return false;
    } // Chameleons count as word characters as long as they're in a word, so
    // recurse to see if the next one is a word character or not.


    if (CHAMELEON.test(char)) {
      var next = remaining.charAt(0);
      var length = getCharacterDistance(next);
      next = remaining.slice(0, length);
      var rest = remaining.slice(length);

      if (isWordCharacter(next, rest)) {
        return true;
      }
    }

    if (PUNCTUATION.test(char)) {
      return false;
    }

    return true;
  };
  /**
   * Determines if `code` is a surrogate
   */


  var isSurrogate = code => SURROGATE_START <= code && code <= SURROGATE_END;
  /**
   * Does `code` form Modifier with next one.
   *
   * https://emojipedia.org/modifiers/
   */


  var isModifier = (code, text, offset) => {
    if (code === 0xd83c) {
      var next = text.charCodeAt(offset + 1);
      return next <= 0xdfff && next >= 0xdffb;
    }

    return false;
  };
  /**
   * Is `code` a Variation Selector.
   *
   * https://codepoints.net/variation_selectors
   */


  var isVariationSelector = code => {
    return code <= 0xfe0f && code >= 0xfe00;
  };
  /**
   * Is `code` one of the BMP codes used in emoji sequences.
   *
   * https://emojipedia.org/emoji-zwj-sequences/
   */


  var isBMPEmoji = code => {
    // This requires tiny bit of maintanance, better ideas?
    // Fortunately it only happens if new Unicode Standard
    // is released. Fails gracefully if upkeep lags behind,
    // same way Slate previously behaved with all emojis.
    return code === 0x2764 || // heart (❤)
    code === 0x2642 || // male (♂)
    code === 0x2640 || // female (♀)
    code === 0x2620 || // scull (☠)
    code === 0x2695 || // medical (⚕)
    code === 0x2708 || // plane (✈️)
    code === 0x25ef // large circle (◯)
    ;
  };

  var Element$1 = {
    /**
     * Check if a value implements the 'Ancestor' interface.
     */
    isAncestor(value) {
      return isPlainObject(value) && Node$1.isNodeList(value.children);
    },

    /**
     * Check if a value implements the `Element` interface.
     */
    isElement(value) {
      return isPlainObject(value) && Node$1.isNodeList(value.children) && !Editor.isEditor(value);
    },

    /**
     * Check if a value is an array of `Element` objects.
     */
    isElementList(value) {
      return Array.isArray(value) && value.every(val => Element$1.isElement(val));
    },

    /**
     * Check if a set of props is a partial of Element.
     */
    isElementProps(props) {
      return props.children !== undefined;
    },

    /**
     * Check if an element matches set of properties.
     *
     * Note: this checks custom properties, and it does not ensure that any
     * children are equivalent.
     */
    matches(element, props) {
      for (var key in props) {
        if (key === 'children') {
          continue;
        }

        if (element[key] !== props[key]) {
          return false;
        }
      }

      return true;
    }

  };

  function ownKeys$1(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

  function _objectSpread$1(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys$1(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys$1(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }
  var IS_EDITOR_CACHE = new WeakMap();
  var Editor = {
    /**
     * Get the ancestor above a location in the document.
     */
    above(editor) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
      var {
        voids = false,
        mode = 'lowest',
        at = editor.selection,
        match
      } = options;

      if (!at) {
        return;
      }

      var path = Editor.path(editor, at);
      var reverse = mode === 'lowest';

      for (var [n, p] of Editor.levels(editor, {
        at: path,
        voids,
        match,
        reverse
      })) {
        if (!Text.isText(n) && !Path.equals(path, p)) {
          return [n, p];
        }
      }
    },

    /**
     * Add a custom property to the leaf text nodes in the current selection.
     *
     * If the selection is currently collapsed, the marks will be added to the
     * `editor.marks` property instead, and applied when text is inserted next.
     */
    addMark(editor, key, value) {
      editor.addMark(key, value);
    },

    /**
     * Get the point after a location.
     */
    after(editor, at) {
      var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
      var anchor = Editor.point(editor, at, {
        edge: 'end'
      });
      var focus = Editor.end(editor, []);
      var range = {
        anchor,
        focus
      };
      var {
        distance = 1
      } = options;
      var d = 0;
      var target;

      for (var p of Editor.positions(editor, _objectSpread$1(_objectSpread$1({}, options), {}, {
        at: range
      }))) {
        if (d > distance) {
          break;
        }

        if (d !== 0) {
          target = p;
        }

        d++;
      }

      return target;
    },

    /**
     * Get the point before a location.
     */
    before(editor, at) {
      var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
      var anchor = Editor.start(editor, []);
      var focus = Editor.point(editor, at, {
        edge: 'start'
      });
      var range = {
        anchor,
        focus
      };
      var {
        distance = 1
      } = options;
      var d = 0;
      var target;

      for (var p of Editor.positions(editor, _objectSpread$1(_objectSpread$1({}, options), {}, {
        at: range,
        reverse: true
      }))) {
        if (d > distance) {
          break;
        }

        if (d !== 0) {
          target = p;
        }

        d++;
      }

      return target;
    },

    /**
     * Delete content in the editor backward from the current selection.
     */
    deleteBackward(editor) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
      var {
        unit = 'character'
      } = options;
      editor.deleteBackward(unit);
    },

    /**
     * Delete content in the editor forward from the current selection.
     */
    deleteForward(editor) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
      var {
        unit = 'character'
      } = options;
      editor.deleteForward(unit);
    },

    /**
     * Delete the content in the current selection.
     */
    deleteFragment(editor) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
      var {
        direction = 'forward'
      } = options;
      editor.deleteFragment(direction);
    },

    /**
     * Get the start and end points of a location.
     */
    edges(editor, at) {
      return [Editor.start(editor, at), Editor.end(editor, at)];
    },

    /**
     * Get the end point of a location.
     */
    end(editor, at) {
      return Editor.point(editor, at, {
        edge: 'end'
      });
    },

    /**
     * Get the first node at a location.
     */
    first(editor, at) {
      var path = Editor.path(editor, at, {
        edge: 'start'
      });
      return Editor.node(editor, path);
    },

    /**
     * Get the fragment at a location.
     */
    fragment(editor, at) {
      var range = Editor.range(editor, at);
      var fragment = Node$1.fragment(editor, range);
      return fragment;
    },

    /**
     * Check if a node has block children.
     */
    hasBlocks(editor, element) {
      return element.children.some(n => Editor.isBlock(editor, n));
    },

    /**
     * Check if a node has inline and text children.
     */
    hasInlines(editor, element) {
      return element.children.some(n => Text.isText(n) || Editor.isInline(editor, n));
    },

    /**
     * Check if a node has text children.
     */
    hasTexts(editor, element) {
      return element.children.every(n => Text.isText(n));
    },

    /**
     * Insert a block break at the current selection.
     *
     * If the selection is currently expanded, it will be deleted first.
     */
    insertBreak(editor) {
      editor.insertBreak();
    },

    /**
     * Insert a fragment at the current selection.
     *
     * If the selection is currently expanded, it will be deleted first.
     */
    insertFragment(editor, fragment) {
      editor.insertFragment(fragment);
    },

    /**
     * Insert a node at the current selection.
     *
     * If the selection is currently expanded, it will be deleted first.
     */
    insertNode(editor, node) {
      editor.insertNode(node);
    },

    /**
     * Insert text at the current selection.
     *
     * If the selection is currently expanded, it will be deleted first.
     */
    insertText(editor, text) {
      editor.insertText(text);
    },

    /**
     * Check if a value is a block `Element` object.
     */
    isBlock(editor, value) {
      return Element$1.isElement(value) && !editor.isInline(value);
    },

    /**
     * Check if a value is an `Editor` object.
     */
    isEditor(value) {
      if (!isPlainObject(value)) return false;
      var cachedIsEditor = IS_EDITOR_CACHE.get(value);

      if (cachedIsEditor !== undefined) {
        return cachedIsEditor;
      }

      var isEditor = typeof value.addMark === 'function' && typeof value.apply === 'function' && typeof value.deleteBackward === 'function' && typeof value.deleteForward === 'function' && typeof value.deleteFragment === 'function' && typeof value.insertBreak === 'function' && typeof value.insertFragment === 'function' && typeof value.insertNode === 'function' && typeof value.insertText === 'function' && typeof value.isInline === 'function' && typeof value.isVoid === 'function' && typeof value.normalizeNode === 'function' && typeof value.onChange === 'function' && typeof value.removeMark === 'function' && (value.marks === null || isPlainObject(value.marks)) && (value.selection === null || Range.isRange(value.selection)) && Node$1.isNodeList(value.children) && Operation.isOperationList(value.operations);
      IS_EDITOR_CACHE.set(value, isEditor);
      return isEditor;
    },

    /**
     * Check if a point is the end point of a location.
     */
    isEnd(editor, point, at) {
      var end = Editor.end(editor, at);
      return Point.equals(point, end);
    },

    /**
     * Check if a point is an edge of a location.
     */
    isEdge(editor, point, at) {
      return Editor.isStart(editor, point, at) || Editor.isEnd(editor, point, at);
    },

    /**
     * Check if an element is empty, accounting for void nodes.
     */
    isEmpty(editor, element) {
      var {
        children
      } = element;
      var [first] = children;
      return children.length === 0 || children.length === 1 && Text.isText(first) && first.text === '' && !editor.isVoid(element);
    },

    /**
     * Check if a value is an inline `Element` object.
     */
    isInline(editor, value) {
      return Element$1.isElement(value) && editor.isInline(value);
    },

    /**
     * Check if the editor is currently normalizing after each operation.
     */
    isNormalizing(editor) {
      var isNormalizing = NORMALIZING.get(editor);
      return isNormalizing === undefined ? true : isNormalizing;
    },

    /**
     * Check if a point is the start point of a location.
     */
    isStart(editor, point, at) {
      // PERF: If the offset isn't `0` we know it's not the start.
      if (point.offset !== 0) {
        return false;
      }

      var start = Editor.start(editor, at);
      return Point.equals(point, start);
    },

    /**
     * Check if a value is a void `Element` object.
     */
    isVoid(editor, value) {
      return Element$1.isElement(value) && editor.isVoid(value);
    },

    /**
     * Get the last node at a location.
     */
    last(editor, at) {
      var path = Editor.path(editor, at, {
        edge: 'end'
      });
      return Editor.node(editor, path);
    },

    /**
     * Get the leaf text node at a location.
     */
    leaf(editor, at) {
      var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
      var path = Editor.path(editor, at, options);
      var node = Node$1.leaf(editor, path);
      return [node, path];
    },

    /**
     * Iterate through all of the levels at a location.
     */
    *levels(editor) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
      var {
        at = editor.selection,
        reverse = false,
        voids = false
      } = options;
      var {
        match
      } = options;

      if (match == null) {
        match = () => true;
      }

      if (!at) {
        return;
      }

      var levels = [];
      var path = Editor.path(editor, at);

      for (var [n, p] of Node$1.levels(editor, path)) {
        if (!match(n, p)) {
          continue;
        }

        levels.push([n, p]);

        if (!voids && Editor.isVoid(editor, n)) {
          break;
        }
      }

      if (reverse) {
        levels.reverse();
      }

      yield* levels;
    },

    /**
     * Get the marks that would be added to text at the current selection.
     */
    marks(editor) {
      var {
        marks,
        selection
      } = editor;

      if (!selection) {
        return null;
      }

      if (marks) {
        return marks;
      }

      if (Range.isExpanded(selection)) {
        var [match] = Editor.nodes(editor, {
          match: Text.isText
        });

        if (match) {
          var [_node] = match;

          var _rest = _objectWithoutProperties(_node, ["text"]);

          return _rest;
        } else {
          return {};
        }
      }

      var {
        anchor
      } = selection;
      var {
        path
      } = anchor;
      var [node] = Editor.leaf(editor, path);

      if (anchor.offset === 0) {
        var prev = Editor.previous(editor, {
          at: path,
          match: Text.isText
        });
        var block = Editor.above(editor, {
          match: n => Editor.isBlock(editor, n)
        });

        if (prev && block) {
          var [prevNode, prevPath] = prev;
          var [, blockPath] = block;

          if (Path.isAncestor(blockPath, prevPath)) {
            node = prevNode;
          }
        }
      }

      var rest = _objectWithoutProperties(node, ["text"]);

      return rest;
    },

    /**
     * Get the matching node in the branch of the document after a location.
     */
    next(editor) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
      var {
        mode = 'lowest',
        voids = false
      } = options;
      var {
        match,
        at = editor.selection
      } = options;

      if (!at) {
        return;
      }

      var pointAfterLocation = Editor.after(editor, at, {
        voids
      });
      if (!pointAfterLocation) return;
      var [, to] = Editor.last(editor, []);
      var span = [pointAfterLocation.path, to];

      if (Path.isPath(at) && at.length === 0) {
        throw new Error("Cannot get the next node from the root node!");
      }

      if (match == null) {
        if (Path.isPath(at)) {
          var [parent] = Editor.parent(editor, at);

          match = n => parent.children.includes(n);
        } else {
          match = () => true;
        }
      }

      var [next] = Editor.nodes(editor, {
        at: span,
        match,
        mode,
        voids
      });
      return next;
    },

    /**
     * Get the node at a location.
     */
    node(editor, at) {
      var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
      var path = Editor.path(editor, at, options);
      var node = Node$1.get(editor, path);
      return [node, path];
    },

    /**
     * Iterate through all of the nodes in the Editor.
     */
    *nodes(editor) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
      var {
        at = editor.selection,
        mode = 'all',
        universal = false,
        reverse = false,
        voids = false
      } = options;
      var {
        match
      } = options;

      if (!match) {
        match = () => true;
      }

      if (!at) {
        return;
      }

      var from;
      var to;

      if (Span.isSpan(at)) {
        from = at[0];
        to = at[1];
      } else {
        var first = Editor.path(editor, at, {
          edge: 'start'
        });
        var last = Editor.path(editor, at, {
          edge: 'end'
        });
        from = reverse ? last : first;
        to = reverse ? first : last;
      }

      var nodeEntries = Node$1.nodes(editor, {
        reverse,
        from,
        to,
        pass: (_ref) => {
          var [n] = _ref;
          return voids ? false : Editor.isVoid(editor, n);
        }
      });
      var matches = [];
      var hit;

      for (var [node, path] of nodeEntries) {
        var isLower = hit && Path.compare(path, hit[1]) === 0; // In highest mode any node lower than the last hit is not a match.

        if (mode === 'highest' && isLower) {
          continue;
        }

        if (!match(node, path)) {
          // If we've arrived at a leaf text node that is not lower than the last
          // hit, then we've found a branch that doesn't include a match, which
          // means the match is not universal.
          if (universal && !isLower && Text.isText(node)) {
            return;
          } else {
            continue;
          }
        } // If there's a match and it's lower than the last, update the hit.


        if (mode === 'lowest' && isLower) {
          hit = [node, path];
          continue;
        } // In lowest mode we emit the last hit, once it's guaranteed lowest.


        var emit = mode === 'lowest' ? hit : [node, path];

        if (emit) {
          if (universal) {
            matches.push(emit);
          } else {
            yield emit;
          }
        }

        hit = [node, path];
      } // Since lowest is always emitting one behind, catch up at the end.


      if (mode === 'lowest' && hit) {
        if (universal) {
          matches.push(hit);
        } else {
          yield hit;
        }
      } // Universal defers to ensure that the match occurs in every branch, so we
      // yield all of the matches after iterating.


      if (universal) {
        yield* matches;
      }
    },

    /**
     * Normalize any dirty objects in the editor.
     */
    normalize(editor) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
      var {
        force = false
      } = options;

      var getDirtyPaths = editor => {
        return DIRTY_PATHS.get(editor) || [];
      };

      if (!Editor.isNormalizing(editor)) {
        return;
      }

      if (force) {
        var allPaths = Array.from(Node$1.nodes(editor), (_ref2) => {
          var [, p] = _ref2;
          return p;
        });
        DIRTY_PATHS.set(editor, allPaths);
      }

      if (getDirtyPaths(editor).length === 0) {
        return;
      }

      Editor.withoutNormalizing(editor, () => {
        /*
          Fix dirty elements with no children.
          editor.normalizeNode() does fix this, but some normalization fixes also require it to work.
          Running an initial pass avoids the catch-22 race condition.
        */
        for (var dirtyPath of getDirtyPaths(editor)) {
          if (Node$1.has(editor, dirtyPath)) {
            var [node, _] = Editor.node(editor, dirtyPath); // Add a text child to elements with no children.
            // This is safe to do in any order, by definition it can't cause other paths to change.

            if (Element$1.isElement(node) && node.children.length === 0) {
              var child = {
                text: ''
              };
              Transforms.insertNodes(editor, child, {
                at: dirtyPath.concat(0),
                voids: true
              });
            }
          }
        }

        var max = getDirtyPaths(editor).length * 42; // HACK: better way?

        var m = 0;

        while (getDirtyPaths(editor).length !== 0) {
          if (m > max) {
            throw new Error("\n            Could not completely normalize the editor after ".concat(max, " iterations! This is usually due to incorrect normalization logic that leaves a node in an invalid state.\n          "));
          }

          var _dirtyPath = getDirtyPaths(editor).pop(); // If the node doesn't exist in the tree, it does not need to be normalized.


          if (Node$1.has(editor, _dirtyPath)) {
            var entry = Editor.node(editor, _dirtyPath);
            editor.normalizeNode(entry);
          }

          m++;
        }
      });
    },

    /**
     * Get the parent node of a location.
     */
    parent(editor, at) {
      var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
      var path = Editor.path(editor, at, options);
      var parentPath = Path.parent(path);
      var entry = Editor.node(editor, parentPath);
      return entry;
    },

    /**
     * Get the path of a location.
     */
    path(editor, at) {
      var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
      var {
        depth,
        edge
      } = options;

      if (Path.isPath(at)) {
        if (edge === 'start') {
          var [, firstPath] = Node$1.first(editor, at);
          at = firstPath;
        } else if (edge === 'end') {
          var [, lastPath] = Node$1.last(editor, at);
          at = lastPath;
        }
      }

      if (Range.isRange(at)) {
        if (edge === 'start') {
          at = Range.start(at);
        } else if (edge === 'end') {
          at = Range.end(at);
        } else {
          at = Path.common(at.anchor.path, at.focus.path);
        }
      }

      if (Point.isPoint(at)) {
        at = at.path;
      }

      if (depth != null) {
        at = at.slice(0, depth);
      }

      return at;
    },

    hasPath(editor, path) {
      return Node$1.has(editor, path);
    },

    /**
     * Create a mutable ref for a `Path` object, which will stay in sync as new
     * operations are applied to the editor.
     */
    pathRef(editor, path) {
      var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
      var {
        affinity = 'forward'
      } = options;
      var ref = {
        current: path,
        affinity,

        unref() {
          var {
            current
          } = ref;
          var pathRefs = Editor.pathRefs(editor);
          pathRefs.delete(ref);
          ref.current = null;
          return current;
        }

      };
      var refs = Editor.pathRefs(editor);
      refs.add(ref);
      return ref;
    },

    /**
     * Get the set of currently tracked path refs of the editor.
     */
    pathRefs(editor) {
      var refs = PATH_REFS.get(editor);

      if (!refs) {
        refs = new Set();
        PATH_REFS.set(editor, refs);
      }

      return refs;
    },

    /**
     * Get the start or end point of a location.
     */
    point(editor, at) {
      var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
      var {
        edge = 'start'
      } = options;

      if (Path.isPath(at)) {
        var path;

        if (edge === 'end') {
          var [, lastPath] = Node$1.last(editor, at);
          path = lastPath;
        } else {
          var [, firstPath] = Node$1.first(editor, at);
          path = firstPath;
        }

        var node = Node$1.get(editor, path);

        if (!Text.isText(node)) {
          throw new Error("Cannot get the ".concat(edge, " point in the node at path [").concat(at, "] because it has no ").concat(edge, " text node."));
        }

        return {
          path,
          offset: edge === 'end' ? node.text.length : 0
        };
      }

      if (Range.isRange(at)) {
        var [start, end] = Range.edges(at);
        return edge === 'start' ? start : end;
      }

      return at;
    },

    /**
     * Create a mutable ref for a `Point` object, which will stay in sync as new
     * operations are applied to the editor.
     */
    pointRef(editor, point) {
      var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
      var {
        affinity = 'forward'
      } = options;
      var ref = {
        current: point,
        affinity,

        unref() {
          var {
            current
          } = ref;
          var pointRefs = Editor.pointRefs(editor);
          pointRefs.delete(ref);
          ref.current = null;
          return current;
        }

      };
      var refs = Editor.pointRefs(editor);
      refs.add(ref);
      return ref;
    },

    /**
     * Get the set of currently tracked point refs of the editor.
     */
    pointRefs(editor) {
      var refs = POINT_REFS.get(editor);

      if (!refs) {
        refs = new Set();
        POINT_REFS.set(editor, refs);
      }

      return refs;
    },

    /**
     * Return all the positions in `at` range where a `Point` can be placed.
     *
     * By default, moves forward by individual offsets at a time, but
     * the `unit` option can be used to to move by character, word, line, or block.
     *
     * The `reverse` option can be used to change iteration direction.
     *
     * Note: By default void nodes are treated as a single point and iteration
     * will not happen inside their content unless you pass in true for the
     * `voids` option, then iteration will occur.
     */
    *positions(editor) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
      var {
        at = editor.selection,
        unit = 'offset',
        reverse: reverse$1 = false,
        voids = false
      } = options;

      if (!at) {
        return;
      }
      /**
       * Algorithm notes:
       *
       * Each step `distance` is dynamic depending on the underlying text
       * and the `unit` specified.  Each step, e.g., a line or word, may
       * span multiple text nodes, so we iterate through the text both on
       * two levels in step-sync:
       *
       * `leafText` stores the text on a text leaf level, and is advanced
       * through using the counters `leafTextOffset` and `leafTextRemaining`.
       *
       * `blockText` stores the text on a block level, and is shortened
       * by `distance` every time it is advanced.
       *
       * We only maintain a window of one blockText and one leafText because
       * a block node always appears before all of its leaf nodes.
       */


      var range = Editor.range(editor, at);
      var [start, end] = Range.edges(range);
      var first = reverse$1 ? end : start;
      var isNewBlock = false;
      var blockText = '';
      var distance = 0; // Distance for leafText to catch up to blockText.

      var leafTextRemaining = 0;
      var leafTextOffset = 0; // Iterate through all nodes in range, grabbing entire textual content
      // of block nodes in blockText, and text nodes in leafText.
      // Exploits the fact that nodes are sequenced in such a way that we first
      // encounter the block node, then all of its text nodes, so when iterating
      // through the blockText and leafText we just need to remember a window of
      // one block node and leaf node, respectively.

      for (var [node, path] of Editor.nodes(editor, {
        at,
        reverse: reverse$1,
        voids
      })) {
        /*
         * ELEMENT NODE - Yield position(s) for voids, collect blockText for blocks
         */
        if (Element$1.isElement(node)) {
          // Void nodes are a special case, so by default we will always
          // yield their first point. If the `voids` option is set to true,
          // then we will iterate over their content.
          if (!voids && editor.isVoid(node)) {
            yield Editor.start(editor, path);
            continue;
          } // Inline element nodes are ignored as they don't themselves
          // contribute to `blockText` or `leafText` - their parent and
          // children do.


          if (editor.isInline(node)) continue; // Block element node - set `blockText` to its text content.

          if (Editor.hasInlines(editor, node)) {
            // We always exhaust block nodes before encountering a new one:
            //   console.assert(blockText === '',
            //     `blockText='${blockText}' - `+
            //     `not exhausted before new block node`, path)
            // Ensure range considered is capped to `range`, in the
            // start/end edge cases where block extends beyond range.
            // Equivalent to this, but presumably more performant:
            //   blockRange = Editor.range(editor, ...Editor.edges(editor, path))
            //   blockRange = Range.intersection(range, blockRange) // intersect
            //   blockText = Editor.string(editor, blockRange, { voids })
            var e = Path.isAncestor(path, end.path) ? end : Editor.end(editor, path);
            var s = Path.isAncestor(path, start.path) ? start : Editor.start(editor, path);
            blockText = Editor.string(editor, {
              anchor: s,
              focus: e
            }, {
              voids
            });
            blockText = reverse$1 ? esrever.reverse(blockText) : blockText;
            isNewBlock = true;
          }
        }
        /*
         * TEXT LEAF NODE - Iterate through text content, yielding
         * positions every `distance` offset according to `unit`.
         */


        if (Text.isText(node)) {
          var isFirst = Path.equals(path, first.path); // Proof that we always exhaust text nodes before encountering a new one:
          //   console.assert(leafTextRemaining <= 0,
          //     `leafTextRemaining=${leafTextRemaining} - `+
          //     `not exhausted before new leaf text node`, path)
          // Reset `leafText` counters for new text node.

          if (isFirst) {
            leafTextRemaining = reverse$1 ? first.offset : node.text.length - first.offset;
            leafTextOffset = first.offset; // Works for reverse too.
          } else {
            leafTextRemaining = node.text.length;
            leafTextOffset = reverse$1 ? leafTextRemaining : 0;
          } // Yield position at the start of node (potentially).


          if (isFirst || isNewBlock || unit === 'offset') {
            yield {
              path,
              offset: leafTextOffset
            };
            isNewBlock = false;
          } // Yield positions every (dynamically calculated) `distance` offset.


          while (true) {
            // If `leafText` has caught up with `blockText` (distance=0),
            // and if blockText is exhausted, break to get another block node,
            // otherwise advance blockText forward by the new `distance`.
            if (distance === 0) {
              if (blockText === '') break;
              distance = calcDistance(blockText, unit);
              blockText = blockText.slice(distance);
            } // Advance `leafText` by the current `distance`.


            leafTextOffset = reverse$1 ? leafTextOffset - distance : leafTextOffset + distance;
            leafTextRemaining = leafTextRemaining - distance; // If `leafText` is exhausted, break to get a new leaf node
            // and set distance to the overflow amount, so we'll (maybe)
            // catch up to blockText in the next leaf text node.

            if (leafTextRemaining < 0) {
              distance = -leafTextRemaining;
              break;
            } // Successfully walked `distance` offsets through `leafText`
            // to catch up with `blockText`, so we can reset `distance`
            // and yield this position in this node.


            distance = 0;
            yield {
              path,
              offset: leafTextOffset
            };
          }
        }
      } // Proof that upon completion, we've exahusted both leaf and block text:
      //   console.assert(leafTextRemaining <= 0, "leafText wasn't exhausted")
      //   console.assert(blockText === '', "blockText wasn't exhausted")
      // Helper:
      // Return the distance in offsets for a step of size `unit` on given string.


      function calcDistance(text, unit) {
        if (unit === 'character') {
          return getCharacterDistance(text);
        } else if (unit === 'word') {
          return getWordDistance(text);
        } else if (unit === 'line' || unit === 'block') {
          return text.length;
        }

        return 1;
      }
    },

    /**
     * Get the matching node in the branch of the document before a location.
     */
    previous(editor) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
      var {
        mode = 'lowest',
        voids = false
      } = options;
      var {
        match,
        at = editor.selection
      } = options;

      if (!at) {
        return;
      }

      var pointBeforeLocation = Editor.before(editor, at, {
        voids
      });

      if (!pointBeforeLocation) {
        return;
      }

      var [, to] = Editor.first(editor, []); // The search location is from the start of the document to the path of
      // the point before the location passed in

      var span = [pointBeforeLocation.path, to];

      if (Path.isPath(at) && at.length === 0) {
        throw new Error("Cannot get the previous node from the root node!");
      }

      if (match == null) {
        if (Path.isPath(at)) {
          var [parent] = Editor.parent(editor, at);

          match = n => parent.children.includes(n);
        } else {
          match = () => true;
        }
      }

      var [previous] = Editor.nodes(editor, {
        reverse: true,
        at: span,
        match,
        mode,
        voids
      });
      return previous;
    },

    /**
     * Get a range of a location.
     */
    range(editor, at, to) {
      if (Range.isRange(at) && !to) {
        return at;
      }

      var start = Editor.start(editor, at);
      var end = Editor.end(editor, to || at);
      return {
        anchor: start,
        focus: end
      };
    },

    /**
     * Create a mutable ref for a `Range` object, which will stay in sync as new
     * operations are applied to the editor.
     */
    rangeRef(editor, range) {
      var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
      var {
        affinity = 'forward'
      } = options;
      var ref = {
        current: range,
        affinity,

        unref() {
          var {
            current
          } = ref;
          var rangeRefs = Editor.rangeRefs(editor);
          rangeRefs.delete(ref);
          ref.current = null;
          return current;
        }

      };
      var refs = Editor.rangeRefs(editor);
      refs.add(ref);
      return ref;
    },

    /**
     * Get the set of currently tracked range refs of the editor.
     */
    rangeRefs(editor) {
      var refs = RANGE_REFS.get(editor);

      if (!refs) {
        refs = new Set();
        RANGE_REFS.set(editor, refs);
      }

      return refs;
    },

    /**
     * Remove a custom property from all of the leaf text nodes in the current
     * selection.
     *
     * If the selection is currently collapsed, the removal will be stored on
     * `editor.marks` and applied to the text inserted next.
     */
    removeMark(editor, key) {
      editor.removeMark(key);
    },

    /**
     * Get the start point of a location.
     */
    start(editor, at) {
      return Editor.point(editor, at, {
        edge: 'start'
      });
    },

    /**
     * Get the text string content of a location.
     *
     * Note: by default the text of void nodes is considered to be an empty
     * string, regardless of content, unless you pass in true for the voids option
     */
    string(editor, at) {
      var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
      var {
        voids = false
      } = options;
      var range = Editor.range(editor, at);
      var [start, end] = Range.edges(range);
      var text = '';

      for (var [node, path] of Editor.nodes(editor, {
        at: range,
        match: Text.isText,
        voids
      })) {
        var t = node.text;

        if (Path.equals(path, end.path)) {
          t = t.slice(0, end.offset);
        }

        if (Path.equals(path, start.path)) {
          t = t.slice(start.offset);
        }

        text += t;
      }

      return text;
    },

    /**
     * Convert a range into a non-hanging one.
     */
    unhangRange(editor, range) {
      var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
      var {
        voids = false
      } = options;
      var [start, end] = Range.edges(range); // PERF: exit early if we can guarantee that the range isn't hanging.

      if (start.offset !== 0 || end.offset !== 0 || Range.isCollapsed(range)) {
        return range;
      }

      var endBlock = Editor.above(editor, {
        at: end,
        match: n => Editor.isBlock(editor, n)
      });
      var blockPath = endBlock ? endBlock[1] : [];
      var first = Editor.start(editor, []);
      var before = {
        anchor: first,
        focus: end
      };
      var skip = true;

      for (var [node, path] of Editor.nodes(editor, {
        at: before,
        match: Text.isText,
        reverse: true,
        voids
      })) {
        if (skip) {
          skip = false;
          continue;
        }

        if (node.text !== '' || Path.isBefore(path, blockPath)) {
          end = {
            path,
            offset: node.text.length
          };
          break;
        }
      }

      return {
        anchor: start,
        focus: end
      };
    },

    /**
     * Match a void node in the current branch of the editor.
     */
    void(editor) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
      return Editor.above(editor, _objectSpread$1(_objectSpread$1({}, options), {}, {
        match: n => Editor.isVoid(editor, n)
      }));
    },

    /**
     * Call a function, deferring normalization until after it completes.
     */
    withoutNormalizing(editor, fn) {
      var value = Editor.isNormalizing(editor);
      NORMALIZING.set(editor, false);

      try {
        fn();
      } finally {
        NORMALIZING.set(editor, value);
      }

      Editor.normalize(editor);
    }

  };

  var Location = {
    /**
     * Check if a value implements the `Location` interface.
     */
    isLocation(value) {
      return Path.isPath(value) || Point.isPoint(value) || Range.isRange(value);
    }

  };
  var Span = {
    /**
     * Check if a value implements the `Span` interface.
     */
    isSpan(value) {
      return Array.isArray(value) && value.length === 2 && value.every(Path.isPath);
    }

  };

  var IS_NODE_LIST_CACHE = new WeakMap();
  var Node$1 = {
    /**
     * Get the node at a specific path, asserting that it's an ancestor node.
     */
    ancestor(root, path) {
      var node = Node$1.get(root, path);

      if (Text.isText(node)) {
        throw new Error("Cannot get the ancestor node at path [".concat(path, "] because it refers to a text node instead: ").concat(node));
      }

      return node;
    },

    /**
     * Return a generator of all the ancestor nodes above a specific path.
     *
     * By default the order is bottom-up, from lowest to highest ancestor in
     * the tree, but you can pass the `reverse: true` option to go top-down.
     */
    *ancestors(root, path) {
      var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};

      for (var p of Path.ancestors(path, options)) {
        var n = Node$1.ancestor(root, p);
        var entry = [n, p];
        yield entry;
      }
    },

    /**
     * Get the child of a node at a specific index.
     */
    child(root, index) {
      if (Text.isText(root)) {
        throw new Error("Cannot get the child of a text node: ".concat(JSON.stringify(root)));
      }

      var c = root.children[index];

      if (c == null) {
        throw new Error("Cannot get child at index `".concat(index, "` in node: ").concat(JSON.stringify(root)));
      }

      return c;
    },

    /**
     * Iterate over the children of a node at a specific path.
     */
    *children(root, path) {
      var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
      var {
        reverse = false
      } = options;
      var ancestor = Node$1.ancestor(root, path);
      var {
        children
      } = ancestor;
      var index = reverse ? children.length - 1 : 0;

      while (reverse ? index >= 0 : index < children.length) {
        var child = Node$1.child(ancestor, index);
        var childPath = path.concat(index);
        yield [child, childPath];
        index = reverse ? index - 1 : index + 1;
      }
    },

    /**
     * Get an entry for the common ancesetor node of two paths.
     */
    common(root, path, another) {
      var p = Path.common(path, another);
      var n = Node$1.get(root, p);
      return [n, p];
    },

    /**
     * Get the node at a specific path, asserting that it's a descendant node.
     */
    descendant(root, path) {
      var node = Node$1.get(root, path);

      if (Editor.isEditor(node)) {
        throw new Error("Cannot get the descendant node at path [".concat(path, "] because it refers to the root editor node instead: ").concat(node));
      }

      return node;
    },

    /**
     * Return a generator of all the descendant node entries inside a root node.
     */
    *descendants(root) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

      for (var [node, path] of Node$1.nodes(root, options)) {
        if (path.length !== 0) {
          // NOTE: we have to coerce here because checking the path's length does
          // guarantee that `node` is not a `Editor`, but TypeScript doesn't know.
          yield [node, path];
        }
      }
    },

    /**
     * Return a generator of all the element nodes inside a root node. Each iteration
     * will return an `ElementEntry` tuple consisting of `[Element, Path]`. If the
     * root node is an element it will be included in the iteration as well.
     */
    *elements(root) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

      for (var [node, path] of Node$1.nodes(root, options)) {
        if (Element$1.isElement(node)) {
          yield [node, path];
        }
      }
    },

    /**
     * Extract props from a Node.
     */
    extractProps(node) {
      if (Element$1.isAncestor(node)) {
        var properties = _objectWithoutProperties(node, ["children"]);

        return properties;
      } else {
        var properties = _objectWithoutProperties(node, ["text"]);

        return properties;
      }
    },

    /**
     * Get the first node entry in a root node from a path.
     */
    first(root, path) {
      var p = path.slice();
      var n = Node$1.get(root, p);

      while (n) {
        if (Text.isText(n) || n.children.length === 0) {
          break;
        } else {
          n = n.children[0];
          p.push(0);
        }
      }

      return [n, p];
    },

    /**
     * Get the sliced fragment represented by a range inside a root node.
     */
    fragment(root, range) {
      if (Text.isText(root)) {
        throw new Error("Cannot get a fragment starting from a root text node: ".concat(JSON.stringify(root)));
      }

      var newRoot = fn$7({
        children: root.children
      }, r => {
        var [start, end] = Range.edges(range);
        var nodeEntries = Node$1.nodes(r, {
          reverse: true,
          pass: (_ref) => {
            var [, path] = _ref;
            return !Range.includes(range, path);
          }
        });

        for (var [, path] of nodeEntries) {
          if (!Range.includes(range, path)) {
            var parent = Node$1.parent(r, path);
            var index = path[path.length - 1];
            parent.children.splice(index, 1);
          }

          if (Path.equals(path, end.path)) {
            var leaf = Node$1.leaf(r, path);
            leaf.text = leaf.text.slice(0, end.offset);
          }

          if (Path.equals(path, start.path)) {
            var _leaf = Node$1.leaf(r, path);

            _leaf.text = _leaf.text.slice(start.offset);
          }
        }

        if (Editor.isEditor(r)) {
          r.selection = null;
        }
      });
      return newRoot.children;
    },

    /**
     * Get the descendant node referred to by a specific path. If the path is an
     * empty array, it refers to the root node itself.
     */
    get(root, path) {
      var node = root;

      for (var i = 0; i < path.length; i++) {
        var p = path[i];

        if (Text.isText(node) || !node.children[p]) {
          throw new Error("Cannot find a descendant at path [".concat(path, "] in node: ").concat(JSON.stringify(root)));
        }

        node = node.children[p];
      }

      return node;
    },

    /**
     * Check if a descendant node exists at a specific path.
     */
    has(root, path) {
      var node = root;

      for (var i = 0; i < path.length; i++) {
        var p = path[i];

        if (Text.isText(node) || !node.children[p]) {
          return false;
        }

        node = node.children[p];
      }

      return true;
    },

    /**
     * Check if a value implements the `Node` interface.
     */
    isNode(value) {
      return Text.isText(value) || Element$1.isElement(value) || Editor.isEditor(value);
    },

    /**
     * Check if a value is a list of `Node` objects.
     */
    isNodeList(value) {
      if (!Array.isArray(value)) {
        return false;
      }

      var cachedResult = IS_NODE_LIST_CACHE.get(value);

      if (cachedResult !== undefined) {
        return cachedResult;
      }

      var isNodeList = value.every(val => Node$1.isNode(val));
      IS_NODE_LIST_CACHE.set(value, isNodeList);
      return isNodeList;
    },

    /**
     * Get the last node entry in a root node from a path.
     */
    last(root, path) {
      var p = path.slice();
      var n = Node$1.get(root, p);

      while (n) {
        if (Text.isText(n) || n.children.length === 0) {
          break;
        } else {
          var i = n.children.length - 1;
          n = n.children[i];
          p.push(i);
        }
      }

      return [n, p];
    },

    /**
     * Get the node at a specific path, ensuring it's a leaf text node.
     */
    leaf(root, path) {
      var node = Node$1.get(root, path);

      if (!Text.isText(node)) {
        throw new Error("Cannot get the leaf node at path [".concat(path, "] because it refers to a non-leaf node: ").concat(node));
      }

      return node;
    },

    /**
     * Return a generator of the in a branch of the tree, from a specific path.
     *
     * By default the order is top-down, from lowest to highest node in the tree,
     * but you can pass the `reverse: true` option to go bottom-up.
     */
    *levels(root, path) {
      var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};

      for (var p of Path.levels(path, options)) {
        var n = Node$1.get(root, p);
        yield [n, p];
      }
    },

    /**
     * Check if a node matches a set of props.
     */
    matches(node, props) {
      return Element$1.isElement(node) && Element$1.isElementProps(props) && Element$1.matches(node, props) || Text.isText(node) && Text.isTextProps(props) && Text.matches(node, props);
    },

    /**
     * Return a generator of all the node entries of a root node. Each entry is
     * returned as a `[Node, Path]` tuple, with the path referring to the node's
     * position inside the root node.
     */
    *nodes(root) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
      var {
        pass,
        reverse = false
      } = options;
      var {
        from = [],
        to
      } = options;
      var visited = new Set();
      var p = [];
      var n = root;

      while (true) {
        if (to && (reverse ? Path.isBefore(p, to) : Path.isAfter(p, to))) {
          break;
        }

        if (!visited.has(n)) {
          yield [n, p];
        } // If we're allowed to go downward and we haven't descended yet, do.


        if (!visited.has(n) && !Text.isText(n) && n.children.length !== 0 && (pass == null || pass([n, p]) === false)) {
          visited.add(n);
          var nextIndex = reverse ? n.children.length - 1 : 0;

          if (Path.isAncestor(p, from)) {
            nextIndex = from[p.length];
          }

          p = p.concat(nextIndex);
          n = Node$1.get(root, p);
          continue;
        } // If we're at the root and we can't go down, we're done.


        if (p.length === 0) {
          break;
        } // If we're going forward...


        if (!reverse) {
          var newPath = Path.next(p);

          if (Node$1.has(root, newPath)) {
            p = newPath;
            n = Node$1.get(root, p);
            continue;
          }
        } // If we're going backward...


        if (reverse && p[p.length - 1] !== 0) {
          var _newPath = Path.previous(p);

          p = _newPath;
          n = Node$1.get(root, p);
          continue;
        } // Otherwise we're going upward...


        p = Path.parent(p);
        n = Node$1.get(root, p);
        visited.add(n);
      }
    },

    /**
     * Get the parent of a node at a specific path.
     */
    parent(root, path) {
      var parentPath = Path.parent(path);
      var p = Node$1.get(root, parentPath);

      if (Text.isText(p)) {
        throw new Error("Cannot get the parent of path [".concat(path, "] because it does not exist in the root."));
      }

      return p;
    },

    /**
     * Get the concatenated text string of a node's content.
     *
     * Note that this will not include spaces or line breaks between block nodes.
     * It is not a user-facing string, but a string for performing offset-related
     * computations for a node.
     */
    string(node) {
      if (Text.isText(node)) {
        return node.text;
      } else {
        return node.children.map(Node$1.string).join('');
      }
    },

    /**
     * Return a generator of all leaf text nodes in a root node.
     */
    *texts(root) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

      for (var [node, path] of Node$1.nodes(root, options)) {
        if (Text.isText(node)) {
          yield [node, path];
        }
      }
    }

  };

  function ownKeys$2(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

  function _objectSpread$2(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys$2(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys$2(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }
  var Operation = {
    /**
     * Check of a value is a `NodeOperation` object.
     */
    isNodeOperation(value) {
      return Operation.isOperation(value) && value.type.endsWith('_node');
    },

    /**
     * Check of a value is an `Operation` object.
     */
    isOperation(value) {
      if (!isPlainObject(value)) {
        return false;
      }

      switch (value.type) {
        case 'insert_node':
          return Path.isPath(value.path) && Node$1.isNode(value.node);

        case 'insert_text':
          return typeof value.offset === 'number' && typeof value.text === 'string' && Path.isPath(value.path);

        case 'merge_node':
          return typeof value.position === 'number' && Path.isPath(value.path) && isPlainObject(value.properties);

        case 'move_node':
          return Path.isPath(value.path) && Path.isPath(value.newPath);

        case 'remove_node':
          return Path.isPath(value.path) && Node$1.isNode(value.node);

        case 'remove_text':
          return typeof value.offset === 'number' && typeof value.text === 'string' && Path.isPath(value.path);

        case 'set_node':
          return Path.isPath(value.path) && isPlainObject(value.properties) && isPlainObject(value.newProperties);

        case 'set_selection':
          return value.properties === null && Range.isRange(value.newProperties) || value.newProperties === null && Range.isRange(value.properties) || isPlainObject(value.properties) && isPlainObject(value.newProperties);

        case 'split_node':
          return Path.isPath(value.path) && typeof value.position === 'number' && isPlainObject(value.properties);

        default:
          return false;
      }
    },

    /**
     * Check if a value is a list of `Operation` objects.
     */
    isOperationList(value) {
      return Array.isArray(value) && value.every(val => Operation.isOperation(val));
    },

    /**
     * Check of a value is a `SelectionOperation` object.
     */
    isSelectionOperation(value) {
      return Operation.isOperation(value) && value.type.endsWith('_selection');
    },

    /**
     * Check of a value is a `TextOperation` object.
     */
    isTextOperation(value) {
      return Operation.isOperation(value) && value.type.endsWith('_text');
    },

    /**
     * Invert an operation, returning a new operation that will exactly undo the
     * original when applied.
     */
    inverse(op) {
      switch (op.type) {
        case 'insert_node':
          {
            return _objectSpread$2(_objectSpread$2({}, op), {}, {
              type: 'remove_node'
            });
          }

        case 'insert_text':
          {
            return _objectSpread$2(_objectSpread$2({}, op), {}, {
              type: 'remove_text'
            });
          }

        case 'merge_node':
          {
            return _objectSpread$2(_objectSpread$2({}, op), {}, {
              type: 'split_node',
              path: Path.previous(op.path)
            });
          }

        case 'move_node':
          {
            var {
              newPath,
              path
            } = op; // PERF: in this case the move operation is a no-op anyways.

            if (Path.equals(newPath, path)) {
              return op;
            } // If the move happens completely within a single parent the path and
            // newPath are stable with respect to each other.


            if (Path.isSibling(path, newPath)) {
              return _objectSpread$2(_objectSpread$2({}, op), {}, {
                path: newPath,
                newPath: path
              });
            } // If the move does not happen within a single parent it is possible
            // for the move to impact the true path to the location where the node
            // was removed from and where it was inserted. We have to adjust for this
            // and find the original path. We can accomplish this (only in non-sibling)
            // moves by looking at the impact of the move operation on the node
            // after the original move path.


            var inversePath = Path.transform(path, op);
            var inverseNewPath = Path.transform(Path.next(path), op);
            return _objectSpread$2(_objectSpread$2({}, op), {}, {
              path: inversePath,
              newPath: inverseNewPath
            });
          }

        case 'remove_node':
          {
            return _objectSpread$2(_objectSpread$2({}, op), {}, {
              type: 'insert_node'
            });
          }

        case 'remove_text':
          {
            return _objectSpread$2(_objectSpread$2({}, op), {}, {
              type: 'insert_text'
            });
          }

        case 'set_node':
          {
            var {
              properties,
              newProperties
            } = op;
            return _objectSpread$2(_objectSpread$2({}, op), {}, {
              properties: newProperties,
              newProperties: properties
            });
          }

        case 'set_selection':
          {
            var {
              properties: _properties,
              newProperties: _newProperties
            } = op;

            if (_properties == null) {
              return _objectSpread$2(_objectSpread$2({}, op), {}, {
                properties: _newProperties,
                newProperties: null
              });
            } else if (_newProperties == null) {
              return _objectSpread$2(_objectSpread$2({}, op), {}, {
                properties: null,
                newProperties: _properties
              });
            } else {
              return _objectSpread$2(_objectSpread$2({}, op), {}, {
                properties: _newProperties,
                newProperties: _properties
              });
            }
          }

        case 'split_node':
          {
            return _objectSpread$2(_objectSpread$2({}, op), {}, {
              type: 'merge_node',
              path: Path.next(op.path)
            });
          }
      }
    }

  };

  var Path = {
    /**
     * Get a list of ancestor paths for a given path.
     *
     * The paths are sorted from deepest to shallowest ancestor. However, if the
     * `reverse: true` option is passed, they are reversed.
     */
    ancestors(path) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
      var {
        reverse = false
      } = options;
      var paths = Path.levels(path, options);

      if (reverse) {
        paths = paths.slice(1);
      } else {
        paths = paths.slice(0, -1);
      }

      return paths;
    },

    /**
     * Get the common ancestor path of two paths.
     */
    common(path, another) {
      var common = [];

      for (var i = 0; i < path.length && i < another.length; i++) {
        var av = path[i];
        var bv = another[i];

        if (av !== bv) {
          break;
        }

        common.push(av);
      }

      return common;
    },

    /**
     * Compare a path to another, returning an integer indicating whether the path
     * was before, at, or after the other.
     *
     * Note: Two paths of unequal length can still receive a `0` result if one is
     * directly above or below the other. If you want exact matching, use
     * [[Path.equals]] instead.
     */
    compare(path, another) {
      var min = Math.min(path.length, another.length);

      for (var i = 0; i < min; i++) {
        if (path[i] < another[i]) return -1;
        if (path[i] > another[i]) return 1;
      }

      return 0;
    },

    /**
     * Check if a path ends after one of the indexes in another.
     */
    endsAfter(path, another) {
      var i = path.length - 1;
      var as = path.slice(0, i);
      var bs = another.slice(0, i);
      var av = path[i];
      var bv = another[i];
      return Path.equals(as, bs) && av > bv;
    },

    /**
     * Check if a path ends at one of the indexes in another.
     */
    endsAt(path, another) {
      var i = path.length;
      var as = path.slice(0, i);
      var bs = another.slice(0, i);
      return Path.equals(as, bs);
    },

    /**
     * Check if a path ends before one of the indexes in another.
     */
    endsBefore(path, another) {
      var i = path.length - 1;
      var as = path.slice(0, i);
      var bs = another.slice(0, i);
      var av = path[i];
      var bv = another[i];
      return Path.equals(as, bs) && av < bv;
    },

    /**
     * Check if a path is exactly equal to another.
     */
    equals(path, another) {
      return path.length === another.length && path.every((n, i) => n === another[i]);
    },

    /**
     * Check if the path of previous sibling node exists
     */
    hasPrevious(path) {
      return path[path.length - 1] > 0;
    },

    /**
     * Check if a path is after another.
     */
    isAfter(path, another) {
      return Path.compare(path, another) === 1;
    },

    /**
     * Check if a path is an ancestor of another.
     */
    isAncestor(path, another) {
      return path.length < another.length && Path.compare(path, another) === 0;
    },

    /**
     * Check if a path is before another.
     */
    isBefore(path, another) {
      return Path.compare(path, another) === -1;
    },

    /**
     * Check if a path is a child of another.
     */
    isChild(path, another) {
      return path.length === another.length + 1 && Path.compare(path, another) === 0;
    },

    /**
     * Check if a path is equal to or an ancestor of another.
     */
    isCommon(path, another) {
      return path.length <= another.length && Path.compare(path, another) === 0;
    },

    /**
     * Check if a path is a descendant of another.
     */
    isDescendant(path, another) {
      return path.length > another.length && Path.compare(path, another) === 0;
    },

    /**
     * Check if a path is the parent of another.
     */
    isParent(path, another) {
      return path.length + 1 === another.length && Path.compare(path, another) === 0;
    },

    /**
     * Check is a value implements the `Path` interface.
     */
    isPath(value) {
      return Array.isArray(value) && (value.length === 0 || typeof value[0] === 'number');
    },

    /**
     * Check if a path is a sibling of another.
     */
    isSibling(path, another) {
      if (path.length !== another.length) {
        return false;
      }

      var as = path.slice(0, -1);
      var bs = another.slice(0, -1);
      var al = path[path.length - 1];
      var bl = another[another.length - 1];
      return al !== bl && Path.equals(as, bs);
    },

    /**
     * Get a list of paths at every level down to a path. Note: this is the same
     * as `Path.ancestors`, but including the path itself.
     *
     * The paths are sorted from shallowest to deepest. However, if the `reverse:
     * true` option is passed, they are reversed.
     */
    levels(path) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
      var {
        reverse = false
      } = options;
      var list = [];

      for (var i = 0; i <= path.length; i++) {
        list.push(path.slice(0, i));
      }

      if (reverse) {
        list.reverse();
      }

      return list;
    },

    /**
     * Given a path, get the path to the next sibling node.
     */
    next(path) {
      if (path.length === 0) {
        throw new Error("Cannot get the next path of a root path [".concat(path, "], because it has no next index."));
      }

      var last = path[path.length - 1];
      return path.slice(0, -1).concat(last + 1);
    },

    /**
     * Given a path, return a new path referring to the parent node above it.
     */
    parent(path) {
      if (path.length === 0) {
        throw new Error("Cannot get the parent path of the root path [".concat(path, "]."));
      }

      return path.slice(0, -1);
    },

    /**
     * Given a path, get the path to the previous sibling node.
     */
    previous(path) {
      if (path.length === 0) {
        throw new Error("Cannot get the previous path of a root path [".concat(path, "], because it has no previous index."));
      }

      var last = path[path.length - 1];

      if (last <= 0) {
        throw new Error("Cannot get the previous path of a first child path [".concat(path, "] because it would result in a negative index."));
      }

      return path.slice(0, -1).concat(last - 1);
    },

    /**
     * Get a path relative to an ancestor.
     */
    relative(path, ancestor) {
      if (!Path.isAncestor(ancestor, path) && !Path.equals(path, ancestor)) {
        throw new Error("Cannot get the relative path of [".concat(path, "] inside ancestor [").concat(ancestor, "], because it is not above or equal to the path."));
      }

      return path.slice(ancestor.length);
    },

    /**
     * Transform a path by an operation.
     */
    transform(path, operation) {
      var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
      return fn$7(path, p => {
        var {
          affinity = 'forward'
        } = options; // PERF: Exit early if the operation is guaranteed not to have an effect.

        if (path.length === 0) {
          return;
        }

        switch (operation.type) {
          case 'insert_node':
            {
              var {
                path: op
              } = operation;

              if (Path.equals(op, p) || Path.endsBefore(op, p) || Path.isAncestor(op, p)) {
                p[op.length - 1] += 1;
              }

              break;
            }

          case 'remove_node':
            {
              var {
                path: _op
              } = operation;

              if (Path.equals(_op, p) || Path.isAncestor(_op, p)) {
                return null;
              } else if (Path.endsBefore(_op, p)) {
                p[_op.length - 1] -= 1;
              }

              break;
            }

          case 'merge_node':
            {
              var {
                path: _op2,
                position
              } = operation;

              if (Path.equals(_op2, p) || Path.endsBefore(_op2, p)) {
                p[_op2.length - 1] -= 1;
              } else if (Path.isAncestor(_op2, p)) {
                p[_op2.length - 1] -= 1;
                p[_op2.length] += position;
              }

              break;
            }

          case 'split_node':
            {
              var {
                path: _op3,
                position: _position
              } = operation;

              if (Path.equals(_op3, p)) {
                if (affinity === 'forward') {
                  p[p.length - 1] += 1;
                } else if (affinity === 'backward') ; else {
                  return null;
                }
              } else if (Path.endsBefore(_op3, p)) {
                p[_op3.length - 1] += 1;
              } else if (Path.isAncestor(_op3, p) && path[_op3.length] >= _position) {
                p[_op3.length - 1] += 1;
                p[_op3.length] -= _position;
              }

              break;
            }

          case 'move_node':
            {
              var {
                path: _op4,
                newPath: onp
              } = operation; // If the old and new path are the same, it's a no-op.

              if (Path.equals(_op4, onp)) {
                return;
              }

              if (Path.isAncestor(_op4, p) || Path.equals(_op4, p)) {
                var copy = onp.slice();

                if (Path.endsBefore(_op4, onp) && _op4.length < onp.length) {
                  copy[_op4.length - 1] -= 1;
                }

                return copy.concat(p.slice(_op4.length));
              } else if (Path.isSibling(_op4, onp) && (Path.isAncestor(onp, p) || Path.equals(onp, p))) {
                if (Path.endsBefore(_op4, p)) {
                  p[_op4.length - 1] -= 1;
                } else {
                  p[_op4.length - 1] += 1;
                }
              } else if (Path.endsBefore(onp, p) || Path.equals(onp, p) || Path.isAncestor(onp, p)) {
                if (Path.endsBefore(_op4, p)) {
                  p[_op4.length - 1] -= 1;
                }

                p[onp.length - 1] += 1;
              } else if (Path.endsBefore(_op4, p)) {
                if (Path.equals(onp, p)) {
                  p[onp.length - 1] += 1;
                }

                p[_op4.length - 1] -= 1;
              }

              break;
            }
        }
      });
    }

  };

  var PathRef = {
    /**
     * Transform the path ref's current value by an operation.
     */
    transform(ref, op) {
      var {
        current,
        affinity
      } = ref;

      if (current == null) {
        return;
      }

      var path = Path.transform(current, op, {
        affinity
      });
      ref.current = path;

      if (path == null) {
        ref.unref();
      }
    }

  };

  function ownKeys$3(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

  function _objectSpread$3(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys$3(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys$3(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }
  var Point = {
    /**
     * Compare a point to another, returning an integer indicating whether the
     * point was before, at, or after the other.
     */
    compare(point, another) {
      var result = Path.compare(point.path, another.path);

      if (result === 0) {
        if (point.offset < another.offset) return -1;
        if (point.offset > another.offset) return 1;
        return 0;
      }

      return result;
    },

    /**
     * Check if a point is after another.
     */
    isAfter(point, another) {
      return Point.compare(point, another) === 1;
    },

    /**
     * Check if a point is before another.
     */
    isBefore(point, another) {
      return Point.compare(point, another) === -1;
    },

    /**
     * Check if a point is exactly equal to another.
     */
    equals(point, another) {
      // PERF: ensure the offsets are equal first since they are cheaper to check.
      return point.offset === another.offset && Path.equals(point.path, another.path);
    },

    /**
     * Check if a value implements the `Point` interface.
     */
    isPoint(value) {
      return isPlainObject(value) && typeof value.offset === 'number' && Path.isPath(value.path);
    },

    /**
     * Transform a point by an operation.
     */
    transform(point, op) {
      var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
      return fn$7(point, p => {
        var {
          affinity = 'forward'
        } = options;
        var {
          path,
          offset
        } = p;

        switch (op.type) {
          case 'insert_node':
          case 'move_node':
            {
              p.path = Path.transform(path, op, options);
              break;
            }

          case 'insert_text':
            {
              if (Path.equals(op.path, path) && op.offset <= offset) {
                p.offset += op.text.length;
              }

              break;
            }

          case 'merge_node':
            {
              if (Path.equals(op.path, path)) {
                p.offset += op.position;
              }

              p.path = Path.transform(path, op, options);
              break;
            }

          case 'remove_text':
            {
              if (Path.equals(op.path, path) && op.offset <= offset) {
                p.offset -= Math.min(offset - op.offset, op.text.length);
              }

              break;
            }

          case 'remove_node':
            {
              if (Path.equals(op.path, path) || Path.isAncestor(op.path, path)) {
                return null;
              }

              p.path = Path.transform(path, op, options);
              break;
            }

          case 'split_node':
            {
              if (Path.equals(op.path, path)) {
                if (op.position === offset && affinity == null) {
                  return null;
                } else if (op.position < offset || op.position === offset && affinity === 'forward') {
                  p.offset -= op.position;
                  p.path = Path.transform(path, op, _objectSpread$3(_objectSpread$3({}, options), {}, {
                    affinity: 'forward'
                  }));
                }
              } else {
                p.path = Path.transform(path, op, options);
              }

              break;
            }
        }
      });
    }

  };

  var PointRef = {
    /**
     * Transform the point ref's current value by an operation.
     */
    transform(ref, op) {
      var {
        current,
        affinity
      } = ref;

      if (current == null) {
        return;
      }

      var point = Point.transform(current, op, {
        affinity
      });
      ref.current = point;

      if (point == null) {
        ref.unref();
      }
    }

  };

  function ownKeys$4(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

  function _objectSpread$4(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys$4(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys$4(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }
  var Range = {
    /**
     * Get the start and end points of a range, in the order in which they appear
     * in the document.
     */
    edges(range) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
      var {
        reverse = false
      } = options;
      var {
        anchor,
        focus
      } = range;
      return Range.isBackward(range) === reverse ? [anchor, focus] : [focus, anchor];
    },

    /**
     * Get the end point of a range.
     */
    end(range) {
      var [, end] = Range.edges(range);
      return end;
    },

    /**
     * Check if a range is exactly equal to another.
     */
    equals(range, another) {
      return Point.equals(range.anchor, another.anchor) && Point.equals(range.focus, another.focus);
    },

    /**
     * Check if a range includes a path, a point or part of another range.
     */
    includes(range, target) {
      if (Range.isRange(target)) {
        if (Range.includes(range, target.anchor) || Range.includes(range, target.focus)) {
          return true;
        }

        var [rs, re] = Range.edges(range);
        var [ts, te] = Range.edges(target);
        return Point.isBefore(rs, ts) && Point.isAfter(re, te);
      }

      var [start, end] = Range.edges(range);
      var isAfterStart = false;
      var isBeforeEnd = false;

      if (Point.isPoint(target)) {
        isAfterStart = Point.compare(target, start) >= 0;
        isBeforeEnd = Point.compare(target, end) <= 0;
      } else {
        isAfterStart = Path.compare(target, start.path) >= 0;
        isBeforeEnd = Path.compare(target, end.path) <= 0;
      }

      return isAfterStart && isBeforeEnd;
    },

    /**
     * Get the intersection of a range with another.
     */
    intersection(range, another) {
      var rest = _objectWithoutProperties(range, ["anchor", "focus"]);

      var [s1, e1] = Range.edges(range);
      var [s2, e2] = Range.edges(another);
      var start = Point.isBefore(s1, s2) ? s2 : s1;
      var end = Point.isBefore(e1, e2) ? e1 : e2;

      if (Point.isBefore(end, start)) {
        return null;
      } else {
        return _objectSpread$4({
          anchor: start,
          focus: end
        }, rest);
      }
    },

    /**
     * Check if a range is backward, meaning that its anchor point appears in the
     * document _after_ its focus point.
     */
    isBackward(range) {
      var {
        anchor,
        focus
      } = range;
      return Point.isAfter(anchor, focus);
    },

    /**
     * Check if a range is collapsed, meaning that both its anchor and focus
     * points refer to the exact same position in the document.
     */
    isCollapsed(range) {
      var {
        anchor,
        focus
      } = range;
      return Point.equals(anchor, focus);
    },

    /**
     * Check if a range is expanded.
     *
     * This is the opposite of [[Range.isCollapsed]] and is provided for legibility.
     */
    isExpanded(range) {
      return !Range.isCollapsed(range);
    },

    /**
     * Check if a range is forward.
     *
     * This is the opposite of [[Range.isBackward]] and is provided for legibility.
     */
    isForward(range) {
      return !Range.isBackward(range);
    },

    /**
     * Check if a value implements the [[Range]] interface.
     */
    isRange(value) {
      return isPlainObject(value) && Point.isPoint(value.anchor) && Point.isPoint(value.focus);
    },

    /**
     * Iterate through all of the point entries in a range.
     */
    *points(range) {
      yield [range.anchor, 'anchor'];
      yield [range.focus, 'focus'];
    },

    /**
     * Get the start point of a range.
     */
    start(range) {
      var [start] = Range.edges(range);
      return start;
    },

    /**
     * Transform a range by an operation.
     */
    transform(range, op) {
      var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
      var {
        affinity = 'inward'
      } = options;
      var affinityAnchor;
      var affinityFocus;

      if (affinity === 'inward') {
        if (Range.isForward(range)) {
          affinityAnchor = 'forward';
          affinityFocus = 'backward';
        } else {
          affinityAnchor = 'backward';
          affinityFocus = 'forward';
        }
      } else if (affinity === 'outward') {
        if (Range.isForward(range)) {
          affinityAnchor = 'backward';
          affinityFocus = 'forward';
        } else {
          affinityAnchor = 'forward';
          affinityFocus = 'backward';
        }
      } else {
        affinityAnchor = affinity;
        affinityFocus = affinity;
      }

      return fn$7(range, r => {
        var anchor = Point.transform(r.anchor, op, {
          affinity: affinityAnchor
        });
        var focus = Point.transform(r.focus, op, {
          affinity: affinityFocus
        });

        if (!anchor || !focus) {
          return null;
        }

        r.anchor = anchor;
        r.focus = focus;
      });
    }

  };

  var RangeRef = {
    /**
     * Transform the range ref's current value by an operation.
     */
    transform(ref, op) {
      var {
        current,
        affinity
      } = ref;

      if (current == null) {
        return;
      }

      var path = Range.transform(current, op, {
        affinity
      });
      ref.current = path;

      if (path == null) {
        ref.unref();
      }
    }

  };

  function ownKeys$5(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

  function _objectSpread$5(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys$5(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys$5(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }
  var Text = {
    /**
     * Check if two text nodes are equal.
     */
    equals(text, another) {
      var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
      var {
        loose = false
      } = options;

      function omitText(obj) {
        var rest = _objectWithoutProperties(obj, ["text"]);

        return rest;
      }

      return isEqual(loose ? omitText(text) : text, loose ? omitText(another) : another);
    },

    /**
     * Check if a value implements the `Text` interface.
     */
    isText(value) {
      return isPlainObject(value) && typeof value.text === 'string';
    },

    /**
     * Check if a value is a list of `Text` objects.
     */
    isTextList(value) {
      return Array.isArray(value) && value.every(val => Text.isText(val));
    },

    /**
     * Check if some props are a partial of Text.
     */
    isTextProps(props) {
      return props.text !== undefined;
    },

    /**
     * Check if an text matches set of properties.
     *
     * Note: this is for matching custom properties, and it does not ensure that
     * the `text` property are two nodes equal.
     */
    matches(text, props) {
      for (var key in props) {
        if (key === 'text') {
          continue;
        }

        if (!text.hasOwnProperty(key) || text[key] !== props[key]) {
          return false;
        }
      }

      return true;
    },

    /**
     * Get the leaves for a text node given decorations.
     */
    decorations(node, decorations) {
      var leaves = [_objectSpread$5({}, node)];

      for (var dec of decorations) {
        var rest = _objectWithoutProperties(dec, ["anchor", "focus"]);

        var [start, end] = Range.edges(dec);
        var next = [];
        var o = 0;

        for (var leaf of leaves) {
          var {
            length
          } = leaf.text;
          var offset = o;
          o += length; // If the range encompases the entire leaf, add the range.

          if (start.offset <= offset && end.offset >= o) {
            Object.assign(leaf, rest);
            next.push(leaf);
            continue;
          } // If the range expanded and match the leaf, or starts after, or ends before it, continue.


          if (start.offset !== end.offset && (start.offset === o || end.offset === offset) || start.offset > o || end.offset < offset || end.offset === offset && offset !== 0) {
            next.push(leaf);
            continue;
          } // Otherwise we need to split the leaf, at the start, end, or both,
          // and add the range to the middle intersecting section. Do the end
          // split first since we don't need to update the offset that way.


          var middle = leaf;
          var before = void 0;
          var after = void 0;

          if (end.offset < o) {
            var off = end.offset - offset;
            after = _objectSpread$5(_objectSpread$5({}, middle), {}, {
              text: middle.text.slice(off)
            });
            middle = _objectSpread$5(_objectSpread$5({}, middle), {}, {
              text: middle.text.slice(0, off)
            });
          }

          if (start.offset > offset) {
            var _off = start.offset - offset;

            before = _objectSpread$5(_objectSpread$5({}, middle), {}, {
              text: middle.text.slice(0, _off)
            });
            middle = _objectSpread$5(_objectSpread$5({}, middle), {}, {
              text: middle.text.slice(_off)
            });
          }

          Object.assign(middle, rest);

          if (before) {
            next.push(before);
          }

          next.push(middle);

          if (after) {
            next.push(after);
          }
        }

        leaves = next;
      }

      return leaves;
    }

  };

  function ownKeys$6(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

  function _objectSpread$6(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys$6(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys$6(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

  var applyToDraft = (editor, selection, op) => {
    switch (op.type) {
      case 'insert_node':
        {
          var {
            path,
            node
          } = op;
          var parent = Node$1.parent(editor, path);
          var index = path[path.length - 1];

          if (index > parent.children.length) {
            throw new Error("Cannot apply an \"insert_node\" operation at path [".concat(path, "] because the destination is past the end of the node."));
          }

          parent.children.splice(index, 0, node);

          if (selection) {
            for (var [point, key] of Range.points(selection)) {
              selection[key] = Point.transform(point, op);
            }
          }

          break;
        }

      case 'insert_text':
        {
          var {
            path: _path,
            offset,
            text
          } = op;
          if (text.length === 0) break;

          var _node = Node$1.leaf(editor, _path);

          var before = _node.text.slice(0, offset);

          var after = _node.text.slice(offset);

          _node.text = before + text + after;

          if (selection) {
            for (var [_point, _key] of Range.points(selection)) {
              selection[_key] = Point.transform(_point, op);
            }
          }

          break;
        }

      case 'merge_node':
        {
          var {
            path: _path2
          } = op;

          var _node2 = Node$1.get(editor, _path2);

          var prevPath = Path.previous(_path2);
          var prev = Node$1.get(editor, prevPath);

          var _parent = Node$1.parent(editor, _path2);

          var _index = _path2[_path2.length - 1];

          if (Text.isText(_node2) && Text.isText(prev)) {
            prev.text += _node2.text;
          } else if (!Text.isText(_node2) && !Text.isText(prev)) {
            prev.children.push(..._node2.children);
          } else {
            throw new Error("Cannot apply a \"merge_node\" operation at path [".concat(_path2, "] to nodes of different interfaces: ").concat(_node2, " ").concat(prev));
          }

          _parent.children.splice(_index, 1);

          if (selection) {
            for (var [_point2, _key2] of Range.points(selection)) {
              selection[_key2] = Point.transform(_point2, op);
            }
          }

          break;
        }

      case 'move_node':
        {
          var {
            path: _path3,
            newPath
          } = op;

          if (Path.isAncestor(_path3, newPath)) {
            throw new Error("Cannot move a path [".concat(_path3, "] to new path [").concat(newPath, "] because the destination is inside itself."));
          }

          var _node3 = Node$1.get(editor, _path3);

          var _parent2 = Node$1.parent(editor, _path3);

          var _index2 = _path3[_path3.length - 1]; // This is tricky, but since the `path` and `newPath` both refer to
          // the same snapshot in time, there's a mismatch. After either
          // removing the original position, the second step's path can be out
          // of date. So instead of using the `op.newPath` directly, we
          // transform `op.path` to ascertain what the `newPath` would be after
          // the operation was applied.

          _parent2.children.splice(_index2, 1);

          var truePath = Path.transform(_path3, op);
          var newParent = Node$1.get(editor, Path.parent(truePath));
          var newIndex = truePath[truePath.length - 1];
          newParent.children.splice(newIndex, 0, _node3);

          if (selection) {
            for (var [_point3, _key3] of Range.points(selection)) {
              selection[_key3] = Point.transform(_point3, op);
            }
          }

          break;
        }

      case 'remove_node':
        {
          var {
            path: _path4
          } = op;
          var _index3 = _path4[_path4.length - 1];

          var _parent3 = Node$1.parent(editor, _path4);

          _parent3.children.splice(_index3, 1); // Transform all of the points in the value, but if the point was in the
          // node that was removed we need to update the range or remove it.


          if (selection) {
            for (var [_point4, _key4] of Range.points(selection)) {
              var result = Point.transform(_point4, op);

              if (selection != null && result != null) {
                selection[_key4] = result;
              } else {
                var _prev = void 0;

                var next = void 0;

                for (var [n, p] of Node$1.texts(editor)) {
                  if (Path.compare(p, _path4) === -1) {
                    _prev = [n, p];
                  } else {
                    next = [n, p];
                    break;
                  }
                }

                if (_prev) {
                  _point4.path = _prev[1];
                  _point4.offset = _prev[0].text.length;
                } else if (next) {
                  _point4.path = next[1];
                  _point4.offset = 0;
                } else {
                  selection = null;
                }
              }
            }
          }

          break;
        }

      case 'remove_text':
        {
          var {
            path: _path5,
            offset: _offset,
            text: _text
          } = op;
          if (_text.length === 0) break;

          var _node4 = Node$1.leaf(editor, _path5);

          var _before = _node4.text.slice(0, _offset);

          var _after = _node4.text.slice(_offset + _text.length);

          _node4.text = _before + _after;

          if (selection) {
            for (var [_point5, _key5] of Range.points(selection)) {
              selection[_key5] = Point.transform(_point5, op);
            }
          }

          break;
        }

      case 'set_node':
        {
          var {
            path: _path6,
            properties,
            newProperties
          } = op;

          if (_path6.length === 0) {
            throw new Error("Cannot set properties on the root node!");
          }

          var _node5 = Node$1.get(editor, _path6);

          for (var _key6 in newProperties) {
            if (_key6 === 'children' || _key6 === 'text') {
              throw new Error("Cannot set the \"".concat(_key6, "\" property of nodes!"));
            }

            var value = newProperties[_key6];

            if (value == null) {
              delete _node5[_key6];
            } else {
              _node5[_key6] = value;
            }
          } // properties that were previously defined, but are now missing, must be deleted


          for (var _key7 in properties) {
            if (!newProperties.hasOwnProperty(_key7)) {
              delete _node5[_key7];
            }
          }

          break;
        }

      case 'set_selection':
        {
          var {
            newProperties: _newProperties
          } = op;

          if (_newProperties == null) {
            selection = _newProperties;
          } else {
            if (selection == null) {
              if (!Range.isRange(_newProperties)) {
                throw new Error("Cannot apply an incomplete \"set_selection\" operation properties ".concat(JSON.stringify(_newProperties), " when there is no current selection."));
              }

              selection = _objectSpread$6({}, _newProperties);
            }

            for (var _key8 in _newProperties) {
              var _value = _newProperties[_key8];

              if (_value == null) {
                if (_key8 === 'anchor' || _key8 === 'focus') {
                  throw new Error("Cannot remove the \"".concat(_key8, "\" selection property"));
                }

                delete selection[_key8];
              } else {
                selection[_key8] = _value;
              }
            }
          }

          break;
        }

      case 'split_node':
        {
          var {
            path: _path7,
            position,
            properties: _properties
          } = op;

          if (_path7.length === 0) {
            throw new Error("Cannot apply a \"split_node\" operation at path [".concat(_path7, "] because the root node cannot be split."));
          }

          var _node6 = Node$1.get(editor, _path7);

          var _parent4 = Node$1.parent(editor, _path7);

          var _index4 = _path7[_path7.length - 1];
          var newNode;

          if (Text.isText(_node6)) {
            var _before2 = _node6.text.slice(0, position);

            var _after2 = _node6.text.slice(position);

            _node6.text = _before2;
            newNode = _objectSpread$6(_objectSpread$6({}, _properties), {}, {
              text: _after2
            });
          } else {
            var _before3 = _node6.children.slice(0, position);

            var _after3 = _node6.children.slice(position);

            _node6.children = _before3;
            newNode = _objectSpread$6(_objectSpread$6({}, _properties), {}, {
              children: _after3
            });
          }

          _parent4.children.splice(_index4 + 1, 0, newNode);

          if (selection) {
            for (var [_point6, _key9] of Range.points(selection)) {
              selection[_key9] = Point.transform(_point6, op);
            }
          }

          break;
        }
    }

    return selection;
  };

  var GeneralTransforms = {
    /**
     * Transform the editor by an operation.
     */
    transform(editor, op) {
      editor.children = ln$7(editor.children);
      var selection = editor.selection && ln$7(editor.selection);

      try {
        selection = applyToDraft(editor, selection, op);
      } finally {
        editor.children = dn$7(editor.children);

        if (selection) {
          editor.selection = r(selection) ? dn$7(selection) : selection;
        } else {
          editor.selection = null;
        }
      }
    }

  };

  function ownKeys$7(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

  function _objectSpread$7(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys$7(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys$7(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }
  var NodeTransforms = {
    /**
     * Insert nodes at a specific location in the Editor.
     */
    insertNodes(editor, nodes) {
      var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
      Editor.withoutNormalizing(editor, () => {
        var {
          hanging = false,
          voids = false,
          mode = 'lowest'
        } = options;
        var {
          at,
          match,
          select
        } = options;

        if (Node$1.isNode(nodes)) {
          nodes = [nodes];
        }

        if (nodes.length === 0) {
          return;
        }

        var [node] = nodes; // By default, use the selection as the target location. But if there is
        // no selection, insert at the end of the document since that is such a
        // common use case when inserting from a non-selected state.

        if (!at) {
          if (editor.selection) {
            at = editor.selection;
          } else if (editor.children.length > 0) {
            at = Editor.end(editor, []);
          } else {
            at = [0];
          }

          select = true;
        }

        if (select == null) {
          select = false;
        }

        if (Range.isRange(at)) {
          if (!hanging) {
            at = Editor.unhangRange(editor, at);
          }

          if (Range.isCollapsed(at)) {
            at = at.anchor;
          } else {
            var [, end] = Range.edges(at);
            var pointRef = Editor.pointRef(editor, end);
            Transforms.delete(editor, {
              at
            });
            at = pointRef.unref();
          }
        }

        if (Point.isPoint(at)) {
          if (match == null) {
            if (Text.isText(node)) {
              match = n => Text.isText(n);
            } else if (editor.isInline(node)) {
              match = n => Text.isText(n) || Editor.isInline(editor, n);
            } else {
              match = n => Editor.isBlock(editor, n);
            }
          }

          var [entry] = Editor.nodes(editor, {
            at: at.path,
            match,
            mode,
            voids
          });

          if (entry) {
            var [, _matchPath] = entry;
            var pathRef = Editor.pathRef(editor, _matchPath);
            var isAtEnd = Editor.isEnd(editor, at, _matchPath);
            Transforms.splitNodes(editor, {
              at,
              match,
              mode,
              voids
            });
            var path = pathRef.unref();
            at = isAtEnd ? Path.next(path) : path;
          } else {
            return;
          }
        }

        var parentPath = Path.parent(at);
        var index = at[at.length - 1];

        if (!voids && Editor.void(editor, {
          at: parentPath
        })) {
          return;
        }

        for (var _node of nodes) {
          var _path = parentPath.concat(index);

          index++;
          editor.apply({
            type: 'insert_node',
            path: _path,
            node: _node
          });
        }

        if (select) {
          var point = Editor.end(editor, at);

          if (point) {
            Transforms.select(editor, point);
          }
        }
      });
    },

    /**
     * Lift nodes at a specific location upwards in the document tree, splitting
     * their parent in two if necessary.
     */
    liftNodes(editor) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
      Editor.withoutNormalizing(editor, () => {
        var {
          at = editor.selection,
          mode = 'lowest',
          voids = false
        } = options;
        var {
          match
        } = options;

        if (match == null) {
          match = Path.isPath(at) ? matchPath(editor, at) : n => Editor.isBlock(editor, n);
        }

        if (!at) {
          return;
        }

        var matches = Editor.nodes(editor, {
          at,
          match,
          mode,
          voids
        });
        var pathRefs = Array.from(matches, (_ref) => {
          var [, p] = _ref;
          return Editor.pathRef(editor, p);
        });

        for (var pathRef of pathRefs) {
          var path = pathRef.unref();

          if (path.length < 2) {
            throw new Error("Cannot lift node at a path [".concat(path, "] because it has a depth of less than `2`."));
          }

          var parentNodeEntry = Editor.node(editor, Path.parent(path));
          var [parent, parentPath] = parentNodeEntry;
          var index = path[path.length - 1];
          var {
            length
          } = parent.children;

          if (length === 1) {
            var toPath = Path.next(parentPath);
            Transforms.moveNodes(editor, {
              at: path,
              to: toPath,
              voids
            });
            Transforms.removeNodes(editor, {
              at: parentPath,
              voids
            });
          } else if (index === 0) {
            Transforms.moveNodes(editor, {
              at: path,
              to: parentPath,
              voids
            });
          } else if (index === length - 1) {
            var _toPath = Path.next(parentPath);

            Transforms.moveNodes(editor, {
              at: path,
              to: _toPath,
              voids
            });
          } else {
            var splitPath = Path.next(path);

            var _toPath2 = Path.next(parentPath);

            Transforms.splitNodes(editor, {
              at: splitPath,
              voids
            });
            Transforms.moveNodes(editor, {
              at: path,
              to: _toPath2,
              voids
            });
          }
        }
      });
    },

    /**
     * Merge a node at a location with the previous node of the same depth,
     * removing any empty containing nodes after the merge if necessary.
     */
    mergeNodes(editor) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
      Editor.withoutNormalizing(editor, () => {
        var {
          match,
          at = editor.selection
        } = options;
        var {
          hanging = false,
          voids = false,
          mode = 'lowest'
        } = options;

        if (!at) {
          return;
        }

        if (match == null) {
          if (Path.isPath(at)) {
            var [parent] = Editor.parent(editor, at);

            match = n => parent.children.includes(n);
          } else {
            match = n => Editor.isBlock(editor, n);
          }
        }

        if (!hanging && Range.isRange(at)) {
          at = Editor.unhangRange(editor, at);
        }

        if (Range.isRange(at)) {
          if (Range.isCollapsed(at)) {
            at = at.anchor;
          } else {
            var [, end] = Range.edges(at);
            var pointRef = Editor.pointRef(editor, end);
            Transforms.delete(editor, {
              at
            });
            at = pointRef.unref();

            if (options.at == null) {
              Transforms.select(editor, at);
            }
          }
        }

        var [current] = Editor.nodes(editor, {
          at,
          match,
          voids,
          mode
        });
        var prev = Editor.previous(editor, {
          at,
          match,
          voids,
          mode
        });

        if (!current || !prev) {
          return;
        }

        var [node, path] = current;
        var [prevNode, prevPath] = prev;

        if (path.length === 0 || prevPath.length === 0) {
          return;
        }

        var newPath = Path.next(prevPath);
        var commonPath = Path.common(path, prevPath);
        var isPreviousSibling = Path.isSibling(path, prevPath);
        var levels = Array.from(Editor.levels(editor, {
          at: path
        }), (_ref2) => {
          var [n] = _ref2;
          return n;
        }).slice(commonPath.length).slice(0, -1); // Determine if the merge will leave an ancestor of the path empty as a
        // result, in which case we'll want to remove it after merging.

        var emptyAncestor = Editor.above(editor, {
          at: path,
          mode: 'highest',
          match: n => levels.includes(n) && hasSingleChildNest(editor, n)
        });
        var emptyRef = emptyAncestor && Editor.pathRef(editor, emptyAncestor[1]);
        var properties;
        var position; // Ensure that the nodes are equivalent, and figure out what the position
        // and extra properties of the merge will be.

        if (Text.isText(node) && Text.isText(prevNode)) {
          var rest = _objectWithoutProperties(node, ["text"]);

          position = prevNode.text.length;
          properties = rest;
        } else if (Element$1.isElement(node) && Element$1.isElement(prevNode)) {
          var rest = _objectWithoutProperties(node, ["children"]);

          position = prevNode.children.length;
          properties = rest;
        } else {
          throw new Error("Cannot merge the node at path [".concat(path, "] with the previous sibling because it is not the same kind: ").concat(JSON.stringify(node), " ").concat(JSON.stringify(prevNode)));
        } // If the node isn't already the next sibling of the previous node, move
        // it so that it is before merging.


        if (!isPreviousSibling) {
          Transforms.moveNodes(editor, {
            at: path,
            to: newPath,
            voids
          });
        } // If there was going to be an empty ancestor of the node that was merged,
        // we remove it from the tree.


        if (emptyRef) {
          Transforms.removeNodes(editor, {
            at: emptyRef.current,
            voids
          });
        } // If the target node that we're merging with is empty, remove it instead
        // of merging the two. This is a common rich text editor behavior to
        // prevent losing formatting when deleting entire nodes when you have a
        // hanging selection.


        if (Element$1.isElement(prevNode) && Editor.isEmpty(editor, prevNode) || Text.isText(prevNode) && prevNode.text === '') {
          Transforms.removeNodes(editor, {
            at: prevPath,
            voids
          });
        } else {
          editor.apply({
            type: 'merge_node',
            path: newPath,
            position,
            properties
          });
        }

        if (emptyRef) {
          emptyRef.unref();
        }
      });
    },

    /**
     * Move the nodes at a location to a new location.
     */
    moveNodes(editor, options) {
      Editor.withoutNormalizing(editor, () => {
        var {
          to,
          at = editor.selection,
          mode = 'lowest',
          voids = false
        } = options;
        var {
          match
        } = options;

        if (!at) {
          return;
        }

        if (match == null) {
          match = Path.isPath(at) ? matchPath(editor, at) : n => Editor.isBlock(editor, n);
        }

        var toRef = Editor.pathRef(editor, to);
        var targets = Editor.nodes(editor, {
          at,
          match,
          mode,
          voids
        });
        var pathRefs = Array.from(targets, (_ref3) => {
          var [, p] = _ref3;
          return Editor.pathRef(editor, p);
        });

        for (var pathRef of pathRefs) {
          var path = pathRef.unref();
          var newPath = toRef.current;

          if (path.length !== 0) {
            editor.apply({
              type: 'move_node',
              path,
              newPath
            });
          }

          if (toRef.current && Path.isSibling(newPath, path) && Path.isAfter(newPath, path)) {
            // When performing a sibling move to a later index, the path at the destination is shifted
            // to before the insertion point instead of after. To ensure our group of nodes are inserted
            // in the correct order we increment toRef to account for that
            toRef.current = Path.next(toRef.current);
          }
        }

        toRef.unref();
      });
    },

    /**
     * Remove the nodes at a specific location in the document.
     */
    removeNodes(editor) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
      Editor.withoutNormalizing(editor, () => {
        var {
          hanging = false,
          voids = false,
          mode = 'lowest'
        } = options;
        var {
          at = editor.selection,
          match
        } = options;

        if (!at) {
          return;
        }

        if (match == null) {
          match = Path.isPath(at) ? matchPath(editor, at) : n => Editor.isBlock(editor, n);
        }

        if (!hanging && Range.isRange(at)) {
          at = Editor.unhangRange(editor, at);
        }

        var depths = Editor.nodes(editor, {
          at,
          match,
          mode,
          voids
        });
        var pathRefs = Array.from(depths, (_ref4) => {
          var [, p] = _ref4;
          return Editor.pathRef(editor, p);
        });

        for (var pathRef of pathRefs) {
          var path = pathRef.unref();

          if (path) {
            var [node] = Editor.node(editor, path);
            editor.apply({
              type: 'remove_node',
              path,
              node
            });
          }
        }
      });
    },

    /**
     * Set new properties on the nodes at a location.
     */
    setNodes(editor, props) {
      var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
      Editor.withoutNormalizing(editor, () => {
        var {
          match,
          at = editor.selection
        } = options;
        var {
          hanging = false,
          mode = 'lowest',
          split = false,
          voids = false
        } = options;

        if (!at) {
          return;
        }

        if (match == null) {
          match = Path.isPath(at) ? matchPath(editor, at) : n => Editor.isBlock(editor, n);
        }

        if (!hanging && Range.isRange(at)) {
          at = Editor.unhangRange(editor, at);
        }

        if (split && Range.isRange(at)) {
          var rangeRef = Editor.rangeRef(editor, at, {
            affinity: 'inward'
          });
          var [start, end] = Range.edges(at);
          var splitMode = mode === 'lowest' ? 'lowest' : 'highest';
          var endAtEndOfNode = Editor.isEnd(editor, end, end.path);
          Transforms.splitNodes(editor, {
            at: end,
            match,
            mode: splitMode,
            voids,
            always: !endAtEndOfNode
          });
          var startAtStartOfNode = Editor.isStart(editor, start, start.path);
          Transforms.splitNodes(editor, {
            at: start,
            match,
            mode: splitMode,
            voids,
            always: !startAtStartOfNode
          });
          at = rangeRef.unref();

          if (options.at == null) {
            Transforms.select(editor, at);
          }
        }

        for (var [node, path] of Editor.nodes(editor, {
          at,
          match,
          mode,
          voids
        })) {
          var properties = {};
          var newProperties = {}; // You can't set properties on the editor node.

          if (path.length === 0) {
            continue;
          }

          for (var k in props) {
            if (k === 'children' || k === 'text') {
              continue;
            }

            if (props[k] !== node[k]) {
              // Omit new properties from the old property list rather than set them to undefined
              if (node.hasOwnProperty(k)) properties[k] = node[k];
              newProperties[k] = props[k];
            }
          }

          if (Object.keys(newProperties).length !== 0) {
            editor.apply({
              type: 'set_node',
              path,
              properties,
              newProperties
            });
          }
        }
      });
    },

    /**
     * Split the nodes at a specific location.
     */
    splitNodes(editor) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
      Editor.withoutNormalizing(editor, () => {
        var {
          mode = 'lowest',
          voids = false
        } = options;
        var {
          match,
          at = editor.selection,
          height = 0,
          always = false
        } = options;

        if (match == null) {
          match = n => Editor.isBlock(editor, n);
        }

        if (Range.isRange(at)) {
          at = deleteRange(editor, at);
        } // If the target is a path, the default height-skipping and position
        // counters need to account for us potentially splitting at a non-leaf.


        if (Path.isPath(at)) {
          var path = at;
          var point = Editor.point(editor, path);
          var [parent] = Editor.parent(editor, path);

          match = n => n === parent;

          height = point.path.length - path.length + 1;
          at = point;
          always = true;
        }

        if (!at) {
          return;
        }

        var beforeRef = Editor.pointRef(editor, at, {
          affinity: 'backward'
        });
        var [highest] = Editor.nodes(editor, {
          at,
          match,
          mode,
          voids
        });

        if (!highest) {
          return;
        }

        var voidMatch = Editor.void(editor, {
          at,
          mode: 'highest'
        });
        var nudge = 0;

        if (!voids && voidMatch) {
          var [voidNode, voidPath] = voidMatch;

          if (Element$1.isElement(voidNode) && editor.isInline(voidNode)) {
            var after = Editor.after(editor, voidPath);

            if (!after) {
              var text = {
                text: ''
              };
              var afterPath = Path.next(voidPath);
              Transforms.insertNodes(editor, text, {
                at: afterPath,
                voids
              });
              after = Editor.point(editor, afterPath);
            }

            at = after;
            always = true;
          }

          var siblingHeight = at.path.length - voidPath.length;
          height = siblingHeight + 1;
          always = true;
        }

        var afterRef = Editor.pointRef(editor, at);
        var depth = at.path.length - height;
        var [, highestPath] = highest;
        var lowestPath = at.path.slice(0, depth);
        var position = height === 0 ? at.offset : at.path[depth] + nudge;

        for (var [node, _path2] of Editor.levels(editor, {
          at: lowestPath,
          reverse: true,
          voids
        })) {
          var split = false;

          if (_path2.length < highestPath.length || _path2.length === 0 || !voids && Editor.isVoid(editor, node)) {
            break;
          }

          var _point = beforeRef.current;
          var isEnd = Editor.isEnd(editor, _point, _path2);

          if (always || !beforeRef || !Editor.isEdge(editor, _point, _path2)) {
            split = true;
            var properties = Node$1.extractProps(node);
            editor.apply({
              type: 'split_node',
              path: _path2,
              position,
              properties
            });
          }

          position = _path2[_path2.length - 1] + (split || isEnd ? 1 : 0);
        }

        if (options.at == null) {
          var _point2 = afterRef.current || Editor.end(editor, []);

          Transforms.select(editor, _point2);
        }

        beforeRef.unref();
        afterRef.unref();
      });
    },

    /**
     * Unset properties on the nodes at a location.
     */
    unsetNodes(editor, props) {
      var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};

      if (!Array.isArray(props)) {
        props = [props];
      }

      var obj = {};

      for (var key of props) {
        obj[key] = null;
      }

      Transforms.setNodes(editor, obj, options);
    },

    /**
     * Unwrap the nodes at a location from a parent node, splitting the parent if
     * necessary to ensure that only the content in the range is unwrapped.
     */
    unwrapNodes(editor) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
      Editor.withoutNormalizing(editor, () => {
        var {
          mode = 'lowest',
          split = false,
          voids = false
        } = options;
        var {
          at = editor.selection,
          match
        } = options;

        if (!at) {
          return;
        }

        if (match == null) {
          match = Path.isPath(at) ? matchPath(editor, at) : n => Editor.isBlock(editor, n);
        }

        if (Path.isPath(at)) {
          at = Editor.range(editor, at);
        }

        var rangeRef = Range.isRange(at) ? Editor.rangeRef(editor, at) : null;
        var matches = Editor.nodes(editor, {
          at,
          match,
          mode,
          voids
        });
        var pathRefs = Array.from(matches, (_ref5) => {
          var [, p] = _ref5;
          return Editor.pathRef(editor, p);
        });

        var _loop = function _loop(pathRef) {
          var path = pathRef.unref();
          var [node] = Editor.node(editor, path);
          var range = Editor.range(editor, path);

          if (split && rangeRef) {
            range = Range.intersection(rangeRef.current, range);
          }

          Transforms.liftNodes(editor, {
            at: range,
            match: n => Element$1.isAncestor(node) && node.children.includes(n),
            voids
          });
        };

        for (var pathRef of pathRefs) {
          _loop(pathRef);
        }

        if (rangeRef) {
          rangeRef.unref();
        }
      });
    },

    /**
     * Wrap the nodes at a location in a new container node, splitting the edges
     * of the range first to ensure that only the content in the range is wrapped.
     */
    wrapNodes(editor, element) {
      var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
      Editor.withoutNormalizing(editor, () => {
        var {
          mode = 'lowest',
          split = false,
          voids = false
        } = options;
        var {
          match,
          at = editor.selection
        } = options;

        if (!at) {
          return;
        }

        if (match == null) {
          if (Path.isPath(at)) {
            match = matchPath(editor, at);
          } else if (editor.isInline(element)) {
            match = n => Editor.isInline(editor, n) || Text.isText(n);
          } else {
            match = n => Editor.isBlock(editor, n);
          }
        }

        if (split && Range.isRange(at)) {
          var [start, end] = Range.edges(at);
          var rangeRef = Editor.rangeRef(editor, at, {
            affinity: 'inward'
          });
          Transforms.splitNodes(editor, {
            at: end,
            match,
            voids
          });
          Transforms.splitNodes(editor, {
            at: start,
            match,
            voids
          });
          at = rangeRef.unref();

          if (options.at == null) {
            Transforms.select(editor, at);
          }
        }

        var roots = Array.from(Editor.nodes(editor, {
          at,
          match: editor.isInline(element) ? n => Editor.isBlock(editor, n) : n => Editor.isEditor(n),
          mode: 'lowest',
          voids
        }));

        for (var [, rootPath] of roots) {
          var a = Range.isRange(at) ? Range.intersection(at, Editor.range(editor, rootPath)) : at;

          if (!a) {
            continue;
          }

          var matches = Array.from(Editor.nodes(editor, {
            at: a,
            match,
            mode,
            voids
          }));

          if (matches.length > 0) {
            (function () {
              var [first] = matches;
              var last = matches[matches.length - 1];
              var [, firstPath] = first;
              var [, lastPath] = last;
              var commonPath = Path.equals(firstPath, lastPath) ? Path.parent(firstPath) : Path.common(firstPath, lastPath);
              var range = Editor.range(editor, firstPath, lastPath);
              var commonNodeEntry = Editor.node(editor, commonPath);
              var [commonNode] = commonNodeEntry;
              var depth = commonPath.length + 1;
              var wrapperPath = Path.next(lastPath.slice(0, depth));

              var wrapper = _objectSpread$7(_objectSpread$7({}, element), {}, {
                children: []
              });

              Transforms.insertNodes(editor, wrapper, {
                at: wrapperPath,
                voids
              });
              Transforms.moveNodes(editor, {
                at: range,
                match: n => Element$1.isAncestor(commonNode) && commonNode.children.includes(n),
                to: wrapperPath.concat(0),
                voids
              });
            })();
          }
        }
      });
    }

  };

  var hasSingleChildNest = (editor, node) => {
    if (Element$1.isElement(node)) {
      var element = node;

      if (Editor.isVoid(editor, node)) {
        return true;
      } else if (element.children.length === 1) {
        return hasSingleChildNest(editor, element.children[0]);
      } else {
        return false;
      }
    } else if (Editor.isEditor(node)) {
      return false;
    } else {
      return true;
    }
  };
  /**
   * Convert a range into a point by deleting it's content.
   */


  var deleteRange = (editor, range) => {
    if (Range.isCollapsed(range)) {
      return range.anchor;
    } else {
      var [, end] = Range.edges(range);
      var pointRef = Editor.pointRef(editor, end);
      Transforms.delete(editor, {
        at: range
      });
      return pointRef.unref();
    }
  };

  var matchPath = (editor, path) => {
    var [node] = Editor.node(editor, path);
    return n => n === node;
  };

  function ownKeys$8(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

  function _objectSpread$8(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys$8(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys$8(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }
  var SelectionTransforms = {
    /**
     * Collapse the selection.
     */
    collapse(editor) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
      var {
        edge = 'anchor'
      } = options;
      var {
        selection
      } = editor;

      if (!selection) {
        return;
      } else if (edge === 'anchor') {
        Transforms.select(editor, selection.anchor);
      } else if (edge === 'focus') {
        Transforms.select(editor, selection.focus);
      } else if (edge === 'start') {
        var [start] = Range.edges(selection);
        Transforms.select(editor, start);
      } else if (edge === 'end') {
        var [, end] = Range.edges(selection);
        Transforms.select(editor, end);
      }
    },

    /**
     * Unset the selection.
     */
    deselect(editor) {
      var {
        selection
      } = editor;

      if (selection) {
        editor.apply({
          type: 'set_selection',
          properties: selection,
          newProperties: null
        });
      }
    },

    /**
     * Move the selection's point forward or backward.
     */
    move(editor) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
      var {
        selection
      } = editor;
      var {
        distance = 1,
        unit = 'character',
        reverse = false
      } = options;
      var {
        edge = null
      } = options;

      if (!selection) {
        return;
      }

      if (edge === 'start') {
        edge = Range.isBackward(selection) ? 'focus' : 'anchor';
      }

      if (edge === 'end') {
        edge = Range.isBackward(selection) ? 'anchor' : 'focus';
      }

      var {
        anchor,
        focus
      } = selection;
      var opts = {
        distance,
        unit
      };
      var props = {};

      if (edge == null || edge === 'anchor') {
        var point = reverse ? Editor.before(editor, anchor, opts) : Editor.after(editor, anchor, opts);

        if (point) {
          props.anchor = point;
        }
      }

      if (edge == null || edge === 'focus') {
        var _point = reverse ? Editor.before(editor, focus, opts) : Editor.after(editor, focus, opts);

        if (_point) {
          props.focus = _point;
        }
      }

      Transforms.setSelection(editor, props);
    },

    /**
     * Set the selection to a new value.
     */
    select(editor, target) {
      var {
        selection
      } = editor;
      target = Editor.range(editor, target);

      if (selection) {
        Transforms.setSelection(editor, target);
        return;
      }

      if (!Range.isRange(target)) {
        throw new Error("When setting the selection and the current selection is `null` you must provide at least an `anchor` and `focus`, but you passed: ".concat(JSON.stringify(target)));
      }

      editor.apply({
        type: 'set_selection',
        properties: selection,
        newProperties: target
      });
    },

    /**
     * Set new properties on one of the selection's points.
     */
    setPoint(editor, props) {
      var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
      var {
        selection
      } = editor;
      var {
        edge = 'both'
      } = options;

      if (!selection) {
        return;
      }

      if (edge === 'start') {
        edge = Range.isBackward(selection) ? 'focus' : 'anchor';
      }

      if (edge === 'end') {
        edge = Range.isBackward(selection) ? 'anchor' : 'focus';
      }

      var {
        anchor,
        focus
      } = selection;
      var point = edge === 'anchor' ? anchor : focus;
      Transforms.setSelection(editor, {
        [edge === 'anchor' ? 'anchor' : 'focus']: _objectSpread$8(_objectSpread$8({}, point), props)
      });
    },

    /**
     * Set new properties on the selection.
     */
    setSelection(editor, props) {
      var {
        selection
      } = editor;
      var oldProps = {};
      var newProps = {};

      if (!selection) {
        return;
      }

      for (var k in props) {
        if (k === 'anchor' && props.anchor != null && !Point.equals(props.anchor, selection.anchor) || k === 'focus' && props.focus != null && !Point.equals(props.focus, selection.focus) || k !== 'anchor' && k !== 'focus' && props[k] !== selection[k]) {
          oldProps[k] = selection[k];
          newProps[k] = props[k];
        }
      }

      if (Object.keys(oldProps).length > 0) {
        editor.apply({
          type: 'set_selection',
          properties: oldProps,
          newProperties: newProps
        });
      }
    }

  };

  var TextTransforms = {
    /**
     * Delete content in the editor.
     */
    delete(editor) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
      Editor.withoutNormalizing(editor, () => {
        var {
          reverse = false,
          unit = 'character',
          distance = 1,
          voids = false
        } = options;
        var {
          at = editor.selection,
          hanging = false
        } = options;

        if (!at) {
          return;
        }

        if (Range.isRange(at) && Range.isCollapsed(at)) {
          at = at.anchor;
        }

        if (Point.isPoint(at)) {
          var furthestVoid = Editor.void(editor, {
            at,
            mode: 'highest'
          });

          if (!voids && furthestVoid) {
            var [, voidPath] = furthestVoid;
            at = voidPath;
          } else {
            var opts = {
              unit,
              distance
            };
            var target = reverse ? Editor.before(editor, at, opts) || Editor.start(editor, []) : Editor.after(editor, at, opts) || Editor.end(editor, []);
            at = {
              anchor: at,
              focus: target
            };
            hanging = true;
          }
        }

        if (Path.isPath(at)) {
          Transforms.removeNodes(editor, {
            at,
            voids
          });
          return;
        }

        if (Range.isCollapsed(at)) {
          return;
        }

        if (!hanging) {
          var [, _end] = Range.edges(at);
          var endOfDoc = Editor.end(editor, []);

          if (!Point.equals(_end, endOfDoc)) {
            at = Editor.unhangRange(editor, at, {
              voids
            });
          }
        }

        var [start, end] = Range.edges(at);
        var startBlock = Editor.above(editor, {
          match: n => Editor.isBlock(editor, n),
          at: start,
          voids
        });
        var endBlock = Editor.above(editor, {
          match: n => Editor.isBlock(editor, n),
          at: end,
          voids
        });
        var isAcrossBlocks = startBlock && endBlock && !Path.equals(startBlock[1], endBlock[1]);
        var isSingleText = Path.equals(start.path, end.path);
        var startVoid = voids ? null : Editor.void(editor, {
          at: start,
          mode: 'highest'
        });
        var endVoid = voids ? null : Editor.void(editor, {
          at: end,
          mode: 'highest'
        }); // If the start or end points are inside an inline void, nudge them out.

        if (startVoid) {
          var before = Editor.before(editor, start);

          if (before && startBlock && Path.isAncestor(startBlock[1], before.path)) {
            start = before;
          }
        }

        if (endVoid) {
          var after = Editor.after(editor, end);

          if (after && endBlock && Path.isAncestor(endBlock[1], after.path)) {
            end = after;
          }
        } // Get the highest nodes that are completely inside the range, as well as
        // the start and end nodes.


        var matches = [];
        var lastPath;

        for (var entry of Editor.nodes(editor, {
          at,
          voids
        })) {
          var [node, path] = entry;

          if (lastPath && Path.compare(path, lastPath) === 0) {
            continue;
          }

          if (!voids && Editor.isVoid(editor, node) || !Path.isCommon(path, start.path) && !Path.isCommon(path, end.path)) {
            matches.push(entry);
            lastPath = path;
          }
        }

        var pathRefs = Array.from(matches, (_ref) => {
          var [, p] = _ref;
          return Editor.pathRef(editor, p);
        });
        var startRef = Editor.pointRef(editor, start);
        var endRef = Editor.pointRef(editor, end);

        if (!isSingleText && !startVoid) {
          var _point = startRef.current;
          var [_node] = Editor.leaf(editor, _point);
          var {
            path: _path
          } = _point;
          var {
            offset
          } = start;

          var text = _node.text.slice(offset);

          if (text.length > 0) editor.apply({
            type: 'remove_text',
            path: _path,
            offset,
            text
          });
        }

        for (var pathRef of pathRefs) {
          var _path2 = pathRef.unref();

          Transforms.removeNodes(editor, {
            at: _path2,
            voids
          });
        }

        if (!endVoid) {
          var _point2 = endRef.current;
          var [_node2] = Editor.leaf(editor, _point2);
          var {
            path: _path3
          } = _point2;

          var _offset = isSingleText ? start.offset : 0;

          var _text = _node2.text.slice(_offset, end.offset);

          if (_text.length > 0) editor.apply({
            type: 'remove_text',
            path: _path3,
            offset: _offset,
            text: _text
          });
        }

        if (!isSingleText && isAcrossBlocks && endRef.current && startRef.current) {
          Transforms.mergeNodes(editor, {
            at: endRef.current,
            hanging: true,
            voids
          });
        }

        var point = reverse ? startRef.unref() || endRef.unref() : endRef.unref() || startRef.unref();

        if (options.at == null && point) {
          Transforms.select(editor, point);
        }
      });
    },

    /**
     * Insert a fragment at a specific location in the editor.
     */
    insertFragment(editor, fragment) {
      var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
      Editor.withoutNormalizing(editor, () => {
        var {
          hanging = false,
          voids = false
        } = options;
        var {
          at = editor.selection
        } = options;

        if (!fragment.length) {
          return;
        }

        if (!at) {
          return;
        } else if (Range.isRange(at)) {
          if (!hanging) {
            at = Editor.unhangRange(editor, at);
          }

          if (Range.isCollapsed(at)) {
            at = at.anchor;
          } else {
            var [, end] = Range.edges(at);

            if (!voids && Editor.void(editor, {
              at: end
            })) {
              return;
            }

            var pointRef = Editor.pointRef(editor, end);
            Transforms.delete(editor, {
              at
            });
            at = pointRef.unref();
          }
        } else if (Path.isPath(at)) {
          at = Editor.start(editor, at);
        }

        if (!voids && Editor.void(editor, {
          at
        })) {
          return;
        } // If the insert point is at the edge of an inline node, move it outside
        // instead since it will need to be split otherwise.


        var inlineElementMatch = Editor.above(editor, {
          at,
          match: n => Editor.isInline(editor, n),
          mode: 'highest',
          voids
        });

        if (inlineElementMatch) {
          var [, _inlinePath] = inlineElementMatch;

          if (Editor.isEnd(editor, at, _inlinePath)) {
            var after = Editor.after(editor, _inlinePath);
            at = after;
          } else if (Editor.isStart(editor, at, _inlinePath)) {
            var before = Editor.before(editor, _inlinePath);
            at = before;
          }
        }

        var blockMatch = Editor.above(editor, {
          match: n => Editor.isBlock(editor, n),
          at,
          voids
        });
        var [, blockPath] = blockMatch;
        var isBlockStart = Editor.isStart(editor, at, blockPath);
        var isBlockEnd = Editor.isEnd(editor, at, blockPath);
        var mergeStart = !isBlockStart || isBlockStart && isBlockEnd;
        var mergeEnd = !isBlockEnd;
        var [, firstPath] = Node$1.first({
          children: fragment
        }, []);
        var [, lastPath] = Node$1.last({
          children: fragment
        }, []);
        var matches = [];

        var matcher = (_ref2) => {
          var [n, p] = _ref2;

          if (mergeStart && Path.isAncestor(p, firstPath) && Element$1.isElement(n) && !editor.isVoid(n) && !editor.isInline(n)) {
            return false;
          }

          if (mergeEnd && Path.isAncestor(p, lastPath) && Element$1.isElement(n) && !editor.isVoid(n) && !editor.isInline(n)) {
            return false;
          }

          return true;
        };

        for (var entry of Node$1.nodes({
          children: fragment
        }, {
          pass: matcher
        })) {
          if (entry[1].length > 0 && matcher(entry)) {
            matches.push(entry);
          }
        }

        var starts = [];
        var middles = [];
        var ends = [];
        var starting = true;
        var hasBlocks = false;

        for (var [node] of matches) {
          if (Element$1.isElement(node) && !editor.isInline(node)) {
            starting = false;
            hasBlocks = true;
            middles.push(node);
          } else if (starting) {
            starts.push(node);
          } else {
            ends.push(node);
          }
        }

        var [inlineMatch] = Editor.nodes(editor, {
          at,
          match: n => Text.isText(n) || Editor.isInline(editor, n),
          mode: 'highest',
          voids
        });
        var [, inlinePath] = inlineMatch;
        var isInlineStart = Editor.isStart(editor, at, inlinePath);
        var isInlineEnd = Editor.isEnd(editor, at, inlinePath);
        var middleRef = Editor.pathRef(editor, isBlockEnd ? Path.next(blockPath) : blockPath);
        var endRef = Editor.pathRef(editor, isInlineEnd ? Path.next(inlinePath) : inlinePath);
        Transforms.splitNodes(editor, {
          at,
          match: n => hasBlocks ? Editor.isBlock(editor, n) : Text.isText(n) || Editor.isInline(editor, n),
          mode: hasBlocks ? 'lowest' : 'highest',
          voids
        });
        var startRef = Editor.pathRef(editor, !isInlineStart || isInlineStart && isInlineEnd ? Path.next(inlinePath) : inlinePath);
        Transforms.insertNodes(editor, starts, {
          at: startRef.current,
          match: n => Text.isText(n) || Editor.isInline(editor, n),
          mode: 'highest',
          voids
        });
        Transforms.insertNodes(editor, middles, {
          at: middleRef.current,
          match: n => Editor.isBlock(editor, n),
          mode: 'lowest',
          voids
        });
        Transforms.insertNodes(editor, ends, {
          at: endRef.current,
          match: n => Text.isText(n) || Editor.isInline(editor, n),
          mode: 'highest',
          voids
        });

        if (!options.at) {
          var path;

          if (ends.length > 0) {
            path = Path.previous(endRef.current);
          } else if (middles.length > 0) {
            path = Path.previous(middleRef.current);
          } else {
            path = Path.previous(startRef.current);
          }

          var _end2 = Editor.end(editor, path);

          Transforms.select(editor, _end2);
        }

        startRef.unref();
        middleRef.unref();
        endRef.unref();
      });
    },

    /**
     * Insert a string of text in the Editor.
     */
    insertText(editor, text) {
      var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
      Editor.withoutNormalizing(editor, () => {
        var {
          voids = false
        } = options;
        var {
          at = editor.selection
        } = options;

        if (!at) {
          return;
        }

        if (Path.isPath(at)) {
          at = Editor.range(editor, at);
        }

        if (Range.isRange(at)) {
          if (Range.isCollapsed(at)) {
            at = at.anchor;
          } else {
            var end = Range.end(at);

            if (!voids && Editor.void(editor, {
              at: end
            })) {
              return;
            }

            var pointRef = Editor.pointRef(editor, end);
            Transforms.delete(editor, {
              at,
              voids
            });
            at = pointRef.unref();
            Transforms.setSelection(editor, {
              anchor: at,
              focus: at
            });
          }
        }

        if (!voids && Editor.void(editor, {
          at
        })) {
          return;
        }

        var {
          path,
          offset
        } = at;
        if (text.length > 0) editor.apply({
          type: 'insert_text',
          path,
          offset,
          text
        });
      });
    }

  };

  function ownKeys$9(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

  function _objectSpread$9(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys$9(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys$9(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }
  var Transforms = _objectSpread$9(_objectSpread$9(_objectSpread$9(_objectSpread$9({}, GeneralTransforms), NodeTransforms), SelectionTransforms), TextTransforms);

  /**
   * Lodash (Custom Build) <https://lodash.com/>
   * Build: `lodash modularize exports="npm" -o ./`
   * Copyright JS Foundation and other contributors <https://js.foundation/>
   * Released under MIT license <https://lodash.com/license>
   * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
   * Copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
   */

  var lodash_isequal = createCommonjsModule(function (module, exports) {
  /** Used as the size to enable large array optimizations. */
  var LARGE_ARRAY_SIZE = 200;

  /** Used to stand-in for `undefined` hash values. */
  var HASH_UNDEFINED = '__lodash_hash_undefined__';

  /** Used to compose bitmasks for value comparisons. */
  var COMPARE_PARTIAL_FLAG = 1,
      COMPARE_UNORDERED_FLAG = 2;

  /** Used as references for various `Number` constants. */
  var MAX_SAFE_INTEGER = 9007199254740991;

  /** `Object#toString` result references. */
  var argsTag = '[object Arguments]',
      arrayTag = '[object Array]',
      asyncTag = '[object AsyncFunction]',
      boolTag = '[object Boolean]',
      dateTag = '[object Date]',
      errorTag = '[object Error]',
      funcTag = '[object Function]',
      genTag = '[object GeneratorFunction]',
      mapTag = '[object Map]',
      numberTag = '[object Number]',
      nullTag = '[object Null]',
      objectTag = '[object Object]',
      promiseTag = '[object Promise]',
      proxyTag = '[object Proxy]',
      regexpTag = '[object RegExp]',
      setTag = '[object Set]',
      stringTag = '[object String]',
      symbolTag = '[object Symbol]',
      undefinedTag = '[object Undefined]',
      weakMapTag = '[object WeakMap]';

  var arrayBufferTag = '[object ArrayBuffer]',
      dataViewTag = '[object DataView]',
      float32Tag = '[object Float32Array]',
      float64Tag = '[object Float64Array]',
      int8Tag = '[object Int8Array]',
      int16Tag = '[object Int16Array]',
      int32Tag = '[object Int32Array]',
      uint8Tag = '[object Uint8Array]',
      uint8ClampedTag = '[object Uint8ClampedArray]',
      uint16Tag = '[object Uint16Array]',
      uint32Tag = '[object Uint32Array]';

  /**
   * Used to match `RegExp`
   * [syntax characters](http://ecma-international.org/ecma-262/7.0/#sec-patterns).
   */
  var reRegExpChar = /[\\^$.*+?()[\]{}|]/g;

  /** Used to detect host constructors (Safari). */
  var reIsHostCtor = /^\[object .+?Constructor\]$/;

  /** Used to detect unsigned integer values. */
  var reIsUint = /^(?:0|[1-9]\d*)$/;

  /** Used to identify `toStringTag` values of typed arrays. */
  var typedArrayTags = {};
  typedArrayTags[float32Tag] = typedArrayTags[float64Tag] =
  typedArrayTags[int8Tag] = typedArrayTags[int16Tag] =
  typedArrayTags[int32Tag] = typedArrayTags[uint8Tag] =
  typedArrayTags[uint8ClampedTag] = typedArrayTags[uint16Tag] =
  typedArrayTags[uint32Tag] = true;
  typedArrayTags[argsTag] = typedArrayTags[arrayTag] =
  typedArrayTags[arrayBufferTag] = typedArrayTags[boolTag] =
  typedArrayTags[dataViewTag] = typedArrayTags[dateTag] =
  typedArrayTags[errorTag] = typedArrayTags[funcTag] =
  typedArrayTags[mapTag] = typedArrayTags[numberTag] =
  typedArrayTags[objectTag] = typedArrayTags[regexpTag] =
  typedArrayTags[setTag] = typedArrayTags[stringTag] =
  typedArrayTags[weakMapTag] = false;

  /** Detect free variable `global` from Node.js. */
  var freeGlobal = typeof commonjsGlobal == 'object' && commonjsGlobal && commonjsGlobal.Object === Object && commonjsGlobal;

  /** Detect free variable `self`. */
  var freeSelf = typeof self == 'object' && self && self.Object === Object && self;

  /** Used as a reference to the global object. */
  var root = freeGlobal || freeSelf || Function('return this')();

  /** Detect free variable `exports`. */
  var freeExports = exports && !exports.nodeType && exports;

  /** Detect free variable `module`. */
  var freeModule = freeExports && 'object' == 'object' && module && !module.nodeType && module;

  /** Detect the popular CommonJS extension `module.exports`. */
  var moduleExports = freeModule && freeModule.exports === freeExports;

  /** Detect free variable `process` from Node.js. */
  var freeProcess = moduleExports && freeGlobal.process;

  /** Used to access faster Node.js helpers. */
  var nodeUtil = (function() {
    try {
      return freeProcess && freeProcess.binding && freeProcess.binding('util');
    } catch (e) {}
  }());

  /* Node.js helper references. */
  var nodeIsTypedArray = nodeUtil && nodeUtil.isTypedArray;

  /**
   * A specialized version of `_.filter` for arrays without support for
   * iteratee shorthands.
   *
   * @private
   * @param {Array} [array] The array to iterate over.
   * @param {Function} predicate The function invoked per iteration.
   * @returns {Array} Returns the new filtered array.
   */
  function arrayFilter(array, predicate) {
    var index = -1,
        length = array == null ? 0 : array.length,
        resIndex = 0,
        result = [];

    while (++index < length) {
      var value = array[index];
      if (predicate(value, index, array)) {
        result[resIndex++] = value;
      }
    }
    return result;
  }

  /**
   * Appends the elements of `values` to `array`.
   *
   * @private
   * @param {Array} array The array to modify.
   * @param {Array} values The values to append.
   * @returns {Array} Returns `array`.
   */
  function arrayPush(array, values) {
    var index = -1,
        length = values.length,
        offset = array.length;

    while (++index < length) {
      array[offset + index] = values[index];
    }
    return array;
  }

  /**
   * A specialized version of `_.some` for arrays without support for iteratee
   * shorthands.
   *
   * @private
   * @param {Array} [array] The array to iterate over.
   * @param {Function} predicate The function invoked per iteration.
   * @returns {boolean} Returns `true` if any element passes the predicate check,
   *  else `false`.
   */
  function arraySome(array, predicate) {
    var index = -1,
        length = array == null ? 0 : array.length;

    while (++index < length) {
      if (predicate(array[index], index, array)) {
        return true;
      }
    }
    return false;
  }

  /**
   * The base implementation of `_.times` without support for iteratee shorthands
   * or max array length checks.
   *
   * @private
   * @param {number} n The number of times to invoke `iteratee`.
   * @param {Function} iteratee The function invoked per iteration.
   * @returns {Array} Returns the array of results.
   */
  function baseTimes(n, iteratee) {
    var index = -1,
        result = Array(n);

    while (++index < n) {
      result[index] = iteratee(index);
    }
    return result;
  }

  /**
   * The base implementation of `_.unary` without support for storing metadata.
   *
   * @private
   * @param {Function} func The function to cap arguments for.
   * @returns {Function} Returns the new capped function.
   */
  function baseUnary(func) {
    return function(value) {
      return func(value);
    };
  }

  /**
   * Checks if a `cache` value for `key` exists.
   *
   * @private
   * @param {Object} cache The cache to query.
   * @param {string} key The key of the entry to check.
   * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
   */
  function cacheHas(cache, key) {
    return cache.has(key);
  }

  /**
   * Gets the value at `key` of `object`.
   *
   * @private
   * @param {Object} [object] The object to query.
   * @param {string} key The key of the property to get.
   * @returns {*} Returns the property value.
   */
  function getValue(object, key) {
    return object == null ? undefined : object[key];
  }

  /**
   * Converts `map` to its key-value pairs.
   *
   * @private
   * @param {Object} map The map to convert.
   * @returns {Array} Returns the key-value pairs.
   */
  function mapToArray(map) {
    var index = -1,
        result = Array(map.size);

    map.forEach(function(value, key) {
      result[++index] = [key, value];
    });
    return result;
  }

  /**
   * Creates a unary function that invokes `func` with its argument transformed.
   *
   * @private
   * @param {Function} func The function to wrap.
   * @param {Function} transform The argument transform.
   * @returns {Function} Returns the new function.
   */
  function overArg(func, transform) {
    return function(arg) {
      return func(transform(arg));
    };
  }

  /**
   * Converts `set` to an array of its values.
   *
   * @private
   * @param {Object} set The set to convert.
   * @returns {Array} Returns the values.
   */
  function setToArray(set) {
    var index = -1,
        result = Array(set.size);

    set.forEach(function(value) {
      result[++index] = value;
    });
    return result;
  }

  /** Used for built-in method references. */
  var arrayProto = Array.prototype,
      funcProto = Function.prototype,
      objectProto = Object.prototype;

  /** Used to detect overreaching core-js shims. */
  var coreJsData = root['__core-js_shared__'];

  /** Used to resolve the decompiled source of functions. */
  var funcToString = funcProto.toString;

  /** Used to check objects for own properties. */
  var hasOwnProperty = objectProto.hasOwnProperty;

  /** Used to detect methods masquerading as native. */
  var maskSrcKey = (function() {
    var uid = /[^.]+$/.exec(coreJsData && coreJsData.keys && coreJsData.keys.IE_PROTO || '');
    return uid ? ('Symbol(src)_1.' + uid) : '';
  }());

  /**
   * Used to resolve the
   * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
   * of values.
   */
  var nativeObjectToString = objectProto.toString;

  /** Used to detect if a method is native. */
  var reIsNative = RegExp('^' +
    funcToString.call(hasOwnProperty).replace(reRegExpChar, '\\$&')
    .replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, '$1.*?') + '$'
  );

  /** Built-in value references. */
  var Buffer = moduleExports ? root.Buffer : undefined,
      Symbol = root.Symbol,
      Uint8Array = root.Uint8Array,
      propertyIsEnumerable = objectProto.propertyIsEnumerable,
      splice = arrayProto.splice,
      symToStringTag = Symbol ? Symbol.toStringTag : undefined;

  /* Built-in method references for those with the same name as other `lodash` methods. */
  var nativeGetSymbols = Object.getOwnPropertySymbols,
      nativeIsBuffer = Buffer ? Buffer.isBuffer : undefined,
      nativeKeys = overArg(Object.keys, Object);

  /* Built-in method references that are verified to be native. */
  var DataView = getNative(root, 'DataView'),
      Map = getNative(root, 'Map'),
      Promise = getNative(root, 'Promise'),
      Set = getNative(root, 'Set'),
      WeakMap = getNative(root, 'WeakMap'),
      nativeCreate = getNative(Object, 'create');

  /** Used to detect maps, sets, and weakmaps. */
  var dataViewCtorString = toSource(DataView),
      mapCtorString = toSource(Map),
      promiseCtorString = toSource(Promise),
      setCtorString = toSource(Set),
      weakMapCtorString = toSource(WeakMap);

  /** Used to convert symbols to primitives and strings. */
  var symbolProto = Symbol ? Symbol.prototype : undefined,
      symbolValueOf = symbolProto ? symbolProto.valueOf : undefined;

  /**
   * Creates a hash object.
   *
   * @private
   * @constructor
   * @param {Array} [entries] The key-value pairs to cache.
   */
  function Hash(entries) {
    var index = -1,
        length = entries == null ? 0 : entries.length;

    this.clear();
    while (++index < length) {
      var entry = entries[index];
      this.set(entry[0], entry[1]);
    }
  }

  /**
   * Removes all key-value entries from the hash.
   *
   * @private
   * @name clear
   * @memberOf Hash
   */
  function hashClear() {
    this.__data__ = nativeCreate ? nativeCreate(null) : {};
    this.size = 0;
  }

  /**
   * Removes `key` and its value from the hash.
   *
   * @private
   * @name delete
   * @memberOf Hash
   * @param {Object} hash The hash to modify.
   * @param {string} key The key of the value to remove.
   * @returns {boolean} Returns `true` if the entry was removed, else `false`.
   */
  function hashDelete(key) {
    var result = this.has(key) && delete this.__data__[key];
    this.size -= result ? 1 : 0;
    return result;
  }

  /**
   * Gets the hash value for `key`.
   *
   * @private
   * @name get
   * @memberOf Hash
   * @param {string} key The key of the value to get.
   * @returns {*} Returns the entry value.
   */
  function hashGet(key) {
    var data = this.__data__;
    if (nativeCreate) {
      var result = data[key];
      return result === HASH_UNDEFINED ? undefined : result;
    }
    return hasOwnProperty.call(data, key) ? data[key] : undefined;
  }

  /**
   * Checks if a hash value for `key` exists.
   *
   * @private
   * @name has
   * @memberOf Hash
   * @param {string} key The key of the entry to check.
   * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
   */
  function hashHas(key) {
    var data = this.__data__;
    return nativeCreate ? (data[key] !== undefined) : hasOwnProperty.call(data, key);
  }

  /**
   * Sets the hash `key` to `value`.
   *
   * @private
   * @name set
   * @memberOf Hash
   * @param {string} key The key of the value to set.
   * @param {*} value The value to set.
   * @returns {Object} Returns the hash instance.
   */
  function hashSet(key, value) {
    var data = this.__data__;
    this.size += this.has(key) ? 0 : 1;
    data[key] = (nativeCreate && value === undefined) ? HASH_UNDEFINED : value;
    return this;
  }

  // Add methods to `Hash`.
  Hash.prototype.clear = hashClear;
  Hash.prototype['delete'] = hashDelete;
  Hash.prototype.get = hashGet;
  Hash.prototype.has = hashHas;
  Hash.prototype.set = hashSet;

  /**
   * Creates an list cache object.
   *
   * @private
   * @constructor
   * @param {Array} [entries] The key-value pairs to cache.
   */
  function ListCache(entries) {
    var index = -1,
        length = entries == null ? 0 : entries.length;

    this.clear();
    while (++index < length) {
      var entry = entries[index];
      this.set(entry[0], entry[1]);
    }
  }

  /**
   * Removes all key-value entries from the list cache.
   *
   * @private
   * @name clear
   * @memberOf ListCache
   */
  function listCacheClear() {
    this.__data__ = [];
    this.size = 0;
  }

  /**
   * Removes `key` and its value from the list cache.
   *
   * @private
   * @name delete
   * @memberOf ListCache
   * @param {string} key The key of the value to remove.
   * @returns {boolean} Returns `true` if the entry was removed, else `false`.
   */
  function listCacheDelete(key) {
    var data = this.__data__,
        index = assocIndexOf(data, key);

    if (index < 0) {
      return false;
    }
    var lastIndex = data.length - 1;
    if (index == lastIndex) {
      data.pop();
    } else {
      splice.call(data, index, 1);
    }
    --this.size;
    return true;
  }

  /**
   * Gets the list cache value for `key`.
   *
   * @private
   * @name get
   * @memberOf ListCache
   * @param {string} key The key of the value to get.
   * @returns {*} Returns the entry value.
   */
  function listCacheGet(key) {
    var data = this.__data__,
        index = assocIndexOf(data, key);

    return index < 0 ? undefined : data[index][1];
  }

  /**
   * Checks if a list cache value for `key` exists.
   *
   * @private
   * @name has
   * @memberOf ListCache
   * @param {string} key The key of the entry to check.
   * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
   */
  function listCacheHas(key) {
    return assocIndexOf(this.__data__, key) > -1;
  }

  /**
   * Sets the list cache `key` to `value`.
   *
   * @private
   * @name set
   * @memberOf ListCache
   * @param {string} key The key of the value to set.
   * @param {*} value The value to set.
   * @returns {Object} Returns the list cache instance.
   */
  function listCacheSet(key, value) {
    var data = this.__data__,
        index = assocIndexOf(data, key);

    if (index < 0) {
      ++this.size;
      data.push([key, value]);
    } else {
      data[index][1] = value;
    }
    return this;
  }

  // Add methods to `ListCache`.
  ListCache.prototype.clear = listCacheClear;
  ListCache.prototype['delete'] = listCacheDelete;
  ListCache.prototype.get = listCacheGet;
  ListCache.prototype.has = listCacheHas;
  ListCache.prototype.set = listCacheSet;

  /**
   * Creates a map cache object to store key-value pairs.
   *
   * @private
   * @constructor
   * @param {Array} [entries] The key-value pairs to cache.
   */
  function MapCache(entries) {
    var index = -1,
        length = entries == null ? 0 : entries.length;

    this.clear();
    while (++index < length) {
      var entry = entries[index];
      this.set(entry[0], entry[1]);
    }
  }

  /**
   * Removes all key-value entries from the map.
   *
   * @private
   * @name clear
   * @memberOf MapCache
   */
  function mapCacheClear() {
    this.size = 0;
    this.__data__ = {
      'hash': new Hash,
      'map': new (Map || ListCache),
      'string': new Hash
    };
  }

  /**
   * Removes `key` and its value from the map.
   *
   * @private
   * @name delete
   * @memberOf MapCache
   * @param {string} key The key of the value to remove.
   * @returns {boolean} Returns `true` if the entry was removed, else `false`.
   */
  function mapCacheDelete(key) {
    var result = getMapData(this, key)['delete'](key);
    this.size -= result ? 1 : 0;
    return result;
  }

  /**
   * Gets the map value for `key`.
   *
   * @private
   * @name get
   * @memberOf MapCache
   * @param {string} key The key of the value to get.
   * @returns {*} Returns the entry value.
   */
  function mapCacheGet(key) {
    return getMapData(this, key).get(key);
  }

  /**
   * Checks if a map value for `key` exists.
   *
   * @private
   * @name has
   * @memberOf MapCache
   * @param {string} key The key of the entry to check.
   * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
   */
  function mapCacheHas(key) {
    return getMapData(this, key).has(key);
  }

  /**
   * Sets the map `key` to `value`.
   *
   * @private
   * @name set
   * @memberOf MapCache
   * @param {string} key The key of the value to set.
   * @param {*} value The value to set.
   * @returns {Object} Returns the map cache instance.
   */
  function mapCacheSet(key, value) {
    var data = getMapData(this, key),
        size = data.size;

    data.set(key, value);
    this.size += data.size == size ? 0 : 1;
    return this;
  }

  // Add methods to `MapCache`.
  MapCache.prototype.clear = mapCacheClear;
  MapCache.prototype['delete'] = mapCacheDelete;
  MapCache.prototype.get = mapCacheGet;
  MapCache.prototype.has = mapCacheHas;
  MapCache.prototype.set = mapCacheSet;

  /**
   *
   * Creates an array cache object to store unique values.
   *
   * @private
   * @constructor
   * @param {Array} [values] The values to cache.
   */
  function SetCache(values) {
    var index = -1,
        length = values == null ? 0 : values.length;

    this.__data__ = new MapCache;
    while (++index < length) {
      this.add(values[index]);
    }
  }

  /**
   * Adds `value` to the array cache.
   *
   * @private
   * @name add
   * @memberOf SetCache
   * @alias push
   * @param {*} value The value to cache.
   * @returns {Object} Returns the cache instance.
   */
  function setCacheAdd(value) {
    this.__data__.set(value, HASH_UNDEFINED);
    return this;
  }

  /**
   * Checks if `value` is in the array cache.
   *
   * @private
   * @name has
   * @memberOf SetCache
   * @param {*} value The value to search for.
   * @returns {number} Returns `true` if `value` is found, else `false`.
   */
  function setCacheHas(value) {
    return this.__data__.has(value);
  }

  // Add methods to `SetCache`.
  SetCache.prototype.add = SetCache.prototype.push = setCacheAdd;
  SetCache.prototype.has = setCacheHas;

  /**
   * Creates a stack cache object to store key-value pairs.
   *
   * @private
   * @constructor
   * @param {Array} [entries] The key-value pairs to cache.
   */
  function Stack(entries) {
    var data = this.__data__ = new ListCache(entries);
    this.size = data.size;
  }

  /**
   * Removes all key-value entries from the stack.
   *
   * @private
   * @name clear
   * @memberOf Stack
   */
  function stackClear() {
    this.__data__ = new ListCache;
    this.size = 0;
  }

  /**
   * Removes `key` and its value from the stack.
   *
   * @private
   * @name delete
   * @memberOf Stack
   * @param {string} key The key of the value to remove.
   * @returns {boolean} Returns `true` if the entry was removed, else `false`.
   */
  function stackDelete(key) {
    var data = this.__data__,
        result = data['delete'](key);

    this.size = data.size;
    return result;
  }

  /**
   * Gets the stack value for `key`.
   *
   * @private
   * @name get
   * @memberOf Stack
   * @param {string} key The key of the value to get.
   * @returns {*} Returns the entry value.
   */
  function stackGet(key) {
    return this.__data__.get(key);
  }

  /**
   * Checks if a stack value for `key` exists.
   *
   * @private
   * @name has
   * @memberOf Stack
   * @param {string} key The key of the entry to check.
   * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
   */
  function stackHas(key) {
    return this.__data__.has(key);
  }

  /**
   * Sets the stack `key` to `value`.
   *
   * @private
   * @name set
   * @memberOf Stack
   * @param {string} key The key of the value to set.
   * @param {*} value The value to set.
   * @returns {Object} Returns the stack cache instance.
   */
  function stackSet(key, value) {
    var data = this.__data__;
    if (data instanceof ListCache) {
      var pairs = data.__data__;
      if (!Map || (pairs.length < LARGE_ARRAY_SIZE - 1)) {
        pairs.push([key, value]);
        this.size = ++data.size;
        return this;
      }
      data = this.__data__ = new MapCache(pairs);
    }
    data.set(key, value);
    this.size = data.size;
    return this;
  }

  // Add methods to `Stack`.
  Stack.prototype.clear = stackClear;
  Stack.prototype['delete'] = stackDelete;
  Stack.prototype.get = stackGet;
  Stack.prototype.has = stackHas;
  Stack.prototype.set = stackSet;

  /**
   * Creates an array of the enumerable property names of the array-like `value`.
   *
   * @private
   * @param {*} value The value to query.
   * @param {boolean} inherited Specify returning inherited property names.
   * @returns {Array} Returns the array of property names.
   */
  function arrayLikeKeys(value, inherited) {
    var isArr = isArray(value),
        isArg = !isArr && isArguments(value),
        isBuff = !isArr && !isArg && isBuffer(value),
        isType = !isArr && !isArg && !isBuff && isTypedArray(value),
        skipIndexes = isArr || isArg || isBuff || isType,
        result = skipIndexes ? baseTimes(value.length, String) : [],
        length = result.length;

    for (var key in value) {
      if ((inherited || hasOwnProperty.call(value, key)) &&
          !(skipIndexes && (
             // Safari 9 has enumerable `arguments.length` in strict mode.
             key == 'length' ||
             // Node.js 0.10 has enumerable non-index properties on buffers.
             (isBuff && (key == 'offset' || key == 'parent')) ||
             // PhantomJS 2 has enumerable non-index properties on typed arrays.
             (isType && (key == 'buffer' || key == 'byteLength' || key == 'byteOffset')) ||
             // Skip index properties.
             isIndex(key, length)
          ))) {
        result.push(key);
      }
    }
    return result;
  }

  /**
   * Gets the index at which the `key` is found in `array` of key-value pairs.
   *
   * @private
   * @param {Array} array The array to inspect.
   * @param {*} key The key to search for.
   * @returns {number} Returns the index of the matched value, else `-1`.
   */
  function assocIndexOf(array, key) {
    var length = array.length;
    while (length--) {
      if (eq(array[length][0], key)) {
        return length;
      }
    }
    return -1;
  }

  /**
   * The base implementation of `getAllKeys` and `getAllKeysIn` which uses
   * `keysFunc` and `symbolsFunc` to get the enumerable property names and
   * symbols of `object`.
   *
   * @private
   * @param {Object} object The object to query.
   * @param {Function} keysFunc The function to get the keys of `object`.
   * @param {Function} symbolsFunc The function to get the symbols of `object`.
   * @returns {Array} Returns the array of property names and symbols.
   */
  function baseGetAllKeys(object, keysFunc, symbolsFunc) {
    var result = keysFunc(object);
    return isArray(object) ? result : arrayPush(result, symbolsFunc(object));
  }

  /**
   * The base implementation of `getTag` without fallbacks for buggy environments.
   *
   * @private
   * @param {*} value The value to query.
   * @returns {string} Returns the `toStringTag`.
   */
  function baseGetTag(value) {
    if (value == null) {
      return value === undefined ? undefinedTag : nullTag;
    }
    return (symToStringTag && symToStringTag in Object(value))
      ? getRawTag(value)
      : objectToString(value);
  }

  /**
   * The base implementation of `_.isArguments`.
   *
   * @private
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is an `arguments` object,
   */
  function baseIsArguments(value) {
    return isObjectLike(value) && baseGetTag(value) == argsTag;
  }

  /**
   * The base implementation of `_.isEqual` which supports partial comparisons
   * and tracks traversed objects.
   *
   * @private
   * @param {*} value The value to compare.
   * @param {*} other The other value to compare.
   * @param {boolean} bitmask The bitmask flags.
   *  1 - Unordered comparison
   *  2 - Partial comparison
   * @param {Function} [customizer] The function to customize comparisons.
   * @param {Object} [stack] Tracks traversed `value` and `other` objects.
   * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
   */
  function baseIsEqual(value, other, bitmask, customizer, stack) {
    if (value === other) {
      return true;
    }
    if (value == null || other == null || (!isObjectLike(value) && !isObjectLike(other))) {
      return value !== value && other !== other;
    }
    return baseIsEqualDeep(value, other, bitmask, customizer, baseIsEqual, stack);
  }

  /**
   * A specialized version of `baseIsEqual` for arrays and objects which performs
   * deep comparisons and tracks traversed objects enabling objects with circular
   * references to be compared.
   *
   * @private
   * @param {Object} object The object to compare.
   * @param {Object} other The other object to compare.
   * @param {number} bitmask The bitmask flags. See `baseIsEqual` for more details.
   * @param {Function} customizer The function to customize comparisons.
   * @param {Function} equalFunc The function to determine equivalents of values.
   * @param {Object} [stack] Tracks traversed `object` and `other` objects.
   * @returns {boolean} Returns `true` if the objects are equivalent, else `false`.
   */
  function baseIsEqualDeep(object, other, bitmask, customizer, equalFunc, stack) {
    var objIsArr = isArray(object),
        othIsArr = isArray(other),
        objTag = objIsArr ? arrayTag : getTag(object),
        othTag = othIsArr ? arrayTag : getTag(other);

    objTag = objTag == argsTag ? objectTag : objTag;
    othTag = othTag == argsTag ? objectTag : othTag;

    var objIsObj = objTag == objectTag,
        othIsObj = othTag == objectTag,
        isSameTag = objTag == othTag;

    if (isSameTag && isBuffer(object)) {
      if (!isBuffer(other)) {
        return false;
      }
      objIsArr = true;
      objIsObj = false;
    }
    if (isSameTag && !objIsObj) {
      stack || (stack = new Stack);
      return (objIsArr || isTypedArray(object))
        ? equalArrays(object, other, bitmask, customizer, equalFunc, stack)
        : equalByTag(object, other, objTag, bitmask, customizer, equalFunc, stack);
    }
    if (!(bitmask & COMPARE_PARTIAL_FLAG)) {
      var objIsWrapped = objIsObj && hasOwnProperty.call(object, '__wrapped__'),
          othIsWrapped = othIsObj && hasOwnProperty.call(other, '__wrapped__');

      if (objIsWrapped || othIsWrapped) {
        var objUnwrapped = objIsWrapped ? object.value() : object,
            othUnwrapped = othIsWrapped ? other.value() : other;

        stack || (stack = new Stack);
        return equalFunc(objUnwrapped, othUnwrapped, bitmask, customizer, stack);
      }
    }
    if (!isSameTag) {
      return false;
    }
    stack || (stack = new Stack);
    return equalObjects(object, other, bitmask, customizer, equalFunc, stack);
  }

  /**
   * The base implementation of `_.isNative` without bad shim checks.
   *
   * @private
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a native function,
   *  else `false`.
   */
  function baseIsNative(value) {
    if (!isObject(value) || isMasked(value)) {
      return false;
    }
    var pattern = isFunction(value) ? reIsNative : reIsHostCtor;
    return pattern.test(toSource(value));
  }

  /**
   * The base implementation of `_.isTypedArray` without Node.js optimizations.
   *
   * @private
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a typed array, else `false`.
   */
  function baseIsTypedArray(value) {
    return isObjectLike(value) &&
      isLength(value.length) && !!typedArrayTags[baseGetTag(value)];
  }

  /**
   * The base implementation of `_.keys` which doesn't treat sparse arrays as dense.
   *
   * @private
   * @param {Object} object The object to query.
   * @returns {Array} Returns the array of property names.
   */
  function baseKeys(object) {
    if (!isPrototype(object)) {
      return nativeKeys(object);
    }
    var result = [];
    for (var key in Object(object)) {
      if (hasOwnProperty.call(object, key) && key != 'constructor') {
        result.push(key);
      }
    }
    return result;
  }

  /**
   * A specialized version of `baseIsEqualDeep` for arrays with support for
   * partial deep comparisons.
   *
   * @private
   * @param {Array} array The array to compare.
   * @param {Array} other The other array to compare.
   * @param {number} bitmask The bitmask flags. See `baseIsEqual` for more details.
   * @param {Function} customizer The function to customize comparisons.
   * @param {Function} equalFunc The function to determine equivalents of values.
   * @param {Object} stack Tracks traversed `array` and `other` objects.
   * @returns {boolean} Returns `true` if the arrays are equivalent, else `false`.
   */
  function equalArrays(array, other, bitmask, customizer, equalFunc, stack) {
    var isPartial = bitmask & COMPARE_PARTIAL_FLAG,
        arrLength = array.length,
        othLength = other.length;

    if (arrLength != othLength && !(isPartial && othLength > arrLength)) {
      return false;
    }
    // Assume cyclic values are equal.
    var stacked = stack.get(array);
    if (stacked && stack.get(other)) {
      return stacked == other;
    }
    var index = -1,
        result = true,
        seen = (bitmask & COMPARE_UNORDERED_FLAG) ? new SetCache : undefined;

    stack.set(array, other);
    stack.set(other, array);

    // Ignore non-index properties.
    while (++index < arrLength) {
      var arrValue = array[index],
          othValue = other[index];

      if (customizer) {
        var compared = isPartial
          ? customizer(othValue, arrValue, index, other, array, stack)
          : customizer(arrValue, othValue, index, array, other, stack);
      }
      if (compared !== undefined) {
        if (compared) {
          continue;
        }
        result = false;
        break;
      }
      // Recursively compare arrays (susceptible to call stack limits).
      if (seen) {
        if (!arraySome(other, function(othValue, othIndex) {
              if (!cacheHas(seen, othIndex) &&
                  (arrValue === othValue || equalFunc(arrValue, othValue, bitmask, customizer, stack))) {
                return seen.push(othIndex);
              }
            })) {
          result = false;
          break;
        }
      } else if (!(
            arrValue === othValue ||
              equalFunc(arrValue, othValue, bitmask, customizer, stack)
          )) {
        result = false;
        break;
      }
    }
    stack['delete'](array);
    stack['delete'](other);
    return result;
  }

  /**
   * A specialized version of `baseIsEqualDeep` for comparing objects of
   * the same `toStringTag`.
   *
   * **Note:** This function only supports comparing values with tags of
   * `Boolean`, `Date`, `Error`, `Number`, `RegExp`, or `String`.
   *
   * @private
   * @param {Object} object The object to compare.
   * @param {Object} other The other object to compare.
   * @param {string} tag The `toStringTag` of the objects to compare.
   * @param {number} bitmask The bitmask flags. See `baseIsEqual` for more details.
   * @param {Function} customizer The function to customize comparisons.
   * @param {Function} equalFunc The function to determine equivalents of values.
   * @param {Object} stack Tracks traversed `object` and `other` objects.
   * @returns {boolean} Returns `true` if the objects are equivalent, else `false`.
   */
  function equalByTag(object, other, tag, bitmask, customizer, equalFunc, stack) {
    switch (tag) {
      case dataViewTag:
        if ((object.byteLength != other.byteLength) ||
            (object.byteOffset != other.byteOffset)) {
          return false;
        }
        object = object.buffer;
        other = other.buffer;

      case arrayBufferTag:
        if ((object.byteLength != other.byteLength) ||
            !equalFunc(new Uint8Array(object), new Uint8Array(other))) {
          return false;
        }
        return true;

      case boolTag:
      case dateTag:
      case numberTag:
        // Coerce booleans to `1` or `0` and dates to milliseconds.
        // Invalid dates are coerced to `NaN`.
        return eq(+object, +other);

      case errorTag:
        return object.name == other.name && object.message == other.message;

      case regexpTag:
      case stringTag:
        // Coerce regexes to strings and treat strings, primitives and objects,
        // as equal. See http://www.ecma-international.org/ecma-262/7.0/#sec-regexp.prototype.tostring
        // for more details.
        return object == (other + '');

      case mapTag:
        var convert = mapToArray;

      case setTag:
        var isPartial = bitmask & COMPARE_PARTIAL_FLAG;
        convert || (convert = setToArray);

        if (object.size != other.size && !isPartial) {
          return false;
        }
        // Assume cyclic values are equal.
        var stacked = stack.get(object);
        if (stacked) {
          return stacked == other;
        }
        bitmask |= COMPARE_UNORDERED_FLAG;

        // Recursively compare objects (susceptible to call stack limits).
        stack.set(object, other);
        var result = equalArrays(convert(object), convert(other), bitmask, customizer, equalFunc, stack);
        stack['delete'](object);
        return result;

      case symbolTag:
        if (symbolValueOf) {
          return symbolValueOf.call(object) == symbolValueOf.call(other);
        }
    }
    return false;
  }

  /**
   * A specialized version of `baseIsEqualDeep` for objects with support for
   * partial deep comparisons.
   *
   * @private
   * @param {Object} object The object to compare.
   * @param {Object} other The other object to compare.
   * @param {number} bitmask The bitmask flags. See `baseIsEqual` for more details.
   * @param {Function} customizer The function to customize comparisons.
   * @param {Function} equalFunc The function to determine equivalents of values.
   * @param {Object} stack Tracks traversed `object` and `other` objects.
   * @returns {boolean} Returns `true` if the objects are equivalent, else `false`.
   */
  function equalObjects(object, other, bitmask, customizer, equalFunc, stack) {
    var isPartial = bitmask & COMPARE_PARTIAL_FLAG,
        objProps = getAllKeys(object),
        objLength = objProps.length,
        othProps = getAllKeys(other),
        othLength = othProps.length;

    if (objLength != othLength && !isPartial) {
      return false;
    }
    var index = objLength;
    while (index--) {
      var key = objProps[index];
      if (!(isPartial ? key in other : hasOwnProperty.call(other, key))) {
        return false;
      }
    }
    // Assume cyclic values are equal.
    var stacked = stack.get(object);
    if (stacked && stack.get(other)) {
      return stacked == other;
    }
    var result = true;
    stack.set(object, other);
    stack.set(other, object);

    var skipCtor = isPartial;
    while (++index < objLength) {
      key = objProps[index];
      var objValue = object[key],
          othValue = other[key];

      if (customizer) {
        var compared = isPartial
          ? customizer(othValue, objValue, key, other, object, stack)
          : customizer(objValue, othValue, key, object, other, stack);
      }
      // Recursively compare objects (susceptible to call stack limits).
      if (!(compared === undefined
            ? (objValue === othValue || equalFunc(objValue, othValue, bitmask, customizer, stack))
            : compared
          )) {
        result = false;
        break;
      }
      skipCtor || (skipCtor = key == 'constructor');
    }
    if (result && !skipCtor) {
      var objCtor = object.constructor,
          othCtor = other.constructor;

      // Non `Object` object instances with different constructors are not equal.
      if (objCtor != othCtor &&
          ('constructor' in object && 'constructor' in other) &&
          !(typeof objCtor == 'function' && objCtor instanceof objCtor &&
            typeof othCtor == 'function' && othCtor instanceof othCtor)) {
        result = false;
      }
    }
    stack['delete'](object);
    stack['delete'](other);
    return result;
  }

  /**
   * Creates an array of own enumerable property names and symbols of `object`.
   *
   * @private
   * @param {Object} object The object to query.
   * @returns {Array} Returns the array of property names and symbols.
   */
  function getAllKeys(object) {
    return baseGetAllKeys(object, keys, getSymbols);
  }

  /**
   * Gets the data for `map`.
   *
   * @private
   * @param {Object} map The map to query.
   * @param {string} key The reference key.
   * @returns {*} Returns the map data.
   */
  function getMapData(map, key) {
    var data = map.__data__;
    return isKeyable(key)
      ? data[typeof key == 'string' ? 'string' : 'hash']
      : data.map;
  }

  /**
   * Gets the native function at `key` of `object`.
   *
   * @private
   * @param {Object} object The object to query.
   * @param {string} key The key of the method to get.
   * @returns {*} Returns the function if it's native, else `undefined`.
   */
  function getNative(object, key) {
    var value = getValue(object, key);
    return baseIsNative(value) ? value : undefined;
  }

  /**
   * A specialized version of `baseGetTag` which ignores `Symbol.toStringTag` values.
   *
   * @private
   * @param {*} value The value to query.
   * @returns {string} Returns the raw `toStringTag`.
   */
  function getRawTag(value) {
    var isOwn = hasOwnProperty.call(value, symToStringTag),
        tag = value[symToStringTag];

    try {
      value[symToStringTag] = undefined;
      var unmasked = true;
    } catch (e) {}

    var result = nativeObjectToString.call(value);
    if (unmasked) {
      if (isOwn) {
        value[symToStringTag] = tag;
      } else {
        delete value[symToStringTag];
      }
    }
    return result;
  }

  /**
   * Creates an array of the own enumerable symbols of `object`.
   *
   * @private
   * @param {Object} object The object to query.
   * @returns {Array} Returns the array of symbols.
   */
  var getSymbols = !nativeGetSymbols ? stubArray : function(object) {
    if (object == null) {
      return [];
    }
    object = Object(object);
    return arrayFilter(nativeGetSymbols(object), function(symbol) {
      return propertyIsEnumerable.call(object, symbol);
    });
  };

  /**
   * Gets the `toStringTag` of `value`.
   *
   * @private
   * @param {*} value The value to query.
   * @returns {string} Returns the `toStringTag`.
   */
  var getTag = baseGetTag;

  // Fallback for data views, maps, sets, and weak maps in IE 11 and promises in Node.js < 6.
  if ((DataView && getTag(new DataView(new ArrayBuffer(1))) != dataViewTag) ||
      (Map && getTag(new Map) != mapTag) ||
      (Promise && getTag(Promise.resolve()) != promiseTag) ||
      (Set && getTag(new Set) != setTag) ||
      (WeakMap && getTag(new WeakMap) != weakMapTag)) {
    getTag = function(value) {
      var result = baseGetTag(value),
          Ctor = result == objectTag ? value.constructor : undefined,
          ctorString = Ctor ? toSource(Ctor) : '';

      if (ctorString) {
        switch (ctorString) {
          case dataViewCtorString: return dataViewTag;
          case mapCtorString: return mapTag;
          case promiseCtorString: return promiseTag;
          case setCtorString: return setTag;
          case weakMapCtorString: return weakMapTag;
        }
      }
      return result;
    };
  }

  /**
   * Checks if `value` is a valid array-like index.
   *
   * @private
   * @param {*} value The value to check.
   * @param {number} [length=MAX_SAFE_INTEGER] The upper bounds of a valid index.
   * @returns {boolean} Returns `true` if `value` is a valid index, else `false`.
   */
  function isIndex(value, length) {
    length = length == null ? MAX_SAFE_INTEGER : length;
    return !!length &&
      (typeof value == 'number' || reIsUint.test(value)) &&
      (value > -1 && value % 1 == 0 && value < length);
  }

  /**
   * Checks if `value` is suitable for use as unique object key.
   *
   * @private
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is suitable, else `false`.
   */
  function isKeyable(value) {
    var type = typeof value;
    return (type == 'string' || type == 'number' || type == 'symbol' || type == 'boolean')
      ? (value !== '__proto__')
      : (value === null);
  }

  /**
   * Checks if `func` has its source masked.
   *
   * @private
   * @param {Function} func The function to check.
   * @returns {boolean} Returns `true` if `func` is masked, else `false`.
   */
  function isMasked(func) {
    return !!maskSrcKey && (maskSrcKey in func);
  }

  /**
   * Checks if `value` is likely a prototype object.
   *
   * @private
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a prototype, else `false`.
   */
  function isPrototype(value) {
    var Ctor = value && value.constructor,
        proto = (typeof Ctor == 'function' && Ctor.prototype) || objectProto;

    return value === proto;
  }

  /**
   * Converts `value` to a string using `Object.prototype.toString`.
   *
   * @private
   * @param {*} value The value to convert.
   * @returns {string} Returns the converted string.
   */
  function objectToString(value) {
    return nativeObjectToString.call(value);
  }

  /**
   * Converts `func` to its source code.
   *
   * @private
   * @param {Function} func The function to convert.
   * @returns {string} Returns the source code.
   */
  function toSource(func) {
    if (func != null) {
      try {
        return funcToString.call(func);
      } catch (e) {}
      try {
        return (func + '');
      } catch (e) {}
    }
    return '';
  }

  /**
   * Performs a
   * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
   * comparison between two values to determine if they are equivalent.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to compare.
   * @param {*} other The other value to compare.
   * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
   * @example
   *
   * var object = { 'a': 1 };
   * var other = { 'a': 1 };
   *
   * _.eq(object, object);
   * // => true
   *
   * _.eq(object, other);
   * // => false
   *
   * _.eq('a', 'a');
   * // => true
   *
   * _.eq('a', Object('a'));
   * // => false
   *
   * _.eq(NaN, NaN);
   * // => true
   */
  function eq(value, other) {
    return value === other || (value !== value && other !== other);
  }

  /**
   * Checks if `value` is likely an `arguments` object.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is an `arguments` object,
   *  else `false`.
   * @example
   *
   * _.isArguments(function() { return arguments; }());
   * // => true
   *
   * _.isArguments([1, 2, 3]);
   * // => false
   */
  var isArguments = baseIsArguments(function() { return arguments; }()) ? baseIsArguments : function(value) {
    return isObjectLike(value) && hasOwnProperty.call(value, 'callee') &&
      !propertyIsEnumerable.call(value, 'callee');
  };

  /**
   * Checks if `value` is classified as an `Array` object.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is an array, else `false`.
   * @example
   *
   * _.isArray([1, 2, 3]);
   * // => true
   *
   * _.isArray(document.body.children);
   * // => false
   *
   * _.isArray('abc');
   * // => false
   *
   * _.isArray(_.noop);
   * // => false
   */
  var isArray = Array.isArray;

  /**
   * Checks if `value` is array-like. A value is considered array-like if it's
   * not a function and has a `value.length` that's an integer greater than or
   * equal to `0` and less than or equal to `Number.MAX_SAFE_INTEGER`.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is array-like, else `false`.
   * @example
   *
   * _.isArrayLike([1, 2, 3]);
   * // => true
   *
   * _.isArrayLike(document.body.children);
   * // => true
   *
   * _.isArrayLike('abc');
   * // => true
   *
   * _.isArrayLike(_.noop);
   * // => false
   */
  function isArrayLike(value) {
    return value != null && isLength(value.length) && !isFunction(value);
  }

  /**
   * Checks if `value` is a buffer.
   *
   * @static
   * @memberOf _
   * @since 4.3.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a buffer, else `false`.
   * @example
   *
   * _.isBuffer(new Buffer(2));
   * // => true
   *
   * _.isBuffer(new Uint8Array(2));
   * // => false
   */
  var isBuffer = nativeIsBuffer || stubFalse;

  /**
   * Performs a deep comparison between two values to determine if they are
   * equivalent.
   *
   * **Note:** This method supports comparing arrays, array buffers, booleans,
   * date objects, error objects, maps, numbers, `Object` objects, regexes,
   * sets, strings, symbols, and typed arrays. `Object` objects are compared
   * by their own, not inherited, enumerable properties. Functions and DOM
   * nodes are compared by strict equality, i.e. `===`.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Lang
   * @param {*} value The value to compare.
   * @param {*} other The other value to compare.
   * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
   * @example
   *
   * var object = { 'a': 1 };
   * var other = { 'a': 1 };
   *
   * _.isEqual(object, other);
   * // => true
   *
   * object === other;
   * // => false
   */
  function isEqual(value, other) {
    return baseIsEqual(value, other);
  }

  /**
   * Checks if `value` is classified as a `Function` object.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a function, else `false`.
   * @example
   *
   * _.isFunction(_);
   * // => true
   *
   * _.isFunction(/abc/);
   * // => false
   */
  function isFunction(value) {
    if (!isObject(value)) {
      return false;
    }
    // The use of `Object#toString` avoids issues with the `typeof` operator
    // in Safari 9 which returns 'object' for typed arrays and other constructors.
    var tag = baseGetTag(value);
    return tag == funcTag || tag == genTag || tag == asyncTag || tag == proxyTag;
  }

  /**
   * Checks if `value` is a valid array-like length.
   *
   * **Note:** This method is loosely based on
   * [`ToLength`](http://ecma-international.org/ecma-262/7.0/#sec-tolength).
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a valid length, else `false`.
   * @example
   *
   * _.isLength(3);
   * // => true
   *
   * _.isLength(Number.MIN_VALUE);
   * // => false
   *
   * _.isLength(Infinity);
   * // => false
   *
   * _.isLength('3');
   * // => false
   */
  function isLength(value) {
    return typeof value == 'number' &&
      value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER;
  }

  /**
   * Checks if `value` is the
   * [language type](http://www.ecma-international.org/ecma-262/7.0/#sec-ecmascript-language-types)
   * of `Object`. (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is an object, else `false`.
   * @example
   *
   * _.isObject({});
   * // => true
   *
   * _.isObject([1, 2, 3]);
   * // => true
   *
   * _.isObject(_.noop);
   * // => true
   *
   * _.isObject(null);
   * // => false
   */
  function isObject(value) {
    var type = typeof value;
    return value != null && (type == 'object' || type == 'function');
  }

  /**
   * Checks if `value` is object-like. A value is object-like if it's not `null`
   * and has a `typeof` result of "object".
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is object-like, else `false`.
   * @example
   *
   * _.isObjectLike({});
   * // => true
   *
   * _.isObjectLike([1, 2, 3]);
   * // => true
   *
   * _.isObjectLike(_.noop);
   * // => false
   *
   * _.isObjectLike(null);
   * // => false
   */
  function isObjectLike(value) {
    return value != null && typeof value == 'object';
  }

  /**
   * Checks if `value` is classified as a typed array.
   *
   * @static
   * @memberOf _
   * @since 3.0.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a typed array, else `false`.
   * @example
   *
   * _.isTypedArray(new Uint8Array);
   * // => true
   *
   * _.isTypedArray([]);
   * // => false
   */
  var isTypedArray = nodeIsTypedArray ? baseUnary(nodeIsTypedArray) : baseIsTypedArray;

  /**
   * Creates an array of the own enumerable property names of `object`.
   *
   * **Note:** Non-object values are coerced to objects. See the
   * [ES spec](http://ecma-international.org/ecma-262/7.0/#sec-object.keys)
   * for more details.
   *
   * @static
   * @since 0.1.0
   * @memberOf _
   * @category Object
   * @param {Object} object The object to query.
   * @returns {Array} Returns the array of property names.
   * @example
   *
   * function Foo() {
   *   this.a = 1;
   *   this.b = 2;
   * }
   *
   * Foo.prototype.c = 3;
   *
   * _.keys(new Foo);
   * // => ['a', 'b'] (iteration order is not guaranteed)
   *
   * _.keys('hi');
   * // => ['0', '1']
   */
  function keys(object) {
    return isArrayLike(object) ? arrayLikeKeys(object) : baseKeys(object);
  }

  /**
   * This method returns a new empty array.
   *
   * @static
   * @memberOf _
   * @since 4.13.0
   * @category Util
   * @returns {Array} Returns the new empty array.
   * @example
   *
   * var arrays = _.times(2, _.stubArray);
   *
   * console.log(arrays);
   * // => [[], []]
   *
   * console.log(arrays[0] === arrays[1]);
   * // => false
   */
  function stubArray() {
    return [];
  }

  /**
   * This method returns `false`.
   *
   * @static
   * @memberOf _
   * @since 4.13.0
   * @category Util
   * @returns {boolean} Returns `false`.
   * @example
   *
   * _.times(2, _.stubFalse);
   * // => [false, false]
   */
  function stubFalse() {
    return false;
  }

  module.exports = isEqual;
  });

  /**
   * lodash (Custom Build) <https://lodash.com/>
   * Build: `lodash modularize exports="npm" -o ./`
   * Copyright jQuery Foundation and other contributors <https://jquery.org/>
   * Released under MIT license <https://lodash.com/license>
   * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
   * Copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
   */

  /** Used as references for various `Number` constants. */
  var MAX_SAFE_INTEGER$1 = 9007199254740991;

  /** `Object#toString` result references. */
  var argsTag$1 = '[object Arguments]',
      funcTag$1 = '[object Function]',
      genTag$1 = '[object GeneratorFunction]',
      mapTag = '[object Map]',
      objectTag = '[object Object]',
      promiseTag = '[object Promise]',
      setTag = '[object Set]',
      stringTag = '[object String]',
      weakMapTag = '[object WeakMap]';

  var dataViewTag = '[object DataView]';

  /**
   * Used to match `RegExp`
   * [syntax characters](http://ecma-international.org/ecma-262/7.0/#sec-patterns).
   */
  var reRegExpChar = /[\\^$.*+?()[\]{}|]/g;

  /** Used to detect host constructors (Safari). */
  var reIsHostCtor = /^\[object .+?Constructor\]$/;

  /** Used to detect unsigned integer values. */
  var reIsUint$1 = /^(?:0|[1-9]\d*)$/;

  /** Used to compose unicode character classes. */
  var rsAstralRange$1 = '\\ud800-\\udfff',
      rsComboMarksRange$1 = '\\u0300-\\u036f\\ufe20-\\ufe23',
      rsComboSymbolsRange$1 = '\\u20d0-\\u20f0',
      rsVarRange$1 = '\\ufe0e\\ufe0f';

  /** Used to compose unicode capture groups. */
  var rsAstral$1 = '[' + rsAstralRange$1 + ']',
      rsCombo$1 = '[' + rsComboMarksRange$1 + rsComboSymbolsRange$1 + ']',
      rsFitz$1 = '\\ud83c[\\udffb-\\udfff]',
      rsModifier$1 = '(?:' + rsCombo$1 + '|' + rsFitz$1 + ')',
      rsNonAstral$1 = '[^' + rsAstralRange$1 + ']',
      rsRegional$1 = '(?:\\ud83c[\\udde6-\\uddff]){2}',
      rsSurrPair$1 = '[\\ud800-\\udbff][\\udc00-\\udfff]',
      rsZWJ$1 = '\\u200d';

  /** Used to compose unicode regexes. */
  var reOptMod$1 = rsModifier$1 + '?',
      rsOptVar$1 = '[' + rsVarRange$1 + ']?',
      rsOptJoin$1 = '(?:' + rsZWJ$1 + '(?:' + [rsNonAstral$1, rsRegional$1, rsSurrPair$1].join('|') + ')' + rsOptVar$1 + reOptMod$1 + ')*',
      rsSeq$1 = rsOptVar$1 + reOptMod$1 + rsOptJoin$1,
      rsSymbol$1 = '(?:' + [rsNonAstral$1 + rsCombo$1 + '?', rsCombo$1, rsRegional$1, rsSurrPair$1, rsAstral$1].join('|') + ')';

  /** Used to match [string symbols](https://mathiasbynens.be/notes/javascript-unicode). */
  var reUnicode$1 = RegExp(rsFitz$1 + '(?=' + rsFitz$1 + ')|' + rsSymbol$1 + rsSeq$1, 'g');

  /** Used to detect strings with [zero-width joiners or code points from the astral planes](http://eev.ee/blog/2015/09/12/dark-corners-of-unicode/). */
  var reHasUnicode$1 = RegExp('[' + rsZWJ$1 + rsAstralRange$1  + rsComboMarksRange$1 + rsComboSymbolsRange$1 + rsVarRange$1 + ']');

  /** Detect free variable `global` from Node.js. */
  var freeGlobal$3 = typeof commonjsGlobal == 'object' && commonjsGlobal && commonjsGlobal.Object === Object && commonjsGlobal;

  /** Detect free variable `self`. */
  var freeSelf$3 = typeof self == 'object' && self && self.Object === Object && self;

  /** Used as a reference to the global object. */
  var root$3 = freeGlobal$3 || freeSelf$3 || Function('return this')();

  /**
   * A specialized version of `_.map` for arrays without support for iteratee
   * shorthands.
   *
   * @private
   * @param {Array} [array] The array to iterate over.
   * @param {Function} iteratee The function invoked per iteration.
   * @returns {Array} Returns the new mapped array.
   */
  function arrayMap(array, iteratee) {
    var index = -1,
        length = array ? array.length : 0,
        result = Array(length);

    while (++index < length) {
      result[index] = iteratee(array[index], index, array);
    }
    return result;
  }

  /**
   * Converts an ASCII `string` to an array.
   *
   * @private
   * @param {string} string The string to convert.
   * @returns {Array} Returns the converted array.
   */
  function asciiToArray$1(string) {
    return string.split('');
  }

  /**
   * The base implementation of `_.times` without support for iteratee shorthands
   * or max array length checks.
   *
   * @private
   * @param {number} n The number of times to invoke `iteratee`.
   * @param {Function} iteratee The function invoked per iteration.
   * @returns {Array} Returns the array of results.
   */
  function baseTimes$1(n, iteratee) {
    var index = -1,
        result = Array(n);

    while (++index < n) {
      result[index] = iteratee(index);
    }
    return result;
  }

  /**
   * The base implementation of `_.values` and `_.valuesIn` which creates an
   * array of `object` property values corresponding to the property names
   * of `props`.
   *
   * @private
   * @param {Object} object The object to query.
   * @param {Array} props The property names to get values for.
   * @returns {Object} Returns the array of property values.
   */
  function baseValues(object, props) {
    return arrayMap(props, function(key) {
      return object[key];
    });
  }

  /**
   * Gets the value at `key` of `object`.
   *
   * @private
   * @param {Object} [object] The object to query.
   * @param {string} key The key of the property to get.
   * @returns {*} Returns the property value.
   */
  function getValue(object, key) {
    return object == null ? undefined : object[key];
  }

  /**
   * Checks if `string` contains Unicode symbols.
   *
   * @private
   * @param {string} string The string to inspect.
   * @returns {boolean} Returns `true` if a symbol is found, else `false`.
   */
  function hasUnicode$1(string) {
    return reHasUnicode$1.test(string);
  }

  /**
   * Checks if `value` is a host object in IE < 9.
   *
   * @private
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a host object, else `false`.
   */
  function isHostObject(value) {
    // Many host objects are `Object` objects that can coerce to strings
    // despite having improperly defined `toString` methods.
    var result = false;
    if (value != null && typeof value.toString != 'function') {
      try {
        result = !!(value + '');
      } catch (e) {}
    }
    return result;
  }

  /**
   * Converts `iterator` to an array.
   *
   * @private
   * @param {Object} iterator The iterator to convert.
   * @returns {Array} Returns the converted array.
   */
  function iteratorToArray(iterator) {
    var data,
        result = [];

    while (!(data = iterator.next()).done) {
      result.push(data.value);
    }
    return result;
  }

  /**
   * Converts `map` to its key-value pairs.
   *
   * @private
   * @param {Object} map The map to convert.
   * @returns {Array} Returns the key-value pairs.
   */
  function mapToArray(map) {
    var index = -1,
        result = Array(map.size);

    map.forEach(function(value, key) {
      result[++index] = [key, value];
    });
    return result;
  }

  /**
   * Creates a unary function that invokes `func` with its argument transformed.
   *
   * @private
   * @param {Function} func The function to wrap.
   * @param {Function} transform The argument transform.
   * @returns {Function} Returns the new function.
   */
  function overArg$1(func, transform) {
    return function(arg) {
      return func(transform(arg));
    };
  }

  /**
   * Converts `set` to an array of its values.
   *
   * @private
   * @param {Object} set The set to convert.
   * @returns {Array} Returns the values.
   */
  function setToArray(set) {
    var index = -1,
        result = Array(set.size);

    set.forEach(function(value) {
      result[++index] = value;
    });
    return result;
  }

  /**
   * Converts `string` to an array.
   *
   * @private
   * @param {string} string The string to convert.
   * @returns {Array} Returns the converted array.
   */
  function stringToArray$1(string) {
    return hasUnicode$1(string)
      ? unicodeToArray$1(string)
      : asciiToArray$1(string);
  }

  /**
   * Converts a Unicode `string` to an array.
   *
   * @private
   * @param {string} string The string to convert.
   * @returns {Array} Returns the converted array.
   */
  function unicodeToArray$1(string) {
    return string.match(reUnicode$1) || [];
  }

  /** Used for built-in method references. */
  var funcProto = Function.prototype,
      objectProto$4 = Object.prototype;

  /** Used to detect overreaching core-js shims. */
  var coreJsData = root$3['__core-js_shared__'];

  /** Used to detect methods masquerading as native. */
  var maskSrcKey = (function() {
    var uid = /[^.]+$/.exec(coreJsData && coreJsData.keys && coreJsData.keys.IE_PROTO || '');
    return uid ? ('Symbol(src)_1.' + uid) : '';
  }());

  /** Used to resolve the decompiled source of functions. */
  var funcToString = funcProto.toString;

  /** Used to check objects for own properties. */
  var hasOwnProperty$2 = objectProto$4.hasOwnProperty;

  /**
   * Used to resolve the
   * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
   * of values.
   */
  var objectToString$4 = objectProto$4.toString;

  /** Used to detect if a method is native. */
  var reIsNative = RegExp('^' +
    funcToString.call(hasOwnProperty$2).replace(reRegExpChar, '\\$&')
    .replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, '$1.*?') + '$'
  );

  /** Built-in value references. */
  var Symbol$2 = root$3.Symbol,
      iteratorSymbol = Symbol$2 ? Symbol$2.iterator : undefined,
      propertyIsEnumerable$1 = objectProto$4.propertyIsEnumerable;

  /* Built-in method references for those with the same name as other `lodash` methods. */
  var nativeKeys$1 = overArg$1(Object.keys, Object);

  /* Built-in method references that are verified to be native. */
  var DataView = getNative(root$3, 'DataView'),
      Map$1 = getNative(root$3, 'Map'),
      Promise$1 = getNative(root$3, 'Promise'),
      Set$1 = getNative(root$3, 'Set'),
      WeakMap$1 = getNative(root$3, 'WeakMap');

  /** Used to detect maps, sets, and weakmaps. */
  var dataViewCtorString = toSource(DataView),
      mapCtorString = toSource(Map$1),
      promiseCtorString = toSource(Promise$1),
      setCtorString = toSource(Set$1),
      weakMapCtorString = toSource(WeakMap$1);

  /**
   * Creates an array of the enumerable property names of the array-like `value`.
   *
   * @private
   * @param {*} value The value to query.
   * @param {boolean} inherited Specify returning inherited property names.
   * @returns {Array} Returns the array of property names.
   */
  function arrayLikeKeys$1(value, inherited) {
    // Safari 8.1 makes `arguments.callee` enumerable in strict mode.
    // Safari 9 makes `arguments.length` enumerable in strict mode.
    var result = (isArray$1(value) || isArguments$1(value))
      ? baseTimes$1(value.length, String)
      : [];

    var length = result.length,
        skipIndexes = !!length;

    for (var key in value) {
      if ((inherited || hasOwnProperty$2.call(value, key)) &&
          !(skipIndexes && (key == 'length' || isIndex$1(key, length)))) {
        result.push(key);
      }
    }
    return result;
  }

  /**
   * The base implementation of `getTag`.
   *
   * @private
   * @param {*} value The value to query.
   * @returns {string} Returns the `toStringTag`.
   */
  function baseGetTag(value) {
    return objectToString$4.call(value);
  }

  /**
   * The base implementation of `_.isNative` without bad shim checks.
   *
   * @private
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a native function,
   *  else `false`.
   */
  function baseIsNative(value) {
    if (!isObject$4(value) || isMasked(value)) {
      return false;
    }
    var pattern = (isFunction$1(value) || isHostObject(value)) ? reIsNative : reIsHostCtor;
    return pattern.test(toSource(value));
  }

  /**
   * The base implementation of `_.keys` which doesn't treat sparse arrays as dense.
   *
   * @private
   * @param {Object} object The object to query.
   * @returns {Array} Returns the array of property names.
   */
  function baseKeys$1(object) {
    if (!isPrototype$1(object)) {
      return nativeKeys$1(object);
    }
    var result = [];
    for (var key in Object(object)) {
      if (hasOwnProperty$2.call(object, key) && key != 'constructor') {
        result.push(key);
      }
    }
    return result;
  }

  /**
   * Copies the values of `source` to `array`.
   *
   * @private
   * @param {Array} source The array to copy values from.
   * @param {Array} [array=[]] The array to copy values to.
   * @returns {Array} Returns `array`.
   */
  function copyArray(source, array) {
    var index = -1,
        length = source.length;

    array || (array = Array(length));
    while (++index < length) {
      array[index] = source[index];
    }
    return array;
  }

  /**
   * Gets the native function at `key` of `object`.
   *
   * @private
   * @param {Object} object The object to query.
   * @param {string} key The key of the method to get.
   * @returns {*} Returns the function if it's native, else `undefined`.
   */
  function getNative(object, key) {
    var value = getValue(object, key);
    return baseIsNative(value) ? value : undefined;
  }

  /**
   * Gets the `toStringTag` of `value`.
   *
   * @private
   * @param {*} value The value to query.
   * @returns {string} Returns the `toStringTag`.
   */
  var getTag = baseGetTag;

  // Fallback for data views, maps, sets, and weak maps in IE 11,
  // for data views in Edge < 14, and promises in Node.js.
  if ((DataView && getTag(new DataView(new ArrayBuffer(1))) != dataViewTag) ||
      (Map$1 && getTag(new Map$1) != mapTag) ||
      (Promise$1 && getTag(Promise$1.resolve()) != promiseTag) ||
      (Set$1 && getTag(new Set$1) != setTag) ||
      (WeakMap$1 && getTag(new WeakMap$1) != weakMapTag)) {
    getTag = function(value) {
      var result = objectToString$4.call(value),
          Ctor = result == objectTag ? value.constructor : undefined,
          ctorString = Ctor ? toSource(Ctor) : undefined;

      if (ctorString) {
        switch (ctorString) {
          case dataViewCtorString: return dataViewTag;
          case mapCtorString: return mapTag;
          case promiseCtorString: return promiseTag;
          case setCtorString: return setTag;
          case weakMapCtorString: return weakMapTag;
        }
      }
      return result;
    };
  }

  /**
   * Checks if `value` is a valid array-like index.
   *
   * @private
   * @param {*} value The value to check.
   * @param {number} [length=MAX_SAFE_INTEGER] The upper bounds of a valid index.
   * @returns {boolean} Returns `true` if `value` is a valid index, else `false`.
   */
  function isIndex$1(value, length) {
    length = length == null ? MAX_SAFE_INTEGER$1 : length;
    return !!length &&
      (typeof value == 'number' || reIsUint$1.test(value)) &&
      (value > -1 && value % 1 == 0 && value < length);
  }

  /**
   * Checks if `func` has its source masked.
   *
   * @private
   * @param {Function} func The function to check.
   * @returns {boolean} Returns `true` if `func` is masked, else `false`.
   */
  function isMasked(func) {
    return !!maskSrcKey && (maskSrcKey in func);
  }

  /**
   * Checks if `value` is likely a prototype object.
   *
   * @private
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a prototype, else `false`.
   */
  function isPrototype$1(value) {
    var Ctor = value && value.constructor,
        proto = (typeof Ctor == 'function' && Ctor.prototype) || objectProto$4;

    return value === proto;
  }

  /**
   * Converts `func` to its source code.
   *
   * @private
   * @param {Function} func The function to process.
   * @returns {string} Returns the source code.
   */
  function toSource(func) {
    if (func != null) {
      try {
        return funcToString.call(func);
      } catch (e) {}
      try {
        return (func + '');
      } catch (e) {}
    }
    return '';
  }

  /**
   * Checks if `value` is likely an `arguments` object.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is an `arguments` object,
   *  else `false`.
   * @example
   *
   * _.isArguments(function() { return arguments; }());
   * // => true
   *
   * _.isArguments([1, 2, 3]);
   * // => false
   */
  function isArguments$1(value) {
    // Safari 8.1 makes `arguments.callee` enumerable in strict mode.
    return isArrayLikeObject$1(value) && hasOwnProperty$2.call(value, 'callee') &&
      (!propertyIsEnumerable$1.call(value, 'callee') || objectToString$4.call(value) == argsTag$1);
  }

  /**
   * Checks if `value` is classified as an `Array` object.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is an array, else `false`.
   * @example
   *
   * _.isArray([1, 2, 3]);
   * // => true
   *
   * _.isArray(document.body.children);
   * // => false
   *
   * _.isArray('abc');
   * // => false
   *
   * _.isArray(_.noop);
   * // => false
   */
  var isArray$1 = Array.isArray;

  /**
   * Checks if `value` is array-like. A value is considered array-like if it's
   * not a function and has a `value.length` that's an integer greater than or
   * equal to `0` and less than or equal to `Number.MAX_SAFE_INTEGER`.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is array-like, else `false`.
   * @example
   *
   * _.isArrayLike([1, 2, 3]);
   * // => true
   *
   * _.isArrayLike(document.body.children);
   * // => true
   *
   * _.isArrayLike('abc');
   * // => true
   *
   * _.isArrayLike(_.noop);
   * // => false
   */
  function isArrayLike$1(value) {
    return value != null && isLength$1(value.length) && !isFunction$1(value);
  }

  /**
   * This method is like `_.isArrayLike` except that it also checks if `value`
   * is an object.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is an array-like object,
   *  else `false`.
   * @example
   *
   * _.isArrayLikeObject([1, 2, 3]);
   * // => true
   *
   * _.isArrayLikeObject(document.body.children);
   * // => true
   *
   * _.isArrayLikeObject('abc');
   * // => false
   *
   * _.isArrayLikeObject(_.noop);
   * // => false
   */
  function isArrayLikeObject$1(value) {
    return isObjectLike$4(value) && isArrayLike$1(value);
  }

  /**
   * Checks if `value` is classified as a `Function` object.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a function, else `false`.
   * @example
   *
   * _.isFunction(_);
   * // => true
   *
   * _.isFunction(/abc/);
   * // => false
   */
  function isFunction$1(value) {
    // The use of `Object#toString` avoids issues with the `typeof` operator
    // in Safari 8-9 which returns 'object' for typed array and other constructors.
    var tag = isObject$4(value) ? objectToString$4.call(value) : '';
    return tag == funcTag$1 || tag == genTag$1;
  }

  /**
   * Checks if `value` is a valid array-like length.
   *
   * **Note:** This method is loosely based on
   * [`ToLength`](http://ecma-international.org/ecma-262/7.0/#sec-tolength).
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a valid length, else `false`.
   * @example
   *
   * _.isLength(3);
   * // => true
   *
   * _.isLength(Number.MIN_VALUE);
   * // => false
   *
   * _.isLength(Infinity);
   * // => false
   *
   * _.isLength('3');
   * // => false
   */
  function isLength$1(value) {
    return typeof value == 'number' &&
      value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER$1;
  }

  /**
   * Checks if `value` is the
   * [language type](http://www.ecma-international.org/ecma-262/7.0/#sec-ecmascript-language-types)
   * of `Object`. (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is an object, else `false`.
   * @example
   *
   * _.isObject({});
   * // => true
   *
   * _.isObject([1, 2, 3]);
   * // => true
   *
   * _.isObject(_.noop);
   * // => true
   *
   * _.isObject(null);
   * // => false
   */
  function isObject$4(value) {
    var type = typeof value;
    return !!value && (type == 'object' || type == 'function');
  }

  /**
   * Checks if `value` is object-like. A value is object-like if it's not `null`
   * and has a `typeof` result of "object".
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is object-like, else `false`.
   * @example
   *
   * _.isObjectLike({});
   * // => true
   *
   * _.isObjectLike([1, 2, 3]);
   * // => true
   *
   * _.isObjectLike(_.noop);
   * // => false
   *
   * _.isObjectLike(null);
   * // => false
   */
  function isObjectLike$4(value) {
    return !!value && typeof value == 'object';
  }

  /**
   * Checks if `value` is classified as a `String` primitive or object.
   *
   * @static
   * @since 0.1.0
   * @memberOf _
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a string, else `false`.
   * @example
   *
   * _.isString('abc');
   * // => true
   *
   * _.isString(1);
   * // => false
   */
  function isString(value) {
    return typeof value == 'string' ||
      (!isArray$1(value) && isObjectLike$4(value) && objectToString$4.call(value) == stringTag);
  }

  /**
   * Converts `value` to an array.
   *
   * @static
   * @since 0.1.0
   * @memberOf _
   * @category Lang
   * @param {*} value The value to convert.
   * @returns {Array} Returns the converted array.
   * @example
   *
   * _.toArray({ 'a': 1, 'b': 2 });
   * // => [1, 2]
   *
   * _.toArray('abc');
   * // => ['a', 'b', 'c']
   *
   * _.toArray(1);
   * // => []
   *
   * _.toArray(null);
   * // => []
   */
  function toArray(value) {
    if (!value) {
      return [];
    }
    if (isArrayLike$1(value)) {
      return isString(value) ? stringToArray$1(value) : copyArray(value);
    }
    if (iteratorSymbol && value[iteratorSymbol]) {
      return iteratorToArray(value[iteratorSymbol]());
    }
    var tag = getTag(value),
        func = tag == mapTag ? mapToArray : (tag == setTag ? setToArray : values);

    return func(value);
  }

  /**
   * Creates an array of the own enumerable property names of `object`.
   *
   * **Note:** Non-object values are coerced to objects. See the
   * [ES spec](http://ecma-international.org/ecma-262/7.0/#sec-object.keys)
   * for more details.
   *
   * @static
   * @since 0.1.0
   * @memberOf _
   * @category Object
   * @param {Object} object The object to query.
   * @returns {Array} Returns the array of property names.
   * @example
   *
   * function Foo() {
   *   this.a = 1;
   *   this.b = 2;
   * }
   *
   * Foo.prototype.c = 3;
   *
   * _.keys(new Foo);
   * // => ['a', 'b'] (iteration order is not guaranteed)
   *
   * _.keys('hi');
   * // => ['0', '1']
   */
  function keys$1(object) {
    return isArrayLike$1(object) ? arrayLikeKeys$1(object) : baseKeys$1(object);
  }

  /**
   * Creates an array of the own enumerable string keyed property values of `object`.
   *
   * **Note:** Non-object values are coerced to objects.
   *
   * @static
   * @since 0.1.0
   * @memberOf _
   * @category Object
   * @param {Object} object The object to query.
   * @returns {Array} Returns the array of property values.
   * @example
   *
   * function Foo() {
   *   this.a = 1;
   *   this.b = 2;
   * }
   *
   * Foo.prototype.c = 3;
   *
   * _.values(new Foo);
   * // => [1, 2] (iteration order is not guaranteed)
   *
   * _.values('hi');
   * // => ['h', 'i']
   */
  function values(object) {
    return object ? baseValues(object, keys$1(object)) : [];
  }

  var lodash_toarray = toArray;

  /**
   * SSR Window 3.0.0
   * Better handling for window object in SSR environment
   * https://github.com/nolimits4web/ssr-window
   *
   * Copyright 2020, Vladimir Kharlampidi
   *
   * Licensed under MIT
   *
   * Released on: November 9, 2020
   */
  /* eslint-disable no-param-reassign */
  function isObject$3(obj) {
      return (obj !== null &&
          typeof obj === 'object' &&
          'constructor' in obj &&
          obj.constructor === Object);
  }
  function extend(target, src) {
      if (target === void 0) { target = {}; }
      if (src === void 0) { src = {}; }
      Object.keys(src).forEach(function (key) {
          if (typeof target[key] === 'undefined')
              target[key] = src[key];
          else if (isObject$3(src[key]) &&
              isObject$3(target[key]) &&
              Object.keys(src[key]).length > 0) {
              extend(target[key], src[key]);
          }
      });
  }

  var ssrDocument = {
      body: {},
      addEventListener: function () { },
      removeEventListener: function () { },
      activeElement: {
          blur: function () { },
          nodeName: '',
      },
      querySelector: function () {
          return null;
      },
      querySelectorAll: function () {
          return [];
      },
      getElementById: function () {
          return null;
      },
      createEvent: function () {
          return {
              initEvent: function () { },
          };
      },
      createElement: function () {
          return {
              children: [],
              childNodes: [],
              style: {},
              setAttribute: function () { },
              getElementsByTagName: function () {
                  return [];
              },
          };
      },
      createElementNS: function () {
          return {};
      },
      importNode: function () {
          return null;
      },
      location: {
          hash: '',
          host: '',
          hostname: '',
          href: '',
          origin: '',
          pathname: '',
          protocol: '',
          search: '',
      },
  };
  function getDocument() {
      var doc = typeof document !== 'undefined' ? document : {};
      extend(doc, ssrDocument);
      return doc;
  }

  var ssrWindow = {
      document: ssrDocument,
      navigator: {
          userAgent: '',
      },
      location: {
          hash: '',
          host: '',
          hostname: '',
          href: '',
          origin: '',
          pathname: '',
          protocol: '',
          search: '',
      },
      history: {
          replaceState: function () { },
          pushState: function () { },
          go: function () { },
          back: function () { },
      },
      CustomEvent: function CustomEvent() {
          return this;
      },
      addEventListener: function () { },
      removeEventListener: function () { },
      getComputedStyle: function () {
          return {
              getPropertyValue: function () {
                  return '';
              },
          };
      },
      Image: function () { },
      Date: function () { },
      screen: {},
      setTimeout: function () { },
      clearTimeout: function () { },
      matchMedia: function () {
          return {};
      },
      requestAnimationFrame: function (callback) {
          if (typeof setTimeout === 'undefined') {
              callback();
              return null;
          }
          return setTimeout(callback, 0);
      },
      cancelAnimationFrame: function (id) {
          if (typeof setTimeout === 'undefined') {
              return;
          }
          clearTimeout(id);
      },
  };
  function getWindow() {
      var win = typeof window !== 'undefined' ? window : {};
      extend(win, ssrWindow);
      return win;
  }

  /**
   * Dom7 3.0.0
   * Minimalistic JavaScript library for DOM manipulation, with a jQuery-compatible API
   * https://framework7.io/docs/dom7.html
   *
   * Copyright 2020, Vladimir Kharlampidi
   *
   * Licensed under MIT
   *
   * Released on: November 9, 2020
   */

  function _inheritsLoose(subClass, superClass) {
    subClass.prototype = Object.create(superClass.prototype);
    subClass.prototype.constructor = subClass;
    subClass.__proto__ = superClass;
  }

  function _getPrototypeOf(o) {
    _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
      return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _getPrototypeOf(o);
  }

  function _setPrototypeOf(o, p) {
    _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
      o.__proto__ = p;
      return o;
    };

    return _setPrototypeOf(o, p);
  }

  function _isNativeReflectConstruct() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;

    try {
      Date.prototype.toString.call(Reflect.construct(Date, [], function () {}));
      return true;
    } catch (e) {
      return false;
    }
  }

  function _construct(Parent, args, Class) {
    if (_isNativeReflectConstruct()) {
      _construct = Reflect.construct;
    } else {
      _construct = function _construct(Parent, args, Class) {
        var a = [null];
        a.push.apply(a, args);
        var Constructor = Function.bind.apply(Parent, a);
        var instance = new Constructor();
        if (Class) _setPrototypeOf(instance, Class.prototype);
        return instance;
      };
    }

    return _construct.apply(null, arguments);
  }

  function _isNativeFunction(fn) {
    return Function.toString.call(fn).indexOf("[native code]") !== -1;
  }

  function _wrapNativeSuper(Class) {
    var _cache = typeof Map === "function" ? new Map() : undefined;

    _wrapNativeSuper = function _wrapNativeSuper(Class) {
      if (Class === null || !_isNativeFunction(Class)) return Class;

      if (typeof Class !== "function") {
        throw new TypeError("Super expression must either be null or a function");
      }

      if (typeof _cache !== "undefined") {
        if (_cache.has(Class)) return _cache.get(Class);

        _cache.set(Class, Wrapper);
      }

      function Wrapper() {
        return _construct(Class, arguments, _getPrototypeOf(this).constructor);
      }

      Wrapper.prototype = Object.create(Class.prototype, {
        constructor: {
          value: Wrapper,
          enumerable: false,
          writable: true,
          configurable: true
        }
      });
      return _setPrototypeOf(Wrapper, Class);
    };

    return _wrapNativeSuper(Class);
  }

  function _assertThisInitialized(self) {
    if (self === void 0) {
      throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }

    return self;
  }

  /* eslint-disable no-proto */
  function makeReactive(obj) {
    var proto = obj.__proto__;
    Object.defineProperty(obj, '__proto__', {
      get: function get() {
        return proto;
      },
      set: function set(value) {
        proto.__proto__ = value;
      }
    });
  }

  var Dom7 = /*#__PURE__*/function (_Array) {
    _inheritsLoose(Dom7, _Array);

    function Dom7(items) {
      var _this;

      _this = _Array.call.apply(_Array, [this].concat(items)) || this;
      makeReactive(_assertThisInitialized(_this));
      return _this;
    }

    return Dom7;
  }( /*#__PURE__*/_wrapNativeSuper(Array));

  function arrayFlat(arr) {
    if (arr === void 0) {
      arr = [];
    }

    var res = [];
    arr.forEach(function (el) {
      if (Array.isArray(el)) {
        res.push.apply(res, arrayFlat(el));
      } else {
        res.push(el);
      }
    });
    return res;
  }
  function arrayFilter(arr, callback) {
    return Array.prototype.filter.call(arr, callback);
  }
  function arrayUnique(arr) {
    var uniqueArray = [];

    for (var i = 0; i < arr.length; i += 1) {
      if (uniqueArray.indexOf(arr[i]) === -1) uniqueArray.push(arr[i]);
    }

    return uniqueArray;
  }
  function toCamelCase(string) {
    return string.toLowerCase().replace(/-(.)/g, function (match, group) {
      return group.toUpperCase();
    });
  }

  function qsa(selector, context) {
    if (typeof selector !== 'string') {
      return [selector];
    }

    var a = [];
    var res = context.querySelectorAll(selector);

    for (var i = 0; i < res.length; i += 1) {
      a.push(res[i]);
    }

    return a;
  }

  function $$6(selector, context) {
    var window = getWindow();
    var document = getDocument();
    var arr = [];

    if (!context && selector instanceof Dom7) {
      return selector;
    }

    if (!selector) {
      return new Dom7(arr);
    }

    if (typeof selector === 'string') {
      var html = selector.trim();

      if (html.indexOf('<') >= 0 && html.indexOf('>') >= 0) {
        var toCreate = 'div';
        if (html.indexOf('<li') === 0) toCreate = 'ul';
        if (html.indexOf('<tr') === 0) toCreate = 'tbody';
        if (html.indexOf('<td') === 0 || html.indexOf('<th') === 0) toCreate = 'tr';
        if (html.indexOf('<tbody') === 0) toCreate = 'table';
        if (html.indexOf('<option') === 0) toCreate = 'select';
        var tempParent = document.createElement(toCreate);
        tempParent.innerHTML = html;

        for (var i = 0; i < tempParent.childNodes.length; i += 1) {
          arr.push(tempParent.childNodes[i]);
        }
      } else {
        arr = qsa(selector.trim(), context || document);
      } // arr = qsa(selector, document);

    } else if (selector.nodeType || selector === window || selector === document) {
      arr.push(selector);
    } else if (Array.isArray(selector)) {
      if (selector instanceof Dom7) return selector;
      arr = selector;
    }

    return new Dom7(arrayUnique(arr));
  }

  $$6.fn = Dom7.prototype;

  function addClass() {
    for (var _len = arguments.length, classes = new Array(_len), _key = 0; _key < _len; _key++) {
      classes[_key] = arguments[_key];
    }

    var classNames = arrayFlat(classes.map(function (c) {
      return c.split(' ');
    }));
    this.forEach(function (el) {
      var _el$classList;

      (_el$classList = el.classList).add.apply(_el$classList, classNames);
    });
    return this;
  }

  function removeClass() {
    for (var _len2 = arguments.length, classes = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
      classes[_key2] = arguments[_key2];
    }

    var classNames = arrayFlat(classes.map(function (c) {
      return c.split(' ');
    }));
    this.forEach(function (el) {
      var _el$classList2;

      (_el$classList2 = el.classList).remove.apply(_el$classList2, classNames);
    });
    return this;
  }

  function hasClass() {
    for (var _len4 = arguments.length, classes = new Array(_len4), _key4 = 0; _key4 < _len4; _key4++) {
      classes[_key4] = arguments[_key4];
    }

    var classNames = arrayFlat(classes.map(function (c) {
      return c.split(' ');
    }));
    return arrayFilter(this, function (el) {
      return classNames.filter(function (className) {
        return el.classList.contains(className);
      }).length > 0;
    }).length > 0;
  }

  function attr(attrs, value) {
    if (arguments.length === 1 && typeof attrs === 'string') {
      // Get attr
      if (this[0]) return this[0].getAttribute(attrs);
      return undefined;
    } // Set attrs


    for (var i = 0; i < this.length; i += 1) {
      if (arguments.length === 2) {
        // String
        this[i].setAttribute(attrs, value);
      } else {
        // Object
        for (var attrName in attrs) {
          this[i][attrName] = attrs[attrName];
          this[i].setAttribute(attrName, attrs[attrName]);
        }
      }
    }

    return this;
  }

  function removeAttr(attr) {
    for (var i = 0; i < this.length; i += 1) {
      this[i].removeAttribute(attr);
    }

    return this;
  }

  function dataset() {
    var el = this[0];
    if (!el) return undefined;
    var dataset = {}; // eslint-disable-line

    if (el.dataset) {
      for (var dataKey in el.dataset) {
        dataset[dataKey] = el.dataset[dataKey];
      }
    } else {
      for (var i = 0; i < el.attributes.length; i += 1) {
        var _attr = el.attributes[i];

        if (_attr.name.indexOf('data-') >= 0) {
          dataset[toCamelCase(_attr.name.split('data-')[1])] = _attr.value;
        }
      }
    }

    for (var key in dataset) {
      if (dataset[key] === 'false') dataset[key] = false;else if (dataset[key] === 'true') dataset[key] = true;else if (parseFloat(dataset[key]) === dataset[key] * 1) dataset[key] *= 1;
    }

    return dataset;
  }

  function val(value) {
    if (typeof value === 'undefined') {
      // get value
      var el = this[0];
      if (!el) return undefined;

      if (el.multiple && el.nodeName.toLowerCase() === 'select') {
        var values = [];

        for (var i = 0; i < el.selectedOptions.length; i += 1) {
          values.push(el.selectedOptions[i].value);
        }

        return values;
      }

      return el.value;
    } // set value


    for (var _i = 0; _i < this.length; _i += 1) {
      var _el = this[_i];

      if (Array.isArray(value) && _el.multiple && _el.nodeName.toLowerCase() === 'select') {
        for (var j = 0; j < _el.options.length; j += 1) {
          _el.options[j].selected = value.indexOf(_el.options[j].value) >= 0;
        }
      } else {
        _el.value = value;
      }
    }

    return this;
  }

  function on$7() {
    for (var _len5 = arguments.length, args = new Array(_len5), _key5 = 0; _key5 < _len5; _key5++) {
      args[_key5] = arguments[_key5];
    }

    var eventType = args[0],
        targetSelector = args[1],
        listener = args[2],
        capture = args[3];

    if (typeof args[1] === 'function') {
      eventType = args[0];
      listener = args[1];
      capture = args[2];
      targetSelector = undefined;
    }

    if (!capture) capture = false;

    function handleLiveEvent(e) {
      var target = e.target;
      if (!target) return;
      var eventData = e.target.dom7EventData || [];

      if (eventData.indexOf(e) < 0) {
        eventData.unshift(e);
      }

      if ($$6(target).is(targetSelector)) listener.apply(target, eventData);else {
        var _parents = $$6(target).parents(); // eslint-disable-line


        for (var k = 0; k < _parents.length; k += 1) {
          if ($$6(_parents[k]).is(targetSelector)) listener.apply(_parents[k], eventData);
        }
      }
    }

    function handleEvent(e) {
      var eventData = e && e.target ? e.target.dom7EventData || [] : [];

      if (eventData.indexOf(e) < 0) {
        eventData.unshift(e);
      }

      listener.apply(this, eventData);
    }

    var events = eventType.split(' ');
    var j;

    for (var i = 0; i < this.length; i += 1) {
      var el = this[i];

      if (!targetSelector) {
        for (j = 0; j < events.length; j += 1) {
          var event = events[j];
          if (!el.dom7Listeners) el.dom7Listeners = {};
          if (!el.dom7Listeners[event]) el.dom7Listeners[event] = [];
          el.dom7Listeners[event].push({
            listener: listener,
            proxyListener: handleEvent
          });
          el.addEventListener(event, handleEvent, capture);
        }
      } else {
        // Live events
        for (j = 0; j < events.length; j += 1) {
          var _event = events[j];
          if (!el.dom7LiveListeners) el.dom7LiveListeners = {};
          if (!el.dom7LiveListeners[_event]) el.dom7LiveListeners[_event] = [];

          el.dom7LiveListeners[_event].push({
            listener: listener,
            proxyListener: handleLiveEvent
          });

          el.addEventListener(_event, handleLiveEvent, capture);
        }
      }
    }

    return this;
  }

  function off() {
    for (var _len6 = arguments.length, args = new Array(_len6), _key6 = 0; _key6 < _len6; _key6++) {
      args[_key6] = arguments[_key6];
    }

    var eventType = args[0],
        targetSelector = args[1],
        listener = args[2],
        capture = args[3];

    if (typeof args[1] === 'function') {
      eventType = args[0];
      listener = args[1];
      capture = args[2];
      targetSelector = undefined;
    }

    if (!capture) capture = false;
    var events = eventType.split(' ');

    for (var i = 0; i < events.length; i += 1) {
      var event = events[i];

      for (var j = 0; j < this.length; j += 1) {
        var el = this[j];
        var handlers = void 0;

        if (!targetSelector && el.dom7Listeners) {
          handlers = el.dom7Listeners[event];
        } else if (targetSelector && el.dom7LiveListeners) {
          handlers = el.dom7LiveListeners[event];
        }

        if (handlers && handlers.length) {
          for (var k = handlers.length - 1; k >= 0; k -= 1) {
            var handler = handlers[k];

            if (listener && handler.listener === listener) {
              el.removeEventListener(event, handler.proxyListener, capture);
              handlers.splice(k, 1);
            } else if (listener && handler.listener && handler.listener.dom7proxy && handler.listener.dom7proxy === listener) {
              el.removeEventListener(event, handler.proxyListener, capture);
              handlers.splice(k, 1);
            } else if (!listener) {
              el.removeEventListener(event, handler.proxyListener, capture);
              handlers.splice(k, 1);
            }
          }
        }
      }
    }

    return this;
  }

  function width() {
    var window = getWindow();

    if (this[0] === window) {
      return window.innerWidth;
    }

    if (this.length > 0) {
      return parseFloat(this.css('width'));
    }

    return null;
  }

  function height() {
    var window = getWindow();

    if (this[0] === window) {
      return window.innerHeight;
    }

    if (this.length > 0) {
      return parseFloat(this.css('height'));
    }

    return null;
  }

  function offset() {
    if (this.length > 0) {
      var window = getWindow();
      var document = getDocument();
      var el = this[0];
      var box = el.getBoundingClientRect();
      var body = document.body;
      var clientTop = el.clientTop || body.clientTop || 0;
      var clientLeft = el.clientLeft || body.clientLeft || 0;
      var scrollTop = el === window ? window.scrollY : el.scrollTop;
      var scrollLeft = el === window ? window.scrollX : el.scrollLeft;
      return {
        top: box.top + scrollTop - clientTop,
        left: box.left + scrollLeft - clientLeft
      };
    }

    return null;
  }

  function hide() {
    for (var i = 0; i < this.length; i += 1) {
      this[i].style.display = 'none';
    }

    return this;
  }

  function show() {
    var window = getWindow();

    for (var i = 0; i < this.length; i += 1) {
      var el = this[i];

      if (el.style.display === 'none') {
        el.style.display = '';
      }

      if (window.getComputedStyle(el, null).getPropertyValue('display') === 'none') {
        // Still not visible
        el.style.display = 'block';
      }
    }

    return this;
  }

  function css(props, value) {
    var window = getWindow();
    var i;

    if (arguments.length === 1) {
      if (typeof props === 'string') {
        // .css('width')
        if (this[0]) return window.getComputedStyle(this[0], null).getPropertyValue(props);
      } else {
        // .css({ width: '100px' })
        for (i = 0; i < this.length; i += 1) {
          for (var _prop in props) {
            this[i].style[_prop] = props[_prop];
          }
        }

        return this;
      }
    }

    if (arguments.length === 2 && typeof props === 'string') {
      // .css('width', '100px')
      for (i = 0; i < this.length; i += 1) {
        this[i].style[props] = value;
      }

      return this;
    }

    return this;
  }

  function each(callback) {
    if (!callback) return this;
    this.forEach(function (el, index) {
      callback.apply(el, [el, index]);
    });
    return this;
  }

  function html(html) {
    if (typeof html === 'undefined') {
      return this[0] ? this[0].innerHTML : null;
    }

    for (var i = 0; i < this.length; i += 1) {
      this[i].innerHTML = html;
    }

    return this;
  }

  function text(text) {
    if (typeof text === 'undefined') {
      return this[0] ? this[0].textContent.trim() : null;
    }

    for (var i = 0; i < this.length; i += 1) {
      this[i].textContent = text;
    }

    return this;
  }

  function is$2(selector) {
    var window = getWindow();
    var document = getDocument();
    var el = this[0];
    var compareWith;
    var i;
    if (!el || typeof selector === 'undefined') return false;

    if (typeof selector === 'string') {
      if (el.matches) return el.matches(selector);
      if (el.webkitMatchesSelector) return el.webkitMatchesSelector(selector);
      if (el.msMatchesSelector) return el.msMatchesSelector(selector);
      compareWith = $$6(selector);

      for (i = 0; i < compareWith.length; i += 1) {
        if (compareWith[i] === el) return true;
      }

      return false;
    }

    if (selector === document) {
      return el === document;
    }

    if (selector === window) {
      return el === window;
    }

    if (selector.nodeType || selector instanceof Dom7) {
      compareWith = selector.nodeType ? [selector] : selector;

      for (i = 0; i < compareWith.length; i += 1) {
        if (compareWith[i] === el) return true;
      }

      return false;
    }

    return false;
  }

  function append() {
    var newChild;
    var document = getDocument();

    for (var k = 0; k < arguments.length; k += 1) {
      newChild = k < 0 || arguments.length <= k ? undefined : arguments[k];

      for (var i = 0; i < this.length; i += 1) {
        if (typeof newChild === 'string') {
          var tempDiv = document.createElement('div');
          tempDiv.innerHTML = newChild;

          while (tempDiv.firstChild) {
            this[i].appendChild(tempDiv.firstChild);
          }
        } else if (newChild instanceof Dom7) {
          for (var j = 0; j < newChild.length; j += 1) {
            this[i].appendChild(newChild[j]);
          }
        } else {
          this[i].appendChild(newChild);
        }
      }
    }

    return this;
  }

  function prepend(newChild) {
    var document = getDocument();
    var i;
    var j;

    for (i = 0; i < this.length; i += 1) {
      if (typeof newChild === 'string') {
        var tempDiv = document.createElement('div');
        tempDiv.innerHTML = newChild;

        for (j = tempDiv.childNodes.length - 1; j >= 0; j -= 1) {
          this[i].insertBefore(tempDiv.childNodes[j], this[i].childNodes[0]);
        }
      } else if (newChild instanceof Dom7) {
        for (j = 0; j < newChild.length; j += 1) {
          this[i].insertBefore(newChild[j], this[i].childNodes[0]);
        }
      } else {
        this[i].insertBefore(newChild, this[i].childNodes[0]);
      }
    }

    return this;
  }

  function parent(selector) {
    var parents = []; // eslint-disable-line

    for (var i = 0; i < this.length; i += 1) {
      if (this[i].parentNode !== null) {
        if (selector) {
          if ($$6(this[i].parentNode).is(selector)) parents.push(this[i].parentNode);
        } else {
          parents.push(this[i].parentNode);
        }
      }
    }

    return $$6(parents);
  }

  function parents(selector) {
    var parents = []; // eslint-disable-line

    for (var i = 0; i < this.length; i += 1) {
      var _parent = this[i].parentNode; // eslint-disable-line

      while (_parent) {
        if (selector) {
          if ($$6(_parent).is(selector)) parents.push(_parent);
        } else {
          parents.push(_parent);
        }

        _parent = _parent.parentNode;
      }
    }

    return $$6(parents);
  }

  function find(selector) {
    var foundElements = [];

    for (var i = 0; i < this.length; i += 1) {
      var found = this[i].querySelectorAll(selector);

      for (var j = 0; j < found.length; j += 1) {
        foundElements.push(found[j]);
      }
    }

    return $$6(foundElements);
  }

  function children(selector) {
    var children = []; // eslint-disable-line

    for (var i = 0; i < this.length; i += 1) {
      var childNodes = this[i].children;

      for (var j = 0; j < childNodes.length; j += 1) {
        if (!selector || $$6(childNodes[j]).is(selector)) {
          children.push(childNodes[j]);
        }
      }
    }

    return $$6(children);
  }

  function remove() {
    for (var i = 0; i < this.length; i += 1) {
      if (this[i].parentNode) this[i].parentNode.removeChild(this[i]);
    }

    return this;
  }

  var noTrigger = 'resize scroll'.split(' ');

  function shortcut(name) {
    function eventHandler() {
      for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
        args[_key] = arguments[_key];
      }

      if (typeof args[0] === 'undefined') {
        for (var i = 0; i < this.length; i += 1) {
          if (noTrigger.indexOf(name) < 0) {
            if (name in this[i]) this[i][name]();else {
              $$6(this[i]).trigger(name);
            }
          }
        }

        return this;
      }

      return this.on.apply(this, [name].concat(args));
    }

    return eventHandler;
  }

  var click = shortcut('click');
  var focus = shortcut('focus');

  /**
   * lodash (Custom Build) <https://lodash.com/>
   * Build: `lodash modularize exports="npm" -o ./`
   * Copyright jQuery Foundation and other contributors <https://jquery.org/>
   * Released under MIT license <https://lodash.com/license>
   * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
   * Copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
   */
  /** Used as references for various `Number` constants. */
  var MAX_SAFE_INTEGER = 9007199254740991;

  /** `Object#toString` result references. */
  var argsTag = '[object Arguments]',
      funcTag = '[object Function]',
      genTag = '[object GeneratorFunction]';

  /** Used to detect unsigned integer values. */
  var reIsUint = /^(?:0|[1-9]\d*)$/;

  /**
   * A specialized version of `_.forEach` for arrays without support for
   * iteratee shorthands.
   *
   * @private
   * @param {Array} [array] The array to iterate over.
   * @param {Function} iteratee The function invoked per iteration.
   * @returns {Array} Returns `array`.
   */
  function arrayEach(array, iteratee) {
    var index = -1,
        length = array ? array.length : 0;

    while (++index < length) {
      if (iteratee(array[index], index, array) === false) {
        break;
      }
    }
    return array;
  }

  /**
   * The base implementation of `_.times` without support for iteratee shorthands
   * or max array length checks.
   *
   * @private
   * @param {number} n The number of times to invoke `iteratee`.
   * @param {Function} iteratee The function invoked per iteration.
   * @returns {Array} Returns the array of results.
   */
  function baseTimes(n, iteratee) {
    var index = -1,
        result = Array(n);

    while (++index < n) {
      result[index] = iteratee(index);
    }
    return result;
  }

  /**
   * Creates a unary function that invokes `func` with its argument transformed.
   *
   * @private
   * @param {Function} func The function to wrap.
   * @param {Function} transform The argument transform.
   * @returns {Function} Returns the new function.
   */
  function overArg(func, transform) {
    return function(arg) {
      return func(transform(arg));
    };
  }

  /** Used for built-in method references. */
  var objectProto$3 = Object.prototype;

  /** Used to check objects for own properties. */
  var hasOwnProperty$1 = objectProto$3.hasOwnProperty;

  /**
   * Used to resolve the
   * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
   * of values.
   */
  var objectToString$3 = objectProto$3.toString;

  /** Built-in value references. */
  var propertyIsEnumerable = objectProto$3.propertyIsEnumerable;

  /* Built-in method references for those with the same name as other `lodash` methods. */
  var nativeKeys = overArg(Object.keys, Object);

  /**
   * Creates an array of the enumerable property names of the array-like `value`.
   *
   * @private
   * @param {*} value The value to query.
   * @param {boolean} inherited Specify returning inherited property names.
   * @returns {Array} Returns the array of property names.
   */
  function arrayLikeKeys(value, inherited) {
    // Safari 8.1 makes `arguments.callee` enumerable in strict mode.
    // Safari 9 makes `arguments.length` enumerable in strict mode.
    var result = (isArray(value) || isArguments(value))
      ? baseTimes(value.length, String)
      : [];

    var length = result.length,
        skipIndexes = !!length;

    for (var key in value) {
      if ((inherited || hasOwnProperty$1.call(value, key)) &&
          !(skipIndexes && (key == 'length' || isIndex(key, length)))) {
        result.push(key);
      }
    }
    return result;
  }

  /**
   * The base implementation of `_.forEach` without support for iteratee shorthands.
   *
   * @private
   * @param {Array|Object} collection The collection to iterate over.
   * @param {Function} iteratee The function invoked per iteration.
   * @returns {Array|Object} Returns `collection`.
   */
  var baseEach = createBaseEach(baseForOwn);

  /**
   * The base implementation of `baseForOwn` which iterates over `object`
   * properties returned by `keysFunc` and invokes `iteratee` for each property.
   * Iteratee functions may exit iteration early by explicitly returning `false`.
   *
   * @private
   * @param {Object} object The object to iterate over.
   * @param {Function} iteratee The function invoked per iteration.
   * @param {Function} keysFunc The function to get the keys of `object`.
   * @returns {Object} Returns `object`.
   */
  var baseFor = createBaseFor();

  /**
   * The base implementation of `_.forOwn` without support for iteratee shorthands.
   *
   * @private
   * @param {Object} object The object to iterate over.
   * @param {Function} iteratee The function invoked per iteration.
   * @returns {Object} Returns `object`.
   */
  function baseForOwn(object, iteratee) {
    return object && baseFor(object, iteratee, keys);
  }

  /**
   * The base implementation of `_.keys` which doesn't treat sparse arrays as dense.
   *
   * @private
   * @param {Object} object The object to query.
   * @returns {Array} Returns the array of property names.
   */
  function baseKeys(object) {
    if (!isPrototype(object)) {
      return nativeKeys(object);
    }
    var result = [];
    for (var key in Object(object)) {
      if (hasOwnProperty$1.call(object, key) && key != 'constructor') {
        result.push(key);
      }
    }
    return result;
  }

  /**
   * Creates a `baseEach` or `baseEachRight` function.
   *
   * @private
   * @param {Function} eachFunc The function to iterate over a collection.
   * @param {boolean} [fromRight] Specify iterating from right to left.
   * @returns {Function} Returns the new base function.
   */
  function createBaseEach(eachFunc, fromRight) {
    return function(collection, iteratee) {
      if (collection == null) {
        return collection;
      }
      if (!isArrayLike(collection)) {
        return eachFunc(collection, iteratee);
      }
      var length = collection.length,
          index = fromRight ? length : -1,
          iterable = Object(collection);

      while ((fromRight ? index-- : ++index < length)) {
        if (iteratee(iterable[index], index, iterable) === false) {
          break;
        }
      }
      return collection;
    };
  }

  /**
   * Creates a base function for methods like `_.forIn` and `_.forOwn`.
   *
   * @private
   * @param {boolean} [fromRight] Specify iterating from right to left.
   * @returns {Function} Returns the new base function.
   */
  function createBaseFor(fromRight) {
    return function(object, iteratee, keysFunc) {
      var index = -1,
          iterable = Object(object),
          props = keysFunc(object),
          length = props.length;

      while (length--) {
        var key = props[fromRight ? length : ++index];
        if (iteratee(iterable[key], key, iterable) === false) {
          break;
        }
      }
      return object;
    };
  }

  /**
   * Checks if `value` is a valid array-like index.
   *
   * @private
   * @param {*} value The value to check.
   * @param {number} [length=MAX_SAFE_INTEGER] The upper bounds of a valid index.
   * @returns {boolean} Returns `true` if `value` is a valid index, else `false`.
   */
  function isIndex(value, length) {
    length = length == null ? MAX_SAFE_INTEGER : length;
    return !!length &&
      (typeof value == 'number' || reIsUint.test(value)) &&
      (value > -1 && value % 1 == 0 && value < length);
  }

  /**
   * Checks if `value` is likely a prototype object.
   *
   * @private
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a prototype, else `false`.
   */
  function isPrototype(value) {
    var Ctor = value && value.constructor,
        proto = (typeof Ctor == 'function' && Ctor.prototype) || objectProto$3;

    return value === proto;
  }

  /**
   * Iterates over elements of `collection` and invokes `iteratee` for each element.
   * The iteratee is invoked with three arguments: (value, index|key, collection).
   * Iteratee functions may exit iteration early by explicitly returning `false`.
   *
   * **Note:** As with other "Collections" methods, objects with a "length"
   * property are iterated like arrays. To avoid this behavior use `_.forIn`
   * or `_.forOwn` for object iteration.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @alias each
   * @category Collection
   * @param {Array|Object} collection The collection to iterate over.
   * @param {Function} [iteratee=_.identity] The function invoked per iteration.
   * @returns {Array|Object} Returns `collection`.
   * @see _.forEachRight
   * @example
   *
   * _([1, 2]).forEach(function(value) {
   *   console.log(value);
   * });
   * // => Logs `1` then `2`.
   *
   * _.forEach({ 'a': 1, 'b': 2 }, function(value, key) {
   *   console.log(key);
   * });
   * // => Logs 'a' then 'b' (iteration order is not guaranteed).
   */
  function forEach(collection, iteratee) {
    var func = isArray(collection) ? arrayEach : baseEach;
    return func(collection, typeof iteratee == 'function' ? iteratee : identity);
  }

  /**
   * Checks if `value` is likely an `arguments` object.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is an `arguments` object,
   *  else `false`.
   * @example
   *
   * _.isArguments(function() { return arguments; }());
   * // => true
   *
   * _.isArguments([1, 2, 3]);
   * // => false
   */
  function isArguments(value) {
    // Safari 8.1 makes `arguments.callee` enumerable in strict mode.
    return isArrayLikeObject(value) && hasOwnProperty$1.call(value, 'callee') &&
      (!propertyIsEnumerable.call(value, 'callee') || objectToString$3.call(value) == argsTag);
  }

  /**
   * Checks if `value` is classified as an `Array` object.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is an array, else `false`.
   * @example
   *
   * _.isArray([1, 2, 3]);
   * // => true
   *
   * _.isArray(document.body.children);
   * // => false
   *
   * _.isArray('abc');
   * // => false
   *
   * _.isArray(_.noop);
   * // => false
   */
  var isArray = Array.isArray;

  /**
   * Checks if `value` is array-like. A value is considered array-like if it's
   * not a function and has a `value.length` that's an integer greater than or
   * equal to `0` and less than or equal to `Number.MAX_SAFE_INTEGER`.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is array-like, else `false`.
   * @example
   *
   * _.isArrayLike([1, 2, 3]);
   * // => true
   *
   * _.isArrayLike(document.body.children);
   * // => true
   *
   * _.isArrayLike('abc');
   * // => true
   *
   * _.isArrayLike(_.noop);
   * // => false
   */
  function isArrayLike(value) {
    return value != null && isLength(value.length) && !isFunction(value);
  }

  /**
   * This method is like `_.isArrayLike` except that it also checks if `value`
   * is an object.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is an array-like object,
   *  else `false`.
   * @example
   *
   * _.isArrayLikeObject([1, 2, 3]);
   * // => true
   *
   * _.isArrayLikeObject(document.body.children);
   * // => true
   *
   * _.isArrayLikeObject('abc');
   * // => false
   *
   * _.isArrayLikeObject(_.noop);
   * // => false
   */
  function isArrayLikeObject(value) {
    return isObjectLike$3(value) && isArrayLike(value);
  }

  /**
   * Checks if `value` is classified as a `Function` object.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a function, else `false`.
   * @example
   *
   * _.isFunction(_);
   * // => true
   *
   * _.isFunction(/abc/);
   * // => false
   */
  function isFunction(value) {
    // The use of `Object#toString` avoids issues with the `typeof` operator
    // in Safari 8-9 which returns 'object' for typed array and other constructors.
    var tag = isObject$2(value) ? objectToString$3.call(value) : '';
    return tag == funcTag || tag == genTag;
  }

  /**
   * Checks if `value` is a valid array-like length.
   *
   * **Note:** This method is loosely based on
   * [`ToLength`](http://ecma-international.org/ecma-262/7.0/#sec-tolength).
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a valid length, else `false`.
   * @example
   *
   * _.isLength(3);
   * // => true
   *
   * _.isLength(Number.MIN_VALUE);
   * // => false
   *
   * _.isLength(Infinity);
   * // => false
   *
   * _.isLength('3');
   * // => false
   */
  function isLength(value) {
    return typeof value == 'number' &&
      value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER;
  }

  /**
   * Checks if `value` is the
   * [language type](http://www.ecma-international.org/ecma-262/7.0/#sec-ecmascript-language-types)
   * of `Object`. (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is an object, else `false`.
   * @example
   *
   * _.isObject({});
   * // => true
   *
   * _.isObject([1, 2, 3]);
   * // => true
   *
   * _.isObject(_.noop);
   * // => true
   *
   * _.isObject(null);
   * // => false
   */
  function isObject$2(value) {
    var type = typeof value;
    return !!value && (type == 'object' || type == 'function');
  }

  /**
   * Checks if `value` is object-like. A value is object-like if it's not `null`
   * and has a `typeof` result of "object".
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is object-like, else `false`.
   * @example
   *
   * _.isObjectLike({});
   * // => true
   *
   * _.isObjectLike([1, 2, 3]);
   * // => true
   *
   * _.isObjectLike(_.noop);
   * // => false
   *
   * _.isObjectLike(null);
   * // => false
   */
  function isObjectLike$3(value) {
    return !!value && typeof value == 'object';
  }

  /**
   * Creates an array of the own enumerable property names of `object`.
   *
   * **Note:** Non-object values are coerced to objects. See the
   * [ES spec](http://ecma-international.org/ecma-262/7.0/#sec-object.keys)
   * for more details.
   *
   * @static
   * @since 0.1.0
   * @memberOf _
   * @category Object
   * @param {Object} object The object to query.
   * @returns {Array} Returns the array of property names.
   * @example
   *
   * function Foo() {
   *   this.a = 1;
   *   this.b = 2;
   * }
   *
   * Foo.prototype.c = 3;
   *
   * _.keys(new Foo);
   * // => ['a', 'b'] (iteration order is not guaranteed)
   *
   * _.keys('hi');
   * // => ['0', '1']
   */
  function keys(object) {
    return isArrayLike(object) ? arrayLikeKeys(object) : baseKeys(object);
  }

  /**
   * This method returns the first argument it receives.
   *
   * @static
   * @since 0.1.0
   * @memberOf _
   * @category Util
   * @param {*} value Any value.
   * @returns {*} Returns `value`.
   * @example
   *
   * var object = { 'a': 1 };
   *
   * console.log(_.identity(object) === object);
   * // => true
   */
  function identity(value) {
    return value;
  }

  var lodash_foreach = forEach;

  {
    if (
      typeof navigator !== 'undefined' &&
      navigator.product === 'ReactNative' &&
      typeof crypto === 'undefined'
    ) {
      throw new Error(
        'React Native does not have a built-in secure random generator. ' +
          'If you don’t need unpredictable IDs use `nanoid/non-secure`. ' +
          'For secure IDs, import `react-native-get-random-values` ' +
          'before Nano ID.'
      )
    }
    if (typeof msCrypto !== 'undefined' && typeof crypto === 'undefined') {
      throw new Error(
        'Import file with `if (!window.crypto) window.crypto = window.msCrypto`' +
          ' before importing Nano ID to fix IE 11 support'
      )
    }
    if (typeof crypto === 'undefined') {
      throw new Error(
        'Your browser does not have secure random generator. ' +
          'If you don’t need unpredictable IDs, you can use nanoid/non-secure.'
      )
    }
  }
  let nanoid$3 = (size = 21) => {
    let id = '';
    let bytes = crypto.getRandomValues(new Uint8Array(size));
    while (size--) {
      let byte = bytes[size] & 63;
      if (byte < 36) {
        id += byte.toString(36);
      } else if (byte < 62) {
        id += (byte - 26).toString(36).toUpperCase();
      } else if (byte < 63) {
        id += '_';
      } else {
        id += '-';
      }
    }
    return id
  };

  /**
   * lodash (Custom Build) <https://lodash.com/>
   * Build: `lodash modularize exports="npm" -o ./`
   * Copyright jQuery Foundation and other contributors <https://jquery.org/>
   * Released under MIT license <https://lodash.com/license>
   * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
   * Copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
   */

  /** Used as the `TypeError` message for "Functions" methods. */
  var FUNC_ERROR_TEXT$1 = 'Expected a function';

  /** Used as references for various `Number` constants. */
  var NAN$1 = 0 / 0;

  /** `Object#toString` result references. */
  var symbolTag$2 = '[object Symbol]';

  /** Used to match leading and trailing whitespace. */
  var reTrim$1 = /^\s+|\s+$/g;

  /** Used to detect bad signed hexadecimal string values. */
  var reIsBadHex$1 = /^[-+]0x[0-9a-f]+$/i;

  /** Used to detect binary string values. */
  var reIsBinary$1 = /^0b[01]+$/i;

  /** Used to detect octal string values. */
  var reIsOctal$1 = /^0o[0-7]+$/i;

  /** Built-in method references without a dependency on `root`. */
  var freeParseInt$1 = parseInt;

  /** Detect free variable `global` from Node.js. */
  var freeGlobal$2 = typeof commonjsGlobal == 'object' && commonjsGlobal && commonjsGlobal.Object === Object && commonjsGlobal;

  /** Detect free variable `self`. */
  var freeSelf$2 = typeof self == 'object' && self && self.Object === Object && self;

  /** Used as a reference to the global object. */
  var root$2 = freeGlobal$2 || freeSelf$2 || Function('return this')();

  /** Used for built-in method references. */
  var objectProto$2 = Object.prototype;

  /**
   * Used to resolve the
   * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
   * of values.
   */
  var objectToString$2 = objectProto$2.toString;

  /* Built-in method references for those with the same name as other `lodash` methods. */
  var nativeMax$1 = Math.max,
      nativeMin$1 = Math.min;

  /**
   * Gets the timestamp of the number of milliseconds that have elapsed since
   * the Unix epoch (1 January 1970 00:00:00 UTC).
   *
   * @static
   * @memberOf _
   * @since 2.4.0
   * @category Date
   * @returns {number} Returns the timestamp.
   * @example
   *
   * _.defer(function(stamp) {
   *   console.log(_.now() - stamp);
   * }, _.now());
   * // => Logs the number of milliseconds it took for the deferred invocation.
   */
  var now$1 = function() {
    return root$2.Date.now();
  };

  /**
   * Creates a debounced function that delays invoking `func` until after `wait`
   * milliseconds have elapsed since the last time the debounced function was
   * invoked. The debounced function comes with a `cancel` method to cancel
   * delayed `func` invocations and a `flush` method to immediately invoke them.
   * Provide `options` to indicate whether `func` should be invoked on the
   * leading and/or trailing edge of the `wait` timeout. The `func` is invoked
   * with the last arguments provided to the debounced function. Subsequent
   * calls to the debounced function return the result of the last `func`
   * invocation.
   *
   * **Note:** If `leading` and `trailing` options are `true`, `func` is
   * invoked on the trailing edge of the timeout only if the debounced function
   * is invoked more than once during the `wait` timeout.
   *
   * If `wait` is `0` and `leading` is `false`, `func` invocation is deferred
   * until to the next tick, similar to `setTimeout` with a timeout of `0`.
   *
   * See [David Corbacho's article](https://css-tricks.com/debouncing-throttling-explained-examples/)
   * for details over the differences between `_.debounce` and `_.throttle`.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Function
   * @param {Function} func The function to debounce.
   * @param {number} [wait=0] The number of milliseconds to delay.
   * @param {Object} [options={}] The options object.
   * @param {boolean} [options.leading=false]
   *  Specify invoking on the leading edge of the timeout.
   * @param {number} [options.maxWait]
   *  The maximum time `func` is allowed to be delayed before it's invoked.
   * @param {boolean} [options.trailing=true]
   *  Specify invoking on the trailing edge of the timeout.
   * @returns {Function} Returns the new debounced function.
   * @example
   *
   * // Avoid costly calculations while the window size is in flux.
   * jQuery(window).on('resize', _.debounce(calculateLayout, 150));
   *
   * // Invoke `sendMail` when clicked, debouncing subsequent calls.
   * jQuery(element).on('click', _.debounce(sendMail, 300, {
   *   'leading': true,
   *   'trailing': false
   * }));
   *
   * // Ensure `batchLog` is invoked once after 1 second of debounced calls.
   * var debounced = _.debounce(batchLog, 250, { 'maxWait': 1000 });
   * var source = new EventSource('/stream');
   * jQuery(source).on('message', debounced);
   *
   * // Cancel the trailing debounced invocation.
   * jQuery(window).on('popstate', debounced.cancel);
   */
  function debounce$2(func, wait, options) {
    var lastArgs,
        lastThis,
        maxWait,
        result,
        timerId,
        lastCallTime,
        lastInvokeTime = 0,
        leading = false,
        maxing = false,
        trailing = true;

    if (typeof func != 'function') {
      throw new TypeError(FUNC_ERROR_TEXT$1);
    }
    wait = toNumber$1(wait) || 0;
    if (isObject$1(options)) {
      leading = !!options.leading;
      maxing = 'maxWait' in options;
      maxWait = maxing ? nativeMax$1(toNumber$1(options.maxWait) || 0, wait) : maxWait;
      trailing = 'trailing' in options ? !!options.trailing : trailing;
    }

    function invokeFunc(time) {
      var args = lastArgs,
          thisArg = lastThis;

      lastArgs = lastThis = undefined;
      lastInvokeTime = time;
      result = func.apply(thisArg, args);
      return result;
    }

    function leadingEdge(time) {
      // Reset any `maxWait` timer.
      lastInvokeTime = time;
      // Start the timer for the trailing edge.
      timerId = setTimeout(timerExpired, wait);
      // Invoke the leading edge.
      return leading ? invokeFunc(time) : result;
    }

    function remainingWait(time) {
      var timeSinceLastCall = time - lastCallTime,
          timeSinceLastInvoke = time - lastInvokeTime,
          result = wait - timeSinceLastCall;

      return maxing ? nativeMin$1(result, maxWait - timeSinceLastInvoke) : result;
    }

    function shouldInvoke(time) {
      var timeSinceLastCall = time - lastCallTime,
          timeSinceLastInvoke = time - lastInvokeTime;

      // Either this is the first call, activity has stopped and we're at the
      // trailing edge, the system time has gone backwards and we're treating
      // it as the trailing edge, or we've hit the `maxWait` limit.
      return (lastCallTime === undefined || (timeSinceLastCall >= wait) ||
        (timeSinceLastCall < 0) || (maxing && timeSinceLastInvoke >= maxWait));
    }

    function timerExpired() {
      var time = now$1();
      if (shouldInvoke(time)) {
        return trailingEdge(time);
      }
      // Restart the timer.
      timerId = setTimeout(timerExpired, remainingWait(time));
    }

    function trailingEdge(time) {
      timerId = undefined;

      // Only invoke if we have `lastArgs` which means `func` has been
      // debounced at least once.
      if (trailing && lastArgs) {
        return invokeFunc(time);
      }
      lastArgs = lastThis = undefined;
      return result;
    }

    function cancel() {
      if (timerId !== undefined) {
        clearTimeout(timerId);
      }
      lastInvokeTime = 0;
      lastArgs = lastCallTime = lastThis = timerId = undefined;
    }

    function flush() {
      return timerId === undefined ? result : trailingEdge(now$1());
    }

    function debounced() {
      var time = now$1(),
          isInvoking = shouldInvoke(time);

      lastArgs = arguments;
      lastThis = this;
      lastCallTime = time;

      if (isInvoking) {
        if (timerId === undefined) {
          return leadingEdge(lastCallTime);
        }
        if (maxing) {
          // Handle invocations in a tight loop.
          timerId = setTimeout(timerExpired, wait);
          return invokeFunc(lastCallTime);
        }
      }
      if (timerId === undefined) {
        timerId = setTimeout(timerExpired, wait);
      }
      return result;
    }
    debounced.cancel = cancel;
    debounced.flush = flush;
    return debounced;
  }

  /**
   * Creates a throttled function that only invokes `func` at most once per
   * every `wait` milliseconds. The throttled function comes with a `cancel`
   * method to cancel delayed `func` invocations and a `flush` method to
   * immediately invoke them. Provide `options` to indicate whether `func`
   * should be invoked on the leading and/or trailing edge of the `wait`
   * timeout. The `func` is invoked with the last arguments provided to the
   * throttled function. Subsequent calls to the throttled function return the
   * result of the last `func` invocation.
   *
   * **Note:** If `leading` and `trailing` options are `true`, `func` is
   * invoked on the trailing edge of the timeout only if the throttled function
   * is invoked more than once during the `wait` timeout.
   *
   * If `wait` is `0` and `leading` is `false`, `func` invocation is deferred
   * until to the next tick, similar to `setTimeout` with a timeout of `0`.
   *
   * See [David Corbacho's article](https://css-tricks.com/debouncing-throttling-explained-examples/)
   * for details over the differences between `_.throttle` and `_.debounce`.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Function
   * @param {Function} func The function to throttle.
   * @param {number} [wait=0] The number of milliseconds to throttle invocations to.
   * @param {Object} [options={}] The options object.
   * @param {boolean} [options.leading=true]
   *  Specify invoking on the leading edge of the timeout.
   * @param {boolean} [options.trailing=true]
   *  Specify invoking on the trailing edge of the timeout.
   * @returns {Function} Returns the new throttled function.
   * @example
   *
   * // Avoid excessively updating the position while scrolling.
   * jQuery(window).on('scroll', _.throttle(updatePosition, 100));
   *
   * // Invoke `renewToken` when the click event is fired, but not more than once every 5 minutes.
   * var throttled = _.throttle(renewToken, 300000, { 'trailing': false });
   * jQuery(element).on('click', throttled);
   *
   * // Cancel the trailing throttled invocation.
   * jQuery(window).on('popstate', throttled.cancel);
   */
  function throttle(func, wait, options) {
    var leading = true,
        trailing = true;

    if (typeof func != 'function') {
      throw new TypeError(FUNC_ERROR_TEXT$1);
    }
    if (isObject$1(options)) {
      leading = 'leading' in options ? !!options.leading : leading;
      trailing = 'trailing' in options ? !!options.trailing : trailing;
    }
    return debounce$2(func, wait, {
      'leading': leading,
      'maxWait': wait,
      'trailing': trailing
    });
  }

  /**
   * Checks if `value` is the
   * [language type](http://www.ecma-international.org/ecma-262/7.0/#sec-ecmascript-language-types)
   * of `Object`. (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is an object, else `false`.
   * @example
   *
   * _.isObject({});
   * // => true
   *
   * _.isObject([1, 2, 3]);
   * // => true
   *
   * _.isObject(_.noop);
   * // => true
   *
   * _.isObject(null);
   * // => false
   */
  function isObject$1(value) {
    var type = typeof value;
    return !!value && (type == 'object' || type == 'function');
  }

  /**
   * Checks if `value` is object-like. A value is object-like if it's not `null`
   * and has a `typeof` result of "object".
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is object-like, else `false`.
   * @example
   *
   * _.isObjectLike({});
   * // => true
   *
   * _.isObjectLike([1, 2, 3]);
   * // => true
   *
   * _.isObjectLike(_.noop);
   * // => false
   *
   * _.isObjectLike(null);
   * // => false
   */
  function isObjectLike$2(value) {
    return !!value && typeof value == 'object';
  }

  /**
   * Checks if `value` is classified as a `Symbol` primitive or object.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a symbol, else `false`.
   * @example
   *
   * _.isSymbol(Symbol.iterator);
   * // => true
   *
   * _.isSymbol('abc');
   * // => false
   */
  function isSymbol$2(value) {
    return typeof value == 'symbol' ||
      (isObjectLike$2(value) && objectToString$2.call(value) == symbolTag$2);
  }

  /**
   * Converts `value` to a number.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to process.
   * @returns {number} Returns the number.
   * @example
   *
   * _.toNumber(3.2);
   * // => 3.2
   *
   * _.toNumber(Number.MIN_VALUE);
   * // => 5e-324
   *
   * _.toNumber(Infinity);
   * // => Infinity
   *
   * _.toNumber('3.2');
   * // => 3.2
   */
  function toNumber$1(value) {
    if (typeof value == 'number') {
      return value;
    }
    if (isSymbol$2(value)) {
      return NAN$1;
    }
    if (isObject$1(value)) {
      var other = typeof value.valueOf == 'function' ? value.valueOf() : value;
      value = isObject$1(other) ? (other + '') : other;
    }
    if (typeof value != 'string') {
      return value === 0 ? value : +value;
    }
    value = value.replace(reTrim$1, '');
    var isBinary = reIsBinary$1.test(value);
    return (isBinary || reIsOctal$1.test(value))
      ? freeParseInt$1(value.slice(2), isBinary ? 2 : 8)
      : (reIsBadHex$1.test(value) ? NAN$1 : +value);
  }

  var lodash_throttle = throttle;

  function createElement(tagName, options) {
      return document.createElement(tagName, options);
  }
  function createElementNS(namespaceURI, qualifiedName, options) {
      return document.createElementNS(namespaceURI, qualifiedName, options);
  }
  function createTextNode(text) {
      return document.createTextNode(text);
  }
  function createComment(text) {
      return document.createComment(text);
  }
  function insertBefore(parentNode, newNode, referenceNode) {
      parentNode.insertBefore(newNode, referenceNode);
  }
  function removeChild(node, child) {
      node.removeChild(child);
  }
  function appendChild(node, child) {
      node.appendChild(child);
  }
  function parentNode(node) {
      return node.parentNode;
  }
  function nextSibling(node) {
      return node.nextSibling;
  }
  function tagName(elm) {
      return elm.tagName;
  }
  function setTextContent(node, text) {
      node.textContent = text;
  }
  function getTextContent(node) {
      return node.textContent;
  }
  function isElement(node) {
      return node.nodeType === 1;
  }
  function isText(node) {
      return node.nodeType === 3;
  }
  function isComment(node) {
      return node.nodeType === 8;
  }
  const htmlDomApi = {
      createElement,
      createElementNS,
      createTextNode,
      createComment,
      insertBefore,
      removeChild,
      appendChild,
      parentNode,
      nextSibling,
      tagName,
      setTextContent,
      getTextContent,
      isElement,
      isText,
      isComment,
  };

  function vnode(sel, data, children, text, elm) {
      const key = data === undefined ? undefined : data.key;
      return { sel, data, children, text, elm, key };
  }

  const array = Array.isArray;
  function primitive(s) {
      return typeof s === "string" ||
          typeof s === "number" ||
          s instanceof String ||
          s instanceof Number;
  }

  function isUndef(s) {
      return s === undefined;
  }
  function isDef(s) {
      return s !== undefined;
  }
  const emptyNode = vnode("", {}, [], undefined, undefined);
  function sameVnode(vnode1, vnode2) {
      var _a, _b;
      const isSameKey = vnode1.key === vnode2.key;
      const isSameIs = ((_a = vnode1.data) === null || _a === void 0 ? void 0 : _a.is) === ((_b = vnode2.data) === null || _b === void 0 ? void 0 : _b.is);
      const isSameSel = vnode1.sel === vnode2.sel;
      return isSameSel && isSameKey && isSameIs;
  }
  function isVnode(vnode) {
      return vnode.sel !== undefined;
  }
  function createKeyToOldIdx(children, beginIdx, endIdx) {
      var _a;
      const map = {};
      for (let i = beginIdx; i <= endIdx; ++i) {
          const key = (_a = children[i]) === null || _a === void 0 ? void 0 : _a.key;
          if (key !== undefined) {
              map[key] = i;
          }
      }
      return map;
  }
  const hooks = [
      "create",
      "update",
      "remove",
      "destroy",
      "pre",
      "post",
  ];
  function init(modules, domApi) {
      const cbs = {
          create: [],
          update: [],
          remove: [],
          destroy: [],
          pre: [],
          post: [],
      };
      const api = domApi !== undefined ? domApi : htmlDomApi;
      for (const hook of hooks) {
          for (const module of modules) {
              const currentHook = module[hook];
              if (currentHook !== undefined) {
                  cbs[hook].push(currentHook);
              }
          }
      }
      function emptyNodeAt(elm) {
          const id = elm.id ? "#" + elm.id : "";
          // elm.className doesn't return a string when elm is an SVG element inside a shadowRoot.
          // https://stackoverflow.com/questions/29454340/detecting-classname-of-svganimatedstring
          const classes = elm.getAttribute("class");
          const c = classes ? "." + classes.split(" ").join(".") : "";
          return vnode(api.tagName(elm).toLowerCase() + id + c, {}, [], undefined, elm);
      }
      function createRmCb(childElm, listeners) {
          return function rmCb() {
              if (--listeners === 0) {
                  const parent = api.parentNode(childElm);
                  api.removeChild(parent, childElm);
              }
          };
      }
      function createElm(vnode, insertedVnodeQueue) {
          var _a, _b;
          let i;
          let data = vnode.data;
          if (data !== undefined) {
              const init = (_a = data.hook) === null || _a === void 0 ? void 0 : _a.init;
              if (isDef(init)) {
                  init(vnode);
                  data = vnode.data;
              }
          }
          const children = vnode.children;
          const sel = vnode.sel;
          if (sel === "!") {
              if (isUndef(vnode.text)) {
                  vnode.text = "";
              }
              vnode.elm = api.createComment(vnode.text);
          }
          else if (sel !== undefined) {
              // Parse selector
              const hashIdx = sel.indexOf("#");
              const dotIdx = sel.indexOf(".", hashIdx);
              const hash = hashIdx > 0 ? hashIdx : sel.length;
              const dot = dotIdx > 0 ? dotIdx : sel.length;
              const tag = hashIdx !== -1 || dotIdx !== -1
                  ? sel.slice(0, Math.min(hash, dot))
                  : sel;
              const elm = (vnode.elm =
                  isDef(data) && isDef((i = data.ns))
                      ? api.createElementNS(i, tag, data)
                      : api.createElement(tag, data));
              if (hash < dot)
                  elm.setAttribute("id", sel.slice(hash + 1, dot));
              if (dotIdx > 0)
                  elm.setAttribute("class", sel.slice(dot + 1).replace(/\./g, " "));
              for (i = 0; i < cbs.create.length; ++i)
                  cbs.create[i](emptyNode, vnode);
              if (array(children)) {
                  for (i = 0; i < children.length; ++i) {
                      const ch = children[i];
                      if (ch != null) {
                          api.appendChild(elm, createElm(ch, insertedVnodeQueue));
                      }
                  }
              }
              else if (primitive(vnode.text)) {
                  api.appendChild(elm, api.createTextNode(vnode.text));
              }
              const hook = vnode.data.hook;
              if (isDef(hook)) {
                  (_b = hook.create) === null || _b === void 0 ? void 0 : _b.call(hook, emptyNode, vnode);
                  if (hook.insert) {
                      insertedVnodeQueue.push(vnode);
                  }
              }
          }
          else {
              vnode.elm = api.createTextNode(vnode.text);
          }
          return vnode.elm;
      }
      function addVnodes(parentElm, before, vnodes, startIdx, endIdx, insertedVnodeQueue) {
          for (; startIdx <= endIdx; ++startIdx) {
              const ch = vnodes[startIdx];
              if (ch != null) {
                  api.insertBefore(parentElm, createElm(ch, insertedVnodeQueue), before);
              }
          }
      }
      function invokeDestroyHook(vnode) {
          var _a, _b;
          const data = vnode.data;
          if (data !== undefined) {
              (_b = (_a = data === null || data === void 0 ? void 0 : data.hook) === null || _a === void 0 ? void 0 : _a.destroy) === null || _b === void 0 ? void 0 : _b.call(_a, vnode);
              for (let i = 0; i < cbs.destroy.length; ++i)
                  cbs.destroy[i](vnode);
              if (vnode.children !== undefined) {
                  for (let j = 0; j < vnode.children.length; ++j) {
                      const child = vnode.children[j];
                      if (child != null && typeof child !== "string") {
                          invokeDestroyHook(child);
                      }
                  }
              }
          }
      }
      function removeVnodes(parentElm, vnodes, startIdx, endIdx) {
          var _a, _b;
          for (; startIdx <= endIdx; ++startIdx) {
              let listeners;
              let rm;
              const ch = vnodes[startIdx];
              if (ch != null) {
                  if (isDef(ch.sel)) {
                      invokeDestroyHook(ch);
                      listeners = cbs.remove.length + 1;
                      rm = createRmCb(ch.elm, listeners);
                      for (let i = 0; i < cbs.remove.length; ++i)
                          cbs.remove[i](ch, rm);
                      const removeHook = (_b = (_a = ch === null || ch === void 0 ? void 0 : ch.data) === null || _a === void 0 ? void 0 : _a.hook) === null || _b === void 0 ? void 0 : _b.remove;
                      if (isDef(removeHook)) {
                          removeHook(ch, rm);
                      }
                      else {
                          rm();
                      }
                  }
                  else {
                      // Text node
                      api.removeChild(parentElm, ch.elm);
                  }
              }
          }
      }
      function updateChildren(parentElm, oldCh, newCh, insertedVnodeQueue) {
          let oldStartIdx = 0;
          let newStartIdx = 0;
          let oldEndIdx = oldCh.length - 1;
          let oldStartVnode = oldCh[0];
          let oldEndVnode = oldCh[oldEndIdx];
          let newEndIdx = newCh.length - 1;
          let newStartVnode = newCh[0];
          let newEndVnode = newCh[newEndIdx];
          let oldKeyToIdx;
          let idxInOld;
          let elmToMove;
          let before;
          while (oldStartIdx <= oldEndIdx && newStartIdx <= newEndIdx) {
              if (oldStartVnode == null) {
                  oldStartVnode = oldCh[++oldStartIdx]; // Vnode might have been moved left
              }
              else if (oldEndVnode == null) {
                  oldEndVnode = oldCh[--oldEndIdx];
              }
              else if (newStartVnode == null) {
                  newStartVnode = newCh[++newStartIdx];
              }
              else if (newEndVnode == null) {
                  newEndVnode = newCh[--newEndIdx];
              }
              else if (sameVnode(oldStartVnode, newStartVnode)) {
                  patchVnode(oldStartVnode, newStartVnode, insertedVnodeQueue);
                  oldStartVnode = oldCh[++oldStartIdx];
                  newStartVnode = newCh[++newStartIdx];
              }
              else if (sameVnode(oldEndVnode, newEndVnode)) {
                  patchVnode(oldEndVnode, newEndVnode, insertedVnodeQueue);
                  oldEndVnode = oldCh[--oldEndIdx];
                  newEndVnode = newCh[--newEndIdx];
              }
              else if (sameVnode(oldStartVnode, newEndVnode)) {
                  // Vnode moved right
                  patchVnode(oldStartVnode, newEndVnode, insertedVnodeQueue);
                  api.insertBefore(parentElm, oldStartVnode.elm, api.nextSibling(oldEndVnode.elm));
                  oldStartVnode = oldCh[++oldStartIdx];
                  newEndVnode = newCh[--newEndIdx];
              }
              else if (sameVnode(oldEndVnode, newStartVnode)) {
                  // Vnode moved left
                  patchVnode(oldEndVnode, newStartVnode, insertedVnodeQueue);
                  api.insertBefore(parentElm, oldEndVnode.elm, oldStartVnode.elm);
                  oldEndVnode = oldCh[--oldEndIdx];
                  newStartVnode = newCh[++newStartIdx];
              }
              else {
                  if (oldKeyToIdx === undefined) {
                      oldKeyToIdx = createKeyToOldIdx(oldCh, oldStartIdx, oldEndIdx);
                  }
                  idxInOld = oldKeyToIdx[newStartVnode.key];
                  if (isUndef(idxInOld)) {
                      // New element
                      api.insertBefore(parentElm, createElm(newStartVnode, insertedVnodeQueue), oldStartVnode.elm);
                  }
                  else {
                      elmToMove = oldCh[idxInOld];
                      if (elmToMove.sel !== newStartVnode.sel) {
                          api.insertBefore(parentElm, createElm(newStartVnode, insertedVnodeQueue), oldStartVnode.elm);
                      }
                      else {
                          patchVnode(elmToMove, newStartVnode, insertedVnodeQueue);
                          oldCh[idxInOld] = undefined;
                          api.insertBefore(parentElm, elmToMove.elm, oldStartVnode.elm);
                      }
                  }
                  newStartVnode = newCh[++newStartIdx];
              }
          }
          if (oldStartIdx <= oldEndIdx || newStartIdx <= newEndIdx) {
              if (oldStartIdx > oldEndIdx) {
                  before = newCh[newEndIdx + 1] == null ? null : newCh[newEndIdx + 1].elm;
                  addVnodes(parentElm, before, newCh, newStartIdx, newEndIdx, insertedVnodeQueue);
              }
              else {
                  removeVnodes(parentElm, oldCh, oldStartIdx, oldEndIdx);
              }
          }
      }
      function patchVnode(oldVnode, vnode, insertedVnodeQueue) {
          var _a, _b, _c, _d, _e;
          const hook = (_a = vnode.data) === null || _a === void 0 ? void 0 : _a.hook;
          (_b = hook === null || hook === void 0 ? void 0 : hook.prepatch) === null || _b === void 0 ? void 0 : _b.call(hook, oldVnode, vnode);
          const elm = (vnode.elm = oldVnode.elm);
          const oldCh = oldVnode.children;
          const ch = vnode.children;
          if (oldVnode === vnode)
              return;
          if (vnode.data !== undefined) {
              for (let i = 0; i < cbs.update.length; ++i)
                  cbs.update[i](oldVnode, vnode);
              (_d = (_c = vnode.data.hook) === null || _c === void 0 ? void 0 : _c.update) === null || _d === void 0 ? void 0 : _d.call(_c, oldVnode, vnode);
          }
          if (isUndef(vnode.text)) {
              if (isDef(oldCh) && isDef(ch)) {
                  if (oldCh !== ch)
                      updateChildren(elm, oldCh, ch, insertedVnodeQueue);
              }
              else if (isDef(ch)) {
                  if (isDef(oldVnode.text))
                      api.setTextContent(elm, "");
                  addVnodes(elm, null, ch, 0, ch.length - 1, insertedVnodeQueue);
              }
              else if (isDef(oldCh)) {
                  removeVnodes(elm, oldCh, 0, oldCh.length - 1);
              }
              else if (isDef(oldVnode.text)) {
                  api.setTextContent(elm, "");
              }
          }
          else if (oldVnode.text !== vnode.text) {
              if (isDef(oldCh)) {
                  removeVnodes(elm, oldCh, 0, oldCh.length - 1);
              }
              api.setTextContent(elm, vnode.text);
          }
          (_e = hook === null || hook === void 0 ? void 0 : hook.postpatch) === null || _e === void 0 ? void 0 : _e.call(hook, oldVnode, vnode);
      }
      return function patch(oldVnode, vnode) {
          let i, elm, parent;
          const insertedVnodeQueue = [];
          for (i = 0; i < cbs.pre.length; ++i)
              cbs.pre[i]();
          if (!isVnode(oldVnode)) {
              oldVnode = emptyNodeAt(oldVnode);
          }
          if (sameVnode(oldVnode, vnode)) {
              patchVnode(oldVnode, vnode, insertedVnodeQueue);
          }
          else {
              elm = oldVnode.elm;
              parent = api.parentNode(elm);
              createElm(vnode, insertedVnodeQueue);
              if (parent !== null) {
                  api.insertBefore(parent, vnode.elm, api.nextSibling(elm));
                  removeVnodes(parent, [oldVnode], 0, 0);
              }
          }
          for (i = 0; i < insertedVnodeQueue.length; ++i) {
              insertedVnodeQueue[i].data.hook.insert(insertedVnodeQueue[i]);
          }
          for (i = 0; i < cbs.post.length; ++i)
              cbs.post[i]();
          return vnode;
      };
  }

  function addNS(data, children, sel) {
      data.ns = "http://www.w3.org/2000/svg";
      if (sel !== "foreignObject" && children !== undefined) {
          for (let i = 0; i < children.length; ++i) {
              const childData = children[i].data;
              if (childData !== undefined) {
                  addNS(childData, children[i].children, children[i].sel);
              }
          }
      }
  }
  function h$3(sel, b, c) {
      let data = {};
      let children;
      let text;
      let i;
      if (c !== undefined) {
          if (b !== null) {
              data = b;
          }
          if (array(c)) {
              children = c;
          }
          else if (primitive(c)) {
              text = c.toString();
          }
          else if (c && c.sel) {
              children = [c];
          }
      }
      else if (b !== undefined && b !== null) {
          if (array(b)) {
              children = b;
          }
          else if (primitive(b)) {
              text = b.toString();
          }
          else if (b && b.sel) {
              children = [b];
          }
          else {
              data = b;
          }
      }
      if (children !== undefined) {
          for (i = 0; i < children.length; ++i) {
              if (primitive(children[i]))
                  children[i] = vnode(undefined, undefined, undefined, children[i], undefined);
          }
      }
      if (sel[0] === "s" &&
          sel[1] === "v" &&
          sel[2] === "g" &&
          (sel.length === 3 || sel[3] === "." || sel[3] === "#")) {
          addNS(data, children, sel);
      }
      return vnode(sel, data, children, text, undefined);
  }

  function updateClass(oldVnode, vnode) {
      let cur;
      let name;
      const elm = vnode.elm;
      let oldClass = oldVnode.data.class;
      let klass = vnode.data.class;
      if (!oldClass && !klass)
          return;
      if (oldClass === klass)
          return;
      oldClass = oldClass || {};
      klass = klass || {};
      for (name in oldClass) {
          if (oldClass[name] && !Object.prototype.hasOwnProperty.call(klass, name)) {
              // was `true` and now not provided
              elm.classList.remove(name);
          }
      }
      for (name in klass) {
          cur = klass[name];
          if (cur !== oldClass[name]) {
              elm.classList[cur ? "add" : "remove"](name);
          }
      }
  }
  const classModule = { create: updateClass, update: updateClass };

  const CAPS_REGEX = /[A-Z]/g;
  function updateDataset(oldVnode, vnode) {
      const elm = vnode.elm;
      let oldDataset = oldVnode.data.dataset;
      let dataset = vnode.data.dataset;
      let key;
      if (!oldDataset && !dataset)
          return;
      if (oldDataset === dataset)
          return;
      oldDataset = oldDataset || {};
      dataset = dataset || {};
      const d = elm.dataset;
      for (key in oldDataset) {
          if (!dataset[key]) {
              if (d) {
                  if (key in d) {
                      delete d[key];
                  }
              }
              else {
                  elm.removeAttribute("data-" + key.replace(CAPS_REGEX, "-$&").toLowerCase());
              }
          }
      }
      for (key in dataset) {
          if (oldDataset[key] !== dataset[key]) {
              if (d) {
                  d[key] = dataset[key];
              }
              else {
                  elm.setAttribute("data-" + key.replace(CAPS_REGEX, "-$&").toLowerCase(), dataset[key]);
              }
          }
      }
  }
  const datasetModule = {
      create: updateDataset,
      update: updateDataset,
  };

  function invokeHandler(handler, vnode, event) {
      if (typeof handler === "function") {
          // call function handler
          handler.call(vnode, event, vnode);
      }
      else if (typeof handler === "object") {
          // call multiple handlers
          for (let i = 0; i < handler.length; i++) {
              invokeHandler(handler[i], vnode, event);
          }
      }
  }
  function handleEvent(event, vnode) {
      const name = event.type;
      const on = vnode.data.on;
      // call event handler(s) if exists
      if (on && on[name]) {
          invokeHandler(on[name], vnode, event);
      }
  }
  function createListener() {
      return function handler(event) {
          handleEvent(event, handler.vnode);
      };
  }
  function updateEventListeners(oldVnode, vnode) {
      const oldOn = oldVnode.data.on;
      const oldListener = oldVnode.listener;
      const oldElm = oldVnode.elm;
      const on = vnode && vnode.data.on;
      const elm = (vnode && vnode.elm);
      let name;
      // optimization for reused immutable handlers
      if (oldOn === on) {
          return;
      }
      // remove existing listeners which no longer used
      if (oldOn && oldListener) {
          // if element changed or deleted we remove all existing listeners unconditionally
          if (!on) {
              for (name in oldOn) {
                  // remove listener if element was changed or existing listeners removed
                  oldElm.removeEventListener(name, oldListener, false);
              }
          }
          else {
              for (name in oldOn) {
                  // remove listener if existing listener removed
                  if (!on[name]) {
                      oldElm.removeEventListener(name, oldListener, false);
                  }
              }
          }
      }
      // add new listeners which has not already attached
      if (on) {
          // reuse existing listener or create new
          const listener = (vnode.listener =
              oldVnode.listener || createListener());
          // update vnode for listener
          listener.vnode = vnode;
          // if element changed or added we add all needed listeners unconditionally
          if (!oldOn) {
              for (name in on) {
                  // add listener if element was changed or new listeners added
                  elm.addEventListener(name, listener, false);
              }
          }
          else {
              for (name in on) {
                  // add listener if new listener added
                  if (!oldOn[name]) {
                      elm.addEventListener(name, listener, false);
                  }
              }
          }
      }
  }
  const eventListenersModule = {
      create: updateEventListeners,
      update: updateEventListeners,
      destroy: updateEventListeners,
  };

  function updateProps(oldVnode, vnode) {
      let key;
      let cur;
      let old;
      const elm = vnode.elm;
      let oldProps = oldVnode.data.props;
      let props = vnode.data.props;
      if (!oldProps && !props)
          return;
      if (oldProps === props)
          return;
      oldProps = oldProps || {};
      props = props || {};
      for (key in props) {
          cur = props[key];
          old = oldProps[key];
          if (old !== cur && (key !== "value" || elm[key] !== cur)) {
              elm[key] = cur;
          }
      }
  }
  const propsModule = { create: updateProps, update: updateProps };

  // Bindig `requestAnimationFrame` like this fixes a bug in IE/Edge. See #360 and #409.
  const raf = (typeof window !== "undefined" &&
      window.requestAnimationFrame.bind(window)) ||
      setTimeout;
  const nextFrame = function (fn) {
      raf(function () {
          raf(fn);
      });
  };
  let reflowForced = false;
  function setNextFrame(obj, prop, val) {
      nextFrame(function () {
          obj[prop] = val;
      });
  }
  function updateStyle(oldVnode, vnode) {
      let cur;
      let name;
      const elm = vnode.elm;
      let oldStyle = oldVnode.data.style;
      let style = vnode.data.style;
      if (!oldStyle && !style)
          return;
      if (oldStyle === style)
          return;
      oldStyle = oldStyle || {};
      style = style || {};
      const oldHasDel = "delayed" in oldStyle;
      for (name in oldStyle) {
          if (!style[name]) {
              if (name[0] === "-" && name[1] === "-") {
                  elm.style.removeProperty(name);
              }
              else {
                  elm.style[name] = "";
              }
          }
      }
      for (name in style) {
          cur = style[name];
          if (name === "delayed" && style.delayed) {
              for (const name2 in style.delayed) {
                  cur = style.delayed[name2];
                  if (!oldHasDel || cur !== oldStyle.delayed[name2]) {
                      setNextFrame(elm.style, name2, cur);
                  }
              }
          }
          else if (name !== "remove" && cur !== oldStyle[name]) {
              if (name[0] === "-" && name[1] === "-") {
                  elm.style.setProperty(name, cur);
              }
              else {
                  elm.style[name] = cur;
              }
          }
      }
  }
  function applyDestroyStyle(vnode) {
      let style;
      let name;
      const elm = vnode.elm;
      const s = vnode.data.style;
      if (!s || !(style = s.destroy))
          return;
      for (name in style) {
          elm.style[name] = style[name];
      }
  }
  function applyRemoveStyle(vnode, rm) {
      const s = vnode.data.style;
      if (!s || !s.remove) {
          rm();
          return;
      }
      if (!reflowForced) {
          // eslint-disable-next-line @typescript-eslint/no-unused-expressions
          vnode.elm.offsetLeft;
          reflowForced = true;
      }
      let name;
      const elm = vnode.elm;
      let i = 0;
      const style = s.remove;
      let amount = 0;
      const applied = [];
      for (name in style) {
          applied.push(name);
          elm.style[name] = style[name];
      }
      const compStyle = getComputedStyle(elm);
      const props = compStyle["transition-property"].split(", ");
      for (; i < props.length; ++i) {
          if (applied.indexOf(props[i]) !== -1)
              amount++;
      }
      elm.addEventListener("transitionend", function (ev) {
          if (ev.target === elm)
              --amount;
          if (amount === 0)
              rm();
      });
  }
  function forceReflow() {
      reflowForced = false;
  }
  const styleModule = {
      pre: forceReflow,
      create: updateStyle,
      update: updateStyle,
      destroy: applyDestroyStyle,
      remove: applyRemoveStyle,
  };

  /* eslint-disable @typescript-eslint/no-namespace, import/export */
  function flattenAndFilter(children, flattened) {
      for (const child of children) {
          // filter out falsey children, except 0 since zero can be a valid value e.g inside a chart
          if (child !== undefined &&
              child !== null &&
              child !== false &&
              child !== "") {
              if (Array.isArray(child)) {
                  flattenAndFilter(child, flattened);
              }
              else if (typeof child === "string" ||
                  typeof child === "number" ||
                  typeof child === "boolean") {
                  flattened.push(vnode(undefined, undefined, undefined, String(child), undefined));
              }
              else {
                  flattened.push(child);
              }
          }
      }
      return flattened;
  }
  /**
   * jsx/tsx compatible factory function
   * see: https://www.typescriptlang.org/docs/handbook/jsx.html#factory-functions
   */
  function jsx(tag, data, ...children) {
      const flatChildren = flattenAndFilter(children, []);
      if (typeof tag === "function") {
          // tag is a function component
          return tag(data, flatChildren);
      }
      else {
          if (flatChildren.length === 1 &&
              !flatChildren[0].sel &&
              flatChildren[0].text) {
              // only child is a simple text node, pass as text for a simpler vtree
              return h$3(tag, data, flatChildren[0].text);
          }
          else {
              return h$3(tag, data, flatChildren);
          }
      }
  }
  (function (jsx) {
  })(jsx || (jsx = {}));

  /**
   * lodash (Custom Build) <https://lodash.com/>
   * Build: `lodash modularize exports="npm" -o ./`
   * Copyright jQuery Foundation and other contributors <https://jquery.org/>
   * Released under MIT license <https://lodash.com/license>
   * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
   * Copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
   */

  /** Used as references for various `Number` constants. */
  var INFINITY = 1 / 0;

  /** `Object#toString` result references. */
  var symbolTag$1 = '[object Symbol]';

  /** Used to match words composed of alphanumeric characters. */
  var reAsciiWord = /[^\x00-\x2f\x3a-\x40\x5b-\x60\x7b-\x7f]+/g;

  /** Used to match Latin Unicode letters (excluding mathematical operators). */
  var reLatin = /[\xc0-\xd6\xd8-\xf6\xf8-\xff\u0100-\u017f]/g;

  /** Used to compose unicode character classes. */
  var rsAstralRange = '\\ud800-\\udfff',
      rsComboMarksRange = '\\u0300-\\u036f\\ufe20-\\ufe23',
      rsComboSymbolsRange = '\\u20d0-\\u20f0',
      rsDingbatRange = '\\u2700-\\u27bf',
      rsLowerRange = 'a-z\\xdf-\\xf6\\xf8-\\xff',
      rsMathOpRange = '\\xac\\xb1\\xd7\\xf7',
      rsNonCharRange = '\\x00-\\x2f\\x3a-\\x40\\x5b-\\x60\\x7b-\\xbf',
      rsPunctuationRange = '\\u2000-\\u206f',
      rsSpaceRange = ' \\t\\x0b\\f\\xa0\\ufeff\\n\\r\\u2028\\u2029\\u1680\\u180e\\u2000\\u2001\\u2002\\u2003\\u2004\\u2005\\u2006\\u2007\\u2008\\u2009\\u200a\\u202f\\u205f\\u3000',
      rsUpperRange = 'A-Z\\xc0-\\xd6\\xd8-\\xde',
      rsVarRange = '\\ufe0e\\ufe0f',
      rsBreakRange = rsMathOpRange + rsNonCharRange + rsPunctuationRange + rsSpaceRange;

  /** Used to compose unicode capture groups. */
  var rsApos = "['\u2019]",
      rsAstral = '[' + rsAstralRange + ']',
      rsBreak = '[' + rsBreakRange + ']',
      rsCombo = '[' + rsComboMarksRange + rsComboSymbolsRange + ']',
      rsDigits = '\\d+',
      rsDingbat = '[' + rsDingbatRange + ']',
      rsLower = '[' + rsLowerRange + ']',
      rsMisc = '[^' + rsAstralRange + rsBreakRange + rsDigits + rsDingbatRange + rsLowerRange + rsUpperRange + ']',
      rsFitz = '\\ud83c[\\udffb-\\udfff]',
      rsModifier = '(?:' + rsCombo + '|' + rsFitz + ')',
      rsNonAstral = '[^' + rsAstralRange + ']',
      rsRegional = '(?:\\ud83c[\\udde6-\\uddff]){2}',
      rsSurrPair = '[\\ud800-\\udbff][\\udc00-\\udfff]',
      rsUpper = '[' + rsUpperRange + ']',
      rsZWJ = '\\u200d';

  /** Used to compose unicode regexes. */
  var rsLowerMisc = '(?:' + rsLower + '|' + rsMisc + ')',
      rsUpperMisc = '(?:' + rsUpper + '|' + rsMisc + ')',
      rsOptLowerContr = '(?:' + rsApos + '(?:d|ll|m|re|s|t|ve))?',
      rsOptUpperContr = '(?:' + rsApos + '(?:D|LL|M|RE|S|T|VE))?',
      reOptMod = rsModifier + '?',
      rsOptVar = '[' + rsVarRange + ']?',
      rsOptJoin = '(?:' + rsZWJ + '(?:' + [rsNonAstral, rsRegional, rsSurrPair].join('|') + ')' + rsOptVar + reOptMod + ')*',
      rsSeq = rsOptVar + reOptMod + rsOptJoin,
      rsEmoji = '(?:' + [rsDingbat, rsRegional, rsSurrPair].join('|') + ')' + rsSeq,
      rsSymbol = '(?:' + [rsNonAstral + rsCombo + '?', rsCombo, rsRegional, rsSurrPair, rsAstral].join('|') + ')';

  /** Used to match apostrophes. */
  var reApos = RegExp(rsApos, 'g');

  /**
   * Used to match [combining diacritical marks](https://en.wikipedia.org/wiki/Combining_Diacritical_Marks) and
   * [combining diacritical marks for symbols](https://en.wikipedia.org/wiki/Combining_Diacritical_Marks_for_Symbols).
   */
  var reComboMark = RegExp(rsCombo, 'g');

  /** Used to match [string symbols](https://mathiasbynens.be/notes/javascript-unicode). */
  var reUnicode = RegExp(rsFitz + '(?=' + rsFitz + ')|' + rsSymbol + rsSeq, 'g');

  /** Used to match complex or compound words. */
  var reUnicodeWord = RegExp([
    rsUpper + '?' + rsLower + '+' + rsOptLowerContr + '(?=' + [rsBreak, rsUpper, '$'].join('|') + ')',
    rsUpperMisc + '+' + rsOptUpperContr + '(?=' + [rsBreak, rsUpper + rsLowerMisc, '$'].join('|') + ')',
    rsUpper + '?' + rsLowerMisc + '+' + rsOptLowerContr,
    rsUpper + '+' + rsOptUpperContr,
    rsDigits,
    rsEmoji
  ].join('|'), 'g');

  /** Used to detect strings with [zero-width joiners or code points from the astral planes](http://eev.ee/blog/2015/09/12/dark-corners-of-unicode/). */
  var reHasUnicode = RegExp('[' + rsZWJ + rsAstralRange  + rsComboMarksRange + rsComboSymbolsRange + rsVarRange + ']');

  /** Used to detect strings that need a more robust regexp to match words. */
  var reHasUnicodeWord = /[a-z][A-Z]|[A-Z]{2,}[a-z]|[0-9][a-zA-Z]|[a-zA-Z][0-9]|[^a-zA-Z0-9 ]/;

  /** Used to map Latin Unicode letters to basic Latin letters. */
  var deburredLetters = {
    // Latin-1 Supplement block.
    '\xc0': 'A',  '\xc1': 'A', '\xc2': 'A', '\xc3': 'A', '\xc4': 'A', '\xc5': 'A',
    '\xe0': 'a',  '\xe1': 'a', '\xe2': 'a', '\xe3': 'a', '\xe4': 'a', '\xe5': 'a',
    '\xc7': 'C',  '\xe7': 'c',
    '\xd0': 'D',  '\xf0': 'd',
    '\xc8': 'E',  '\xc9': 'E', '\xca': 'E', '\xcb': 'E',
    '\xe8': 'e',  '\xe9': 'e', '\xea': 'e', '\xeb': 'e',
    '\xcc': 'I',  '\xcd': 'I', '\xce': 'I', '\xcf': 'I',
    '\xec': 'i',  '\xed': 'i', '\xee': 'i', '\xef': 'i',
    '\xd1': 'N',  '\xf1': 'n',
    '\xd2': 'O',  '\xd3': 'O', '\xd4': 'O', '\xd5': 'O', '\xd6': 'O', '\xd8': 'O',
    '\xf2': 'o',  '\xf3': 'o', '\xf4': 'o', '\xf5': 'o', '\xf6': 'o', '\xf8': 'o',
    '\xd9': 'U',  '\xda': 'U', '\xdb': 'U', '\xdc': 'U',
    '\xf9': 'u',  '\xfa': 'u', '\xfb': 'u', '\xfc': 'u',
    '\xdd': 'Y',  '\xfd': 'y', '\xff': 'y',
    '\xc6': 'Ae', '\xe6': 'ae',
    '\xde': 'Th', '\xfe': 'th',
    '\xdf': 'ss',
    // Latin Extended-A block.
    '\u0100': 'A',  '\u0102': 'A', '\u0104': 'A',
    '\u0101': 'a',  '\u0103': 'a', '\u0105': 'a',
    '\u0106': 'C',  '\u0108': 'C', '\u010a': 'C', '\u010c': 'C',
    '\u0107': 'c',  '\u0109': 'c', '\u010b': 'c', '\u010d': 'c',
    '\u010e': 'D',  '\u0110': 'D', '\u010f': 'd', '\u0111': 'd',
    '\u0112': 'E',  '\u0114': 'E', '\u0116': 'E', '\u0118': 'E', '\u011a': 'E',
    '\u0113': 'e',  '\u0115': 'e', '\u0117': 'e', '\u0119': 'e', '\u011b': 'e',
    '\u011c': 'G',  '\u011e': 'G', '\u0120': 'G', '\u0122': 'G',
    '\u011d': 'g',  '\u011f': 'g', '\u0121': 'g', '\u0123': 'g',
    '\u0124': 'H',  '\u0126': 'H', '\u0125': 'h', '\u0127': 'h',
    '\u0128': 'I',  '\u012a': 'I', '\u012c': 'I', '\u012e': 'I', '\u0130': 'I',
    '\u0129': 'i',  '\u012b': 'i', '\u012d': 'i', '\u012f': 'i', '\u0131': 'i',
    '\u0134': 'J',  '\u0135': 'j',
    '\u0136': 'K',  '\u0137': 'k', '\u0138': 'k',
    '\u0139': 'L',  '\u013b': 'L', '\u013d': 'L', '\u013f': 'L', '\u0141': 'L',
    '\u013a': 'l',  '\u013c': 'l', '\u013e': 'l', '\u0140': 'l', '\u0142': 'l',
    '\u0143': 'N',  '\u0145': 'N', '\u0147': 'N', '\u014a': 'N',
    '\u0144': 'n',  '\u0146': 'n', '\u0148': 'n', '\u014b': 'n',
    '\u014c': 'O',  '\u014e': 'O', '\u0150': 'O',
    '\u014d': 'o',  '\u014f': 'o', '\u0151': 'o',
    '\u0154': 'R',  '\u0156': 'R', '\u0158': 'R',
    '\u0155': 'r',  '\u0157': 'r', '\u0159': 'r',
    '\u015a': 'S',  '\u015c': 'S', '\u015e': 'S', '\u0160': 'S',
    '\u015b': 's',  '\u015d': 's', '\u015f': 's', '\u0161': 's',
    '\u0162': 'T',  '\u0164': 'T', '\u0166': 'T',
    '\u0163': 't',  '\u0165': 't', '\u0167': 't',
    '\u0168': 'U',  '\u016a': 'U', '\u016c': 'U', '\u016e': 'U', '\u0170': 'U', '\u0172': 'U',
    '\u0169': 'u',  '\u016b': 'u', '\u016d': 'u', '\u016f': 'u', '\u0171': 'u', '\u0173': 'u',
    '\u0174': 'W',  '\u0175': 'w',
    '\u0176': 'Y',  '\u0177': 'y', '\u0178': 'Y',
    '\u0179': 'Z',  '\u017b': 'Z', '\u017d': 'Z',
    '\u017a': 'z',  '\u017c': 'z', '\u017e': 'z',
    '\u0132': 'IJ', '\u0133': 'ij',
    '\u0152': 'Oe', '\u0153': 'oe',
    '\u0149': "'n", '\u017f': 'ss'
  };

  /** Detect free variable `global` from Node.js. */
  var freeGlobal$1 = typeof commonjsGlobal == 'object' && commonjsGlobal && commonjsGlobal.Object === Object && commonjsGlobal;

  /** Detect free variable `self`. */
  var freeSelf$1 = typeof self == 'object' && self && self.Object === Object && self;

  /** Used as a reference to the global object. */
  var root$1 = freeGlobal$1 || freeSelf$1 || Function('return this')();

  /**
   * A specialized version of `_.reduce` for arrays without support for
   * iteratee shorthands.
   *
   * @private
   * @param {Array} [array] The array to iterate over.
   * @param {Function} iteratee The function invoked per iteration.
   * @param {*} [accumulator] The initial value.
   * @param {boolean} [initAccum] Specify using the first element of `array` as
   *  the initial value.
   * @returns {*} Returns the accumulated value.
   */
  function arrayReduce(array, iteratee, accumulator, initAccum) {
    var index = -1,
        length = array ? array.length : 0;

    if (initAccum && length) {
      accumulator = array[++index];
    }
    while (++index < length) {
      accumulator = iteratee(accumulator, array[index], index, array);
    }
    return accumulator;
  }

  /**
   * Converts an ASCII `string` to an array.
   *
   * @private
   * @param {string} string The string to convert.
   * @returns {Array} Returns the converted array.
   */
  function asciiToArray(string) {
    return string.split('');
  }

  /**
   * Splits an ASCII `string` into an array of its words.
   *
   * @private
   * @param {string} The string to inspect.
   * @returns {Array} Returns the words of `string`.
   */
  function asciiWords(string) {
    return string.match(reAsciiWord) || [];
  }

  /**
   * The base implementation of `_.propertyOf` without support for deep paths.
   *
   * @private
   * @param {Object} object The object to query.
   * @returns {Function} Returns the new accessor function.
   */
  function basePropertyOf(object) {
    return function(key) {
      return object == null ? undefined : object[key];
    };
  }

  /**
   * Used by `_.deburr` to convert Latin-1 Supplement and Latin Extended-A
   * letters to basic Latin letters.
   *
   * @private
   * @param {string} letter The matched letter to deburr.
   * @returns {string} Returns the deburred letter.
   */
  var deburrLetter = basePropertyOf(deburredLetters);

  /**
   * Checks if `string` contains Unicode symbols.
   *
   * @private
   * @param {string} string The string to inspect.
   * @returns {boolean} Returns `true` if a symbol is found, else `false`.
   */
  function hasUnicode(string) {
    return reHasUnicode.test(string);
  }

  /**
   * Checks if `string` contains a word composed of Unicode symbols.
   *
   * @private
   * @param {string} string The string to inspect.
   * @returns {boolean} Returns `true` if a word is found, else `false`.
   */
  function hasUnicodeWord(string) {
    return reHasUnicodeWord.test(string);
  }

  /**
   * Converts `string` to an array.
   *
   * @private
   * @param {string} string The string to convert.
   * @returns {Array} Returns the converted array.
   */
  function stringToArray(string) {
    return hasUnicode(string)
      ? unicodeToArray(string)
      : asciiToArray(string);
  }

  /**
   * Converts a Unicode `string` to an array.
   *
   * @private
   * @param {string} string The string to convert.
   * @returns {Array} Returns the converted array.
   */
  function unicodeToArray(string) {
    return string.match(reUnicode) || [];
  }

  /**
   * Splits a Unicode `string` into an array of its words.
   *
   * @private
   * @param {string} The string to inspect.
   * @returns {Array} Returns the words of `string`.
   */
  function unicodeWords(string) {
    return string.match(reUnicodeWord) || [];
  }

  /** Used for built-in method references. */
  var objectProto$1 = Object.prototype;

  /**
   * Used to resolve the
   * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
   * of values.
   */
  var objectToString$1 = objectProto$1.toString;

  /** Built-in value references. */
  var Symbol$1 = root$1.Symbol;

  /** Used to convert symbols to primitives and strings. */
  var symbolProto = Symbol$1 ? Symbol$1.prototype : undefined,
      symbolToString = symbolProto ? symbolProto.toString : undefined;

  /**
   * The base implementation of `_.slice` without an iteratee call guard.
   *
   * @private
   * @param {Array} array The array to slice.
   * @param {number} [start=0] The start position.
   * @param {number} [end=array.length] The end position.
   * @returns {Array} Returns the slice of `array`.
   */
  function baseSlice(array, start, end) {
    var index = -1,
        length = array.length;

    if (start < 0) {
      start = -start > length ? 0 : (length + start);
    }
    end = end > length ? length : end;
    if (end < 0) {
      end += length;
    }
    length = start > end ? 0 : ((end - start) >>> 0);
    start >>>= 0;

    var result = Array(length);
    while (++index < length) {
      result[index] = array[index + start];
    }
    return result;
  }

  /**
   * The base implementation of `_.toString` which doesn't convert nullish
   * values to empty strings.
   *
   * @private
   * @param {*} value The value to process.
   * @returns {string} Returns the string.
   */
  function baseToString(value) {
    // Exit early for strings to avoid a performance hit in some environments.
    if (typeof value == 'string') {
      return value;
    }
    if (isSymbol$1(value)) {
      return symbolToString ? symbolToString.call(value) : '';
    }
    var result = (value + '');
    return (result == '0' && (1 / value) == -INFINITY) ? '-0' : result;
  }

  /**
   * Casts `array` to a slice if it's needed.
   *
   * @private
   * @param {Array} array The array to inspect.
   * @param {number} start The start position.
   * @param {number} [end=array.length] The end position.
   * @returns {Array} Returns the cast slice.
   */
  function castSlice(array, start, end) {
    var length = array.length;
    end = end === undefined ? length : end;
    return (!start && end >= length) ? array : baseSlice(array, start, end);
  }

  /**
   * Creates a function like `_.lowerFirst`.
   *
   * @private
   * @param {string} methodName The name of the `String` case method to use.
   * @returns {Function} Returns the new case function.
   */
  function createCaseFirst(methodName) {
    return function(string) {
      string = toString(string);

      var strSymbols = hasUnicode(string)
        ? stringToArray(string)
        : undefined;

      var chr = strSymbols
        ? strSymbols[0]
        : string.charAt(0);

      var trailing = strSymbols
        ? castSlice(strSymbols, 1).join('')
        : string.slice(1);

      return chr[methodName]() + trailing;
    };
  }

  /**
   * Creates a function like `_.camelCase`.
   *
   * @private
   * @param {Function} callback The function to combine each word.
   * @returns {Function} Returns the new compounder function.
   */
  function createCompounder(callback) {
    return function(string) {
      return arrayReduce(words(deburr(string).replace(reApos, '')), callback, '');
    };
  }

  /**
   * Checks if `value` is object-like. A value is object-like if it's not `null`
   * and has a `typeof` result of "object".
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is object-like, else `false`.
   * @example
   *
   * _.isObjectLike({});
   * // => true
   *
   * _.isObjectLike([1, 2, 3]);
   * // => true
   *
   * _.isObjectLike(_.noop);
   * // => false
   *
   * _.isObjectLike(null);
   * // => false
   */
  function isObjectLike$1(value) {
    return !!value && typeof value == 'object';
  }

  /**
   * Checks if `value` is classified as a `Symbol` primitive or object.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a symbol, else `false`.
   * @example
   *
   * _.isSymbol(Symbol.iterator);
   * // => true
   *
   * _.isSymbol('abc');
   * // => false
   */
  function isSymbol$1(value) {
    return typeof value == 'symbol' ||
      (isObjectLike$1(value) && objectToString$1.call(value) == symbolTag$1);
  }

  /**
   * Converts `value` to a string. An empty string is returned for `null`
   * and `undefined` values. The sign of `-0` is preserved.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to process.
   * @returns {string} Returns the string.
   * @example
   *
   * _.toString(null);
   * // => ''
   *
   * _.toString(-0);
   * // => '-0'
   *
   * _.toString([1, 2, 3]);
   * // => '1,2,3'
   */
  function toString(value) {
    return value == null ? '' : baseToString(value);
  }

  /**
   * Converts `string` to [camel case](https://en.wikipedia.org/wiki/CamelCase).
   *
   * @static
   * @memberOf _
   * @since 3.0.0
   * @category String
   * @param {string} [string=''] The string to convert.
   * @returns {string} Returns the camel cased string.
   * @example
   *
   * _.camelCase('Foo Bar');
   * // => 'fooBar'
   *
   * _.camelCase('--foo-bar--');
   * // => 'fooBar'
   *
   * _.camelCase('__FOO_BAR__');
   * // => 'fooBar'
   */
  var camelCase = createCompounder(function(result, word, index) {
    word = word.toLowerCase();
    return result + (index ? capitalize(word) : word);
  });

  /**
   * Converts the first character of `string` to upper case and the remaining
   * to lower case.
   *
   * @static
   * @memberOf _
   * @since 3.0.0
   * @category String
   * @param {string} [string=''] The string to capitalize.
   * @returns {string} Returns the capitalized string.
   * @example
   *
   * _.capitalize('FRED');
   * // => 'Fred'
   */
  function capitalize(string) {
    return upperFirst(toString(string).toLowerCase());
  }

  /**
   * Deburrs `string` by converting
   * [Latin-1 Supplement](https://en.wikipedia.org/wiki/Latin-1_Supplement_(Unicode_block)#Character_table)
   * and [Latin Extended-A](https://en.wikipedia.org/wiki/Latin_Extended-A)
   * letters to basic Latin letters and removing
   * [combining diacritical marks](https://en.wikipedia.org/wiki/Combining_Diacritical_Marks).
   *
   * @static
   * @memberOf _
   * @since 3.0.0
   * @category String
   * @param {string} [string=''] The string to deburr.
   * @returns {string} Returns the deburred string.
   * @example
   *
   * _.deburr('déjà vu');
   * // => 'deja vu'
   */
  function deburr(string) {
    string = toString(string);
    return string && string.replace(reLatin, deburrLetter).replace(reComboMark, '');
  }

  /**
   * Converts the first character of `string` to upper case.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category String
   * @param {string} [string=''] The string to convert.
   * @returns {string} Returns the converted string.
   * @example
   *
   * _.upperFirst('fred');
   * // => 'Fred'
   *
   * _.upperFirst('FRED');
   * // => 'FRED'
   */
  var upperFirst = createCaseFirst('toUpperCase');

  /**
   * Splits `string` into an array of its words.
   *
   * @static
   * @memberOf _
   * @since 3.0.0
   * @category String
   * @param {string} [string=''] The string to inspect.
   * @param {RegExp|string} [pattern] The pattern to match words.
   * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
   * @returns {Array} Returns the words of `string`.
   * @example
   *
   * _.words('fred, barney, & pebbles');
   * // => ['fred', 'barney', 'pebbles']
   *
   * _.words('fred, barney, & pebbles', /[^, ]+/g);
   * // => ['fred', 'barney', '&', 'pebbles']
   */
  function words(string, pattern, guard) {
    string = toString(string);
    pattern = guard ? undefined : pattern;

    if (pattern === undefined) {
      return hasUnicodeWord(string) ? unicodeWords(string) : asciiWords(string);
    }
    return string.match(pattern) || [];
  }

  var lodash_camelcase = camelCase;

  /**
   * Constants.
   */

  var IS_MAC = typeof window != 'undefined' && /Mac|iPod|iPhone|iPad/.test(window.navigator.platform);

  var MODIFIERS = {
    alt: 'altKey',
    control: 'ctrlKey',
    meta: 'metaKey',
    shift: 'shiftKey'
  };

  var ALIASES = {
    add: '+',
    break: 'pause',
    cmd: 'meta',
    command: 'meta',
    ctl: 'control',
    ctrl: 'control',
    del: 'delete',
    down: 'arrowdown',
    esc: 'escape',
    ins: 'insert',
    left: 'arrowleft',
    mod: IS_MAC ? 'meta' : 'control',
    opt: 'alt',
    option: 'alt',
    return: 'enter',
    right: 'arrowright',
    space: ' ',
    spacebar: ' ',
    up: 'arrowup',
    win: 'meta',
    windows: 'meta'
  };

  var CODES = {
    backspace: 8,
    tab: 9,
    enter: 13,
    shift: 16,
    control: 17,
    alt: 18,
    pause: 19,
    capslock: 20,
    escape: 27,
    ' ': 32,
    pageup: 33,
    pagedown: 34,
    end: 35,
    home: 36,
    arrowleft: 37,
    arrowup: 38,
    arrowright: 39,
    arrowdown: 40,
    insert: 45,
    delete: 46,
    meta: 91,
    numlock: 144,
    scrolllock: 145,
    ';': 186,
    '=': 187,
    ',': 188,
    '-': 189,
    '.': 190,
    '/': 191,
    '`': 192,
    '[': 219,
    '\\': 220,
    ']': 221,
    '\'': 222
  };

  for (var f$2 = 1; f$2 < 20; f$2++) {
    CODES['f' + f$2] = 111 + f$2;
  }

  /**
   * Is hotkey?
   */

  function isHotkey(hotkey, options, event) {
    if (options && !('byKey' in options)) {
      event = options;
      options = null;
    }

    if (!Array.isArray(hotkey)) {
      hotkey = [hotkey];
    }

    var array = hotkey.map(function (string) {
      return parseHotkey(string, options);
    });
    var check = function check(e) {
      return array.some(function (object) {
        return compareHotkey(object, e);
      });
    };
    var ret = event == null ? check : check(event);
    return ret;
  }

  function isKeyHotkey(hotkey, event) {
    return isHotkey(hotkey, { byKey: true }, event);
  }

  /**
   * Parse.
   */

  function parseHotkey(hotkey, options) {
    var byKey = options && options.byKey;
    var ret = {};

    // Special case to handle the `+` key since we use it as a separator.
    hotkey = hotkey.replace('++', '+add');
    var values = hotkey.split('+');
    var length = values.length;

    // Ensure that all the modifiers are set to false unless the hotkey has them.

    for (var k in MODIFIERS) {
      ret[MODIFIERS[k]] = false;
    }

    var _iteratorNormalCompletion = true;
    var _didIteratorError = false;
    var _iteratorError = undefined;

    try {
      for (var _iterator = values[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
        var value = _step.value;

        var optional = value.endsWith('?') && value.length > 1;

        if (optional) {
          value = value.slice(0, -1);
        }

        var name = toKeyName(value);
        var modifier = MODIFIERS[name];

        if (value.length > 1 && !modifier && !ALIASES[value] && !CODES[name]) {
          throw new TypeError('Unknown modifier: "' + value + '"');
        }

        if (length === 1 || !modifier) {
          if (byKey) {
            ret.key = name;
          } else {
            ret.which = toKeyCode(value);
          }
        }

        if (modifier) {
          ret[modifier] = optional ? null : true;
        }
      }
    } catch (err) {
      _didIteratorError = true;
      _iteratorError = err;
    } finally {
      try {
        if (!_iteratorNormalCompletion && _iterator.return) {
          _iterator.return();
        }
      } finally {
        if (_didIteratorError) {
          throw _iteratorError;
        }
      }
    }

    return ret;
  }

  /**
   * Compare.
   */

  function compareHotkey(object, event) {
    for (var key in object) {
      var expected = object[key];
      var actual = void 0;

      if (expected == null) {
        continue;
      }

      if (key === 'key' && event.key != null) {
        actual = event.key.toLowerCase();
      } else if (key === 'which') {
        actual = expected === 91 && event.which === 93 ? 91 : event.which;
      } else {
        actual = event[key];
      }

      if (actual == null && expected === false) {
        continue;
      }

      if (actual !== expected) {
        return false;
      }
    }

    return true;
  }

  /**
   * Utils.
   */

  function toKeyCode(name) {
    name = toKeyName(name);
    var code = CODES[name] || name.toUpperCase().charCodeAt(0);
    return code;
  }

  function toKeyName(name) {
    name = name.toLowerCase();
    name = ALIASES[name] || name;
    return name;
  }
  var isHotkey_1 = isHotkey;
  var isKeyHotkey_1 = isKeyHotkey;

  /**
   * lodash (Custom Build) <https://lodash.com/>
   * Build: `lodash modularize exports="npm" -o ./`
   * Copyright jQuery Foundation and other contributors <https://jquery.org/>
   * Released under MIT license <https://lodash.com/license>
   * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
   * Copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
   */

  /** Used as the `TypeError` message for "Functions" methods. */
  var FUNC_ERROR_TEXT = 'Expected a function';

  /** Used as references for various `Number` constants. */
  var NAN = 0 / 0;

  /** `Object#toString` result references. */
  var symbolTag = '[object Symbol]';

  /** Used to match leading and trailing whitespace. */
  var reTrim = /^\s+|\s+$/g;

  /** Used to detect bad signed hexadecimal string values. */
  var reIsBadHex = /^[-+]0x[0-9a-f]+$/i;

  /** Used to detect binary string values. */
  var reIsBinary = /^0b[01]+$/i;

  /** Used to detect octal string values. */
  var reIsOctal = /^0o[0-7]+$/i;

  /** Built-in method references without a dependency on `root`. */
  var freeParseInt = parseInt;

  /** Detect free variable `global` from Node.js. */
  var freeGlobal = typeof commonjsGlobal == 'object' && commonjsGlobal && commonjsGlobal.Object === Object && commonjsGlobal;

  /** Detect free variable `self`. */
  var freeSelf = typeof self == 'object' && self && self.Object === Object && self;

  /** Used as a reference to the global object. */
  var root = freeGlobal || freeSelf || Function('return this')();

  /** Used for built-in method references. */
  var objectProto = Object.prototype;

  /**
   * Used to resolve the
   * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
   * of values.
   */
  var objectToString = objectProto.toString;

  /* Built-in method references for those with the same name as other `lodash` methods. */
  var nativeMax = Math.max,
      nativeMin = Math.min;

  /**
   * Gets the timestamp of the number of milliseconds that have elapsed since
   * the Unix epoch (1 January 1970 00:00:00 UTC).
   *
   * @static
   * @memberOf _
   * @since 2.4.0
   * @category Date
   * @returns {number} Returns the timestamp.
   * @example
   *
   * _.defer(function(stamp) {
   *   console.log(_.now() - stamp);
   * }, _.now());
   * // => Logs the number of milliseconds it took for the deferred invocation.
   */
  var now = function() {
    return root.Date.now();
  };

  /**
   * Creates a debounced function that delays invoking `func` until after `wait`
   * milliseconds have elapsed since the last time the debounced function was
   * invoked. The debounced function comes with a `cancel` method to cancel
   * delayed `func` invocations and a `flush` method to immediately invoke them.
   * Provide `options` to indicate whether `func` should be invoked on the
   * leading and/or trailing edge of the `wait` timeout. The `func` is invoked
   * with the last arguments provided to the debounced function. Subsequent
   * calls to the debounced function return the result of the last `func`
   * invocation.
   *
   * **Note:** If `leading` and `trailing` options are `true`, `func` is
   * invoked on the trailing edge of the timeout only if the debounced function
   * is invoked more than once during the `wait` timeout.
   *
   * If `wait` is `0` and `leading` is `false`, `func` invocation is deferred
   * until to the next tick, similar to `setTimeout` with a timeout of `0`.
   *
   * See [David Corbacho's article](https://css-tricks.com/debouncing-throttling-explained-examples/)
   * for details over the differences between `_.debounce` and `_.throttle`.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Function
   * @param {Function} func The function to debounce.
   * @param {number} [wait=0] The number of milliseconds to delay.
   * @param {Object} [options={}] The options object.
   * @param {boolean} [options.leading=false]
   *  Specify invoking on the leading edge of the timeout.
   * @param {number} [options.maxWait]
   *  The maximum time `func` is allowed to be delayed before it's invoked.
   * @param {boolean} [options.trailing=true]
   *  Specify invoking on the trailing edge of the timeout.
   * @returns {Function} Returns the new debounced function.
   * @example
   *
   * // Avoid costly calculations while the window size is in flux.
   * jQuery(window).on('resize', _.debounce(calculateLayout, 150));
   *
   * // Invoke `sendMail` when clicked, debouncing subsequent calls.
   * jQuery(element).on('click', _.debounce(sendMail, 300, {
   *   'leading': true,
   *   'trailing': false
   * }));
   *
   * // Ensure `batchLog` is invoked once after 1 second of debounced calls.
   * var debounced = _.debounce(batchLog, 250, { 'maxWait': 1000 });
   * var source = new EventSource('/stream');
   * jQuery(source).on('message', debounced);
   *
   * // Cancel the trailing debounced invocation.
   * jQuery(window).on('popstate', debounced.cancel);
   */
  function debounce$1(func, wait, options) {
    var lastArgs,
        lastThis,
        maxWait,
        result,
        timerId,
        lastCallTime,
        lastInvokeTime = 0,
        leading = false,
        maxing = false,
        trailing = true;

    if (typeof func != 'function') {
      throw new TypeError(FUNC_ERROR_TEXT);
    }
    wait = toNumber(wait) || 0;
    if (isObject(options)) {
      leading = !!options.leading;
      maxing = 'maxWait' in options;
      maxWait = maxing ? nativeMax(toNumber(options.maxWait) || 0, wait) : maxWait;
      trailing = 'trailing' in options ? !!options.trailing : trailing;
    }

    function invokeFunc(time) {
      var args = lastArgs,
          thisArg = lastThis;

      lastArgs = lastThis = undefined;
      lastInvokeTime = time;
      result = func.apply(thisArg, args);
      return result;
    }

    function leadingEdge(time) {
      // Reset any `maxWait` timer.
      lastInvokeTime = time;
      // Start the timer for the trailing edge.
      timerId = setTimeout(timerExpired, wait);
      // Invoke the leading edge.
      return leading ? invokeFunc(time) : result;
    }

    function remainingWait(time) {
      var timeSinceLastCall = time - lastCallTime,
          timeSinceLastInvoke = time - lastInvokeTime,
          result = wait - timeSinceLastCall;

      return maxing ? nativeMin(result, maxWait - timeSinceLastInvoke) : result;
    }

    function shouldInvoke(time) {
      var timeSinceLastCall = time - lastCallTime,
          timeSinceLastInvoke = time - lastInvokeTime;

      // Either this is the first call, activity has stopped and we're at the
      // trailing edge, the system time has gone backwards and we're treating
      // it as the trailing edge, or we've hit the `maxWait` limit.
      return (lastCallTime === undefined || (timeSinceLastCall >= wait) ||
        (timeSinceLastCall < 0) || (maxing && timeSinceLastInvoke >= maxWait));
    }

    function timerExpired() {
      var time = now();
      if (shouldInvoke(time)) {
        return trailingEdge(time);
      }
      // Restart the timer.
      timerId = setTimeout(timerExpired, remainingWait(time));
    }

    function trailingEdge(time) {
      timerId = undefined;

      // Only invoke if we have `lastArgs` which means `func` has been
      // debounced at least once.
      if (trailing && lastArgs) {
        return invokeFunc(time);
      }
      lastArgs = lastThis = undefined;
      return result;
    }

    function cancel() {
      if (timerId !== undefined) {
        clearTimeout(timerId);
      }
      lastInvokeTime = 0;
      lastArgs = lastCallTime = lastThis = timerId = undefined;
    }

    function flush() {
      return timerId === undefined ? result : trailingEdge(now());
    }

    function debounced() {
      var time = now(),
          isInvoking = shouldInvoke(time);

      lastArgs = arguments;
      lastThis = this;
      lastCallTime = time;

      if (isInvoking) {
        if (timerId === undefined) {
          return leadingEdge(lastCallTime);
        }
        if (maxing) {
          // Handle invocations in a tight loop.
          timerId = setTimeout(timerExpired, wait);
          return invokeFunc(lastCallTime);
        }
      }
      if (timerId === undefined) {
        timerId = setTimeout(timerExpired, wait);
      }
      return result;
    }
    debounced.cancel = cancel;
    debounced.flush = flush;
    return debounced;
  }

  /**
   * Checks if `value` is the
   * [language type](http://www.ecma-international.org/ecma-262/7.0/#sec-ecmascript-language-types)
   * of `Object`. (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is an object, else `false`.
   * @example
   *
   * _.isObject({});
   * // => true
   *
   * _.isObject([1, 2, 3]);
   * // => true
   *
   * _.isObject(_.noop);
   * // => true
   *
   * _.isObject(null);
   * // => false
   */
  function isObject(value) {
    var type = typeof value;
    return !!value && (type == 'object' || type == 'function');
  }

  /**
   * Checks if `value` is object-like. A value is object-like if it's not `null`
   * and has a `typeof` result of "object".
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is object-like, else `false`.
   * @example
   *
   * _.isObjectLike({});
   * // => true
   *
   * _.isObjectLike([1, 2, 3]);
   * // => true
   *
   * _.isObjectLike(_.noop);
   * // => false
   *
   * _.isObjectLike(null);
   * // => false
   */
  function isObjectLike(value) {
    return !!value && typeof value == 'object';
  }

  /**
   * Checks if `value` is classified as a `Symbol` primitive or object.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a symbol, else `false`.
   * @example
   *
   * _.isSymbol(Symbol.iterator);
   * // => true
   *
   * _.isSymbol('abc');
   * // => false
   */
  function isSymbol(value) {
    return typeof value == 'symbol' ||
      (isObjectLike(value) && objectToString.call(value) == symbolTag);
  }

  /**
   * Converts `value` to a number.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to process.
   * @returns {number} Returns the number.
   * @example
   *
   * _.toNumber(3.2);
   * // => 3.2
   *
   * _.toNumber(Number.MIN_VALUE);
   * // => 5e-324
   *
   * _.toNumber(Infinity);
   * // => Infinity
   *
   * _.toNumber('3.2');
   * // => 3.2
   */
  function toNumber(value) {
    if (typeof value == 'number') {
      return value;
    }
    if (isSymbol(value)) {
      return NAN;
    }
    if (isObject(value)) {
      var other = typeof value.valueOf == 'function' ? value.valueOf() : value;
      value = isObject(other) ? (other + '') : other;
    }
    if (typeof value != 'string') {
      return value === 0 ? value : +value;
    }
    value = value.replace(reTrim, '');
    var isBinary = reIsBinary.test(value);
    return (isBinary || reIsOctal.test(value))
      ? freeParseInt(value.slice(2), isBinary ? 2 : 8)
      : (reIsBadHex.test(value) ? NAN : +value);
  }

  var lodash_debounce = debounce$1;

  /**
   * lodash (Custom Build) <https://lodash.com/>
   * Build: `lodash modularize exports="npm" -o ./`
   * Copyright jQuery Foundation and other contributors <https://jquery.org/>
   * Released under MIT license <https://lodash.com/license>
   * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
   * Copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
   */

  var lodash_clonedeep = createCommonjsModule(function (module, exports) {
  /** Used as the size to enable large array optimizations. */
  var LARGE_ARRAY_SIZE = 200;

  /** Used to stand-in for `undefined` hash values. */
  var HASH_UNDEFINED = '__lodash_hash_undefined__';

  /** Used as references for various `Number` constants. */
  var MAX_SAFE_INTEGER = 9007199254740991;

  /** `Object#toString` result references. */
  var argsTag = '[object Arguments]',
      arrayTag = '[object Array]',
      boolTag = '[object Boolean]',
      dateTag = '[object Date]',
      errorTag = '[object Error]',
      funcTag = '[object Function]',
      genTag = '[object GeneratorFunction]',
      mapTag = '[object Map]',
      numberTag = '[object Number]',
      objectTag = '[object Object]',
      promiseTag = '[object Promise]',
      regexpTag = '[object RegExp]',
      setTag = '[object Set]',
      stringTag = '[object String]',
      symbolTag = '[object Symbol]',
      weakMapTag = '[object WeakMap]';

  var arrayBufferTag = '[object ArrayBuffer]',
      dataViewTag = '[object DataView]',
      float32Tag = '[object Float32Array]',
      float64Tag = '[object Float64Array]',
      int8Tag = '[object Int8Array]',
      int16Tag = '[object Int16Array]',
      int32Tag = '[object Int32Array]',
      uint8Tag = '[object Uint8Array]',
      uint8ClampedTag = '[object Uint8ClampedArray]',
      uint16Tag = '[object Uint16Array]',
      uint32Tag = '[object Uint32Array]';

  /**
   * Used to match `RegExp`
   * [syntax characters](http://ecma-international.org/ecma-262/7.0/#sec-patterns).
   */
  var reRegExpChar = /[\\^$.*+?()[\]{}|]/g;

  /** Used to match `RegExp` flags from their coerced string values. */
  var reFlags = /\w*$/;

  /** Used to detect host constructors (Safari). */
  var reIsHostCtor = /^\[object .+?Constructor\]$/;

  /** Used to detect unsigned integer values. */
  var reIsUint = /^(?:0|[1-9]\d*)$/;

  /** Used to identify `toStringTag` values supported by `_.clone`. */
  var cloneableTags = {};
  cloneableTags[argsTag] = cloneableTags[arrayTag] =
  cloneableTags[arrayBufferTag] = cloneableTags[dataViewTag] =
  cloneableTags[boolTag] = cloneableTags[dateTag] =
  cloneableTags[float32Tag] = cloneableTags[float64Tag] =
  cloneableTags[int8Tag] = cloneableTags[int16Tag] =
  cloneableTags[int32Tag] = cloneableTags[mapTag] =
  cloneableTags[numberTag] = cloneableTags[objectTag] =
  cloneableTags[regexpTag] = cloneableTags[setTag] =
  cloneableTags[stringTag] = cloneableTags[symbolTag] =
  cloneableTags[uint8Tag] = cloneableTags[uint8ClampedTag] =
  cloneableTags[uint16Tag] = cloneableTags[uint32Tag] = true;
  cloneableTags[errorTag] = cloneableTags[funcTag] =
  cloneableTags[weakMapTag] = false;

  /** Detect free variable `global` from Node.js. */
  var freeGlobal = typeof commonjsGlobal == 'object' && commonjsGlobal && commonjsGlobal.Object === Object && commonjsGlobal;

  /** Detect free variable `self`. */
  var freeSelf = typeof self == 'object' && self && self.Object === Object && self;

  /** Used as a reference to the global object. */
  var root = freeGlobal || freeSelf || Function('return this')();

  /** Detect free variable `exports`. */
  var freeExports = exports && !exports.nodeType && exports;

  /** Detect free variable `module`. */
  var freeModule = freeExports && 'object' == 'object' && module && !module.nodeType && module;

  /** Detect the popular CommonJS extension `module.exports`. */
  var moduleExports = freeModule && freeModule.exports === freeExports;

  /**
   * Adds the key-value `pair` to `map`.
   *
   * @private
   * @param {Object} map The map to modify.
   * @param {Array} pair The key-value pair to add.
   * @returns {Object} Returns `map`.
   */
  function addMapEntry(map, pair) {
    // Don't return `map.set` because it's not chainable in IE 11.
    map.set(pair[0], pair[1]);
    return map;
  }

  /**
   * Adds `value` to `set`.
   *
   * @private
   * @param {Object} set The set to modify.
   * @param {*} value The value to add.
   * @returns {Object} Returns `set`.
   */
  function addSetEntry(set, value) {
    // Don't return `set.add` because it's not chainable in IE 11.
    set.add(value);
    return set;
  }

  /**
   * A specialized version of `_.forEach` for arrays without support for
   * iteratee shorthands.
   *
   * @private
   * @param {Array} [array] The array to iterate over.
   * @param {Function} iteratee The function invoked per iteration.
   * @returns {Array} Returns `array`.
   */
  function arrayEach(array, iteratee) {
    var index = -1,
        length = array ? array.length : 0;

    while (++index < length) {
      if (iteratee(array[index], index, array) === false) {
        break;
      }
    }
    return array;
  }

  /**
   * Appends the elements of `values` to `array`.
   *
   * @private
   * @param {Array} array The array to modify.
   * @param {Array} values The values to append.
   * @returns {Array} Returns `array`.
   */
  function arrayPush(array, values) {
    var index = -1,
        length = values.length,
        offset = array.length;

    while (++index < length) {
      array[offset + index] = values[index];
    }
    return array;
  }

  /**
   * A specialized version of `_.reduce` for arrays without support for
   * iteratee shorthands.
   *
   * @private
   * @param {Array} [array] The array to iterate over.
   * @param {Function} iteratee The function invoked per iteration.
   * @param {*} [accumulator] The initial value.
   * @param {boolean} [initAccum] Specify using the first element of `array` as
   *  the initial value.
   * @returns {*} Returns the accumulated value.
   */
  function arrayReduce(array, iteratee, accumulator, initAccum) {
    var index = -1,
        length = array ? array.length : 0;

    if (initAccum && length) {
      accumulator = array[++index];
    }
    while (++index < length) {
      accumulator = iteratee(accumulator, array[index], index, array);
    }
    return accumulator;
  }

  /**
   * The base implementation of `_.times` without support for iteratee shorthands
   * or max array length checks.
   *
   * @private
   * @param {number} n The number of times to invoke `iteratee`.
   * @param {Function} iteratee The function invoked per iteration.
   * @returns {Array} Returns the array of results.
   */
  function baseTimes(n, iteratee) {
    var index = -1,
        result = Array(n);

    while (++index < n) {
      result[index] = iteratee(index);
    }
    return result;
  }

  /**
   * Gets the value at `key` of `object`.
   *
   * @private
   * @param {Object} [object] The object to query.
   * @param {string} key The key of the property to get.
   * @returns {*} Returns the property value.
   */
  function getValue(object, key) {
    return object == null ? undefined : object[key];
  }

  /**
   * Checks if `value` is a host object in IE < 9.
   *
   * @private
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a host object, else `false`.
   */
  function isHostObject(value) {
    // Many host objects are `Object` objects that can coerce to strings
    // despite having improperly defined `toString` methods.
    var result = false;
    if (value != null && typeof value.toString != 'function') {
      try {
        result = !!(value + '');
      } catch (e) {}
    }
    return result;
  }

  /**
   * Converts `map` to its key-value pairs.
   *
   * @private
   * @param {Object} map The map to convert.
   * @returns {Array} Returns the key-value pairs.
   */
  function mapToArray(map) {
    var index = -1,
        result = Array(map.size);

    map.forEach(function(value, key) {
      result[++index] = [key, value];
    });
    return result;
  }

  /**
   * Creates a unary function that invokes `func` with its argument transformed.
   *
   * @private
   * @param {Function} func The function to wrap.
   * @param {Function} transform The argument transform.
   * @returns {Function} Returns the new function.
   */
  function overArg(func, transform) {
    return function(arg) {
      return func(transform(arg));
    };
  }

  /**
   * Converts `set` to an array of its values.
   *
   * @private
   * @param {Object} set The set to convert.
   * @returns {Array} Returns the values.
   */
  function setToArray(set) {
    var index = -1,
        result = Array(set.size);

    set.forEach(function(value) {
      result[++index] = value;
    });
    return result;
  }

  /** Used for built-in method references. */
  var arrayProto = Array.prototype,
      funcProto = Function.prototype,
      objectProto = Object.prototype;

  /** Used to detect overreaching core-js shims. */
  var coreJsData = root['__core-js_shared__'];

  /** Used to detect methods masquerading as native. */
  var maskSrcKey = (function() {
    var uid = /[^.]+$/.exec(coreJsData && coreJsData.keys && coreJsData.keys.IE_PROTO || '');
    return uid ? ('Symbol(src)_1.' + uid) : '';
  }());

  /** Used to resolve the decompiled source of functions. */
  var funcToString = funcProto.toString;

  /** Used to check objects for own properties. */
  var hasOwnProperty = objectProto.hasOwnProperty;

  /**
   * Used to resolve the
   * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
   * of values.
   */
  var objectToString = objectProto.toString;

  /** Used to detect if a method is native. */
  var reIsNative = RegExp('^' +
    funcToString.call(hasOwnProperty).replace(reRegExpChar, '\\$&')
    .replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, '$1.*?') + '$'
  );

  /** Built-in value references. */
  var Buffer = moduleExports ? root.Buffer : undefined,
      Symbol = root.Symbol,
      Uint8Array = root.Uint8Array,
      getPrototype = overArg(Object.getPrototypeOf, Object),
      objectCreate = Object.create,
      propertyIsEnumerable = objectProto.propertyIsEnumerable,
      splice = arrayProto.splice;

  /* Built-in method references for those with the same name as other `lodash` methods. */
  var nativeGetSymbols = Object.getOwnPropertySymbols,
      nativeIsBuffer = Buffer ? Buffer.isBuffer : undefined,
      nativeKeys = overArg(Object.keys, Object);

  /* Built-in method references that are verified to be native. */
  var DataView = getNative(root, 'DataView'),
      Map = getNative(root, 'Map'),
      Promise = getNative(root, 'Promise'),
      Set = getNative(root, 'Set'),
      WeakMap = getNative(root, 'WeakMap'),
      nativeCreate = getNative(Object, 'create');

  /** Used to detect maps, sets, and weakmaps. */
  var dataViewCtorString = toSource(DataView),
      mapCtorString = toSource(Map),
      promiseCtorString = toSource(Promise),
      setCtorString = toSource(Set),
      weakMapCtorString = toSource(WeakMap);

  /** Used to convert symbols to primitives and strings. */
  var symbolProto = Symbol ? Symbol.prototype : undefined,
      symbolValueOf = symbolProto ? symbolProto.valueOf : undefined;

  /**
   * Creates a hash object.
   *
   * @private
   * @constructor
   * @param {Array} [entries] The key-value pairs to cache.
   */
  function Hash(entries) {
    var index = -1,
        length = entries ? entries.length : 0;

    this.clear();
    while (++index < length) {
      var entry = entries[index];
      this.set(entry[0], entry[1]);
    }
  }

  /**
   * Removes all key-value entries from the hash.
   *
   * @private
   * @name clear
   * @memberOf Hash
   */
  function hashClear() {
    this.__data__ = nativeCreate ? nativeCreate(null) : {};
  }

  /**
   * Removes `key` and its value from the hash.
   *
   * @private
   * @name delete
   * @memberOf Hash
   * @param {Object} hash The hash to modify.
   * @param {string} key The key of the value to remove.
   * @returns {boolean} Returns `true` if the entry was removed, else `false`.
   */
  function hashDelete(key) {
    return this.has(key) && delete this.__data__[key];
  }

  /**
   * Gets the hash value for `key`.
   *
   * @private
   * @name get
   * @memberOf Hash
   * @param {string} key The key of the value to get.
   * @returns {*} Returns the entry value.
   */
  function hashGet(key) {
    var data = this.__data__;
    if (nativeCreate) {
      var result = data[key];
      return result === HASH_UNDEFINED ? undefined : result;
    }
    return hasOwnProperty.call(data, key) ? data[key] : undefined;
  }

  /**
   * Checks if a hash value for `key` exists.
   *
   * @private
   * @name has
   * @memberOf Hash
   * @param {string} key The key of the entry to check.
   * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
   */
  function hashHas(key) {
    var data = this.__data__;
    return nativeCreate ? data[key] !== undefined : hasOwnProperty.call(data, key);
  }

  /**
   * Sets the hash `key` to `value`.
   *
   * @private
   * @name set
   * @memberOf Hash
   * @param {string} key The key of the value to set.
   * @param {*} value The value to set.
   * @returns {Object} Returns the hash instance.
   */
  function hashSet(key, value) {
    var data = this.__data__;
    data[key] = (nativeCreate && value === undefined) ? HASH_UNDEFINED : value;
    return this;
  }

  // Add methods to `Hash`.
  Hash.prototype.clear = hashClear;
  Hash.prototype['delete'] = hashDelete;
  Hash.prototype.get = hashGet;
  Hash.prototype.has = hashHas;
  Hash.prototype.set = hashSet;

  /**
   * Creates an list cache object.
   *
   * @private
   * @constructor
   * @param {Array} [entries] The key-value pairs to cache.
   */
  function ListCache(entries) {
    var index = -1,
        length = entries ? entries.length : 0;

    this.clear();
    while (++index < length) {
      var entry = entries[index];
      this.set(entry[0], entry[1]);
    }
  }

  /**
   * Removes all key-value entries from the list cache.
   *
   * @private
   * @name clear
   * @memberOf ListCache
   */
  function listCacheClear() {
    this.__data__ = [];
  }

  /**
   * Removes `key` and its value from the list cache.
   *
   * @private
   * @name delete
   * @memberOf ListCache
   * @param {string} key The key of the value to remove.
   * @returns {boolean} Returns `true` if the entry was removed, else `false`.
   */
  function listCacheDelete(key) {
    var data = this.__data__,
        index = assocIndexOf(data, key);

    if (index < 0) {
      return false;
    }
    var lastIndex = data.length - 1;
    if (index == lastIndex) {
      data.pop();
    } else {
      splice.call(data, index, 1);
    }
    return true;
  }

  /**
   * Gets the list cache value for `key`.
   *
   * @private
   * @name get
   * @memberOf ListCache
   * @param {string} key The key of the value to get.
   * @returns {*} Returns the entry value.
   */
  function listCacheGet(key) {
    var data = this.__data__,
        index = assocIndexOf(data, key);

    return index < 0 ? undefined : data[index][1];
  }

  /**
   * Checks if a list cache value for `key` exists.
   *
   * @private
   * @name has
   * @memberOf ListCache
   * @param {string} key The key of the entry to check.
   * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
   */
  function listCacheHas(key) {
    return assocIndexOf(this.__data__, key) > -1;
  }

  /**
   * Sets the list cache `key` to `value`.
   *
   * @private
   * @name set
   * @memberOf ListCache
   * @param {string} key The key of the value to set.
   * @param {*} value The value to set.
   * @returns {Object} Returns the list cache instance.
   */
  function listCacheSet(key, value) {
    var data = this.__data__,
        index = assocIndexOf(data, key);

    if (index < 0) {
      data.push([key, value]);
    } else {
      data[index][1] = value;
    }
    return this;
  }

  // Add methods to `ListCache`.
  ListCache.prototype.clear = listCacheClear;
  ListCache.prototype['delete'] = listCacheDelete;
  ListCache.prototype.get = listCacheGet;
  ListCache.prototype.has = listCacheHas;
  ListCache.prototype.set = listCacheSet;

  /**
   * Creates a map cache object to store key-value pairs.
   *
   * @private
   * @constructor
   * @param {Array} [entries] The key-value pairs to cache.
   */
  function MapCache(entries) {
    var index = -1,
        length = entries ? entries.length : 0;

    this.clear();
    while (++index < length) {
      var entry = entries[index];
      this.set(entry[0], entry[1]);
    }
  }

  /**
   * Removes all key-value entries from the map.
   *
   * @private
   * @name clear
   * @memberOf MapCache
   */
  function mapCacheClear() {
    this.__data__ = {
      'hash': new Hash,
      'map': new (Map || ListCache),
      'string': new Hash
    };
  }

  /**
   * Removes `key` and its value from the map.
   *
   * @private
   * @name delete
   * @memberOf MapCache
   * @param {string} key The key of the value to remove.
   * @returns {boolean} Returns `true` if the entry was removed, else `false`.
   */
  function mapCacheDelete(key) {
    return getMapData(this, key)['delete'](key);
  }

  /**
   * Gets the map value for `key`.
   *
   * @private
   * @name get
   * @memberOf MapCache
   * @param {string} key The key of the value to get.
   * @returns {*} Returns the entry value.
   */
  function mapCacheGet(key) {
    return getMapData(this, key).get(key);
  }

  /**
   * Checks if a map value for `key` exists.
   *
   * @private
   * @name has
   * @memberOf MapCache
   * @param {string} key The key of the entry to check.
   * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
   */
  function mapCacheHas(key) {
    return getMapData(this, key).has(key);
  }

  /**
   * Sets the map `key` to `value`.
   *
   * @private
   * @name set
   * @memberOf MapCache
   * @param {string} key The key of the value to set.
   * @param {*} value The value to set.
   * @returns {Object} Returns the map cache instance.
   */
  function mapCacheSet(key, value) {
    getMapData(this, key).set(key, value);
    return this;
  }

  // Add methods to `MapCache`.
  MapCache.prototype.clear = mapCacheClear;
  MapCache.prototype['delete'] = mapCacheDelete;
  MapCache.prototype.get = mapCacheGet;
  MapCache.prototype.has = mapCacheHas;
  MapCache.prototype.set = mapCacheSet;

  /**
   * Creates a stack cache object to store key-value pairs.
   *
   * @private
   * @constructor
   * @param {Array} [entries] The key-value pairs to cache.
   */
  function Stack(entries) {
    this.__data__ = new ListCache(entries);
  }

  /**
   * Removes all key-value entries from the stack.
   *
   * @private
   * @name clear
   * @memberOf Stack
   */
  function stackClear() {
    this.__data__ = new ListCache;
  }

  /**
   * Removes `key` and its value from the stack.
   *
   * @private
   * @name delete
   * @memberOf Stack
   * @param {string} key The key of the value to remove.
   * @returns {boolean} Returns `true` if the entry was removed, else `false`.
   */
  function stackDelete(key) {
    return this.__data__['delete'](key);
  }

  /**
   * Gets the stack value for `key`.
   *
   * @private
   * @name get
   * @memberOf Stack
   * @param {string} key The key of the value to get.
   * @returns {*} Returns the entry value.
   */
  function stackGet(key) {
    return this.__data__.get(key);
  }

  /**
   * Checks if a stack value for `key` exists.
   *
   * @private
   * @name has
   * @memberOf Stack
   * @param {string} key The key of the entry to check.
   * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
   */
  function stackHas(key) {
    return this.__data__.has(key);
  }

  /**
   * Sets the stack `key` to `value`.
   *
   * @private
   * @name set
   * @memberOf Stack
   * @param {string} key The key of the value to set.
   * @param {*} value The value to set.
   * @returns {Object} Returns the stack cache instance.
   */
  function stackSet(key, value) {
    var cache = this.__data__;
    if (cache instanceof ListCache) {
      var pairs = cache.__data__;
      if (!Map || (pairs.length < LARGE_ARRAY_SIZE - 1)) {
        pairs.push([key, value]);
        return this;
      }
      cache = this.__data__ = new MapCache(pairs);
    }
    cache.set(key, value);
    return this;
  }

  // Add methods to `Stack`.
  Stack.prototype.clear = stackClear;
  Stack.prototype['delete'] = stackDelete;
  Stack.prototype.get = stackGet;
  Stack.prototype.has = stackHas;
  Stack.prototype.set = stackSet;

  /**
   * Creates an array of the enumerable property names of the array-like `value`.
   *
   * @private
   * @param {*} value The value to query.
   * @param {boolean} inherited Specify returning inherited property names.
   * @returns {Array} Returns the array of property names.
   */
  function arrayLikeKeys(value, inherited) {
    // Safari 8.1 makes `arguments.callee` enumerable in strict mode.
    // Safari 9 makes `arguments.length` enumerable in strict mode.
    var result = (isArray(value) || isArguments(value))
      ? baseTimes(value.length, String)
      : [];

    var length = result.length,
        skipIndexes = !!length;

    for (var key in value) {
      if ((inherited || hasOwnProperty.call(value, key)) &&
          !(skipIndexes && (key == 'length' || isIndex(key, length)))) {
        result.push(key);
      }
    }
    return result;
  }

  /**
   * Assigns `value` to `key` of `object` if the existing value is not equivalent
   * using [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
   * for equality comparisons.
   *
   * @private
   * @param {Object} object The object to modify.
   * @param {string} key The key of the property to assign.
   * @param {*} value The value to assign.
   */
  function assignValue(object, key, value) {
    var objValue = object[key];
    if (!(hasOwnProperty.call(object, key) && eq(objValue, value)) ||
        (value === undefined && !(key in object))) {
      object[key] = value;
    }
  }

  /**
   * Gets the index at which the `key` is found in `array` of key-value pairs.
   *
   * @private
   * @param {Array} array The array to inspect.
   * @param {*} key The key to search for.
   * @returns {number} Returns the index of the matched value, else `-1`.
   */
  function assocIndexOf(array, key) {
    var length = array.length;
    while (length--) {
      if (eq(array[length][0], key)) {
        return length;
      }
    }
    return -1;
  }

  /**
   * The base implementation of `_.assign` without support for multiple sources
   * or `customizer` functions.
   *
   * @private
   * @param {Object} object The destination object.
   * @param {Object} source The source object.
   * @returns {Object} Returns `object`.
   */
  function baseAssign(object, source) {
    return object && copyObject(source, keys(source), object);
  }

  /**
   * The base implementation of `_.clone` and `_.cloneDeep` which tracks
   * traversed objects.
   *
   * @private
   * @param {*} value The value to clone.
   * @param {boolean} [isDeep] Specify a deep clone.
   * @param {boolean} [isFull] Specify a clone including symbols.
   * @param {Function} [customizer] The function to customize cloning.
   * @param {string} [key] The key of `value`.
   * @param {Object} [object] The parent object of `value`.
   * @param {Object} [stack] Tracks traversed objects and their clone counterparts.
   * @returns {*} Returns the cloned value.
   */
  function baseClone(value, isDeep, isFull, customizer, key, object, stack) {
    var result;
    if (customizer) {
      result = object ? customizer(value, key, object, stack) : customizer(value);
    }
    if (result !== undefined) {
      return result;
    }
    if (!isObject(value)) {
      return value;
    }
    var isArr = isArray(value);
    if (isArr) {
      result = initCloneArray(value);
      if (!isDeep) {
        return copyArray(value, result);
      }
    } else {
      var tag = getTag(value),
          isFunc = tag == funcTag || tag == genTag;

      if (isBuffer(value)) {
        return cloneBuffer(value, isDeep);
      }
      if (tag == objectTag || tag == argsTag || (isFunc && !object)) {
        if (isHostObject(value)) {
          return object ? value : {};
        }
        result = initCloneObject(isFunc ? {} : value);
        if (!isDeep) {
          return copySymbols(value, baseAssign(result, value));
        }
      } else {
        if (!cloneableTags[tag]) {
          return object ? value : {};
        }
        result = initCloneByTag(value, tag, baseClone, isDeep);
      }
    }
    // Check for circular references and return its corresponding clone.
    stack || (stack = new Stack);
    var stacked = stack.get(value);
    if (stacked) {
      return stacked;
    }
    stack.set(value, result);

    if (!isArr) {
      var props = isFull ? getAllKeys(value) : keys(value);
    }
    arrayEach(props || value, function(subValue, key) {
      if (props) {
        key = subValue;
        subValue = value[key];
      }
      // Recursively populate clone (susceptible to call stack limits).
      assignValue(result, key, baseClone(subValue, isDeep, isFull, customizer, key, value, stack));
    });
    return result;
  }

  /**
   * The base implementation of `_.create` without support for assigning
   * properties to the created object.
   *
   * @private
   * @param {Object} prototype The object to inherit from.
   * @returns {Object} Returns the new object.
   */
  function baseCreate(proto) {
    return isObject(proto) ? objectCreate(proto) : {};
  }

  /**
   * The base implementation of `getAllKeys` and `getAllKeysIn` which uses
   * `keysFunc` and `symbolsFunc` to get the enumerable property names and
   * symbols of `object`.
   *
   * @private
   * @param {Object} object The object to query.
   * @param {Function} keysFunc The function to get the keys of `object`.
   * @param {Function} symbolsFunc The function to get the symbols of `object`.
   * @returns {Array} Returns the array of property names and symbols.
   */
  function baseGetAllKeys(object, keysFunc, symbolsFunc) {
    var result = keysFunc(object);
    return isArray(object) ? result : arrayPush(result, symbolsFunc(object));
  }

  /**
   * The base implementation of `getTag`.
   *
   * @private
   * @param {*} value The value to query.
   * @returns {string} Returns the `toStringTag`.
   */
  function baseGetTag(value) {
    return objectToString.call(value);
  }

  /**
   * The base implementation of `_.isNative` without bad shim checks.
   *
   * @private
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a native function,
   *  else `false`.
   */
  function baseIsNative(value) {
    if (!isObject(value) || isMasked(value)) {
      return false;
    }
    var pattern = (isFunction(value) || isHostObject(value)) ? reIsNative : reIsHostCtor;
    return pattern.test(toSource(value));
  }

  /**
   * The base implementation of `_.keys` which doesn't treat sparse arrays as dense.
   *
   * @private
   * @param {Object} object The object to query.
   * @returns {Array} Returns the array of property names.
   */
  function baseKeys(object) {
    if (!isPrototype(object)) {
      return nativeKeys(object);
    }
    var result = [];
    for (var key in Object(object)) {
      if (hasOwnProperty.call(object, key) && key != 'constructor') {
        result.push(key);
      }
    }
    return result;
  }

  /**
   * Creates a clone of  `buffer`.
   *
   * @private
   * @param {Buffer} buffer The buffer to clone.
   * @param {boolean} [isDeep] Specify a deep clone.
   * @returns {Buffer} Returns the cloned buffer.
   */
  function cloneBuffer(buffer, isDeep) {
    if (isDeep) {
      return buffer.slice();
    }
    var result = new buffer.constructor(buffer.length);
    buffer.copy(result);
    return result;
  }

  /**
   * Creates a clone of `arrayBuffer`.
   *
   * @private
   * @param {ArrayBuffer} arrayBuffer The array buffer to clone.
   * @returns {ArrayBuffer} Returns the cloned array buffer.
   */
  function cloneArrayBuffer(arrayBuffer) {
    var result = new arrayBuffer.constructor(arrayBuffer.byteLength);
    new Uint8Array(result).set(new Uint8Array(arrayBuffer));
    return result;
  }

  /**
   * Creates a clone of `dataView`.
   *
   * @private
   * @param {Object} dataView The data view to clone.
   * @param {boolean} [isDeep] Specify a deep clone.
   * @returns {Object} Returns the cloned data view.
   */
  function cloneDataView(dataView, isDeep) {
    var buffer = isDeep ? cloneArrayBuffer(dataView.buffer) : dataView.buffer;
    return new dataView.constructor(buffer, dataView.byteOffset, dataView.byteLength);
  }

  /**
   * Creates a clone of `map`.
   *
   * @private
   * @param {Object} map The map to clone.
   * @param {Function} cloneFunc The function to clone values.
   * @param {boolean} [isDeep] Specify a deep clone.
   * @returns {Object} Returns the cloned map.
   */
  function cloneMap(map, isDeep, cloneFunc) {
    var array = isDeep ? cloneFunc(mapToArray(map), true) : mapToArray(map);
    return arrayReduce(array, addMapEntry, new map.constructor);
  }

  /**
   * Creates a clone of `regexp`.
   *
   * @private
   * @param {Object} regexp The regexp to clone.
   * @returns {Object} Returns the cloned regexp.
   */
  function cloneRegExp(regexp) {
    var result = new regexp.constructor(regexp.source, reFlags.exec(regexp));
    result.lastIndex = regexp.lastIndex;
    return result;
  }

  /**
   * Creates a clone of `set`.
   *
   * @private
   * @param {Object} set The set to clone.
   * @param {Function} cloneFunc The function to clone values.
   * @param {boolean} [isDeep] Specify a deep clone.
   * @returns {Object} Returns the cloned set.
   */
  function cloneSet(set, isDeep, cloneFunc) {
    var array = isDeep ? cloneFunc(setToArray(set), true) : setToArray(set);
    return arrayReduce(array, addSetEntry, new set.constructor);
  }

  /**
   * Creates a clone of the `symbol` object.
   *
   * @private
   * @param {Object} symbol The symbol object to clone.
   * @returns {Object} Returns the cloned symbol object.
   */
  function cloneSymbol(symbol) {
    return symbolValueOf ? Object(symbolValueOf.call(symbol)) : {};
  }

  /**
   * Creates a clone of `typedArray`.
   *
   * @private
   * @param {Object} typedArray The typed array to clone.
   * @param {boolean} [isDeep] Specify a deep clone.
   * @returns {Object} Returns the cloned typed array.
   */
  function cloneTypedArray(typedArray, isDeep) {
    var buffer = isDeep ? cloneArrayBuffer(typedArray.buffer) : typedArray.buffer;
    return new typedArray.constructor(buffer, typedArray.byteOffset, typedArray.length);
  }

  /**
   * Copies the values of `source` to `array`.
   *
   * @private
   * @param {Array} source The array to copy values from.
   * @param {Array} [array=[]] The array to copy values to.
   * @returns {Array} Returns `array`.
   */
  function copyArray(source, array) {
    var index = -1,
        length = source.length;

    array || (array = Array(length));
    while (++index < length) {
      array[index] = source[index];
    }
    return array;
  }

  /**
   * Copies properties of `source` to `object`.
   *
   * @private
   * @param {Object} source The object to copy properties from.
   * @param {Array} props The property identifiers to copy.
   * @param {Object} [object={}] The object to copy properties to.
   * @param {Function} [customizer] The function to customize copied values.
   * @returns {Object} Returns `object`.
   */
  function copyObject(source, props, object, customizer) {
    object || (object = {});

    var index = -1,
        length = props.length;

    while (++index < length) {
      var key = props[index];

      var newValue = customizer
        ? customizer(object[key], source[key], key, object, source)
        : undefined;

      assignValue(object, key, newValue === undefined ? source[key] : newValue);
    }
    return object;
  }

  /**
   * Copies own symbol properties of `source` to `object`.
   *
   * @private
   * @param {Object} source The object to copy symbols from.
   * @param {Object} [object={}] The object to copy symbols to.
   * @returns {Object} Returns `object`.
   */
  function copySymbols(source, object) {
    return copyObject(source, getSymbols(source), object);
  }

  /**
   * Creates an array of own enumerable property names and symbols of `object`.
   *
   * @private
   * @param {Object} object The object to query.
   * @returns {Array} Returns the array of property names and symbols.
   */
  function getAllKeys(object) {
    return baseGetAllKeys(object, keys, getSymbols);
  }

  /**
   * Gets the data for `map`.
   *
   * @private
   * @param {Object} map The map to query.
   * @param {string} key The reference key.
   * @returns {*} Returns the map data.
   */
  function getMapData(map, key) {
    var data = map.__data__;
    return isKeyable(key)
      ? data[typeof key == 'string' ? 'string' : 'hash']
      : data.map;
  }

  /**
   * Gets the native function at `key` of `object`.
   *
   * @private
   * @param {Object} object The object to query.
   * @param {string} key The key of the method to get.
   * @returns {*} Returns the function if it's native, else `undefined`.
   */
  function getNative(object, key) {
    var value = getValue(object, key);
    return baseIsNative(value) ? value : undefined;
  }

  /**
   * Creates an array of the own enumerable symbol properties of `object`.
   *
   * @private
   * @param {Object} object The object to query.
   * @returns {Array} Returns the array of symbols.
   */
  var getSymbols = nativeGetSymbols ? overArg(nativeGetSymbols, Object) : stubArray;

  /**
   * Gets the `toStringTag` of `value`.
   *
   * @private
   * @param {*} value The value to query.
   * @returns {string} Returns the `toStringTag`.
   */
  var getTag = baseGetTag;

  // Fallback for data views, maps, sets, and weak maps in IE 11,
  // for data views in Edge < 14, and promises in Node.js.
  if ((DataView && getTag(new DataView(new ArrayBuffer(1))) != dataViewTag) ||
      (Map && getTag(new Map) != mapTag) ||
      (Promise && getTag(Promise.resolve()) != promiseTag) ||
      (Set && getTag(new Set) != setTag) ||
      (WeakMap && getTag(new WeakMap) != weakMapTag)) {
    getTag = function(value) {
      var result = objectToString.call(value),
          Ctor = result == objectTag ? value.constructor : undefined,
          ctorString = Ctor ? toSource(Ctor) : undefined;

      if (ctorString) {
        switch (ctorString) {
          case dataViewCtorString: return dataViewTag;
          case mapCtorString: return mapTag;
          case promiseCtorString: return promiseTag;
          case setCtorString: return setTag;
          case weakMapCtorString: return weakMapTag;
        }
      }
      return result;
    };
  }

  /**
   * Initializes an array clone.
   *
   * @private
   * @param {Array} array The array to clone.
   * @returns {Array} Returns the initialized clone.
   */
  function initCloneArray(array) {
    var length = array.length,
        result = array.constructor(length);

    // Add properties assigned by `RegExp#exec`.
    if (length && typeof array[0] == 'string' && hasOwnProperty.call(array, 'index')) {
      result.index = array.index;
      result.input = array.input;
    }
    return result;
  }

  /**
   * Initializes an object clone.
   *
   * @private
   * @param {Object} object The object to clone.
   * @returns {Object} Returns the initialized clone.
   */
  function initCloneObject(object) {
    return (typeof object.constructor == 'function' && !isPrototype(object))
      ? baseCreate(getPrototype(object))
      : {};
  }

  /**
   * Initializes an object clone based on its `toStringTag`.
   *
   * **Note:** This function only supports cloning values with tags of
   * `Boolean`, `Date`, `Error`, `Number`, `RegExp`, or `String`.
   *
   * @private
   * @param {Object} object The object to clone.
   * @param {string} tag The `toStringTag` of the object to clone.
   * @param {Function} cloneFunc The function to clone values.
   * @param {boolean} [isDeep] Specify a deep clone.
   * @returns {Object} Returns the initialized clone.
   */
  function initCloneByTag(object, tag, cloneFunc, isDeep) {
    var Ctor = object.constructor;
    switch (tag) {
      case arrayBufferTag:
        return cloneArrayBuffer(object);

      case boolTag:
      case dateTag:
        return new Ctor(+object);

      case dataViewTag:
        return cloneDataView(object, isDeep);

      case float32Tag: case float64Tag:
      case int8Tag: case int16Tag: case int32Tag:
      case uint8Tag: case uint8ClampedTag: case uint16Tag: case uint32Tag:
        return cloneTypedArray(object, isDeep);

      case mapTag:
        return cloneMap(object, isDeep, cloneFunc);

      case numberTag:
      case stringTag:
        return new Ctor(object);

      case regexpTag:
        return cloneRegExp(object);

      case setTag:
        return cloneSet(object, isDeep, cloneFunc);

      case symbolTag:
        return cloneSymbol(object);
    }
  }

  /**
   * Checks if `value` is a valid array-like index.
   *
   * @private
   * @param {*} value The value to check.
   * @param {number} [length=MAX_SAFE_INTEGER] The upper bounds of a valid index.
   * @returns {boolean} Returns `true` if `value` is a valid index, else `false`.
   */
  function isIndex(value, length) {
    length = length == null ? MAX_SAFE_INTEGER : length;
    return !!length &&
      (typeof value == 'number' || reIsUint.test(value)) &&
      (value > -1 && value % 1 == 0 && value < length);
  }

  /**
   * Checks if `value` is suitable for use as unique object key.
   *
   * @private
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is suitable, else `false`.
   */
  function isKeyable(value) {
    var type = typeof value;
    return (type == 'string' || type == 'number' || type == 'symbol' || type == 'boolean')
      ? (value !== '__proto__')
      : (value === null);
  }

  /**
   * Checks if `func` has its source masked.
   *
   * @private
   * @param {Function} func The function to check.
   * @returns {boolean} Returns `true` if `func` is masked, else `false`.
   */
  function isMasked(func) {
    return !!maskSrcKey && (maskSrcKey in func);
  }

  /**
   * Checks if `value` is likely a prototype object.
   *
   * @private
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a prototype, else `false`.
   */
  function isPrototype(value) {
    var Ctor = value && value.constructor,
        proto = (typeof Ctor == 'function' && Ctor.prototype) || objectProto;

    return value === proto;
  }

  /**
   * Converts `func` to its source code.
   *
   * @private
   * @param {Function} func The function to process.
   * @returns {string} Returns the source code.
   */
  function toSource(func) {
    if (func != null) {
      try {
        return funcToString.call(func);
      } catch (e) {}
      try {
        return (func + '');
      } catch (e) {}
    }
    return '';
  }

  /**
   * This method is like `_.clone` except that it recursively clones `value`.
   *
   * @static
   * @memberOf _
   * @since 1.0.0
   * @category Lang
   * @param {*} value The value to recursively clone.
   * @returns {*} Returns the deep cloned value.
   * @see _.clone
   * @example
   *
   * var objects = [{ 'a': 1 }, { 'b': 2 }];
   *
   * var deep = _.cloneDeep(objects);
   * console.log(deep[0] === objects[0]);
   * // => false
   */
  function cloneDeep(value) {
    return baseClone(value, true, true);
  }

  /**
   * Performs a
   * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
   * comparison between two values to determine if they are equivalent.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to compare.
   * @param {*} other The other value to compare.
   * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
   * @example
   *
   * var object = { 'a': 1 };
   * var other = { 'a': 1 };
   *
   * _.eq(object, object);
   * // => true
   *
   * _.eq(object, other);
   * // => false
   *
   * _.eq('a', 'a');
   * // => true
   *
   * _.eq('a', Object('a'));
   * // => false
   *
   * _.eq(NaN, NaN);
   * // => true
   */
  function eq(value, other) {
    return value === other || (value !== value && other !== other);
  }

  /**
   * Checks if `value` is likely an `arguments` object.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is an `arguments` object,
   *  else `false`.
   * @example
   *
   * _.isArguments(function() { return arguments; }());
   * // => true
   *
   * _.isArguments([1, 2, 3]);
   * // => false
   */
  function isArguments(value) {
    // Safari 8.1 makes `arguments.callee` enumerable in strict mode.
    return isArrayLikeObject(value) && hasOwnProperty.call(value, 'callee') &&
      (!propertyIsEnumerable.call(value, 'callee') || objectToString.call(value) == argsTag);
  }

  /**
   * Checks if `value` is classified as an `Array` object.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is an array, else `false`.
   * @example
   *
   * _.isArray([1, 2, 3]);
   * // => true
   *
   * _.isArray(document.body.children);
   * // => false
   *
   * _.isArray('abc');
   * // => false
   *
   * _.isArray(_.noop);
   * // => false
   */
  var isArray = Array.isArray;

  /**
   * Checks if `value` is array-like. A value is considered array-like if it's
   * not a function and has a `value.length` that's an integer greater than or
   * equal to `0` and less than or equal to `Number.MAX_SAFE_INTEGER`.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is array-like, else `false`.
   * @example
   *
   * _.isArrayLike([1, 2, 3]);
   * // => true
   *
   * _.isArrayLike(document.body.children);
   * // => true
   *
   * _.isArrayLike('abc');
   * // => true
   *
   * _.isArrayLike(_.noop);
   * // => false
   */
  function isArrayLike(value) {
    return value != null && isLength(value.length) && !isFunction(value);
  }

  /**
   * This method is like `_.isArrayLike` except that it also checks if `value`
   * is an object.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is an array-like object,
   *  else `false`.
   * @example
   *
   * _.isArrayLikeObject([1, 2, 3]);
   * // => true
   *
   * _.isArrayLikeObject(document.body.children);
   * // => true
   *
   * _.isArrayLikeObject('abc');
   * // => false
   *
   * _.isArrayLikeObject(_.noop);
   * // => false
   */
  function isArrayLikeObject(value) {
    return isObjectLike(value) && isArrayLike(value);
  }

  /**
   * Checks if `value` is a buffer.
   *
   * @static
   * @memberOf _
   * @since 4.3.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a buffer, else `false`.
   * @example
   *
   * _.isBuffer(new Buffer(2));
   * // => true
   *
   * _.isBuffer(new Uint8Array(2));
   * // => false
   */
  var isBuffer = nativeIsBuffer || stubFalse;

  /**
   * Checks if `value` is classified as a `Function` object.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a function, else `false`.
   * @example
   *
   * _.isFunction(_);
   * // => true
   *
   * _.isFunction(/abc/);
   * // => false
   */
  function isFunction(value) {
    // The use of `Object#toString` avoids issues with the `typeof` operator
    // in Safari 8-9 which returns 'object' for typed array and other constructors.
    var tag = isObject(value) ? objectToString.call(value) : '';
    return tag == funcTag || tag == genTag;
  }

  /**
   * Checks if `value` is a valid array-like length.
   *
   * **Note:** This method is loosely based on
   * [`ToLength`](http://ecma-international.org/ecma-262/7.0/#sec-tolength).
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a valid length, else `false`.
   * @example
   *
   * _.isLength(3);
   * // => true
   *
   * _.isLength(Number.MIN_VALUE);
   * // => false
   *
   * _.isLength(Infinity);
   * // => false
   *
   * _.isLength('3');
   * // => false
   */
  function isLength(value) {
    return typeof value == 'number' &&
      value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER;
  }

  /**
   * Checks if `value` is the
   * [language type](http://www.ecma-international.org/ecma-262/7.0/#sec-ecmascript-language-types)
   * of `Object`. (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is an object, else `false`.
   * @example
   *
   * _.isObject({});
   * // => true
   *
   * _.isObject([1, 2, 3]);
   * // => true
   *
   * _.isObject(_.noop);
   * // => true
   *
   * _.isObject(null);
   * // => false
   */
  function isObject(value) {
    var type = typeof value;
    return !!value && (type == 'object' || type == 'function');
  }

  /**
   * Checks if `value` is object-like. A value is object-like if it's not `null`
   * and has a `typeof` result of "object".
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is object-like, else `false`.
   * @example
   *
   * _.isObjectLike({});
   * // => true
   *
   * _.isObjectLike([1, 2, 3]);
   * // => true
   *
   * _.isObjectLike(_.noop);
   * // => false
   *
   * _.isObjectLike(null);
   * // => false
   */
  function isObjectLike(value) {
    return !!value && typeof value == 'object';
  }

  /**
   * Creates an array of the own enumerable property names of `object`.
   *
   * **Note:** Non-object values are coerced to objects. See the
   * [ES spec](http://ecma-international.org/ecma-262/7.0/#sec-object.keys)
   * for more details.
   *
   * @static
   * @since 0.1.0
   * @memberOf _
   * @category Object
   * @param {Object} object The object to query.
   * @returns {Array} Returns the array of property names.
   * @example
   *
   * function Foo() {
   *   this.a = 1;
   *   this.b = 2;
   * }
   *
   * Foo.prototype.c = 3;
   *
   * _.keys(new Foo);
   * // => ['a', 'b'] (iteration order is not guaranteed)
   *
   * _.keys('hi');
   * // => ['0', '1']
   */
  function keys(object) {
    return isArrayLike(object) ? arrayLikeKeys(object) : baseKeys(object);
  }

  /**
   * This method returns a new empty array.
   *
   * @static
   * @memberOf _
   * @since 4.13.0
   * @category Util
   * @returns {Array} Returns the new empty array.
   * @example
   *
   * var arrays = _.times(2, _.stubArray);
   *
   * console.log(arrays);
   * // => [[], []]
   *
   * console.log(arrays[0] === arrays[1]);
   * // => false
   */
  function stubArray() {
    return [];
  }

  /**
   * This method returns `false`.
   *
   * @static
   * @memberOf _
   * @since 4.13.0
   * @category Util
   * @returns {boolean} Returns `false`.
   * @example
   *
   * _.times(2, _.stubFalse);
   * // => [false, false]
   */
  function stubFalse() {
    return false;
  }

  module.exports = cloneDeep;
  });

  var hasProperty = function has(object, key) {
    return Object.prototype.hasOwnProperty.call(object, key);
  };

  var _apply;

  function _classPrivateFieldLooseBase$8(receiver, privateKey) { if (!Object.prototype.hasOwnProperty.call(receiver, privateKey)) { throw new TypeError("attempted to use private field on non-instance"); } return receiver; }

  var id$9 = 0;

  function _classPrivateFieldLooseKey$8(name) { return "__private_" + id$9++ + "_" + name; }



  function insertReplacement(source, rx, replacement) {
    const newParts = [];
    source.forEach(chunk => {
      // When the source contains multiple placeholders for interpolation,
      // we should ignore chunks that are not strings, because those
      // can be JSX objects and will be otherwise incorrectly turned into strings.
      // Without this condition we’d get this: [object Object] hello [object Object] my <button>
      if (typeof chunk !== 'string') {
        return newParts.push(chunk);
      }

      return rx[Symbol.split](chunk).forEach((raw, i, list) => {
        if (raw !== '') {
          newParts.push(raw);
        } // Interlace with the `replacement` value


        if (i < list.length - 1) {
          newParts.push(replacement);
        }
      });
    });
    return newParts;
  }
  /**
   * Takes a string with placeholder variables like `%{smart_count} file selected`
   * and replaces it with values from options `{smart_count: 5}`
   *
   * @license https://github.com/airbnb/polyglot.js/blob/master/LICENSE
   * taken from https://github.com/airbnb/polyglot.js/blob/master/lib/polyglot.js#L299
   *
   * @param {string} phrase that needs interpolation, with placeholders
   * @param {object} options with values that will be used to replace placeholders
   * @returns {any[]} interpolated
   */


  function interpolate(phrase, options) {
    const dollarRegex = /\$/g;
    const dollarBillsYall = '$$$$';
    let interpolated = [phrase];
    if (options == null) return interpolated;

    for (const arg of Object.keys(options)) {
      if (arg !== '_') {
        // Ensure replacement value is escaped to prevent special $-prefixed
        // regex replace tokens. the "$$$$" is needed because each "$" needs to
        // be escaped with "$" itself, and we need two in the resulting output.
        let replacement = options[arg];

        if (typeof replacement === 'string') {
          replacement = dollarRegex[Symbol.replace](replacement, dollarBillsYall);
        } // We create a new `RegExp` each time instead of using a more-efficient
        // string replace so that the same argument can be replaced multiple times
        // in the same phrase.


        interpolated = insertReplacement(interpolated, new RegExp(`%\\{${arg}\\}`, 'g'), replacement);
      }
    }

    return interpolated;
  }
  /**
   * Translates strings with interpolation & pluralization support.
   * Extensible with custom dictionaries and pluralization functions.
   *
   * Borrows heavily from and inspired by Polyglot https://github.com/airbnb/polyglot.js,
   * basically a stripped-down version of it. Differences: pluralization functions are not hardcoded
   * and can be easily added among with dictionaries, nested objects are used for pluralization
   * as opposed to `||||` delimeter
   *
   * Usage example: `translator.translate('files_chosen', {smart_count: 3})`
   */


  var Translator_1 = (_apply = /*#__PURE__*/_classPrivateFieldLooseKey$8("apply"), class Translator {
    /**
     * @param {object|Array<object>} locales - locale or list of locales.
     */
    constructor(locales) {
      Object.defineProperty(this, _apply, {
        value: _apply2
      });
      this.locale = {
        strings: {},

        pluralize(n) {
          if (n === 1) {
            return 0;
          }

          return 1;
        }

      };

      if (Array.isArray(locales)) {
        locales.forEach(_classPrivateFieldLooseBase$8(this, _apply)[_apply], this);
      } else {
        _classPrivateFieldLooseBase$8(this, _apply)[_apply](locales);
      }
    }

    /**
     * Public translate method
     *
     * @param {string} key
     * @param {object} options with values that will be used later to replace placeholders in string
     * @returns {string} translated (and interpolated)
     */
    translate(key, options) {
      return this.translateArray(key, options).join('');
    }
    /**
     * Get a translation and return the translated and interpolated parts as an array.
     *
     * @param {string} key
     * @param {object} options with values that will be used to replace placeholders
     * @returns {Array} The translated and interpolated parts, in order.
     */


    translateArray(key, options) {
      if (!hasProperty(this.locale.strings, key)) {
        throw new Error(`missing string: ${key}`);
      }

      const string = this.locale.strings[key];
      const hasPluralForms = typeof string === 'object';

      if (hasPluralForms) {
        if (options && typeof options.smart_count !== 'undefined') {
          const plural = this.locale.pluralize(options.smart_count);
          return interpolate(string[plural], options);
        }

        throw new Error('Attempted to use a string with plural forms, but no value was given for %{smart_count}');
      }

      return interpolate(string, options);
    }

  });

  function _apply2(locale) {
    if (!(locale != null && locale.strings)) {
      return;
    }

    const prevLocale = this.locale;
    this.locale = { ...prevLocale,
      strings: { ...prevLocale.strings,
        ...locale.strings
      }
    };
    this.locale.pluralize = locale.pluralize || prevLocale.pluralize;
  }

  /**
  * Create an event emitter with namespaces
  * @name createNamespaceEmitter
  * @example
  * var emitter = require('./index')()
  *
  * emitter.on('*', function () {
  *   console.log('all events emitted', this.event)
  * })
  *
  * emitter.on('example', function () {
  *   console.log('example event emitted')
  * })
  */
  var namespaceEmitter = function createNamespaceEmitter () {
    var emitter = {};
    var _fns = emitter._fns = {};

    /**
    * Emit an event. Optionally namespace the event. Handlers are fired in the order in which they were added with exact matches taking precedence. Separate the namespace and event with a `:`
    * @name emit
    * @param {String} event – the name of the event, with optional namespace
    * @param {...*} data – up to 6 arguments that are passed to the event listener
    * @example
    * emitter.emit('example')
    * emitter.emit('demo:test')
    * emitter.emit('data', { example: true}, 'a string', 1)
    */
    emitter.emit = function emit (event, arg1, arg2, arg3, arg4, arg5, arg6) {
      var toEmit = getListeners(event);

      if (toEmit.length) {
        emitAll(event, toEmit, [arg1, arg2, arg3, arg4, arg5, arg6]);
      }
    };

    /**
    * Create en event listener.
    * @name on
    * @param {String} event
    * @param {Function} fn
    * @example
    * emitter.on('example', function () {})
    * emitter.on('demo', function () {})
    */
    emitter.on = function on (event, fn) {
      if (!_fns[event]) {
        _fns[event] = [];
      }

      _fns[event].push(fn);
    };

    /**
    * Create en event listener that fires once.
    * @name once
    * @param {String} event
    * @param {Function} fn
    * @example
    * emitter.once('example', function () {})
    * emitter.once('demo', function () {})
    */
    emitter.once = function once (event, fn) {
      function one () {
        fn.apply(this, arguments);
        emitter.off(event, one);
      }
      this.on(event, one);
    };

    /**
    * Stop listening to an event. Stop all listeners on an event by only passing the event name. Stop a single listener by passing that event handler as a callback.
    * You must be explicit about what will be unsubscribed: `emitter.off('demo')` will unsubscribe an `emitter.on('demo')` listener,
    * `emitter.off('demo:example')` will unsubscribe an `emitter.on('demo:example')` listener
    * @name off
    * @param {String} event
    * @param {Function} [fn] – the specific handler
    * @example
    * emitter.off('example')
    * emitter.off('demo', function () {})
    */
    emitter.off = function off (event, fn) {
      var keep = [];

      if (event && fn) {
        var fns = this._fns[event];
        var i = 0;
        var l = fns ? fns.length : 0;

        for (i; i < l; i++) {
          if (fns[i] !== fn) {
            keep.push(fns[i]);
          }
        }
      }

      keep.length ? this._fns[event] = keep : delete this._fns[event];
    };

    function getListeners (e) {
      var out = _fns[e] ? _fns[e] : [];
      var idx = e.indexOf(':');
      var args = (idx === -1) ? [e] : [e.substring(0, idx), e.substring(idx + 1)];

      var keys = Object.keys(_fns);
      var i = 0;
      var l = keys.length;

      for (i; i < l; i++) {
        var key = keys[i];
        if (key === '*') {
          out = out.concat(_fns[key]);
        }

        if (args.length === 2 && args[0] === key) {
          out = out.concat(_fns[key]);
          break
        }
      }

      return out
    }

    function emitAll (e, fns, args) {
      var i = 0;
      var l = fns.length;

      for (i; i < l; i++) {
        if (!fns[i]) break
        fns[i].event = e;
        fns[i].apply(fns[i], args);
      }
    }

    return emitter
  };

  let urlAlphabet$1 =
    'useandom-26T198340PX75pxJACKVERYMINDBUSHWOLF_GQZbfghjklqvwyzrict';
  var urlAlphabet_1 = { urlAlphabet: urlAlphabet$1 };

  let { urlAlphabet } = urlAlphabet_1;
  {
    if (
      typeof navigator !== 'undefined' &&
      navigator.product === 'ReactNative' &&
      typeof crypto === 'undefined'
    ) {
      throw new Error(
        'React Native does not have a built-in secure random generator. ' +
          'If you don’t need unpredictable IDs use `nanoid/non-secure`. ' +
          'For secure IDs, import `react-native-get-random-values` ' +
          'before Nano ID.'
      )
    }
    if (typeof msCrypto !== 'undefined' && typeof crypto === 'undefined') {
      throw new Error(
        'Import file with `if (!window.crypto) window.crypto = window.msCrypto`' +
          ' before importing Nano ID to fix IE 11 support'
      )
    }
    if (typeof crypto === 'undefined') {
      throw new Error(
        'Your browser does not have secure random generator. ' +
          'If you don’t need unpredictable IDs, you can use nanoid/non-secure.'
      )
    }
  }
  let random = bytes => crypto.getRandomValues(new Uint8Array(bytes));
  let customRandom = (alphabet, size, getRandom) => {
    let mask = (2 << (Math.log(alphabet.length - 1) / Math.LN2)) - 1;
    let step = -~((1.6 * mask * size) / alphabet.length);
    return () => {
      let id = '';
      while (true) {
        let bytes = getRandom(step);
        let j = step;
        while (j--) {
          id += alphabet[bytes[j] & mask] || '';
          if (id.length === size) return id
        }
      }
    }
  };
  let customAlphabet = (alphabet, size) => customRandom(alphabet, size, random);
  let nanoid$2 = (size = 21) => {
    let id = '';
    let bytes = crypto.getRandomValues(new Uint8Array(size));
    while (size--) {
      let byte = bytes[size] & 63;
      if (byte < 36) {
        id += byte.toString(36);
      } else if (byte < 62) {
        id += (byte - 26).toString(36).toUpperCase();
      } else if (byte < 63) {
        id += '_';
      } else {
        id += '-';
      }
    }
    return id
  };
  var index_browser = { nanoid: nanoid$2, customAlphabet, customRandom, urlAlphabet, random };

  // Adapted from https://github.com/Flet/prettier-bytes/
  // Changing 1000 bytes to 1024, so we can keep uppercase KB vs kB
  // ISC License (c) Dan Flettre https://github.com/Flet/prettier-bytes/blob/master/LICENSE
  var prettierBytes = function prettierBytes (num) {
    if (typeof num !== 'number' || isNaN(num)) {
      throw new TypeError('Expected a number, got ' + typeof num)
    }

    var neg = num < 0;
    var units = ['B', 'KB', 'MB', 'GB', 'TB', 'PB', 'EB', 'ZB', 'YB'];

    if (neg) {
      num = -num;
    }

    if (num < 1) {
      return (neg ? '-' : '') + num + ' B'
    }

    var exponent = Math.min(Math.floor(Math.log(num) / Math.log(1024)), units.length - 1);
    num = Number(num / Math.pow(1024, exponent));
    var unit = units[exponent];

    if (num >= 10 || num % 1 === 0) {
      // Do not show decimals when the number is two-digit, or if the number has no
      // decimal component.
      return (neg ? '-' : '') + num.toFixed(0) + ' ' + unit
    } else {
      return (neg ? '-' : '') + num.toFixed(1) + ' ' + unit
    }
  };

  /* jshint node: true */

  /**
    # wildcard

    Very simple wildcard matching, which is designed to provide the same
    functionality that is found in the
    [eve](https://github.com/adobe-webplatform/eve) eventing library.

    ## Usage

    It works with strings:

    <<< examples/strings.js

    Arrays:

    <<< examples/arrays.js

    Objects (matching against keys):

    <<< examples/objects.js

    While the library works in Node, if you are are looking for file-based
    wildcard matching then you should have a look at:

    <https://github.com/isaacs/node-glob>
  **/

  function WildcardMatcher(text, separator) {
    this.text = text = text || '';
    this.hasWild = ~text.indexOf('*');
    this.separator = separator;
    this.parts = text.split(separator);
  }

  WildcardMatcher.prototype.match = function(input) {
    var matches = true;
    var parts = this.parts;
    var ii;
    var partsCount = parts.length;
    var testParts;

    if (typeof input == 'string' || input instanceof String) {
      if (!this.hasWild && this.text != input) {
        matches = false;
      } else {
        testParts = (input || '').split(this.separator);
        for (ii = 0; matches && ii < partsCount; ii++) {
          if (parts[ii] === '*')  {
            continue;
          } else if (ii < testParts.length) {
            matches = parts[ii] === testParts[ii];
          } else {
            matches = false;
          }
        }

        // If matches, then return the component parts
        matches = matches && testParts;
      }
    }
    else if (typeof input.splice == 'function') {
      matches = [];

      for (ii = input.length; ii--; ) {
        if (this.match(input[ii])) {
          matches[matches.length] = input[ii];
        }
      }
    }
    else if (typeof input == 'object') {
      matches = {};

      for (var key in input) {
        if (this.match(key)) {
          matches[key] = input[key];
        }
      }
    }

    return matches;
  };

  var wildcard = function(text, test, separator) {
    var matcher = new WildcardMatcher(text, separator || /[\/\.]/);
    if (typeof test != 'undefined') {
      return matcher.match(test);
    }

    return matcher;
  };

  var reMimePartSplit = /[\/\+\.]/;

  /**
    # mime-match

    A simple function to checker whether a target mime type matches a mime-type
    pattern (e.g. image/jpeg matches image/jpeg OR image/*).

    ## Example Usage

    <<< example.js

  **/
  var mimeMatch = function(target, pattern) {
    function test(pattern) {
      var result = wildcard(pattern, target, reMimePartSplit);

      // ensure that we have a valid mime type (should have two parts)
      return result && result.length >= 2;
    }

    return pattern ? test(pattern.split(';')[0]) : test;
  };

  function _classPrivateFieldLooseBase$7(receiver, privateKey) { if (!Object.prototype.hasOwnProperty.call(receiver, privateKey)) { throw new TypeError("attempted to use private field on non-instance"); } return receiver; }

  var id$8 = 0;

  function _classPrivateFieldLooseKey$7(name) { return "__private_" + id$8++ + "_" + name; }

  var _publish = /*#__PURE__*/_classPrivateFieldLooseKey$7("publish");

  /**
   * Default store that keeps state in a simple object.
   */
  class DefaultStore {
    constructor() {
      Object.defineProperty(this, _publish, {
        value: _publish2
      });
      this.state = {};
      this.callbacks = [];
    }

    getState() {
      return this.state;
    }

    setState(patch) {
      const prevState = { ...this.state
      };
      const nextState = { ...this.state,
        ...patch
      };
      this.state = nextState;

      _classPrivateFieldLooseBase$7(this, _publish)[_publish](prevState, nextState, patch);
    }

    subscribe(listener) {
      this.callbacks.push(listener);
      return () => {
        // Remove the listener.
        this.callbacks.splice(this.callbacks.indexOf(listener), 1);
      };
    }

  }

  function _publish2(...args) {
    this.callbacks.forEach(listener => {
      listener(...args);
    });
  }

  DefaultStore.VERSION = "2.0.2";

  var lib$3 = function defaultStore() {
    return new DefaultStore();
  };

  /**
   * Takes a full filename string and returns an object {name, extension}
   *
   * @param {string} fullFileName
   * @returns {object} {name, extension}
   */
  var getFileNameAndExtension = function getFileNameAndExtension(fullFileName) {
    const lastDot = fullFileName.lastIndexOf('.'); // these count as no extension: "no-dot", "trailing-dot."

    if (lastDot === -1 || lastDot === fullFileName.length - 1) {
      return {
        name: fullFileName,
        extension: undefined
      };
    }

    return {
      name: fullFileName.slice(0, lastDot),
      extension: fullFileName.slice(lastDot + 1)
    };
  };

  // ___Why not add the mime-types package?
  //    It's 19.7kB gzipped, and we only need mime types for well-known extensions (for file previews).
  // ___Where to take new extensions from?
  //    https://github.com/jshttp/mime-db/blob/master/db.json
  var mimeTypes = {
    md: 'text/markdown',
    markdown: 'text/markdown',
    mp4: 'video/mp4',
    mp3: 'audio/mp3',
    svg: 'image/svg+xml',
    jpg: 'image/jpeg',
    png: 'image/png',
    gif: 'image/gif',
    heic: 'image/heic',
    heif: 'image/heif',
    yaml: 'text/yaml',
    yml: 'text/yaml',
    csv: 'text/csv',
    tsv: 'text/tab-separated-values',
    tab: 'text/tab-separated-values',
    avi: 'video/x-msvideo',
    mks: 'video/x-matroska',
    mkv: 'video/x-matroska',
    mov: 'video/quicktime',
    doc: 'application/msword',
    docm: 'application/vnd.ms-word.document.macroenabled.12',
    docx: 'application/vnd.openxmlformats-officedocument.wordprocessingml.document',
    dot: 'application/msword',
    dotm: 'application/vnd.ms-word.template.macroenabled.12',
    dotx: 'application/vnd.openxmlformats-officedocument.wordprocessingml.template',
    xla: 'application/vnd.ms-excel',
    xlam: 'application/vnd.ms-excel.addin.macroenabled.12',
    xlc: 'application/vnd.ms-excel',
    xlf: 'application/x-xliff+xml',
    xlm: 'application/vnd.ms-excel',
    xls: 'application/vnd.ms-excel',
    xlsb: 'application/vnd.ms-excel.sheet.binary.macroenabled.12',
    xlsm: 'application/vnd.ms-excel.sheet.macroenabled.12',
    xlsx: 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet',
    xlt: 'application/vnd.ms-excel',
    xltm: 'application/vnd.ms-excel.template.macroenabled.12',
    xltx: 'application/vnd.openxmlformats-officedocument.spreadsheetml.template',
    xlw: 'application/vnd.ms-excel',
    txt: 'text/plain',
    text: 'text/plain',
    conf: 'text/plain',
    log: 'text/plain',
    pdf: 'application/pdf',
    zip: 'application/zip',
    '7z': 'application/x-7z-compressed',
    rar: 'application/x-rar-compressed',
    tar: 'application/x-tar',
    gz: 'application/gzip',
    dmg: 'application/x-apple-diskimage'
  };

  var getFileType = function getFileType(file) {
    var _getFileNameAndExtens;

    if (file.type) return file.type;
    const fileExtension = file.name ? (_getFileNameAndExtens = getFileNameAndExtension(file.name).extension) == null ? void 0 : _getFileNameAndExtens.toLowerCase() : null;

    if (fileExtension && fileExtension in mimeTypes) {
      // else, see if we can map extension to a mime type
      return mimeTypes[fileExtension];
    } // if all fails, fall back to a generic byte stream type


    return 'application/octet-stream';
  };

  function encodeCharacter(character) {
    return character.charCodeAt(0).toString(32);
  }

  function encodeFilename(name) {
    let suffix = '';
    return name.replace(/[^A-Z0-9]/ig, character => {
      suffix += `-${encodeCharacter(character)}`;
      return '/';
    }) + suffix;
  }
  /**
   * Takes a file object and turns it into fileID, by converting file.name to lowercase,
   * removing extra characters and adding type, size and lastModified
   *
   * @param {object} file
   * @returns {string} the fileID
   */


  var generateFileID = function generateFileID(file) {
    // It's tempting to do `[items].filter(Boolean).join('-')` here, but that
    // is slower! simple string concatenation is fast
    let id = 'uppy';

    if (typeof file.name === 'string') {
      id += `-${encodeFilename(file.name.toLowerCase())}`;
    }

    if (file.type !== undefined) {
      id += `-${file.type}`;
    }

    if (file.meta && typeof file.meta.relativePath === 'string') {
      id += `-${encodeFilename(file.meta.relativePath.toLowerCase())}`;
    }

    if (file.data.size !== undefined) {
      id += `-${file.data.size}`;
    }

    if (file.data.lastModified !== undefined) {
      id += `-${file.data.lastModified}`;
    }

    return id;
  };

  // Edge 15.x does not fire 'progress' events on uploads.
  // See https://github.com/transloadit/uppy/issues/945
  // And https://developer.microsoft.com/en-us/microsoft-edge/platform/issues/12224510/
  var supportsUploadProgress = function supportsUploadProgress(userAgent) {
    // Allow passing in userAgent for tests
    if (userAgent == null) {
      userAgent = typeof navigator !== 'undefined' ? navigator.userAgent : null;
    } // Assume it works because basically everything supports progress events.


    if (!userAgent) return true;
    const m = /Edge\/(\d+\.\d+)/.exec(userAgent);
    if (!m) return true;
    const edgeVersion = m[1];
    let [major, minor] = edgeVersion.split('.');
    major = parseInt(major, 10);
    minor = parseInt(minor, 10); // Worked before:
    // Edge 40.15063.0.0
    // Microsoft EdgeHTML 15.15063

    if (major < 15 || major === 15 && minor < 15063) {
      return true;
    } // Fixed in:
    // Microsoft EdgeHTML 18.18218


    if (major > 18 || major === 18 && minor >= 18218) {
      return true;
    } // other versions don't work.


    return false;
  };

  var getFileName = function getFileName(fileType, fileDescriptor) {
    if (fileDescriptor.name) {
      return fileDescriptor.name;
    }

    if (fileType.split('/')[0] === 'image') {
      return `${fileType.split('/')[0]}.${fileType.split('/')[1]}`;
    }

    return 'noname';
  };

  /**
   * Adds zero to strings shorter than two characters.
   *
   * @param {number} number
   * @returns {string}
   */
  function pad(number) {
    return number < 10 ? `0${number}` : number.toString();
  }
  /**
   * Returns a timestamp in the format of `hours:minutes:seconds`
   */


  var getTimeStamp = function getTimeStamp() {
    const date = new Date();
    const hours = pad(date.getHours());
    const minutes = pad(date.getMinutes());
    const seconds = pad(date.getSeconds());
    return `${hours}:${minutes}:${seconds}`;
  };

  /* eslint-disable no-console */
   // Swallow all logs, except errors.
  // default if logger is not set or debug: false


  const justErrorsLogger$1 = {
    debug: () => {},
    warn: () => {},
    error: (...args) => console.error(`[Uppy] [${getTimeStamp()}]`, ...args)
  }; // Print logs to console with namespace + timestamp,
  // set by logger: Uppy.debugLogger or debug: true

  const debugLogger$2 = {
    debug: (...args) => console.debug(`[Uppy] [${getTimeStamp()}]`, ...args),
    warn: (...args) => console.warn(`[Uppy] [${getTimeStamp()}]`, ...args),
    error: (...args) => console.error(`[Uppy] [${getTimeStamp()}]`, ...args)
  };
  var loggers = {
    justErrorsLogger: justErrorsLogger$1,
    debugLogger: debugLogger$2
  };

  var require$$0 = index_browser;

  /* global AggregateError */

  let _Symbol$for$1, _Symbol$for2$1;

  function _classPrivateFieldLooseBase$6(receiver, privateKey) { if (!Object.prototype.hasOwnProperty.call(receiver, privateKey)) { throw new TypeError("attempted to use private field on non-instance"); } return receiver; }

  var id$7 = 0;

  function _classPrivateFieldLooseKey$6(name) { return "__private_" + id$7++ + "_" + name; }





  const {
    nanoid: nanoid$1
  } = require$$0;



















  const {
    justErrorsLogger,
    debugLogger: debugLogger$1
  } = loggers; // Exported from here.


  class RestrictionError extends Error {
    constructor(...args) {
      super(...args);
      this.isRestriction = true;
    }

  }

  if (typeof AggregateError === 'undefined') {
    // eslint-disable-next-line no-global-assign
    globalThis.AggregateError = class AggregateError extends Error {
      constructor(errors, message) {
        super(message);
        this.errors = errors;
      }

    };
  }

  class AggregateRestrictionError extends AggregateError {
    constructor(...args) {
      super(...args);
      this.isRestriction = true;
    }

  }
  /**
   * Uppy Core module.
   * Manages plugins, state updates, acts as an event bus,
   * adds/removes files and metadata.
   */


  var _plugins = /*#__PURE__*/_classPrivateFieldLooseKey$6("plugins");

  var _storeUnsubscribe = /*#__PURE__*/_classPrivateFieldLooseKey$6("storeUnsubscribe");

  var _emitter$2 = /*#__PURE__*/_classPrivateFieldLooseKey$6("emitter");

  var _preProcessors = /*#__PURE__*/_classPrivateFieldLooseKey$6("preProcessors");

  var _uploaders = /*#__PURE__*/_classPrivateFieldLooseKey$6("uploaders");

  var _postProcessors = /*#__PURE__*/_classPrivateFieldLooseKey$6("postProcessors");

  var _checkRestrictions = /*#__PURE__*/_classPrivateFieldLooseKey$6("checkRestrictions");

  var _checkMinNumberOfFiles = /*#__PURE__*/_classPrivateFieldLooseKey$6("checkMinNumberOfFiles");

  var _checkRequiredMetaFieldsOnFile = /*#__PURE__*/_classPrivateFieldLooseKey$6("checkRequiredMetaFieldsOnFile");

  var _checkRequiredMetaFields = /*#__PURE__*/_classPrivateFieldLooseKey$6("checkRequiredMetaFields");

  var _showOrLogErrorAndThrow = /*#__PURE__*/_classPrivateFieldLooseKey$6("showOrLogErrorAndThrow");

  var _assertNewUploadAllowed = /*#__PURE__*/_classPrivateFieldLooseKey$6("assertNewUploadAllowed");

  var _checkAndCreateFileStateObject = /*#__PURE__*/_classPrivateFieldLooseKey$6("checkAndCreateFileStateObject");

  var _startIfAutoProceed = /*#__PURE__*/_classPrivateFieldLooseKey$6("startIfAutoProceed");

  var _addListeners = /*#__PURE__*/_classPrivateFieldLooseKey$6("addListeners");

  var _updateOnlineStatus = /*#__PURE__*/_classPrivateFieldLooseKey$6("updateOnlineStatus");

  var _createUpload = /*#__PURE__*/_classPrivateFieldLooseKey$6("createUpload");

  var _getUpload = /*#__PURE__*/_classPrivateFieldLooseKey$6("getUpload");

  var _removeUpload = /*#__PURE__*/_classPrivateFieldLooseKey$6("removeUpload");

  var _runUpload = /*#__PURE__*/_classPrivateFieldLooseKey$6("runUpload");

  _Symbol$for$1 = Symbol.for('uppy test: getPlugins');
  _Symbol$for2$1 = Symbol.for('uppy test: createUpload');

  class Uppy {
    // eslint-disable-next-line global-require

    /** @type {Record<string, BasePlugin[]>} */

    /**
     * Instantiate Uppy
     *
     * @param {object} opts — Uppy options
     */
    constructor(_opts) {
      Object.defineProperty(this, _runUpload, {
        value: _runUpload2
      });
      Object.defineProperty(this, _removeUpload, {
        value: _removeUpload2
      });
      Object.defineProperty(this, _getUpload, {
        value: _getUpload2
      });
      Object.defineProperty(this, _createUpload, {
        value: _createUpload2
      });
      Object.defineProperty(this, _addListeners, {
        value: _addListeners2
      });
      Object.defineProperty(this, _startIfAutoProceed, {
        value: _startIfAutoProceed2
      });
      Object.defineProperty(this, _checkAndCreateFileStateObject, {
        value: _checkAndCreateFileStateObject2
      });
      Object.defineProperty(this, _assertNewUploadAllowed, {
        value: _assertNewUploadAllowed2
      });
      Object.defineProperty(this, _showOrLogErrorAndThrow, {
        value: _showOrLogErrorAndThrow2
      });
      Object.defineProperty(this, _checkRequiredMetaFields, {
        value: _checkRequiredMetaFields2
      });
      Object.defineProperty(this, _checkRequiredMetaFieldsOnFile, {
        value: _checkRequiredMetaFieldsOnFile2
      });
      Object.defineProperty(this, _checkMinNumberOfFiles, {
        value: _checkMinNumberOfFiles2
      });
      Object.defineProperty(this, _checkRestrictions, {
        value: _checkRestrictions2
      });
      Object.defineProperty(this, _plugins, {
        writable: true,
        value: Object.create(null)
      });
      Object.defineProperty(this, _storeUnsubscribe, {
        writable: true,
        value: void 0
      });
      Object.defineProperty(this, _emitter$2, {
        writable: true,
        value: namespaceEmitter()
      });
      Object.defineProperty(this, _preProcessors, {
        writable: true,
        value: new Set()
      });
      Object.defineProperty(this, _uploaders, {
        writable: true,
        value: new Set()
      });
      Object.defineProperty(this, _postProcessors, {
        writable: true,
        value: new Set()
      });
      Object.defineProperty(this, _updateOnlineStatus, {
        writable: true,
        value: this.updateOnlineStatus.bind(this)
      });
      this.defaultLocale = {
        strings: {
          addBulkFilesFailed: {
            0: 'Failed to add %{smart_count} file due to an internal error',
            1: 'Failed to add %{smart_count} files due to internal errors'
          },
          youCanOnlyUploadX: {
            0: 'You can only upload %{smart_count} file',
            1: 'You can only upload %{smart_count} files'
          },
          youHaveToAtLeastSelectX: {
            0: 'You have to select at least %{smart_count} file',
            1: 'You have to select at least %{smart_count} files'
          },
          exceedsSize: '%{file} exceeds maximum allowed size of %{size}',
          missingRequiredMetaField: 'Missing required meta fields',
          missingRequiredMetaFieldOnFile: 'Missing required meta fields in %{fileName}',
          inferiorSize: 'This file is smaller than the allowed size of %{size}',
          youCanOnlyUploadFileTypes: 'You can only upload: %{types}',
          noMoreFilesAllowed: 'Cannot add more files',
          noDuplicates: 'Cannot add the duplicate file \'%{fileName}\', it already exists',
          companionError: 'Connection with Companion failed',
          authAborted: 'Authentication aborted',
          companionUnauthorizeHint: 'To unauthorize to your %{provider} account, please go to %{url}',
          failedToUpload: 'Failed to upload %{file}',
          noInternetConnection: 'No Internet connection',
          connectedToInternet: 'Connected to the Internet',
          // Strings for remote providers
          noFilesFound: 'You have no files or folders here',
          selectX: {
            0: 'Select %{smart_count}',
            1: 'Select %{smart_count}'
          },
          allFilesFromFolderNamed: 'All files from folder %{name}',
          openFolderNamed: 'Open folder %{name}',
          cancel: 'Cancel',
          logOut: 'Log out',
          filter: 'Filter',
          resetFilter: 'Reset filter',
          loading: 'Loading...',
          authenticateWithTitle: 'Please authenticate with %{pluginName} to select files',
          authenticateWith: 'Connect to %{pluginName}',
          signInWithGoogle: 'Sign in with Google',
          searchImages: 'Search for images',
          enterTextToSearch: 'Enter text to search for images',
          backToSearch: 'Back to Search',
          emptyFolderAdded: 'No files were added from empty folder',
          folderAlreadyAdded: 'The folder "%{folder}" was already added',
          folderAdded: {
            0: 'Added %{smart_count} file from %{folder}',
            1: 'Added %{smart_count} files from %{folder}'
          }
        }
      };
      const defaultOptions = {
        id: 'uppy',
        autoProceed: false,

        /**
         * @deprecated The method should not be used
         */
        allowMultipleUploads: true,
        allowMultipleUploadBatches: true,
        debug: false,
        restrictions: {
          maxFileSize: null,
          minFileSize: null,
          maxTotalFileSize: null,
          maxNumberOfFiles: null,
          minNumberOfFiles: null,
          allowedFileTypes: null,
          requiredMetaFields: []
        },
        meta: {},
        onBeforeFileAdded: currentFile => currentFile,
        onBeforeUpload: files => files,
        store: lib$3(),
        logger: justErrorsLogger,
        infoTimeout: 5000
      }; // Merge default options with the ones set by user,
      // making sure to merge restrictions too

      this.opts = { ...defaultOptions,
        ..._opts,
        restrictions: { ...defaultOptions.restrictions,
          ...(_opts && _opts.restrictions)
        }
      }; // Support debug: true for backwards-compatability, unless logger is set in opts
      // opts instead of this.opts to avoid comparing objects — we set logger: justErrorsLogger in defaultOptions

      if (_opts && _opts.logger && _opts.debug) {
        this.log('You are using a custom `logger`, but also set `debug: true`, which uses built-in logger to output logs to console. Ignoring `debug: true` and using your custom `logger`.', 'warning');
      } else if (_opts && _opts.debug) {
        this.opts.logger = debugLogger$1;
      }

      this.log(`Using Core v${this.constructor.VERSION}`);

      if (this.opts.restrictions.allowedFileTypes && this.opts.restrictions.allowedFileTypes !== null && !Array.isArray(this.opts.restrictions.allowedFileTypes)) {
        throw new TypeError('`restrictions.allowedFileTypes` must be an array');
      }

      this.i18nInit(); // ___Why throttle at 500ms?
      //    - We must throttle at >250ms for superfocus in Dashboard to work well
      //    (because animation takes 0.25s, and we want to wait for all animations to be over before refocusing).
      //    [Practical Check]: if thottle is at 100ms, then if you are uploading a file,
      //    and click 'ADD MORE FILES', - focus won't activate in Firefox.
      //    - We must throttle at around >500ms to avoid performance lags.
      //    [Practical Check] Firefox, try to upload a big file for a prolonged period of time. Laptop will start to heat up.

      this.calculateProgress = lodash_throttle(this.calculateProgress.bind(this), 500, {
        leading: true,
        trailing: true
      });
      this.store = this.opts.store;
      this.setState({
        plugins: {},
        files: {},
        currentUploads: {},
        allowNewUpload: true,
        capabilities: {
          uploadProgress: supportsUploadProgress(),
          individualCancellation: true,
          resumableUploads: false
        },
        totalProgress: 0,
        meta: { ...this.opts.meta
        },
        info: [],
        recoveredState: null
      });
      _classPrivateFieldLooseBase$6(this, _storeUnsubscribe)[_storeUnsubscribe] = this.store.subscribe((prevState, nextState, patch) => {
        this.emit('state-update', prevState, nextState, patch);
        this.updateAll(nextState);
      }); // Exposing uppy object on window for debugging and testing

      if (this.opts.debug && typeof window !== 'undefined') {
        window[this.opts.id] = this;
      }

      _classPrivateFieldLooseBase$6(this, _addListeners)[_addListeners]();
    }

    emit(event, ...args) {
      _classPrivateFieldLooseBase$6(this, _emitter$2)[_emitter$2].emit(event, ...args);
    }

    on(event, callback) {
      _classPrivateFieldLooseBase$6(this, _emitter$2)[_emitter$2].on(event, callback);

      return this;
    }

    once(event, callback) {
      _classPrivateFieldLooseBase$6(this, _emitter$2)[_emitter$2].once(event, callback);

      return this;
    }

    off(event, callback) {
      _classPrivateFieldLooseBase$6(this, _emitter$2)[_emitter$2].off(event, callback);

      return this;
    }
    /**
     * Iterate on all plugins and run `update` on them.
     * Called each time state changes.
     *
     */


    updateAll(state) {
      this.iteratePlugins(plugin => {
        plugin.update(state);
      });
    }
    /**
     * Updates state with a patch
     *
     * @param {object} patch {foo: 'bar'}
     */


    setState(patch) {
      this.store.setState(patch);
    }
    /**
     * Returns current state.
     *
     * @returns {object}
     */


    getState() {
      return this.store.getState();
    }
    /**
     * Back compat for when uppy.state is used instead of uppy.getState().
     *
     * @deprecated
     */


    get state() {
      // Here, state is a non-enumerable property.
      return this.getState();
    }
    /**
     * Shorthand to set state for a specific file.
     */


    setFileState(fileID, state) {
      if (!this.getState().files[fileID]) {
        throw new Error(`Can’t set state for ${fileID} (the file could have been removed)`);
      }

      this.setState({
        files: { ...this.getState().files,
          [fileID]: { ...this.getState().files[fileID],
            ...state
          }
        }
      });
    }

    i18nInit() {
      const translator = new Translator_1([this.defaultLocale, this.opts.locale]);
      this.i18n = translator.translate.bind(translator);
      this.i18nArray = translator.translateArray.bind(translator);
      this.locale = translator.locale;
    }

    setOptions(newOpts) {
      this.opts = { ...this.opts,
        ...newOpts,
        restrictions: { ...this.opts.restrictions,
          ...(newOpts && newOpts.restrictions)
        }
      };

      if (newOpts.meta) {
        this.setMeta(newOpts.meta);
      }

      this.i18nInit();

      if (newOpts.locale) {
        this.iteratePlugins(plugin => {
          plugin.setOptions();
        });
      } // Note: this is not the preact `setState`, it's an internal function that has the same name.


      this.setState(); // so that UI re-renders with new options
    }

    resetProgress() {
      const defaultProgress = {
        percentage: 0,
        bytesUploaded: 0,
        uploadComplete: false,
        uploadStarted: null
      };
      const files = { ...this.getState().files
      };
      const updatedFiles = {};
      Object.keys(files).forEach(fileID => {
        const updatedFile = { ...files[fileID]
        };
        updatedFile.progress = { ...updatedFile.progress,
          ...defaultProgress
        };
        updatedFiles[fileID] = updatedFile;
      });
      this.setState({
        files: updatedFiles,
        totalProgress: 0
      });
      this.emit('reset-progress');
    }

    addPreProcessor(fn) {
      _classPrivateFieldLooseBase$6(this, _preProcessors)[_preProcessors].add(fn);
    }

    removePreProcessor(fn) {
      return _classPrivateFieldLooseBase$6(this, _preProcessors)[_preProcessors].delete(fn);
    }

    addPostProcessor(fn) {
      _classPrivateFieldLooseBase$6(this, _postProcessors)[_postProcessors].add(fn);
    }

    removePostProcessor(fn) {
      return _classPrivateFieldLooseBase$6(this, _postProcessors)[_postProcessors].delete(fn);
    }

    addUploader(fn) {
      _classPrivateFieldLooseBase$6(this, _uploaders)[_uploaders].add(fn);
    }

    removeUploader(fn) {
      return _classPrivateFieldLooseBase$6(this, _uploaders)[_uploaders].delete(fn);
    }

    setMeta(data) {
      const updatedMeta = { ...this.getState().meta,
        ...data
      };
      const updatedFiles = { ...this.getState().files
      };
      Object.keys(updatedFiles).forEach(fileID => {
        updatedFiles[fileID] = { ...updatedFiles[fileID],
          meta: { ...updatedFiles[fileID].meta,
            ...data
          }
        };
      });
      this.log('Adding metadata:');
      this.log(data);
      this.setState({
        meta: updatedMeta,
        files: updatedFiles
      });
    }

    setFileMeta(fileID, data) {
      const updatedFiles = { ...this.getState().files
      };

      if (!updatedFiles[fileID]) {
        this.log('Was trying to set metadata for a file that has been removed: ', fileID);
        return;
      }

      const newMeta = { ...updatedFiles[fileID].meta,
        ...data
      };
      updatedFiles[fileID] = { ...updatedFiles[fileID],
        meta: newMeta
      };
      this.setState({
        files: updatedFiles
      });
    }
    /**
     * Get a file object.
     *
     * @param {string} fileID The ID of the file object to return.
     */


    getFile(fileID) {
      return this.getState().files[fileID];
    }
    /**
     * Get all files in an array.
     */


    getFiles() {
      const {
        files
      } = this.getState();
      return Object.values(files);
    }

    getObjectOfFilesPerState() {
      const {
        files: filesObject,
        totalProgress,
        error
      } = this.getState();
      const files = Object.values(filesObject);
      const inProgressFiles = files.filter(({
        progress
      }) => !progress.uploadComplete && progress.uploadStarted);
      const newFiles = files.filter(file => !file.progress.uploadStarted);
      const startedFiles = files.filter(file => file.progress.uploadStarted || file.progress.preprocess || file.progress.postprocess);
      const uploadStartedFiles = files.filter(file => file.progress.uploadStarted);
      const pausedFiles = files.filter(file => file.isPaused);
      const completeFiles = files.filter(file => file.progress.uploadComplete);
      const erroredFiles = files.filter(file => file.error);
      const inProgressNotPausedFiles = inProgressFiles.filter(file => !file.isPaused);
      const processingFiles = files.filter(file => file.progress.preprocess || file.progress.postprocess);
      return {
        newFiles,
        startedFiles,
        uploadStartedFiles,
        pausedFiles,
        completeFiles,
        erroredFiles,
        inProgressFiles,
        inProgressNotPausedFiles,
        processingFiles,
        isUploadStarted: uploadStartedFiles.length > 0,
        isAllComplete: totalProgress === 100 && completeFiles.length === files.length && processingFiles.length === 0,
        isAllErrored: !!error && erroredFiles.length === files.length,
        isAllPaused: inProgressFiles.length !== 0 && pausedFiles.length === inProgressFiles.length,
        isUploadInProgress: inProgressFiles.length > 0,
        isSomeGhost: files.some(file => file.isGhost)
      };
    }
    /**
     * A public wrapper for _checkRestrictions — checks if a file passes a set of restrictions.
     * For use in UI pluigins (like Providers), to disallow selecting files that won’t pass restrictions.
     *
     * @param {object} file object to check
     * @param {Array} [files] array to check maxNumberOfFiles and maxTotalFileSize
     * @returns {object} { result: true/false, reason: why file didn’t pass restrictions }
     */


    validateRestrictions(file, files) {
      try {
        _classPrivateFieldLooseBase$6(this, _checkRestrictions)[_checkRestrictions](file, files);

        return {
          result: true
        };
      } catch (err) {
        return {
          result: false,
          reason: err.message
        };
      }
    }
    /**
     * Check if file passes a set of restrictions set in options: maxFileSize, minFileSize,
     * maxNumberOfFiles and allowedFileTypes.
     *
     * @param {object} file object to check
     * @param {Array} [files] array to check maxNumberOfFiles and maxTotalFileSize
     * @private
     */


    checkIfFileAlreadyExists(fileID) {
      const {
        files
      } = this.getState();

      if (files[fileID] && !files[fileID].isGhost) {
        return true;
      }

      return false;
    }
    /**
     * Create a file state object based on user-provided `addFile()` options.
     *
     * Note this is extremely side-effectful and should only be done when a file state object
     * will be added to state immediately afterward!
     *
     * The `files` value is passed in because it may be updated by the caller without updating the store.
     */


    /**
     * Add a new file to `state.files`. This will run `onBeforeFileAdded`,
     * try to guess file type in a clever way, check file against restrictions,
     * and start an upload if `autoProceed === true`.
     *
     * @param {object} file object to add
     * @returns {string} id for the added file
     */
    addFile(file) {
      _classPrivateFieldLooseBase$6(this, _assertNewUploadAllowed)[_assertNewUploadAllowed](file);

      const {
        files
      } = this.getState();

      let newFile = _classPrivateFieldLooseBase$6(this, _checkAndCreateFileStateObject)[_checkAndCreateFileStateObject](files, file); // Users are asked to re-select recovered files without data,
      // and to keep the progress, meta and everthing else, we only replace said data


      if (files[newFile.id] && files[newFile.id].isGhost) {
        newFile = { ...files[newFile.id],
          data: file.data,
          isGhost: false
        };
        this.log(`Replaced the blob in the restored ghost file: ${newFile.name}, ${newFile.id}`);
      }

      this.setState({
        files: { ...files,
          [newFile.id]: newFile
        }
      });
      this.emit('file-added', newFile);
      this.emit('files-added', [newFile]);
      this.log(`Added file: ${newFile.name}, ${newFile.id}, mime type: ${newFile.type}`);

      _classPrivateFieldLooseBase$6(this, _startIfAutoProceed)[_startIfAutoProceed]();

      return newFile.id;
    }
    /**
     * Add multiple files to `state.files`. See the `addFile()` documentation.
     *
     * If an error occurs while adding a file, it is logged and the user is notified.
     * This is good for UI plugins, but not for programmatic use.
     * Programmatic users should usually still use `addFile()` on individual files.
     */


    addFiles(fileDescriptors) {
      _classPrivateFieldLooseBase$6(this, _assertNewUploadAllowed)[_assertNewUploadAllowed](); // create a copy of the files object only once


      const files = { ...this.getState().files
      };
      const newFiles = [];
      const errors = [];

      for (let i = 0; i < fileDescriptors.length; i++) {
        try {
          let newFile = _classPrivateFieldLooseBase$6(this, _checkAndCreateFileStateObject)[_checkAndCreateFileStateObject](files, fileDescriptors[i]); // Users are asked to re-select recovered files without data,
          // and to keep the progress, meta and everthing else, we only replace said data


          if (files[newFile.id] && files[newFile.id].isGhost) {
            newFile = { ...files[newFile.id],
              data: fileDescriptors[i].data,
              isGhost: false
            };
            this.log(`Replaced blob in a ghost file: ${newFile.name}, ${newFile.id}`);
          }

          files[newFile.id] = newFile;
          newFiles.push(newFile);
        } catch (err) {
          if (!err.isRestriction) {
            errors.push(err);
          }
        }
      }

      this.setState({
        files
      });
      newFiles.forEach(newFile => {
        this.emit('file-added', newFile);
      });
      this.emit('files-added', newFiles);

      if (newFiles.length > 5) {
        this.log(`Added batch of ${newFiles.length} files`);
      } else {
        Object.keys(newFiles).forEach(fileID => {
          this.log(`Added file: ${newFiles[fileID].name}\n id: ${newFiles[fileID].id}\n type: ${newFiles[fileID].type}`);
        });
      }

      if (newFiles.length > 0) {
        _classPrivateFieldLooseBase$6(this, _startIfAutoProceed)[_startIfAutoProceed]();
      }

      if (errors.length > 0) {
        let message = 'Multiple errors occurred while adding files:\n';
        errors.forEach(subError => {
          message += `\n * ${subError.message}`;
        });
        this.info({
          message: this.i18n('addBulkFilesFailed', {
            smart_count: errors.length
          }),
          details: message
        }, 'error', this.opts.infoTimeout);

        if (typeof AggregateError === 'function') {
          throw new AggregateError(errors, message);
        } else {
          const err = new Error(message);
          err.errors = errors;
          throw err;
        }
      }
    }

    removeFiles(fileIDs, reason) {
      const {
        files,
        currentUploads
      } = this.getState();
      const updatedFiles = { ...files
      };
      const updatedUploads = { ...currentUploads
      };
      const removedFiles = Object.create(null);
      fileIDs.forEach(fileID => {
        if (files[fileID]) {
          removedFiles[fileID] = files[fileID];
          delete updatedFiles[fileID];
        }
      }); // Remove files from the `fileIDs` list in each upload.

      function fileIsNotRemoved(uploadFileID) {
        return removedFiles[uploadFileID] === undefined;
      }

      Object.keys(updatedUploads).forEach(uploadID => {
        const newFileIDs = currentUploads[uploadID].fileIDs.filter(fileIsNotRemoved); // Remove the upload if no files are associated with it anymore.

        if (newFileIDs.length === 0) {
          delete updatedUploads[uploadID];
          return;
        }

        updatedUploads[uploadID] = { ...currentUploads[uploadID],
          fileIDs: newFileIDs
        };
      });
      const stateUpdate = {
        currentUploads: updatedUploads,
        files: updatedFiles
      }; // If all files were removed - allow new uploads,
      // and clear recoveredState

      if (Object.keys(updatedFiles).length === 0) {
        stateUpdate.allowNewUpload = true;
        stateUpdate.error = null;
        stateUpdate.recoveredState = null;
      }

      this.setState(stateUpdate);
      this.calculateTotalProgress();
      const removedFileIDs = Object.keys(removedFiles);
      removedFileIDs.forEach(fileID => {
        this.emit('file-removed', removedFiles[fileID], reason);
      });

      if (removedFileIDs.length > 5) {
        this.log(`Removed ${removedFileIDs.length} files`);
      } else {
        this.log(`Removed files: ${removedFileIDs.join(', ')}`);
      }
    }

    removeFile(fileID, reason = null) {
      this.removeFiles([fileID], reason);
    }

    pauseResume(fileID) {
      if (!this.getState().capabilities.resumableUploads || this.getFile(fileID).uploadComplete) {
        return undefined;
      }

      const wasPaused = this.getFile(fileID).isPaused || false;
      const isPaused = !wasPaused;
      this.setFileState(fileID, {
        isPaused
      });
      this.emit('upload-pause', fileID, isPaused);
      return isPaused;
    }

    pauseAll() {
      const updatedFiles = { ...this.getState().files
      };
      const inProgressUpdatedFiles = Object.keys(updatedFiles).filter(file => {
        return !updatedFiles[file].progress.uploadComplete && updatedFiles[file].progress.uploadStarted;
      });
      inProgressUpdatedFiles.forEach(file => {
        const updatedFile = { ...updatedFiles[file],
          isPaused: true
        };
        updatedFiles[file] = updatedFile;
      });
      this.setState({
        files: updatedFiles
      });
      this.emit('pause-all');
    }

    resumeAll() {
      const updatedFiles = { ...this.getState().files
      };
      const inProgressUpdatedFiles = Object.keys(updatedFiles).filter(file => {
        return !updatedFiles[file].progress.uploadComplete && updatedFiles[file].progress.uploadStarted;
      });
      inProgressUpdatedFiles.forEach(file => {
        const updatedFile = { ...updatedFiles[file],
          isPaused: false,
          error: null
        };
        updatedFiles[file] = updatedFile;
      });
      this.setState({
        files: updatedFiles
      });
      this.emit('resume-all');
    }

    retryAll() {
      const updatedFiles = { ...this.getState().files
      };
      const filesToRetry = Object.keys(updatedFiles).filter(file => {
        return updatedFiles[file].error;
      });
      filesToRetry.forEach(file => {
        const updatedFile = { ...updatedFiles[file],
          isPaused: false,
          error: null
        };
        updatedFiles[file] = updatedFile;
      });
      this.setState({
        files: updatedFiles,
        error: null
      });
      this.emit('retry-all', filesToRetry);

      if (filesToRetry.length === 0) {
        return Promise.resolve({
          successful: [],
          failed: []
        });
      }

      const uploadID = _classPrivateFieldLooseBase$6(this, _createUpload)[_createUpload](filesToRetry, {
        forceAllowNewUpload: true // create new upload even if allowNewUpload: false

      });

      return _classPrivateFieldLooseBase$6(this, _runUpload)[_runUpload](uploadID);
    }

    cancelAll() {
      this.emit('cancel-all');
      const {
        files
      } = this.getState();
      const fileIDs = Object.keys(files);

      if (fileIDs.length) {
        this.removeFiles(fileIDs, 'cancel-all');
      }

      this.setState({
        totalProgress: 0,
        error: null,
        recoveredState: null
      });
    }

    retryUpload(fileID) {
      this.setFileState(fileID, {
        error: null,
        isPaused: false
      });
      this.emit('upload-retry', fileID);

      const uploadID = _classPrivateFieldLooseBase$6(this, _createUpload)[_createUpload]([fileID], {
        forceAllowNewUpload: true // create new upload even if allowNewUpload: false

      });

      return _classPrivateFieldLooseBase$6(this, _runUpload)[_runUpload](uploadID);
    }

    reset() {
      this.cancelAll();
    }

    logout() {
      this.iteratePlugins(plugin => {
        if (plugin.provider && plugin.provider.logout) {
          plugin.provider.logout();
        }
      });
    }

    calculateProgress(file, data) {
      if (!this.getFile(file.id)) {
        this.log(`Not setting progress for a file that has been removed: ${file.id}`);
        return;
      } // bytesTotal may be null or zero; in that case we can't divide by it


      const canHavePercentage = Number.isFinite(data.bytesTotal) && data.bytesTotal > 0;
      this.setFileState(file.id, {
        progress: { ...this.getFile(file.id).progress,
          bytesUploaded: data.bytesUploaded,
          bytesTotal: data.bytesTotal,
          percentage: canHavePercentage ? Math.round(data.bytesUploaded / data.bytesTotal * 100) : 0
        }
      });
      this.calculateTotalProgress();
    }

    calculateTotalProgress() {
      // calculate total progress, using the number of files currently uploading,
      // multiplied by 100 and the summ of individual progress of each file
      const files = this.getFiles();
      const inProgress = files.filter(file => {
        return file.progress.uploadStarted || file.progress.preprocess || file.progress.postprocess;
      });

      if (inProgress.length === 0) {
        this.emit('progress', 0);
        this.setState({
          totalProgress: 0
        });
        return;
      }

      const sizedFiles = inProgress.filter(file => file.progress.bytesTotal != null);
      const unsizedFiles = inProgress.filter(file => file.progress.bytesTotal == null);

      if (sizedFiles.length === 0) {
        const progressMax = inProgress.length * 100;
        const currentProgress = unsizedFiles.reduce((acc, file) => {
          return acc + file.progress.percentage;
        }, 0);
        const totalProgress = Math.round(currentProgress / progressMax * 100);
        this.setState({
          totalProgress
        });
        return;
      }

      let totalSize = sizedFiles.reduce((acc, file) => {
        return acc + file.progress.bytesTotal;
      }, 0);
      const averageSize = totalSize / sizedFiles.length;
      totalSize += averageSize * unsizedFiles.length;
      let uploadedSize = 0;
      sizedFiles.forEach(file => {
        uploadedSize += file.progress.bytesUploaded;
      });
      unsizedFiles.forEach(file => {
        uploadedSize += averageSize * (file.progress.percentage || 0) / 100;
      });
      let totalProgress = totalSize === 0 ? 0 : Math.round(uploadedSize / totalSize * 100); // hot fix, because:
      // uploadedSize ended up larger than totalSize, resulting in 1325% total

      if (totalProgress > 100) {
        totalProgress = 100;
      }

      this.setState({
        totalProgress
      });
      this.emit('progress', totalProgress);
    }
    /**
     * Registers listeners for all global actions, like:
     * `error`, `file-removed`, `upload-progress`
     */


    updateOnlineStatus() {
      const online = typeof window.navigator.onLine !== 'undefined' ? window.navigator.onLine : true;

      if (!online) {
        this.emit('is-offline');
        this.info(this.i18n('noInternetConnection'), 'error', 0);
        this.wasOffline = true;
      } else {
        this.emit('is-online');

        if (this.wasOffline) {
          this.emit('back-online');
          this.info(this.i18n('connectedToInternet'), 'success', 3000);
          this.wasOffline = false;
        }
      }
    }

    getID() {
      return this.opts.id;
    }
    /**
     * Registers a plugin with Core.
     *
     * @param {object} Plugin object
     * @param {object} [opts] object with options to be passed to Plugin
     * @returns {object} self for chaining
     */
    // eslint-disable-next-line no-shadow


    use(Plugin, opts) {
      if (typeof Plugin !== 'function') {
        const msg = `Expected a plugin class, but got ${Plugin === null ? 'null' : typeof Plugin}.` + ' Please verify that the plugin was imported and spelled correctly.';
        throw new TypeError(msg);
      } // Instantiate


      const plugin = new Plugin(this, opts);
      const pluginId = plugin.id;

      if (!pluginId) {
        throw new Error('Your plugin must have an id');
      }

      if (!plugin.type) {
        throw new Error('Your plugin must have a type');
      }

      const existsPluginAlready = this.getPlugin(pluginId);

      if (existsPluginAlready) {
        const msg = `Already found a plugin named '${existsPluginAlready.id}'. ` + `Tried to use: '${pluginId}'.\n` + 'Uppy plugins must have unique `id` options. See https://uppy.io/docs/plugins/#id.';
        throw new Error(msg);
      }

      if (Plugin.VERSION) {
        this.log(`Using ${pluginId} v${Plugin.VERSION}`);
      }

      if (plugin.type in _classPrivateFieldLooseBase$6(this, _plugins)[_plugins]) {
        _classPrivateFieldLooseBase$6(this, _plugins)[_plugins][plugin.type].push(plugin);
      } else {
        _classPrivateFieldLooseBase$6(this, _plugins)[_plugins][plugin.type] = [plugin];
      }

      plugin.install();
      return this;
    }
    /**
     * Find one Plugin by name.
     *
     * @param {string} id plugin id
     * @returns {BasePlugin|undefined}
     */


    getPlugin(id) {
      for (const plugins of Object.values(_classPrivateFieldLooseBase$6(this, _plugins)[_plugins])) {
        const foundPlugin = plugins.find(plugin => plugin.id === id);
        if (foundPlugin != null) return foundPlugin;
      }

      return undefined;
    }

    [_Symbol$for$1](type) {
      return _classPrivateFieldLooseBase$6(this, _plugins)[_plugins][type];
    }
    /**
     * Iterate through all `use`d plugins.
     *
     * @param {Function} method that will be run on each plugin
     */


    iteratePlugins(method) {
      Object.values(_classPrivateFieldLooseBase$6(this, _plugins)[_plugins]).flat(1).forEach(method);
    }
    /**
     * Uninstall and remove a plugin.
     *
     * @param {object} instance The plugin instance to remove.
     */


    removePlugin(instance) {
      this.log(`Removing plugin ${instance.id}`);
      this.emit('plugin-remove', instance);

      if (instance.uninstall) {
        instance.uninstall();
      }

      const list = _classPrivateFieldLooseBase$6(this, _plugins)[_plugins][instance.type]; // list.indexOf failed here, because Vue3 converted the plugin instance
      // to a Proxy object, which failed the strict comparison test:
      // obj !== objProxy


      const index = list.findIndex(item => item.id === instance.id);

      if (index !== -1) {
        list.splice(index, 1);
      }

      const state = this.getState();
      const updatedState = {
        plugins: { ...state.plugins,
          [instance.id]: undefined
        }
      };
      this.setState(updatedState);
    }
    /**
     * Uninstall all plugins and close down this Uppy instance.
     */


    close() {
      this.log(`Closing Uppy instance ${this.opts.id}: removing all files and uninstalling plugins`);
      this.reset();

      _classPrivateFieldLooseBase$6(this, _storeUnsubscribe)[_storeUnsubscribe]();

      this.iteratePlugins(plugin => {
        this.removePlugin(plugin);
      });

      if (typeof window !== 'undefined' && window.removeEventListener) {
        window.removeEventListener('online', _classPrivateFieldLooseBase$6(this, _updateOnlineStatus)[_updateOnlineStatus]);
        window.removeEventListener('offline', _classPrivateFieldLooseBase$6(this, _updateOnlineStatus)[_updateOnlineStatus]);
      }
    }

    hideInfo() {
      const {
        info
      } = this.getState();
      this.setState({
        info: info.slice(1)
      });
      this.emit('info-hidden');
    }
    /**
     * Set info message in `state.info`, so that UI plugins like `Informer`
     * can display the message.
     *
     * @param {string | object} message Message to be displayed by the informer
     * @param {string} [type]
     * @param {number} [duration]
     */


    info(message, type = 'info', duration = 3000) {
      const isComplexMessage = typeof message === 'object';
      this.setState({
        info: [...this.getState().info, {
          type,
          message: isComplexMessage ? message.message : message,
          details: isComplexMessage ? message.details : null
        }]
      });
      setTimeout(() => this.hideInfo(), duration);
      this.emit('info-visible');
    }
    /**
     * Passes messages to a function, provided in `opts.logger`.
     * If `opts.logger: Uppy.debugLogger` or `opts.debug: true`, logs to the browser console.
     *
     * @param {string|object} message to log
     * @param {string} [type] optional `error` or `warning`
     */


    log(message, type) {
      const {
        logger
      } = this.opts;

      switch (type) {
        case 'error':
          logger.error(message);
          break;

        case 'warning':
          logger.warn(message);
          break;

        default:
          logger.debug(message);
          break;
      }
    }
    /**
     * Restore an upload by its ID.
     */


    restore(uploadID) {
      this.log(`Core: attempting to restore upload "${uploadID}"`);

      if (!this.getState().currentUploads[uploadID]) {
        _classPrivateFieldLooseBase$6(this, _removeUpload)[_removeUpload](uploadID);

        return Promise.reject(new Error('Nonexistent upload'));
      }

      return _classPrivateFieldLooseBase$6(this, _runUpload)[_runUpload](uploadID);
    }
    /**
     * Create an upload for a bunch of files.
     *
     * @param {Array<string>} fileIDs File IDs to include in this upload.
     * @returns {string} ID of this upload.
     */


    [_Symbol$for2$1](...args) {
      return _classPrivateFieldLooseBase$6(this, _createUpload)[_createUpload](...args);
    }

    /**
     * Add data to an upload's result object.
     *
     * @param {string} uploadID The ID of the upload.
     * @param {object} data Data properties to add to the result object.
     */
    addResultData(uploadID, data) {
      if (!_classPrivateFieldLooseBase$6(this, _getUpload)[_getUpload](uploadID)) {
        this.log(`Not setting result for an upload that has been removed: ${uploadID}`);
        return;
      }

      const {
        currentUploads
      } = this.getState();
      const currentUpload = { ...currentUploads[uploadID],
        result: { ...currentUploads[uploadID].result,
          ...data
        }
      };
      this.setState({
        currentUploads: { ...currentUploads,
          [uploadID]: currentUpload
        }
      });
    }
    /**
     * Remove an upload, eg. if it has been canceled or completed.
     *
     * @param {string} uploadID The ID of the upload.
     */


    /**
     * Start an upload for all the files that are not currently being uploaded.
     *
     * @returns {Promise}
     */
    upload() {
      var _classPrivateFieldLoo;

      if (!((_classPrivateFieldLoo = _classPrivateFieldLooseBase$6(this, _plugins)[_plugins].uploader) != null && _classPrivateFieldLoo.length)) {
        this.log('No uploader type plugins are used', 'warning');
      }

      let {
        files
      } = this.getState();
      const onBeforeUploadResult = this.opts.onBeforeUpload(files);

      if (onBeforeUploadResult === false) {
        return Promise.reject(new Error('Not starting the upload because onBeforeUpload returned false'));
      }

      if (onBeforeUploadResult && typeof onBeforeUploadResult === 'object') {
        files = onBeforeUploadResult; // Updating files in state, because uploader plugins receive file IDs,
        // and then fetch the actual file object from state

        this.setState({
          files
        });
      }

      return Promise.resolve().then(() => {
        _classPrivateFieldLooseBase$6(this, _checkMinNumberOfFiles)[_checkMinNumberOfFiles](files);

        _classPrivateFieldLooseBase$6(this, _checkRequiredMetaFields)[_checkRequiredMetaFields](files);
      }).catch(err => {
        _classPrivateFieldLooseBase$6(this, _showOrLogErrorAndThrow)[_showOrLogErrorAndThrow](err);
      }).then(() => {
        const {
          currentUploads
        } = this.getState(); // get a list of files that are currently assigned to uploads

        const currentlyUploadingFiles = Object.values(currentUploads).flatMap(curr => curr.fileIDs);
        const waitingFileIDs = [];
        Object.keys(files).forEach(fileID => {
          const file = this.getFile(fileID); // if the file hasn't started uploading and hasn't already been assigned to an upload..

          if (!file.progress.uploadStarted && currentlyUploadingFiles.indexOf(fileID) === -1) {
            waitingFileIDs.push(file.id);
          }
        });

        const uploadID = _classPrivateFieldLooseBase$6(this, _createUpload)[_createUpload](waitingFileIDs);

        return _classPrivateFieldLooseBase$6(this, _runUpload)[_runUpload](uploadID);
      }).catch(err => {
        _classPrivateFieldLooseBase$6(this, _showOrLogErrorAndThrow)[_showOrLogErrorAndThrow](err, {
          showInformer: false
        });
      });
    }

  }

  function _checkRestrictions2(file, files = this.getFiles()) {
    const {
      maxFileSize,
      minFileSize,
      maxTotalFileSize,
      maxNumberOfFiles,
      allowedFileTypes
    } = this.opts.restrictions;

    if (maxNumberOfFiles) {
      if (files.length + 1 > maxNumberOfFiles) {
        throw new RestrictionError(`${this.i18n('youCanOnlyUploadX', {
        smart_count: maxNumberOfFiles
      })}`);
      }
    }

    if (allowedFileTypes) {
      const isCorrectFileType = allowedFileTypes.some(type => {
        // check if this is a mime-type
        if (type.indexOf('/') > -1) {
          if (!file.type) return false;
          return mimeMatch(file.type.replace(/;.*?$/, ''), type);
        } // otherwise this is likely an extension


        if (type[0] === '.' && file.extension) {
          return file.extension.toLowerCase() === type.substr(1).toLowerCase();
        }

        return false;
      });

      if (!isCorrectFileType) {
        const allowedFileTypesString = allowedFileTypes.join(', ');
        throw new RestrictionError(this.i18n('youCanOnlyUploadFileTypes', {
          types: allowedFileTypesString
        }));
      }
    } // We can't check maxTotalFileSize if the size is unknown.


    if (maxTotalFileSize && file.size != null) {
      let totalFilesSize = 0;
      totalFilesSize += file.size;
      files.forEach(f => {
        totalFilesSize += f.size;
      });

      if (totalFilesSize > maxTotalFileSize) {
        throw new RestrictionError(this.i18n('exceedsSize', {
          size: prettierBytes(maxTotalFileSize),
          file: file.name
        }));
      }
    } // We can't check maxFileSize if the size is unknown.


    if (maxFileSize && file.size != null) {
      if (file.size > maxFileSize) {
        throw new RestrictionError(this.i18n('exceedsSize', {
          size: prettierBytes(maxFileSize),
          file: file.name
        }));
      }
    } // We can't check minFileSize if the size is unknown.


    if (minFileSize && file.size != null) {
      if (file.size < minFileSize) {
        throw new RestrictionError(this.i18n('inferiorSize', {
          size: prettierBytes(minFileSize)
        }));
      }
    }
  }

  function _checkMinNumberOfFiles2(files) {
    const {
      minNumberOfFiles
    } = this.opts.restrictions;

    if (Object.keys(files).length < minNumberOfFiles) {
      throw new RestrictionError(`${this.i18n('youHaveToAtLeastSelectX', {
      smart_count: minNumberOfFiles
    })}`);
    }
  }

  function _checkRequiredMetaFieldsOnFile2(file) {
    const {
      requiredMetaFields
    } = this.opts.restrictions;
    const {
      hasOwnProperty
    } = Object.prototype;
    const errors = [];
    const missingFields = [];

    for (let i = 0; i < requiredMetaFields.length; i++) {
      if (!hasOwnProperty.call(file.meta, requiredMetaFields[i]) || file.meta[requiredMetaFields[i]] === '') {
        const err = new RestrictionError(`${this.i18n('missingRequiredMetaFieldOnFile', {
        fileName: file.name
      })}`);
        errors.push(err);
        missingFields.push(requiredMetaFields[i]);

        _classPrivateFieldLooseBase$6(this, _showOrLogErrorAndThrow)[_showOrLogErrorAndThrow](err, {
          file,
          showInformer: false,
          throwErr: false
        });
      }
    }

    this.setFileState(file.id, {
      missingRequiredMetaFields: missingFields
    });
    return errors;
  }

  function _checkRequiredMetaFields2(files) {
    const errors = Object.keys(files).flatMap(fileID => {
      const file = this.getFile(fileID);
      return _classPrivateFieldLooseBase$6(this, _checkRequiredMetaFieldsOnFile)[_checkRequiredMetaFieldsOnFile](file);
    });

    if (errors.length) {
      throw new AggregateRestrictionError(errors, `${this.i18n('missingRequiredMetaField')}`);
    }
  }

  function _showOrLogErrorAndThrow2(err, {
    showInformer = true,
    file = null,
    throwErr = true
  } = {}) {
    const message = typeof err === 'object' ? err.message : err;
    const details = typeof err === 'object' && err.details ? err.details : ''; // Restriction errors should be logged, but not as errors,
    // as they are expected and shown in the UI.

    let logMessageWithDetails = message;

    if (details) {
      logMessageWithDetails += ` ${details}`;
    }

    if (err.isRestriction) {
      this.log(logMessageWithDetails);
      this.emit('restriction-failed', file, err);
    } else {
      this.log(logMessageWithDetails, 'error');
    } // Sometimes informer has to be shown manually by the developer,
    // for example, in `onBeforeFileAdded`.


    if (showInformer) {
      this.info({
        message,
        details
      }, 'error', this.opts.infoTimeout);
    }

    if (throwErr) {
      throw typeof err === 'object' ? err : new Error(err);
    }
  }

  function _assertNewUploadAllowed2(file) {
    const {
      allowNewUpload
    } = this.getState();

    if (allowNewUpload === false) {
      _classPrivateFieldLooseBase$6(this, _showOrLogErrorAndThrow)[_showOrLogErrorAndThrow](new RestrictionError(this.i18n('noMoreFilesAllowed')), {
        file
      });
    }
  }

  function _checkAndCreateFileStateObject2(files, fileDescriptor) {
    const fileType = getFileType(fileDescriptor);
    const fileName = getFileName(fileType, fileDescriptor);
    const fileExtension = getFileNameAndExtension(fileName).extension;
    const isRemote = Boolean(fileDescriptor.isRemote);
    const fileID = generateFileID({ ...fileDescriptor,
      type: fileType
    });

    if (this.checkIfFileAlreadyExists(fileID)) {
      const error = new RestrictionError(this.i18n('noDuplicates', {
        fileName
      }));

      _classPrivateFieldLooseBase$6(this, _showOrLogErrorAndThrow)[_showOrLogErrorAndThrow](error, {
        file: fileDescriptor
      });
    }

    const meta = fileDescriptor.meta || {};
    meta.name = fileName;
    meta.type = fileType; // `null` means the size is unknown.

    const size = Number.isFinite(fileDescriptor.data.size) ? fileDescriptor.data.size : null;
    let newFile = {
      source: fileDescriptor.source || '',
      id: fileID,
      name: fileName,
      extension: fileExtension || '',
      meta: { ...this.getState().meta,
        ...meta
      },
      type: fileType,
      data: fileDescriptor.data,
      progress: {
        percentage: 0,
        bytesUploaded: 0,
        bytesTotal: size,
        uploadComplete: false,
        uploadStarted: null
      },
      size,
      isRemote,
      remote: fileDescriptor.remote || '',
      preview: fileDescriptor.preview
    };
    const onBeforeFileAddedResult = this.opts.onBeforeFileAdded(newFile, files);

    if (onBeforeFileAddedResult === false) {
      // Don’t show UI info for this error, as it should be done by the developer
      _classPrivateFieldLooseBase$6(this, _showOrLogErrorAndThrow)[_showOrLogErrorAndThrow](new RestrictionError('Cannot add the file because onBeforeFileAdded returned false.'), {
        showInformer: false,
        fileDescriptor
      });
    } else if (typeof onBeforeFileAddedResult === 'object' && onBeforeFileAddedResult !== null) {
      newFile = onBeforeFileAddedResult;
    }

    try {
      const filesArray = Object.keys(files).map(i => files[i]);

      _classPrivateFieldLooseBase$6(this, _checkRestrictions)[_checkRestrictions](newFile, filesArray);
    } catch (err) {
      _classPrivateFieldLooseBase$6(this, _showOrLogErrorAndThrow)[_showOrLogErrorAndThrow](err, {
        file: newFile
      });
    }

    return newFile;
  }

  function _startIfAutoProceed2() {
    if (this.opts.autoProceed && !this.scheduledAutoProceed) {
      this.scheduledAutoProceed = setTimeout(() => {
        this.scheduledAutoProceed = null;
        this.upload().catch(err => {
          if (!err.isRestriction) {
            this.log(err.stack || err.message || err);
          }
        });
      }, 4);
    }
  }

  function _addListeners2() {
    /**
     * @param {Error} error
     * @param {object} [file]
     * @param {object} [response]
     */
    const errorHandler = (error, file, response) => {
      let errorMsg = error.message || 'Unknown error';

      if (error.details) {
        errorMsg += ` ${error.details}`;
      }

      this.setState({
        error: errorMsg
      });

      if (file != null && file.id in this.getState().files) {
        this.setFileState(file.id, {
          error: errorMsg,
          response
        });
      }
    };

    this.on('error', errorHandler);
    this.on('upload-error', (file, error, response) => {
      errorHandler(error, file, response);

      if (typeof error === 'object' && error.message) {
        const newError = new Error(error.message);
        newError.details = error.message;

        if (error.details) {
          newError.details += ` ${error.details}`;
        }

        newError.message = this.i18n('failedToUpload', {
          file: file.name
        });

        _classPrivateFieldLooseBase$6(this, _showOrLogErrorAndThrow)[_showOrLogErrorAndThrow](newError, {
          throwErr: false
        });
      } else {
        _classPrivateFieldLooseBase$6(this, _showOrLogErrorAndThrow)[_showOrLogErrorAndThrow](error, {
          throwErr: false
        });
      }
    });
    this.on('upload', () => {
      this.setState({
        error: null
      });
    });
    this.on('upload-started', file => {
      if (!this.getFile(file.id)) {
        this.log(`Not setting progress for a file that has been removed: ${file.id}`);
        return;
      }

      this.setFileState(file.id, {
        progress: {
          uploadStarted: Date.now(),
          uploadComplete: false,
          percentage: 0,
          bytesUploaded: 0,
          bytesTotal: file.size
        }
      });
    });
    this.on('upload-progress', this.calculateProgress);
    this.on('upload-success', (file, uploadResp) => {
      if (!this.getFile(file.id)) {
        this.log(`Not setting progress for a file that has been removed: ${file.id}`);
        return;
      }

      const currentProgress = this.getFile(file.id).progress;
      this.setFileState(file.id, {
        progress: { ...currentProgress,
          postprocess: _classPrivateFieldLooseBase$6(this, _postProcessors)[_postProcessors].size > 0 ? {
            mode: 'indeterminate'
          } : null,
          uploadComplete: true,
          percentage: 100,
          bytesUploaded: currentProgress.bytesTotal
        },
        response: uploadResp,
        uploadURL: uploadResp.uploadURL,
        isPaused: false
      }); // Remote providers sometimes don't tell us the file size,
      // but we can know how many bytes we uploaded once the upload is complete.

      if (file.size == null) {
        this.setFileState(file.id, {
          size: uploadResp.bytesUploaded || currentProgress.bytesTotal
        });
      }

      this.calculateTotalProgress();
    });
    this.on('preprocess-progress', (file, progress) => {
      if (!this.getFile(file.id)) {
        this.log(`Not setting progress for a file that has been removed: ${file.id}`);
        return;
      }

      this.setFileState(file.id, {
        progress: { ...this.getFile(file.id).progress,
          preprocess: progress
        }
      });
    });
    this.on('preprocess-complete', file => {
      if (!this.getFile(file.id)) {
        this.log(`Not setting progress for a file that has been removed: ${file.id}`);
        return;
      }

      const files = { ...this.getState().files
      };
      files[file.id] = { ...files[file.id],
        progress: { ...files[file.id].progress
        }
      };
      delete files[file.id].progress.preprocess;
      this.setState({
        files
      });
    });
    this.on('postprocess-progress', (file, progress) => {
      if (!this.getFile(file.id)) {
        this.log(`Not setting progress for a file that has been removed: ${file.id}`);
        return;
      }

      this.setFileState(file.id, {
        progress: { ...this.getState().files[file.id].progress,
          postprocess: progress
        }
      });
    });
    this.on('postprocess-complete', file => {
      if (!this.getFile(file.id)) {
        this.log(`Not setting progress for a file that has been removed: ${file.id}`);
        return;
      }

      const files = { ...this.getState().files
      };
      files[file.id] = { ...files[file.id],
        progress: { ...files[file.id].progress
        }
      };
      delete files[file.id].progress.postprocess;
      this.setState({
        files
      });
    });
    this.on('restored', () => {
      // Files may have changed--ensure progress is still accurate.
      this.calculateTotalProgress();
    });
    this.on('dashboard:file-edit-complete', file => {
      if (file) {
        _classPrivateFieldLooseBase$6(this, _checkRequiredMetaFieldsOnFile)[_checkRequiredMetaFieldsOnFile](file);
      }
    }); // show informer if offline

    if (typeof window !== 'undefined' && window.addEventListener) {
      window.addEventListener('online', _classPrivateFieldLooseBase$6(this, _updateOnlineStatus)[_updateOnlineStatus]);
      window.addEventListener('offline', _classPrivateFieldLooseBase$6(this, _updateOnlineStatus)[_updateOnlineStatus]);
      setTimeout(_classPrivateFieldLooseBase$6(this, _updateOnlineStatus)[_updateOnlineStatus], 3000);
    }
  }

  function _createUpload2(fileIDs, opts = {}) {
    // uppy.retryAll sets this to true — when retrying we want to ignore `allowNewUpload: false`
    const {
      forceAllowNewUpload = false
    } = opts;
    const {
      allowNewUpload,
      currentUploads
    } = this.getState();

    if (!allowNewUpload && !forceAllowNewUpload) {
      throw new Error('Cannot create a new upload: already uploading.');
    }

    const uploadID = nanoid$1();
    this.emit('upload', {
      id: uploadID,
      fileIDs
    });
    this.setState({
      allowNewUpload: this.opts.allowMultipleUploadBatches !== false && this.opts.allowMultipleUploads !== false,
      currentUploads: { ...currentUploads,
        [uploadID]: {
          fileIDs,
          step: 0,
          result: {}
        }
      }
    });
    return uploadID;
  }

  function _getUpload2(uploadID) {
    const {
      currentUploads
    } = this.getState();
    return currentUploads[uploadID];
  }

  function _removeUpload2(uploadID) {
    const currentUploads = { ...this.getState().currentUploads
    };
    delete currentUploads[uploadID];
    this.setState({
      currentUploads
    });
  }

  async function _runUpload2(uploadID) {
    let {
      currentUploads
    } = this.getState();
    let currentUpload = currentUploads[uploadID];
    const restoreStep = currentUpload.step || 0;
    const steps = [...Array.from(_classPrivateFieldLooseBase$6(this, _preProcessors)[_preProcessors]), ...Array.from(_classPrivateFieldLooseBase$6(this, _uploaders)[_uploaders]), ...Array.from(_classPrivateFieldLooseBase$6(this, _postProcessors)[_postProcessors])];

    try {
      for (let step = restoreStep; step < steps.length; step++) {
        if (!currentUpload) {
          break;
        }

        const fn = steps[step];
        const updatedUpload = { ...currentUpload,
          step
        };
        this.setState({
          currentUploads: { ...currentUploads,
            [uploadID]: updatedUpload
          }
        }); // TODO give this the `updatedUpload` object as its only parameter maybe?
        // Otherwise when more metadata may be added to the upload this would keep getting more parameters

        await fn(updatedUpload.fileIDs, uploadID); // Update currentUpload value in case it was modified asynchronously.

        currentUploads = this.getState().currentUploads;
        currentUpload = currentUploads[uploadID];
      }
    } catch (err) {
      this.emit('error', err);

      _classPrivateFieldLooseBase$6(this, _removeUpload)[_removeUpload](uploadID);

      throw err;
    } // Set result data.


    if (currentUpload) {
      // Mark postprocessing step as complete if necessary; this addresses a case where we might get
      // stuck in the postprocessing UI while the upload is fully complete.
      // If the postprocessing steps do not do any work, they may not emit postprocessing events at
      // all, and never mark the postprocessing as complete. This is fine on its own but we
      // introduced code in the @uppy/core upload-success handler to prepare postprocessing progress
      // state if any postprocessors are registered. That is to avoid a "flash of completed state"
      // before the postprocessing plugins can emit events.
      //
      // So, just in case an upload with postprocessing plugins *has* completed *without* emitting
      // postprocessing completion, we do it instead.
      currentUpload.fileIDs.forEach(fileID => {
        const file = this.getFile(fileID);

        if (file && file.progress.postprocess) {
          this.emit('postprocess-complete', file);
        }
      });
      const files = currentUpload.fileIDs.map(fileID => this.getFile(fileID));
      const successful = files.filter(file => !file.error);
      const failed = files.filter(file => file.error);
      await this.addResultData(uploadID, {
        successful,
        failed,
        uploadID
      }); // Update currentUpload value in case it was modified asynchronously.

      currentUploads = this.getState().currentUploads;
      currentUpload = currentUploads[uploadID];
    } // Emit completion events.
    // This is in a separate function so that the `currentUploads` variable
    // always refers to the latest state. In the handler right above it refers
    // to an outdated object without the `.result` property.


    let result;

    if (currentUpload) {
      result = currentUpload.result;
      this.emit('complete', result);

      _classPrivateFieldLooseBase$6(this, _removeUpload)[_removeUpload](uploadID);
    }

    if (result == null) {
      this.log(`Not setting result for an upload that has been removed: ${uploadID}`);
    }

    return result;
  }

  Uppy.VERSION = "2.1.2";
  var Uppy_1$1 = Uppy;

  var preact = createCommonjsModule(function (module, exports) {
  var n,l,u,t,i,r,o,f,e={},c=[],s=/acit|ex(?:s|g|n|p|$)|rph|grid|ows|mnc|ntw|ine[ch]|zoo|^ord|itera/i;function a(n,l){for(var u in l)n[u]=l[u];return n}function v(n){var l=n.parentNode;l&&l.removeChild(n);}function h(l,u,t){var i,r,o,f={};for(o in u)"key"==o?i=u[o]:"ref"==o?r=u[o]:f[o]=u[o];if(arguments.length>2&&(f.children=arguments.length>3?n.call(arguments,2):t),"function"==typeof l&&null!=l.defaultProps)for(o in l.defaultProps)void 0===f[o]&&(f[o]=l.defaultProps[o]);return p(l,f,i,r,null)}function p(n,t,i,r,o){var f={type:n,props:t,key:i,ref:r,__k:null,__:null,__b:0,__e:null,__d:void 0,__c:null,__h:null,constructor:void 0,__v:null==o?++u:o};return null==o&&null!=l.vnode&&l.vnode(f),f}function y(n){return n.children}function d(n,l){this.props=n,this.context=l;}function _(n,l){if(null==l)return n.__?_(n.__,n.__.__k.indexOf(n)+1):null;for(var u;l<n.__k.length;l++)if(null!=(u=n.__k[l])&&null!=u.__e)return u.__e;return "function"==typeof n.type?_(n):null}function k(n){var l,u;if(null!=(n=n.__)&&null!=n.__c){for(n.__e=n.__c.base=null,l=0;l<n.__k.length;l++)if(null!=(u=n.__k[l])&&null!=u.__e){n.__e=n.__c.base=u.__e;break}return k(n)}}function x(n){(!n.__d&&(n.__d=!0)&&i.push(n)&&!b.__r++||o!==l.debounceRendering)&&((o=l.debounceRendering)||r)(b);}function b(){for(var n;b.__r=i.length;)n=i.sort(function(n,l){return n.__v.__b-l.__v.__b}),i=[],n.some(function(n){var l,u,t,i,r,o;n.__d&&(r=(i=(l=n).__v).__e,(o=l.__P)&&(u=[],(t=a({},i)).__v=i.__v+1,I(o,i,t,l.__n,void 0!==o.ownerSVGElement,null!=i.__h?[r]:null,u,null==r?_(i):r,i.__h),T(u,i),i.__e!=r&&k(i)));});}function m(n,l,u,t,i,r,o,f,s,a){var v,h,d,k,x,b,m,A=t&&t.__k||c,P=A.length;for(u.__k=[],v=0;v<l.length;v++)if(null!=(k=u.__k[v]=null==(k=l[v])||"boolean"==typeof k?null:"string"==typeof k||"number"==typeof k||"bigint"==typeof k?p(null,k,null,null,k):Array.isArray(k)?p(y,{children:k},null,null,null):k.__b>0?p(k.type,k.props,k.key,null,k.__v):k)){if(k.__=u,k.__b=u.__b+1,null===(d=A[v])||d&&k.key==d.key&&k.type===d.type)A[v]=void 0;else for(h=0;h<P;h++){if((d=A[h])&&k.key==d.key&&k.type===d.type){A[h]=void 0;break}d=null;}I(n,k,d=d||e,i,r,o,f,s,a),x=k.__e,(h=k.ref)&&d.ref!=h&&(m||(m=[]),d.ref&&m.push(d.ref,null,k),m.push(h,k.__c||x,k)),null!=x?(null==b&&(b=x),"function"==typeof k.type&&k.__k===d.__k?k.__d=s=g(k,s,n):s=w(n,k,d,A,x,s),"function"==typeof u.type&&(u.__d=s)):s&&d.__e==s&&s.parentNode!=n&&(s=_(d));}for(u.__e=b,v=P;v--;)null!=A[v]&&("function"==typeof u.type&&null!=A[v].__e&&A[v].__e==u.__d&&(u.__d=_(t,v+1)),L(A[v],A[v]));if(m)for(v=0;v<m.length;v++)z(m[v],m[++v],m[++v]);}function g(n,l,u){for(var t,i=n.__k,r=0;i&&r<i.length;r++)(t=i[r])&&(t.__=n,l="function"==typeof t.type?g(t,l,u):w(u,t,t,i,t.__e,l));return l}function w(n,l,u,t,i,r){var o,f,e;if(void 0!==l.__d)o=l.__d,l.__d=void 0;else if(null==u||i!=r||null==i.parentNode)n:if(null==r||r.parentNode!==n)n.appendChild(i),o=null;else {for(f=r,e=0;(f=f.nextSibling)&&e<t.length;e+=2)if(f==i)break n;n.insertBefore(i,r),o=r;}return void 0!==o?o:i.nextSibling}function A(n,l,u,t,i){var r;for(r in u)"children"===r||"key"===r||r in l||C(n,r,null,u[r],t);for(r in l)i&&"function"!=typeof l[r]||"children"===r||"key"===r||"value"===r||"checked"===r||u[r]===l[r]||C(n,r,l[r],u[r],t);}function P(n,l,u){"-"===l[0]?n.setProperty(l,u):n[l]=null==u?"":"number"!=typeof u||s.test(l)?u:u+"px";}function C(n,l,u,t,i){var r;n:if("style"===l)if("string"==typeof u)n.style.cssText=u;else {if("string"==typeof t&&(n.style.cssText=t=""),t)for(l in t)u&&l in u||P(n.style,l,"");if(u)for(l in u)t&&u[l]===t[l]||P(n.style,l,u[l]);}else if("o"===l[0]&&"n"===l[1])r=l!==(l=l.replace(/Capture$/,"")),l=l.toLowerCase()in n?l.toLowerCase().slice(2):l.slice(2),n.l||(n.l={}),n.l[l+r]=u,u?t||n.addEventListener(l,r?H:$,r):n.removeEventListener(l,r?H:$,r);else if("dangerouslySetInnerHTML"!==l){if(i)l=l.replace(/xlink[H:h]/,"h").replace(/sName$/,"s");else if("href"!==l&&"list"!==l&&"form"!==l&&"tabIndex"!==l&&"download"!==l&&l in n)try{n[l]=null==u?"":u;break n}catch(n){}"function"==typeof u||(null!=u&&(!1!==u||"a"===l[0]&&"r"===l[1])?n.setAttribute(l,u):n.removeAttribute(l));}}function $(n){this.l[n.type+!1](l.event?l.event(n):n);}function H(n){this.l[n.type+!0](l.event?l.event(n):n);}function I(n,u,t,i,r,o,f,e,c){var s,v,h,p,_,k,x,b,g,w,A,P=u.type;if(void 0!==u.constructor)return null;null!=t.__h&&(c=t.__h,e=u.__e=t.__e,u.__h=null,o=[e]),(s=l.__b)&&s(u);try{n:if("function"==typeof P){if(b=u.props,g=(s=P.contextType)&&i[s.__c],w=s?g?g.props.value:s.__:i,t.__c?x=(v=u.__c=t.__c).__=v.__E:("prototype"in P&&P.prototype.render?u.__c=v=new P(b,w):(u.__c=v=new d(b,w),v.constructor=P,v.render=M),g&&g.sub(v),v.props=b,v.state||(v.state={}),v.context=w,v.__n=i,h=v.__d=!0,v.__h=[]),null==v.__s&&(v.__s=v.state),null!=P.getDerivedStateFromProps&&(v.__s==v.state&&(v.__s=a({},v.__s)),a(v.__s,P.getDerivedStateFromProps(b,v.__s))),p=v.props,_=v.state,h)null==P.getDerivedStateFromProps&&null!=v.componentWillMount&&v.componentWillMount(),null!=v.componentDidMount&&v.__h.push(v.componentDidMount);else {if(null==P.getDerivedStateFromProps&&b!==p&&null!=v.componentWillReceiveProps&&v.componentWillReceiveProps(b,w),!v.__e&&null!=v.shouldComponentUpdate&&!1===v.shouldComponentUpdate(b,v.__s,w)||u.__v===t.__v){v.props=b,v.state=v.__s,u.__v!==t.__v&&(v.__d=!1),v.__v=u,u.__e=t.__e,u.__k=t.__k,u.__k.forEach(function(n){n&&(n.__=u);}),v.__h.length&&f.push(v);break n}null!=v.componentWillUpdate&&v.componentWillUpdate(b,v.__s,w),null!=v.componentDidUpdate&&v.__h.push(function(){v.componentDidUpdate(p,_,k);});}v.context=w,v.props=b,v.state=v.__s,(s=l.__r)&&s(u),v.__d=!1,v.__v=u,v.__P=n,s=v.render(v.props,v.state,v.context),v.state=v.__s,null!=v.getChildContext&&(i=a(a({},i),v.getChildContext())),h||null==v.getSnapshotBeforeUpdate||(k=v.getSnapshotBeforeUpdate(p,_)),A=null!=s&&s.type===y&&null==s.key?s.props.children:s,m(n,Array.isArray(A)?A:[A],u,t,i,r,o,f,e,c),v.base=u.__e,u.__h=null,v.__h.length&&f.push(v),x&&(v.__E=v.__=null),v.__e=!1;}else null==o&&u.__v===t.__v?(u.__k=t.__k,u.__e=t.__e):u.__e=j(t.__e,u,t,i,r,o,f,c);(s=l.diffed)&&s(u);}catch(n){u.__v=null,(c||null!=o)&&(u.__e=e,u.__h=!!c,o[o.indexOf(e)]=null),l.__e(n,u,t);}}function T(n,u){l.__c&&l.__c(u,n),n.some(function(u){try{n=u.__h,u.__h=[],n.some(function(n){n.call(u);});}catch(n){l.__e(n,u.__v);}});}function j(l,u,t,i,r,o,f,c){var s,a,h,p=t.props,y=u.props,d=u.type,k=0;if("svg"===d&&(r=!0),null!=o)for(;k<o.length;k++)if((s=o[k])&&(s===l||(d?s.localName==d:3==s.nodeType))){l=s,o[k]=null;break}if(null==l){if(null===d)return document.createTextNode(y);l=r?document.createElementNS("http://www.w3.org/2000/svg",d):document.createElement(d,y.is&&y),o=null,c=!1;}if(null===d)p===y||c&&l.data===y||(l.data=y);else {if(o=o&&n.call(l.childNodes),a=(p=t.props||e).dangerouslySetInnerHTML,h=y.dangerouslySetInnerHTML,!c){if(null!=o)for(p={},k=0;k<l.attributes.length;k++)p[l.attributes[k].name]=l.attributes[k].value;(h||a)&&(h&&(a&&h.__html==a.__html||h.__html===l.innerHTML)||(l.innerHTML=h&&h.__html||""));}if(A(l,y,p,r,c),h)u.__k=[];else if(k=u.props.children,m(l,Array.isArray(k)?k:[k],u,t,i,r&&"foreignObject"!==d,o,f,o?o[0]:t.__k&&_(t,0),c),null!=o)for(k=o.length;k--;)null!=o[k]&&v(o[k]);c||("value"in y&&void 0!==(k=y.value)&&(k!==l.value||"progress"===d&&!k)&&C(l,"value",k,p.value,!1),"checked"in y&&void 0!==(k=y.checked)&&k!==l.checked&&C(l,"checked",k,p.checked,!1));}return l}function z(n,u,t){try{"function"==typeof n?n(u):n.current=u;}catch(n){l.__e(n,t);}}function L(n,u,t){var i,r;if(l.unmount&&l.unmount(n),(i=n.ref)&&(i.current&&i.current!==n.__e||z(i,null,u)),null!=(i=n.__c)){if(i.componentWillUnmount)try{i.componentWillUnmount();}catch(n){l.__e(n,u);}i.base=i.__P=null;}if(i=n.__k)for(r=0;r<i.length;r++)i[r]&&L(i[r],u,"function"!=typeof n.type);t||null==n.__e||v(n.__e),n.__e=n.__d=void 0;}function M(n,l,u){return this.constructor(n,u)}function N(u,t,i){var r,o,f;l.__&&l.__(u,t),o=(r="function"==typeof i)?null:i&&i.__k||t.__k,f=[],I(t,u=(!r&&i||t).__k=h(y,null,[u]),o||e,e,void 0!==t.ownerSVGElement,!r&&i?[i]:o?null:t.firstChild?n.call(t.childNodes):null,f,!r&&i?i:o?o.__e:t.firstChild,r),T(f,u);}n=c.slice,l={__e:function(n,l){for(var u,t,i;l=l.__;)if((u=l.__c)&&!u.__)try{if((t=u.constructor)&&null!=t.getDerivedStateFromError&&(u.setState(t.getDerivedStateFromError(n)),i=u.__d),null!=u.componentDidCatch&&(u.componentDidCatch(n),i=u.__d),i)return u.__E=u}catch(l){n=l;}throw n}},u=0,t=function(n){return null!=n&&void 0===n.constructor},d.prototype.setState=function(n,l){var u;u=null!=this.__s&&this.__s!==this.state?this.__s:this.__s=a({},this.state),"function"==typeof n&&(n=n(a({},u),this.props)),n&&a(u,n),null!=n&&this.__v&&(l&&this.__h.push(l),x(this));},d.prototype.forceUpdate=function(n){this.__v&&(this.__e=!0,n&&this.__h.push(n),x(this));},d.prototype.render=y,i=[],r="function"==typeof Promise?Promise.prototype.then.bind(Promise.resolve()):setTimeout,b.__r=0,f=0,exports.render=N,exports.hydrate=function n(l,u){N(l,u,n);},exports.createElement=h,exports.h=h,exports.Fragment=y,exports.createRef=function(){return {current:null}},exports.isValidElement=t,exports.Component=d,exports.cloneElement=function(l,u,t){var i,r,o,f=a({},l.props);for(o in u)"key"==o?i=u[o]:"ref"==o?r=u[o]:f[o]=u[o];return arguments.length>2&&(f.children=arguments.length>3?n.call(arguments,2):t),p(l.type,f,i||l.key,r||l.ref,null)},exports.createContext=function(n,l){var u={__c:l="__cC"+f++,__:n,Consumer:function(n,l){return n.children(l)},Provider:function(n){var u,t;return this.getChildContext||(u=[],(t={})[l]=this,this.getChildContext=function(){return t},this.shouldComponentUpdate=function(n){this.props.value!==n.value&&u.some(x);},this.sub=function(n){u.push(n);var l=n.componentWillUnmount;n.componentWillUnmount=function(){u.splice(u.indexOf(n),1),l&&l.call(n);};}),n.children}};return u.Provider.__=u.Consumer.contextType=u},exports.toChildArray=function n(l,u){return u=u||[],null==l||"boolean"==typeof l||(Array.isArray(l)?l.some(function(l){n(l,u);}):u.push(l)),u},exports.options=l;

  });

  /**
   * Check if an object is a DOM element. Duck-typing based on `nodeType`.
   *
   * @param {*} obj
   */
  var isDOMElement = function isDOMElement(obj) {
    return (obj == null ? void 0 : obj.nodeType) === Node.ELEMENT_NODE;
  };

  /**
   * Find a DOM element.
   *
   * @param {Node|string} element
   * @returns {Node|null}
   */


  var findDOMElement = function findDOMElement(element, context = document) {
    if (typeof element === 'string') {
      return context.querySelector(element);
    }

    if (isDOMElement(element)) {
      return element;
    }

    return null;
  };

  /**
   * Core plugin logic that all plugins share.
   *
   * BasePlugin does not contain DOM rendering so it can be used for plugins
   * without a user interface.
   *
   * See `Plugin` for the extended version with Preact rendering for interfaces.
   */


  var BasePlugin_1$1 = class BasePlugin {
    constructor(uppy, opts = {}) {
      this.uppy = uppy;
      this.opts = opts;
    }

    getPluginState() {
      const {
        plugins
      } = this.uppy.getState();
      return plugins[this.id] || {};
    }

    setPluginState(update) {
      const {
        plugins
      } = this.uppy.getState();
      this.uppy.setState({
        plugins: { ...plugins,
          [this.id]: { ...plugins[this.id],
            ...update
          }
        }
      });
    }

    setOptions(newOpts) {
      this.opts = { ...this.opts,
        ...newOpts
      };
      this.setPluginState(); // so that UI re-renders with new options

      this.i18nInit();
    }

    i18nInit() {
      const translator = new Translator_1([this.defaultLocale, this.uppy.locale, this.opts.locale]);
      this.i18n = translator.translate.bind(translator);
      this.i18nArray = translator.translateArray.bind(translator);
      this.setPluginState(); // so that UI re-renders and we see the updated locale
    }
    /**
     * Extendable methods
     * ==================
     * These methods are here to serve as an overview of the extendable methods as well as
     * making them not conditional in use, such as `if (this.afterUpdate)`.
     */
    // eslint-disable-next-line class-methods-use-this


    addTarget() {
      throw new Error('Extend the addTarget method to add your plugin to another plugin\'s target');
    } // eslint-disable-next-line class-methods-use-this


    install() {} // eslint-disable-next-line class-methods-use-this


    uninstall() {}
    /**
     * Called when plugin is mounted, whether in DOM or into another plugin.
     * Needed because sometimes plugins are mounted separately/after `install`,
     * so this.el and this.parent might not be available in `install`.
     * This is the case with @uppy/react plugins, for example.
     */


    render() {
      throw new Error('Extend the render method to add your plugin to a DOM element');
    } // eslint-disable-next-line class-methods-use-this


    update() {} // Called after every state update, after everything's mounted. Debounced.
    // eslint-disable-next-line class-methods-use-this


    afterUpdate() {}

  };

  function _classPrivateFieldLooseBase$5(receiver, privateKey) { if (!Object.prototype.hasOwnProperty.call(receiver, privateKey)) { throw new TypeError("attempted to use private field on non-instance"); } return receiver; }

  var id$6 = 0;

  function _classPrivateFieldLooseKey$5(name) { return "__private_" + id$6++ + "_" + name; }

  const {
    render
  } = preact;




  /**
   * Defer a frequent call to the microtask queue.
   *
   * @param {() => T} fn
   * @returns {Promise<T>}
   */


  function debounce(fn) {
    let calling = null;
    let latestArgs = null;
    return (...args) => {
      latestArgs = args;

      if (!calling) {
        calling = Promise.resolve().then(() => {
          calling = null; // At this point `args` may be different from the most
          // recent state, if multiple calls happened since this task
          // was queued. So we use the `latestArgs`, which definitely
          // is the most recent call.

          return fn(...latestArgs);
        });
      }

      return calling;
    };
  }
  /**
   * UIPlugin is the extended version of BasePlugin to incorporate rendering with Preact.
   * Use this for plugins that need a user interface.
   *
   * For plugins without an user interface, see BasePlugin.
   */


  var _updateUI = /*#__PURE__*/_classPrivateFieldLooseKey$5("updateUI");

  class UIPlugin extends BasePlugin_1$1 {
    constructor(...args) {
      super(...args);
      Object.defineProperty(this, _updateUI, {
        writable: true,
        value: void 0
      });
    }

    /**
     * Check if supplied `target` is a DOM element or an `object`.
     * If it’s an object — target is a plugin, and we search `plugins`
     * for a plugin with same name and return its target.
     */
    mount(target, plugin) {
      const callerPluginName = plugin.id;
      const targetElement = findDOMElement(target);

      if (targetElement) {
        this.isTargetDOMEl = true; // When target is <body> with a single <div> element,
        // Preact thinks it’s the Uppy root element in there when doing a diff,
        // and destroys it. So we are creating a fragment (could be empty div)

        const uppyRootElement = document.createDocumentFragment(); // API for plugins that require a synchronous rerender.

        _classPrivateFieldLooseBase$5(this, _updateUI)[_updateUI] = debounce(state => {
          // plugin could be removed, but this.rerender is debounced below,
          // so it could still be called even after uppy.removePlugin or uppy.close
          // hence the check
          if (!this.uppy.getPlugin(this.id)) return;
          render(this.render(state), uppyRootElement);
          this.afterUpdate();
        });
        this.uppy.log(`Installing ${callerPluginName} to a DOM element '${target}'`);

        if (this.opts.replaceTargetContent) {
          // Doing render(h(null), targetElement), which should have been
          // a better way, since because the component might need to do additional cleanup when it is removed,
          // stopped working — Preact just adds null into target, not replacing
          targetElement.innerHTML = '';
        }

        render(this.render(this.uppy.getState()), uppyRootElement);
        this.el = uppyRootElement.firstElementChild;
        targetElement.appendChild(uppyRootElement);
        this.onMount();
        return this.el;
      }

      let targetPlugin;

      if (typeof target === 'object' && target instanceof UIPlugin) {
        // Targeting a plugin *instance*
        targetPlugin = target;
      } else if (typeof target === 'function') {
        // Targeting a plugin type
        const Target = target; // Find the target plugin instance.

        this.uppy.iteratePlugins(p => {
          if (p instanceof Target) {
            targetPlugin = p;
            return false;
          }
        });
      }

      if (targetPlugin) {
        this.uppy.log(`Installing ${callerPluginName} to ${targetPlugin.id}`);
        this.parent = targetPlugin;
        this.el = targetPlugin.addTarget(plugin);
        this.onMount();
        return this.el;
      }

      this.uppy.log(`Not installing ${callerPluginName}`);
      let message = `Invalid target option given to ${callerPluginName}.`;

      if (typeof target === 'function') {
        message += ' The given target is not a Plugin class. ' + 'Please check that you\'re not specifying a React Component instead of a plugin. ' + 'If you are using @uppy/* packages directly, make sure you have only 1 version of @uppy/core installed: ' + 'run `npm ls @uppy/core` on the command line and verify that all the versions match and are deduped correctly.';
      } else {
        message += 'If you meant to target an HTML element, please make sure that the element exists. ' + 'Check that the <script> tag initializing Uppy is right before the closing </body> tag at the end of the page. ' + '(see https://github.com/transloadit/uppy/issues/1042)\n\n' + 'If you meant to target a plugin, please confirm that your `import` statements or `require` calls are correct.';
      }

      throw new Error(message);
    }

    update(state) {
      if (this.el != null) {
        var _classPrivateFieldLoo, _classPrivateFieldLoo2;

        (_classPrivateFieldLoo = (_classPrivateFieldLoo2 = _classPrivateFieldLooseBase$5(this, _updateUI))[_updateUI]) == null ? void 0 : _classPrivateFieldLoo.call(_classPrivateFieldLoo2, state);
      }
    }

    unmount() {
      if (this.isTargetDOMEl) {
        var _this$el;

        (_this$el = this.el) == null ? void 0 : _this$el.remove();
      }

      this.onUnmount();
    } // eslint-disable-next-line class-methods-use-this


    onMount() {} // eslint-disable-next-line class-methods-use-this


    onUnmount() {}

  }

  var UIPlugin_1$1 = UIPlugin;

  const {
    debugLogger
  } = loggers;

  var lib$2 = Uppy_1$1;
  var Uppy_1 = Uppy_1$1;
  var UIPlugin_1 = UIPlugin_1$1;
  var BasePlugin_1 = BasePlugin_1$1;
  var debugLogger_1 = debugLogger;
  lib$2.Uppy = Uppy_1;
  lib$2.UIPlugin = UIPlugin_1;
  lib$2.BasePlugin = BasePlugin_1;
  lib$2.debugLogger = debugLogger_1;

  class NetworkError extends Error {
    constructor(error, xhr = null) {
      super(`This looks like a network error, the endpoint might be blocked by an internet provider or a firewall.`);
      this.cause = error;
      this.isNetworkError = true;
      this.request = xhr;
    }

  }

  var NetworkError_1 = NetworkError;

  /**
   * Wrapper around window.fetch that throws a NetworkError when appropriate
   */


  var fetchWithNetworkError = function fetchWithNetworkError(...options) {
    return fetch(...options).catch(err => {
      if (err.name === 'AbortError') {
        throw err;
      } else {
        throw new NetworkError_1(err);
      }
    });
  };

  class AuthError extends Error {
    constructor() {
      super('Authorization required');
      this.name = 'AuthError';
      this.isAuthError = true;
    }

  }

  var AuthError_1 = AuthError;

  var _class$1, _getPostResponseFunc, _getUrl, _errorHandler, _temp$1;

  function _classPrivateFieldLooseBase$4(receiver, privateKey) { if (!Object.prototype.hasOwnProperty.call(receiver, privateKey)) { throw new TypeError("attempted to use private field on non-instance"); } return receiver; }

  var id$5 = 0;

  function _classPrivateFieldLooseKey$4(name) { return "__private_" + id$5++ + "_" + name; }



   // Remove the trailing slash so we can always safely append /xyz.


  function stripSlash(url) {
    return url.replace(/\/$/, '');
  }

  async function handleJSONResponse(res) {
    if (res.status === 401) {
      throw new AuthError_1();
    }

    const jsonPromise = res.json();

    if (res.status < 200 || res.status > 300) {
      let errMsg = `Failed request with status: ${res.status}. ${res.statusText}`;

      try {
        const errData = await jsonPromise;
        errMsg = errData.message ? `${errMsg} message: ${errData.message}` : errMsg;
        errMsg = errData.requestId ? `${errMsg} request-Id: ${errData.requestId}` : errMsg;
      } finally {
        // eslint-disable-next-line no-unsafe-finally
        throw new Error(errMsg);
      }
    }

    return jsonPromise;
  }

  var RequestClient_1 = (_temp$1 = (_getPostResponseFunc = /*#__PURE__*/_classPrivateFieldLooseKey$4("getPostResponseFunc"), _getUrl = /*#__PURE__*/_classPrivateFieldLooseKey$4("getUrl"), _errorHandler = /*#__PURE__*/_classPrivateFieldLooseKey$4("errorHandler"), _class$1 = class RequestClient {
    // eslint-disable-next-line global-require
    constructor(uppy, opts) {
      Object.defineProperty(this, _errorHandler, {
        value: _errorHandler2
      });
      Object.defineProperty(this, _getUrl, {
        value: _getUrl2
      });
      Object.defineProperty(this, _getPostResponseFunc, {
        writable: true,
        value: skip => response => skip ? response : this.onReceiveResponse(response)
      });
      this.uppy = uppy;
      this.opts = opts;
      this.onReceiveResponse = this.onReceiveResponse.bind(this);
      this.allowedHeaders = ['accept', 'content-type', 'uppy-auth-token'];
      this.preflightDone = false;
    }

    get hostname() {
      const {
        companion
      } = this.uppy.getState();
      const host = this.opts.companionUrl;
      return stripSlash(companion && companion[host] ? companion[host] : host);
    }

    headers() {
      const userHeaders = this.opts.companionHeaders || {};
      return Promise.resolve({ ...RequestClient.defaultHeaders,
        ...userHeaders
      });
    }

    onReceiveResponse(response) {
      const state = this.uppy.getState();
      const companion = state.companion || {};
      const host = this.opts.companionUrl;
      const {
        headers
      } = response; // Store the self-identified domain name for the Companion instance we just hit.

      if (headers.has('i-am') && headers.get('i-am') !== companion[host]) {
        this.uppy.setState({
          companion: { ...companion,
            [host]: headers.get('i-am')
          }
        });
      }

      return response;
    }

    preflight(path) {
      if (this.preflightDone) {
        return Promise.resolve(this.allowedHeaders.slice());
      }

      return fetch(_classPrivateFieldLooseBase$4(this, _getUrl)[_getUrl](path), {
        method: 'OPTIONS'
      }).then(response => {
        if (response.headers.has('access-control-allow-headers')) {
          this.allowedHeaders = response.headers.get('access-control-allow-headers').split(',').map(headerName => headerName.trim().toLowerCase());
        }

        this.preflightDone = true;
        return this.allowedHeaders.slice();
      }).catch(err => {
        this.uppy.log(`[CompanionClient] unable to make preflight request ${err}`, 'warning');
        this.preflightDone = true;
        return this.allowedHeaders.slice();
      });
    }

    preflightAndHeaders(path) {
      return Promise.all([this.preflight(path), this.headers()]).then(([allowedHeaders, headers]) => {
        // filter to keep only allowed Headers
        Object.keys(headers).forEach(header => {
          if (!allowedHeaders.includes(header.toLowerCase())) {
            this.uppy.log(`[CompanionClient] excluding disallowed header ${header}`);
            delete headers[header]; // eslint-disable-line no-param-reassign
          }
        });
        return headers;
      });
    }

    get(path, skipPostResponse) {
      const method = 'get';
      return this.preflightAndHeaders(path).then(headers => fetchWithNetworkError(_classPrivateFieldLooseBase$4(this, _getUrl)[_getUrl](path), {
        method,
        headers,
        credentials: this.opts.companionCookiesRule || 'same-origin'
      })).then(_classPrivateFieldLooseBase$4(this, _getPostResponseFunc)[_getPostResponseFunc](skipPostResponse)).then(handleJSONResponse).catch(_classPrivateFieldLooseBase$4(this, _errorHandler)[_errorHandler](method, path));
    }

    post(path, data, skipPostResponse) {
      const method = 'post';
      return this.preflightAndHeaders(path).then(headers => fetchWithNetworkError(_classPrivateFieldLooseBase$4(this, _getUrl)[_getUrl](path), {
        method,
        headers,
        credentials: this.opts.companionCookiesRule || 'same-origin',
        body: JSON.stringify(data)
      })).then(_classPrivateFieldLooseBase$4(this, _getPostResponseFunc)[_getPostResponseFunc](skipPostResponse)).then(handleJSONResponse).catch(_classPrivateFieldLooseBase$4(this, _errorHandler)[_errorHandler](method, path));
    }

    delete(path, data, skipPostResponse) {
      const method = 'delete';
      return this.preflightAndHeaders(path).then(headers => fetchWithNetworkError(`${this.hostname}/${path}`, {
        method,
        headers,
        credentials: this.opts.companionCookiesRule || 'same-origin',
        body: data ? JSON.stringify(data) : null
      })).then(_classPrivateFieldLooseBase$4(this, _getPostResponseFunc)[_getPostResponseFunc](skipPostResponse)).then(handleJSONResponse).catch(_classPrivateFieldLooseBase$4(this, _errorHandler)[_errorHandler](method, path));
    }

  }), _class$1.VERSION = "2.0.3", _class$1.defaultHeaders = {
    Accept: 'application/json',
    'Content-Type': 'application/json',
    'Uppy-Versions': `@uppy/companion-client=${_class$1.VERSION}`
  }, _temp$1);

  function _getUrl2(url) {
    if (/^(https?:|)\/\//.test(url)) {
      return url;
    }

    return `${this.hostname}/${url}`;
  }

  function _errorHandler2(method, path) {
    return err => {
      var _err;

      if (!((_err = err) != null && _err.isAuthError)) {
        const error = new Error(`Could not ${method} ${_classPrivateFieldLooseBase$4(this, _getUrl)[_getUrl](path)}`);
        error.cause = err;
        err = error; // eslint-disable-line no-param-reassign
      }

      return Promise.reject(err);
    };
  }

  /**
   * This module serves as an Async wrapper for LocalStorage
   */

  var setItem = (key, value) => {
    return new Promise(resolve => {
      localStorage.setItem(key, value);
      resolve();
    });
  };

  var getItem = key => {
    return Promise.resolve(localStorage.getItem(key));
  };

  var removeItem = key => {
    return new Promise(resolve => {
      localStorage.removeItem(key);
      resolve();
    });
  };

  var tokenStorage = {
  	setItem: setItem,
  	getItem: getItem,
  	removeItem: removeItem
  };

  const getName$1 = id => {
    return id.split('-').map(s => s.charAt(0).toUpperCase() + s.slice(1)).join(' ');
  };

  var Provider_1 = class Provider extends RequestClient_1 {
    constructor(uppy, opts) {
      super(uppy, opts);
      this.provider = opts.provider;
      this.id = this.provider;
      this.name = this.opts.name || getName$1(this.id);
      this.pluginId = this.opts.pluginId;
      this.tokenKey = `companion-${this.pluginId}-auth-token`;
      this.companionKeysParams = this.opts.companionKeysParams;
      this.preAuthToken = null;
    }

    headers() {
      return Promise.all([super.headers(), this.getAuthToken()]).then(([headers, token]) => {
        const authHeaders = {};

        if (token) {
          authHeaders['uppy-auth-token'] = token;
        }

        if (this.companionKeysParams) {
          authHeaders['uppy-credentials-params'] = btoa(JSON.stringify({
            params: this.companionKeysParams
          }));
        }

        return { ...headers,
          ...authHeaders
        };
      });
    }

    onReceiveResponse(response) {
      response = super.onReceiveResponse(response);
      const plugin = this.uppy.getPlugin(this.pluginId);
      const oldAuthenticated = plugin.getPluginState().authenticated;
      const authenticated = oldAuthenticated ? response.status !== 401 : response.status < 400;
      plugin.setPluginState({
        authenticated
      });
      return response;
    }

    setAuthToken(token) {
      return this.uppy.getPlugin(this.pluginId).storage.setItem(this.tokenKey, token);
    }

    getAuthToken() {
      return this.uppy.getPlugin(this.pluginId).storage.getItem(this.tokenKey);
    }

    authUrl(queries = {}) {
      if (this.preAuthToken) {
        queries.uppyPreAuthToken = this.preAuthToken;
      }

      return `${this.hostname}/${this.id}/connect?${new URLSearchParams(queries)}`;
    }

    fileUrl(id) {
      return `${this.hostname}/${this.id}/get/${id}`;
    }

    fetchPreAuthToken() {
      if (!this.companionKeysParams) {
        return Promise.resolve();
      }

      return this.post(`${this.id}/preauth/`, {
        params: this.companionKeysParams
      }).then(res => {
        this.preAuthToken = res.token;
      }).catch(err => {
        this.uppy.log(`[CompanionClient] unable to fetch preAuthToken ${err}`, 'warning');
      });
    }

    list(directory) {
      return this.get(`${this.id}/list/${directory || ''}`);
    }

    logout() {
      return this.get(`${this.id}/logout`).then(response => Promise.all([response, this.uppy.getPlugin(this.pluginId).storage.removeItem(this.tokenKey)])).then(([response]) => response);
    }

    static initPlugin(plugin, opts, defaultOpts) {
      plugin.type = 'acquirer';
      plugin.files = [];

      if (defaultOpts) {
        plugin.opts = { ...defaultOpts,
          ...opts
        };
      }

      if (opts.serverUrl || opts.serverPattern) {
        throw new Error('`serverUrl` and `serverPattern` have been renamed to `companionUrl` and `companionAllowedHosts` respectively in the 0.30.5 release. Please consult the docs (for example, https://uppy.io/docs/instagram/ for the Instagram plugin) and use the updated options.`');
      }

      if (opts.companionAllowedHosts) {
        const pattern = opts.companionAllowedHosts; // validate companionAllowedHosts param

        if (typeof pattern !== 'string' && !Array.isArray(pattern) && !(pattern instanceof RegExp)) {
          throw new TypeError(`${plugin.id}: the option "companionAllowedHosts" must be one of string, Array, RegExp`);
        }

        plugin.opts.companionAllowedHosts = pattern;
      } else if (/^(?!https?:\/\/).*$/i.test(opts.companionUrl)) {
        // does not start with https://
        plugin.opts.companionAllowedHosts = `https://${opts.companionUrl.replace(/^\/\//, '')}`;
      } else {
        plugin.opts.companionAllowedHosts = new URL(opts.companionUrl).origin;
      }

      plugin.storage = plugin.opts.storage || tokenStorage;
    }

  };

  const getName = id => {
    return id.split('-').map(s => s.charAt(0).toUpperCase() + s.slice(1)).join(' ');
  };

  var SearchProvider_1 = class SearchProvider extends RequestClient_1 {
    constructor(uppy, opts) {
      super(uppy, opts);
      this.provider = opts.provider;
      this.id = this.provider;
      this.name = this.opts.name || getName(this.id);
      this.pluginId = this.opts.pluginId;
    }

    fileUrl(id) {
      return `${this.hostname}/search/${this.id}/get/${id}`;
    }

    search(text, queries) {
      queries = queries ? `&${queries}` : '';
      return this.get(`search/${this.id}/list?q=${encodeURIComponent(text)}${queries}`);
    }

  };

  var _queued, _emitter$1, _isOpen, _socket, _handleMessage;

  let _Symbol$for, _Symbol$for2;

  function _classPrivateFieldLooseBase$3(receiver, privateKey) { if (!Object.prototype.hasOwnProperty.call(receiver, privateKey)) { throw new TypeError("attempted to use private field on non-instance"); } return receiver; }

  var id$4 = 0;

  function _classPrivateFieldLooseKey$3(name) { return "__private_" + id$4++ + "_" + name; }



  var Socket$1 = (_queued = /*#__PURE__*/_classPrivateFieldLooseKey$3("queued"), _emitter$1 = /*#__PURE__*/_classPrivateFieldLooseKey$3("emitter"), _isOpen = /*#__PURE__*/_classPrivateFieldLooseKey$3("isOpen"), _socket = /*#__PURE__*/_classPrivateFieldLooseKey$3("socket"), _handleMessage = /*#__PURE__*/_classPrivateFieldLooseKey$3("handleMessage"), _Symbol$for = Symbol.for('uppy test: getSocket'), _Symbol$for2 = Symbol.for('uppy test: getQueued'), class UppySocket {
    constructor(opts) {
      Object.defineProperty(this, _queued, {
        writable: true,
        value: []
      });
      Object.defineProperty(this, _emitter$1, {
        writable: true,
        value: namespaceEmitter()
      });
      Object.defineProperty(this, _isOpen, {
        writable: true,
        value: false
      });
      Object.defineProperty(this, _socket, {
        writable: true,
        value: void 0
      });
      Object.defineProperty(this, _handleMessage, {
        writable: true,
        value: e => {
          try {
            const message = JSON.parse(e.data);
            this.emit(message.action, message.payload);
          } catch (err) {
            // TODO: use a more robust error handler.
            console.log(err); // eslint-disable-line no-console
          }
        }
      });
      this.opts = opts;

      if (!opts || opts.autoOpen !== false) {
        this.open();
      }
    }

    get isOpen() {
      return _classPrivateFieldLooseBase$3(this, _isOpen)[_isOpen];
    }

    [_Symbol$for]() {
      return _classPrivateFieldLooseBase$3(this, _socket)[_socket];
    }

    [_Symbol$for2]() {
      return _classPrivateFieldLooseBase$3(this, _queued)[_queued];
    }

    open() {
      _classPrivateFieldLooseBase$3(this, _socket)[_socket] = new WebSocket(this.opts.target);

      _classPrivateFieldLooseBase$3(this, _socket)[_socket].onopen = () => {
        _classPrivateFieldLooseBase$3(this, _isOpen)[_isOpen] = true;

        while (_classPrivateFieldLooseBase$3(this, _queued)[_queued].length > 0 && _classPrivateFieldLooseBase$3(this, _isOpen)[_isOpen]) {
          const first = _classPrivateFieldLooseBase$3(this, _queued)[_queued].shift();

          this.send(first.action, first.payload);
        }
      };

      _classPrivateFieldLooseBase$3(this, _socket)[_socket].onclose = () => {
        _classPrivateFieldLooseBase$3(this, _isOpen)[_isOpen] = false;
      };

      _classPrivateFieldLooseBase$3(this, _socket)[_socket].onmessage = _classPrivateFieldLooseBase$3(this, _handleMessage)[_handleMessage];
    }

    close() {
      var _classPrivateFieldLoo;

      (_classPrivateFieldLoo = _classPrivateFieldLooseBase$3(this, _socket)[_socket]) == null ? void 0 : _classPrivateFieldLoo.close();
    }

    send(action, payload) {
      // attach uuid
      if (!_classPrivateFieldLooseBase$3(this, _isOpen)[_isOpen]) {
        _classPrivateFieldLooseBase$3(this, _queued)[_queued].push({
          action,
          payload
        });

        return;
      }

      _classPrivateFieldLooseBase$3(this, _socket)[_socket].send(JSON.stringify({
        action,
        payload
      }));
    }

    on(action, handler) {
      _classPrivateFieldLooseBase$3(this, _emitter$1)[_emitter$1].on(action, handler);
    }

    emit(action, payload) {
      _classPrivateFieldLooseBase$3(this, _emitter$1)[_emitter$1].emit(action, payload);
    }

    once(action, handler) {
      _classPrivateFieldLooseBase$3(this, _emitter$1)[_emitter$1].once(action, handler);
    }

  });

  /**
   * Manages communications with Companion
   */









  var lib$1 = {
    RequestClient: RequestClient_1,
    Provider: Provider_1,
    SearchProvider: SearchProvider_1,
    Socket: Socket$1
  };

  function emitSocketProgress(uploader, progressData, file) {
    const {
      progress,
      bytesUploaded,
      bytesTotal
    } = progressData;

    if (progress) {
      uploader.uppy.log(`Upload progress: ${progress}`);
      uploader.uppy.emit('upload-progress', file, {
        uploader,
        bytesUploaded,
        bytesTotal
      });
    }
  }

  var emitSocketProgress_1 = lodash_throttle(emitSocketProgress, 300, {
    leading: true,
    trailing: true
  });

  var getSocketHost = function getSocketHost(url) {
    // get the host domain
    const regex = /^(?:https?:\/\/|\/\/)?(?:[^@\n]+@)?(?:www\.)?([^\n]+)/i;
    const host = regex.exec(url)[1];
    const socketProtocol = /^http:\/\//i.test(url) ? 'ws' : 'wss';
    return `${socketProtocol}://${host}`;
  };

  var settle = function settle(promises) {
    const resolutions = [];
    const rejections = [];

    function resolved(value) {
      resolutions.push(value);
    }

    function rejected(error) {
      rejections.push(error);
    }

    const wait = Promise.all(promises.map(promise => promise.then(resolved, rejected)));
    return wait.then(() => {
      return {
        successful: resolutions,
        failed: rejections
      };
    });
  };

  var _emitter, _events;

  function _classPrivateFieldLooseBase$2(receiver, privateKey) { if (!Object.prototype.hasOwnProperty.call(receiver, privateKey)) { throw new TypeError("attempted to use private field on non-instance"); } return receiver; }

  var id$3 = 0;

  function _classPrivateFieldLooseKey$2(name) { return "__private_" + id$3++ + "_" + name; }

  /**
   * Create a wrapper around an event emitter with a `remove` method to remove
   * all events that were added using the wrapped emitter.
   */
  var EventTracker_1 = (_emitter = /*#__PURE__*/_classPrivateFieldLooseKey$2("emitter"), _events = /*#__PURE__*/_classPrivateFieldLooseKey$2("events"), class EventTracker {
    constructor(emitter) {
      Object.defineProperty(this, _emitter, {
        writable: true,
        value: void 0
      });
      Object.defineProperty(this, _events, {
        writable: true,
        value: []
      });
      _classPrivateFieldLooseBase$2(this, _emitter)[_emitter] = emitter;
    }

    on(event, fn) {
      _classPrivateFieldLooseBase$2(this, _events)[_events].push([event, fn]);

      return _classPrivateFieldLooseBase$2(this, _emitter)[_emitter].on(event, fn);
    }

    remove() {
      for (const [event, fn] of _classPrivateFieldLooseBase$2(this, _events)[_events].splice(0)) {
        _classPrivateFieldLooseBase$2(this, _emitter)[_emitter].off(event, fn);
      }
    }

  });

  function _classPrivateFieldLooseBase$1(receiver, privateKey) { if (!Object.prototype.hasOwnProperty.call(receiver, privateKey)) { throw new TypeError("attempted to use private field on non-instance"); } return receiver; }

  var id$2 = 0;

  function _classPrivateFieldLooseKey$1(name) { return "__private_" + id$2++ + "_" + name; }

  var _aliveTimer = /*#__PURE__*/_classPrivateFieldLooseKey$1("aliveTimer");

  var _isDone = /*#__PURE__*/_classPrivateFieldLooseKey$1("isDone");

  var _onTimedOut = /*#__PURE__*/_classPrivateFieldLooseKey$1("onTimedOut");

  var _timeout = /*#__PURE__*/_classPrivateFieldLooseKey$1("timeout");

  /**
   * Helper to abort upload requests if there has not been any progress for `timeout` ms.
   * Create an instance using `timer = new ProgressTimeout(10000, onTimeout)`
   * Call `timer.progress()` to signal that there has been progress of any kind.
   * Call `timer.done()` when the upload has completed.
   */
  class ProgressTimeout {
    constructor(timeout, timeoutHandler) {
      Object.defineProperty(this, _aliveTimer, {
        writable: true,
        value: void 0
      });
      Object.defineProperty(this, _isDone, {
        writable: true,
        value: false
      });
      Object.defineProperty(this, _onTimedOut, {
        writable: true,
        value: void 0
      });
      Object.defineProperty(this, _timeout, {
        writable: true,
        value: void 0
      });
      _classPrivateFieldLooseBase$1(this, _timeout)[_timeout] = timeout;
      _classPrivateFieldLooseBase$1(this, _onTimedOut)[_onTimedOut] = timeoutHandler;
    }

    progress() {
      // Some browsers fire another progress event when the upload is
      // cancelled, so we have to ignore progress after the timer was
      // told to stop.
      if (_classPrivateFieldLooseBase$1(this, _isDone)[_isDone]) return;

      if (_classPrivateFieldLooseBase$1(this, _timeout)[_timeout] > 0) {
        clearTimeout(_classPrivateFieldLooseBase$1(this, _aliveTimer)[_aliveTimer]);
        _classPrivateFieldLooseBase$1(this, _aliveTimer)[_aliveTimer] = setTimeout(_classPrivateFieldLooseBase$1(this, _onTimedOut)[_onTimedOut], _classPrivateFieldLooseBase$1(this, _timeout)[_timeout]);
      }
    }

    done() {
      if (!_classPrivateFieldLooseBase$1(this, _isDone)[_isDone]) {
        clearTimeout(_classPrivateFieldLooseBase$1(this, _aliveTimer)[_aliveTimer]);
        _classPrivateFieldLooseBase$1(this, _aliveTimer)[_aliveTimer] = null;
        _classPrivateFieldLooseBase$1(this, _isDone)[_isDone] = true;
      }
    }

  }

  var ProgressTimeout_1 = ProgressTimeout;

  function _classPrivateFieldLooseBase(receiver, privateKey) { if (!Object.prototype.hasOwnProperty.call(receiver, privateKey)) { throw new TypeError("attempted to use private field on non-instance"); } return receiver; }

  var id$1 = 0;

  function _classPrivateFieldLooseKey(name) { return "__private_" + id$1++ + "_" + name; }

  function createCancelError() {
    return new Error('Cancelled');
  }

  var _activeRequests = /*#__PURE__*/_classPrivateFieldLooseKey("activeRequests");

  var _queuedHandlers = /*#__PURE__*/_classPrivateFieldLooseKey("queuedHandlers");

  var _call = /*#__PURE__*/_classPrivateFieldLooseKey("call");

  var _queueNext = /*#__PURE__*/_classPrivateFieldLooseKey("queueNext");

  var _next = /*#__PURE__*/_classPrivateFieldLooseKey("next");

  var _queue = /*#__PURE__*/_classPrivateFieldLooseKey("queue");

  var _dequeue = /*#__PURE__*/_classPrivateFieldLooseKey("dequeue");

  class RateLimitedQueue$1 {
    constructor(limit) {
      Object.defineProperty(this, _dequeue, {
        value: _dequeue2
      });
      Object.defineProperty(this, _queue, {
        value: _queue2
      });
      Object.defineProperty(this, _next, {
        value: _next2
      });
      Object.defineProperty(this, _queueNext, {
        value: _queueNext2
      });
      Object.defineProperty(this, _call, {
        value: _call2
      });
      Object.defineProperty(this, _activeRequests, {
        writable: true,
        value: 0
      });
      Object.defineProperty(this, _queuedHandlers, {
        writable: true,
        value: []
      });

      if (typeof limit !== 'number' || limit === 0) {
        this.limit = Infinity;
      } else {
        this.limit = limit;
      }
    }

    run(fn, queueOptions) {
      if (_classPrivateFieldLooseBase(this, _activeRequests)[_activeRequests] < this.limit) {
        return _classPrivateFieldLooseBase(this, _call)[_call](fn);
      }

      return _classPrivateFieldLooseBase(this, _queue)[_queue](fn, queueOptions);
    }

    wrapPromiseFunction(fn, queueOptions) {
      return (...args) => {
        let queuedRequest;
        const outerPromise = new Promise((resolve, reject) => {
          queuedRequest = this.run(() => {
            let cancelError;
            let innerPromise;

            try {
              innerPromise = Promise.resolve(fn(...args));
            } catch (err) {
              innerPromise = Promise.reject(err);
            }

            innerPromise.then(result => {
              if (cancelError) {
                reject(cancelError);
              } else {
                queuedRequest.done();
                resolve(result);
              }
            }, err => {
              if (cancelError) {
                reject(cancelError);
              } else {
                queuedRequest.done();
                reject(err);
              }
            });
            return () => {
              cancelError = createCancelError();
            };
          }, queueOptions);
        });

        outerPromise.abort = () => {
          queuedRequest.abort();
        };

        return outerPromise;
      };
    }

  }

  function _call2(fn) {
    _classPrivateFieldLooseBase(this, _activeRequests)[_activeRequests] += 1;
    let done = false;
    let cancelActive;

    try {
      cancelActive = fn();
    } catch (err) {
      _classPrivateFieldLooseBase(this, _activeRequests)[_activeRequests] -= 1;
      throw err;
    }

    return {
      abort: () => {
        if (done) return;
        done = true;
        _classPrivateFieldLooseBase(this, _activeRequests)[_activeRequests] -= 1;
        cancelActive();

        _classPrivateFieldLooseBase(this, _queueNext)[_queueNext]();
      },
      done: () => {
        if (done) return;
        done = true;
        _classPrivateFieldLooseBase(this, _activeRequests)[_activeRequests] -= 1;

        _classPrivateFieldLooseBase(this, _queueNext)[_queueNext]();
      }
    };
  }

  function _queueNext2() {
    // Do it soon but not immediately, this allows clearing out the entire queue synchronously
    // one by one without continuously _advancing_ it (and starting new tasks before immediately
    // aborting them)
    queueMicrotask(() => _classPrivateFieldLooseBase(this, _next)[_next]());
  }

  function _next2() {
    if (_classPrivateFieldLooseBase(this, _activeRequests)[_activeRequests] >= this.limit) {
      return;
    }

    if (_classPrivateFieldLooseBase(this, _queuedHandlers)[_queuedHandlers].length === 0) {
      return;
    } // Dispatch the next request, and update the abort/done handlers
    // so that cancelling it does the Right Thing (and doesn't just try
    // to dequeue an already-running request).


    const next = _classPrivateFieldLooseBase(this, _queuedHandlers)[_queuedHandlers].shift();

    const handler = _classPrivateFieldLooseBase(this, _call)[_call](next.fn);

    next.abort = handler.abort;
    next.done = handler.done;
  }

  function _queue2(fn, options = {}) {
    const handler = {
      fn,
      priority: options.priority || 0,
      abort: () => {
        _classPrivateFieldLooseBase(this, _dequeue)[_dequeue](handler);
      },
      done: () => {
        throw new Error('Cannot mark a queued request as done: this indicates a bug');
      }
    };

    const index = _classPrivateFieldLooseBase(this, _queuedHandlers)[_queuedHandlers].findIndex(other => {
      return handler.priority > other.priority;
    });

    if (index === -1) {
      _classPrivateFieldLooseBase(this, _queuedHandlers)[_queuedHandlers].push(handler);
    } else {
      _classPrivateFieldLooseBase(this, _queuedHandlers)[_queuedHandlers].splice(index, 0, handler);
    }

    return handler;
  }

  function _dequeue2(handler) {
    const index = _classPrivateFieldLooseBase(this, _queuedHandlers)[_queuedHandlers].indexOf(handler);

    if (index !== -1) {
      _classPrivateFieldLooseBase(this, _queuedHandlers)[_queuedHandlers].splice(index, 1);
    }
  }

  var RateLimitedQueue_1 = {
    RateLimitedQueue: RateLimitedQueue$1,
    internalRateLimitedQueue: Symbol('__queue')
  };

  function isNetworkError(xhr) {
    if (!xhr) {
      return false;
    }

    return xhr.readyState !== 0 && xhr.readyState !== 4 || xhr.status === 0;
  }

  var isNetworkError_1 = isNetworkError;

  var _class, _temp;



  const {
    nanoid
  } = require$$0;

  const {
    Provider,
    RequestClient,
    Socket
  } = lib$1;











  const {
    RateLimitedQueue,
    internalRateLimitedQueue
  } = RateLimitedQueue_1;





  function buildResponseError(xhr, err) {
    let error = err; // No error message

    if (!error) error = new Error('Upload error'); // Got an error message string

    if (typeof error === 'string') error = new Error(error); // Got something else

    if (!(error instanceof Error)) {
      error = Object.assign(new Error('Upload error'), {
        data: error
      });
    }

    if (isNetworkError_1(xhr)) {
      error = new NetworkError_1(error, xhr);
      return error;
    }

    error.request = xhr;
    return error;
  }
  /**
   * Set `data.type` in the blob to `file.meta.type`,
   * because we might have detected a more accurate file type in Uppy
   * https://stackoverflow.com/a/50875615
   *
   * @param {object} file File object with `data`, `size` and `meta` properties
   * @returns {object} blob updated with the new `type` set from `file.meta.type`
   */


  function setTypeInBlob(file) {
    const dataWithUpdatedType = file.data.slice(0, file.data.size, file.meta.type);
    return dataWithUpdatedType;
  }

  var lib = (_temp = _class = class XHRUpload extends BasePlugin_1$1 {
    // eslint-disable-next-line global-require
    constructor(uppy, opts) {
      super(uppy, opts);
      this.type = 'uploader';
      this.id = this.opts.id || 'XHRUpload';
      this.title = 'XHRUpload';
      this.defaultLocale = {
        strings: {
          timedOut: 'Upload stalled for %{seconds} seconds, aborting.'
        }
      }; // Default options

      const defaultOptions = {
        formData: true,
        fieldName: opts.bundle ? 'files[]' : 'file',
        method: 'post',
        metaFields: null,
        responseUrlFieldName: 'url',
        bundle: false,
        headers: {},
        timeout: 30 * 1000,
        limit: 5,
        withCredentials: false,
        responseType: '',

        /**
         * @typedef respObj
         * @property {string} responseText
         * @property {number} status
         * @property {string} statusText
         * @property {object.<string, string>} headers
         *
         * @param {string} responseText the response body string
         * @param {XMLHttpRequest | respObj} response the response object (XHR or similar)
         */
        getResponseData(responseText) {
          let parsedResponse = {};

          try {
            parsedResponse = JSON.parse(responseText);
          } catch (err) {
            uppy.log(err);
          }

          return parsedResponse;
        },

        /**
         *
         * @param {string} responseText the response body string
         * @param {XMLHttpRequest | respObj} response the response object (XHR or similar)
         */
        getResponseError(_, response) {
          let error = new Error('Upload error');

          if (isNetworkError_1(response)) {
            error = new NetworkError_1(error, response);
          }

          return error;
        },

        /**
         * Check if the response from the upload endpoint indicates that the upload was successful.
         *
         * @param {number} status the response status code
         */
        validateStatus(status) {
          return status >= 200 && status < 300;
        }

      };
      this.opts = { ...defaultOptions,
        ...opts
      };
      this.i18nInit();
      this.handleUpload = this.handleUpload.bind(this); // Simultaneous upload limiting is shared across all uploads with this plugin.

      if (internalRateLimitedQueue in this.opts) {
        this.requests = this.opts[internalRateLimitedQueue];
      } else {
        this.requests = new RateLimitedQueue(this.opts.limit);
      }

      if (this.opts.bundle && !this.opts.formData) {
        throw new Error('`opts.formData` must be true when `opts.bundle` is enabled.');
      }

      this.uploaderEvents = Object.create(null);
    }

    getOptions(file) {
      const overrides = this.uppy.getState().xhrUpload;
      const {
        headers
      } = this.opts;
      const opts = { ...this.opts,
        ...(overrides || {}),
        ...(file.xhrUpload || {}),
        headers: {}
      }; // Support for `headers` as a function, only in the XHRUpload settings.
      // Options set by other plugins in Uppy state or on the files themselves are still merged in afterward.
      //
      // ```js
      // headers: (file) => ({ expires: file.meta.expires })
      // ```

      if (typeof headers === 'function') {
        opts.headers = headers(file);
      } else {
        Object.assign(opts.headers, this.opts.headers);
      }

      if (overrides) {
        Object.assign(opts.headers, overrides.headers);
      }

      if (file.xhrUpload) {
        Object.assign(opts.headers, file.xhrUpload.headers);
      }

      return opts;
    } // eslint-disable-next-line class-methods-use-this


    addMetadata(formData, meta, opts) {
      const metaFields = Array.isArray(opts.metaFields) ? opts.metaFields : Object.keys(meta); // Send along all fields by default.

      metaFields.forEach(item => {
        formData.append(item, meta[item]);
      });
    }

    createFormDataUpload(file, opts) {
      const formPost = new FormData();
      this.addMetadata(formPost, file.meta, opts);
      const dataWithUpdatedType = setTypeInBlob(file);

      if (file.name) {
        formPost.append(opts.fieldName, dataWithUpdatedType, file.meta.name);
      } else {
        formPost.append(opts.fieldName, dataWithUpdatedType);
      }

      return formPost;
    }

    createBundledUpload(files, opts) {
      const formPost = new FormData();
      const {
        meta
      } = this.uppy.getState();
      this.addMetadata(formPost, meta, opts);
      files.forEach(file => {
        const options = this.getOptions(file);
        const dataWithUpdatedType = setTypeInBlob(file);

        if (file.name) {
          formPost.append(options.fieldName, dataWithUpdatedType, file.name);
        } else {
          formPost.append(options.fieldName, dataWithUpdatedType);
        }
      });
      return formPost;
    }

    upload(file, current, total) {
      const opts = this.getOptions(file);
      this.uppy.log(`uploading ${current} of ${total}`);
      return new Promise((resolve, reject) => {
        this.uppy.emit('upload-started', file);
        const data = opts.formData ? this.createFormDataUpload(file, opts) : file.data;
        const xhr = new XMLHttpRequest();
        this.uploaderEvents[file.id] = new EventTracker_1(this.uppy);
        const timer = new ProgressTimeout_1(opts.timeout, () => {
          xhr.abort();
          queuedRequest.done();
          const error = new Error(this.i18n('timedOut', {
            seconds: Math.ceil(opts.timeout / 1000)
          }));
          this.uppy.emit('upload-error', file, error);
          reject(error);
        });
        const id = nanoid();
        xhr.upload.addEventListener('loadstart', () => {
          this.uppy.log(`[XHRUpload] ${id} started`);
        });
        xhr.upload.addEventListener('progress', ev => {
          this.uppy.log(`[XHRUpload] ${id} progress: ${ev.loaded} / ${ev.total}`); // Begin checking for timeouts when progress starts, instead of loading,
          // to avoid timing out requests on browser concurrency queue

          timer.progress();

          if (ev.lengthComputable) {
            this.uppy.emit('upload-progress', file, {
              uploader: this,
              bytesUploaded: ev.loaded,
              bytesTotal: ev.total
            });
          }
        });
        xhr.addEventListener('load', ev => {
          this.uppy.log(`[XHRUpload] ${id} finished`);
          timer.done();
          queuedRequest.done();

          if (this.uploaderEvents[file.id]) {
            this.uploaderEvents[file.id].remove();
            this.uploaderEvents[file.id] = null;
          }

          if (opts.validateStatus(ev.target.status, xhr.responseText, xhr)) {
            const body = opts.getResponseData(xhr.responseText, xhr);
            const uploadURL = body[opts.responseUrlFieldName];
            const uploadResp = {
              status: ev.target.status,
              body,
              uploadURL
            };
            this.uppy.emit('upload-success', file, uploadResp);

            if (uploadURL) {
              this.uppy.log(`Download ${file.name} from ${uploadURL}`);
            }

            return resolve(file);
          }

          const body = opts.getResponseData(xhr.responseText, xhr);
          const error = buildResponseError(xhr, opts.getResponseError(xhr.responseText, xhr));
          const response = {
            status: ev.target.status,
            body
          };
          this.uppy.emit('upload-error', file, error, response);
          return reject(error);
        });
        xhr.addEventListener('error', () => {
          this.uppy.log(`[XHRUpload] ${id} errored`);
          timer.done();
          queuedRequest.done();

          if (this.uploaderEvents[file.id]) {
            this.uploaderEvents[file.id].remove();
            this.uploaderEvents[file.id] = null;
          }

          const error = buildResponseError(xhr, opts.getResponseError(xhr.responseText, xhr));
          this.uppy.emit('upload-error', file, error);
          return reject(error);
        });
        xhr.open(opts.method.toUpperCase(), opts.endpoint, true); // IE10 does not allow setting `withCredentials` and `responseType`
        // before `open()` is called.

        xhr.withCredentials = opts.withCredentials;

        if (opts.responseType !== '') {
          xhr.responseType = opts.responseType;
        }

        const queuedRequest = this.requests.run(() => {
          this.uppy.emit('upload-started', file); // When using an authentication system like JWT, the bearer token goes as a header. This
          // header needs to be fresh each time the token is refreshed so computing and setting the
          // headers just before the upload starts enables this kind of authentication to work properly.
          // Otherwise, half-way through the list of uploads the token could be stale and the upload would fail.

          const currentOpts = this.getOptions(file);
          Object.keys(currentOpts.headers).forEach(header => {
            xhr.setRequestHeader(header, currentOpts.headers[header]);
          });
          xhr.send(data);
          return () => {
            timer.done();
            xhr.abort();
          };
        });
        this.onFileRemove(file.id, () => {
          queuedRequest.abort();
          reject(new Error('File removed'));
        });
        this.onCancelAll(file.id, () => {
          queuedRequest.abort();
          reject(new Error('Upload cancelled'));
        });
      });
    }

    uploadRemote(file) {
      const opts = this.getOptions(file);
      return new Promise((resolve, reject) => {
        const fields = {};
        const metaFields = Array.isArray(opts.metaFields) ? opts.metaFields // Send along all fields by default.
        : Object.keys(file.meta);
        metaFields.forEach(name => {
          fields[name] = file.meta[name];
        });
        const Client = file.remote.providerOptions.provider ? Provider : RequestClient;
        const client = new Client(this.uppy, file.remote.providerOptions);
        client.post(file.remote.url, { ...file.remote.body,
          endpoint: opts.endpoint,
          size: file.data.size,
          fieldname: opts.fieldName,
          metadata: fields,
          httpMethod: opts.method,
          useFormData: opts.formData,
          headers: opts.headers
        }).then(res => {
          const {
            token
          } = res;
          const host = getSocketHost(file.remote.companionUrl);
          const socket = new Socket({
            target: `${host}/api/${token}`,
            autoOpen: false
          });
          this.uploaderEvents[file.id] = new EventTracker_1(this.uppy);
          this.onFileRemove(file.id, () => {
            socket.send('pause', {});
            queuedRequest.abort();
            resolve(`upload ${file.id} was removed`);
          });
          this.onCancelAll(file.id, () => {
            socket.send('pause', {});
            queuedRequest.abort();
            resolve(`upload ${file.id} was canceled`);
          });
          this.onRetry(file.id, () => {
            socket.send('pause', {});
            socket.send('resume', {});
          });
          this.onRetryAll(file.id, () => {
            socket.send('pause', {});
            socket.send('resume', {});
          });
          socket.on('progress', progressData => emitSocketProgress_1(this, progressData, file));
          socket.on('success', data => {
            const body = opts.getResponseData(data.response.responseText, data.response);
            const uploadURL = body[opts.responseUrlFieldName];
            const uploadResp = {
              status: data.response.status,
              body,
              uploadURL
            };
            this.uppy.emit('upload-success', file, uploadResp);
            queuedRequest.done();

            if (this.uploaderEvents[file.id]) {
              this.uploaderEvents[file.id].remove();
              this.uploaderEvents[file.id] = null;
            }

            return resolve();
          });
          socket.on('error', errData => {
            const resp = errData.response;
            const error = resp ? opts.getResponseError(resp.responseText, resp) : Object.assign(new Error(errData.error.message), {
              cause: errData.error
            });
            this.uppy.emit('upload-error', file, error);
            queuedRequest.done();

            if (this.uploaderEvents[file.id]) {
              this.uploaderEvents[file.id].remove();
              this.uploaderEvents[file.id] = null;
            }

            reject(error);
          });
          const queuedRequest = this.requests.run(() => {
            socket.open();

            if (file.isPaused) {
              socket.send('pause', {});
            }

            return () => socket.close();
          });
        }).catch(err => {
          this.uppy.emit('upload-error', file, err);
          reject(err);
        });
      });
    }

    uploadBundle(files) {
      return new Promise((resolve, reject) => {
        const {
          endpoint
        } = this.opts;
        const {
          method
        } = this.opts;
        const optsFromState = this.uppy.getState().xhrUpload;
        const formData = this.createBundledUpload(files, { ...this.opts,
          ...(optsFromState || {})
        });
        const xhr = new XMLHttpRequest();
        const timer = new ProgressTimeout_1(this.opts.timeout, () => {
          xhr.abort();
          const error = new Error(this.i18n('timedOut', {
            seconds: Math.ceil(this.opts.timeout / 1000)
          }));
          emitError(error);
          reject(error);
        });

        const emitError = error => {
          files.forEach(file => {
            this.uppy.emit('upload-error', file, error);
          });
        };

        xhr.upload.addEventListener('loadstart', () => {
          this.uppy.log('[XHRUpload] started uploading bundle');
          timer.progress();
        });
        xhr.upload.addEventListener('progress', ev => {
          timer.progress();
          if (!ev.lengthComputable) return;
          files.forEach(file => {
            this.uppy.emit('upload-progress', file, {
              uploader: this,
              bytesUploaded: ev.loaded / ev.total * file.size,
              bytesTotal: file.size
            });
          });
        });
        xhr.addEventListener('load', ev => {
          timer.done();

          if (this.opts.validateStatus(ev.target.status, xhr.responseText, xhr)) {
            const body = this.opts.getResponseData(xhr.responseText, xhr);
            const uploadResp = {
              status: ev.target.status,
              body
            };
            files.forEach(file => {
              this.uppy.emit('upload-success', file, uploadResp);
            });
            return resolve();
          }

          const error = this.opts.getResponseError(xhr.responseText, xhr) || new Error('Upload error');
          error.request = xhr;
          emitError(error);
          return reject(error);
        });
        xhr.addEventListener('error', () => {
          timer.done();
          const error = this.opts.getResponseError(xhr.responseText, xhr) || new Error('Upload error');
          emitError(error);
          return reject(error);
        });
        this.uppy.on('cancel-all', () => {
          timer.done();
          xhr.abort();
        });
        xhr.open(method.toUpperCase(), endpoint, true); // IE10 does not allow setting `withCredentials` and `responseType`
        // before `open()` is called.

        xhr.withCredentials = this.opts.withCredentials;

        if (this.opts.responseType !== '') {
          xhr.responseType = this.opts.responseType;
        }

        Object.keys(this.opts.headers).forEach(header => {
          xhr.setRequestHeader(header, this.opts.headers[header]);
        });
        xhr.send(formData);
        files.forEach(file => {
          this.uppy.emit('upload-started', file);
        });
      });
    }

    uploadFiles(files) {
      const promises = files.map((file, i) => {
        const current = parseInt(i, 10) + 1;
        const total = files.length;

        if (file.error) {
          return Promise.reject(new Error(file.error));
        }

        if (file.isRemote) {
          return this.uploadRemote(file, current, total);
        }

        return this.upload(file, current, total);
      });
      return settle(promises);
    }

    onFileRemove(fileID, cb) {
      this.uploaderEvents[fileID].on('file-removed', file => {
        if (fileID === file.id) cb(file.id);
      });
    }

    onRetry(fileID, cb) {
      this.uploaderEvents[fileID].on('upload-retry', targetFileID => {
        if (fileID === targetFileID) {
          cb();
        }
      });
    }

    onRetryAll(fileID, cb) {
      this.uploaderEvents[fileID].on('retry-all', () => {
        if (!this.uppy.getFile(fileID)) return;
        cb();
      });
    }

    onCancelAll(fileID, cb) {
      this.uploaderEvents[fileID].on('cancel-all', () => {
        if (!this.uppy.getFile(fileID)) return;
        cb();
      });
    }

    handleUpload(fileIDs) {
      if (fileIDs.length === 0) {
        this.uppy.log('[XHRUpload] No files to upload!');
        return Promise.resolve();
      } // No limit configured by the user, and no RateLimitedQueue passed in by a "parent" plugin
      // (basically just AwsS3) using the internal symbol


      if (this.opts.limit === 0 && !this.opts[internalRateLimitedQueue]) {
        this.uppy.log('[XHRUpload] When uploading multiple files at once, consider setting the `limit` option (to `10` for example), to limit the number of concurrent uploads, which helps prevent memory and network issues: https://uppy.io/docs/xhr-upload/#limit-0', 'warning');
      }

      this.uppy.log('[XHRUpload] Uploading...');
      const files = fileIDs.map(fileID => this.uppy.getFile(fileID));

      if (this.opts.bundle) {
        // if bundle: true, we don’t support remote uploads
        const isSomeFileRemote = files.some(file => file.isRemote);

        if (isSomeFileRemote) {
          throw new Error('Can’t upload remote files when the `bundle: true` option is set');
        }

        if (typeof this.opts.headers === 'function') {
          throw new TypeError('`headers` may not be a function when the `bundle: true` option is set');
        }

        return this.uploadBundle(files);
      }

      return this.uploadFiles(files).then(() => null);
    }

    install() {
      if (this.opts.bundle) {
        const {
          capabilities
        } = this.uppy.getState();
        this.uppy.setState({
          capabilities: { ...capabilities,
            individualCancellation: false
          }
        });
      }

      this.uppy.addUploader(this.handleUpload);
    }

    uninstall() {
      if (this.opts.bundle) {
        const {
          capabilities
        } = this.uppy.getState();
        this.uppy.setState({
          capabilities: { ...capabilities,
            individualCancellation: true
          }
        });
      }

      this.uppy.removeUploader(this.handleUpload);
    }

  }, _class.VERSION = "2.0.5", _temp);

  var te$6="undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:{};function ne$6(e){var t={exports:{}};return e(t,t.exports),t.exports}var re$6,oe$6,ie$6=function(e){return e&&e.Math==Math&&e},ae$6=ie$6("object"==typeof globalThis&&globalThis)||ie$6("object"==typeof window&&window)||ie$6("object"==typeof self&&self)||ie$6("object"==typeof te$6&&te$6)||function(){return this}()||Function("return this")(),se$6=Object.defineProperty,le$6=function(e,t){try{se$6(ae$6,e,{value:t,configurable:!0,writable:!0});}catch(n){ae$6[e]=t;}return t},ue$6=ae$6["__core-js_shared__"]||le$6("__core-js_shared__",{}),ce$6=ne$6((function(e){(e.exports=function(e,t){return ue$6[e]||(ue$6[e]=void 0!==t?t:{})})("versions",[]).push({version:"3.19.1",mode:"global",copyright:"© 2021 Denis Pushkarev (zloirock.ru)"});})),fe$6=Function.prototype,de$6=fe$6.bind,he$6=fe$6.call,pe$6=de$6&&de$6.bind(he$6),ge$6=de$6?function(e){return e&&pe$6(he$6,e)}:function(e){return e&&function(){return he$6.apply(e,arguments)}},ve$6=ae$6.TypeError,ye$6=function(e){if(null==e)throw ve$6("Can't call method on "+e);return e},me$6=ae$6.Object,we$6=function(e){return me$6(ye$6(e))},be$6=ge$6({}.hasOwnProperty),xe$6=Object.hasOwn||function(e,t){return be$6(we$6(e),t)},Se$6=0,ke$6=Math.random(),Oe$6=ge$6(1..toString),Ee$6=function(e){return "Symbol("+(void 0===e?"":e)+")_"+Oe$6(++Se$6+ke$6,36)},Ce$6=function(e){return "function"==typeof e},Pe$6=function(e){return Ce$6(e)?e:void 0},Me$6=function(e,t){return arguments.length<2?Pe$6(ae$6[e]):ae$6[e]&&ae$6[e][t]},Ne$6=Me$6("navigator","userAgent")||"",Le$6=ae$6.process,Te$6=ae$6.Deno,je$6=Le$6&&Le$6.versions||Te$6&&Te$6.version,Re$6=je$6&&je$6.v8;Re$6&&(oe$6=(re$6=Re$6.split("."))[0]>0&&re$6[0]<4?1:+(re$6[0]+re$6[1])),!oe$6&&Ne$6&&(!(re$6=Ne$6.match(/Edge\/(\d+)/))||re$6[1]>=74)&&(re$6=Ne$6.match(/Chrome\/(\d+)/))&&(oe$6=+re$6[1]);var De$6=oe$6,Ae$6=function(e){try{return !!e()}catch(e){return !0}},Fe$6=!!Object.getOwnPropertySymbols&&!Ae$6((function(){var e=Symbol();return !String(e)||!(Object(e)instanceof Symbol)||!Symbol.sham&&De$6&&De$6<41})),Ie$6=Fe$6&&!Symbol.sham&&"symbol"==typeof Symbol.iterator,Be$6=ce$6("wks"),_e$6=ae$6.Symbol,$e$6=_e$6&&_e$6.for,We$6=Ie$6?_e$6:_e$6&&_e$6.withoutSetter||Ee$6,ze$6=function(e){if(!xe$6(Be$6,e)||!Fe$6&&"string"!=typeof Be$6[e]){var t="Symbol."+e;Fe$6&&xe$6(_e$6,e)?Be$6[e]=_e$6[e]:Be$6[e]=Ie$6&&$e$6?$e$6(t):We$6(t);}return Be$6[e]},Ve$6={};Ve$6[ze$6("toStringTag")]="z";var Ue$6="[object z]"===String(Ve$6),Ke$6=!Ae$6((function(){return 7!=Object.defineProperty({},1,{get:function(){return 7}})[1]})),He$6=function(e){return "object"==typeof e?null!==e:Ce$6(e)},qe$6=ae$6.document,Ge$6=He$6(qe$6)&&He$6(qe$6.createElement),Je$6=function(e){return Ge$6?qe$6.createElement(e):{}},Ye$6=!Ke$6&&!Ae$6((function(){return 7!=Object.defineProperty(Je$6("div"),"a",{get:function(){return 7}}).a})),Xe$6=ae$6.String,Ze$6=ae$6.TypeError,Qe$6=function(e){if(He$6(e))return e;throw Ze$6(Xe$6(e)+" is not an object")},et$6=Function.prototype.call,tt$6=et$6.bind?et$6.bind(et$6):function(){return et$6.apply(et$6,arguments)},nt$6=ge$6({}.isPrototypeOf),rt$6=ae$6.Object,ot$6=Ie$6?function(e){return "symbol"==typeof e}:function(e){var t=Me$6("Symbol");return Ce$6(t)&&nt$6(t.prototype,rt$6(e))},it$6=ae$6.String,at$6=function(e){try{return it$6(e)}catch(e){return "Object"}},st$6=ae$6.TypeError,lt$6=function(e){if(Ce$6(e))return e;throw st$6(at$6(e)+" is not a function")},ut$6=function(e,t){var n=e[t];return null==n?void 0:lt$6(n)},ct$6=ae$6.TypeError,ft$6=ae$6.TypeError,dt$6=ze$6("toPrimitive"),ht$6=function(e,t){if(!He$6(e)||ot$6(e))return e;var n,r=ut$6(e,dt$6);if(r){if(void 0===t&&(t="default"),n=tt$6(r,e,t),!He$6(n)||ot$6(n))return n;throw ft$6("Can't convert object to primitive value")}return void 0===t&&(t="number"),function(e,t){var n,r;if("string"===t&&Ce$6(n=e.toString)&&!He$6(r=tt$6(n,e)))return r;if(Ce$6(n=e.valueOf)&&!He$6(r=tt$6(n,e)))return r;if("string"!==t&&Ce$6(n=e.toString)&&!He$6(r=tt$6(n,e)))return r;throw ct$6("Can't convert object to primitive value")}(e,t)},pt$6=function(e){var t=ht$6(e,"string");return ot$6(t)?t:t+""},gt$6=ae$6.TypeError,vt$6=Object.defineProperty,yt$6={f:Ke$6?vt$6:function(e,t,n){if(Qe$6(e),t=pt$6(t),Qe$6(n),Ye$6)try{return vt$6(e,t,n)}catch(e){}if("get"in n||"set"in n)throw gt$6("Accessors not supported");return "value"in n&&(e[t]=n.value),e}},mt$6=function(e,t){return {enumerable:!(1&e),configurable:!(2&e),writable:!(4&e),value:t}},wt$6=Ke$6?function(e,t,n){return yt$6.f(e,t,mt$6(1,n))}:function(e,t,n){return e[t]=n,e},bt$6=ge$6(Function.toString);Ce$6(ue$6.inspectSource)||(ue$6.inspectSource=function(e){return bt$6(e)});var xt$6,St$6,kt$6,Ot$6=ue$6.inspectSource,Et$6=ae$6.WeakMap,Ct$6=Ce$6(Et$6)&&/native code/.test(Ot$6(Et$6)),Pt$6=ce$6("keys"),Mt$6=function(e){return Pt$6[e]||(Pt$6[e]=Ee$6(e))},Nt$6={},Lt$6=ae$6.TypeError,Tt$6=ae$6.WeakMap;if(Ct$6||ue$6.state){var jt$6=ue$6.state||(ue$6.state=new Tt$6),Rt$6=ge$6(jt$6.get),Dt$6=ge$6(jt$6.has),At$6=ge$6(jt$6.set);xt$6=function(e,t){if(Dt$6(jt$6,e))throw new Lt$6("Object already initialized");return t.facade=e,At$6(jt$6,e,t),t},St$6=function(e){return Rt$6(jt$6,e)||{}},kt$6=function(e){return Dt$6(jt$6,e)};}else {var Ft$6=Mt$6("state");Nt$6[Ft$6]=!0,xt$6=function(e,t){if(xe$6(e,Ft$6))throw new Lt$6("Object already initialized");return t.facade=e,wt$6(e,Ft$6,t),t},St$6=function(e){return xe$6(e,Ft$6)?e[Ft$6]:{}},kt$6=function(e){return xe$6(e,Ft$6)};}var It$6={set:xt$6,get:St$6,has:kt$6,enforce:function(e){return kt$6(e)?St$6(e):xt$6(e,{})},getterFor:function(e){return function(t){var n;if(!He$6(t)||(n=St$6(t)).type!==e)throw Lt$6("Incompatible receiver, "+e+" required");return n}}},Bt$6=Function.prototype,_t$6=Ke$6&&Object.getOwnPropertyDescriptor,$t$6=xe$6(Bt$6,"name"),Wt$6={EXISTS:$t$6,PROPER:$t$6&&"something"===function(){}.name,CONFIGURABLE:$t$6&&(!Ke$6||Ke$6&&_t$6(Bt$6,"name").configurable)},zt$6=ne$6((function(e){var t=Wt$6.CONFIGURABLE,n=It$6.get,r=It$6.enforce,o=String(String).split("String");(e.exports=function(e,n,i,a){var s,l=!!a&&!!a.unsafe,u=!!a&&!!a.enumerable,c=!!a&&!!a.noTargetGet,f=a&&void 0!==a.name?a.name:n;Ce$6(i)&&("Symbol("===String(f).slice(0,7)&&(f="["+String(f).replace(/^Symbol\(([^)]*)\)/,"$1")+"]"),(!xe$6(i,"name")||t&&i.name!==f)&&wt$6(i,"name",f),(s=r(i)).source||(s.source=o.join("string"==typeof f?f:""))),e!==ae$6?(l?!c&&e[n]&&(u=!0):delete e[n],u?e[n]=i:wt$6(e,n,i)):u?e[n]=i:le$6(n,i);})(Function.prototype,"toString",(function(){return Ce$6(this)&&n(this).source||Ot$6(this)}));})),Vt$6=ge$6({}.toString),Ut$6=ge$6("".slice),Kt$6=function(e){return Ut$6(Vt$6(e),8,-1)},Ht$6=ze$6("toStringTag"),qt$6=ae$6.Object,Gt$6="Arguments"==Kt$6(function(){return arguments}()),Jt$6=Ue$6?Kt$6:function(e){var t,n,r;return void 0===e?"Undefined":null===e?"Null":"string"==typeof(n=function(e,t){try{return e[t]}catch(e){}}(t=qt$6(e),Ht$6))?n:Gt$6?Kt$6(t):"Object"==(r=Kt$6(t))&&Ce$6(t.callee)?"Arguments":r},Yt$6=Ue$6?{}.toString:function(){return "[object "+Jt$6(this)+"]"};Ue$6||zt$6(Object.prototype,"toString",Yt$6,{unsafe:!0});var Xt$6={CSSRuleList:0,CSSStyleDeclaration:0,CSSValueList:0,ClientRectList:0,DOMRectList:0,DOMStringList:0,DOMTokenList:1,DataTransferItemList:0,FileList:0,HTMLAllCollection:0,HTMLCollection:0,HTMLFormElement:0,HTMLSelectElement:0,MediaList:0,MimeTypeArray:0,NamedNodeMap:0,NodeList:1,PaintRequestList:0,Plugin:0,PluginArray:0,SVGLengthList:0,SVGNumberList:0,SVGPathSegList:0,SVGPointList:0,SVGStringList:0,SVGTransformList:0,SourceBufferList:0,StyleSheetList:0,TextTrackCueList:0,TextTrackList:0,TouchList:0},Zt$6=Je$6("span").classList,Qt$6=Zt$6&&Zt$6.constructor&&Zt$6.constructor.prototype,en$6=Qt$6===Object.prototype?void 0:Qt$6,tn$6=ge$6(ge$6.bind),nn$6=function(e,t){return lt$6(e),void 0===t?e:tn$6?tn$6(e,t):function(){return e.apply(t,arguments)}},rn$6=ae$6.Object,on$6=ge$6("".split),an$6=Ae$6((function(){return !rn$6("z").propertyIsEnumerable(0)}))?function(e){return "String"==Kt$6(e)?on$6(e,""):rn$6(e)}:rn$6,sn$6=Math.ceil,ln$6=Math.floor,un$6=function(e){var t=+e;return t!=t||0===t?0:(t>0?ln$6:sn$6)(t)},cn$6=Math.min,fn$6=function(e){return e>0?cn$6(un$6(e),9007199254740991):0},dn$6=function(e){return fn$6(e.length)},hn$6=Array.isArray||function(e){return "Array"==Kt$6(e)},pn$6=function(){},gn$6=[],vn$6=Me$6("Reflect","construct"),yn$6=/^\s*(?:class|function)\b/,mn$6=ge$6(yn$6.exec),wn$6=!yn$6.exec(pn$6),bn$6=function(e){if(!Ce$6(e))return !1;try{return vn$6(pn$6,gn$6,e),!0}catch(e){return !1}},xn$6=!vn$6||Ae$6((function(){var e;return bn$6(bn$6.call)||!bn$6(Object)||!bn$6((function(){e=!0;}))||e}))?function(e){if(!Ce$6(e))return !1;switch(Jt$6(e)){case"AsyncFunction":case"GeneratorFunction":case"AsyncGeneratorFunction":return !1}return wn$6||!!mn$6(yn$6,Ot$6(e))}:bn$6,Sn$6=ze$6("species"),kn$6=ae$6.Array,On$6=function(e,t){return new(function(e){var t;return hn$6(e)&&(t=e.constructor,(xn$6(t)&&(t===kn$6||hn$6(t.prototype))||He$6(t)&&null===(t=t[Sn$6]))&&(t=void 0)),void 0===t?kn$6:t}(e))(0===t?0:t)},En$6=ge$6([].push),Cn$5=function(e){var t=1==e,n=2==e,r=3==e,o=4==e,i=6==e,a=7==e,s=5==e||i;return function(l,u,c,f){for(var d,h,p=we$6(l),g=an$6(p),v=nn$6(u,c),y=dn$6(g),m=0,w=f||On$6,b=t?w(l,y):n||a?w(l,0):void 0;y>m;m++)if((s||m in g)&&(h=v(d=g[m],m,p),e))if(t)b[m]=h;else if(h)switch(e){case 3:return !0;case 5:return d;case 6:return m;case 2:En$6(b,d);}else switch(e){case 4:return !1;case 7:En$6(b,d);}return i?-1:r||o?o:b}},Pn$6={forEach:Cn$5(0),map:Cn$5(1),filter:Cn$5(2),some:Cn$5(3),every:Cn$5(4),find:Cn$5(5),findIndex:Cn$5(6),filterReject:Cn$5(7)},Mn$6=function(e,t){var n=[][e];return !!n&&Ae$6((function(){n.call(null,t||function(){throw 1},1);}))},Nn$6=Pn$6.forEach,Ln$6=Mn$6("forEach")?[].forEach:function(e){return Nn$6(this,e,arguments.length>1?arguments[1]:void 0)},Tn$6=function(e){if(e&&e.forEach!==Ln$6)try{wt$6(e,"forEach",Ln$6);}catch(t){e.forEach=Ln$6;}};for(var jn$6 in Xt$6)Xt$6[jn$6]&&Tn$6(ae$6[jn$6]&&ae$6[jn$6].prototype);Tn$6(en$6);var Rn$6={}.propertyIsEnumerable,Dn$5=Object.getOwnPropertyDescriptor,An$6=Dn$5&&!Rn$6.call({1:2},1)?function(e){var t=Dn$5(this,e);return !!t&&t.enumerable}:Rn$6,Fn$5={f:An$6},In$6=function(e){return an$6(ye$6(e))},Bn$5=Object.getOwnPropertyDescriptor,_n$6={f:Ke$6?Bn$5:function(e,t){if(e=In$6(e),t=pt$6(t),Ye$6)try{return Bn$5(e,t)}catch(e){}if(xe$6(e,t))return mt$6(!tt$6(Fn$5.f,e,t),e[t])}},$n$5=Math.max,Wn$5=Math.min,zn$6=function(e,t){var n=un$6(e);return n<0?$n$5(n+t,0):Wn$5(n,t)},Vn$5=function(e){return function(t,n,r){var o,i=In$6(t),a=dn$6(i),s=zn$6(r,a);if(e&&n!=n){for(;a>s;)if((o=i[s++])!=o)return !0}else for(;a>s;s++)if((e||s in i)&&i[s]===n)return e||s||0;return !e&&-1}},Un$5={includes:Vn$5(!0),indexOf:Vn$5(!1)},Kn$5=Un$5.indexOf,Hn$6=ge$6([].push),qn$5=function(e,t){var n,r=In$6(e),o=0,i=[];for(n in r)!xe$6(Nt$6,n)&&xe$6(r,n)&&Hn$6(i,n);for(;t.length>o;)xe$6(r,n=t[o++])&&(~Kn$5(i,n)||Hn$6(i,n));return i},Gn$5=["constructor","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","toLocaleString","toString","valueOf"],Jn$5=Gn$5.concat("length","prototype"),Yn$5={f:Object.getOwnPropertyNames||function(e){return qn$5(e,Jn$5)}},Xn$5={f:Object.getOwnPropertySymbols},Zn$5=ge$6([].concat),Qn$5=Me$6("Reflect","ownKeys")||function(e){var t=Yn$5.f(Qe$6(e)),n=Xn$5.f;return n?Zn$5(t,n(e)):t},er$4=function(e,t){for(var n=Qn$5(t),r=yt$6.f,o=_n$6.f,i=0;i<n.length;i++){var a=n[i];xe$6(e,a)||r(e,a,o(t,a));}},tr$4=/#|\.prototype\./,nr$4=function(e,t){var n=or$4[rr$4(e)];return n==ar$4||n!=ir$4&&(Ce$6(t)?Ae$6(t):!!t)},rr$4=nr$4.normalize=function(e){return String(e).replace(tr$4,".").toLowerCase()},or$4=nr$4.data={},ir$4=nr$4.NATIVE="N",ar$4=nr$4.POLYFILL="P",sr$4=nr$4,lr$4=_n$6.f,ur$4=function(e,t){var n,r,o,i,a,s=e.target,l=e.global,u=e.stat;if(n=l?ae$6:u?ae$6[s]||le$6(s,{}):(ae$6[s]||{}).prototype)for(r in t){if(i=t[r],o=e.noTargetGet?(a=lr$4(n,r))&&a.value:n[r],!sr$4(l?r:s+(u?".":"#")+r,e.forced)&&void 0!==o){if(typeof i==typeof o)continue;er$4(i,o);}(e.sham||o&&o.sham)&&wt$6(i,"sham",!0),zt$6(n,r,i,e);}},cr$4=Object.keys||function(e){return qn$5(e,Gn$5)},fr$4=Ae$6((function(){cr$4(1);}));
  /*!
   * is-plain-object <https://github.com/jonschlinkert/is-plain-object>
   *
   * Copyright (c) 2014-2017, Jon Schlinkert.
   * Released under the MIT License.
   */
  function dr$4(e){return !0===
  /*!
   * isobject <https://github.com/jonschlinkert/isobject>
   *
   * Copyright (c) 2014-2017, Jon Schlinkert.
   * Released under the MIT License.
   */
  function(e){return null!=e&&"object"==typeof e&&!1===Array.isArray(e)}(e)&&"[object Object]"===Object.prototype.toString.call(e)}ur$4({target:"Object",stat:!0,forced:fr$4},{keys:function(e){return cr$4(we$6(e))}});var hr$4={isHistory(e){return !1!==dr$4(n=e)&&"function"==typeof(r=n.constructor)&&!1!==dr$4(o=r.prototype)&&!1!==o.hasOwnProperty("isPrototypeOf")&&Array.isArray(e.redos)&&Array.isArray(e.undos)&&(0===e.redos.length||Operation.isOperationList(e.redos[0]))&&(0===e.undos.length||Operation.isOperationList(e.undos[0]));var n,r,o;}},pr$4=new WeakMap,gr$4=new WeakMap,vr$4={isHistoryEditor:t=>hr$4.isHistory(t.history)&&Editor.isEditor(t),isMerging:e=>gr$4.get(e),isSaving:e=>pr$4.get(e),redo(e){e.redo();},undo(e){e.undo();},withoutMerging(e,t){var n=vr$4.isMerging(e);gr$4.set(e,!1),t(),gr$4.set(e,n);},withoutSaving(e,t){var n=vr$4.isSaving(e);pr$4.set(e,!1),t(),pr$4.set(e,n);}},yr$4=(e,t)=>"set_selection"===e.type||(!(!t||"insert_text"!==e.type||"insert_text"!==t.type||e.offset!==t.offset+t.text.length||!Path.equals(e.path,t.path))||!(!t||"remove_text"!==e.type||"remove_text"!==t.type||e.offset+e.text.length!==t.offset||!Path.equals(e.path,t.path))),mr$4=(e,t)=>"set_selection"!==e.type||null!=e.properties&&null!=e.newProperties,wr$4=(e,t)=>!(!t||"set_selection"!==e.type||"set_selection"!==t.type),br$4=e=>"set_selection"!==e.type,xr$4=ae$6.String,Sr$4=function(e){if("Symbol"===Jt$6(e))throw TypeError("Cannot convert a Symbol value to a string");return xr$4(e)},kr$4=function(){var e=Qe$6(this),t="";return e.global&&(t+="g"),e.ignoreCase&&(t+="i"),e.multiline&&(t+="m"),e.dotAll&&(t+="s"),e.unicode&&(t+="u"),e.sticky&&(t+="y"),t},Or$4=Wt$6.PROPER,Er$4=RegExp.prototype,Cr$4=Er$4.toString,Pr$4=ge$6(kr$4),Mr$4=Ae$6((function(){return "/a/b"!=Cr$4.call({source:"a",flags:"b"})})),Nr$4=Or$4&&"toString"!=Cr$4.name;(Mr$4||Nr$4)&&zt$6(RegExp.prototype,"toString",(function(){var e=Qe$6(this),t=Sr$4(e.source),n=e.flags;return "/"+t+"/"+Sr$4(void 0===n&&nt$6(Er$4,e)&&!("flags"in Er$4)?Pr$4(e):n)}),{unsafe:!0});var Lr$4,Tr$4=Ke$6?Object.defineProperties:function(e,t){Qe$6(e);for(var n,r=In$6(t),o=cr$4(t),i=o.length,a=0;i>a;)yt$6.f(e,n=o[a++],r[n]);return e},jr$4=Me$6("document","documentElement"),Rr$4=Mt$6("IE_PROTO"),Dr$4=function(){},Ar$4=function(e){return "<script>"+e+"<\/script>"},Fr$4=function(e){e.write(Ar$4("")),e.close();var t=e.parentWindow.Object;return e=null,t},Ir$4=function(){try{Lr$4=new ActiveXObject("htmlfile");}catch(e){}var e,t;Ir$4="undefined"!=typeof document?document.domain&&Lr$4?Fr$4(Lr$4):((t=Je$6("iframe")).style.display="none",jr$4.appendChild(t),t.src=String("javascript:"),(e=t.contentWindow.document).open(),e.write(Ar$4("document.F=Object")),e.close(),e.F):Fr$4(Lr$4);for(var n=Gn$5.length;n--;)delete Ir$4.prototype[Gn$5[n]];return Ir$4()};Nt$6[Rr$4]=!0;var Br$4=Object.create||function(e,t){var n;return null!==e?(Dr$4.prototype=Qe$6(e),n=new Dr$4,Dr$4.prototype=null,n[Rr$4]=e):n=Ir$4(),void 0===t?n:Tr$4(n,t)},_r$4=ze$6("unscopables"),$r$4=Array.prototype;null==$r$4[_r$4]&&yt$6.f($r$4,_r$4,{configurable:!0,value:Br$4(null)});var Wr$4=function(e){$r$4[_r$4][e]=!0;},zr$4=Un$5.includes;ur$4({target:"Array",proto:!0},{includes:function(e){return zr$4(this,e,arguments.length>1?arguments[1]:void 0)}}),Wr$4("includes");var Vr$4=ze$6("match"),Ur$4=function(e){var t;return He$6(e)&&(void 0!==(t=e[Vr$4])?!!t:"RegExp"==Kt$6(e))},Kr$4=ae$6.TypeError,Hr$4=function(e){if(Ur$4(e))throw Kr$4("The method doesn't accept regular expressions");return e},qr$4=ze$6("match"),Gr$4=function(e){var t=/./;try{"/./"[e](t);}catch(n){try{return t[qr$4]=!1,"/./"[e](t)}catch(e){}}return !1},Jr$4=ge$6("".indexOf);ur$4({target:"String",proto:!0,forced:!Gr$4("includes")},{includes:function(e){return !!~Jr$4(Sr$4(ye$6(this)),Sr$4(Hr$4(e)),arguments.length>1?arguments[1]:void 0)}});var Yr$4,Xr$4=/"/g,Zr$4=ge$6("".replace);ur$4({target:"String",proto:!0,forced:(Yr$4="anchor",Ae$6((function(){var e=""[Yr$4]('"');return e!==e.toLowerCase()||e.split('"').length>3})))},{anchor:function(e){return t="a",n="name",r=e,o=Sr$4(ye$6(this)),i="<"+t,""!==n&&(i+=" "+n+'="'+Zr$4(Sr$4(r),Xr$4,"&quot;")+'"'),i+">"+o+"</"+t+">";var t,n,r,o,i;}});var Qr$4=function(e,t,n){var r,o;Qe$6(e);try{if(!(r=ut$6(e,"return"))){if("throw"===t)throw n;return n}r=tt$6(r,e);}catch(e){o=!0,r=e;}if("throw"===t)throw n;if(o)throw r;return Qe$6(r),n},eo$4=function(e,t,n,r){try{return r?t(Qe$6(n)[0],n[1]):t(n)}catch(t){Qr$4(e,"throw",t);}},to$4={},no$4=ze$6("iterator"),ro$4=Array.prototype,oo$4=function(e){return void 0!==e&&(to$4.Array===e||ro$4[no$4]===e)},io$4=function(e,t,n){var r=pt$6(t);r in e?yt$6.f(e,r,mt$6(0,n)):e[r]=n;},ao$4=ze$6("iterator"),so$3=function(e){if(null!=e)return ut$6(e,ao$4)||ut$6(e,"@@iterator")||to$4[Jt$6(e)]},lo$4=ae$6.TypeError,uo$4=function(e,t){var n=arguments.length<2?so$3(e):t;if(lt$6(n))return Qe$6(tt$6(n,e));throw lo$4(at$6(e)+" is not iterable")},co$4=ae$6.Array,fo$3=ze$6("iterator"),ho$3=!1;try{var po$3=0,go$3={next:function(){return {done:!!po$3++}},return:function(){ho$3=!0;}};go$3[fo$3]=function(){return this},Array.from(go$3,(function(){throw 2}));}catch(e){}var vo$3=function(e,t){if(!t&&!ho$3)return !1;var n=!1;try{var r={};r[fo$3]=function(){return {next:function(){return {done:n=!0}}}},e(r);}catch(e){}return n},yo$3=!vo$3((function(e){Array.from(e);}));ur$4({target:"Array",stat:!0,forced:yo$3},{from:function(e){var t=we$6(e),n=xn$6(this),r=arguments.length,o=r>1?arguments[1]:void 0,i=void 0!==o;i&&(o=nn$6(o,r>2?arguments[2]:void 0));var a,s,l,u,c,f,d=so$3(t),h=0;if(!d||this==co$4&&oo$4(d))for(a=dn$6(t),s=n?new this(a):co$4(a);a>h;h++)f=i?o(t[h],h):t[h],io$4(s,h,f);else for(c=(u=uo$4(t,d)).next,s=n?new this:[];!(l=tt$6(c,u)).done;h++)f=i?eo$4(u,o,[l.value,h],!0):l.value,io$4(s,h,f);return s.length=h,s}});var mo$3,wo$3,bo$3,xo$3=ge$6("".charAt),So$3=ge$6("".charCodeAt),ko$3=ge$6("".slice),Oo$3=function(e){return function(t,n){var r,o,i=Sr$4(ye$6(t)),a=un$6(n),s=i.length;return a<0||a>=s?e?"":void 0:(r=So$3(i,a))<55296||r>56319||a+1===s||(o=So$3(i,a+1))<56320||o>57343?e?xo$3(i,a):r:e?ko$3(i,a,a+2):o-56320+(r-55296<<10)+65536}},Eo$3={codeAt:Oo$3(!1),charAt:Oo$3(!0)},Co$3=!Ae$6((function(){function e(){}return e.prototype.constructor=null,Object.getPrototypeOf(new e)!==e.prototype})),Po$3=Mt$6("IE_PROTO"),Mo$3=ae$6.Object,No$3=Mo$3.prototype,Lo$3=Co$3?Mo$3.getPrototypeOf:function(e){var t=we$6(e);if(xe$6(t,Po$3))return t[Po$3];var n=t.constructor;return Ce$6(n)&&t instanceof n?n.prototype:t instanceof Mo$3?No$3:null},To$3=ze$6("iterator"),jo$3=!1;[].keys&&("next"in(bo$3=[].keys())?(wo$3=Lo$3(Lo$3(bo$3)))!==Object.prototype&&(mo$3=wo$3):jo$3=!0);var Ro$3=null==mo$3||Ae$6((function(){var e={};return mo$3[To$3].call(e)!==e}));Ro$3&&(mo$3={}),Ce$6(mo$3[To$3])||zt$6(mo$3,To$3,(function(){return this}));var Do$3={IteratorPrototype:mo$3,BUGGY_SAFARI_ITERATORS:jo$3},Ao$3=yt$6.f,Fo$3=ze$6("toStringTag"),Io$3=function(e,t,n){e&&!xe$6(e=n?e:e.prototype,Fo$3)&&Ao$3(e,Fo$3,{configurable:!0,value:t});},Bo$3=Do$3.IteratorPrototype,_o$3=function(){return this},$o$3=ae$6.String,Wo$3=ae$6.TypeError,zo$3=Object.setPrototypeOf||("__proto__"in{}?function(){var e,t=!1,n={};try{(e=ge$6(Object.getOwnPropertyDescriptor(Object.prototype,"__proto__").set))(n,[]),t=n instanceof Array;}catch(e){}return function(n,r){return Qe$6(n),function(e){if("object"==typeof e||Ce$6(e))return e;throw Wo$3("Can't set "+$o$3(e)+" as a prototype")}(r),t?e(n,r):n.__proto__=r,n}}():void 0),Vo$3=Wt$6.PROPER,Uo$3=Wt$6.CONFIGURABLE,Ko$3=Do$3.IteratorPrototype,Ho$3=Do$3.BUGGY_SAFARI_ITERATORS,qo$3=ze$6("iterator"),Go$3=function(){return this},Jo$3=function(e,t,n,r,o,i,a){!function(e,t,n){var r=t+" Iterator";e.prototype=Br$4(Bo$3,{next:mt$6(1,n)}),Io$3(e,r,!1),to$4[r]=_o$3;}(n,t,r);var s,l,u,c=function(e){if(e===o&&g)return g;if(!Ho$3&&e in h)return h[e];switch(e){case"keys":case"values":case"entries":return function(){return new n(this,e)}}return function(){return new n(this)}},f=t+" Iterator",d=!1,h=e.prototype,p=h[qo$3]||h["@@iterator"]||o&&h[o],g=!Ho$3&&p||c(o),v="Array"==t&&h.entries||p;if(v&&(s=Lo$3(v.call(new e)))!==Object.prototype&&s.next&&(Lo$3(s)!==Ko$3&&(zo$3?zo$3(s,Ko$3):Ce$6(s[qo$3])||zt$6(s,qo$3,Go$3)),Io$3(s,f,!0)),Vo$3&&"values"==o&&p&&"values"!==p.name&&(Uo$3?wt$6(h,"name","values"):(d=!0,g=function(){return tt$6(p,this)})),o)if(l={values:c("values"),keys:i?g:c("keys"),entries:c("entries")},a)for(u in l)(Ho$3||d||!(u in h))&&zt$6(h,u,l[u]);else ur$4({target:t,proto:!0,forced:Ho$3||d},l);return h[qo$3]!==g&&zt$6(h,qo$3,g,{name:o}),to$4[t]=g,l},Yo$3=Eo$3.charAt,Xo$3=It$6.set,Zo$3=It$6.getterFor("String Iterator");Jo$3(String,"String",(function(e){Xo$3(this,{type:"String Iterator",string:Sr$4(e),index:0});}),(function(){var e,t=Zo$3(this),n=t.string,r=t.index;return r>=n.length?{value:void 0,done:!0}:(e=Yo$3(n,r),t.index+=e.length,{value:e,done:!1})}));var Qo$3=ge$6([].join),ei$3=an$6!=Object,ti$3=Mn$6("join",",");ur$4({target:"Array",proto:!0,forced:ei$3||!ti$3},{join:function(e){return Qo$3(In$6(this),void 0===e?",":e)}});var ni$3=ze$6("species"),ri$3=function(e){return De$6>=51||!Ae$6((function(){var t=[];return (t.constructor={})[ni$3]=function(){return {foo:1}},1!==t[e](Boolean).foo}))},oi$3=Pn$6.map,ii$3=ri$3("map");ur$4({target:"Array",proto:!0,forced:!ii$3},{map:function(e){return oi$3(this,e,arguments.length>1?arguments[1]:void 0)}});
  /*! *****************************************************************************
  Copyright (c) Microsoft Corporation.

  Permission to use, copy, modify, and/or distribute this software for any
  purpose with or without fee is hereby granted.

  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
  REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
  AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
  INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
  LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
  OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
  PERFORMANCE OF THIS SOFTWARE.
  ***************************************************************************** */
  var ai$3=function(e,t){return ai$3=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t;}||function(e,t){for(var n in t)Object.prototype.hasOwnProperty.call(t,n)&&(e[n]=t[n]);},ai$3(e,t)};function si$3(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Class extends value "+String(t)+" is not a constructor or null");function n(){this.constructor=e;}ai$3(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n);}var li$3=function(){return li$3=Object.assign||function(e){for(var t,n=1,r=arguments.length;n<r;n++)for(var o in t=arguments[n])Object.prototype.hasOwnProperty.call(t,o)&&(e[o]=t[o]);return e},li$3.apply(this,arguments)};function ui$3(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return {next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")}function ci$3(e,t){var n="function"==typeof Symbol&&e[Symbol.iterator];if(!n)return e;var r,o,i=n.call(e),a=[];try{for(;(void 0===t||t-- >0)&&!(r=i.next()).done;)a.push(r.value);}catch(e){o={error:e};}finally{try{r&&!r.done&&(n=i.return)&&n.call(i);}finally{if(o)throw o.error}}return a}function fi$3(e,t){for(var n=0,r=t.length,o=e.length;n<r;n++,o++)e[o]=t[n];return e}var di$3=0,hi$3=function(){this.id=""+di$3++;},pi$3=It$6.set,gi$3=It$6.getterFor("Array Iterator"),vi$3=Jo$3(Array,"Array",(function(e,t){pi$3(this,{type:"Array Iterator",target:In$6(e),index:0,kind:t});}),(function(){var e=gi$3(this),t=e.target,n=e.kind,r=e.index++;return !t||r>=t.length?(e.target=void 0,{value:void 0,done:!0}):"keys"==n?{value:r,done:!1}:"values"==n?{value:t[r],done:!1}:{value:[r,t[r]],done:!1}}),"values");to$4.Arguments=to$4.Array,Wr$4("keys"),Wr$4("values"),Wr$4("entries");var yi$3=function(e,t,n){for(var r in t)zt$6(e,r,t[r],n);return e},mi$3=ge$6([].slice),wi$3=Yn$5.f,bi$3="object"==typeof window&&window&&Object.getOwnPropertyNames?Object.getOwnPropertyNames(window):[],xi$3={f:function(e){return bi$3&&"Window"==Kt$6(e)?function(e){try{return wi$3(e)}catch(e){return mi$3(bi$3)}}(e):wi$3(In$6(e))}},Si$3=Ae$6((function(){if("function"==typeof ArrayBuffer){var e=new ArrayBuffer(8);Object.isExtensible(e)&&Object.defineProperty(e,"a",{value:8});}})),ki$3=Object.isExtensible,Oi$3=Ae$6((function(){ki$3(1);}))||Si$3?function(e){return !!He$6(e)&&((!Si$3||"ArrayBuffer"!=Kt$6(e))&&(!ki$3||ki$3(e)))}:ki$3,Ei$3=!Ae$6((function(){return Object.isExtensible(Object.preventExtensions({}))})),Ci$3=ne$6((function(e){var t=yt$6.f,n=!1,r=Ee$6("meta"),o=0,i=function(e){t(e,r,{value:{objectID:"O"+o++,weakData:{}}});},a=e.exports={enable:function(){a.enable=function(){},n=!0;var e=Yn$5.f,t=ge$6([].splice),o={};o[r]=1,e(o).length&&(Yn$5.f=function(n){for(var o=e(n),i=0,a=o.length;i<a;i++)if(o[i]===r){t(o,i,1);break}return o},ur$4({target:"Object",stat:!0,forced:!0},{getOwnPropertyNames:xi$3.f}));},fastKey:function(e,t){if(!He$6(e))return "symbol"==typeof e?e:("string"==typeof e?"S":"P")+e;if(!xe$6(e,r)){if(!Oi$3(e))return "F";if(!t)return "E";i(e);}return e[r].objectID},getWeakData:function(e,t){if(!xe$6(e,r)){if(!Oi$3(e))return !0;if(!t)return !1;i(e);}return e[r].weakData},onFreeze:function(e){return Ei$3&&n&&Oi$3(e)&&!xe$6(e,r)&&i(e),e}};Nt$6[r]=!0;})),Pi$3=ae$6.TypeError,Mi$3=function(e,t){this.stopped=e,this.result=t;},Ni$3=Mi$3.prototype,Li$3=function(e,t,n){var r,o,i,a,s,l,u,c=n&&n.that,f=!(!n||!n.AS_ENTRIES),d=!(!n||!n.IS_ITERATOR),h=!(!n||!n.INTERRUPTED),p=nn$6(t,c),g=function(e){return r&&Qr$4(r,"normal",e),new Mi$3(!0,e)},v=function(e){return f?(Qe$6(e),h?p(e[0],e[1],g):p(e[0],e[1])):h?p(e,g):p(e)};if(d)r=e;else {if(!(o=so$3(e)))throw Pi$3(at$6(e)+" is not iterable");if(oo$4(o)){for(i=0,a=dn$6(e);a>i;i++)if((s=v(e[i]))&&nt$6(Ni$3,s))return s;return new Mi$3(!1)}r=uo$4(e,o);}for(l=r.next;!(u=tt$6(l,r)).done;){try{s=v(u.value);}catch(e){Qr$4(r,"throw",e);}if("object"==typeof s&&s&&nt$6(Ni$3,s))return s}return new Mi$3(!1)},Ti$3=ae$6.TypeError,ji$3=function(e,t){if(nt$6(t,e))return e;throw Ti$3("Incorrect invocation")},Ri$3=function(e,t,n){var r=-1!==e.indexOf("Map"),o=-1!==e.indexOf("Weak"),i=r?"set":"add",a=ae$6[e],s=a&&a.prototype,l=a,u={},c=function(e){var t=ge$6(s[e]);zt$6(s,e,"add"==e?function(e){return t(this,0===e?0:e),this}:"delete"==e?function(e){return !(o&&!He$6(e))&&t(this,0===e?0:e)}:"get"==e?function(e){return o&&!He$6(e)?void 0:t(this,0===e?0:e)}:"has"==e?function(e){return !(o&&!He$6(e))&&t(this,0===e?0:e)}:function(e,n){return t(this,0===e?0:e,n),this});};if(sr$4(e,!Ce$6(a)||!(o||s.forEach&&!Ae$6((function(){(new a).entries().next();})))))l=n.getConstructor(t,e,r,i),Ci$3.enable();else if(sr$4(e,!0)){var f=new l,d=f[i](o?{}:-0,1)!=f,h=Ae$6((function(){f.has(1);})),p=vo$3((function(e){new a(e);})),g=!o&&Ae$6((function(){for(var e=new a,t=5;t--;)e[i](t,t);return !e.has(-0)}));p||((l=t((function(e,t){ji$3(e,s);var n=function(e,t,n){var r,o;return zo$3&&Ce$6(r=t.constructor)&&r!==n&&He$6(o=r.prototype)&&o!==n.prototype&&zo$3(e,o),e}(new a,e,l);return null!=t&&Li$3(t,n[i],{that:n,AS_ENTRIES:r}),n}))).prototype=s,s.constructor=l),(h||g)&&(c("delete"),c("has"),r&&c("get")),(g||d)&&c(i),o&&s.clear&&delete s.clear;}return u[e]=l,ur$4({global:!0,forced:l!=a},u),Io$3(l,e),o||n.setStrong(l,e,r),l},Di$3=Ci$3.getWeakData,Ai$3=It$6.set,Fi$3=It$6.getterFor,Ii$3=Pn$6.find,Bi$2=Pn$6.findIndex,_i$3=ge$6([].splice),$i$2=0,Wi$3=function(e){return e.frozen||(e.frozen=new zi$3)},zi$3=function(){this.entries=[];},Vi$3=function(e,t){return Ii$3(e.entries,(function(e){return e[0]===t}))};zi$3.prototype={get:function(e){var t=Vi$3(this,e);if(t)return t[1]},has:function(e){return !!Vi$3(this,e)},set:function(e,t){var n=Vi$3(this,e);n?n[1]=t:this.entries.push([e,t]);},delete:function(e){var t=Bi$2(this.entries,(function(t){return t[0]===e}));return ~t&&_i$3(this.entries,t,1),!!~t}};var Ui$2,Ki$2={getConstructor:function(e,t,n,r){var o=e((function(e,o){ji$3(e,i),Ai$3(e,{type:t,id:$i$2++,frozen:void 0}),null!=o&&Li$3(o,e[r],{that:e,AS_ENTRIES:n});})),i=o.prototype,a=Fi$3(t),s=function(e,t,n){var r=a(e),o=Di$3(Qe$6(t),!0);return !0===o?Wi$3(r).set(t,n):o[r.id]=n,e};return yi$3(i,{delete:function(e){var t=a(this);if(!He$6(e))return !1;var n=Di$3(e);return !0===n?Wi$3(t).delete(e):n&&xe$6(n,t.id)&&delete n[t.id]},has:function(e){var t=a(this);if(!He$6(e))return !1;var n=Di$3(e);return !0===n?Wi$3(t).has(e):n&&xe$6(n,t.id)}}),yi$3(i,n?{get:function(e){var t=a(this);if(He$6(e)){var n=Di$3(e);return !0===n?Wi$3(t).get(e):n?n[t.id]:void 0}},set:function(e,t){return s(this,e,t)}}:{add:function(e){return s(this,e,!0)}}),o}},Hi$3=It$6.enforce,qi$1=!ae$6.ActiveXObject&&"ActiveXObject"in ae$6,Gi$2=function(e){return function(){return e(this,arguments.length?arguments[0]:void 0)}},Ji$1=Ri$3("WeakMap",Gi$2,Ki$2);if(Ct$6&&qi$1){Ui$2=Ki$2.getConstructor(Gi$2,"WeakMap",!0),Ci$3.enable();var Yi$2=Ji$1.prototype,Xi$2=ge$6(Yi$2.delete),Zi$1=ge$6(Yi$2.has),Qi$1=ge$6(Yi$2.get),ea$2=ge$6(Yi$2.set);yi$3(Yi$2,{delete:function(e){if(He$6(e)&&!Oi$3(e)){var t=Hi$3(this);return t.frozen||(t.frozen=new Ui$2),Xi$2(this,e)||t.frozen.delete(e)}return Xi$2(this,e)},has:function(e){if(He$6(e)&&!Oi$3(e)){var t=Hi$3(this);return t.frozen||(t.frozen=new Ui$2),Zi$1(this,e)||t.frozen.has(e)}return Zi$1(this,e)},get:function(e){if(He$6(e)&&!Oi$3(e)){var t=Hi$3(this);return t.frozen||(t.frozen=new Ui$2),Zi$1(this,e)?Qi$1(this,e):t.frozen.get(e)}return Qi$1(this,e)},set:function(e,t){if(He$6(e)&&!Oi$3(e)){var n=Hi$3(this);n.frozen||(n.frozen=new Ui$2),Zi$1(this,e)?ea$2(this,e,t):n.frozen.set(e,t);}else ea$2(this,e,t);return this}});}var ta$2=ze$6("iterator"),na$2=ze$6("toStringTag"),ra$1=vi$3.values,oa$1=function(e,t){if(e){if(e[ta$2]!==ra$1)try{wt$6(e,ta$2,ra$1);}catch(t){e[ta$2]=ra$1;}if(e[na$2]||wt$6(e,na$2,t),Xt$6[t])for(var n in vi$3)if(e[n]!==vi$3[n])try{wt$6(e,n,vi$3[n]);}catch(t){e[n]=vi$3[n];}}};for(var ia$1 in Xt$6)oa$1(ae$6[ia$1]&&ae$6[ia$1].prototype,ia$1);oa$1(en$6,"DOMTokenList");var aa$2=new WeakMap,sa$1=new WeakMap,la$1=new WeakMap,ua$1=new WeakMap,ca$1=new WeakMap,fa$1=new WeakMap,da$1=new WeakMap,ha$1=new WeakMap,pa$1=new WeakMap,ga$1=new WeakMap,va$1=new WeakMap,ya$1=new WeakMap,ma$1=new WeakMap,wa$1=new WeakMap,ba$1=new WeakMap,xa$1=new WeakMap,Sa$1=new WeakMap,ka$1=new WeakMap,Oa$1=new WeakMap,Ea$1=new WeakMap,Ca$1=new WeakMap,Pa$1=new WeakMap,Ma$1=new WeakMap,Na$1=new WeakMap,La$1=new WeakMap,Ta$1=new WeakMap,ja$1=Pn$6.find,Ra$1=!0;"find"in[]&&Array(1).find((function(){Ra$1=!1;})),ur$4({target:"Array",proto:!0,forced:Ra$1},{find:function(e){return ja$1(this,e,arguments.length>1?arguments[1]:void 0)}}),Wr$4("find"),ur$4({global:!0},{globalThis:ae$6});var Da$1=["area","base","basefont","bgsound","br","col","command","embed","frame","hr","image","img","input","isindex","keygen","link","menuitem","meta","nextid","param","source","track","wbr"];$$6.fn.css=css,$$6.fn.append=append,$$6.fn.addClass=addClass,$$6.fn.removeClass=removeClass,$$6.fn.hasClass=hasClass,$$6.fn.on=on$7,$$6.fn.focus=focus,$$6.fn.attr=attr,$$6.fn.removeAttr=removeAttr,$$6.fn.hide=hide,$$6.fn.show=show,$$6.fn.offset=offset,$$6.fn.width=width,$$6.fn.height=height,$$6.fn.parent=parent,$$6.fn.parents=parents,$$6.fn.is=is$2,$$6.fn.dataset=dataset,$$6.fn.val=val,$$6.fn.text=text,$$6.fn.html=html,$$6.fn.children=children,$$6.fn.remove=remove,$$6.fn.find=find,$$6.fn.each=each;var Aa$1=function(e){return e&&e.ownerDocument&&e.ownerDocument.defaultView||null},Fa$1=function(e){return Ia$1(e)&&1===e.nodeType},Ia$1=function(e){var t=Aa$1(e);return !!t&&e instanceof t.Node},Ba$1=function(e){var t=e&&e.anchorNode&&Aa$1(e.anchorNode);return !!t&&e instanceof t.Selection},_a$1=function(e){return Ia$1(e)&&3===e.nodeType},$a$1=function(e){var t,n,r;return null!==(t=window.document.getElementById(e))&&void 0!==t?t:(null===(r=null===(n=window.document.activeElement)||void 0===n?void 0:n.shadowRoot)||void 0===r?void 0:r.getElementById(e))||null},Wa$1=function(e,t,n){for(var r,o=e.childNodes,i=o[t],a=t,s=!1,l=!1;(Ia$1(r=i)&&8===r.nodeType||Fa$1(i)&&0===i.childNodes.length||Fa$1(i)&&"false"===i.getAttribute("contenteditable"))&&(!s||!l);)a>=o.length?(s=!0,a=t-1,n="backward"):a<0?(l=!0,a=t+1,n="forward"):(i=o[a],t=a,a+="forward"===n?1:-1);return [i,t]},za$1=function(e,t,n){return ci$3(Wa$1(e,t,n),1)[0]},Va$1=function e(t){var n,r,o="";if(_a$1(t)&&t.nodeValue)return t.nodeValue;if(Fa$1(t)){try{for(var i=ui$3(Array.from(t.childNodes)),a=i.next();!a.done;a=i.next()){o+=e(a.value);}}catch(e){n={error:e};}finally{try{a&&!a.done&&(r=i.return)&&r.call(i);}finally{if(n)throw n.error}}var s=getComputedStyle(t).getPropertyValue("display");"block"!==s&&"list"!==s&&"BR"!==t.tagName||(o+="\n");}return o};function Ua$1(e,t){if(!(e instanceof HTMLElement&&"true"===e.dataset.slateVoid))for(var n=e.childNodes,r=n.length;r--;){var o=n[r],i=o.nodeType;3==i?t(o,e):1!=i&&9!=i&&11!=i||Ua$1(o,t);}}var Ka$1,Ha$1,qa$1=ae$6.RegExp,Ga$1={UNSUPPORTED_Y:Ae$6((function(){var e=qa$1("a","y");return e.lastIndex=2,null!=e.exec("abcd")})),BROKEN_CARET:Ae$6((function(){var e=qa$1("^r","gy");return e.lastIndex=2,null!=e.exec("str")}))},Ja$1=ae$6.RegExp,Ya$1=Ae$6((function(){var e=Ja$1(".","s");return !(e.dotAll&&e.exec("\n")&&"s"===e.flags)})),Xa$1=ae$6.RegExp,Za$1=Ae$6((function(){var e=Xa$1("(?<a>b)","g");return "b"!==e.exec("b").groups.a||"bc"!=="b".replace(e,"$<a>c")})),Qa$1=It$6.get,es$1=ce$6("native-string-replace",String.prototype.replace),ts$1=RegExp.prototype.exec,ns$1=ts$1,rs$1=ge$6("".charAt),os$1=ge$6("".indexOf),is$1=ge$6("".replace),as$1=ge$6("".slice),ss$1=(Ha$1=/b*/g,tt$6(ts$1,Ka$1=/a/,"a"),tt$6(ts$1,Ha$1,"a"),0!==Ka$1.lastIndex||0!==Ha$1.lastIndex),ls$1=Ga$1.UNSUPPORTED_Y||Ga$1.BROKEN_CARET,us$1=void 0!==/()??/.exec("")[1];(ss$1||us$1||ls$1||Ya$1||Za$1)&&(ns$1=function(e){var t,n,r,o,i,a,s,l=this,u=Qa$1(l),c=Sr$4(e),f=u.raw;if(f)return f.lastIndex=l.lastIndex,t=tt$6(ns$1,f,c),l.lastIndex=f.lastIndex,t;var d=u.groups,h=ls$1&&l.sticky,p=tt$6(kr$4,l),g=l.source,v=0,y=c;if(h&&(p=is$1(p,"y",""),-1===os$1(p,"g")&&(p+="g"),y=as$1(c,l.lastIndex),l.lastIndex>0&&(!l.multiline||l.multiline&&"\n"!==rs$1(c,l.lastIndex-1))&&(g="(?: "+g+")",y=" "+y,v++),n=new RegExp("^(?:"+g+")",p)),us$1&&(n=new RegExp("^"+g+"$(?!\\s)",p)),ss$1&&(r=l.lastIndex),o=tt$6(ts$1,h?n:l,y),h?o?(o.input=as$1(o.input,v),o[0]=as$1(o[0],v),o.index=l.lastIndex,l.lastIndex+=o[0].length):l.lastIndex=0:ss$1&&o&&(l.lastIndex=l.global?o.index+o[0].length:r),us$1&&o&&o.length>1&&tt$6(es$1,o[0],n,(function(){for(i=1;i<arguments.length-2;i++)void 0===arguments[i]&&(o[i]=void 0);})),o&&d)for(o.groups=a=Br$4(null),i=0;i<d.length;i++)a[(s=d[i])[0]]=o[s[1]];return o});var cs$1=ns$1;ur$4({target:"RegExp",proto:!0,forced:/./.exec!==cs$1},{exec:cs$1}),void 0!==globalThis.navigator&&void 0!==globalThis.window&&/iPad|iPhone|iPod/.test(navigator.userAgent)&&globalThis.window.MSStream;var fs$1="undefined"!=typeof navigator&&/Mac OS X/.test(navigator.userAgent),ds$1="undefined"!=typeof navigator&&/^(?!.*Seamonkey)(?=.*Firefox).*/i.test(navigator.userAgent);"undefined"!=typeof navigator&&/^(?!.*Seamonkey)(?=.*Firefox\/(?:[0-7][0-9]|[0-8][0-6])).*/i.test(navigator.userAgent);var hs$1="undefined"!=typeof navigator&&/Version\/[\d\.]+.*Safari/.test(navigator.userAgent),ps$1="undefined"!=typeof navigator&&/Edge?\/(?:[0-6][0-9]|[0-7][0-8])/i.test(navigator.userAgent),gs$1="undefined"!=typeof navigator&&/Chrome?\/(?:[0-7][0-5]|[0-6][0-9])/i.test(navigator.userAgent),vs$1="undefined"!=typeof navigator&&/Chrome/i.test(navigator.userAgent),ys$1=!gs$1&&!ps$1&&"undefined"!=typeof globalThis&&globalThis.InputEvent&&"function"==typeof globalThis.InputEvent.prototype.getTargetRanges,ms$1={getWindow:function(e){var t=Ca$1.get(e);if(!t)throw new Error("Unable to find a host window element for this editor");return t},findKey:function(e,t){var n=Ea$1.get(t);return n||(n=new hi$3,Ea$1.set(t,n)),n},setNewKey:function(e){var t=new hi$3;Ea$1.set(e,t);},findPath:function(t,n){for(var r=[],o=n;;){var i=ba$1.get(o);if(null==i){if(Editor.isEditor(o))return r;break}var a=wa$1.get(o);if(null==a)break;r.unshift(a),o=i;}throw new Error("Unable to find the path for Slate node: "+JSON.stringify(n))},findDocumentOrShadowRoot:function(e){if(e.isDestroyed)return window.document;var t=ms$1.toDOMNode(e,e),n=t.getRootNode();if(t.ownerDocument!==document)return t.ownerDocument;if(!(n instanceof Document||n instanceof ShadowRoot))throw new Error("Unable to find DocumentOrShadowRoot for editor element: "+t);return void 0===n.getSelection&&null!==t.ownerDocument?t.ownerDocument:n},getParentNode:function(e,t){return ba$1.get(t)||null},getParentsNodes:function(e,t){for(var n=[],r=t;r!==e&&null!=r;){var o=ms$1.getParentNode(e,r);if(null==o)break;n.push(o),r=o;}return n},getTopNode:function(e,t){var n=[ms$1.findPath(e,t)[0]];return Node$1.get(e,n)},toDOMNode:function(t,n){var r;if(Editor.isEditor(n))r=xa$1.get(t);else {var o=ms$1.findKey(t,n);r=ka$1.get(o);}if(!r)throw new Error("Cannot resolve a DOM node from Slate node: "+JSON.stringify(n));return r},hasDOMNode:function(e,t,n){void 0===n&&(n={});var r,o=n.editable,i=void 0!==o&&o,a=ms$1.toDOMNode(e,e);try{r=Fa$1(t)?t:t.parentElement;}catch(e){if(!e.message.includes('Permission denied to access property "nodeType"'))throw e}return !!r&&(r.closest("[data-slate-editor]")===a&&(!i||r.isContentEditable||!!r.getAttribute("data-slate-zero-width")))},toDOMRange:function(e,t){var n=t.anchor,r=t.focus,i=Range.isBackward(t),a=ms$1.toDOMPoint(e,n),s=Range.isCollapsed(t)?a:ms$1.toDOMPoint(e,r),l=ms$1.getWindow(e).document.createRange(),u=ci$3(i?s:a,2),c=u[0],f=u[1],d=ci$3(i?a:s,2),h=d[0],p=d[1],g=!!(Fa$1(c)?c:c.parentElement).getAttribute("data-slate-zero-width"),v=!!(Fa$1(h)?h:h.parentElement).getAttribute("data-slate-zero-width");return l.setStart(c,g?1:f),l.setEnd(h,v?1:p),l},toDOMPoint:function(t,n){var r,o,i,a=ci$3(Editor.node(t,n.path),1)[0],s=ms$1.toDOMNode(t,a);Editor.void(t,{at:n})&&(n={path:n.path,offset:0});var l=Array.from(s.querySelectorAll("[data-slate-string], [data-slate-zero-width]")),u=0;try{for(var c=ui$3(l),f=c.next();!f.done;f=c.next()){var d=f.value,h=d.childNodes[0];if(null!=h&&null!=h.textContent){var p=h.textContent.length,g=d.getAttribute("data-slate-length"),v=u+(null==g?p:parseInt(g,10));if(n.offset<=v){i=[h,Math.min(p,Math.max(0,n.offset-u))];break}u=v;}}}catch(e){r={error:e};}finally{try{f&&!f.done&&(o=c.return)&&o.call(c);}finally{if(r)throw r.error}}if(!i)throw new Error("Cannot resolve a DOM point from Slate point: "+JSON.stringify(n));return i},toSlateNode:function(e,t){var n=Fa$1(t)?t:t.parentElement;n&&!n.hasAttribute("data-slate-node")&&(n=n.closest("[data-slate-node]"));var r=n?Sa$1.get(n):null;if(!r)throw new Error("Cannot resolve a Slate node from DOM node: "+n);return r},findEventRange:function(t,n){"nativeEvent"in n&&(n=n.nativeEvent);var r=n.clientX,o=n.clientY,i=n.target;if(null==r||null==o)throw new Error("Cannot resolve a Slate range from a DOM event: "+n);var a,s=ms$1.toSlateNode(t,n.target),l=ms$1.findPath(t,s);if(Editor.isVoid(t,s)){var u=i.getBoundingClientRect(),c=t.isInline(s)?r-u.left<u.left+u.width-r:o-u.top<u.top+u.height-o,f=Editor.point(t,l,{edge:c?"start":"end"}),d=c?Editor.before(t,f):Editor.after(t,f);if(d)return Editor.range(t,d)}var h=window.document;if(h.caretRangeFromPoint)a=h.caretRangeFromPoint(r,o);else {var p=h.caretPositionFromPoint(r,o);p&&((a=h.createRange()).setStart(p.offsetNode,p.offset),a.setEnd(p.offsetNode,p.offset));}if(!a)throw new Error("Cannot resolve a Slate range from a DOM event: "+n);return ms$1.toSlateRange(t,a,{exactMatch:!1})},toSlateRange:function(e,t,n){var r,o,i,a,s,l=n.exactMatch;if((Ba$1(t)?t.anchorNode:t.startContainer)&&(Ba$1(t)?(r=t.anchorNode,o=t.anchorOffset,i=t.focusNode,a=t.focusOffset,s=vs$1&&window.document.activeElement&&window.document.activeElement.shadowRoot?t.anchorNode===t.focusNode&&t.anchorOffset===t.focusOffset:t.isCollapsed):(r=t.startContainer,o=t.startOffset,i=t.endContainer,a=t.endOffset,s=t.collapsed)),null==r||null==i||null==o||null==a)throw new Error("Cannot resolve a Slate range from DOM range: "+t);var u=ms$1.toSlatePoint(e,[r,o],l);if(!u)return null;var c=s?u:ms$1.toSlatePoint(e,[i,a],l);return c?{anchor:u,focus:c}:null},toSlatePoint:function(e,t,n){var r=ci$3(n?t:function(e){var t,n=ci$3(e,2),r=n[0],o=n[1];if(Fa$1(r)&&r.childNodes.length){var i=o===r.childNodes.length,a=i?o-1:o;for(r=(t=ci$3(Wa$1(r,a,i?"backward":"forward"),2))[0],i=(a=t[1])<o;Fa$1(r)&&r.childNodes.length;){var s=i?r.childNodes.length-1:0;r=za$1(r,s,i?"backward":"forward");}o=i&&null!=r.textContent?r.textContent.length:0;}return [r,o]}(t),2),o=r[0],i=r[1],a=o.parentNode,s=null,l=0;if(a){var u=a.closest('[data-slate-void="true"]'),c=a.closest("[data-slate-leaf]"),d=null;if(c){s=c.closest('[data-slate-node="text"]');var h=ms$1.getWindow(e).document.createRange();h.setStart(s,0),h.setEnd(o,i);var p=h.cloneContents();fi$3(fi$3([],ci$3(lodash_toarray(p.querySelectorAll("[data-slate-zero-width]")))),ci$3(lodash_toarray(p.querySelectorAll("[contenteditable=false]")))).forEach((function(e){e.parentNode.removeChild(e);})),l=p.textContent.length,d=s;}else u&&((c=u.querySelector("[data-slate-leaf]"))?(s=c.closest('[data-slate-node="text"]'),l=(d=c).textContent.length,d.querySelectorAll("[data-slate-zero-width]").forEach((function(e){l-=e.textContent.length;}))):l=1);d&&l===d.textContent.length&&a.hasAttribute("data-slate-zero-width")&&l--;}if(!s){if(n)return null;throw new Error("Cannot resolve a Slate point from DOM point: "+t)}var g=ms$1.toSlateNode(e,s);return {path:ms$1.findPath(e,g),offset:l}},hasRange:function(t,n){var r=n.anchor,o=n.focus;return Editor.hasPath(t,r.path)&&Editor.hasPath(t,o.path)},getNodeType:function(e){return Element$1.isElement(e)?e.type:""},checkNodeType:function(e,t){return this.getNodeType(e)===t},getNodesStr:function(e){return e.map((function(e){return Node$1.string(e)})).join("")},getSelectedElems:function(t){var n,r,o=[],a=Editor.nodes(t,{universal:!0});try{for(var s=ui$3(a),l=s.next();!l.done;l=s.next()){var u=ci$3(l.value,1)[0];Element$1.isElement(u)&&o.push(u);}}catch(e){n={error:e};}finally{try{l&&!l.done&&(r=s.return)&&r.call(s);}finally{if(n)throw n.error}}return o},getSelectedNodeByType:function(t,n){var r=this,o=ci$3(Editor.nodes(t,{match:function(e){return r.checkNodeType(e,n)},universal:!0}),1),i=o[0];return null==i?null:i[0]},getSelectedTextNode:function(t){var n=ci$3(Editor.nodes(t,{match:function(e){return Text.isText(e)},universal:!0}),1),r=n[0];return null==r?null:r[0]},isNodeSelected:function(t,n){var r=ci$3(Editor.nodes(t,{match:function(e){return e===n},universal:!0}),1),o=r[0];return null!=o&&ci$3(o,1)[0]===n},isSelectionAtLineEnd:function(t,n){var r=t.selection;return !!r&&(Editor.isEnd(t,r.anchor,n)||Editor.isEnd(t,r.focus,n))},recordChangingPath:function(e,t){Ma$1.set(e,t);},deleteChangingPath:function(e){Ma$1.delete(e);},isChangingPath:function(e,t){var n=Ma$1.get(e)||[];return lodash_isequal(n,t)},getTextarea:function(e){var t=aa$2.get(e);if(null==t)throw new Error("Cannot find textarea instance by editor");return t},getToolbar:function(e){return ua$1.get(e)||null},getHoverbar:function(e){return fa$1.get(e)||null},normalizeContent:function(e){e.children.forEach((function(t,n){e.normalizeNode([t,[n]]);}));},checkMaxLength:function(e,t){void 0===t&&(t="");var n=e.getConfig(),r=n.maxLength,o=n.onMaxLength;if("number"==typeof r&&r>0&&(t||(t=" "),e.getText().length+t.length>r))return o&&o(e),!0;return !1},cleanExposedTexNodeInSelectionBlock:function(t){var n,r,o=Editor.nodes(t,{match:function(e){return !(!Element$1.isElement(e)||t.isInline(e))},universal:!0});try{for(var a=ui$3(o),s=a.next();!s.done;s=a.next()){var l=s.value;if(null!=l){var u=l[0];Ua$1(ms$1.toDOMNode(t,u),(function(e,t){var n=$$6(t);n.attr("data-slate-string")||n.attr("data-slate-zero-width")||t.removeChild(e);}));}}}catch(e){n={error:e};}finally{try{s&&!s.done&&(r=a.return)&&r.call(a);}finally{if(n)throw n.error}}}},ws$1=1,bs$1={};var xs$1={};function Ss$1(e,t){var n=e.key,r=e.factory,o=e.config,i=li$3(li$3({},o),t||{});if(null!=xs$1[n])throw new Error("Duplicated key '"+n+"' in menu items");xs$1[n]=r,function(e,t){null!=t&&(bs$1[e]=t);}(n,i);}var ks$1=function(e,t={}){function n(){return i()||function(){const e=u(/^([^<]+)/);if(e){const n={type:"Text",content:e[1]};return {excluded:!1===t.filter(n),node:n}}}()||a()||function(){if(e.startsWith("<![CDATA[")){const n=e.indexOf("]]>");if(n>-1){const r=n+3,o={type:"CDATA",content:e.substring(0,r)};return e=e.slice(r),{excluded:!1===t.filter(o),node:o}}}}()}function r(){return u(/\s*/),i(!0)||a()||function(){const e=u(/^<!DOCTYPE\s+[^>]*>/);if(e){const n={type:"DocumentType",content:e[0]};return {excluded:!1===t.filter(n),node:n}}}()||o(!1)}function o(e){const n=u(e?/^<\?(xml)\s*/:/^<\?([\w-:.]+)\s*/);if(!n)return;const r={name:n[1],type:"ProcessingInstruction",attributes:{}};for(;!c()&&!f("?>");){const e=s();if(!e)return r;r.attributes[e.name]=e.value;}return u(/\?>/),{excluded:!e&&!1===t.filter(r),node:r}}function i(e){const r=u(/^<([\w-:.]+)\s*/);if(!r)return;const o={type:"Element",name:r[1],attributes:{},children:[]};for(;!(c()||f(">")||f("?>")||f("/>"));){const e=s();if(!e)return o;o.attributes[e.name]=e.value;}const i=!e&&!1===t.filter(o);if(u(/^\s*\/>/))return o.children=null,{excluded:i,node:o};if(u(/\??>/),!i){let e=n();for(;e;)e.excluded||o.children.push(e.node),e=n();}return u(/^<\/[\w-:.]+>/),{excluded:i,node:o}}function a(){const e=u(/^<!--[\s\S]*?-->/);if(e){const n={type:"Comment",content:e[0]};return {excluded:!1===t.filter(n),node:n}}}function s(){const e=u(/([\w:-]+)\s*=\s*("[^"]*"|'[^']*'|\w+)\s*/);if(e)return {name:e[1],value:l(e[2])}}function l(e){return e.replace(/^['"]|['"]$/g,"")}function u(t){const n=e.match(t);if(n)return e=e.slice(n[0].length),n}function c(){return 0===e.length}function f(t){return 0===e.indexOf(t)}return t.filter=t.filter||(()=>!0),e=e.trim(),function(){const e=o(!0),t=[];let n,i=r();for(;i;){if("Element"===i.node.type){if(n)throw new Error("Found multiple root nodes");n=i.node;}i.excluded||t.push(i.node),i=r();}if(!n)throw new Error("Failed to parse XML");return {declaration:e?e.node:null,root:n,children:t}}()};function Os$1(e){if(!e.options.indentation&&!e.options.lineSeparator)return;let t;for(e.content+=e.options.lineSeparator,t=0;t<e.level;t++)e.content+=e.options.indentation;}function Es$1(e,t){e.content+=t;}function Cs$1(e,t,n){if("string"==typeof e.content)!function(e,t,n){n||(e.content=e.content.trim());e.content.length>0&&(!n&&t.content.length>0&&Os$1(t),Es$1(t,e.content));}(e,t,n);else if("Element"===e.type)!function(e,t,n){!n&&t.content.length>0&&Os$1(t);if(Es$1(t,"<"+e.name),Ps$1(t,e.attributes),null===e.children){const e=t.options.whiteSpaceAtEndOfSelfclosingTag?" />":"/>";Es$1(t,e);}else if(0===e.children.length)Es$1(t,"></"+e.name+">");else {Es$1(t,">"),t.level++;let r="preserve"===e.attributes["xml:space"];if(!r&&t.options.collapseContent){let t=!1,n=!1,o=!1;e.children.forEach((function(r,i){"Text"===r.type?(r.content.includes("\n")?(n=!0,r.content=r.content.trim()):0!==i&&i!==e.children.length-1||0===r.content.trim().length&&(r.content=""),r.content.length>0&&(t=!0)):o=!0;})),!t||o&&n||(r=!0);}e.children.forEach((function(e){Cs$1(e,t,n||r,t.options);})),t.level--,n||r||Os$1(t),Es$1(t,"</"+e.name+">");}}(e,t,n);else {if("ProcessingInstruction"!==e.type)throw new Error("Unknown node type: "+e.type);Ms$1(e,t);}}function Ps$1(e,t){Object.keys(t).forEach((function(n){const r=t[n].replace(/"/g,"&quot;");Es$1(e," "+n+'="'+r+'"');}));}function Ms$1(e,t){t.content.length>0&&Os$1(t),Es$1(t,"<?"+e.name),Ps$1(t,e.attributes),Es$1(t,"?>");}var Ns$1=function(e,t={}){t.indentation="indentation"in t?t.indentation:"    ",t.collapseContent=!0===t.collapseContent,t.lineSeparator="lineSeparator"in t?t.lineSeparator:"\r\n",t.whiteSpaceAtEndOfSelfclosingTag=!!t.whiteSpaceAtEndOfSelfclosingTag;const n=ks$1(e,{filter:t.filter}),r={content:"",level:0,options:t};return n.declaration&&Ms$1(n.declaration,r),n.children.forEach((function(e){Cs$1(e,r,!1);})),r.content.replace(/\r\n/g,"\n").replace(/\n/g,t.lineSeparator)},Ls$1=[];function Ts$1(e){Ls$1.push(e);}var js$1=[];function Rs$1(e){js$1.push(e);}var Ds$1={};function As$1(e){var t=e.type,n=e.elemToHtml;Ds$1[t||""]=n;}function Fs$1(e,t,n){var r=n.isInline(e)?"span":"div";return "<"+r+">"+t+"</"+r+">"}function Is$1(t,n){var r=t.type,o=void 0===r?"":r,i=t.children,a=void 0===i?[]:i,s=Editor.isVoid(n,t),l="";s||(l=a.map((function(e){return dl$1(e,n)})).join(" "));var u=function(e){return Ds$1[e]||Fs$1}(o),c=u(t,l,n);return s||Ls$1.forEach((function(e){return c=e(t,c)})),c}var Bs$1=Function.prototype,_s$1=Bs$1.apply,$s$1=Bs$1.bind,Ws$1=Bs$1.call,zs$1="object"==typeof Reflect&&Reflect.apply||($s$1?Ws$1.bind(_s$1):function(){return Ws$1.apply(_s$1,arguments)}),Vs$1=ze$6("species"),Us$1=RegExp.prototype,Ks$1=function(e,t,n,r){var o=ze$6(e),i=!Ae$6((function(){var t={};return t[o]=function(){return 7},7!=""[e](t)})),a=i&&!Ae$6((function(){var t=!1,n=/a/;return "split"===e&&((n={}).constructor={},n.constructor[Vs$1]=function(){return n},n.flags="",n[o]=/./[o]),n.exec=function(){return t=!0,null},n[o](""),!t}));if(!i||!a||n){var s=ge$6(/./[o]),l=t(o,""[e],(function(e,t,n,r,o){var a=ge$6(e),l=t.exec;return l===cs$1||l===Us$1.exec?i&&!o?{done:!0,value:s(t,n,r)}:{done:!0,value:a(n,t,r)}:{done:!1}}));zt$6(String.prototype,e,l[0]),zt$6(Us$1,o,l[1]);}r&&wt$6(Us$1[o],"sham",!0);},Hs$1=Eo$3.charAt,qs$1=function(e,t,n){return t+(n?Hs$1(e,t).length:1)},Gs$1=Math.floor,Js$1=ge$6("".charAt),Ys$1=ge$6("".replace),Xs$1=ge$6("".slice),Zs$1=/\$([$&'`]|\d{1,2}|<[^>]*>)/g,Qs$1=/\$([$&'`]|\d{1,2})/g,el$1=function(e,t,n,r,o,i){var a=n+e.length,s=r.length,l=Qs$1;return void 0!==o&&(o=we$6(o),l=Zs$1),Ys$1(i,l,(function(i,l){var u;switch(Js$1(l,0)){case"$":return "$";case"&":return e;case"`":return Xs$1(t,0,n);case"'":return Xs$1(t,a);case"<":u=o[Xs$1(l,1,-1)];break;default:var c=+l;if(0===c)return i;if(c>s){var f=Gs$1(c/10);return 0===f?i:f<=s?void 0===r[f-1]?Js$1(l,1):r[f-1]+Js$1(l,1):i}u=r[c-1];}return void 0===u?"":u}))},tl$1=ae$6.TypeError,nl$1=function(e,t){var n=e.exec;if(Ce$6(n)){var r=tt$6(n,e,t);return null!==r&&Qe$6(r),r}if("RegExp"===Kt$6(e))return tt$6(cs$1,e,t);throw tl$1("RegExp#exec called on incompatible receiver")},rl$1=ze$6("replace"),ol$1=Math.max,il$1=Math.min,al$1=ge$6([].concat),sl$1=ge$6([].push),ll$1=ge$6("".indexOf),ul$1=ge$6("".slice),cl$1="$0"==="a".replace(/./,"$0"),fl$1=!!/./[rl$1]&&""===/./[rl$1]("a","$0");function dl$1(e,t){return Element$1.isElement(e)?Is$1(e,t):function(e,t){var n=e.text;if(null==n)throw new Error("Current node is not slate Text "+JSON.stringify(e));var r=n;return r=function(e){return e.replace(/</g,"&lt;").replace(/>/g,"&gt;").replace(/®/g,"&reg;").replace(/©/g,"&copy;").replace(/™/g,"&trade;")}(r),ms$1.getParentsNodes(t,e).some((function(e){return "pre"===ms$1.getNodeType(e)}))||(r=r.replace(/\n|\r/g,"<br/>")),js$1.forEach((function(t){return r=t(e,r)})),Ls$1.forEach((function(t){return r=t(e,r)})),r}(e,t)}function hl$1(e){return "w-e-element-"+e}Ks$1("replace",(function(e,t,n){var r=fl$1?"$":"$0";return [function(e,n){var r=ye$6(this),o=null==e?void 0:ut$6(e,rl$1);return o?tt$6(o,e,r,n):tt$6(t,Sr$4(r),e,n)},function(e,o){var i=Qe$6(this),a=Sr$4(e);if("string"==typeof o&&-1===ll$1(o,r)&&-1===ll$1(o,"$<")){var s=n(t,i,a,o);if(s.done)return s.value}var l=Ce$6(o);l||(o=Sr$4(o));var u=i.global;if(u){var c=i.unicode;i.lastIndex=0;}for(var f=[];;){var d=nl$1(i,a);if(null===d)break;if(sl$1(f,d),!u)break;""===Sr$4(d[0])&&(i.lastIndex=qs$1(a,fn$6(i.lastIndex),c));}for(var h,p="",g=0,v=0;v<f.length;v++){for(var y=Sr$4((d=f[v])[0]),m=ol$1(il$1(un$6(d.index),a.length),0),w=[],b=1;b<d.length;b++)sl$1(w,void 0===(h=d[b])?h:String(h));var x=d.groups;if(l){var S=al$1([y],w,m,a);void 0!==x&&sl$1(S,x);var k=Sr$4(zs$1(o,void 0,S));}else k=el$1(y,a,m,w,x,o);m>=g&&(p+=ul$1(a,g,m)+k,g=m+y.length);}return p+ul$1(a,g)}]}),!!Ae$6((function(){var e=/./;return e.exec=function(){var e=[];return e.groups={a:"7"},e},"7"!=="".replace(e,"$<a>")}))||!cl$1||fl$1);var pl$1=function(e,t){var n=(t.top+t.bottom)/2;return e.top<=n&&e.bottom>=n},gl$1=function(e,t,n){var r=ms$1.toDOMRange(e,t).getBoundingClientRect(),o=ms$1.toDOMRange(e,n).getBoundingClientRect();return pl$1(r,o)&&pl$1(o,r)},vl$1=function(t){var l=t,u=l.onChange,c=l.insertText,f=l.apply,d=l.deleteBackward;return l.apply=function(t){var r,o,i,a,s,u,c,d,h=[];if(!l.getConfig().readOnly){switch(t.type){case"insert_text":case"remove_text":case"set_node":try{for(var p=ui$3(Editor.levels(l,{at:t.path})),g=p.next();!g.done;g=p.next()){var v=ci$3(g.value,2),y=v[0],m=v[1],w=ms$1.findKey(l,y);h.push([m,w]);}}catch(e){r={error:e};}finally{try{g&&!g.done&&(o=p.return)&&o.call(p);}finally{if(r)throw r.error}}break;case"insert_node":case"remove_node":case"merge_node":case"split_node":try{for(var b=ui$3(Editor.levels(l,{at:Path.parent(t.path)})),x=b.next();!x.done;x=b.next()){var S=ci$3(x.value,2);y=S[0],m=S[1],w=ms$1.findKey(l,y);h.push([m,w]);}}catch(e){i={error:e};}finally{try{x&&!x.done&&(a=b.return)&&a.call(b);}finally{if(i)throw i.error}}break;case"move_node":try{for(var k=ui$3(Editor.levels(l,{at:Path.common(Path.parent(t.path),Path.parent(t.newPath))})),O=k.next();!O.done;O=k.next()){var E=ci$3(O.value,2);y=E[0],m=E[1],w=ms$1.findKey(l,y);h.push([m,w]);}}catch(e){s={error:e};}finally{try{O&&!O.done&&(u=k.return)&&u.call(k);}finally{if(s)throw s.error}}}f(t);try{for(var C=ui$3(h),P=C.next();!P.done;P=C.next()){var M=ci$3(P.value,2);m=M[0],w=M[1],y=ci$3(Editor.node(l,m),1)[0];Ea$1.set(y,w);}}catch(e){c={error:e};}finally{try{P&&!P.done&&(d=C.return)&&d.call(C);}finally{if(c)throw c.error}}}},l.deleteBackward=function(n){if("line"!==n)return d(n);if(t.selection&&Range.isCollapsed(t.selection)){var r=Editor.above(t,{match:function(n){return Editor.isBlock(t,n)},at:t.selection});if(r){var i=ci$3(r,2)[1],a=Editor.range(t,i,t.selection.anchor),u=function(t,n){var r=Editor.range(t,Range.end(n)),i=Array.from(Editor.positions(t,{at:n})),a=0,s=i.length,l=Math.floor(s/2);if(gl$1(t,Editor.range(t,i[a]),r))return Editor.range(t,i[a],r);if(i.length<2)return Editor.range(t,i[i.length-1],r);for(;l!==i.length&&l!==a;)gl$1(t,Editor.range(t,i[l]),r)?s=l:a=l,l=Math.floor((a+s)/2);return Editor.range(t,i[s],r)}(l,a);Range.isCollapsed(u)||Transforms.delete(t,{at:u});}}},l.onChange=function(){var e=l.selection;null!=e&&Na$1.set(l,e),l.emit("change"),u();},l.insertText=function(e){ms$1.checkMaxLength(l)||c(e);},l.handleTab=function(){l.insertText("    ");},l.getHtml=function(e){void 0===e&&(e={});var t=e.withFormat,n=void 0===t||t,r=e.containerClassName,o=void 0===r?"w-e-content-container":r,i=l.children,a=(void 0===i?[]:i).map((function(e){return dl$1(e,l)})).join("");return a='<div class="'+o+'">'+a+"</div>",n&&(a=Ns$1(a,{collapseContent:!0})),a},l.getText=function(){var e=l.children;return (void 0===e?[]:e).map((function(e){return Node$1.string(e)})).join("\n")},l.getSelectionText=function(){var n=l.selection;return null==n?"":Editor.string(t,n)},l.getElemsByType=function(t,n){var r,o;void 0===n&&(n=!1);var a=[],s=Editor.nodes(l,{at:[],universal:!0});try{for(var u=ui$3(s),c=u.next();!c.done;c=u.next()){var f=ci$3(c.value,1)[0];if(Element$1.isElement(f))if(n?f.type.indexOf(t)>=0:f.type===t){var d=hl$1(ms$1.findKey(l,f).id);a.push(li$3(li$3({},f),{id:d}));}}}catch(e){r={error:e};}finally{try{c&&!c.done&&(o=u.return)&&o.call(u);}finally{if(r)throw r.error}}return a},l.getElemsByTypePrefix=function(e){return l.getElemsByType(e,!0)},l.isEmpty=function(){var e=l.children,t=void 0===e?[]:e;if(t.length>1)return !1;var n=t[0];if(null==n)return !0;if(Element$1.isElement(n)&&"paragraph"===n.type){var r=n.children,o=void 0===r?[]:r;if(o.length>1)return !1;var s=o[0];if(null==s)return !0;if(Text.isText(s)&&""===s.text)return !0}return !1},l.clear=function(){Transforms.removeNodes(l,{at:{anchor:Editor.start(l,[]),focus:Editor.end(l,[])},mode:"highest"}),Transforms.insertNodes(l,[{type:"paragraph",children:[{text:""}]}]);},l.getParentNode=function(e){return ms$1.getParentNode(l,e)},l},yl$1="\t\n\v\f\r                　\u2028\u2029\ufeff",ml$1=ge$6("".replace),wl$1="["+yl$1+"]",bl$1=RegExp("^"+wl$1+wl$1+"*"),xl$1=RegExp(wl$1+wl$1+"*$"),Sl$1=function(e){return function(t){var n=Sr$4(ye$6(t));return 1&e&&(n=ml$1(n,bl$1,"")),2&e&&(n=ml$1(n,xl$1,"")),n}},kl$1={start:Sl$1(1),end:Sl$1(2),trim:Sl$1(3)},Ol$1=Wt$6.PROPER,El$1=kl$1.trim;ur$4({target:"String",proto:!0,forced:function(e){return Ae$6((function(){return !!yl$1[e]()||"​᠎"!=="​᠎"[e]()||Ol$1&&yl$1[e].name!==e}))}("trim")},{trim:function(){return El$1(this)}});var Cl$1=ae$6.TypeError,Pl$1=ze$6("species"),Ml$1=function(e,t){var n,r=Qe$6(e).constructor;return void 0===r||null==(n=Qe$6(r)[Pl$1])?t:function(e){if(xn$6(e))return e;throw Cl$1(at$6(e)+" is not a constructor")}(n)},Nl$1=Ga$1.UNSUPPORTED_Y,Ll$1=Math.min,Tl$1=[].push,jl$1=ge$6(/./.exec),Rl$1=ge$6(Tl$1),Dl$1=ge$6("".slice);Ks$1("split",(function(e,t,n){var r;return r="c"=="abbc".split(/(b)*/)[1]||4!="test".split(/(?:)/,-1).length||2!="ab".split(/(?:ab)*/).length||4!=".".split(/(.?)(.?)/).length||".".split(/()()/).length>1||"".split(/.?/).length?function(e,n){var r=Sr$4(ye$6(this)),o=void 0===n?4294967295:n>>>0;if(0===o)return [];if(void 0===e)return [r];if(!Ur$4(e))return tt$6(t,r,e,o);for(var i,a,s,l=[],u=(e.ignoreCase?"i":"")+(e.multiline?"m":"")+(e.unicode?"u":"")+(e.sticky?"y":""),c=0,f=new RegExp(e.source,u+"g");(i=tt$6(cs$1,f,r))&&!((a=f.lastIndex)>c&&(Rl$1(l,Dl$1(r,c,i.index)),i.length>1&&i.index<r.length&&zs$1(Tl$1,l,mi$3(i,1)),s=i[0].length,c=a,l.length>=o));)f.lastIndex===i.index&&f.lastIndex++;return c===r.length?!s&&jl$1(f,"")||Rl$1(l,""):Rl$1(l,Dl$1(r,c)),l.length>o?mi$3(l,0,o):l}:"0".split(void 0,0).length?function(e,n){return void 0===e&&0===n?[]:tt$6(t,this,e,n)}:t,[function(t,n){var o=ye$6(this),i=null==t?void 0:ut$6(t,e);return i?tt$6(i,t,o,n):tt$6(r,Sr$4(o),t,n)},function(e,o){var i=Qe$6(this),a=Sr$4(e),s=n(r,i,a,o,r!==t);if(s.done)return s.value;var l=Ml$1(i,RegExp),u=i.unicode,c=(i.ignoreCase?"i":"")+(i.multiline?"m":"")+(i.unicode?"u":"")+(Nl$1?"g":"y"),f=new l(Nl$1?"^(?:"+i.source+")":i,c),d=void 0===o?4294967295:o>>>0;if(0===d)return [];if(0===a.length)return null===nl$1(f,a)?[a]:[];for(var h=0,p=0,g=[];p<a.length;){f.lastIndex=Nl$1?0:p;var v,y=nl$1(f,Nl$1?Dl$1(a,p):a);if(null===y||(v=Ll$1(fn$6(f.lastIndex+(Nl$1?p:0)),a.length))===h)p=qs$1(a,p,u);else {if(Rl$1(g,Dl$1(a,h,p)),g.length===d)return g;for(var m=1;m<=y.length-1;m++)if(Rl$1(g,y[m]),g.length===d)return g;p=h=v;}}return Rl$1(g,Dl$1(a,h)),g}]}),!!Ae$6((function(){var e=/(?:)/,t=e.exec;e.exec=function(){return t.apply(this,arguments)};var n="ab".split(e);return 2!==n.length||"a"!==n[0]||"b"!==n[1]})),Nl$1);var Al$1=function(t){var n=t,r=n.insertText,i=n.insertFragment;return n.setFragmentData=function(t){var r=n.selection;if(r){var i=ci$3(Range.edges(r),2),a=i[0],s=i[1],l=Editor.void(n,{at:a.path}),u=Editor.void(n,{at:s.path});if(!Range.isCollapsed(r)||l){var c=ms$1.toDOMRange(n,r),f=c.cloneContents(),d=f.childNodes[0];if(f.childNodes.forEach((function(e){e.textContent&&""!==e.textContent.trim()&&(d=e);})),u){var h=ci$3(u,1)[0],p=c.cloneRange(),g=ms$1.toDOMNode(n,h);p.setEndAfter(g),f=p.cloneContents();}if(l&&(d=f.querySelector("[data-slate-spacer]")),Array.from(f.querySelectorAll("[data-slate-zero-width]")).forEach((function(e){var t="n"===e.getAttribute("data-slate-zero-width");e.textContent=t?"\n":"";})),_a$1(d)){var v=document.createElement("span");v.style.whiteSpace="pre",v.appendChild(d),f.appendChild(v),d=v;}var y=n.getFragment(),m=JSON.stringify(y),w=window.btoa(encodeURIComponent(m));d.setAttribute("data-slate-fragment",w),t.setData("application/x-slate-fragment",w);var b=document.createElement("div");b.appendChild(f),b.setAttribute("hidden","true"),document.body.appendChild(b),t.setData("text/html",b.innerHTML),t.setData("text/plain",Va$1(b)),document.body.removeChild(b);}}},n.insertData=function(e){var t,o,i=e.getData("application/x-slate-fragment");if(i){var a=decodeURIComponent(window.atob(i)),l=JSON.parse(a);n.insertFragment(l);}else {var u=e.getData("text/plain");if(u){var c=u.split(/\r\n|\r|\n/),f=!1;try{for(var d=ui$3(c),h=d.next();!h.done;h=d.next()){var p=h.value;if(ms$1.checkMaxLength(n,p))return;f&&Transforms.splitNodes(n,{always:!0}),r(p),f=!0;}}catch(e){t={error:e};}finally{try{h&&!h.done&&(o=d.return)&&o.call(d);}finally{if(t)throw t.error}}}}},n.insertFragment=function(e){var t=ms$1.getNodesStr(e);ms$1.checkMaxLength(n,t)||i(e);},n},Fl$1=ze$6("species"),Il$1=function(e){var t=Me$6(e),n=yt$6.f;Ke$6&&t&&!t[Fl$1]&&n(t,Fl$1,{configurable:!0,get:function(){return this}});},Bl$1=yt$6.f,_l$1=Ci$3.fastKey,$l$1=It$6.set,Wl$1=It$6.getterFor,zl$1={getConstructor:function(e,t,n,r){var o=e((function(e,o){ji$3(e,i),$l$1(e,{type:t,index:Br$4(null),first:void 0,last:void 0,size:0}),Ke$6||(e.size=0),null!=o&&Li$3(o,e[r],{that:e,AS_ENTRIES:n});})),i=o.prototype,a=Wl$1(t),s=function(e,t,n){var r,o,i=a(e),s=l(e,t);return s?s.value=n:(i.last=s={index:o=_l$1(t,!0),key:t,value:n,previous:r=i.last,next:void 0,removed:!1},i.first||(i.first=s),r&&(r.next=s),Ke$6?i.size++:e.size++,"F"!==o&&(i.index[o]=s)),e},l=function(e,t){var n,r=a(e),o=_l$1(t);if("F"!==o)return r.index[o];for(n=r.first;n;n=n.next)if(n.key==t)return n};return yi$3(i,{clear:function(){for(var e=a(this),t=e.index,n=e.first;n;)n.removed=!0,n.previous&&(n.previous=n.previous.next=void 0),delete t[n.index],n=n.next;e.first=e.last=void 0,Ke$6?e.size=0:this.size=0;},delete:function(e){var t=this,n=a(t),r=l(t,e);if(r){var o=r.next,i=r.previous;delete n.index[r.index],r.removed=!0,i&&(i.next=o),o&&(o.previous=i),n.first==r&&(n.first=o),n.last==r&&(n.last=i),Ke$6?n.size--:t.size--;}return !!r},forEach:function(e){for(var t,n=a(this),r=nn$6(e,arguments.length>1?arguments[1]:void 0);t=t?t.next:n.first;)for(r(t.value,t.key,this);t&&t.removed;)t=t.previous;},has:function(e){return !!l(this,e)}}),yi$3(i,n?{get:function(e){var t=l(this,e);return t&&t.value},set:function(e,t){return s(this,0===e?0:e,t)}}:{add:function(e){return s(this,e=0===e?0:e,e)}}),Ke$6&&Bl$1(i,"size",{get:function(){return a(this).size}}),o},setStrong:function(e,t,n){var r=t+" Iterator",o=Wl$1(t),i=Wl$1(r);Jo$3(e,t,(function(e,t){$l$1(this,{type:r,target:e,state:o(e),kind:t,last:void 0});}),(function(){for(var e=i(this),t=e.kind,n=e.last;n&&n.removed;)n=n.previous;return e.target&&(e.last=n=n?n.next:e.state.first)?"keys"==t?{value:n.key,done:!1}:"values"==t?{value:n.value,done:!1}:{value:[n.key,n.value],done:!1}:(e.target=void 0,{value:void 0,done:!0})}),n?"entries":"values",!n,!0),Il$1(t);}};Ri$3("Set",(function(e){return function(){return e(this,arguments.length?arguments[0]:void 0)}}),zl$1);var Vl$1=function(e){return null!=e},Ul$1={object:!0,function:!0,undefined:!0},Kl$1=function(e){if(!function(e){return !!Vl$1(e)&&hasOwnProperty.call(Ul$1,typeof e)}(e))return !1;try{return !!e.constructor&&e.constructor.prototype===e}catch(e){return !1}},Hl$1=/^\s*class[\s{/}]/,ql$1=Function.prototype.toString,Gl$1=function(e){return !!function(e){if("function"!=typeof e)return !1;if(!hasOwnProperty.call(e,"length"))return !1;try{if("number"!=typeof e.length)return !1;if("function"!=typeof e.call)return !1;if("function"!=typeof e.apply)return !1}catch(e){return !1}return !Kl$1(e)}(e)&&!Hl$1.test(ql$1.call(e))},Jl$1=function(e){return null!=e},Yl$1=Object.keys,Xl$1=function(){try{return Object.keys("primitive"),!0}catch(e){return !1}}()?Object.keys:function(e){return Yl$1(Jl$1(e)?Object(e):e)},Zl$1=function(e){if(!Jl$1(e))throw new TypeError("Cannot use null or undefined");return e},Ql$1=Math.max,eu$1=function(){var e,t=Object.assign;return "function"==typeof t&&(t(e={foo:"raz"},{bar:"dwa"},{trzy:"trzy"}),e.foo+e.bar+e.trzy==="razdwatrzy")}()?Object.assign:function(e,t){var n,r,o,i=Ql$1(arguments.length,2);for(e=Object(Zl$1(e)),o=function(r){try{e[r]=t[r];}catch(e){n||(n=e);}},r=1;r<i;++r)Xl$1(t=arguments[r]).forEach(o);if(void 0!==n)throw n;return e},tu$1=Array.prototype.forEach,nu$1=Object.create,ru$1=function(e,t){var n;for(n in e)t[n]=e[n];},ou$1=function(e){var t=nu$1(null);return tu$1.call(arguments,(function(e){Jl$1(e)&&ru$1(Object(e),t);})),t},iu$1="razdwatrzy",au$1=String.prototype.indexOf,su$1="function"==typeof iu$1.contains&&!0===iu$1.contains("dwa")&&!1===iu$1.contains("foo")?String.prototype.contains:function(e){return au$1.call(this,e,arguments[1])>-1},lu$1=ne$6((function(e){var t=e.exports=function(e,t){var n,r,o,i,a;return arguments.length<2||"string"!=typeof e?(i=t,t=e,e=null):i=arguments[2],Vl$1(e)?(n=su$1.call(e,"c"),r=su$1.call(e,"e"),o=su$1.call(e,"w")):(n=o=!0,r=!1),a={value:t,configurable:n,enumerable:r,writable:o},i?eu$1(ou$1(i),a):a};t.gs=function(e,t,n){var r,o,i,a;return "string"!=typeof e?(i=n,n=t,t=e,e=null):i=arguments[3],Vl$1(t)?Gl$1(t)?Vl$1(n)?Gl$1(n)||(i=n,n=void 0):n=void 0:(i=t,t=n=void 0):t=void 0,Vl$1(e)?(r=su$1.call(e,"c"),o=su$1.call(e,"e")):(r=!0,o=!1),a={get:t,set:n,configurable:r,enumerable:o},i?eu$1(ou$1(i),a):a};})),uu$1=function(e){if("function"!=typeof e)throw new TypeError(e+" is not a function");return e},cu$1=ne$6((function(e,t){var n,r,o,i,a,s,l,u=Function.prototype.apply,c=Function.prototype.call,f=Object.create,d=Object.defineProperty,h=Object.defineProperties,p=Object.prototype.hasOwnProperty,g={configurable:!0,enumerable:!1,writable:!0};n=function(e,t){var n;return uu$1(t),p.call(this,"__ee__")?n=this.__ee__:(n=g.value=f(null),d(this,"__ee__",g),g.value=null),n[e]?"object"==typeof n[e]?n[e].push(t):n[e]=[n[e],t]:n[e]=t,this},r=function(e,t){var r,i;return uu$1(t),i=this,n.call(this,e,r=function(){o.call(i,e,r),u.call(t,this,arguments);}),r.__eeOnceListener__=t,this},o=function(e,t){var n,r,o,i;if(uu$1(t),!p.call(this,"__ee__"))return this;if(!(n=this.__ee__)[e])return this;if("object"==typeof(r=n[e]))for(i=0;o=r[i];++i)o!==t&&o.__eeOnceListener__!==t||(2===r.length?n[e]=r[i?0:1]:r.splice(i,1));else r!==t&&r.__eeOnceListener__!==t||delete n[e];return this},i=function(e){var t,n,r,o,i;if(p.call(this,"__ee__")&&(o=this.__ee__[e]))if("object"==typeof o){for(n=arguments.length,i=new Array(n-1),t=1;t<n;++t)i[t-1]=arguments[t];for(o=o.slice(),t=0;r=o[t];++t)u.call(r,this,i);}else switch(arguments.length){case 1:c.call(o,this);break;case 2:c.call(o,this,arguments[1]);break;case 3:c.call(o,this,arguments[1],arguments[2]);break;default:for(n=arguments.length,i=new Array(n-1),t=1;t<n;++t)i[t-1]=arguments[t];u.call(o,this,i);}},a={on:n,once:r,off:o,emit:i},s={on:lu$1(n),once:lu$1(r),off:lu$1(o),emit:lu$1(i)},l=h({},s),e.exports=t=function(e){return null==e?f(l):h(Object(e),s)},t.methods=a;}));function fu$1(e){var t=La$1.get(e);return null==t&&(t=cu$1(),La$1.set(e,t)),t}var du$1=new WeakMap;function hu$1(e,t){var n=du$1.get(e);null==n&&(n=new Set,du$1.set(e,n)),n.add(t);}function pu$1(e){return du$1.get(e)||new Set}function gu$1(e){du$1.set(e,new Set);}var vu$1,yu$1,mu$1,wu$1,bu$1=ae$6.Promise,xu$1=/(?:ipad|iphone|ipod).*applewebkit/i.test(Ne$6),Su$1="process"==Kt$6(ae$6.process),ku$1=ae$6.setImmediate,Ou$1=ae$6.clearImmediate,Eu$1=ae$6.process,Cu$1=ae$6.Dispatch,Pu$1=ae$6.Function,Mu$1=ae$6.MessageChannel,Nu$1=ae$6.String,Lu$1=0,Tu$1={};try{vu$1=ae$6.location;}catch(e){}var ju$1=function(e){if(xe$6(Tu$1,e)){var t=Tu$1[e];delete Tu$1[e],t();}},Ru$1=function(e){return function(){ju$1(e);}},Du$1=function(e){ju$1(e.data);},Au$1=function(e){ae$6.postMessage(Nu$1(e),vu$1.protocol+"//"+vu$1.host);};ku$1&&Ou$1||(ku$1=function(e){var t=mi$3(arguments,1);return Tu$1[++Lu$1]=function(){zs$1(Ce$6(e)?e:Pu$1(e),void 0,t);},yu$1(Lu$1),Lu$1},Ou$1=function(e){delete Tu$1[e];},Su$1?yu$1=function(e){Eu$1.nextTick(Ru$1(e));}:Cu$1&&Cu$1.now?yu$1=function(e){Cu$1.now(Ru$1(e));}:Mu$1&&!xu$1?(wu$1=(mu$1=new Mu$1).port2,mu$1.port1.onmessage=Du$1,yu$1=nn$6(wu$1.postMessage,wu$1)):ae$6.addEventListener&&Ce$6(ae$6.postMessage)&&!ae$6.importScripts&&vu$1&&"file:"!==vu$1.protocol&&!Ae$6(Au$1)?(yu$1=Au$1,ae$6.addEventListener("message",Du$1,!1)):yu$1="onreadystatechange"in Je$6("script")?function(e){jr$4.appendChild(Je$6("script")).onreadystatechange=function(){jr$4.removeChild(this),ju$1(e);};}:function(e){setTimeout(Ru$1(e),0);});var Fu$1,Iu$1,Bu$1,_u$1,$u$1,Wu$1,zu$1,Vu$1,Uu$1={set:ku$1,clear:Ou$1},Ku$1=/ipad|iphone|ipod/i.test(Ne$6)&&void 0!==ae$6.Pebble,Hu$1=/web0s(?!.*chrome)/i.test(Ne$6),qu$1=_n$6.f,Gu$1=Uu$1.set,Ju$1=ae$6.MutationObserver||ae$6.WebKitMutationObserver,Yu$1=ae$6.document,Xu$1=ae$6.process,Zu$1=ae$6.Promise,Qu$1=qu$1(ae$6,"queueMicrotask"),ec$1=Qu$1&&Qu$1.value;ec$1||(Fu$1=function(){var e,t;for(Su$1&&(e=Xu$1.domain)&&e.exit();Iu$1;){t=Iu$1.fn,Iu$1=Iu$1.next;try{t();}catch(e){throw Iu$1?_u$1():Bu$1=void 0,e}}Bu$1=void 0,e&&e.enter();},xu$1||Su$1||Hu$1||!Ju$1||!Yu$1?!Ku$1&&Zu$1&&Zu$1.resolve?((zu$1=Zu$1.resolve(void 0)).constructor=Zu$1,Vu$1=nn$6(zu$1.then,zu$1),_u$1=function(){Vu$1(Fu$1);}):Su$1?_u$1=function(){Xu$1.nextTick(Fu$1);}:(Gu$1=nn$6(Gu$1,ae$6),_u$1=function(){Gu$1(Fu$1);}):($u$1=!0,Wu$1=Yu$1.createTextNode(""),new Ju$1(Fu$1).observe(Wu$1,{characterData:!0}),_u$1=function(){Wu$1.data=$u$1=!$u$1;}));var tc$1,nc$1,rc$1,oc$1,ic$1=ec$1||function(e){var t={fn:e,next:void 0};Bu$1&&(Bu$1.next=t),Iu$1||(Iu$1=t,_u$1()),Bu$1=t;},ac$1=function(e){var t,n;this.promise=new e((function(e,r){if(void 0!==t||void 0!==n)throw TypeError("Bad Promise constructor");t=e,n=r;})),this.resolve=lt$6(t),this.reject=lt$6(n);},sc$1={f:function(e){return new ac$1(e)}},lc$1=function(e){try{return {error:!1,value:e()}}catch(e){return {error:!0,value:e}}},uc$1="object"==typeof window,cc$1=Uu$1.set,fc$1=ze$6("species"),dc$1=It$6.get,hc$1=It$6.set,pc$1=It$6.getterFor("Promise"),gc$1=bu$1&&bu$1.prototype,vc$1=bu$1,yc$1=gc$1,mc$1=ae$6.TypeError,wc$1=ae$6.document,bc$1=ae$6.process,xc$1=sc$1.f,Sc$1=xc$1,kc$1=!!(wc$1&&wc$1.createEvent&&ae$6.dispatchEvent),Oc$1=Ce$6(ae$6.PromiseRejectionEvent),Ec$1=!1,Cc$1=sr$4("Promise",(function(){var e=Ot$6(vc$1),t=e!==String(vc$1);if(!t&&66===De$6)return !0;if(De$6>=51&&/native code/.test(e))return !1;var n=new vc$1((function(e){e(1);})),r=function(e){e((function(){}),(function(){}));};return (n.constructor={})[fc$1]=r,!(Ec$1=n.then((function(){}))instanceof r)||!t&&uc$1&&!Oc$1})),Pc$1=Cc$1||!vo$3((function(e){vc$1.all(e).catch((function(){}));})),Mc$1=function(e){var t;return !(!He$6(e)||!Ce$6(t=e.then))&&t},Nc$1=function(e,t){if(!e.notified){e.notified=!0;var n=e.reactions;ic$1((function(){for(var r=e.value,o=1==e.state,i=0;n.length>i;){var a,s,l,u=n[i++],c=o?u.ok:u.fail,f=u.resolve,d=u.reject,h=u.domain;try{c?(o||(2===e.rejection&&Rc$1(e),e.rejection=1),!0===c?a=r:(h&&h.enter(),a=c(r),h&&(h.exit(),l=!0)),a===u.promise?d(mc$1("Promise-chain cycle")):(s=Mc$1(a))?tt$6(s,a,f,d):f(a)):d(r);}catch(e){h&&!l&&h.exit(),d(e);}}e.reactions=[],e.notified=!1,t&&!e.rejection&&Tc$1(e);}));}},Lc$1=function(e,t,n){var r,o;kc$1?((r=wc$1.createEvent("Event")).promise=t,r.reason=n,r.initEvent(e,!1,!0),ae$6.dispatchEvent(r)):r={promise:t,reason:n},!Oc$1&&(o=ae$6["on"+e])?o(r):"unhandledrejection"===e&&function(e,t){var n=ae$6.console;n&&n.error&&(1==arguments.length?n.error(e):n.error(e,t));}("Unhandled promise rejection",n);},Tc$1=function(e){tt$6(cc$1,ae$6,(function(){var t,n=e.facade,r=e.value;if(jc$1(e)&&(t=lc$1((function(){Su$1?bc$1.emit("unhandledRejection",r,n):Lc$1("unhandledrejection",n,r);})),e.rejection=Su$1||jc$1(e)?2:1,t.error))throw t.value}));},jc$1=function(e){return 1!==e.rejection&&!e.parent},Rc$1=function(e){tt$6(cc$1,ae$6,(function(){var t=e.facade;Su$1?bc$1.emit("rejectionHandled",t):Lc$1("rejectionhandled",t,e.value);}));},Dc$1=function(e,t,n){return function(r){e(t,r,n);}},Ac$1=function(e,t,n){e.done||(e.done=!0,n&&(e=n),e.value=t,e.state=2,Nc$1(e,!0));},Fc$1=function(e,t,n){if(!e.done){e.done=!0,n&&(e=n);try{if(e.facade===t)throw mc$1("Promise can't be resolved itself");var r=Mc$1(t);r?ic$1((function(){var n={done:!1};try{tt$6(r,t,Dc$1(Fc$1,n,e),Dc$1(Ac$1,n,e));}catch(t){Ac$1(n,t,e);}})):(e.value=t,e.state=1,Nc$1(e,!1));}catch(t){Ac$1({done:!1},t,e);}}};if(Cc$1&&(yc$1=(vc$1=function(e){ji$3(this,yc$1),lt$6(e),tt$6(tc$1,this);var t=dc$1(this);try{e(Dc$1(Fc$1,t),Dc$1(Ac$1,t));}catch(e){Ac$1(t,e);}}).prototype,(tc$1=function(e){hc$1(this,{type:"Promise",done:!1,notified:!1,parent:!1,reactions:[],rejection:!1,state:0,value:void 0});}).prototype=yi$3(yc$1,{then:function(e,t){var n=pc$1(this),r=n.reactions,o=xc$1(Ml$1(this,vc$1));return o.ok=!Ce$6(e)||e,o.fail=Ce$6(t)&&t,o.domain=Su$1?bc$1.domain:void 0,n.parent=!0,r[r.length]=o,0!=n.state&&Nc$1(n,!1),o.promise},catch:function(e){return this.then(void 0,e)}}),nc$1=function(){var e=new tc$1,t=dc$1(e);this.promise=e,this.resolve=Dc$1(Fc$1,t),this.reject=Dc$1(Ac$1,t);},sc$1.f=xc$1=function(e){return e===vc$1||e===rc$1?new nc$1(e):Sc$1(e)},Ce$6(bu$1)&&gc$1!==Object.prototype)){oc$1=gc$1.then,Ec$1||(zt$6(gc$1,"then",(function(e,t){var n=this;return new vc$1((function(e,t){tt$6(oc$1,n,e,t);})).then(e,t)}),{unsafe:!0}),zt$6(gc$1,"catch",yc$1.catch,{unsafe:!0}));try{delete gc$1.constructor;}catch(e){}zo$3&&zo$3(gc$1,yc$1);}function Ic$1(e){Promise.resolve().then(e);}function Bc$1(e){var t=ms$1.getTextarea(e).$textAreaContainer,n=t.width(),r=t.height(),o=t.offset();return {top:o.top,left:o.left,width:n,height:r}}function _c$1(e){var t={top:"0",left:"0"},n=e.selection;if(null==n)return t;var r=Bc$1(e);if(null==r)return t;var o=r.top,i=r.left,a=r.width,s=r.height,l=ms$1.toDOMRange(e,n).getClientRects()[0];if(null==l)return t;l.width;var u=l.height,c={},f=l.top-o,d=l.left-i;if(d>a/2){var h=a-d;c.right=h+5+"px";}else c.left=d+5+"px";if(f>s/2){var p=s-f;c.bottom=p+5+"px";}else {var g=f+u;g<0&&(g=0),c.top=g+5+"px";}return c}function $c$1(e,t,n){void 0===n&&(n="modal");var r={top:"0",left:"0"};if(null==e.selection)return r;var o=Element$1.isElement(t)&&e.isVoid(t),a=Oa$1.get(t);if(null==a)return r;var s=a.getBoundingClientRect(),l=s.top,u=s.left,c=s.height,f=s.width;if(o){var d=function(e){var t=[];t.push(e);for(var n=0;t.length>0;){var r=t.pop();if(null==r)break;if(++n>1e4)break;var o=r.nodeName;if(1===r.nodeType){var i=o.toLowerCase();if(Da$1.includes(i)||"iframe"===i||"video"===i)return r;var a=r.children||[],s=a.length;if(s)for(var l=s-1;l>=0;l--)t.push(a[l]);}}return null}(a);if(null!=d){var h=d.getBoundingClientRect();l=h.top,c=h.height;}}var p=Bc$1(e);if(null==p)return r;var g=p.top,v=p.left,y=p.width,m=p.height,w={},b=l-g,x=u-v;if("bar"===n)return w.left=x+"px",b>40?w.bottom=m-b+5+"px":w.top=b+c+5+"px",w;if("modal"===n){var S;if(o?x>(y-f)/2?w.right=y-x+5+"px":w.left=x+f+5+"px":w.left=x+"px",o)(S=b)<0&&(S=0),w.top=S+"px";else if(b>(m-c)/2)w.bottom=m-b+5+"px";else (S=b+c)<0&&(S=0),w.top=S+5+"px";return w}throw new Error("type '"+n+"' is invalid")}function Wc$1(e,t){Ic$1((function(){var n=Bc$1(e);if(null!=n){var r,o=n.top,i=n.left,a=n.width,s=n.height,l=t.offset(),u=l.top,c=l.left,f=t.width(),d=t.height(),h=u-o,p=c-i,g=t.attr("style");if(g.indexOf("top")>=0)if((r=h+d-s)>0){var v=t.css("top"),y=parseInt(v.toString())-r;y<0&&(y=0),t.css("top",y+"px");}if(g.indexOf("bottom")>=0&&u<0){var m=t.css("bottom"),w=parseInt(m.toString())-Math.abs(u);t.css("bottom",w+"px");}if(g.indexOf("left")>=0)if((r=p+f-a)>0){var b=t.css("left"),x=parseInt(b.toString())-r;x<0&&(x=0),t.css("left",x+"px");}if(g.indexOf("right")>=0&&c<0){var S=t.css("right"),k=parseInt(S.toString())-Math.abs(c);t.css("right",k+"px");}}}));}ur$4({global:!0,wrap:!0,forced:Cc$1},{Promise:vc$1}),Io$3(vc$1,"Promise",!1),Il$1("Promise"),rc$1=Me$6("Promise"),ur$4({target:"Promise",stat:!0,forced:Cc$1},{reject:function(e){var t=xc$1(this);return tt$6(t.reject,void 0,e),t.promise}}),ur$4({target:"Promise",stat:!0,forced:Cc$1},{resolve:function(e){return function(e,t){if(Qe$6(e),He$6(t)&&t.constructor===e)return t;var n=sc$1.f(e);return (0, n.resolve)(t),n.promise}(this,e)}}),ur$4({target:"Promise",stat:!0,forced:Pc$1},{all:function(e){var t=this,n=xc$1(t),r=n.resolve,o=n.reject,i=lc$1((function(){var n=lt$6(t.resolve),i=[],a=0,s=1;Li$3(e,(function(e){var l=a++,u=!1;s++,tt$6(n,t,e).then((function(e){u||(u=!0,i[l]=e,--s||r(i));}),o);})),--s||r(i);}));return i.error&&o(i.value),n.promise},race:function(e){var t=this,n=xc$1(t),r=n.reject,o=lc$1((function(){var o=lt$6(t.resolve);Li$3(e,(function(e){tt$6(o,t,e).then(n.resolve,r);}));}));return o.error&&r(o.value),n.promise}});var zc$1,Vc$1=_n$6.f,Uc$1=ge$6("".startsWith),Kc$1=ge$6("".slice),Hc$1=Math.min,qc$1=Gr$4("startsWith"),Gc$1=!(qc$1||(zc$1=Vc$1(String.prototype,"startsWith"),!zc$1||zc$1.writable));ur$4({target:"String",proto:!0,forced:!Gc$1&&!qc$1},{startsWith:function(e){var t=Sr$4(ye$6(this));Hr$4(e);var n=fn$6(Hc$1(arguments.length>1?arguments[1]:void 0,t.length)),r=Sr$4(e);return Uc$1?Uc$1(t,r,n):Kc$1(t,n,n+r.length)===r}});var Jc$1=ri$3("slice"),Yc$1=ze$6("species"),Xc$1=ae$6.Array,Zc$1=Math.max;ur$4({target:"Array",proto:!0,forced:!Jc$1},{slice:function(e,t){var n,r,o,i=In$6(this),a=dn$6(i),s=zn$6(e,a),l=zn$6(void 0===t?a:t,a);if(hn$6(i)&&(n=i.constructor,(xn$6(n)&&(n===Xc$1||hn$6(n.prototype))||He$6(n)&&null===(n=n[Yc$1]))&&(n=void 0),n===Xc$1||void 0===n))return mi$3(i,s,l);for(r=new(void 0===n?Xc$1:n)(Zc$1(l-s,0)),o=0;s<l;s++,o++)s in i&&io$4(r,o,i[s]);return r.length=o,r}});var Qc$1=Object.assign,ef$1=Object.defineProperty,tf$1=ge$6([].concat),nf$1=!Qc$1||Ae$6((function(){if(Ke$6&&1!==Qc$1({b:1},Qc$1(ef$1({},"a",{enumerable:!0,get:function(){ef$1(this,"b",{value:3,enumerable:!1});}}),{b:2})).b)return !0;var e={},t={},n=Symbol(),r="abcdefghijklmnopqrst";return e[n]=7,r.split("").forEach((function(e){t[e]=e;})),7!=Qc$1({},e)[n]||cr$4(Qc$1({},t)).join("")!=r}))?function(e,t){for(var n=we$6(e),r=arguments.length,o=1,i=Xn$5.f,a=Fn$5.f;r>o;)for(var s,l=an$6(arguments[o++]),u=i?tf$1(cr$4(l),i(l)):cr$4(l),c=u.length,f=0;c>f;)s=u[f++],Ke$6&&!tt$6(a,l,s)||(n[s]=l[s]);return n}:Qc$1;ur$4({target:"Object",stat:!0,forced:Object.assign!==nf$1},{assign:nf$1});var rf$1=["props","attrs","style","dataset","on","hook"];function of$1(e){var t=e.data,n=void 0===t?{}:t,r=e.children,o=void 0===r?[]:r;Object.keys(n).forEach((function(t){var r,o,i=n[t];if("key"!==t){if(!rf$1.includes(t)){if(t.startsWith("data-")){var a=t.slice(5);return a=lodash_camelcase(a),function(e,t){null==e.data&&(e.data={});var n=e.data;null==n.dataset&&(n.dataset={});Object.assign(n.dataset,t);}(e,((r={})[a]=i,r)),void delete n[t]}!function(e,t){null==e.data&&(e.data={});var n=e.data;null==n.props&&(n.props={});Object.assign(n.props,t);}(e,(o={},o[t]=i,o)),delete n[t];}}else e.key=i;})),o.length>0&&o.forEach((function(e){"string"!=typeof e&&of$1(e);}));}var af$1=[];function sf$1(e){af$1.push(e);}var lf$1={};function uf$1(e){var t=e.type,n=e.renderElem;lf$1[t||""]=n;}function cf$1(e,t,n){var r=n.isInline(e)?"span":"div";return jsx(r,null,t)}function ff$1(t,n){var o,i=ms$1.findKey(n,t),a=n.isInline(t),s=Editor.isVoid(n,t),l=hl$1(i.id),u={id:l,key:i.id,"data-slate-node":"element","data-slate-inline":a},c=t.type,f=t.children,d=void 0===f?[]:f,h=function(e){return lf$1[e]||cf$1}(c);o=s?null:d.map((function(e,r){return gf$1(e,r,t,n)}));var p=h(t,o,n);if(s){u["data-slate-void"]=!0;var g=a?"span":"div",v=ci$3(Node$1.texts(t),1),y=ci$3(v[0],1)[0],m=gf$1(y,0,t,n),w=jsx(g,{"data-slate-spacer":!0,style:{height:"0",color:"transparent",outline:"none",position:"absolute"}},m);p=jsx(g,null,p,w),wa$1.set(y,0),ba$1.set(y,t);}return null==p.data&&(p.data={}),Object.assign(p.data,u),s||a||(p=function(e,t){var n=t;return af$1.forEach((function(r){n=r(e,t);})),n}(t,p)),Ic$1((function(){var e=$a$1(l);null!=e&&(ka$1.set(i,e),Oa$1.set(t,e),Sa$1.set(e,t));})),p}function df$1(e,t){return void 0===t&&(t=!1),jsx("span",{"data-slate-string":!0},t?e+"\n":e)}function hf$1(e,t){return void 0===e&&(e=0),void 0===t&&(t=!1),jsx("span",{"data-slate-zero-width":t?"n":"z","data-slate-length":e},"\ufeff",t?jsx("br",null):null)}function pf$1(t,o,i){if(null==t.text)throw new Error("Current node is not slate Text "+JSON.stringify(t));var s=ms$1.findKey(i,t),l=i.getConfig().decorate;if(null==l)throw new Error("Can not get config.decorate");var u=ms$1.findPath(i,t),c=l([t,u]),f=Text.decorations(t,c),d=f.map((function(a,s){var l=function(t,o,i,a,s){void 0===o&&(o=!1);var l=t.text,u=ms$1.findPath(s,i),c=Path.parent(u);if(Editor.isEditor(a))throw new Error("Text node "+JSON.stringify(i)+" parent is Editor");return s.isVoid(a)?hf$1(Node$1.string(a).length):""!==l||a.children[a.children.length-1]!==i||s.isInline(a)||""!==Editor.string(s,c)?""===l?hf$1():o&&"\n"===l.slice(-1)?df$1(l,!0):df$1(l):hf$1(0,!0)}(a,s===f.length-1,t,o,i);return l=function(e,t){var n=t;return af$1.forEach((function(t){n=t(e,n);})),n}(a,l),jsx("span",{"data-slate-leaf":!0},l)})),h=function(e){return "w-e-text-"+e}(s.id),p=jsx("span",{"data-slate-node":"text",id:h,key:s.id},d);return Ic$1((function(){var e=$a$1(h);null!=e&&(ka$1.set(s,e),Oa$1.set(t,e),Sa$1.set(e,t));})),p}function gf$1(e,t,n,r){return wa$1.set(e,t),ba$1.set(e,n),Element$1.isElement(e)?ff$1(e,r):pf$1(e,n,r)}function vf$1(e,t){var n,r=e.$scroll,o=function(e){return "w-e-textarea-"+e}(e.id),i=t.getConfig(),a=i.readOnly,s=i.autoFocus,l=function(e,t){return void 0===t&&(t=!1),h$3("div#"+e,{props:{contentEditable:!t}})}(o,a),u=t.children||[];l.children=u.map((function(e,n){var r=gf$1(e,n,t,t);return of$1(r),r}));var c=va$1.get(e);if(null==c&&(c=!0),c){var f=function(e,t){return $$6('<div\n        id="'+e+'"\n        data-slate-editor\n        data-slate-node="value"\n        suppressContentEditableWarning\n        data-gramm="false"\n        role="textarea"\n        spellCheck="true"\n        autoCorrect="true"\n        autoCapitalize="true"\n    ></div>')}(o);r.append(f),e.$textArea=f,n=f[0],(p=init([classModule,propsModule,styleModule,datasetModule,eventListenersModule]))(n,l),va$1.set(e,!1),ya$1.set(e,p);}else {var h=ma$1.get(e),p=ya$1.get(e);if(null==h||null==p)return;n=h.elm,p(h,l);}if(null!=n||null!=(n=$a$1(o))){if((c?s:t.isFocused())&&n.focus({preventScroll:!0}),c){var g=Aa$1(n);g&&Ca$1.set(t,g);}xa$1.set(t,n),Oa$1.set(t,n),Sa$1.set(n,t),ma$1.set(e,l);}}function yf$1(e){return "object"==typeof e&&null!=e&&1===e.nodeType}function mf$1(e,t){return (!t||"hidden"!==e)&&"visible"!==e&&"clip"!==e}function wf$1(e,t){if(e.clientHeight<e.scrollHeight||e.clientWidth<e.scrollWidth){var n=getComputedStyle(e,null);return mf$1(n.overflowY,t)||mf$1(n.overflowX,t)||function(e){var t=function(e){if(!e.ownerDocument||!e.ownerDocument.defaultView)return null;try{return e.ownerDocument.defaultView.frameElement}catch(e){return null}}(e);return !!t&&(t.clientHeight<e.scrollHeight||t.clientWidth<e.scrollWidth)}(e)}return !1}function bf$1(e,t,n,r,o,i,a,s){return i<e&&a>t||i>e&&a<t?0:i<=e&&s<=n||a>=t&&s>=n?i-e-r:a>t&&s<n||i<e&&s>n?a-t+o:0}function xf$1(e,t){var n=window,r=t.scrollMode,o=t.block,i=t.inline,a=t.boundary,s=t.skipOverflowHiddenElements,l="function"==typeof a?a:function(e){return e!==a};if(!yf$1(e))throw new TypeError("Invalid target");for(var u=document.scrollingElement||document.documentElement,c=[],f=e;yf$1(f)&&l(f);){if((f=f.parentElement)===u){c.push(f);break}null!=f&&f===document.body&&wf$1(f)&&!wf$1(document.documentElement)||null!=f&&wf$1(f,s)&&c.push(f);}for(var d=n.visualViewport?n.visualViewport.width:innerWidth,h=n.visualViewport?n.visualViewport.height:innerHeight,p=window.scrollX||pageXOffset,g=window.scrollY||pageYOffset,v=e.getBoundingClientRect(),y=v.height,m=v.width,w=v.top,b=v.right,x=v.bottom,S=v.left,k="start"===o||"nearest"===o?w:"end"===o?x:w+y/2,O="center"===i?S+m/2:"end"===i?b:S,E=[],C=0;C<c.length;C++){var P=c[C],M=P.getBoundingClientRect(),N=M.height,L=M.width,T=M.top,j=M.right,R=M.bottom,D=M.left;if("if-needed"===r&&w>=0&&S>=0&&x<=h&&b<=d&&w>=T&&x<=R&&S>=D&&b<=j)return E;var A=getComputedStyle(P),F=parseInt(A.borderLeftWidth,10),I=parseInt(A.borderTopWidth,10),B=parseInt(A.borderRightWidth,10),_=parseInt(A.borderBottomWidth,10),$=0,W=0,z="offsetWidth"in P?P.offsetWidth-P.clientWidth-F-B:0,V="offsetHeight"in P?P.offsetHeight-P.clientHeight-I-_:0;if(u===P)$="start"===o?k:"end"===o?k-h:"nearest"===o?bf$1(g,g+h,h,I,_,g+k,g+k+y,y):k-h/2,W="start"===i?O:"center"===i?O-d/2:"end"===i?O-d:bf$1(p,p+d,d,F,B,p+O,p+O+m,m),$=Math.max(0,$+g),W=Math.max(0,W+p);else {$="start"===o?k-T-I:"end"===o?k-R+_+V:"nearest"===o?bf$1(T,R,N,I,_+V,k,k+y,y):k-(T+N/2)+V/2,W="start"===i?O-D-F:"center"===i?O-(D+L/2)+z/2:"end"===i?O-j+B+z:bf$1(D,j,L,F,B+z,O,O+m,m);var U=P.scrollLeft,K=P.scrollTop;k+=K-($=Math.max(0,Math.min(K+$,P.scrollHeight-N+V))),O+=U-(W=Math.max(0,Math.min(U+W,P.scrollWidth-L+z)));}E.push({el:P,top:$,left:W});}return E}function Sf$1(e){return e===Object(e)&&0!==Object.keys(e).length}function kf$1(e,t){var n=!e.ownerDocument.documentElement.contains(e);if(Sf$1(t)&&"function"==typeof t.behavior)return t.behavior(n?[]:xf$1(e,t));if(!n){var r=function(e){return !1===e?{block:"end",inline:"nearest"}:Sf$1(e)?e:{block:"start",inline:"nearest"}}(t);return function(e,t){void 0===t&&(t="auto");var n="scrollBehavior"in document.body.style;e.forEach((function(e){var r=e.el,o=e.top,i=e.left;r.scroll&&n?r.scroll({top:o,left:i,behavior:t}):(r.scrollTop=o,r.scrollLeft=i);}));}(xf$1(e,r),r.behavior)}}function Of$1(e,t){return Ia$1(t)&&ms$1.hasDOMNode(e,t,{editable:!0})}function Ef$1(t,n){var r=Cf$1(t,n)&&ms$1.toSlateNode(t,n);return Editor.isVoid(t,r)}function Cf$1(e,t){return Ia$1(t)&&ms$1.hasDOMNode(e,t)}var Pf$1=_n$6.f,Mf$1=ge$6("".endsWith),Nf$1=ge$6("".slice),Lf$1=Math.min,Tf$1=Gr$4("endsWith"),jf$1=!Tf$1&&!!function(){var e=Pf$1(String.prototype,"endsWith");return e&&!e.writable}();ur$4({target:"String",proto:!0,forced:!jf$1&&!Tf$1},{endsWith:function(e){var t=Sr$4(ye$6(this));Hr$4(e);var n=arguments.length>1?arguments[1]:void 0,r=t.length,o=void 0===n?r:Lf$1(fn$6(n),r),i=Sr$4(e);return Mf$1?Mf$1(t,i,o):Nf$1(t,o-i.length,o)===i}});var Rf$1=new WeakMap,Df$1=new WeakMap;var Af$1={bold:"mod+b",compose:["down","left","right","up","backspace","enter"],moveBackward:"left",moveForward:"right",moveWordBackward:"ctrl+left",moveWordForward:"ctrl+right",deleteBackward:"shift?+backspace",deleteForward:"shift?+delete",extendBackward:"shift+left",extendForward:"shift+right",italic:"mod+i",splitBlock:"shift?+enter",undo:"mod+z",tab:"tab",selectAll:"mod+a"},Ff$1={moveLineBackward:"opt+up",moveLineForward:"opt+down",moveWordBackward:"opt+left",moveWordForward:"opt+right",deleteBackward:["ctrl+backspace","ctrl+h"],deleteForward:["ctrl+delete","ctrl+d"],deleteLineBackward:"cmd+shift?+backspace",deleteLineForward:["cmd+shift?+delete","ctrl+k"],deleteWordBackward:"opt+shift?+backspace",deleteWordForward:"opt+shift?+delete",extendLineBackward:"opt+shift+up",extendLineForward:"opt+shift+down",redo:"cmd+shift+z",transposeCharacter:"ctrl+t"},If$1={deleteWordBackward:"ctrl+shift?+backspace",deleteWordForward:"ctrl+shift?+delete",redo:["ctrl+y","ctrl+shift+z"]},Bf$1=function(e){var t=Af$1[e],n=Ff$1[e],r=If$1[e],o=t&&isKeyHotkey_1(t),i=n&&isKeyHotkey_1(n),a=r&&isKeyHotkey_1(r);return function(e){return !(!o||!o(e))||(!!(fs$1&&i&&i(e))||!(fs$1||!a||!a(e)))}},_f$1={isBold:Bf$1("bold"),isCompose:Bf$1("compose"),isMoveBackward:Bf$1("moveBackward"),isMoveForward:Bf$1("moveForward"),isDeleteBackward:Bf$1("deleteBackward"),isDeleteForward:Bf$1("deleteForward"),isDeleteLineBackward:Bf$1("deleteLineBackward"),isDeleteLineForward:Bf$1("deleteLineForward"),isDeleteWordBackward:Bf$1("deleteWordBackward"),isDeleteWordForward:Bf$1("deleteWordForward"),isExtendBackward:Bf$1("extendBackward"),isExtendForward:Bf$1("extendForward"),isExtendLineBackward:Bf$1("extendLineBackward"),isExtendLineForward:Bf$1("extendLineForward"),isItalic:Bf$1("italic"),isMoveLineBackward:Bf$1("moveLineBackward"),isMoveLineForward:Bf$1("moveLineForward"),isMoveWordBackward:Bf$1("moveWordBackward"),isMoveWordForward:Bf$1("moveWordForward"),isRedo:Bf$1("redo"),isSplitBlock:Bf$1("splitBlock"),isTransposeCharacter:Bf$1("transposeCharacter"),isUndo:Bf$1("undo"),isTab:Bf$1("tab"),isSelectAll:Bf$1("selectAll")};function $f$1(e){e.preventDefault();}var Wf$1={beforeinput:function(t,n,r){var i=t,a=r.getConfig().readOnly;if(ys$1&&!a&&Of$1(r,i.target)){var l=r.selection,u=i.inputType,c=i.dataTransfer||i.data||void 0;if("insertCompositionText"!==u&&"deleteCompositionText"!==u){if(i.preventDefault(),!u.startsWith("delete")||u.startsWith("deleteBy")){var f=ci$3(i.getTargetRanges(),1)[0];if(f){var d=ms$1.toSlateRange(r,f,{exactMatch:!1});l&&Range.equals(l,d)||Transforms.select(r,d);}}if(l&&Range.isExpanded(l)&&u.startsWith("delete")){var h=u.endsWith("Backward")?"backward":"forward";Editor.deleteFragment(r,{direction:h});}else switch(u){case"deleteByComposition":case"deleteByCut":case"deleteByDrag":Editor.deleteFragment(r);break;case"deleteContent":case"deleteContentForward":Editor.deleteForward(r);break;case"deleteContentBackward":Editor.deleteBackward(r);break;case"deleteEntireSoftLine":Editor.deleteBackward(r,{unit:"line"}),Editor.deleteForward(r,{unit:"line"});break;case"deleteHardLineBackward":Editor.deleteBackward(r,{unit:"block"});break;case"deleteSoftLineBackward":Editor.deleteBackward(r,{unit:"line"});break;case"deleteHardLineForward":Editor.deleteForward(r,{unit:"block"});break;case"deleteSoftLineForward":Editor.deleteForward(r,{unit:"line"});break;case"deleteWordBackward":Editor.deleteBackward(r,{unit:"word"});break;case"deleteWordForward":Editor.deleteForward(r,{unit:"word"});break;case"insertLineBreak":case"insertParagraph":Editor.insertBreak(r);break;case"insertFromDrop":case"insertFromPaste":case"insertFromYank":case"insertReplacementText":case"insertText":if("insertFromPaste"===u&&!Ta$1.get(r))break;c instanceof DataTransfer?r.insertData(c):"string"==typeof c&&Editor.insertText(r,c);}}}},blur:function(e,t,n){var r=e,o=t.isUpdatingSelection,a=t.latestElement;if(!n.getConfig().readOnly&&!o&&Of$1(n,r.target)){var s=ms$1.findDocumentOrShadowRoot(n);if(a!==s.activeElement){var l=r.relatedTarget;if(!(l===ms$1.toDOMNode(n,n)||Fa$1(l)&&l.hasAttribute("data-slate-spacer"))){if(null!=l&&Ia$1(l)&&ms$1.hasDOMNode(n,l)){var u=ms$1.toSlateNode(n,l);if(Element$1.isElement(u)&&!n.isVoid(u))return}if(hs$1){var c=s.getSelection();null==c||c.removeAllRanges();}Pa$1.delete(n);}}}},focus:function(e,t,n){var r=ms$1.toDOMNode(n,n),o=ms$1.findDocumentOrShadowRoot(n);t.latestElement=o.activeElement,ds$1&&e.target!==r?r.focus():Pa$1.set(n,!0);},click:function(t,r,o){if(!o.getConfig().readOnly&&Cf$1(o,t.target)&&Ia$1(t.target)){var i=ms$1.toSlateNode(o,t.target),a=ms$1.findPath(o,i),l=Editor.start(o,a),u=Editor.end(o,a),c=Editor.void(o,{at:l}),f=Editor.void(o,{at:u});if(c&&f&&Path.equals(c[1],f[1])){var d=Editor.range(o,l);Transforms.select(o,d);}}},compositionstart:function(t,n,r){if(Of$1(r,t.target)){var i=r.selection;if(i&&Range.isExpanded(i)&&Editor.deleteFragment(r),i&&Range.isCollapsed(i)){var a=ms$1.toDOMRange(r,i).startContainer,s=a.textContent||"";Rf$1.set(r,s),Df$1.set(r,a);}n.isComposing=!0,function(e,t){var n;t.getConfig().placeholder&&t.isEmpty()&&e.showPlaceholder&&(null===(n=e.$placeholder)||void 0===n||n.hide(),e.showPlaceholder=!1);}(n,r);}},compositionend:function(t,n,r){var a=t;if(Of$1(r,a.target)){n.isComposing=!1;var s=r.selection;if(null!=s){vs$1&&ms$1.cleanExposedTexNodeInSelectionBlock(r);for(var l=Range.isBackward(s)?s.focus:s.anchor,u=ci$3(Editor.node(r,[l.path[0]]),1)[0],c=0;c<l.path.length;c++){var f=ci$3(Editor.node(r,l.path.slice(0,c+1)),1)[0];if(Element$1.isElement(f)&&((hs$1||ds$1)&&"link"===f.type||"code"===f.type)){ms$1.setNewKey(u);break}}var d=a.data;if(ms$1.checkMaxLength(r,d))return ms$1.toDOMRange(r,s).startContainer.textContent=Rf$1.get(r)||"",void n.changeViewState();d&&Editor.insertText(r,d),hs$1||setTimeout((function(){var e=r.selection;if(null!=e){var t=Df$1.get(r);if(null!=t)ms$1.toDOMRange(r,e).startContainer!==t&&(t.textContent=Rf$1.get(r)||"");}}));}}},compositionupdate:function(e,t,n){Of$1(n,e.target)&&(t.isComposing=!0);},keydown:function(t,n,a){var l=t,u=a.selection;if(!a.getConfig().readOnly&&Of$1(a,l.target)){if(function(e,t){var n=ua$1.get(e),r=n&&n.getMenus(),o=fa$1.get(e),i=o&&o.getMenus(),a=li$3(li$3({},r),i);for(var s in a){var l=a[s],u=l.hotkey;if(u&&isHotkey_1(u,t)&&!l.isDisabled(e)){var c=l.getValue(e);l.exec(e,c);}}}(a,l),_f$1.isTab(l))return $f$1(l),void a.handleTab();if(_f$1.isRedo(l))return $f$1(l),void("function"==typeof a.redo&&a.redo());if(_f$1.isUndo(l))return $f$1(l),void("function"==typeof a.undo&&a.undo());if(_f$1.isMoveLineBackward(l))return $f$1(l),void Transforms.move(a,{unit:"line",reverse:!0});if(_f$1.isMoveLineForward(l))return $f$1(l),void Transforms.move(a,{unit:"line"});if(_f$1.isExtendLineBackward(l))return $f$1(l),void Transforms.move(a,{unit:"line",edge:"focus",reverse:!0});if(_f$1.isExtendLineForward(l))return $f$1(l),void Transforms.move(a,{unit:"line",edge:"focus"});if(_f$1.isMoveBackward(l))return $f$1(l),void(u&&Range.isCollapsed(u)?Transforms.move(a,{reverse:!0}):Transforms.collapse(a,{edge:"start"}));if(_f$1.isMoveForward(l))return $f$1(l),void(u&&Range.isCollapsed(u)?Transforms.move(a):Transforms.collapse(a,{edge:"end"}));if(_f$1.isMoveWordBackward(l))return $f$1(l),u&&Range.isExpanded(u)&&Transforms.collapse(a,{edge:"focus"}),void Transforms.move(a,{unit:"word",reverse:!0});if(_f$1.isMoveWordForward(l))return $f$1(l),u&&Range.isExpanded(u)&&Transforms.collapse(a,{edge:"focus"}),void Transforms.move(a,{unit:"word"});if(_f$1.isSelectAll(l)){$f$1(l);var c=Editor.start(a,[]),f=Editor.end(a,[]);Transforms.select(a,{anchor:c,focus:f});}else if(ys$1){if((vs$1||hs$1)&&u&&(_f$1.isDeleteBackward(l)||_f$1.isDeleteForward(l))&&Range.isCollapsed(u)){var d=Node$1.parent(a,u.anchor.path);if(Element$1.isElement(d)&&Editor.isVoid(a,d)&&Editor.isInline(a,d))return l.preventDefault(),void Transforms.delete(a,{unit:"block"})}}else {if(_f$1.isBold(l)||_f$1.isItalic(l)||_f$1.isTransposeCharacter(l))return void $f$1(l);if(_f$1.isSplitBlock(l))return $f$1(l),void Editor.insertBreak(a);if(_f$1.isDeleteBackward(l))return $f$1(l),void(u&&Range.isExpanded(u)?Editor.deleteFragment(a,{direction:"backward"}):Editor.deleteBackward(a));if(_f$1.isDeleteForward(l))return $f$1(l),void(u&&Range.isExpanded(u)?Editor.deleteFragment(a,{direction:"forward"}):Editor.deleteForward(a));if(_f$1.isDeleteLineBackward(l))return $f$1(l),void(u&&Range.isExpanded(u)?Editor.deleteFragment(a,{direction:"backward"}):Editor.deleteBackward(a,{unit:"line"}));if(_f$1.isDeleteLineForward(l))return $f$1(l),void(u&&Range.isExpanded(u)?Editor.deleteFragment(a,{direction:"forward"}):Editor.deleteForward(a,{unit:"line"}));if(_f$1.isDeleteWordBackward(l))return $f$1(l),void(u&&Range.isExpanded(u)?Editor.deleteFragment(a,{direction:"backward"}):Editor.deleteBackward(a,{unit:"word"}));if(_f$1.isDeleteWordForward(l))return $f$1(l),void(u&&Range.isExpanded(u)?Editor.deleteFragment(a,{direction:"forward"}):Editor.deleteForward(a,{unit:"word"}))}}},keypress:function(t,n,r){if(!ys$1&&!r.getConfig().readOnly&&Of$1(r,t.target)){t.preventDefault();var o=t.key;Editor.insertText(r,o);}},copy:function(e,t,n){var r=e;if(Of$1(n,r.target)){r.preventDefault();var o=r.clipboardData;null!=o&&n.setFragmentData(o);}},cut:function(t,n,i){var a=t,l=i.selection;if(!i.getConfig().readOnly&&Of$1(i,a.target)){a.preventDefault();var u=a.clipboardData;if(null!=u&&(i.setFragmentData(u),l))if(Range.isExpanded(l))Editor.deleteFragment(i);else {var c=Node$1.parent(i,l.anchor.path);Editor.isVoid(i,c)&&Transforms.delete(i);}}},paste:function(e,t,n){Ta$1.set(n,!0);var r=e;if(!n.getConfig().readOnly&&Of$1(n,r.target)){var o=n.getConfig().customPaste;if(o)if(!1===o(n,r))return void Ta$1.set(n,!1);if(!ys$1||function(e){return e.clipboardData&&""!==e.clipboardData.getData("text/plain")&&1===e.clipboardData.types.length}(r)){r.preventDefault();var i=r.clipboardData;null!=i&&n.insertData(i);}}},dragover:function(t,n,r){if(Cf$1(r,t.target)){var o=ms$1.toSlateNode(r,t.target);Editor.isVoid(r,o)&&t.preventDefault();}},dragstart:function(t,n,r){var o=t;if(Cf$1(r,o.target)){var i=ms$1.toSlateNode(r,o.target),a=ms$1.findPath(r,i);if(Editor.isVoid(r,i)||Editor.void(r,{at:a,voids:!0})){var l=Editor.range(r,a);Transforms.select(r,l);}var u=o.dataTransfer;null!=u&&(n.isDraggingInternally=!0,r.setFragmentData(u));}},dragend:function(e,t,n){var r=e;n.getConfig().readOnly||t.isDraggingInternally&&Cf$1(n,r.target)&&(t.isDraggingInternally=!1);},drop:function(e,t,n){var r=e,o=r.dataTransfer;if(!n.getConfig().readOnly&&Cf$1(n,r.target)&&null!=o&&!(ys$1&&hs$1&&o.files.length>0)){r.preventDefault();var i=n.selection,a=ms$1.findEventRange(n,r);Transforms.select(n,a),t.isDraggingInternally&&(i&&Transforms.delete(n,{at:i}),t.isDraggingInternally=!1),n.insertData(o),n.isFocused()||n.focus();}}},zf$1=1,Vf$1=function(){function e(e){var t=this;this.id=zf$1++,this.$textArea=null,this.$progressBar=$$6('<div class="w-e-progress-bar"></div>'),this.isComposing=!1,this.isUpdatingSelection=!1,this.isDraggingInternally=!1,this.latestElement=null,this.showPlaceholder=!1,this.$placeholder=null,this.latestEditorSelection=null,this.onDOMSelectionChange=lodash_throttle((function(){var e=t.editorInstance;!function(e,t){var n=e.isComposing,r=e.isUpdatingSelection,o=e.isDraggingInternally;if(!(t.getConfig().readOnly||n||r||o)){var i=ms$1.findDocumentOrShadowRoot(t),a=i.activeElement,l=ms$1.toDOMNode(t,t),u=i.getSelection();if(a===l?(e.latestElement=a,Pa$1.set(t,!0)):Pa$1.delete(t),!u)return Transforms.deselect(t);var c=u.anchorNode,f=u.focusNode,d=Of$1(t,c)||Ef$1(t,c),h=Of$1(t,f)||Ef$1(t,f);if(d&&h){var p=ms$1.toSlateRange(t,u,{exactMatch:!1});Transforms.select(t,p);}else Transforms.deselect(t);}}(t,e);}),100);var n=$$6(e);if(0===n.length)throw new Error("Cannot find textarea DOM by selector '"+e+"'");this.$box=n;var r=$$6('<div class="w-e-text-container"></div>');r.append(this.$progressBar),n.append(r);var o=$$6('<div class="w-e-scroll"></div>');r.append(o),this.$scroll=o,this.$textAreaContainer=r,Ic$1((function(){var e=t.editorInstance,n=ms$1.getWindow(e);n.document.addEventListener("selectionchange",t.onDOMSelectionChange),e.on("destroyed",(function(){n.document.removeEventListener("selectionchange",t.onDOMSelectionChange);})),r.on("mousedown",(function(){return e.hidePanelOrModal()})),e.on("change",t.changeViewState.bind(t));var o=e.getConfig().onChange;o&&e.on("change",(function(){return o(e)})),t.onFocusAndOnBlur(),t.bindEvent();}));}return Object.defineProperty(e.prototype,"editorInstance",{get:function(){var e=sa$1.get(this);if(null==e)throw new Error("Can not get editor instance");return e},enumerable:!1,configurable:!0}),e.prototype.bindEvent=function(){var e=this,t=this.$textArea,n=this.$scroll,r=this.editorInstance;null!=t&&(lodash_foreach(Wf$1,(function(n,o){t.on(o,(function(t){n(t,e,r);}));})),r.getConfig().scroll&&(n.css("overflow-y","auto"),n.on("scroll",lodash_throttle((function(){r.emit("scroll");}),100))));},e.prototype.onFocusAndOnBlur=function(){var e=this,t=this.editorInstance,n=t.getConfig(),r=n.onBlur,o=n.onFocus;this.latestEditorSelection=t.selection,t.on("change",(function(){null==e.latestEditorSelection&&null!=t.selection?o&&o(t):null!=e.latestEditorSelection&&null==t.selection&&r&&r(t),e.latestEditorSelection=t.selection;}));},e.prototype.changeViewState=function(){var e=this,t=this.editorInstance;vf$1(this,t),function(e,t){var n,r=t.getConfig().placeholder;if(r){var o=t.isEmpty();if(o&&!e.showPlaceholder){if(null==e.$placeholder){var i=$$6('<div class="w-e-text-placeholder">'+r+"</div>");e.$textAreaContainer.append(i),e.$placeholder=i;}return e.$placeholder.show(),void(e.showPlaceholder=!0)}!o&&e.showPlaceholder&&(null===(n=e.$placeholder)||void 0===n||n.hide(),e.showPlaceholder=!1);}}(this,t),Ic$1((function(){!function(e,t){var n=t.selection,r=ms$1.findDocumentOrShadowRoot(t).getSelection();if(r&&!e.isComposing&&t.isFocused()){var i="None"!==r.type;if(n||i){var a=xa$1.get(t),s=!1;if(a.contains(r.anchorNode)&&a.contains(r.focusNode)&&(s=!0),i&&s&&n){var l=ms$1.toSlateRange(t,r,{exactMatch:!0});if(l&&Range.equals(l,n)){var u=!0;if(Range.isCollapsed(n)){var c=r.anchorNode,f=r.anchorOffset;if(c===a){var d=a.childNodes,h=void 0;(h=d[f])&&h.matches("table")&&(u=!1),(h=d[f-1])&&h.matches("table")&&(u=!1);}}if(u)return}}if(!n||ms$1.hasRange(t,n)){e.isUpdatingSelection=!0;var p=n&&ms$1.toDOMRange(t,n);if(p){Range.isBackward(n)?r.setBaseAndExtent(p.endContainer,p.endOffset,p.startContainer,p.startOffset):r.setBaseAndExtent(p.startContainer,p.startOffset,p.endContainer,p.endOffset);var g=p.startContainer.parentElement;g.getBoundingClientRect=p.getBoundingClientRect.bind(p),kf$1(g,{scrollMode:"if-needed",boundary:a.parentElement,block:"end",behavior:"smooth"}),delete g.getBoundingClientRect;}else r.removeAllRanges();setTimeout((function(){p&&ds$1&&a.focus(),e.isUpdatingSelection=!1;}));}else t.selection=ms$1.toSlateRange(t,r,{exactMatch:!1});}}}(e,t);}));},e.prototype.destroy=function(){this.$textAreaContainer.remove();},e}();Ks$1("match",(function(e,t,n){return [function(t){var n=ye$6(this),r=null==t?void 0:ut$6(t,e);return r?tt$6(r,t,n):new RegExp(t)[e](Sr$4(n))},function(e){var r=Qe$6(this),o=Sr$4(e),i=n(t,r,o);if(i.done)return i.value;if(!r.global)return nl$1(r,o);var a=r.unicode;r.lastIndex=0;for(var s,l=[],u=0;null!==(s=nl$1(r,o));){var c=Sr$4(s[0]);l[u]=c,""===c&&(r.lastIndex=qs$1(o,fn$6(r.lastIndex),a)),u++;}return 0===u?null:l}]}));function Uf$1(e){e.removeAttr("width"),e.removeAttr("height"),e.removeAttr("fill"),e.removeAttr("class"),e.removeAttr("t"),e.removeAttr("p-id");var t=e.children();t.length&&Uf$1(t);}function Kf$1(){return $$6('<svg viewBox="0 0 1024 1024"><path d="M498.7 655.8l-197.6-268c-8.1-10.9-0.3-26.4 13.3-26.4h395.2c13.6 0 21.4 15.4 13.3 26.4l-197.6 268c-6.6 9-20 9-26.6 0z"></path></svg>')}function Hf$1(){return $$6('<div class="w-e-bar-divider"></div>')}function qf$1(e,t,n,r,o){if(void 0===o&&(o=!1),t){if(r){var i=fs$1?"cmd":"ctrl";r=r.replace("mod",i);}if(o)r&&(e.attr("data-tooltip",r),e.addClass("w-e-menu-tooltip-v5"),e.addClass("tooltip-right"));else {var a=r?n+"\n"+r:n;e.attr("data-tooltip",a),e.addClass("w-e-menu-tooltip-v5");}}}var Gf$1=function(){function e(e,t){var n=this;void 0===t&&(t=!1),this.$elem=$$6('<div class="w-e-bar-item"></div>'),this.$button=$$6('<button type="button"></button>'),this.disabled=!1,this.menu=e;var r=e.tag,o=e.width;if("button"!==r)throw new Error("Invalid tag '"+r+"', expected 'button'");var i=e.title,a=e.hotkey,s=void 0===a?"":a,l=e.iconSvg,u=void 0===l?"":l,c=this.$button;if(u){var f=$$6(u);Uf$1(f),c.append(f);}else c.text(i);qf$1(c,u,i,s,t),t&&u&&c.append($$6('<span class="title">'+i+"</span>")),o&&c.css("width",o+"px"),this.$elem.append(c),Ic$1((function(){return n.init()}));}return e.prototype.init=function(){var e=this;this.setActive(),this.setDisabled(),this.$button.on("mousedown",(function(t){t.preventDefault(),sd(e).hidePanelOrModal(),e.disabled||(e.exec(),e.onButtonClick());}));},e.prototype.exec=function(){var e=sd(this),t=this.menu,n=t.getValue(e);t.exec(e,n);},e.prototype.setActive=function(){var e=sd(this),t=this.$button,n="active";this.menu.isActive(e)?t.addClass(n):t.removeClass(n);},e.prototype.setDisabled=function(){var e=sd(this),t=this.$button,n=this.menu.isDisabled(e);(null==e.selection||e.isDisabled())&&(n=!0);var r="disabled";n?t.addClass(r):t.removeClass(r),this.disabled=n;},e.prototype.changeMenuState=function(){this.setActive(),this.setDisabled();},e}(),Jf$1=function(e){function t(t,n){return void 0===n&&(n=!1),e.call(this,t,n)||this}return si$3(t,e),t.prototype.onButtonClick=function(){},t}(Gf$1),Yf$1=function(){function e(e){this.isShow=!1,this.showTime=0,this.record(e);}return e.prototype.record=function(e){var t=ha$1.get(e);null==t&&(t=new Set,ha$1.set(e,t)),t.add(this),pa$1.set(this,e);},e.prototype.renderContent=function(e){var t=this.$elem;t.html(""),t.append(e);var n=this.genSelfElem();n&&t.append(n);},e.prototype.appendTo=function(e){var t=this.$elem;e.append(t);},e.prototype.show=function(){if(!this.isShow){this.showTime=Date.now(),this.$elem.show(),this.isShow=!0;var e=pa$1.get(this);e&&e.emit("modalOrPanelShow",this);}},e.prototype.hide=function(){if(this.isShow&&!(Date.now()-this.showTime<200)){this.$elem.hide(),this.isShow=!1;var e=pa$1.get(this);e&&e.emit("modalOrPanelHide");}},e}(),Xf$1=function(e){function t(t){var n=e.call(this,t)||this;return n.type="dropPanel",n.$elem=$$6('<div class="w-e-drop-panel"></div>'),n}return si$3(t,e),t.prototype.genSelfElem=function(){return null},t}(Yf$1),Zf$1=function(e){function t(t,n){void 0===n&&(n=!1);var r=e.call(this,t,n)||this;if(r.dropPanel=null,r.menu=t,t.showDropPanel){var o=Kf$1();r.$button.append(o);}return r}return si$3(t,e),t.prototype.onButtonClick=function(){this.menu.showDropPanel&&this.handleDropPanel();},t.prototype.handleDropPanel=function(){var e=this.menu;if(null!=e.getPanelContentElem){var t=sd(this);if(null==this.dropPanel){var n=new Xf$1(t),r=e.getPanelContentElem(t);n.renderContent(r),n.appendTo(this.$elem),n.show(),this.dropPanel=n;}else {var o=this.dropPanel;if(o.isShow)o.hide();else {r=e.getPanelContentElem(t);o.renderContent(r),o.show();}}var i=this.dropPanel;if(i.isShow){var a=this.$elem,s=a.offset().left,l=a.parents(".w-e-bar");s-l.offset().left>=l.width()/2?i.$elem.css({left:"none",right:"0"}):i.$elem.css({left:"0",right:"none"});}}},t}(Gf$1),Qf$1=function(e){function t(t,n){void 0===n&&(n=0);var r=e.call(this,t)||this;r.type="modal",r.$elem=$$6('<div class="w-e-modal"></div>'),r.width=0,n&&(r.width=n);var o=r.$elem;return o.on("mousedown",(function(e){return e.stopPropagation()})),o.on("keyup",(function(e){"Escape"===e.code&&(r.hide(),t.restoreSelection());})),r}return si$3(t,e),t.prototype.genSelfElem=function(){var e=this,t=$$6('<span class="btn-close"><svg viewBox="0 0 1024 1024"><path d="M1024 896.1024l-128 128L512 640 128 1024 0 896 384 512 0 128 128 0 512 384 896.1024 0l128 128L640 512z"></path></svg></span>');return t.on("click",(function(){return e.hide()})),t},t.prototype.setStyle=function(e){var t=this.width,n=this.$elem;n.attr("style",""),t&&n.css("width",t+"px"),n.css(e);},t}(Yf$1);function ed$1(e,t,n){var r=$$6('<label class="babel-container"></label>');r.append("<span>"+e+"</span>");var o=$$6('<input type="text" id="'+t+'" placeholder="'+(n||"")+'">');return r.append(o),[r,o]}function td$1(e,t){var n=$$6('<div class="button-container"></div>'),r=$$6('<button type="button" id="'+e+'">'+t+"</button>");return n.append(r),[n,r]}var nd$1=function(e){function t(t,n){void 0===n&&(n=!1);var r=e.call(this,t,n)||this;return r.$body=$$6("body"),r.modal=null,r.menu=t,r}return si$3(t,e),t.prototype.onButtonClick=function(){this.menu.showModal&&this.handleModal();},t.prototype.getPosition=function(){var e=sd(this),t=this.menu.getModalPositionNode(e);return Element$1.isElement(t)?$c$1(e,t,"modal"):_c$1(e)},t.prototype.handleModal=function(){var e=sd(this),t=this.menu;if(null==this.modal){var n=new Qf$1(e,t.modalWidth);this.renderAndShowModal(n,!0),this.modal=n;}else {(n=this.modal).isShow?n.hide():this.renderAndShowModal(n,!1);}},t.prototype.renderAndShowModal=function(e,t){void 0===t&&(t=!1);var n=sd(this),r=this.menu;if(null!=r.getModalContentElem){var o=ms$1.getTextarea(n),i=ms$1.getToolbar(n),a=((null==i?void 0:i.getConfig())||{}).modalAppendToBody,s=r.getModalContentElem(n);if(e.renderContent(s),a)e.setStyle({left:"0",right:"0"});else {var l=this.getPosition();e.setStyle(l);}t&&(a?e.appendTo(this.$body):e.appendTo(o.$textAreaContainer)),e.show(),a||Wc$1(n,e.$elem);}},t}(Gf$1);var rd=function(e){function t(t,n){var r=e.call(this,t)||this;return r.type="selectList",r.$elem=$$6('<div class="w-e-select-list"></div>'),n&&r.$elem.css("width",n+"px"),r}return si$3(t,e),t.prototype.renderList=function(e){var t=this.$elem;t.html("");var n=$$6("<ul></ul>");e.forEach((function(e){var t=e.value,r=e.text,o=e.selected,i=e.styleForRenderMenuList,a=$$6('<li data-value="'+t+'"></li>');if(i&&a.css(i),o){var s=$$6('<svg viewBox="0 0 1446 1024"><path d="M574.116299 786.736392 1238.811249 48.517862C1272.390222 11.224635 1329.414799 7.827718 1366.75664 41.450462 1403.840015 74.840484 1406.731043 132.084741 1373.10189 169.433699L655.118888 966.834607C653.072421 969.716875 650.835807 972.514337 648.407938 975.210759 615.017957 1012.29409 558.292155 1015.652019 521.195664 982.250188L72.778218 578.493306C35.910826 545.297758 32.859041 488.584019 66.481825 451.242134 99.871807 414.158803 156.597563 410.800834 193.694055 444.202665L574.116299 786.736392Z"></path></svg>');a.append(s),a.addClass("selected");}a.append($$6('<span data-value="'+t+'">'+r+"</span>")),n.append(a);})),t.append(n);},t.prototype.genSelfElem=function(){return null},t}(Yf$1);var od=function(){function e(e,t){var n=this;void 0===t&&(t=!1),this.$elem=$$6('<div class="w-e-bar-item"></div>'),this.$button=$$6('<button type="button" class="select-button"></button>'),this.disabled=!1,this.selectList=null;var r=e.tag,o=e.title,i=e.width,a=e.iconSvg,s=void 0===a?"":a,l=e.hotkey,u=void 0===l?"":l;if("select"!==r)throw new Error("Invalid tag '"+r+"', expected 'select'");var c=this.$button;i&&c.css("width",i+"px"),qf$1(c,s,o,u,t),this.$elem.append(c),this.menu=e,Ic$1((function(){return n.init()}));}return e.prototype.init=function(){var e=this;this.setSelectedValue(),this.$button.on("mousedown",(function(t){t.preventDefault(),sd(e).hidePanelOrModal(),e.trigger();}));},e.prototype.trigger=function(){var e=this,t=sd(this);if(!t.isDisabled()&&!this.disabled){var n=this.menu;if(null==this.selectList){this.selectList=new rd(t,n.selectPanelWidth);var r=this.selectList,o=n.getOptions(t);r.renderList(o),r.appendTo(this.$elem),r.show(),r.$elem.on("mousedown","li",(function(t){var n=t.target;if(null!=n){t.preventDefault();var r=$$6(n).attr("data-value");e.onChange(r);}}));}else {if((r=this.selectList).isShow)r.hide();else {o=n.getOptions(t);r.renderList(o),r.show();}}}},e.prototype.onChange=function(e){var t=sd(this),n=this.menu;n.exec&&n.exec(t,e);},e.prototype.setSelectedValue=function(){var e=sd(this),t=this.menu,n=t.getValue(e),r=function(e,t){for(var n=e.length,r="",o=0;o<n;o++){var i=e[o];if(i.value===t){r=i.text;break}}return r}(t.getOptions(e),n.toString()),o=this.$button,i=Kf$1();o.html(""),o.text(r),o.append(i);},e.prototype.setDisabled=function(){var e=sd(this),t=this.menu.isDisabled(e),n=this.$button;(null==e.selection||e.isDisabled())&&(t=!0);var r="disabled";t?n.addClass(r):n.removeClass(r),this.disabled=t;},e.prototype.changeMenuState=function(){this.setSelectedValue(),this.setDisabled();},e}(),id=function(){function e(e){this.$elem=$$6('<div class="w-e-bar-item w-e-bar-item-group"></div>'),this.$container=$$6('<div class="w-e-bar-item-menus-container"></div>'),this.$button=$$6('<button type="button"></button>');var t=e.iconSvg,n=e.title,r=this.$elem,o=this.$button;if(t){var i=$$6(t);Uf$1(i),o.append(i);}else o.text(n);var a=Kf$1();o.append(a),r.append(o);var s=this.$container;r.append(s);var l=this.createObserver();this.observe(l);}return e.prototype.appendBarItem=function(e){var t=e.$elem;this.$container.append(t);},e.prototype.observe=function(e){var t=this.$container;e.observe(t[0],{childList:!0,subtree:!0,attributes:!0});},e.prototype.createObserver=function(){var e=this,t=this.$container,n=this.$button,r=new MutationObserver((function(){var o=t.find("button"),i=o.length;if(0!==i){var a=0;o.each((function(e){$$6(e).hasClass("disabled")&&a++;})),r.disconnect(),a===i?n.addClass("disabled"):n.removeClass("disabled"),e.observe(r);}}));return r},e}(),ad=new WeakMap;function sd(e){var t=da$1.get(e);if(null==t)throw new Error("Can not get editor instance");return t}function ld(e,t){void 0===t&&(t=!1);var n=ad.get(e);if(n)return n;var r=e.tag;if("button"===r){var o=e.showDropPanel,i=e.showModal;n=o?new Zf$1(e,t):i?new nd$1(e,t):new Jf$1(e,t);}if("select"===r&&(n=new od(e,t)),null==n)throw new Error("Invalid tag in menu "+JSON.stringify(e));return ad.set(e,n),n}var ud=function(){function t(){var e=this;this.$elem=$$6('<div class="w-e-bar w-e-bar-hidden w-e-hover-bar"></div>'),this.menus={},this.hoverbarItems=[],this.prevSelectedNode=null,this.isShow=!1,this.changeHoverbarState=lodash_debounce((function(){var t=e.isShow,n=e.getSelectedNodeAndMenuKeys()||{},r=n.node,o=void 0===r?null:r,a=n.menuKeys,s=void 0===a?[]:a;if((null!=o&&e.changeItemsState(),o&&Element$1.isElement(o))&&(t&&e.isSamePath(o,e.prevSelectedNode)))return;e.hideAndClean(),null!=o&&(e.registerItems(s),e.setPosition(o),e.show()),e.prevSelectedNode=o;}),200),Ic$1((function(){var t=e.getEditorInstance(),n=e.$elem;n.on("mousedown",(function(e){return e.preventDefault()})),ms$1.getTextarea(t).$textAreaContainer.append(n),t.on("change",e.changeHoverbarState);var r=e.hideAndClean.bind(e);t.on("scroll",r),t.on("fullScreen",r),t.on("unFullScreen",r);}));}return t.prototype.getMenus=function(){return this.menus},t.prototype.hideAndClean=function(){var e=this.$elem;e.removeClass("w-e-bar-show").addClass("w-e-bar-hidden"),this.hoverbarItems=[],e.html(""),this.isShow=!1;},t.prototype.show=function(){this.$elem.removeClass("w-e-bar-hidden").addClass("w-e-bar-show"),this.isShow=!0;},t.prototype.changeItemsState=function(){var e=this;Ic$1((function(){e.hoverbarItems.forEach((function(e){e.changeMenuState();}));}));},t.prototype.registerItems=function(e){var t=this,n=this.$elem;e.forEach((function(e){if("|"!==e)t.registerSingleItem(e);else {var r=Hf$1();n.append(r);}}));},t.prototype.registerSingleItem=function(e){var t=this.getEditorInstance(),n=this.menus,r=n[e];if(null==r){var o=xs$1[e];if(null==o)throw new Error("Not found menu item factory by key '"+e+"'");if("function"!=typeof o)throw new Error("Menu item factory (key='"+e+"') is not a function");r=o(),n[e]=r;}var i=ld(r);this.hoverbarItems.push(i),da$1.set(i,t),this.$elem.append(i.$elem);},t.prototype.setPosition=function(e){var t=this.getEditorInstance(),n=this.$elem;if(n.attr("style",""),Element$1.isElement(e)){var r=$c$1(t,e,"bar");return n.css(r),void Wc$1(t,n)}if(Text.isText(e)){r=_c$1(t);return n.css(r),void Wc$1(t,n)}throw new Error("hoverbar.setPosition error, current selected node is not elem nor text")},t.prototype.getSelectedNodeAndMenuKeys=function(){var t=this.getEditorInstance();if(null==t.selection)return null;var n=this.getHoverbarKeysConf(),r=null,o=[],i=function(i){var a=n[i],s=a.match,l=a.menuKeys,u=void 0===l?[]:l,c=s||function(e,t){return ms$1.checkNodeType(t,i)},f=ci$3(Editor.nodes(t,{match:function(e){return c(t,e)},universal:!0}),1),d=f[0];if(null!=d)return r=d[0],o=u,"break"};for(var a in n){if("break"===i(a))break}return null==r||0===o.length?null:{node:r,menuKeys:o}},t.prototype.getEditorInstance=function(){var e=ca$1.get(this);if(null==e)throw new Error("Can not get editor instance");return e},t.prototype.getHoverbarKeysConf=function(){return this.getEditorInstance().getConfig().hoverbarKeys||{}},t.prototype.isSamePath=function(e,t){if(null==e||null==t)return !1;var r=ms$1.findPath(null,e),o=ms$1.findPath(null,t);return Path.equals(r,o)},t.prototype.destroy=function(){this.$elem.remove(),this.menus={},this.hoverbarItems=[],this.prevSelectedNode=null;},t}();function cd(e,t,n){var r=$$6(n);return !!r.attr(t)||(r.attr(t,"true"),e.on("destroyed",(function(){r.removeAttr(t);})),!1)}function fd(t,n,o,a){if(wa$1.set(t,n),ba$1.set(t,o),Element$1.isElement(t)){var s=t.children;if((void 0===s?[]:s).forEach((function(e,n){return fd(e,n,t,a)})),Editor.isVoid(a,t)){var l=ci$3(Node$1.texts(t),1),u=ci$3(l[0],1)[0];wa$1.set(u,0),ba$1.set(u,t);}}}function dd(n){var r=n.selector,i=void 0===r?"":r,a=n.config,c=void 0===a?{}:a,f=n.content,h=n.plugins,p=void 0===h?[]:h,g=(n=>{var r=n,{apply:o}=r;return r.history={undos:[],redos:[]},r.redo=()=>{var{history:t}=r,{redos:n}=t;if(n.length>0){var o=n[n.length-1];vr$4.withoutSaving(r,(()=>{Editor.withoutNormalizing(r,(()=>{for(var e of o)r.apply(e);}));})),t.redos.pop(),t.undos.push(o);}},r.undo=()=>{var{history:n}=r,{undos:o}=n;if(o.length>0){var i=o[o.length-1];vr$4.withoutSaving(r,(()=>{Editor.withoutNormalizing(r,(()=>{var e=i.map(Operation.inverse).reverse();for(var n of e)r.apply(n);}));})),n.redos.push(i),n.undos.pop();}},r.apply=e=>{var{operations:t,history:n}=r,{undos:i}=n,a=i[i.length-1],s=a&&a[a.length-1],l=wr$4(e,s),u=vr$4.isSaving(r),c=vr$4.isMerging(r);if(null==u&&(u=mr$4(e)),u){if(null==c&&(c=null!=a&&(0!==t.length||yr$4(e,s)||l)),a&&c)l&&a.pop(),a.push(e);else {var f=[e];i.push(f);}for(;i.length>100;)i.shift();br$4(e)&&(n.redos=[]);}o(e);},r})(function(e){var t=e;return t.on=function(e,n){var r=fu$1(t);if(r.on(e,n),"destroyed"===e&&hu$1(t,n),"destroyed"!==e){var o=function(){return r.off(e,n)};r.on("destroyed",o),hu$1(t,o);}},t.once=function(e,n){fu$1(t).once(e,n);},t.off=function(e,n){fu$1(t).off(e,n);},t.emit=function(e){for(var n=[],r=1;r<arguments.length;r++)n[r-1]=arguments[r];var o=fu$1(t);(o.emit.apply(o,fi$3([e],ci$3(n))),"destroyed"===e)&&(pu$1(t).forEach((function(e){return o.off("destroyed",e)})),gu$1(t));},t}(function(t){var n=t;return n.select=function(e){Transforms.select(n,e);},n.deselect=function(){var e=n.selection,r=ms$1.findDocumentOrShadowRoot(n).getSelection();r&&r.rangeCount>0&&r.removeAllRanges(),e&&Transforms.deselect(t);},n.move=function(e,n){void 0===n&&(n=!1),e&&(e<0||Transforms.move(t,{distance:e,unit:"character",reverse:n}));},n.moveReverse=function(e){n.move(e,!0);},n.restoreSelection=function(){var e=Na$1.get(n);null!=e&&(n.focus(),Transforms.select(n,e));},n.getSelectionPosition=function(){return _c$1(n)},n.getNodePosition=function(e){return $c$1(n,e)},n.isSelectedAll=function(){var t=n.selection;if(null==t)return !1;var r=ci$3(Range.edges(t),2),i=r[0],a=r[1],s=ci$3(Editor.edges(n,[]),2),u=s[0],c=s[1];return !(!Point.equals(i,u)||!Point.equals(a,c))},n}(vl$1(function(e){var t=e;return t.getAllMenuKeys=function(){var e=[];for(var t in xs$1)e.push(t);return e},t.getConfig=function(){var e=ga$1.get(t);if(null==e)throw new Error("Can not get editor config");return e},t.getMenuConfig=function(e){var n=t.getConfig().MENU_CONF;return (void 0===n?{}:n)[e]||{}},t.alert=function(e,n){void 0===n&&(n="info");var r=t.getConfig().customAlert;r&&r(e,n);},t}(function(t){var n=t;return n.id="wangEditor-"+ws$1++,n.isDestroyed=!1,n.isFullScreen=!1,n.focus=function(t){var r=ms$1.toDOMNode(n,n),o=ms$1.findDocumentOrShadowRoot(n);if(Pa$1.set(n,!0),t){var i=Editor.end(n,[]);Transforms.select(n,i);}o.activeElement!==r&&r.focus({preventScroll:!0});},n.isFocused=function(){return !!Pa$1.get(n)},n.blur=function(){var e=ms$1.toDOMNode(n,n),t=ms$1.findDocumentOrShadowRoot(n);Pa$1.set(n,!1),t.activeElement===e&&(e.blur(),Transforms.deselect(n));},n.updateView=function(){ms$1.getTextarea(n).changeViewState();var e=ms$1.getToolbar(n);e&&e.changeToolbarState();var t=ms$1.getHoverbar(n);t&&t.changeHoverbarState();},n.destroy=function(){var e=ms$1.getTextarea(n);e.destroy(),aa$2.delete(n),sa$1.delete(e);var t=ms$1.getToolbar(n);t&&(t.destroy(),ua$1.delete(n),la$1.delete(t));var r=ms$1.getHoverbar(n);r&&(r.destroy(),fa$1.delete(n),ca$1.delete(r)),n.isDestroyed=!0,n.emit("destroyed");},n.scrollToElem=function(e){if(!n.getConfig().scroll){var t="编辑器禁用了 scroll ，编辑器内容无法滚动，请自行实现该功能";return t+="\nYou has disabled editor scroll, please do this yourself",void console.warn(t)}var r=$$6("#"+e);if(0!==r.length){var o=r[0];if(!ms$1.hasDOMNode(n,o))return t="Element (found by id is '"+e+"') is not in editor DOM",t+="\n 通过 id '"+e+"' 找到的 element 不在 editor DOM 之内",void console.error(t,o);var i=ms$1.getTextarea(n),a=i.$textAreaContainer,s=i.$scroll,l=r.offset().top,u=a.offset().top;s[0].scrollBy({top:l-u,behavior:"smooth"});}},n.showProgressBar=function(e){if(!(e<1)){var t=ms$1.getTextarea(n).$progressBar;t.css("width",e+"%"),e>=100&&setTimeout((function(){t.hide(),t.css("width","0"),t.show();}),1e3);}},n.hidePanelOrModal=function(){var e=ha$1.get(n);null!=e&&e.forEach((function(e){return e.hide()}));},n.enable=function(){n.getConfig().readOnly=!1,n.updateView();},n.disable=function(){n.getConfig().readOnly=!0,n.updateView();},n.isDisabled=function(){return n.getConfig().readOnly},n.toDOMNode=function(e){return ms$1.toDOMNode(n,e)},n.fullScreen=function(){if(!n.isFullScreen){var e=null,t=ms$1.getToolbar(n);t&&(e=t.$box);var r=ms$1.getTextarea(n).$box.parent();if(e&&e.parent()[0]!==r[0])throw new Error("Can not set full screen, cause toolbar DOM parent is not equal to textarea DOM parent\n不能设置全屏，因为 toolbar DOM 父节点和 textarea DOM 父节点不一致");r.addClass("w-e-full-screen-container");var o=r.css("z-index");r.attr("data-z-index",o.toString()),n.isFullScreen=!0,n.emit("fullScreen");}},n.unFullScreen=function(){if(n.isFullScreen){var e=ms$1.getTextarea(n).$box.parent();setTimeout((function(){e.removeClass("w-e-full-screen-container"),n.isFullScreen=!1,n.emit("unFullScreen");}),200);}},n}(Al$1(createEditor$1())))))));if(i&&function(e,t){return cd(e,"data-w-e-textarea",t)}(g,i))throw new Error("Repeated create editor by selector '"+i+"'");var v=function(e){void 0===e&&(e={});var t=lodash_clonedeep(bs$1),n={},r=e.MENU_CONF,o=void 0===r?{}:r;return lodash_foreach(t,(function(e,t){n[t]=li$3(li$3({},e),o[t]||{});})),delete e.MENU_CONF,li$3({scroll:!0,readOnly:!1,autoFocus:!0,decorate:function(){return []},maxLength:0,MENU_CONF:n,hoverbarKeys:{},customAlert:function(e,t){window.alert(t+":\n"+e);}},e)}(c);ga$1.set(g,v);var y=v.hoverbarKeys,m=void 0===y?{}:y;if(p.forEach((function(e){g=e(g);})),f&&f.length?g.children=f:g.children=[{type:"paragraph",children:[{text:""}]}],ms$1.normalizeContent(g),i){var w=new Vf$1(i);aa$2.set(g,w),sa$1.set(w,g),w.changeViewState(),Ic$1((function(){var e=w.$scroll;if(null!=e&&e.height()<300){console.warn("编辑区域高度 < 300px 这可能会导致 modal hoverbar 定位异常\nTextarea height < 300px . This may be cause modal and hoverbar position error",e);}}));var b=void 0;Object.keys(m).length>0&&(b=new ud,ca$1.set(b,g),fa$1.set(g,b)),g.on("change",(function(){g.hidePanelOrModal();})),g.on("scroll",(function(){g.hidePanelOrModal();}));}else g.children.forEach((function(e,t){return fd(e,t,g,g)}));var x=v.onCreated,S=v.onDestroyed;return x&&g.on("created",(function(){return x(g)})),S&&g.on("destroyed",(function(){return S(g)})),Ic$1((function(){return g.emit("created")})),g}var hd=ri$3("splice"),pd=ae$6.TypeError,gd=Math.max,vd=Math.min;ur$4({target:"Array",proto:!0,forced:!hd},{splice:function(e,t){var n,r,o,i,a,s,l=we$6(this),u=dn$6(l),c=zn$6(e,u),f=arguments.length;if(0===f?n=r=0:1===f?(n=0,r=u-c):(n=f-2,r=vd(gd(un$6(t),0),u-c)),u+n-r>9007199254740991)throw pd("Maximum allowed length exceeded");for(o=On$6(l,r),i=0;i<r;i++)(a=c+i)in l&&io$4(o,i,l[a]);if(o.length=r,n<r){for(i=c;i<u-r;i++)s=i+n,(a=i+r)in l?l[s]=l[a]:delete l[s];for(i=u;i>u-r+n;i--)delete l[i-1];}else if(n>r)for(i=u-r;i>c;i--)s=i+n-1,(a=i+r-1)in l?l[s]=l[a]:delete l[s];for(i=0;i<n;i++)l[i+c]=arguments[i+2];return l.length=u-r+n,o}});var yd=Pn$6.filter,md=ri$3("filter");ur$4({target:"Array",proto:!0,forced:!md},{filter:function(e){return yd(this,e,arguments.length>1?arguments[1]:void 0)}});var wd=function(){function e(e,t){var n=this;this.$toolbar=$$6('<div class="w-e-bar w-e-bar-show w-e-toolbar"></div>'),this.menus={},this.toolbarItems=[],this.config={},this.changeToolbarState=lodash_debounce((function(){n.toolbarItems.forEach((function(e){e.changeMenuState();}));}),200),this.config=t;var r=$$6(e);if(0===r.length)throw new Error("Cannot find toolbar DOM by selector '"+e+"'");this.$box=r;var o=this.$toolbar;o.on("mousedown",(function(e){return e.preventDefault()})),r.append(o),Ic$1((function(){n.registerItems(),n.changeToolbarState(),n.getEditorInstance().on("change",n.changeToolbarState);}));}return e.prototype.getMenus=function(){return this.menus},e.prototype.getConfig=function(){return this.config},e.prototype.registerItems=function(){var e=this,t="",n=this.$toolbar,r=this.config,o=r.toolbarKeys,i=void 0===o?[]:o,a=r.insertKeys,s=void 0===a?{index:0,keys:[]}:a,l=r.excludeKeys,u=void 0===l?[]:l;s.keys.length>0&&("string"==typeof s.keys&&(s.keys=[s.keys]),s.keys.forEach((function(e,t){i.splice(s.index+t,0,e);})));var c=i.filter((function(e){if("string"==typeof e){if(u.includes(e))return !1}else if(u.includes(e.key))return !1;return !0})),f=c.length;c.forEach((function(r,o){if("|"===r){if(0===o)return;if(o+1===f)return;if("|"===t)return;var i=Hf$1();return n.append(i),void(t=r)}if("string"==typeof r)return e.registerSingleItem(r,e),void(t=r);e.registerGroup(r),t="group";}));},e.prototype.registerGroup=function(e){var t=this,n=this.$toolbar,r=function(e){return new id(e)}(e),o=e.menuKeys;(void 0===o?[]:o).forEach((function(e){t.registerSingleItem(e,r);})),n.append(r.$elem);},e.prototype.registerSingleItem=function(e,t){var n=this.getEditorInstance(),r=t instanceof id,o=this.menus,i=o[e];if(null==i){var a=xs$1[e];if(null==a)throw new Error("Not found menu item factory by key '"+e+"'");if("function"!=typeof a)throw new Error("Menu item factory (key='"+e+"') is not a function");i=a(),o[e]=i;}else console.warn("Duplicated toolbar menu key '"+e+"'\n重复注册了菜单栏 menu '"+e+"'");var s=ld(i,r);(this.toolbarItems.push(s),da$1.set(s,n),r)?t.appendBarItem(s):t.$toolbar.append(s.$elem);},e.prototype.getEditorInstance=function(){var e=la$1.get(this);if(null==e)throw new Error("Can not get editor instance");return e},e.prototype.destroy=function(){this.$toolbar.remove(),this.menus={},this.toolbarItems=[];},e}();function bd(e,t){if(null==e)throw new Error("Cannot create toolbar, because editor is null");var n=t.selector,r=t.config,o=void 0===r?{}:r;if(function(e,t){return cd(e,"data-w-e-toolbar",t)}(e,n))throw new Error("Repeated create toolbar by selector '"+n+"'");var i=li$3({toolbarKeys:[],excludeKeys:[],insertKeys:{index:0,keys:[]},modalAppendToBody:!1},o||{}),a=new wd(n,i);return la$1.set(a,e),ua$1.set(e,a),a}var xd=Wt$6.EXISTS,Sd=yt$6.f,kd=Function.prototype,Od=ge$6(kd.toString),Ed=/^\s*function ([^ (]*)/,Cd=ge$6(Ed.exec);function Pd(e){var t=e.server,n=void 0===t?"":t,r=e.fieldName,o=void 0===r?"":r,i=e.maxFileSize,a=void 0===i?10485760:i,s=e.maxNumberOfFiles,l=void 0===s?100:s,u=e.meta,c=void 0===u?{}:u,f=e.metaWithUrl,d=void 0!==f&&f,h=e.headers,p=void 0===h?{}:h,g=e.withCredentials,v=void 0!==g&&g,y=e.timeout,m=void 0===y?1e4:y,w=e.onBeforeUpload,b=void 0===w?function(e){return e}:w,x=e.onSuccess,S=void 0===x?function(e,t){}:x,k=e.onError,O=void 0===k?function(e,t,n){console.error(e.name+" upload error",t,n);}:k,E=e.onProgress,C=void 0===E?function(e){}:E;if(!n)throw new Error("Cannot get upload server address\n没有配置上传地址");if(!o)throw new Error("Cannot get fieldName\n没有配置 fieldName");var P=n;d&&(P=function(e,t){var n=ci$3(e.split("#"),2),r=n[0],o=n[1],i=[];lodash_foreach(t,(function(e,t){i.push(t+"="+e);}));var a=i.join("&");return r=r.indexOf("?")>0?r+"&"+a:r+"?"+a,o?r+"#"+o:r}(P,c));var M=new lib$2({onBeforeUpload:b,restrictions:{maxFileSize:a,maxNumberOfFiles:l},meta:c}).use(lib,{endpoint:P,headers:p,formData:!0,fieldName:o,bundle:!0,withCredentials:v,timeout:m});return M.on("upload-success",(function(e,t){var n=t.body;S(e,void 0===n?{}:n),M.removeFile(e.id);})),M.on("progress",(function(e){e<1||C(e);})),M.on("error",(function(e){console.error("wangEditor file upload error",e.stack);})),M.on("upload-error",(function(e,t,n){O(e,t,n),M.removeFile(e.id);})),M.on("restriction-failed",(function(e,t){O(e,t),M.removeFile(e.id);})),M}function Md(e){return Md="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},Md(e)}function Nd(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Ld(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?Object(arguments[t]):{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&r.push.apply(r,Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable}))),r.forEach((function(t){Nd(e,t,n[t]);}));}return e}function Td(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function jd(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r);}}function Rd(e,t,n){return t&&jd(e.prototype,t),n&&jd(e,n),e}function Dd(e){if(void 0===e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return e}function Ad(e,t){if(t&&("object"===Md(t)||"function"==typeof t))return t;if(void 0!==t)throw new TypeError("Derived constructors may only return object or undefined");return Dd(e)}function Fd(e){return Fd=Object.setPrototypeOf?Object.getPrototypeOf:function(e){return e.__proto__||Object.getPrototypeOf(e)},Fd(e)}function Id(e,t){return Id=Object.setPrototypeOf||function(e,t){return e.__proto__=t,e},Id(e,t)}function Bd(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function");e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,writable:!0,configurable:!0}}),t&&Id(e,t);}Ke$6&&!xd&&Sd(kd,"name",{configurable:!0,get:function(){try{return Cd(Ed,Od(this))[1]}catch(e){return ""}}});var _d={type:"logger",log:function(e){this.output("log",e);},warn:function(e){this.output("warn",e);},error:function(e){this.output("error",e);},output:function(e,t){console&&console[e]&&console[e].apply(console,t);}},$d=new(function(){function e(t){var n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};Td(this,e),this.init(t,n);}return Rd(e,[{key:"init",value:function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};this.prefix=t.prefix||"i18next:",this.logger=e||_d,this.options=t,this.debug=t.debug;}},{key:"setDebug",value:function(e){this.debug=e;}},{key:"log",value:function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return this.forward(t,"log","",!0)}},{key:"warn",value:function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return this.forward(t,"warn","",!0)}},{key:"error",value:function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return this.forward(t,"error","")}},{key:"deprecate",value:function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return this.forward(t,"warn","WARNING DEPRECATED: ",!0)}},{key:"forward",value:function(e,t,n,r){return r&&!this.debug?null:("string"==typeof e[0]&&(e[0]="".concat(n).concat(this.prefix," ").concat(e[0])),this.logger[t](e))}},{key:"create",value:function(t){return new e(this.logger,Ld({},{prefix:"".concat(this.prefix,":").concat(t,":")},this.options))}}]),e}()),Wd=function(){function e(){Td(this,e),this.observers={};}return Rd(e,[{key:"on",value:function(e,t){var n=this;return e.split(" ").forEach((function(e){n.observers[e]=n.observers[e]||[],n.observers[e].push(t);})),this}},{key:"off",value:function(e,t){this.observers[e]&&(t?this.observers[e]=this.observers[e].filter((function(e){return e!==t})):delete this.observers[e]);}},{key:"emit",value:function(e){for(var t=arguments.length,n=new Array(t>1?t-1:0),r=1;r<t;r++)n[r-1]=arguments[r];if(this.observers[e]){var o=[].concat(this.observers[e]);o.forEach((function(e){e.apply(void 0,n);}));}if(this.observers["*"]){var i=[].concat(this.observers["*"]);i.forEach((function(t){t.apply(t,[e].concat(n));}));}}}]),e}();function zd(){var e,t,n=new Promise((function(n,r){e=n,t=r;}));return n.resolve=e,n.reject=t,n}function Vd(e){return null==e?"":""+e}function Ud(e,t,n){e.forEach((function(e){t[e]&&(n[e]=t[e]);}));}function Kd(e,t,n){function r(e){return e&&e.indexOf("###")>-1?e.replace(/###/g,"."):e}function o(){return !e||"string"==typeof e}for(var i="string"!=typeof t?[].concat(t):t.split(".");i.length>1;){if(o())return {};var a=r(i.shift());!e[a]&&n&&(e[a]=new n),e=Object.prototype.hasOwnProperty.call(e,a)?e[a]:{};}return o()?{}:{obj:e,k:r(i.shift())}}function Hd(e,t,n){var r=Kd(e,t,Object);r.obj[r.k]=n;}function qd(e,t){var n=Kd(e,t),r=n.obj,o=n.k;if(r)return r[o]}function Gd(e,t,n){var r=qd(e,n);return void 0!==r?r:qd(t,n)}function Jd(e,t,n){for(var r in t)"__proto__"!==r&&"constructor"!==r&&(r in e?"string"==typeof e[r]||e[r]instanceof String||"string"==typeof t[r]||t[r]instanceof String?n&&(e[r]=t[r]):Jd(e[r],t[r],n):e[r]=t[r]);return e}function Yd(e){return e.replace(/[\-\[\]\/\{\}\(\)\*\+\?\.\\\^\$\|]/g,"\\$&")}var Xd={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;","/":"&#x2F;"};function Zd(e){return "string"==typeof e?e.replace(/[&<>"'\/]/g,(function(e){return Xd[e]})):e}var Qd="undefined"!=typeof window&&window.navigator&&window.navigator.userAgent&&window.navigator.userAgent.indexOf("MSIE")>-1;function eh(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:".";if(e){if(e[t])return e[t];for(var r=t.split(n),o=e,i=0;i<r.length;++i){if(!o)return;if("string"==typeof o[r[i]]&&i+1<r.length)return;if(void 0===o[r[i]]){for(var a=2,s=r.slice(i,i+a).join(n),l=o[s];void 0===l&&r.length>i+a;)a++,l=o[s=r.slice(i,i+a).join(n)];if(void 0===l)return;if("string"==typeof l)return l;if(s&&"string"==typeof l[s])return l[s];var u=r.slice(i+a).join(n);return u?eh(l,u,n):void 0}o=o[r[i]];}return o}}var th=function(e){function t(e){var n,r=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{ns:["translation"],defaultNS:"translation"};return Td(this,t),n=Ad(this,Fd(t).call(this)),Qd&&Wd.call(Dd(n)),n.data=e||{},n.options=r,void 0===n.options.keySeparator&&(n.options.keySeparator="."),void 0===n.options.ignoreJSONStructure&&(n.options.ignoreJSONStructure=!0),n}return Bd(t,Wd),Rd(t,[{key:"addNamespaces",value:function(e){this.options.ns.indexOf(e)<0&&this.options.ns.push(e);}},{key:"removeNamespaces",value:function(e){var t=this.options.ns.indexOf(e);t>-1&&this.options.ns.splice(t,1);}},{key:"getResource",value:function(e,t,n){var r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{},o=void 0!==r.keySeparator?r.keySeparator:this.options.keySeparator,i=void 0!==r.ignoreJSONStructure?r.ignoreJSONStructure:this.options.ignoreJSONStructure,a=[e,t];n&&"string"!=typeof n&&(a=a.concat(n)),n&&"string"==typeof n&&(a=a.concat(o?n.split(o):n)),e.indexOf(".")>-1&&(a=e.split("."));var s=qd(this.data,a);return s||!i||"string"!=typeof n?s:eh(this.data&&this.data[e]&&this.data[e][t],n,o)}},{key:"addResource",value:function(e,t,n,r){var o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:{silent:!1},i=this.options.keySeparator;void 0===i&&(i=".");var a=[e,t];n&&(a=a.concat(i?n.split(i):n)),e.indexOf(".")>-1&&(r=t,t=(a=e.split("."))[1]),this.addNamespaces(t),Hd(this.data,a,r),o.silent||this.emit("added",e,t,n,r);}},{key:"addResources",value:function(e,t,n){var r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{silent:!1};for(var o in n)"string"!=typeof n[o]&&"[object Array]"!==Object.prototype.toString.apply(n[o])||this.addResource(e,t,o,n[o],{silent:!0});r.silent||this.emit("added",e,t,n);}},{key:"addResourceBundle",value:function(e,t,n,r,o){var i=arguments.length>5&&void 0!==arguments[5]?arguments[5]:{silent:!1},a=[e,t];e.indexOf(".")>-1&&(r=n,n=t,t=(a=e.split("."))[1]),this.addNamespaces(t);var s=qd(this.data,a)||{};r?Jd(s,n,o):s=Ld({},s,n),Hd(this.data,a,s),i.silent||this.emit("added",e,t,n);}},{key:"removeResourceBundle",value:function(e,t){this.hasResourceBundle(e,t)&&delete this.data[e][t],this.removeNamespaces(t),this.emit("removed",e,t);}},{key:"hasResourceBundle",value:function(e,t){return void 0!==this.getResource(e,t)}},{key:"getResourceBundle",value:function(e,t){return t||(t=this.options.defaultNS),"v1"===this.options.compatibilityAPI?Ld({},{},this.getResource(e,t)):this.getResource(e,t)}},{key:"getDataByLanguage",value:function(e){return this.data[e]}},{key:"toJSON",value:function(){return this.data}}]),t}(),nh={processors:{},addPostProcessor:function(e){this.processors[e.name]=e;},handle:function(e,t,n,r,o){var i=this;return e.forEach((function(e){i.processors[e]&&(t=i.processors[e].process(t,n,r,o));})),t}},rh={},oh=function(e){function t(e){var n,r=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};return Td(this,t),n=Ad(this,Fd(t).call(this)),Qd&&Wd.call(Dd(n)),Ud(["resourceStore","languageUtils","pluralResolver","interpolator","backendConnector","i18nFormat","utils"],e,Dd(n)),n.options=r,void 0===n.options.keySeparator&&(n.options.keySeparator="."),n.logger=$d.create("translator"),n}return Bd(t,Wd),Rd(t,[{key:"changeLanguage",value:function(e){e&&(this.language=e);}},{key:"exists",value:function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{interpolation:{}};if(null==e)return !1;var n=this.resolve(e,t);return n&&void 0!==n.res}},{key:"extractFromKey",value:function(e,t){var n=void 0!==t.nsSeparator?t.nsSeparator:this.options.nsSeparator;void 0===n&&(n=":");var r=void 0!==t.keySeparator?t.keySeparator:this.options.keySeparator,o=t.ns||this.options.defaultNS;if(n&&e.indexOf(n)>-1){var i=e.match(this.interpolator.nestingRegexp);if(i&&i.length>0)return {key:e,namespaces:o};var a=e.split(n);(n!==r||n===r&&this.options.ns.indexOf(a[0])>-1)&&(o=a.shift()),e=a.join(r);}return "string"==typeof o&&(o=[o]),{key:e,namespaces:o}}},{key:"translate",value:function(e,n,r){var o=this;if("object"!==Md(n)&&this.options.overloadTranslationOptionHandler&&(n=this.options.overloadTranslationOptionHandler(arguments)),n||(n={}),null==e)return "";Array.isArray(e)||(e=[String(e)]);var i=void 0!==n.keySeparator?n.keySeparator:this.options.keySeparator,a=this.extractFromKey(e[e.length-1],n),s=a.key,l=a.namespaces,u=l[l.length-1],c=n.lng||this.language,f=n.appendNamespaceToCIMode||this.options.appendNamespaceToCIMode;if(c&&"cimode"===c.toLowerCase()){if(f){var d=n.nsSeparator||this.options.nsSeparator;return u+d+s}return s}var h=this.resolve(e,n),p=h&&h.res,g=h&&h.usedKey||s,v=h&&h.exactUsedKey||s,y=Object.prototype.toString.apply(p),m=["[object Number]","[object Function]","[object RegExp]"],w=void 0!==n.joinArrays?n.joinArrays:this.options.joinArrays,b=!this.i18nFormat||this.i18nFormat.handleAsObject,x="string"!=typeof p&&"boolean"!=typeof p&&"number"!=typeof p;if(b&&p&&x&&m.indexOf(y)<0&&("string"!=typeof w||"[object Array]"!==y)){if(!n.returnObjects&&!this.options.returnObjects)return this.options.returnedObjectHandler||this.logger.warn("accessing an object - but returnObjects options is not enabled!"),this.options.returnedObjectHandler?this.options.returnedObjectHandler(g,p,Ld({},n,{ns:l})):"key '".concat(s," (").concat(this.language,")' returned an object instead of string.");if(i){var S="[object Array]"===y,k=S?[]:{},O=S?v:g;for(var E in p)if(Object.prototype.hasOwnProperty.call(p,E)){var C="".concat(O).concat(i).concat(E);k[E]=this.translate(C,Ld({},n,{joinArrays:!1,ns:l})),k[E]===C&&(k[E]=p[E]);}p=k;}}else if(b&&"string"==typeof w&&"[object Array]"===y)(p=p.join(w))&&(p=this.extendTranslation(p,e,n,r));else {var P=!1,M=!1,N=void 0!==n.count&&"string"!=typeof n.count,L=t.hasDefaultValue(n),T=N?this.pluralResolver.getSuffix(c,n.count):"",j=n["defaultValue".concat(T)]||n.defaultValue;!this.isValidLookup(p)&&L&&(P=!0,p=j),this.isValidLookup(p)||(M=!0,p=s);var R=n.missingKeyNoValueFallbackToKey||this.options.missingKeyNoValueFallbackToKey,D=R&&M?void 0:p,A=L&&j!==p&&this.options.updateMissing;if(M||P||A){if(this.logger.log(A?"updateKey":"missingKey",c,u,s,A?j:p),i){var F=this.resolve(s,Ld({},n,{keySeparator:!1}));F&&F.res&&this.logger.warn("Seems the loaded translations were in flat JSON format instead of nested. Either set keySeparator: false on init or make sure your translations are published in nested format.");}var I=[],B=this.languageUtils.getFallbackCodes(this.options.fallbackLng,n.lng||this.language);if("fallback"===this.options.saveMissingTo&&B&&B[0])for(var _=0;_<B.length;_++)I.push(B[_]);else "all"===this.options.saveMissingTo?I=this.languageUtils.toResolveHierarchy(n.lng||this.language):I.push(n.lng||this.language);var $=function(e,t,r){o.options.missingKeyHandler?o.options.missingKeyHandler(e,u,t,A?r:D,A,n):o.backendConnector&&o.backendConnector.saveMissing&&o.backendConnector.saveMissing(e,u,t,A?r:D,A,n),o.emit("missingKey",e,u,t,p);};this.options.saveMissing&&(this.options.saveMissingPlurals&&N?I.forEach((function(e){o.pluralResolver.getSuffixes(e).forEach((function(t){$([e],s+t,n["defaultValue".concat(t)]||j);}));})):$(I,s,j));}p=this.extendTranslation(p,e,n,h,r),M&&p===s&&this.options.appendNamespaceToMissingKey&&(p="".concat(u,":").concat(s)),(M||P)&&this.options.parseMissingKeyHandler&&(p=this.options.parseMissingKeyHandler(p));}return p}},{key:"extendTranslation",value:function(e,t,n,r,o){var i=this;if(this.i18nFormat&&this.i18nFormat.parse)e=this.i18nFormat.parse(e,n,r.usedLng,r.usedNS,r.usedKey,{resolved:r});else if(!n.skipInterpolation){n.interpolation&&this.interpolator.init(Ld({},n,{interpolation:Ld({},this.options.interpolation,n.interpolation)}));var a,s=n.interpolation&&n.interpolation.skipOnVariables||this.options.interpolation.skipOnVariables;if(s){var l=e.match(this.interpolator.nestingRegexp);a=l&&l.length;}var u=n.replace&&"string"!=typeof n.replace?n.replace:n;if(this.options.interpolation.defaultVariables&&(u=Ld({},this.options.interpolation.defaultVariables,u)),e=this.interpolator.interpolate(e,u,n.lng||this.language,n),s){var c=e.match(this.interpolator.nestingRegexp);a<(c&&c.length)&&(n.nest=!1);}!1!==n.nest&&(e=this.interpolator.nest(e,(function(){for(var e=arguments.length,r=new Array(e),a=0;a<e;a++)r[a]=arguments[a];return o&&o[0]===r[0]&&!n.context?(i.logger.warn("It seems you are nesting recursively key: ".concat(r[0]," in key: ").concat(t[0])),null):i.translate.apply(i,r.concat([t]))}),n)),n.interpolation&&this.interpolator.reset();}var f=n.postProcess||this.options.postProcess,d="string"==typeof f?[f]:f;return null!=e&&d&&d.length&&!1!==n.applyPostProcessor&&(e=nh.handle(d,e,t,this.options&&this.options.postProcessPassResolved?Ld({i18nResolved:r},n):n,this)),e}},{key:"resolve",value:function(e){var t,n,r,o,i,a=this,s=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};return "string"==typeof e&&(e=[e]),e.forEach((function(e){if(!a.isValidLookup(t)){var l=a.extractFromKey(e,s),u=l.key;n=u;var c=l.namespaces;a.options.fallbackNS&&(c=c.concat(a.options.fallbackNS));var f=void 0!==s.count&&"string"!=typeof s.count,d=void 0!==s.context&&("string"==typeof s.context||"number"==typeof s.context)&&""!==s.context,h=s.lngs?s.lngs:a.languageUtils.toResolveHierarchy(s.lng||a.language,s.fallbackLng);c.forEach((function(e){a.isValidLookup(t)||(i=e,!rh["".concat(h[0],"-").concat(e)]&&a.utils&&a.utils.hasLoadedNamespace&&!a.utils.hasLoadedNamespace(i)&&(rh["".concat(h[0],"-").concat(e)]=!0,a.logger.warn('key "'.concat(n,'" for languages "').concat(h.join(", "),'" won\'t get resolved as namespace "').concat(i,'" was not yet loaded'),"This means something IS WRONG in your setup. You access the t function before i18next.init / i18next.loadNamespace / i18next.changeLanguage was done. Wait for the callback or Promise to resolve before accessing it!!!")),h.forEach((function(n){if(!a.isValidLookup(t)){o=n;var i,l,c=u,h=[c];if(a.i18nFormat&&a.i18nFormat.addLookupKeys)a.i18nFormat.addLookupKeys(h,u,n,e,s);else f&&(i=a.pluralResolver.getSuffix(n,s.count)),f&&d&&h.push(c+i),d&&h.push(c+="".concat(a.options.contextSeparator).concat(s.context)),f&&h.push(c+=i);for(;l=h.pop();)a.isValidLookup(t)||(r=l,t=a.getResource(n,e,l,s));}})));}));}})),{res:t,usedKey:n,exactUsedKey:r,usedLng:o,usedNS:i}}},{key:"isValidLookup",value:function(e){return !(void 0===e||!this.options.returnNull&&null===e||!this.options.returnEmptyString&&""===e)}},{key:"getResource",value:function(e,t,n){var r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{};return this.i18nFormat&&this.i18nFormat.getResource?this.i18nFormat.getResource(e,t,n,r):this.resourceStore.getResource(e,t,n,r)}}],[{key:"hasDefaultValue",value:function(e){var t="defaultValue";for(var n in e)if(Object.prototype.hasOwnProperty.call(e,n)&&t===n.substring(0,t.length)&&void 0!==e[n])return !0;return !1}}]),t}();function ih(e){return e.charAt(0).toUpperCase()+e.slice(1)}var ah=function(){function e(t){Td(this,e),this.options=t,this.whitelist=this.options.supportedLngs||!1,this.supportedLngs=this.options.supportedLngs||!1,this.logger=$d.create("languageUtils");}return Rd(e,[{key:"getScriptPartFromCode",value:function(e){if(!e||e.indexOf("-")<0)return null;var t=e.split("-");return 2===t.length?null:(t.pop(),"x"===t[t.length-1].toLowerCase()?null:this.formatLanguageCode(t.join("-")))}},{key:"getLanguagePartFromCode",value:function(e){if(!e||e.indexOf("-")<0)return e;var t=e.split("-");return this.formatLanguageCode(t[0])}},{key:"formatLanguageCode",value:function(e){if("string"==typeof e&&e.indexOf("-")>-1){var t=["hans","hant","latn","cyrl","cans","mong","arab"],n=e.split("-");return this.options.lowerCaseLng?n=n.map((function(e){return e.toLowerCase()})):2===n.length?(n[0]=n[0].toLowerCase(),n[1]=n[1].toUpperCase(),t.indexOf(n[1].toLowerCase())>-1&&(n[1]=ih(n[1].toLowerCase()))):3===n.length&&(n[0]=n[0].toLowerCase(),2===n[1].length&&(n[1]=n[1].toUpperCase()),"sgn"!==n[0]&&2===n[2].length&&(n[2]=n[2].toUpperCase()),t.indexOf(n[1].toLowerCase())>-1&&(n[1]=ih(n[1].toLowerCase())),t.indexOf(n[2].toLowerCase())>-1&&(n[2]=ih(n[2].toLowerCase()))),n.join("-")}return this.options.cleanCode||this.options.lowerCaseLng?e.toLowerCase():e}},{key:"isWhitelisted",value:function(e){return this.logger.deprecate("languageUtils.isWhitelisted",'function "isWhitelisted" will be renamed to "isSupportedCode" in the next major - please make sure to rename it\'s usage asap.'),this.isSupportedCode(e)}},{key:"isSupportedCode",value:function(e){return ("languageOnly"===this.options.load||this.options.nonExplicitSupportedLngs)&&(e=this.getLanguagePartFromCode(e)),!this.supportedLngs||!this.supportedLngs.length||this.supportedLngs.indexOf(e)>-1}},{key:"getBestMatchFromCodes",value:function(e){var t,n=this;return e?(e.forEach((function(e){if(!t){var r=n.formatLanguageCode(e);n.options.supportedLngs&&!n.isSupportedCode(r)||(t=r);}})),!t&&this.options.supportedLngs&&e.forEach((function(e){if(!t){var r=n.getLanguagePartFromCode(e);if(n.isSupportedCode(r))return t=r;t=n.options.supportedLngs.find((function(e){if(0===e.indexOf(r))return e}));}})),t||(t=this.getFallbackCodes(this.options.fallbackLng)[0]),t):null}},{key:"getFallbackCodes",value:function(e,t){if(!e)return [];if("function"==typeof e&&(e=e(t)),"string"==typeof e&&(e=[e]),"[object Array]"===Object.prototype.toString.apply(e))return e;if(!t)return e.default||[];var n=e[t];return n||(n=e[this.getScriptPartFromCode(t)]),n||(n=e[this.formatLanguageCode(t)]),n||(n=e[this.getLanguagePartFromCode(t)]),n||(n=e.default),n||[]}},{key:"toResolveHierarchy",value:function(e,t){var n=this,r=this.getFallbackCodes(t||this.options.fallbackLng||[],e),o=[],i=function(e){e&&(n.isSupportedCode(e)?o.push(e):n.logger.warn("rejecting language code not found in supportedLngs: ".concat(e)));};return "string"==typeof e&&e.indexOf("-")>-1?("languageOnly"!==this.options.load&&i(this.formatLanguageCode(e)),"languageOnly"!==this.options.load&&"currentOnly"!==this.options.load&&i(this.getScriptPartFromCode(e)),"currentOnly"!==this.options.load&&i(this.getLanguagePartFromCode(e))):"string"==typeof e&&i(this.formatLanguageCode(e)),r.forEach((function(e){o.indexOf(e)<0&&i(n.formatLanguageCode(e));})),o}}]),e}(),sh=[{lngs:["ach","ak","am","arn","br","fil","gun","ln","mfe","mg","mi","oc","pt","pt-BR","tg","tl","ti","tr","uz","wa"],nr:[1,2],fc:1},{lngs:["af","an","ast","az","bg","bn","ca","da","de","dev","el","en","eo","es","et","eu","fi","fo","fur","fy","gl","gu","ha","hi","hu","hy","ia","it","kk","kn","ku","lb","mai","ml","mn","mr","nah","nap","nb","ne","nl","nn","no","nso","pa","pap","pms","ps","pt-PT","rm","sco","se","si","so","son","sq","sv","sw","ta","te","tk","ur","yo"],nr:[1,2],fc:2},{lngs:["ay","bo","cgg","fa","ht","id","ja","jbo","ka","km","ko","ky","lo","ms","sah","su","th","tt","ug","vi","wo","zh"],nr:[1],fc:3},{lngs:["be","bs","cnr","dz","hr","ru","sr","uk"],nr:[1,2,5],fc:4},{lngs:["ar"],nr:[0,1,2,3,11,100],fc:5},{lngs:["cs","sk"],nr:[1,2,5],fc:6},{lngs:["csb","pl"],nr:[1,2,5],fc:7},{lngs:["cy"],nr:[1,2,3,8],fc:8},{lngs:["fr"],nr:[1,2],fc:9},{lngs:["ga"],nr:[1,2,3,7,11],fc:10},{lngs:["gd"],nr:[1,2,3,20],fc:11},{lngs:["is"],nr:[1,2],fc:12},{lngs:["jv"],nr:[0,1],fc:13},{lngs:["kw"],nr:[1,2,3,4],fc:14},{lngs:["lt"],nr:[1,2,10],fc:15},{lngs:["lv"],nr:[1,2,0],fc:16},{lngs:["mk"],nr:[1,2],fc:17},{lngs:["mnk"],nr:[0,1,2],fc:18},{lngs:["mt"],nr:[1,2,11,20],fc:19},{lngs:["or"],nr:[2,1],fc:2},{lngs:["ro"],nr:[1,2,20],fc:20},{lngs:["sl"],nr:[5,1,2,3],fc:21},{lngs:["he","iw"],nr:[1,2,20,21],fc:22}],lh={1:function(e){return Number(e>1)},2:function(e){return Number(1!=e)},3:function(e){return 0},4:function(e){return Number(e%10==1&&e%100!=11?0:e%10>=2&&e%10<=4&&(e%100<10||e%100>=20)?1:2)},5:function(e){return Number(0==e?0:1==e?1:2==e?2:e%100>=3&&e%100<=10?3:e%100>=11?4:5)},6:function(e){return Number(1==e?0:e>=2&&e<=4?1:2)},7:function(e){return Number(1==e?0:e%10>=2&&e%10<=4&&(e%100<10||e%100>=20)?1:2)},8:function(e){return Number(1==e?0:2==e?1:8!=e&&11!=e?2:3)},9:function(e){return Number(e>=2)},10:function(e){return Number(1==e?0:2==e?1:e<7?2:e<11?3:4)},11:function(e){return Number(1==e||11==e?0:2==e||12==e?1:e>2&&e<20?2:3)},12:function(e){return Number(e%10!=1||e%100==11)},13:function(e){return Number(0!==e)},14:function(e){return Number(1==e?0:2==e?1:3==e?2:3)},15:function(e){return Number(e%10==1&&e%100!=11?0:e%10>=2&&(e%100<10||e%100>=20)?1:2)},16:function(e){return Number(e%10==1&&e%100!=11?0:0!==e?1:2)},17:function(e){return Number(1==e||e%10==1&&e%100!=11?0:1)},18:function(e){return Number(0==e?0:1==e?1:2)},19:function(e){return Number(1==e?0:0==e||e%100>1&&e%100<11?1:e%100>10&&e%100<20?2:3)},20:function(e){return Number(1==e?0:0==e||e%100>0&&e%100<20?1:2)},21:function(e){return Number(e%100==1?1:e%100==2?2:e%100==3||e%100==4?3:0)},22:function(e){return Number(1==e?0:2==e?1:(e<0||e>10)&&e%10==0?2:3)}};function uh(){var e={};return sh.forEach((function(t){t.lngs.forEach((function(n){e[n]={numbers:t.nr,plurals:lh[t.fc]};}));})),e}var ch=function(){function e(t){var n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};Td(this,e),this.languageUtils=t,this.options=n,this.logger=$d.create("pluralResolver"),this.rules=uh();}return Rd(e,[{key:"addRule",value:function(e,t){this.rules[e]=t;}},{key:"getRule",value:function(e){return this.rules[e]||this.rules[this.languageUtils.getLanguagePartFromCode(e)]}},{key:"needsPlural",value:function(e){var t=this.getRule(e);return t&&t.numbers.length>1}},{key:"getPluralFormsOfKey",value:function(e,t){return this.getSuffixes(e).map((function(e){return t+e}))}},{key:"getSuffixes",value:function(e){var t=this,n=this.getRule(e);return n?n.numbers.map((function(n){return t.getSuffix(e,n)})):[]}},{key:"getSuffix",value:function(e,t){var n=this,r=this.getRule(e);if(r){var o=r.noAbs?r.plurals(t):r.plurals(Math.abs(t)),i=r.numbers[o];this.options.simplifyPluralSuffix&&2===r.numbers.length&&1===r.numbers[0]&&(2===i?i="plural":1===i&&(i=""));var a=function(){return n.options.prepend&&i.toString()?n.options.prepend+i.toString():i.toString()};return "v1"===this.options.compatibilityJSON?1===i?"":"number"==typeof i?"_plural_".concat(i.toString()):a():"v2"===this.options.compatibilityJSON||this.options.simplifyPluralSuffix&&2===r.numbers.length&&1===r.numbers[0]?a():this.options.prepend&&o.toString()?this.options.prepend+o.toString():o.toString()}return this.logger.warn("no plural rule found for: ".concat(e)),""}}]),e}(),fh=function(){function e(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};Td(this,e),this.logger=$d.create("interpolator"),this.options=t,this.format=t.interpolation&&t.interpolation.format||function(e){return e},this.init(t);}return Rd(e,[{key:"init",value:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};e.interpolation||(e.interpolation={escapeValue:!0});var t=e.interpolation;this.escape=void 0!==t.escape?t.escape:Zd,this.escapeValue=void 0===t.escapeValue||t.escapeValue,this.useRawValueToEscape=void 0!==t.useRawValueToEscape&&t.useRawValueToEscape,this.prefix=t.prefix?Yd(t.prefix):t.prefixEscaped||"{{",this.suffix=t.suffix?Yd(t.suffix):t.suffixEscaped||"}}",this.formatSeparator=t.formatSeparator?t.formatSeparator:t.formatSeparator||",",this.unescapePrefix=t.unescapeSuffix?"":t.unescapePrefix||"-",this.unescapeSuffix=this.unescapePrefix?"":t.unescapeSuffix||"",this.nestingPrefix=t.nestingPrefix?Yd(t.nestingPrefix):t.nestingPrefixEscaped||Yd("$t("),this.nestingSuffix=t.nestingSuffix?Yd(t.nestingSuffix):t.nestingSuffixEscaped||Yd(")"),this.nestingOptionsSeparator=t.nestingOptionsSeparator?t.nestingOptionsSeparator:t.nestingOptionsSeparator||",",this.maxReplaces=t.maxReplaces?t.maxReplaces:1e3,this.alwaysFormat=void 0!==t.alwaysFormat&&t.alwaysFormat,this.resetRegExp();}},{key:"reset",value:function(){this.options&&this.init(this.options);}},{key:"resetRegExp",value:function(){var e="".concat(this.prefix,"(.+?)").concat(this.suffix);this.regexp=new RegExp(e,"g");var t="".concat(this.prefix).concat(this.unescapePrefix,"(.+?)").concat(this.unescapeSuffix).concat(this.suffix);this.regexpUnescape=new RegExp(t,"g");var n="".concat(this.nestingPrefix,"(.+?)").concat(this.nestingSuffix);this.nestingRegexp=new RegExp(n,"g");}},{key:"interpolate",value:function(e,t,n,r){var o,i,a,s=this,l=this.options&&this.options.interpolation&&this.options.interpolation.defaultVariables||{};function u(e){return e.replace(/\$/g,"$$$$")}var c=function(e){if(e.indexOf(s.formatSeparator)<0){var o=Gd(t,l,e);return s.alwaysFormat?s.format(o,void 0,n,Ld({},r,t,{interpolationkey:e})):o}var i=e.split(s.formatSeparator),a=i.shift().trim(),u=i.join(s.formatSeparator).trim();return s.format(Gd(t,l,a),u,n,Ld({},r,t,{interpolationkey:a}))};this.resetRegExp();var f=r&&r.missingInterpolationHandler||this.options.missingInterpolationHandler,d=r&&r.interpolation&&r.interpolation.skipOnVariables||this.options.interpolation.skipOnVariables,h=[{regex:this.regexpUnescape,safeValue:function(e){return u(e)}},{regex:this.regexp,safeValue:function(e){return s.escapeValue?u(s.escape(e)):u(e)}}];return h.forEach((function(t){for(a=0;o=t.regex.exec(e);){if(void 0===(i=c(o[1].trim())))if("function"==typeof f){var n=f(e,o,r);i="string"==typeof n?n:"";}else {if(d){i=o[0];continue}s.logger.warn("missed to pass in variable ".concat(o[1]," for interpolating ").concat(e)),i="";}else "string"==typeof i||s.useRawValueToEscape||(i=Vd(i));var l=t.safeValue(i);if(e=e.replace(o[0],l),d?(t.regex.lastIndex+=l.length,t.regex.lastIndex-=o[0].length):t.regex.lastIndex=0,++a>=s.maxReplaces)break}})),e}},{key:"nest",value:function(e,t){var n,r,o=this,i=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},a=Ld({},i);function s(e,t){var n=this.nestingOptionsSeparator;if(e.indexOf(n)<0)return e;var r=e.split(new RegExp("".concat(n,"[ ]*{"))),o="{".concat(r[1]);e=r[0],o=(o=this.interpolate(o,a)).replace(/'/g,'"');try{a=JSON.parse(o),t&&(a=Ld({},t,a));}catch(t){return this.logger.warn("failed parsing options string in nesting for key ".concat(e),t),"".concat(e).concat(n).concat(o)}return delete a.defaultValue,e}for(a.applyPostProcessor=!1,delete a.defaultValue;n=this.nestingRegexp.exec(e);){var l=[],u=!1;if(-1!==n[0].indexOf(this.formatSeparator)&&!/{.*}/.test(n[1])){var c=n[1].split(this.formatSeparator).map((function(e){return e.trim()}));n[1]=c.shift(),l=c,u=!0;}if((r=t(s.call(this,n[1].trim(),a),a))&&n[0]===e&&"string"!=typeof r)return r;"string"!=typeof r&&(r=Vd(r)),r||(this.logger.warn("missed to resolve ".concat(n[1]," for nesting ").concat(e)),r=""),u&&(r=l.reduce((function(e,t){return o.format(e,t,i.lng,Ld({},i,{interpolationkey:n[1].trim()}))}),r.trim())),e=e.replace(n[0],r),this.regexp.lastIndex=0;}return e}}]),e}();var dh=function(e){function t(e,n,r){var o,i=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{};return Td(this,t),o=Ad(this,Fd(t).call(this)),Qd&&Wd.call(Dd(o)),o.backend=e,o.store=n,o.services=r,o.languageUtils=r.languageUtils,o.options=i,o.logger=$d.create("backendConnector"),o.state={},o.queue=[],o.backend&&o.backend.init&&o.backend.init(r,i.backend,i),o}return Bd(t,Wd),Rd(t,[{key:"queueLoad",value:function(e,t,n,r){var o=this,i=[],a=[],s=[],l=[];return e.forEach((function(e){var r=!0;t.forEach((function(t){var s="".concat(e,"|").concat(t);!n.reload&&o.store.hasResourceBundle(e,t)?o.state[s]=2:o.state[s]<0||(1===o.state[s]?a.indexOf(s)<0&&a.push(s):(o.state[s]=1,r=!1,a.indexOf(s)<0&&a.push(s),i.indexOf(s)<0&&i.push(s),l.indexOf(t)<0&&l.push(t)));})),r||s.push(e);})),(i.length||a.length)&&this.queue.push({pending:a,loaded:{},errors:[],callback:r}),{toLoad:i,pending:a,toLoadLanguages:s,toLoadNamespaces:l}}},{key:"loaded",value:function(e,t,n){var r=e.split("|"),o=r[0],i=r[1];t&&this.emit("failedLoading",o,i,t),n&&this.store.addResourceBundle(o,i,n),this.state[e]=t?-1:2;var a={};this.queue.forEach((function(n){!function(e,t,n,r){var o=Kd(e,t,Object),i=o.obj,a=o.k;i[a]=i[a]||[],r&&(i[a]=i[a].concat(n)),r||i[a].push(n);}(n.loaded,[o],i),function(e,t){for(var n=e.indexOf(t);-1!==n;)e.splice(n,1),n=e.indexOf(t);}(n.pending,e),t&&n.errors.push(t),0!==n.pending.length||n.done||(Object.keys(n.loaded).forEach((function(e){a[e]||(a[e]=[]),n.loaded[e].length&&n.loaded[e].forEach((function(t){a[e].indexOf(t)<0&&a[e].push(t);}));})),n.done=!0,n.errors.length?n.callback(n.errors):n.callback());})),this.emit("loaded",a),this.queue=this.queue.filter((function(e){return !e.done}));}},{key:"read",value:function(e,t,n){var r=this,o=arguments.length>3&&void 0!==arguments[3]?arguments[3]:0,i=arguments.length>4&&void 0!==arguments[4]?arguments[4]:350,a=arguments.length>5?arguments[5]:void 0;return e.length?this.backend[n](e,t,(function(s,l){s&&l&&o<5?setTimeout((function(){r.read.call(r,e,t,n,o+1,2*i,a);}),i):a(s,l);})):a(null,{})}},{key:"prepareLoading",value:function(e,t){var n=this,r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},o=arguments.length>3?arguments[3]:void 0;if(!this.backend)return this.logger.warn("No backend was added via i18next.use. Will not load resources."),o&&o();"string"==typeof e&&(e=this.languageUtils.toResolveHierarchy(e)),"string"==typeof t&&(t=[t]);var i=this.queueLoad(e,t,r,o);if(!i.toLoad.length)return i.pending.length||o(),null;i.toLoad.forEach((function(e){n.loadOne(e);}));}},{key:"load",value:function(e,t,n){this.prepareLoading(e,t,{},n);}},{key:"reload",value:function(e,t,n){this.prepareLoading(e,t,{reload:!0},n);}},{key:"loadOne",value:function(e){var t=this,n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:"",r=e.split("|"),o=r[0],i=r[1];this.read(o,i,"read",void 0,void 0,(function(r,a){r&&t.logger.warn("".concat(n,"loading namespace ").concat(i," for language ").concat(o," failed"),r),!r&&a&&t.logger.log("".concat(n,"loaded namespace ").concat(i," for language ").concat(o),a),t.loaded(e,r,a);}));}},{key:"saveMissing",value:function(e,t,n,r,o){var i=arguments.length>5&&void 0!==arguments[5]?arguments[5]:{};this.services.utils&&this.services.utils.hasLoadedNamespace&&!this.services.utils.hasLoadedNamespace(t)?this.logger.warn('did not save key "'.concat(n,'" as the namespace "').concat(t,'" was not yet loaded'),"This means something IS WRONG in your setup. You access the t function before i18next.init / i18next.loadNamespace / i18next.changeLanguage was done. Wait for the callback or Promise to resolve before accessing it!!!"):null!=n&&""!==n&&(this.backend&&this.backend.create&&this.backend.create(e,t,n,r,null,Ld({},i,{isUpdate:o})),e&&e[0]&&this.store.addResource(e[0],t,n,r));}}]),t}();function hh(){return {debug:!1,initImmediate:!0,ns:["translation"],defaultNS:["translation"],fallbackLng:["dev"],fallbackNS:!1,whitelist:!1,nonExplicitWhitelist:!1,supportedLngs:!1,nonExplicitSupportedLngs:!1,load:"all",preload:!1,simplifyPluralSuffix:!0,keySeparator:".",nsSeparator:":",pluralSeparator:"_",contextSeparator:"_",partialBundledLanguages:!1,saveMissing:!1,updateMissing:!1,saveMissingTo:"fallback",saveMissingPlurals:!0,missingKeyHandler:!1,missingInterpolationHandler:!1,postProcess:!1,postProcessPassResolved:!1,returnNull:!0,returnEmptyString:!0,returnObjects:!1,joinArrays:!1,returnedObjectHandler:!1,parseMissingKeyHandler:!1,appendNamespaceToMissingKey:!1,appendNamespaceToCIMode:!1,overloadTranslationOptionHandler:function(e){var t={};if("object"===Md(e[1])&&(t=e[1]),"string"==typeof e[1]&&(t.defaultValue=e[1]),"string"==typeof e[2]&&(t.tDescription=e[2]),"object"===Md(e[2])||"object"===Md(e[3])){var n=e[3]||e[2];Object.keys(n).forEach((function(e){t[e]=n[e];}));}return t},interpolation:{escapeValue:!0,format:function(e,t,n,r){return e},prefix:"{{",suffix:"}}",formatSeparator:",",unescapePrefix:"-",nestingPrefix:"$t(",nestingSuffix:")",nestingOptionsSeparator:",",maxReplaces:1e3,skipOnVariables:!1}}}function ph(e){return "string"==typeof e.ns&&(e.ns=[e.ns]),"string"==typeof e.fallbackLng&&(e.fallbackLng=[e.fallbackLng]),"string"==typeof e.fallbackNS&&(e.fallbackNS=[e.fallbackNS]),e.whitelist&&(e.whitelist&&e.whitelist.indexOf("cimode")<0&&(e.whitelist=e.whitelist.concat(["cimode"])),e.supportedLngs=e.whitelist),e.nonExplicitWhitelist&&(e.nonExplicitSupportedLngs=e.nonExplicitWhitelist),e.supportedLngs&&e.supportedLngs.indexOf("cimode")<0&&(e.supportedLngs=e.supportedLngs.concat(["cimode"])),e}function gh(){}var vh=function(e){function t(){var e,n=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},r=arguments.length>1?arguments[1]:void 0;if(Td(this,t),e=Ad(this,Fd(t).call(this)),Qd&&Wd.call(Dd(e)),e.options=ph(n),e.services={},e.logger=$d,e.modules={external:[]},r&&!e.isInitialized&&!n.isClone){if(!e.options.initImmediate)return e.init(n,r),Ad(e,Dd(e));setTimeout((function(){e.init(n,r);}),0);}return e}return Bd(t,Wd),Rd(t,[{key:"init",value:function(){var e=this,t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},n=arguments.length>1?arguments[1]:void 0;function r(e){return e?"function"==typeof e?new e:e:null}if("function"==typeof t&&(n=t,t={}),t.whitelist&&!t.supportedLngs&&this.logger.deprecate("whitelist",'option "whitelist" will be renamed to "supportedLngs" in the next major - please make sure to rename this option asap.'),t.nonExplicitWhitelist&&!t.nonExplicitSupportedLngs&&this.logger.deprecate("whitelist",'options "nonExplicitWhitelist" will be renamed to "nonExplicitSupportedLngs" in the next major - please make sure to rename this option asap.'),this.options=Ld({},hh(),this.options,ph(t)),this.format=this.options.interpolation.format,n||(n=gh),!this.options.isClone){this.modules.logger?$d.init(r(this.modules.logger),this.options):$d.init(null,this.options);var o=new ah(this.options);this.store=new th(this.options.resources,this.options);var i=this.services;i.logger=$d,i.resourceStore=this.store,i.languageUtils=o,i.pluralResolver=new ch(o,{prepend:this.options.pluralSeparator,compatibilityJSON:this.options.compatibilityJSON,simplifyPluralSuffix:this.options.simplifyPluralSuffix}),i.interpolator=new fh(this.options),i.utils={hasLoadedNamespace:this.hasLoadedNamespace.bind(this)},i.backendConnector=new dh(r(this.modules.backend),i.resourceStore,i,this.options),i.backendConnector.on("*",(function(t){for(var n=arguments.length,r=new Array(n>1?n-1:0),o=1;o<n;o++)r[o-1]=arguments[o];e.emit.apply(e,[t].concat(r));})),this.modules.languageDetector&&(i.languageDetector=r(this.modules.languageDetector),i.languageDetector.init(i,this.options.detection,this.options)),this.modules.i18nFormat&&(i.i18nFormat=r(this.modules.i18nFormat),i.i18nFormat.init&&i.i18nFormat.init(this)),this.translator=new oh(this.services,this.options),this.translator.on("*",(function(t){for(var n=arguments.length,r=new Array(n>1?n-1:0),o=1;o<n;o++)r[o-1]=arguments[o];e.emit.apply(e,[t].concat(r));})),this.modules.external.forEach((function(t){t.init&&t.init(e);}));}if(this.options.fallbackLng&&!this.services.languageDetector&&!this.options.lng){var a=this.services.languageUtils.getFallbackCodes(this.options.fallbackLng);a.length>0&&"dev"!==a[0]&&(this.options.lng=a[0]);}this.services.languageDetector||this.options.lng||this.logger.warn("init: no languageDetector is used and no lng is defined");var s=["getResource","hasResourceBundle","getResourceBundle","getDataByLanguage"];s.forEach((function(t){e[t]=function(){var n;return (n=e.store)[t].apply(n,arguments)};}));var l=["addResource","addResources","addResourceBundle","removeResourceBundle"];l.forEach((function(t){e[t]=function(){var n;return (n=e.store)[t].apply(n,arguments),e};}));var u=zd(),c=function(){var t=function(t,r){e.isInitialized&&!e.initializedStoreOnce&&e.logger.warn("init: i18next is already initialized. You should call init just once!"),e.isInitialized=!0,e.options.isClone||e.logger.log("initialized",e.options),e.emit("initialized",e.options),u.resolve(r),n(t,r);};if(e.languages&&"v1"!==e.options.compatibilityAPI&&!e.isInitialized)return t(null,e.t.bind(e));e.changeLanguage(e.options.lng,t);};return this.options.resources||!this.options.initImmediate?c():setTimeout(c,0),u}},{key:"loadResources",value:function(e){var t=this,n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:gh,r=n,o="string"==typeof e?e:this.language;if("function"==typeof e&&(r=e),!this.options.resources||this.options.partialBundledLanguages){if(o&&"cimode"===o.toLowerCase())return r();var i=[],a=function(e){e&&t.services.languageUtils.toResolveHierarchy(e).forEach((function(e){i.indexOf(e)<0&&i.push(e);}));};if(o)a(o);else {var s=this.services.languageUtils.getFallbackCodes(this.options.fallbackLng);s.forEach((function(e){return a(e)}));}this.options.preload&&this.options.preload.forEach((function(e){return a(e)})),this.services.backendConnector.load(i,this.options.ns,r);}else r(null);}},{key:"reloadResources",value:function(e,t,n){var r=zd();return e||(e=this.languages),t||(t=this.options.ns),n||(n=gh),this.services.backendConnector.reload(e,t,(function(e){r.resolve(),n(e);})),r}},{key:"use",value:function(e){if(!e)throw new Error("You are passing an undefined module! Please check the object you are passing to i18next.use()");if(!e.type)throw new Error("You are passing a wrong module! Please check the object you are passing to i18next.use()");return "backend"===e.type&&(this.modules.backend=e),("logger"===e.type||e.log&&e.warn&&e.error)&&(this.modules.logger=e),"languageDetector"===e.type&&(this.modules.languageDetector=e),"i18nFormat"===e.type&&(this.modules.i18nFormat=e),"postProcessor"===e.type&&nh.addPostProcessor(e),"3rdParty"===e.type&&this.modules.external.push(e),this}},{key:"changeLanguage",value:function(e,t){var n=this;this.isLanguageChangingTo=e;var r=zd();this.emit("languageChanging",e);var o=function(o){e||o||!n.services.languageDetector||(o=[]);var i="string"==typeof o?o:n.services.languageUtils.getBestMatchFromCodes(o);i&&(n.language||(n.language=i,n.languages=n.services.languageUtils.toResolveHierarchy(i)),n.translator.language||n.translator.changeLanguage(i),n.services.languageDetector&&n.services.languageDetector.cacheUserLanguage(i)),n.loadResources(i,(function(e){!function(e,o){o?(n.language=o,n.languages=n.services.languageUtils.toResolveHierarchy(o),n.translator.changeLanguage(o),n.isLanguageChangingTo=void 0,n.emit("languageChanged",o),n.logger.log("languageChanged",o)):n.isLanguageChangingTo=void 0,r.resolve((function(){return n.t.apply(n,arguments)})),t&&t(e,(function(){return n.t.apply(n,arguments)}));}(e,i);}));};return e||!this.services.languageDetector||this.services.languageDetector.async?!e&&this.services.languageDetector&&this.services.languageDetector.async?this.services.languageDetector.detect(o):o(e):o(this.services.languageDetector.detect()),r}},{key:"getFixedT",value:function(e,t,n){var r=this,o=function e(t,o){var i;if("object"!==Md(o)){for(var a=arguments.length,s=new Array(a>2?a-2:0),l=2;l<a;l++)s[l-2]=arguments[l];i=r.options.overloadTranslationOptionHandler([t,o].concat(s));}else i=Ld({},o);i.lng=i.lng||e.lng,i.lngs=i.lngs||e.lngs,i.ns=i.ns||e.ns;var u=r.options.keySeparator||".",c=n?"".concat(n).concat(u).concat(t):t;return r.t(c,i)};return "string"==typeof e?o.lng=e:o.lngs=e,o.ns=t,o.keyPrefix=n,o}},{key:"t",value:function(){var e;return this.translator&&(e=this.translator).translate.apply(e,arguments)}},{key:"exists",value:function(){var e;return this.translator&&(e=this.translator).exists.apply(e,arguments)}},{key:"setDefaultNamespace",value:function(e){this.options.defaultNS=e;}},{key:"hasLoadedNamespace",value:function(e){var t=this,n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};if(!this.isInitialized)return this.logger.warn("hasLoadedNamespace: i18next was not initialized",this.languages),!1;if(!this.languages||!this.languages.length)return this.logger.warn("hasLoadedNamespace: i18n.languages were undefined or empty",this.languages),!1;var r=this.languages[0],o=!!this.options&&this.options.fallbackLng,i=this.languages[this.languages.length-1];if("cimode"===r.toLowerCase())return !0;var a=function(e,n){var r=t.services.backendConnector.state["".concat(e,"|").concat(n)];return -1===r||2===r};if(n.precheck){var s=n.precheck(this,a);if(void 0!==s)return s}return !!this.hasResourceBundle(r,e)||(!this.services.backendConnector.backend||!(!a(r,e)||o&&!a(i,e)))}},{key:"loadNamespaces",value:function(e,t){var n=this,r=zd();return this.options.ns?("string"==typeof e&&(e=[e]),e.forEach((function(e){n.options.ns.indexOf(e)<0&&n.options.ns.push(e);})),this.loadResources((function(e){r.resolve(),t&&t(e);})),r):(t&&t(),Promise.resolve())}},{key:"loadLanguages",value:function(e,t){var n=zd();"string"==typeof e&&(e=[e]);var r=this.options.preload||[],o=e.filter((function(e){return r.indexOf(e)<0}));return o.length?(this.options.preload=r.concat(o),this.loadResources((function(e){n.resolve(),t&&t(e);})),n):(t&&t(),Promise.resolve())}},{key:"dir",value:function(e){if(e||(e=this.languages&&this.languages.length>0?this.languages[0]:this.language),!e)return "rtl";return ["ar","shu","sqr","ssh","xaa","yhd","yud","aao","abh","abv","acm","acq","acw","acx","acy","adf","ads","aeb","aec","afb","ajp","apc","apd","arb","arq","ars","ary","arz","auz","avl","ayh","ayl","ayn","ayp","bbz","pga","he","iw","ps","pbt","pbu","pst","prp","prd","ug","ur","ydd","yds","yih","ji","yi","hbo","men","xmn","fa","jpr","peo","pes","prs","dv","sam"].indexOf(this.services.languageUtils.getLanguagePartFromCode(e))>=0?"rtl":"ltr"}},{key:"createInstance",value:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},n=arguments.length>1?arguments[1]:void 0;return new t(e,n)}},{key:"cloneInstance",value:function(){var e=this,n=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},r=arguments.length>1&&void 0!==arguments[1]?arguments[1]:gh,o=Ld({},this.options,n,{isClone:!0}),i=new t(o),a=["store","services","language"];return a.forEach((function(t){i[t]=e[t];})),i.services=Ld({},this.services),i.services.utils={hasLoadedNamespace:i.hasLoadedNamespace.bind(i)},i.translator=new oh(i.services,i.options),i.translator.on("*",(function(e){for(var t=arguments.length,n=new Array(t>1?t-1:0),r=1;r<t;r++)n[r-1]=arguments[r];i.emit.apply(i,[e].concat(n));})),i.init(o,r),i.translator.options=i.options,i.translator.backendConnector.services.utils={hasLoadedNamespace:i.hasLoadedNamespace.bind(i)},i}},{key:"toJSON",value:function(){return {options:this.options,store:this.store,language:this.language,languages:this.languages}}}]),t}(),yh=new vh;function mh(e,t){yh.addResourceBundle(e,"translation",t,!0,!0);}function wh(e){yh.changeLanguage(e);}yh.init({lng:"zh-CN",resources:{}});var bh=yh.t.bind(yh);

  /**
   * @description i18n en
   * @author wangfupeng
   */
  var enResources = {
      editor: {
          more: 'More',
          justify: 'Justify',
          indent: 'Indent',
          image: 'Image',
      },
  };

  /**
   * @description i18n zh-CN
   * @author wangfupeng
   */
  var zhResources = {
      editor: {
          more: '更多',
          justify: '对齐',
          indent: '缩进',
          image: '图片',
      },
  };

  /**
   * @description i18n entry
   * @author wangfupeng
   */
  mh('en', enResources);
  mh('zh-CN', zhResources);

  mh("en",{common:{ok:"OK"},blockQuote:{title:"Quote"},codeBlock:{title:"Code block"},color:{color:"Font color",bgColor:"Back color",default:"Default color",clear:"Clear back color"},divider:{title:"Divider"},emotion:{title:"Emotion"},fontSize:{title:"Font size",default:"Default"},fontFamily:{title:"Font family",default:"Default"},fullScreen:{title:"Full screen"},header:{title:"Header",text:"Text"},image:{netImage:"Net image",delete:"Delete image",edit:"Edit image",viewLink:"View link",src:"Image src",desc:"Description",link:"Image link"},indent:{decrease:"Decrease",increase:"Increase"},justify:{left:"Left",right:"Right",center:"Center",justify:"Justify"},lineHeight:{title:"Line height",default:"Default"},link:{insert:"Insert link",text:"Link text",url:"Link source",unLink:"Unlink",edit:"Edit link",view:"View link"},textStyle:{bold:"Bold",clear:"Clear styles",code:"Inline code",italic:"Italic",sub:"Sub",sup:"Sup",through:"Through",underline:"Underline"},undo:{undo:"undo",redo:"Redo"}}),mh("zh-CN",{common:{ok:"确定"},blockQuote:{title:"引用"},codeBlock:{title:"代码块"},color:{color:"文字颜色",bgColor:"背景色",default:"默认颜色",clear:"清除背景色"},divider:{title:"分割线"},emotion:{title:"表情"},fontSize:{title:"字号",default:"默认字号"},fontFamily:{title:"字体",default:"默认字体"},fullScreen:{title:"全屏"},header:{title:"标题",text:"正文"},image:{netImage:"网络图片",delete:"删除图片",edit:"编辑图片",viewLink:"查看链接",src:"图片地址",desc:"图片描述",link:"图片链接"},indent:{decrease:"减少缩进",increase:"增加缩进"},justify:{left:"左对齐",right:"右对齐",center:"居中对齐",justify:"两端对齐"},lineHeight:{title:"行高",default:"默认行高"},link:{insert:"插入链接",text:"链接文本",url:"链接地址",unLink:"取消链接",edit:"修改链接",view:"查看链接"},textStyle:{bold:"粗体",clear:"清除格式",code:"行内代码",italic:"斜体",sub:"下标",sup:"上标",through:"删除线",underline:"下划线"},undo:{undo:"撤销",redo:"重做"}});var D$5={type:"paragraph",renderElem:function(t,e,n){return jsx("p",null,e)}};var B$5=function(t,e){return B$5=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(t,e){t.__proto__=e;}||function(t,e){for(var n in e)Object.prototype.hasOwnProperty.call(e,n)&&(t[n]=e[n]);},B$5(t,e)};
  /*! *****************************************************************************
  Copyright (c) Microsoft Corporation.

  Permission to use, copy, modify, and/or distribute this software for any
  purpose with or without fee is hereby granted.

  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
  REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
  AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
  INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
  LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
  OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
  PERFORMANCE OF THIS SOFTWARE.
  ***************************************************************************** */function R$5(t,e){if("function"!=typeof e&&null!==e)throw new TypeError("Class extends value "+String(e)+" is not a constructor or null");function n(){this.constructor=t;}B$5(t,e),t.prototype=null===e?Object.create(e):(n.prototype=e.prototype,new n);}var F$5=function(){return F$5=Object.assign||function(t){for(var e,n=1,r=arguments.length;n<r;n++)for(var o in e=arguments[n])Object.prototype.hasOwnProperty.call(e,o)&&(t[o]=e[o]);return t},F$5.apply(this,arguments)};function _$5(t,e,n,r){return new(n||(n=Promise))((function(o,i){function u(t){try{c(r.next(t));}catch(t){i(t);}}function a(t){try{c(r.throw(t));}catch(t){i(t);}}function c(t){var e;t.done?o(t.value):(e=t.value,e instanceof n?e:new n((function(t){t(e);}))).then(u,a);}c((r=r.apply(t,e||[])).next());}))}function $$5(t,e){var n,r,o,i,u={label:0,sent:function(){if(1&o[0])throw o[1];return o[1]},trys:[],ops:[]};return i={next:a(0),throw:a(1),return:a(2)},"function"==typeof Symbol&&(i[Symbol.iterator]=function(){return this}),i;function a(i){return function(a){return function(i){if(n)throw new TypeError("Generator is already executing.");for(;u;)try{if(n=1,r&&(o=2&i[0]?r.return:i[0]?r.throw||((o=r.return)&&o.call(r),0):r.next)&&!(o=o.call(r,i[1])).done)return o;switch(r=0,o&&(i=[2&i[0],o.value]),i[0]){case 0:case 1:o=i;break;case 4:return u.label++,{value:i[1],done:!1};case 5:u.label++,r=i[1],i=[0];continue;case 7:i=u.ops.pop(),u.trys.pop();continue;default:if(!(o=u.trys,(o=o.length>0&&o[o.length-1])||6!==i[0]&&2!==i[0])){u=0;continue}if(3===i[0]&&(!o||i[1]>o[0]&&i[1]<o[3])){u.label=i[1];break}if(6===i[0]&&u.label<o[1]){u.label=o[1],o=i;break}if(o&&u.label<o[2]){u.label=o[2],u.ops.push(i);break}o[2]&&u.ops.pop(),u.trys.pop();continue}i=e.call(t,u);}catch(t){i=[6,t],r=0;}finally{n=o=0;}if(5&i[0])throw i[1];return {value:i[0]?i[1]:void 0,done:!0}}([i,a])}}}function q$5(t){var e="function"==typeof Symbol&&Symbol.iterator,n=e&&t[e],r=0;if(n)return n.call(t);if(t&&"number"==typeof t.length)return {next:function(){return t&&r>=t.length&&(t=void 0),{value:t&&t[r++],done:!t}}};throw new TypeError(e?"Object is not iterable.":"Symbol.iterator is not defined.")}function W$5(t,e){var n="function"==typeof Symbol&&t[Symbol.iterator];if(!n)return t;var r,o,i=n.call(t),u=[];try{for(;(void 0===e||e-- >0)&&!(r=i.next()).done;)u.push(r.value);}catch(t){o={error:t};}finally{try{r&&!r.done&&(n=i.return)&&n.call(i);}finally{if(o)throw o.error}}return u}function G$5(t){var e=W$5(Editor.nodes(t,{match:function(e){return t.children[0]===e},mode:"highest"}),1),n=e[0];if(null==n)return !1;var r=n[0];if(!Element$1.isElement(r))return !1;if("paragraph"===r.type)return !1;if(""!==Node$1.string(r))return !1;var o=r.children,i=void 0===o?[]:o;return !!Text.isText(i[0])&&(Transforms.setNodes(t,{type:"paragraph"}),!0)}var U$5={renderElems:[D$5],elemsToHtml:[{type:"paragraph",elemToHtml:function(t,e){return ""===e?"<p><br/></p>":"<p>"+e+"</p>"}}],editorPlugin:function(t){var e=t.deleteBackward,n=t.deleteForward,r=t;return r.deleteBackward=function(t){G$5(r)||e(t);},r.deleteForward=function(t){G$5(r)||n(t);},r}},X$5="undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:{};function Y$5(t){return t&&t.__esModule&&Object.prototype.hasOwnProperty.call(t,"default")?t.default:t}function J$5(t){var e={exports:{}};return t(e,e.exports),e.exports}var K$5,Q$5,Z$5=function(t){return t&&t.Math==Math&&t},tt$5=Z$5("object"==typeof globalThis&&globalThis)||Z$5("object"==typeof window&&window)||Z$5("object"==typeof self&&self)||Z$5("object"==typeof X$5&&X$5)||function(){return this}()||Function("return this")(),et$5=function(t){try{return !!t()}catch(t){return !0}},nt$5=!et$5((function(){return 7!=Object.defineProperty({},1,{get:function(){return 7}})[1]})),rt$5=Function.prototype.call,ot$5=rt$5.bind?rt$5.bind(rt$5):function(){return rt$5.apply(rt$5,arguments)},it$5={}.propertyIsEnumerable,ut$5=Object.getOwnPropertyDescriptor,at$5=ut$5&&!it$5.call({1:2},1)?function(t){var e=ut$5(this,t);return !!e&&e.enumerable}:it$5,ct$5={f:at$5},lt$5=function(t,e){return {enumerable:!(1&t),configurable:!(2&t),writable:!(4&t),value:e}},st$5=Function.prototype,ft$5=st$5.bind,pt$5=st$5.call,dt$5=ft$5&&ft$5.bind(pt$5),ht$5=ft$5?function(t){return t&&dt$5(pt$5,t)}:function(t){return t&&function(){return pt$5.apply(t,arguments)}},vt$5=ht$5({}.toString),gt$5=ht$5("".slice),yt$5=function(t){return gt$5(vt$5(t),8,-1)},mt$5=tt$5.Object,bt$5=ht$5("".split),wt$5=et$5((function(){return !mt$5("z").propertyIsEnumerable(0)}))?function(t){return "String"==yt$5(t)?bt$5(t,""):mt$5(t)}:mt$5,St$5=tt$5.TypeError,xt$5=function(t){if(null==t)throw St$5("Can't call method on "+t);return t},kt$5=function(t){return wt$5(xt$5(t))},Tt$5=function(t){return "function"==typeof t},Ot$5=function(t){return "object"==typeof t?null!==t:Tt$5(t)},Mt$5=function(t){return Tt$5(t)?t:void 0},Et$5=function(t,e){return arguments.length<2?Mt$5(tt$5[t]):tt$5[t]&&tt$5[t][e]},It$5=ht$5({}.isPrototypeOf),Nt$5=Et$5("navigator","userAgent")||"",jt$5=tt$5.process,Lt$5=tt$5.Deno,zt$5=jt$5&&jt$5.versions||Lt$5&&Lt$5.version,Ht$5=zt$5&&zt$5.v8;Ht$5&&(Q$5=(K$5=Ht$5.split("."))[0]>0&&K$5[0]<4?1:+(K$5[0]+K$5[1])),!Q$5&&Nt$5&&(!(K$5=Nt$5.match(/Edge\/(\d+)/))||K$5[1]>=74)&&(K$5=Nt$5.match(/Chrome\/(\d+)/))&&(Q$5=+K$5[1]);var At$5=Q$5,Vt$5=!!Object.getOwnPropertySymbols&&!et$5((function(){var t=Symbol();return !String(t)||!(Object(t)instanceof Symbol)||!Symbol.sham&&At$5&&At$5<41})),Pt$5=Vt$5&&!Symbol.sham&&"symbol"==typeof Symbol.iterator,Ct$5=tt$5.Object,Dt$5=Pt$5?function(t){return "symbol"==typeof t}:function(t){var e=Et$5("Symbol");return Tt$5(e)&&It$5(e.prototype,Ct$5(t))},Bt$5=tt$5.String,Rt$5=function(t){try{return Bt$5(t)}catch(t){return "Object"}},Ft$5=tt$5.TypeError,_t$5=function(t){if(Tt$5(t))return t;throw Ft$5(Rt$5(t)+" is not a function")},$t$5=function(t,e){var n=t[e];return null==n?void 0:_t$5(n)},qt$5=tt$5.TypeError,Wt$5=Object.defineProperty,Gt$5=function(t,e){try{Wt$5(tt$5,t,{value:e,configurable:!0,writable:!0});}catch(n){tt$5[t]=e;}return e},Ut$5=tt$5["__core-js_shared__"]||Gt$5("__core-js_shared__",{}),Xt$5=J$5((function(t){(t.exports=function(t,e){return Ut$5[t]||(Ut$5[t]=void 0!==e?e:{})})("versions",[]).push({version:"3.19.1",mode:"global",copyright:"© 2021 Denis Pushkarev (zloirock.ru)"});})),Yt$5=tt$5.Object,Jt$5=function(t){return Yt$5(xt$5(t))},Kt$5=ht$5({}.hasOwnProperty),Qt$5=Object.hasOwn||function(t,e){return Kt$5(Jt$5(t),e)},Zt$5=0,te$5=Math.random(),ee$5=ht$5(1..toString),ne$5=function(t){return "Symbol("+(void 0===t?"":t)+")_"+ee$5(++Zt$5+te$5,36)},re$5=Xt$5("wks"),oe$5=tt$5.Symbol,ie$5=oe$5&&oe$5.for,ue$5=Pt$5?oe$5:oe$5&&oe$5.withoutSetter||ne$5,ae$5=function(t){if(!Qt$5(re$5,t)||!Vt$5&&"string"!=typeof re$5[t]){var e="Symbol."+t;Vt$5&&Qt$5(oe$5,t)?re$5[t]=oe$5[t]:re$5[t]=Pt$5&&ie$5?ie$5(e):ue$5(e);}return re$5[t]},ce$5=tt$5.TypeError,le$5=ae$5("toPrimitive"),se$5=function(t,e){if(!Ot$5(t)||Dt$5(t))return t;var n,r=$t$5(t,le$5);if(r){if(void 0===e&&(e="default"),n=ot$5(r,t,e),!Ot$5(n)||Dt$5(n))return n;throw ce$5("Can't convert object to primitive value")}return void 0===e&&(e="number"),function(t,e){var n,r;if("string"===e&&Tt$5(n=t.toString)&&!Ot$5(r=ot$5(n,t)))return r;if(Tt$5(n=t.valueOf)&&!Ot$5(r=ot$5(n,t)))return r;if("string"!==e&&Tt$5(n=t.toString)&&!Ot$5(r=ot$5(n,t)))return r;throw qt$5("Can't convert object to primitive value")}(t,e)},fe$5=function(t){var e=se$5(t,"string");return Dt$5(e)?e:e+""},pe$5=tt$5.document,de$5=Ot$5(pe$5)&&Ot$5(pe$5.createElement),he$5=function(t){return de$5?pe$5.createElement(t):{}},ve$5=!nt$5&&!et$5((function(){return 7!=Object.defineProperty(he$5("div"),"a",{get:function(){return 7}}).a})),ge$5=Object.getOwnPropertyDescriptor,ye$5={f:nt$5?ge$5:function(t,e){if(t=kt$5(t),e=fe$5(e),ve$5)try{return ge$5(t,e)}catch(t){}if(Qt$5(t,e))return lt$5(!ot$5(ct$5.f,t,e),t[e])}},me$5=tt$5.String,be$5=tt$5.TypeError,we$5=function(t){if(Ot$5(t))return t;throw be$5(me$5(t)+" is not an object")},Se$5=tt$5.TypeError,xe$5=Object.defineProperty,ke$5={f:nt$5?xe$5:function(t,e,n){if(we$5(t),e=fe$5(e),we$5(n),ve$5)try{return xe$5(t,e,n)}catch(t){}if("get"in n||"set"in n)throw Se$5("Accessors not supported");return "value"in n&&(t[e]=n.value),t}},Te$5=nt$5?function(t,e,n){return ke$5.f(t,e,lt$5(1,n))}:function(t,e,n){return t[e]=n,t},Oe$5=ht$5(Function.toString);Tt$5(Ut$5.inspectSource)||(Ut$5.inspectSource=function(t){return Oe$5(t)});var Me$5,Ee$5,Ie$5,Ne$5=Ut$5.inspectSource,je$5=tt$5.WeakMap,Le$5=Tt$5(je$5)&&/native code/.test(Ne$5(je$5)),ze$5=Xt$5("keys"),He$5=function(t){return ze$5[t]||(ze$5[t]=ne$5(t))},Ae$5={},Ve$5=tt$5.TypeError,Pe$5=tt$5.WeakMap;if(Le$5||Ut$5.state){var Ce$5=Ut$5.state||(Ut$5.state=new Pe$5),De$5=ht$5(Ce$5.get),Be$5=ht$5(Ce$5.has),Re$5=ht$5(Ce$5.set);Me$5=function(t,e){if(Be$5(Ce$5,t))throw new Ve$5("Object already initialized");return e.facade=t,Re$5(Ce$5,t,e),e},Ee$5=function(t){return De$5(Ce$5,t)||{}},Ie$5=function(t){return Be$5(Ce$5,t)};}else {var Fe$5=He$5("state");Ae$5[Fe$5]=!0,Me$5=function(t,e){if(Qt$5(t,Fe$5))throw new Ve$5("Object already initialized");return e.facade=t,Te$5(t,Fe$5,e),e},Ee$5=function(t){return Qt$5(t,Fe$5)?t[Fe$5]:{}},Ie$5=function(t){return Qt$5(t,Fe$5)};}var _e$5={set:Me$5,get:Ee$5,has:Ie$5,enforce:function(t){return Ie$5(t)?Ee$5(t):Me$5(t,{})},getterFor:function(t){return function(e){var n;if(!Ot$5(e)||(n=Ee$5(e)).type!==t)throw Ve$5("Incompatible receiver, "+t+" required");return n}}},$e$5=Function.prototype,qe$5=nt$5&&Object.getOwnPropertyDescriptor,We$5=Qt$5($e$5,"name"),Ge$5={EXISTS:We$5,PROPER:We$5&&"something"===function(){}.name,CONFIGURABLE:We$5&&(!nt$5||nt$5&&qe$5($e$5,"name").configurable)},Ue$5=J$5((function(t){var e=Ge$5.CONFIGURABLE,n=_e$5.get,r=_e$5.enforce,o=String(String).split("String");(t.exports=function(t,n,i,u){var a,c=!!u&&!!u.unsafe,l=!!u&&!!u.enumerable,s=!!u&&!!u.noTargetGet,f=u&&void 0!==u.name?u.name:n;Tt$5(i)&&("Symbol("===String(f).slice(0,7)&&(f="["+String(f).replace(/^Symbol\(([^)]*)\)/,"$1")+"]"),(!Qt$5(i,"name")||e&&i.name!==f)&&Te$5(i,"name",f),(a=r(i)).source||(a.source=o.join("string"==typeof f?f:""))),t!==tt$5?(c?!s&&t[n]&&(l=!0):delete t[n],l?t[n]=i:Te$5(t,n,i)):l?t[n]=i:Gt$5(n,i);})(Function.prototype,"toString",(function(){return Tt$5(this)&&n(this).source||Ne$5(this)}));})),Xe$5=Math.ceil,Ye$5=Math.floor,Je$5=function(t){var e=+t;return e!=e||0===e?0:(e>0?Ye$5:Xe$5)(e)},Ke$5=Math.max,Qe$5=Math.min,Ze$5=function(t,e){var n=Je$5(t);return n<0?Ke$5(n+e,0):Qe$5(n,e)},tn$5=Math.min,en$5=function(t){return t>0?tn$5(Je$5(t),9007199254740991):0},nn$5=function(t){return en$5(t.length)},rn$5=function(t){return function(e,n,r){var o,i=kt$5(e),u=nn$5(i),a=Ze$5(r,u);if(t&&n!=n){for(;u>a;)if((o=i[a++])!=o)return !0}else for(;u>a;a++)if((t||a in i)&&i[a]===n)return t||a||0;return !t&&-1}},on$5={includes:rn$5(!0),indexOf:rn$5(!1)},un$5=on$5.indexOf,an$5=ht$5([].push),cn$5=function(t,e){var n,r=kt$5(t),o=0,i=[];for(n in r)!Qt$5(Ae$5,n)&&Qt$5(r,n)&&an$5(i,n);for(;e.length>o;)Qt$5(r,n=e[o++])&&(~un$5(i,n)||an$5(i,n));return i},ln$5=["constructor","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","toLocaleString","toString","valueOf"],sn$5=ln$5.concat("length","prototype"),fn$5={f:Object.getOwnPropertyNames||function(t){return cn$5(t,sn$5)}},pn$5={f:Object.getOwnPropertySymbols},dn$5=ht$5([].concat),hn$5=Et$5("Reflect","ownKeys")||function(t){var e=fn$5.f(we$5(t)),n=pn$5.f;return n?dn$5(e,n(t)):e},vn$5=function(t,e){for(var n=hn$5(e),r=ke$5.f,o=ye$5.f,i=0;i<n.length;i++){var u=n[i];Qt$5(t,u)||r(t,u,o(e,u));}},gn$5=/#|\.prototype\./,yn$5=function(t,e){var n=bn$5[mn$5(t)];return n==Sn$5||n!=wn$5&&(Tt$5(e)?et$5(e):!!e)},mn$5=yn$5.normalize=function(t){return String(t).replace(gn$5,".").toLowerCase()},bn$5=yn$5.data={},wn$5=yn$5.NATIVE="N",Sn$5=yn$5.POLYFILL="P",xn$5=yn$5,kn$5=ye$5.f,Tn$5=function(t,e){var n,r,o,i,u,a=t.target,c=t.global,l=t.stat;if(n=c?tt$5:l?tt$5[a]||Gt$5(a,{}):(tt$5[a]||{}).prototype)for(r in e){if(i=e[r],o=t.noTargetGet?(u=kn$5(n,r))&&u.value:n[r],!xn$5(c?r:a+(l?".":"#")+r,t.forced)&&void 0!==o){if(typeof i==typeof o)continue;vn$5(i,o);}(t.sham||o&&o.sham)&&Te$5(i,"sham",!0),Ue$5(n,r,i,t);}},On$5={};On$5[ae$5("toStringTag")]="z";var Mn$5="[object z]"===String(On$5),En$5=ae$5("toStringTag"),In$5=tt$5.Object,Nn$5="Arguments"==yt$5(function(){return arguments}()),jn$5=Mn$5?yt$5:function(t){var e,n,r;return void 0===t?"Undefined":null===t?"Null":"string"==typeof(n=function(t,e){try{return t[e]}catch(t){}}(e=In$5(t),En$5))?n:Nn$5?yt$5(e):"Object"==(r=yt$5(e))&&Tt$5(e.callee)?"Arguments":r},Ln$5=tt$5.String,zn$5=function(t){if("Symbol"===jn$5(t))throw TypeError("Cannot convert a Symbol value to a string");return Ln$5(t)},Hn$5=/"/g,An$5=ht$5("".replace),Vn$4=function(t,e,n,r){var o=zn$5(xt$5(t)),i="<"+e;return ""!==n&&(i+=" "+n+'="'+An$5(zn$5(r),Hn$5,"&quot;")+'"'),i+">"+o+"</"+e+">"},Pn$5=function(t){return et$5((function(){var e=""[t]('"');return e!==e.toLowerCase()||e.split('"').length>3}))};Tn$5({target:"String",proto:!0,forced:Pn$5("bold")},{bold:function(){return Vn$4(this,"b","","")}}),Tn$5({target:"String",proto:!0,forced:Pn$5("italics")},{italics:function(){return Vn$4(this,"i","","")}}),Tn$5({target:"String",proto:!0,forced:Pn$5("sub")},{sub:function(){return Vn$4(this,"sub","","")}}),Tn$5({target:"String",proto:!0,forced:Pn$5("sup")},{sup:function(){return Vn$4(this,"sup","","")}});var Cn$4,Dn$4=function(){var t=we$5(this),e="";return t.global&&(e+="g"),t.ignoreCase&&(e+="i"),t.multiline&&(e+="m"),t.dotAll&&(e+="s"),t.unicode&&(e+="u"),t.sticky&&(e+="y"),e},Bn$4=tt$5.RegExp,Rn$5={UNSUPPORTED_Y:et$5((function(){var t=Bn$4("a","y");return t.lastIndex=2,null!=t.exec("abcd")})),BROKEN_CARET:et$5((function(){var t=Bn$4("^r","gy");return t.lastIndex=2,null!=t.exec("str")}))},Fn$4=Object.keys||function(t){return cn$5(t,ln$5)},_n$5=nt$5?Object.defineProperties:function(t,e){we$5(t);for(var n,r=kt$5(e),o=Fn$4(e),i=o.length,u=0;i>u;)ke$5.f(t,n=o[u++],r[n]);return t},$n$4=Et$5("document","documentElement"),qn$4=He$5("IE_PROTO"),Wn$4=function(){},Gn$4=function(t){return "<script>"+t+"<\/script>"},Un$4=function(t){t.write(Gn$4("")),t.close();var e=t.parentWindow.Object;return t=null,e},Xn$4=function(){try{Cn$4=new ActiveXObject("htmlfile");}catch(t){}var t,e;Xn$4="undefined"!=typeof document?document.domain&&Cn$4?Un$4(Cn$4):((e=he$5("iframe")).style.display="none",$n$4.appendChild(e),e.src=String("javascript:"),(t=e.contentWindow.document).open(),t.write(Gn$4("document.F=Object")),t.close(),t.F):Un$4(Cn$4);for(var n=ln$5.length;n--;)delete Xn$4.prototype[ln$5[n]];return Xn$4()};Ae$5[qn$4]=!0;var Yn$4,Jn$4,Kn$4=Object.create||function(t,e){var n;return null!==t?(Wn$4.prototype=we$5(t),n=new Wn$4,Wn$4.prototype=null,n[qn$4]=t):n=Xn$4(),void 0===e?n:_n$5(n,e)},Qn$4=tt$5.RegExp,Zn$4=et$5((function(){var t=Qn$4(".","s");return !(t.dotAll&&t.exec("\n")&&"s"===t.flags)})),tr$3=tt$5.RegExp,er$3=et$5((function(){var t=tr$3("(?<a>b)","g");return "b"!==t.exec("b").groups.a||"bc"!=="b".replace(t,"$<a>c")})),nr$3=_e$5.get,rr$3=Xt$5("native-string-replace",String.prototype.replace),or$3=RegExp.prototype.exec,ir$3=or$3,ur$3=ht$5("".charAt),ar$3=ht$5("".indexOf),cr$3=ht$5("".replace),lr$3=ht$5("".slice),sr$3=(Jn$4=/b*/g,ot$5(or$3,Yn$4=/a/,"a"),ot$5(or$3,Jn$4,"a"),0!==Yn$4.lastIndex||0!==Jn$4.lastIndex),fr$3=Rn$5.UNSUPPORTED_Y||Rn$5.BROKEN_CARET,pr$3=void 0!==/()??/.exec("")[1];(sr$3||pr$3||fr$3||Zn$4||er$3)&&(ir$3=function(t){var e,n,r,o,i,u,a,c=this,l=nr$3(c),s=zn$5(t),f=l.raw;if(f)return f.lastIndex=c.lastIndex,e=ot$5(ir$3,f,s),c.lastIndex=f.lastIndex,e;var p=l.groups,d=fr$3&&c.sticky,h=ot$5(Dn$4,c),v=c.source,g=0,y=s;if(d&&(h=cr$3(h,"y",""),-1===ar$3(h,"g")&&(h+="g"),y=lr$3(s,c.lastIndex),c.lastIndex>0&&(!c.multiline||c.multiline&&"\n"!==ur$3(s,c.lastIndex-1))&&(v="(?: "+v+")",y=" "+y,g++),n=new RegExp("^(?:"+v+")",h)),pr$3&&(n=new RegExp("^"+v+"$(?!\\s)",h)),sr$3&&(r=c.lastIndex),o=ot$5(or$3,d?n:c,y),d?o?(o.input=lr$3(o.input,g),o[0]=lr$3(o[0],g),o.index=c.lastIndex,c.lastIndex+=o[0].length):c.lastIndex=0:sr$3&&o&&(c.lastIndex=c.global?o.index+o[0].length:r),pr$3&&o&&o.length>1&&ot$5(rr$3,o[0],n,(function(){for(i=1;i<arguments.length-2;i++)void 0===arguments[i]&&(o[i]=void 0);})),o&&p)for(o.groups=u=Kn$4(null),i=0;i<p.length;i++)u[(a=p[i])[0]]=o[a[1]];return o});var dr$3=ir$3;Tn$5({target:"RegExp",proto:!0,forced:/./.exec!==dr$3},{exec:dr$3});var hr$3,vr$3=ae$5("match"),gr$3=function(t){var e;return Ot$5(t)&&(void 0!==(e=t[vr$3])?!!e:"RegExp"==yt$5(t))},yr$3=tt$5.TypeError,mr$3=function(t){if(gr$3(t))throw yr$3("The method doesn't accept regular expressions");return t},br$3=ae$5("match"),wr$3=function(t){var e=/./;try{"/./"[t](e);}catch(n){try{return e[br$3]=!1,"/./"[t](e)}catch(t){}}return !1},Sr$3=ye$5.f,xr$3=ht$5("".startsWith),kr$3=ht$5("".slice),Tr$3=Math.min,Or$3=wr$3("startsWith");Tn$5({target:"String",proto:!0,forced:!!(Or$3||(hr$3=Sr$3(String.prototype,"startsWith"),!hr$3||hr$3.writable))&&!Or$3},{startsWith:function(t){var e=zn$5(xt$5(this));mr$3(t);var n=en$5(Tr$3(arguments.length>1?arguments[1]:void 0,e.length)),r=zn$5(t);return xr$3?xr$3(e,r,n):kr$3(e,n,n+r.length)===r}}),Tn$5({target:"Object",stat:!0,forced:et$5((function(){Fn$4(1);}))},{keys:function(t){return Fn$4(Jt$5(t))}});var Mr$3=Mn$5?{}.toString:function(){return "[object "+jn$5(this)+"]"};Mn$5||Ue$5(Object.prototype,"toString",Mr$3,{unsafe:!0});var Er$3={CSSRuleList:0,CSSStyleDeclaration:0,CSSValueList:0,ClientRectList:0,DOMRectList:0,DOMStringList:0,DOMTokenList:1,DataTransferItemList:0,FileList:0,HTMLAllCollection:0,HTMLCollection:0,HTMLFormElement:0,HTMLSelectElement:0,MediaList:0,MimeTypeArray:0,NamedNodeMap:0,NodeList:1,PaintRequestList:0,Plugin:0,PluginArray:0,SVGLengthList:0,SVGNumberList:0,SVGPathSegList:0,SVGPointList:0,SVGStringList:0,SVGTransformList:0,SourceBufferList:0,StyleSheetList:0,TextTrackCueList:0,TextTrackList:0,TouchList:0},Ir$3=he$5("span").classList,Nr$3=Ir$3&&Ir$3.constructor&&Ir$3.constructor.prototype,jr$3=Nr$3===Object.prototype?void 0:Nr$3,Lr$3=ht$5(ht$5.bind),zr$3=Array.isArray||function(t){return "Array"==yt$5(t)},Hr$3=function(){},Ar$3=[],Vr$3=Et$5("Reflect","construct"),Pr$3=/^\s*(?:class|function)\b/,Cr$3=ht$5(Pr$3.exec),Dr$3=!Pr$3.exec(Hr$3),Br$3=function(t){if(!Tt$5(t))return !1;try{return Vr$3(Hr$3,Ar$3,t),!0}catch(t){return !1}},Rr$3=!Vr$3||et$5((function(){var t;return Br$3(Br$3.call)||!Br$3(Object)||!Br$3((function(){t=!0;}))||t}))?function(t){if(!Tt$5(t))return !1;switch(jn$5(t)){case"AsyncFunction":case"GeneratorFunction":case"AsyncGeneratorFunction":return !1}return Dr$3||!!Cr$3(Pr$3,Ne$5(t))}:Br$3,Fr$3=ae$5("species"),_r$3=tt$5.Array,$r$3=function(t,e){return new(function(t){var e;return zr$3(t)&&(e=t.constructor,(Rr$3(e)&&(e===_r$3||zr$3(e.prototype))||Ot$5(e)&&null===(e=e[Fr$3]))&&(e=void 0)),void 0===e?_r$3:e}(t))(0===e?0:e)},qr$3=ht$5([].push),Wr$3=function(t){var e=1==t,n=2==t,r=3==t,o=4==t,i=6==t,u=7==t,a=5==t||i;return function(c,l,s,f){for(var p,d,h=Jt$5(c),v=wt$5(h),g=function(t,e){return _t$5(t),void 0===e?t:Lr$3?Lr$3(t,e):function(){return t.apply(e,arguments)}}(l,s),y=nn$5(v),m=0,b=f||$r$3,w=e?b(c,y):n||u?b(c,0):void 0;y>m;m++)if((a||m in v)&&(d=g(p=v[m],m,h),t))if(e)w[m]=d;else if(d)switch(t){case 3:return !0;case 5:return p;case 6:return m;case 2:qr$3(w,p);}else switch(t){case 4:return !1;case 7:qr$3(w,p);}return i?-1:r||o?o:w}},Gr$3={forEach:Wr$3(0),map:Wr$3(1),filter:Wr$3(2),some:Wr$3(3),every:Wr$3(4),find:Wr$3(5),findIndex:Wr$3(6),filterReject:Wr$3(7)},Ur$3=function(t,e){var n=[][t];return !!n&&et$5((function(){n.call(null,e||function(){throw 1},1);}))},Xr$3=Gr$3.forEach,Yr$3=Ur$3("forEach")?[].forEach:function(t){return Xr$3(this,t,arguments.length>1?arguments[1]:void 0)},Jr$3=function(t){if(t&&t.forEach!==Yr$3)try{Te$5(t,"forEach",Yr$3);}catch(e){t.forEach=Yr$3;}};for(var Kr$3 in Er$3)Er$3[Kr$3]&&Jr$3(tt$5[Kr$3]&&tt$5[Kr$3].prototype);function Qr$3(t,n){return null==t.selection||!!W$5(Editor.nodes(t,{match:function(r){var o=ms$1.getNodeType(r);return "pre"===o||(!!Editor.isVoid(t,r)||!("bold"!==n||!o.startsWith("header")))},universal:!0}),1)[0]}function Zr$3(t,e){Object.keys(e).forEach((function(e){"text"!==e&&Editor.removeMark(t,e);}));}Jr$3(jr$3);var to$3=function(){function t(){this.tag="button";}return t.prototype.getValue=function(t){var e=this.mark;return !!W$5(Editor.nodes(t,{match:function(t){return !0===t[e]}}),1)[0]},t.prototype.isActive=function(t){return !!this.getValue(t)},t.prototype.isDisabled=function(t){return Qr$3(t,this.mark)},t.prototype.exec=function(t,e){var n=this.mark;e?t.removeMark(n):t.addMark(n,!0);},t}(),eo$3='<svg viewBox="0 0 1024 1024"><path d="M707.872 484.64A254.88 254.88 0 0 0 768 320c0-141.152-114.848-256-256-256H192v896h384c141.152 0 256-114.848 256-256a256.096 256.096 0 0 0-124.128-219.36zM384 192h101.504c55.968 0 101.504 57.408 101.504 128s-45.536 128-101.504 128H384V192z m159.008 640H384v-256h159.008c58.464 0 106.016 57.408 106.016 128s-47.552 128-106.016 128z"></path></svg>',no$3='<svg viewBox="0 0 1024 1024"><path d="M704 64l128 0 0 416c0 159.072-143.264 288-320 288s-320-128.928-320-288l0-416 128 0 0 416c0 40.16 18.24 78.688 51.36 108.512 36.896 33.216 86.848 51.488 140.64 51.488s103.744-18.304 140.64-51.488c33.12-29.792 51.36-68.352 51.36-108.512l0-416zM192 832l640 0 0 128-640 0z"></path></svg>',ro$3='<svg viewBox="0 0 1024 1024"><path d="M896 64v64h-128L448 896h128v64H128v-64h128L576 128h-128V64z"></path></svg>',oo$3='<svg viewBox="0 0 1024 1024"><path d="M1024 512v64h-234.496c27.52 38.496 42.496 82.688 42.496 128 0 70.88-36.672 139.04-100.576 186.976C672.064 935.488 594.144 960 512 960s-160.064-24.512-219.424-69.024C228.64 843.04 192 774.88 192 704h128c0 69.376 87.936 128 192 128s192-58.624 192-128-87.936-128-192-128H0v-64h299.52a385.984 385.984 0 0 1-6.944-5.024C228.64 459.04 192 390.88 192 320s36.672-139.04 100.576-186.976C351.936 88.512 429.856 64 512 64s160.064 24.512 219.424 69.024C795.328 180.96 832 249.12 832 320h-128c0-69.376-87.936-128-192-128s-192 58.624-192 128 87.936 128 192 128c78.976 0 154.048 22.688 212.48 64H1024z"></path></svg>',io$3='<svg viewBox="0 0 1024 1024"><path d="M576 736l96 96 320-320L672 192l-96 96 224 224zM448 288l-96-96L32 512l320 320 96-96-224-224z"></path></svg>',uo$3='<svg viewBox="0 0 1024 1024"><path d="M864 0a160 160 0 0 1 128 256l-64 64-224-224 64-64c26.752-20.096 59.968-32 96-32zM64 736l-64 288 288-64 592-592-224-224L64 736z m651.584-372.416l-448 448-55.168-55.168 448-448 55.168 55.168z"></path></svg>',ao$3='<svg viewBox="0 0 1024 1024"><path d="M924.402464 1023.068211H0.679665V99.345412h461.861399v98.909208H99.596867v725.896389h725.896389V561.206811h98.909208z" p-id="10909"></path><path d="M930.805104 22.977336l69.965436 69.965436-453.492405 453.492404-69.965435-69.901489z" p-id="10910"></path><path d="M1022.464381 304.030081h-98.917201V99.345412H709.230573V0.428211h313.233808z"></path></svg>',co$3='<svg viewBox="0 0 1024 1024"><path d="M64 864h896v96H64zM360.58 576h302.85l81.53 224h102.16L579.24 64H444.77L176.89 800h102.16l81.53-224zM512 159.96L628.49 480H395.52L512 159.96z"></path></svg>',lo$3='<svg viewBox="0 0 1024 1024"><path d="M510.030769 315.076923l84.676923 196.923077h-177.230769l76.8-196.923077h15.753846zM945.230769 157.538462v708.923076c0 43.323077-35.446154 78.769231-78.769231 78.769231H157.538462c-43.323077 0-78.769231-35.446154-78.769231-78.769231V157.538462c0-43.323077 35.446154-78.769231 78.769231-78.769231h708.923076c43.323077 0 78.769231 35.446154 78.769231 78.769231z m-108.307692 643.938461L600.615385 216.615385c-5.907692-11.815385-15.753846-19.692308-29.538462-19.692308h-139.815385c-11.815385 0-23.630769 7.876923-27.56923 19.692308l-216.615385 584.861538c-3.938462 11.815385 3.938462 25.6 17.723077 25.6h80.738462c11.815385 0 23.630769-9.846154 27.56923-21.661538l63.015385-175.261539h263.876923l68.923077 175.261539c3.938462 11.815385 15.753846 21.661538 27.569231 21.661538h80.738461c13.784615 0 23.630769-13.784615 19.692308-25.6z"></path></svg>',so$2='<svg viewBox="0 0 1024 1024"><path d="M64 512h384v128h-128V1024h-128V640h-128z m896-256H708.2496v768h-136.4992V256H320V128h640z"></path></svg>',fo$2='<svg viewBox="0 0 1024 1024"><path d="M956.788364 152.110545h-24.110546l23.924364 9.029819 0.186182 121.018181h-65.070546l-86.574545-130.048H566.551273v650.14691l130.048 64.977454v65.163636h-390.050909v-65.163636l129.954909-64.977454V152.110545H198.283636L111.429818 282.065455H46.545455V69.259636C46.545455 33.792 82.664727 22.062545 98.955636 22.062545h812.683637c23.738182 0 45.056 15.173818 45.056 41.053091V169.425455v-17.221819z"></path></svg>',po$2='<svg viewBox="0 0 1024 1024"><path d="M0 64h1024v128H0z m384 192h640v128H384z m0 192h640v128H384z m0 192h640v128H384zM0 832h1024v128H0z m256-512v384l-256-192z"></path></svg>',ho$2='<svg viewBox="0 0 1024 1024"><path d="M0 64h1024v128H0z m384 192h640v128H384z m0 192h640v128H384z m0 192h640v128H384zM0 832h1024v128H0z m0-128V320l256 192z"></path></svg>',vo$2='<svg viewBox="0 0 1024 1024"><path d="M768 793.6v102.4H51.2v-102.4h716.8z m204.8-230.4v102.4H51.2v-102.4h921.6z m-204.8-230.4v102.4H51.2v-102.4h716.8zM972.8 102.4v102.4H51.2V102.4h921.6z"></path></svg>',go$2='<svg viewBox="0 0 1024 1024"><path d="M972.8 793.6v102.4H256v-102.4h716.8z m0-230.4v102.4H51.2v-102.4h921.6z m0-230.4v102.4H256v-102.4h716.8zM972.8 102.4v102.4H51.2V102.4h921.6z"></path></svg>',yo$2='<svg viewBox="0 0 1024 1024"><path d="M870.4 793.6v102.4H153.6v-102.4h716.8z m102.4-230.4v102.4H51.2v-102.4h921.6z m-102.4-230.4v102.4H153.6v-102.4h716.8zM972.8 102.4v102.4H51.2V102.4h921.6z"></path></svg>',mo$2='<svg viewBox="0 0 1024 1024"><path d="M0 64h1024v128H0z m0 192h1024v128H0z m0 192h1024v128H0z m0 192h1024v128H0z m0 192h1024v128H0z"></path></svg>',bo$2='<svg viewBox="0 0 1024 1024"><path d="M768 206.016v50.016h128v64h-192V174.016l128-60V64h-128V0h192v146.016zM676 256h-136L352 444 164 256H28l256 256-256 256h136L352 580 540 768h136l-256-256z"></path></svg>',wo$2='<svg viewBox="0 0 1024 1024"><path d="M768 910.016v50.016h128v64h-192v-146.016l128-60V768h-128v-64h192v146.016zM676 256h-136L352 444 164 256H28l256 256-256 256h136L352 580 540 768h136l-256-256z"></path></svg>',So$2=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e.mark="bold",e.title=bh("textStyle.bold"),e.iconSvg=eo$3,e.hotkey="mod+b",e}return R$5(e,t),e}(to$3),xo$2=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e.mark="code",e.title=bh("textStyle.code"),e.iconSvg=io$3,e.hotkey="mod+e",e}return R$5(e,t),e}(to$3),ko$2=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e.mark="italic",e.title=bh("textStyle.italic"),e.iconSvg=ro$3,e.hotkey="mod+i",e}return R$5(e,t),e}(to$3),To$2=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e.mark="through",e.title=bh("textStyle.through"),e.iconSvg=oo$3,e.hotkey="mod+shift+x",e}return R$5(e,t),e}(to$3),Oo$2=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e.mark="underline",e.title=bh("textStyle.underline"),e.iconSvg=no$3,e.hotkey="mod+u",e}return R$5(e,t),e}(to$3),Mo$2=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e.mark="sub",e.title=bh("textStyle.sub"),e.iconSvg=wo$2,e.hotkey="",e}return R$5(e,t),e}(to$3),Eo$2=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e.mark="sup",e.title=bh("textStyle.sup"),e.iconSvg=bo$2,e.hotkey="",e}return R$5(e,t),e}(to$3),Io$2=function(){function t(){this.title=bh("textStyle.clear"),this.iconSvg='<svg viewBox="0 0 1024 1024"><path d="M969.382408 288.738615l-319.401123-270.852152a67.074236 67.074236 0 0 0-96.459139 5.74922l-505.931379 574.922021a68.35184 68.35184 0 0 0-17.886463 47.910169 74.101061 74.101061 0 0 0 24.274486 47.910168l156.50655 132.232065h373.060512L975.131628 383.281347a67.074236 67.074236 0 0 0-5.74922-96.459139z m-440.134747 433.746725H264.144729l-90.071117-78.572676c-5.74922-5.74922-12.137243-12.137243-12.137243-17.886463a36.411728 36.411728 0 0 1 5.749221-24.274485l210.804741-240.828447 265.102932 228.691204z m-439.495945 180.781036h843.218964a60.047411 60.047411 0 1 1 0 120.733624H89.751716a60.047411 60.047411 0 1 1 0-120.733624z m0 0"></path></svg>',this.tag="button";}return t.prototype.getValue=function(t){return ""},t.prototype.isActive=function(t){return !1},t.prototype.isDisabled=function(t){return Qr$3(t)},t.prototype.exec=function(t,e){var n,r,o=Editor.nodes(t,{match:function(t){return Text.isText(t)},universal:!0});try{for(var i=q$5(o),a=i.next();!a.done;a=i.next()){Zr$3(t,a.value[0]);}}catch(t){n={error:t};}finally{try{a&&!a.done&&(r=i.return)&&r.call(i);}finally{if(n)throw n.error}}},t}(),No$2={renderTextStyle:function(t,e){var n=t,r=n.bold,o=n.italic,u=n.underline,a=n.code,c=n.through,l=n.sub,s=n.sup,f=e;return r&&(f=jsx("strong",null,f)),a&&(f=jsx("code",null,f)),o&&(f=jsx("em",null,f)),u&&(f=jsx("u",null,f)),c&&(f=jsx("s",null,f)),l&&(f=jsx("sub",null,f)),s&&(f=jsx("sup",null,f)),f},menus:[{key:"bold",factory:function(){return new So$2}},{key:"underline",factory:function(){return new Oo$2}},{key:"italic",factory:function(){return new ko$2}},{key:"through",factory:function(){return new To$2}},{key:"code",factory:function(){return new xo$2}},{key:"sub",factory:function(){return new Mo$2}},{key:"sup",factory:function(){return new Eo$2}},{key:"clearStyle",factory:function(){return new Io$2}}],textToHtml:function(t,e){var n=t,r=n.bold,o=n.italic,i=n.underline,u=e;return r&&(u="<strong>"+u+"</strong>"),n.code&&(u="<code>"+u+"</code>"),o&&(u="<em>"+u+"</em>"),i&&(u="<u>"+u+"</u>"),n.through&&(u="<s>"+u+"</s>"),n.sub&&(u="<sub>"+u+"</sub>"),n.sup&&(u="<sup>"+u+"</sup>"),u}};function jo$2(t){return function(e,n,r){return jsx("h"+t,null,n)}}var Lo$2={type:"header1",renderElem:jo$2(1)},zo$2={type:"header2",renderElem:jo$2(2)},Ho$2={type:"header3",renderElem:jo$2(3)},Ao$2={type:"header4",renderElem:jo$2(4)},Vo$2={type:"header5",renderElem:jo$2(5)},Po$2=Ge$5.PROPER,Co$2=RegExp.prototype,Do$2=Co$2.toString,Bo$2=ht$5(Dn$4),Ro$2=et$5((function(){return "/a/b"!=Do$2.call({source:"a",flags:"b"})})),Fo$2=Po$2&&"toString"!=Do$2.name;function _o$2(t){var n=W$5(Editor.nodes(t,{match:function(t){return ms$1.getNodeType(t).startsWith("header")},universal:!0}),1),r=n[0];if(null==r)return "paragraph";var o=W$5(r,1)[0];return ms$1.getNodeType(o)}function $o$2(t){return null==t.selection||!W$5(Editor.nodes(t,{match:function(t){var n=ms$1.getNodeType(t);return "paragraph"===n||!!n.startsWith("header")},universal:!0,mode:"highest"}),1)[0]}function qo$2(t,e){e&&Transforms.setNodes(t,{type:e});}(Ro$2||Fo$2)&&Ue$5(RegExp.prototype,"toString",(function(){var t=we$5(this),e=zn$5(t.source),n=t.flags;return "/"+e+"/"+zn$5(void 0===n&&It$5(Co$2,t)&&!("flags"in Co$2)?Bo$2(t):n)}),{unsafe:!0});var Wo$2=function(){function t(){this.title=bh("header.title"),this.iconSvg='<svg viewBox="0 0 1024 1024"><path d="M960 960c-51.2 0-102.4-3.2-153.6-3.2-51.2 0-99.2 3.2-150.4 3.2-19.2 0-28.8-22.4-28.8-38.4 0-51.2 57.6-28.8 86.4-48 19.2-12.8 19.2-60.8 19.2-80v-224-19.2c-9.6-3.2-19.2-3.2-28.8-3.2H320c-9.6 0-19.2 0-28.8 3.2V780.8c0 22.4 0 80 22.4 92.8 28.8 19.2 96-6.4 96 44.8 0 16-9.6 41.6-28.8 41.6-54.4 0-105.6-3.2-160-3.2-48 0-96 3.2-147.2 3.2-19.2 0-28.8-22.4-28.8-38.4 0-51.2 51.2-28.8 80-48 19.2-12.8 19.2-60.8 19.2-83.2V294.4c0-28.8 3.2-115.2-22.4-131.2-25.6-16-86.4 9.6-86.4-41.6 0-16 6.4-41.6 28.8-41.6 51.2 0 105.6 3.2 156.8 3.2 48 0 96-3.2 144-3.2 19.2 0 28.8 22.4 28.8 41.6 0 48-57.6 25.6-83.2 41.6-19.2 12.8-19.2 73.6-19.2 92.8v201.6c6.4 3.2 16 3.2 22.4 3.2h400c6.4 0 12.8 0 22.4-3.2V256c0-22.4 0-80-19.2-92.8-28.8-16-86.4 6.4-86.4-41.6 0-16 9.6-41.6 28.8-41.6 51.2 0 99.2 3.2 150.4 3.2 48 0 99.2-3.2 147.2-3.2 19.2 0 28.8 22.4 28.8 41.6 0 51.2-57.6 25.6-86.4 41.6-19.2 12.8-19.2 70.4-19.2 92.8v537.6c0 19.2 0 67.2 19.2 80 28.8 19.2 89.6-6.4 89.6 44.8 0 19.2-6.4 41.6-28.8 41.6z"></path></svg>',this.tag="select",this.width=60;}return t.prototype.getOptions=function(t){var e=[{value:"header1",text:"H1",styleForRenderMenuList:{"font-size":"32px","font-weight":"bold"}},{value:"header2",text:"H2",styleForRenderMenuList:{"font-size":"24px","font-weight":"bold"}},{value:"header3",text:"H3",styleForRenderMenuList:{"font-size":"18px","font-weight":"bold"}},{value:"header4",text:"H4",styleForRenderMenuList:{"font-size":"16px","font-weight":"bold"}},{value:"header5",text:"H5",styleForRenderMenuList:{"font-size":"13px","font-weight":"bold"}},{value:"paragraph",text:bh("header.text")}],r=this.getValue(t).toString();return e.forEach((function(t){t.value===r?t.selected=!0:delete t.selected;})),e},t.prototype.isActive=function(t){return !1},t.prototype.getValue=function(t){return _o$2(t)},t.prototype.isDisabled=function(t){return $o$2(t)},t.prototype.exec=function(t,e){qo$2(t,e.toString());},t}(),Go$2=function(){function t(){this.tag="button";}return t.prototype.getValue=function(t){return _o$2(t)},t.prototype.isActive=function(t){return this.getValue(t)===this.type},t.prototype.isDisabled=function(t){return $o$2(t)},t.prototype.exec=function(t,e){var n=this.type;qo$2(t,e===n?"paragraph":n);},t}(),Uo$2=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e.title="H1",e.type="header1",e}return R$5(e,t),e}(Go$2),Xo$2=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e.title="H2",e.type="header2",e}return R$5(e,t),e}(Go$2),Yo$2=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e.title="H3",e.type="header3",e}return R$5(e,t),e}(Go$2),Jo$2=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e.title="H4",e.type="header4",e}return R$5(e,t),e}(Go$2),Ko$2=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e.title="H5",e.type="header5",e}return R$5(e,t),e}(Go$2),Qo$2={key:"headerSelect",factory:function(){return new Wo$2}},Zo$2={key:"header1",factory:function(){return new Uo$2}},ti$2={key:"header2",factory:function(){return new Xo$2}},ei$2={key:"header3",factory:function(){return new Yo$2}},ni$2={key:"header4",factory:function(){return new Jo$2}},ri$2={key:"header5",factory:function(){return new Ko$2}};function oi$2(t){return function(e,n){return "<h"+t+">"+n+"</h"+t+">"}}var ii$2={renderElems:[Lo$2,zo$2,Ho$2,Ao$2,Vo$2],elemsToHtml:[{type:"header1",elemToHtml:oi$2(1)},{type:"header2",elemToHtml:oi$2(2)},{type:"header3",elemToHtml:oi$2(3)},{type:"header4",elemToHtml:oi$2(4)},{type:"header5",elemToHtml:oi$2(5)}],menus:[Qo$2,Zo$2,ti$2,ei$2,ni$2,ri$2],editorPlugin:function(t){var n=t.insertBreak,r=t;return r.insertBreak=function(){var o=W$5(Editor.nodes(r,{match:function(t){return ms$1.getNodeType(t).startsWith("header")},universal:!0}),1)[0];if(o)if(ms$1.isSelectionAtLineEnd(t,o[1])){Transforms.insertNodes(r,{type:"paragraph",children:[{text:""}]},{mode:"highest"});}else n();else n();},r}},ui$2=Object.assign,ai$2=Object.defineProperty,ci$2=ht$5([].concat),li$2=!ui$2||et$5((function(){if(nt$5&&1!==ui$2({b:1},ui$2(ai$2({},"a",{enumerable:!0,get:function(){ai$2(this,"b",{value:3,enumerable:!1});}}),{b:2})).b)return !0;var t={},e={},n=Symbol(),r="abcdefghijklmnopqrst";return t[n]=7,r.split("").forEach((function(t){e[t]=t;})),7!=ui$2({},t)[n]||Fn$4(ui$2({},e)).join("")!=r}))?function(t,e){for(var n=Jt$5(t),r=arguments.length,o=1,i=pn$5.f,u=ct$5.f;r>o;)for(var a,c=wt$5(arguments[o++]),l=i?ci$2(Fn$4(c),i(c)):Fn$4(c),s=l.length,f=0;s>f;)a=l[f++],nt$5&&!ot$5(u,c,a)||(n[a]=c[a]);return n}:ui$2;function si$2(t,e){null==t.data&&(t.data={});var n=t.data;null==n.style&&(n.style={}),Object.assign(n.style,e);}Tn$5({target:"Object",stat:!0,forced:Object.assign!==li$2},{assign:li$2});var fi$2=ae$5("unscopables"),pi$2=Array.prototype;null==pi$2[fi$2]&&ke$5.f(pi$2,fi$2,{configurable:!0,value:Kn$4(null)});var di$2=function(t){pi$2[fi$2][t]=!0;},hi$2=Gr$3.find,vi$2=!0;"find"in[]&&Array(1).find((function(){vi$2=!1;})),Tn$5({target:"Array",proto:!0,forced:vi$2},{find:function(t){return hi$2(this,t,arguments.length>1?arguments[1]:void 0)}}),di$2("find"),$$6.fn.css=css,$$6.fn.append=append,$$6.fn.prepend=prepend,$$6.fn.addClass=addClass,$$6.fn.removeClass=removeClass,$$6.fn.hasClass=hasClass,$$6.fn.on=on$7,$$6.fn.off=off,$$6.fn.focus=focus,$$6.fn.attr=attr,$$6.fn.removeAttr=removeAttr,$$6.fn.hide=hide,$$6.fn.show=show,$$6.fn.parents=parents,$$6.fn.dataset=dataset,$$6.fn.val=val,$$6.fn.text=text,$$6.fn.html=html,$$6.fn.children=children,$$6.fn.remove=remove,$$6.fn.find=find,$$6.fn.width=width,$$6.fn.height=height;var gi$2=Function.prototype,yi$2=gi$2.apply,mi$2=gi$2.bind,bi$2=gi$2.call,wi$2="object"==typeof Reflect&&Reflect.apply||(mi$2?bi$2.bind(yi$2):function(){return bi$2.apply(yi$2,arguments)}),Si$2=ae$5("species"),xi$2=RegExp.prototype,ki$2=function(t,e,n,r){var o=ae$5(t),i=!et$5((function(){var e={};return e[o]=function(){return 7},7!=""[t](e)})),u=i&&!et$5((function(){var e=!1,n=/a/;return "split"===t&&((n={}).constructor={},n.constructor[Si$2]=function(){return n},n.flags="",n[o]=/./[o]),n.exec=function(){return e=!0,null},n[o](""),!e}));if(!i||!u||n){var a=ht$5(/./[o]),c=e(o,""[t],(function(t,e,n,r,o){var u=ht$5(t),c=e.exec;return c===dr$3||c===xi$2.exec?i&&!o?{done:!0,value:a(e,n,r)}:{done:!0,value:u(n,e,r)}:{done:!1}}));Ue$5(String.prototype,t,c[0]),Ue$5(xi$2,o,c[1]);}r&&Te$5(xi$2[o],"sham",!0);},Ti$2=ht$5("".charAt),Oi$2=ht$5("".charCodeAt),Mi$2=ht$5("".slice),Ei$2=function(t){return function(e,n){var r,o,i=zn$5(xt$5(e)),u=Je$5(n),a=i.length;return u<0||u>=a?t?"":void 0:(r=Oi$2(i,u))<55296||r>56319||u+1===a||(o=Oi$2(i,u+1))<56320||o>57343?t?Ti$2(i,u):r:t?Mi$2(i,u,u+2):o-56320+(r-55296<<10)+65536}},Ii$2={codeAt:Ei$2(!1),charAt:Ei$2(!0)}.charAt,Ni$2=function(t,e,n){return e+(n?Ii$2(t,e).length:1)},ji$2=Math.floor,Li$2=ht$5("".charAt),zi$2=ht$5("".replace),Hi$2=ht$5("".slice),Ai$2=/\$([$&'`]|\d{1,2}|<[^>]*>)/g,Vi$2=/\$([$&'`]|\d{1,2})/g,Pi$2=function(t,e,n,r,o,i){var u=n+t.length,a=r.length,c=Vi$2;return void 0!==o&&(o=Jt$5(o),c=Ai$2),zi$2(i,c,(function(i,c){var l;switch(Li$2(c,0)){case"$":return "$";case"&":return t;case"`":return Hi$2(e,0,n);case"'":return Hi$2(e,u);case"<":l=o[Hi$2(c,1,-1)];break;default:var s=+c;if(0===s)return i;if(s>a){var f=ji$2(s/10);return 0===f?i:f<=a?void 0===r[f-1]?Li$2(c,1):r[f-1]+Li$2(c,1):i}l=r[s-1];}return void 0===l?"":l}))},Ci$2=tt$5.TypeError,Di$2=function(t,e){var n=t.exec;if(Tt$5(n)){var r=ot$5(n,t,e);return null!==r&&we$5(r),r}if("RegExp"===yt$5(t))return ot$5(dr$3,t,e);throw Ci$2("RegExp#exec called on incompatible receiver")},Bi$1=ae$5("replace"),Ri$2=Math.max,Fi$2=Math.min,_i$2=ht$5([].concat),$i$1=ht$5([].push),qi=ht$5("".indexOf),Wi$2=ht$5("".slice),Gi$1="$0"==="a".replace(/./,"$0"),Ui$1=!!/./[Bi$1]&&""===/./[Bi$1]("a","$0");function Xi$1(t){return void 0===t&&(t="r"),t+"-"+nanoid$3()}function Yi$1(t){return t.replace(/</g,"&lt;").replace(/>/g,"&gt;")}ki$2("replace",(function(t,e,n){var r=Ui$1?"$":"$0";return [function(t,n){var r=xt$5(this),o=null==t?void 0:$t$5(t,Bi$1);return o?ot$5(o,t,r,n):ot$5(e,zn$5(r),t,n)},function(t,o){var i=we$5(this),u=zn$5(t);if("string"==typeof o&&-1===qi(o,r)&&-1===qi(o,"$<")){var a=n(e,i,u,o);if(a.done)return a.value}var c=Tt$5(o);c||(o=zn$5(o));var l=i.global;if(l){var s=i.unicode;i.lastIndex=0;}for(var f=[];;){var p=Di$2(i,u);if(null===p)break;if($i$1(f,p),!l)break;""===zn$5(p[0])&&(i.lastIndex=Ni$2(u,en$5(i.lastIndex),s));}for(var d,h="",v=0,g=0;g<f.length;g++){for(var y=zn$5((p=f[g])[0]),m=Ri$2(Fi$2(Je$5(p.index),u.length),0),b=[],w=1;w<p.length;w++)$i$1(b,void 0===(d=p[w])?d:String(d));var S=p.groups;if(c){var x=_i$2([y],b,m,u);void 0!==S&&$i$1(x,S);var k=zn$5(wi$2(o,void 0,x));}else k=Pi$2(y,u,m,b,S,o);m>=v&&(h+=Wi$2(u,v,m)+k,v=m+y.length);}return h+Wi$2(u,v)}]}),!!et$5((function(){var t=/./;return t.exec=function(){var t=[];return t.groups={a:"7"},t},"7"!=="".replace(t,"$<a>")}))||!Gi$1||Ui$1);var Ji=function(){function t(){this.tag="button",this.showDropPanel=!0,this.$content=null;}return t.prototype.exec=function(t,e){},t.prototype.getValue=function(t){var e=this.mark,n=Editor.marks(t);return n&&n[e]?n[e]:""},t.prototype.isActive=function(t){return !!this.getValue(t)},t.prototype.isDisabled=function(t){return null==t.selection||!!W$5(Editor.nodes(t,{match:function(n){return "pre"===ms$1.getNodeType(n)||!!Editor.isVoid(t,n)},universal:!0}),1)[0]},t.prototype.getPanelContentElem=function(t){var e=this.mark;if(null==this.$content){var r=$$6('<ul class="w-e-panel-content-color"></ul>');r.on("mousedown","li",(function(n){var r=n.target;if(null!=r){n.preventDefault();var o=t.selection;if(null!=o&&!Range.isCollapsed(o)){var i=$$6(r).attr("data-value");"0"===i?Editor.removeMark(t,e):Editor.addMark(t,e,i);}}})),this.$content=r;}var o=this.$content;if(null==o)return $$6();o.html("");var i=this.getValue(t),a=t.getMenuConfig(e).colors;(void 0===a?[]:a).forEach((function(t){var e=$$6('<div class="color-block" data-value="'+t+'"></div>');e.css("background-color",t);var n=$$6('<li data-value="'+t+'"></li>');i===t&&n.addClass("active"),n.append(e),o.append(n);}));var c="";"color"===e&&(c=bh("color.default")),"bgColor"===e&&(c=bh("color.clear"));var l=$$6('\n      <li data-value="0" class="clear">\n        <svg viewBox="0 0 1024 1024"><path d="M236.8 128L896 787.2V128H236.8z m614.4 704L192 172.8V832h659.2zM192 64h704c38.4 0 64 25.6 64 64v704c0 38.4-25.6 64-64 64H192c-38.4 0-64-25.6-64-64V128c0-38.4 25.6-64 64-64z"></path></svg>\n        '+c+"\n      </li>\n    ");return o.prepend(l),o},t}(),Ki$1=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e.title=bh("color.color"),e.iconSvg=co$3,e.mark="color",e}return R$5(e,t),e}(Ji),Qi=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e.title=bh("color.bgColor"),e.iconSvg=lo$3,e.mark="bgColor",e}return R$5(e,t),e}(Ji),Zi=["#000000","#262626","#595959","#8c8c8c","#bfbfbf","#d9d9d9","#e9e9e9e","#f5f5f5","#fafafa","#ffffff","#e13c39","#e75f33","#eb903a","#f5db4d","#72c040","#59bfc0","#4290f7","#3658e2","#6a39c9","#d84493","#fbe9e6","#fcede1","#fcefd4","#fcfbcf","#e7f6d5","#daf4f0","#d9edfa","#e0e8fa","#ede1f8","#f6e2ea","rgb(255, 163, 158)","rgb(255, 187, 150)","rgb(255, 213, 145)","rgb(255, 251, 143)","rgb(183, 235, 143)","rgb(135, 232, 222)","rgb(145, 213, 255)","rgb(173, 198, 255)","rgb(211, 173, 247)","rgb(255, 173, 210)","rgb(255, 77, 79)","rgb(255, 122, 69)","rgb(255, 169, 64)","rgb(255, 236, 61)","rgb(115, 209, 61)","rgb(54, 207, 201)","rgb(64, 169, 255)","rgb(89, 126, 247)","rgb(146, 84, 222)","rgb(247, 89, 171)","rgb(207, 19, 34)","rgb(212, 56, 13)","rgb(212, 107, 8)","rgb(212, 177, 6)","rgb(56, 158, 13)","rgb(8, 151, 156)","rgb(9, 109, 217)","rgb(29, 57, 196)","rgb(83, 29, 171)","rgb(196, 29, 127)","rgb(130, 0, 20)","rgb(135, 20, 0)","rgb(135, 56, 0)","rgb(97, 71, 0)","rgb(19, 82, 0)","rgb(0, 71, 79)","rgb(0, 58, 140)","rgb(6, 17, 120)","rgb(34, 7, 94)","rgb(120, 6, 80)"];var tu={renderTextStyle:function(t,e){var n=t,r=n.color,o=n.bgColor,i=e;return r&&si$2(i,{color:r}),o&&si$2(i,{backgroundColor:o}),i},textStyleToHtml:function(t,e){if(!Text.isText(t))return e;var n=t,r=n.color,o=n.bgColor,i=n.text;if(!r&&!o)return e;e===Yi$1(i)&&(e="<span>"+e+"</span>");var u=$$6(e);r&&u.css("color",r),o&&u.css("background-color",o);var a=$$6("<div></div>");return a.append(u),a.html()},menus:[{key:"color",factory:function(){return new Ki$1},config:{colors:Zi}},{key:"bgColor",factory:function(){return new Qi},config:{colors:Zi}}]},eu=function(t){if("string"!=typeof t)return !1;var e=t.match(nu);if(!e)return !1;var n=e[1];if(!n)return !1;if(ru.test(n)||ou.test(n))return !0;return !1},nu=/^(?:\w+:)?\/\/(\S+)$/,ru=/^localhost[\:?\d]*(?:[^\:?\d]\S*)?$/,ou=/^[^\s\.]+\.\S{2,}$/;var iu=on$5.includes;function uu(t,e,n,r){return _$5(this,void 0,void 0,(function(){var o,i;return $$5(this,(function(u){switch(u.label){case 0:return (o=e.getMenuConfig(t).checkLink)?[4,o(n,r)]:[3,2];case 1:if("string"==typeof(i=u.sent()))return e.alert(i,"error"),[2,!1];if(null==i)return [2,!1];u.label=2;case 2:return [2,!0]}}))}))}function au(t){return null==t.selection||!!ms$1.getSelectedElems(t).some((function(e){var n=e.type;return !!t.isVoid(e)||(!!["pre","code","link"].includes(n)||void 0)}))}function cu(t,n,r){return _$5(this,void 0,void 0,(function(){var o,i,u;return $$5(this,(function(a){switch(a.label){case 0:return r?(n||(n=r),ms$1.checkMaxLength(t,n)?[2]:(t.restoreSelection(),au(t)?[2]:[4,uu("insertLink",t,n,r)])):[2];case 1:return a.sent()?(null==(o=t.selection)||(i=Range.isCollapsed(o),u={type:"link",url:Yi$1(r),children:i?[{text:n}]:[]},i?(t.insertText(" "),Transforms.insertNodes(t,u),t.insertText(" ")):(Transforms.wrapNodes(t,u,{split:!0}),Transforms.collapse(t,{edge:"end"}))),[2]):[2]}}))}))}Tn$5({target:"Array",proto:!0},{includes:function(t){return iu(this,t,arguments.length>1?arguments[1]:void 0)}}),di$2("includes");var lu={type:"link",renderElem:function(t,e,n){var r=t,o=r.url,u=r.target;return jsx("a",{href:o,target:void 0===u?"_blank":u},e)}};var su={type:"link",elemToHtml:function(t,e){var n=t,r=n.url,o=n.target;return '<a href="'+r+'" target="'+(void 0===o?"_blank":o)+'">'+e+"</a>"}};function fu(){return Xi$1("w-e-insert-link")}var pu=function(){function t(){this.title=bh("link.insert"),this.iconSvg='<svg viewBox="0 0 1024 1024"><path d="M440.224 635.776a51.84 51.84 0 0 1-36.768-15.232c-95.136-95.136-95.136-249.92 0-345.056l192-192C641.536 37.408 702.816 12.032 768 12.032s126.432 25.376 172.544 71.456c95.136 95.136 95.136 249.92 0 345.056l-87.776 87.776a51.968 51.968 0 1 1-73.536-73.536l87.776-87.776a140.16 140.16 0 0 0 0-197.984c-26.432-26.432-61.6-40.992-99.008-40.992s-72.544 14.56-99.008 40.992l-192 192a140.16 140.16 0 0 0 0 197.984 51.968 51.968 0 0 1-36.768 88.768z"></path><path d="M256 1012a242.4 242.4 0 0 1-172.544-71.456c-95.136-95.136-95.136-249.92 0-345.056l87.776-87.776a51.968 51.968 0 1 1 73.536 73.536l-87.776 87.776a140.16 140.16 0 0 0 0 197.984c26.432 26.432 61.6 40.992 99.008 40.992s72.544-14.56 99.008-40.992l192-192a140.16 140.16 0 0 0 0-197.984 51.968 51.968 0 1 1 73.536-73.536c95.136 95.136 95.136 249.92 0 345.056l-192 192A242.4 242.4 0 0 1 256 1012z"></path></svg>',this.tag="button",this.showModal=!0,this.modalWidth=300,this.$content=null,this.textInputId=fu(),this.urlInputId=fu(),this.buttonId=fu();}return t.prototype.getValue=function(t){return ""},t.prototype.isActive=function(t){return !1},t.prototype.exec=function(t,e){},t.prototype.isDisabled=function(t){return au(t)},t.prototype.getModalPositionNode=function(t){return null},t.prototype.getModalContentElem=function(t){var e=t.selection,i=this,a=i.textInputId,c=i.urlInputId,l=i.buttonId,s=W$5(ed$1(bh("link.text"),a),2),d=s[0],h=s[1],v=W$5(ed$1(bh("link.url"),c),2),g=v[0],y=v[1],m=W$5(td$1(l,bh("common.ok")),1)[0];if(null==this.$content){var b=$$6("<div></div>");b.on("click","#"+l,(function(e){e.preventDefault();var n=$$6("#"+a).val(),r=$$6("#"+c).val();cu(t,n,r),t.hidePanelOrModal();})),this.$content=b;}var w=this.$content;if(w.html(""),w.append(d),w.append(g),w.append(m),null==e||Range.isCollapsed(e))h.val("");else {var S=Editor.string(t,e);h.val(S);}return y.val(""),setTimeout((function(){$$6("#"+a).focus();})),w},t}();function du(){return Xi$1("w-e-update-link")}var hu=function(){function t(){this.title=bh("link.edit"),this.iconSvg=uo$3,this.tag="button",this.showModal=!0,this.modalWidth=300,this.$content=null,this.urlInputId=du(),this.buttonId=du();}return t.prototype.getSelectedLinkElem=function(t){var n=ms$1.getSelectedNodeByType(t,"link");return null==n?null:n},t.prototype.getValue=function(t){var e=this.getSelectedLinkElem(t);return e&&e.url||""},t.prototype.isActive=function(t){return !1},t.prototype.exec=function(t,e){},t.prototype.isDisabled=function(t){return null==t.selection||null==this.getSelectedLinkElem(t)},t.prototype.getModalPositionNode=function(t){return ms$1.getSelectedNodeByType(t,"link")},t.prototype.getModalContentElem=function(t){var i=this.urlInputId,u=this.buttonId,a=W$5(ed$1(bh("link.url"),i),2),l=a[0],f=a[1],d=W$5(td$1(u,bh("common.ok")),1)[0];if(null==this.$content){var h=$$6("<div></div>");h.on("click","button",(function(n){n.preventDefault(),t.restoreSelection();var r=ms$1.getSelectedNodeByType(t,"link"),o=r?Node$1.string(r):"",u=$$6("#"+i).val();!function(t,n,r){_$5(this,void 0,void 0,(function(){var o;return $$5(this,(function(i){switch(i.label){case 0:return r?[4,uu("editLink",t,n,r)]:[2];case 1:return i.sent()?(o={url:Yi$1(r)},Transforms.setNodes(t,o,{match:function(t){return ms$1.checkNodeType(t,"link")}}),[2]):[2]}}))}));}(t,o,u),t.hidePanelOrModal();})),this.$content=h;}var v=this.$content;v.html(""),v.append(l),v.append(d);var g=this.getValue(t);return f.val(g),setTimeout((function(){$$6("#"+i).focus();})),v},t}(),vu=function(){function t(){this.title=bh("link.unLink"),this.iconSvg='<svg viewBox="0 0 1024 1024"><path d="M608.16328 811.815036c9.371954 9.371954 9.371954 24.56788 0 33.941834l-89.347563 89.347564c-118.525421 118.523421-311.38448 118.531421-429.919901 0-118.527421-118.529421-118.527421-311.39048 0-429.917901l89.349564-89.349563c9.371954-9.371954 24.56788-9.371954 33.941834 0l79.195613 79.195613c9.371954 9.371954 9.371954 24.56788 0 33.941834l-89.349563 89.347564c-56.143726 56.145726-56.143726 147.49928 0 203.645005 56.143726 56.143726 147.49928 56.145726 203.647005 0l89.347564-89.347563c9.371954-9.371954 24.56788-9.371954 33.941834 0l79.193613 79.195613z m-113.135447-520.429459c9.371954 9.371954 24.56788 9.371954 33.941834 0l89.347564-89.347564c56.143726-56.149726 147.49928-56.145726 203.647006 0 56.143726 56.145726 56.143726 147.49928 0 203.645006l-89.349564 89.347564c-9.371954 9.371954-9.371954 24.56788 0 33.941834l79.195613 79.195613c9.371954 9.371954 24.56788 9.371954 33.941834 0l89.349564-89.349563c118.529421-118.529421 118.529421-311.38848 0-429.917901-118.531421-118.527421-311.38848-118.527421-429.919901 0l-89.347563 89.347564c-9.371954 9.371954-9.371954 24.56788 0 33.941834l79.193613 79.195613z m469.653707 718.556492l45.253779-45.253779c18.745908-18.745908 18.745908-49.13776 0-67.881669L127.195629 14.062931c-18.745908-18.745908-49.13776-18.745908-67.881669 0L14.058181 59.31871c-18.745908 18.745908-18.745908 49.13776 0 67.881669l882.74169 882.74169c18.745908 18.743908 49.13776 18.743908 67.881669 0z"></path></svg>',this.tag="button";}return t.prototype.getValue=function(t){return ""},t.prototype.isActive=function(t){return !1},t.prototype.isDisabled=function(t){return null==t.selection||null==ms$1.getSelectedNodeByType(t,"link")},t.prototype.exec=function(t,n){this.isDisabled(t)||Transforms.unwrapNodes(t,{match:function(t){return ms$1.checkNodeType(t,"link")}});},t}(),gu=function(){function t(){this.title=bh("link.view"),this.iconSvg=ao$3,this.tag="button";}return t.prototype.getSelectedLinkElem=function(t){var n=ms$1.getSelectedNodeByType(t,"link");return null==n?null:n},t.prototype.getValue=function(t){var e=this.getSelectedLinkElem(t);return e&&e.url||""},t.prototype.isActive=function(t){return !1},t.prototype.isDisabled=function(t){return null==t.selection||null==this.getSelectedLinkElem(t)},t.prototype.exec=function(t,e){if(!this.isDisabled(t)){if(!e||"string"!=typeof e)throw new Error("View link failed, link url is '"+e+"'");window.open(e,"_blank");}},t}();var yu={checkLink:function(t,e){return !0}},mu={renderElems:[lu],elemsToHtml:[su],menus:[{key:"insertLink",factory:function(){return new pu},config:yu},{key:"editLink",factory:function(){return new hu},config:yu},{key:"unLink",factory:function(){return new vu}},{key:"viewLink",factory:function(){return new gu}}],editorPlugin:function(t){var e=t.isInline,n=t.insertData,r=t;return r.isInline=function(t){return "link"===t.type||e(t)},r.insertData=function(t){var e=t.getData("text/plain");if(eu(e)){if(!au(r)){var o=r.selection;if(null!=o){var i=Editor.string(r,o);cu(r,i,e);}}}else n(t);},r}};var bu=ht$5(1..valueOf),wu=tt$5.RangeError,Su=tt$5.RangeError,xu=tt$5.String,ku=Math.floor,Tu=ht$5((function(t){var e=zn$5(xt$5(this)),n="",r=Je$5(t);if(r<0||r==1/0)throw wu("Wrong number of repetitions");for(;r>0;(r>>>=1)&&(e+=e))1&r&&(n+=e);return n})),Ou=ht$5("".slice),Mu=ht$5(1..toFixed),Eu=function(t,e,n){return 0===e?n:e%2==1?Eu(t,e-1,n*t):Eu(t*t,e/2,n)},Iu=function(t,e,n){for(var r=-1,o=n;++r<6;)o+=e*t[r],t[r]=o%1e7,o=ku(o/1e7);},Nu=function(t,e){for(var n=6,r=0;--n>=0;)r+=t[n],t[n]=ku(r/e),r=r%e*1e7;},ju=function(t){for(var e=6,n="";--e>=0;)if(""!==n||0===e||0!==t[e]){var r=xu(t[e]);n=""===n?r:n+Tu("0",7-r.length)+r;}return n};function Lu(t,n){return "w-e-image-container-"+ms$1.findKey(t,n).id}function zu(t,n,r,o){var u=$$6("body"),a=Lu(t,n),c=o.width,l=o.height,f=0,d=0,h=0,v=!1,g=null;function y(n){g=function(){var t=$$6("#"+a);if(0===t.length)throw new Error("Cannot find image container elem");return t}(),f=n;var r=g.find("img");if(0===r.length)throw new Error("Cannot find image elem");d=r.width(),h=r.height(),u.on("mousemove",m),u.on("mouseup",b);var o=ms$1.getHoverbar(t);o&&o.hideAndClean();}var m=lodash_throttle((function(t){t.preventDefault();var e=t.clientX,n=d+(v?f-e:e-f),r=h*(n/d);null!=g&&(n<=15||r<=15||(g.css("width",n+"px"),g.css("height",r+"px")));}),100);function b(r){if(u.off("mousemove",m),null!=g){var o=g.width().toFixed(2),i=g.height().toFixed(2),a={style:F$5(F$5({},n.style),{width:o+"px",height:i+"px"})};Transforms.setNodes(t,a,{at:ms$1.findPath(t,n)}),u.off("mouseup",b);}}var w={};return c&&(w.width=c),l&&(w.height=l),jsx("div",{id:a,style:w,className:"w-e-image-container w-e-selected-image-container",on:{mousedown:function(t){var e=$$6(t.target);e.hasClass("w-e-image-dragger")&&(t.preventDefault(),(e.hasClass("left-top")||e.hasClass("left-bottom"))&&(v=!0),y(t.clientX));}}},r,jsx("div",{className:"w-e-image-dragger left-top"}),jsx("div",{className:"w-e-image-dragger right-top"}),jsx("div",{className:"w-e-image-dragger left-bottom"}),jsx("div",{className:"w-e-image-dragger right-bottom"}))}Tn$5({target:"Number",proto:!0,forced:et$5((function(){return "0.000"!==Mu(8e-5,3)||"1"!==Mu(.9,0)||"1.25"!==Mu(1.255,2)||"1000000000000000128"!==Mu(0xde0b6b3a7640080,0)}))||!et$5((function(){Mu({});}))},{toFixed:function(t){var e,n,r,o,i=bu(this),u=Je$5(t),a=[0,0,0,0,0,0],c="",l="0";if(u<0||u>20)throw Su("Incorrect fraction digits");if(i!=i)return "NaN";if(i<=-1e21||i>=1e21)return xu(i);if(i<0&&(c="-",i=-i),i>1e-21)if(n=(e=function(t){for(var e=0,n=t;n>=4096;)e+=12,n/=4096;for(;n>=2;)e+=1,n/=2;return e}(i*Eu(2,69,1))-69)<0?i*Eu(2,-e,1):i/Eu(2,e,1),n*=4503599627370496,(e=52-e)>0){for(Iu(a,0,n),r=u;r>=7;)Iu(a,1e7,0),r-=7;for(Iu(a,Eu(10,r,1),0),r=e-1;r>=23;)Nu(a,1<<23),r-=23;Nu(a,1<<r),Iu(a,1,1),Nu(a,2),l=ju(a);}else Iu(a,0,n),Iu(a,1<<-e,0),l=ju(a)+Tu("0",u);return l=u>0?c+((o=l.length)<=u?"0."+Tu("0",u-o)+l:Ou(l,0,o-u)+"."+Ou(l,o-u)):c+l}});var Hu={type:"image",renderElem:function(t,n,r){var o=t,u=o.src,a=o.alt,c=void 0===a?"":a,l=o.href,s=void 0===l?"":l,f=o.style,p=void 0===f?{}:f,d=p.width,h=void 0===d?"":d,v=p.height,g=void 0===v?"":v,y=ms$1.isNodeSelected(r,t),m={};h&&(m.width="100%"),g&&(m.height="100%");var b=jsx("img",{style:m,src:u,alt:c,"data-href":s});return y?zu(r,t,b,{width:h,height:g}):function(t,e,n,r){var o=r.width,u=r.height,a={};o&&(a.width=o),u&&(a.height=u);var c=Lu(t,e);return jsx("div",{id:c,style:a,className:"w-e-image-container"},n)}(r,t,b,{width:h,height:g})}};var Au,Vu={type:"image",elemToHtml:function(t,e){var n=t,r=n.src,o=n.alt,i=void 0===o?"":o,u=n.href,a=void 0===u?"":u,c=n.style,l=void 0===c?{}:c,s=l.width,f=void 0===s?"":s,p=l.height,d=void 0===p?"":p,h="";return f&&(h+="width: "+f+";"),d&&(h+="height: "+d+";"),'<img src="'+r+'" alt="'+i+'" data-href="'+a+'" style="'+h+'"/>'}},Pu="\t\n\v\f\r                　\u2028\u2029\ufeff",Cu=ht$5("".replace),Du="["+Pu+"]",Bu=RegExp("^"+Du+Du+"*"),Ru=RegExp(Du+Du+"*$"),Fu=function(t){return function(e){var n=zn$5(xt$5(e));return 1&t&&(n=Cu(n,Bu,"")),2&t&&(n=Cu(n,Ru,"")),n}},_u={start:Fu(1),end:Fu(2),trim:Fu(3)},$u=Ge$5.PROPER,qu=_u.trim;function Wu(t,e,n,r,o){return void 0===r&&(r=""),void 0===o&&(o=""),_$5(this,void 0,void 0,(function(){var i,u;return $$5(this,(function(a){switch(a.label){case 0:return (i=e.getMenuConfig(t).checkImage)?[4,i(n,r,o)]:[3,2];case 1:if("string"==typeof(u=a.sent()))return e.alert(u,"error"),[2,!1];if(null==u)return [2,!1];a.label=2;case 2:return [2,!0]}}))}))}function Gu(t,e,n,r){return void 0===n&&(n=""),void 0===r&&(r=""),_$5(this,void 0,void 0,(function(){var o,i;return $$5(this,(function(u){switch(u.label){case 0:return [4,Wu("insertImage",t,e,n,r)];case 1:return u.sent()?(o={type:"image",src:Yi$1(e),href:r,alt:n,style:{},children:[{text:""}]},Transforms.insertNodes(t,o),(i=t.getMenuConfig("insertImage").onInsertedImage)&&i(o),[2]):[2]}}))}))}function Uu(t,n,r,o,i){return void 0===r&&(r=""),void 0===o&&(o=""),void 0===i&&(i={}),_$5(this,void 0,void 0,(function(){var u,a,c,l,f;return $$5(this,(function(p){switch(p.label){case 0:return [4,Wu("editImage",t,n,r,o)];case 1:return p.sent()?(null==(u=ms$1.getSelectedNodeByType(t,"image"))||(a=u.style,c={src:n,alt:r,href:o,style:F$5(F$5({},void 0===a?{}:a),i)},Transforms.setNodes(t,c,{match:function(t){return ms$1.checkNodeType(t,"image")}}),l=ms$1.getSelectedNodeByType(t,"image"),(f=t.getMenuConfig("editImage").onUpdatedImage)&&f(l)),[2]):[2]}}))}))}function Xu(){return Xi$1("w-e-insert-image")}Tn$5({target:"String",proto:!0,forced:(Au="trim",et$5((function(){return !!Pu[Au]()||"​᠎"!=="​᠎"[Au]()||$u&&Pu[Au].name!==Au})))},{trim:function(){return qu(this)}});var Yu=function(){function t(){this.title=bh("image.netImage"),this.iconSvg='<svg viewBox="0 0 1024 1024"><path d="M959.877 128l0.123 0.123v767.775l-0.123 0.122H64.102l-0.122-0.122V128.123l0.122-0.123h895.775zM960 64H64C28.795 64 0 92.795 0 128v768c0 35.205 28.795 64 64 64h896c35.205 0 64-28.795 64-64V128c0-35.205-28.795-64-64-64zM832 288.01c0 53.023-42.988 96.01-96.01 96.01s-96.01-42.987-96.01-96.01S682.967 192 735.99 192 832 234.988 832 288.01zM896 832H128V704l224.01-384 256 320h64l224.01-192z"></path></svg>',this.tag="button",this.showModal=!0,this.modalWidth=300,this.$content=null,this.srcInputId=Xu(),this.altInputId=Xu(),this.hrefInputId=Xu(),this.buttonId=Xu();}return t.prototype.getValue=function(t){return ""},t.prototype.isActive=function(t){return !1},t.prototype.exec=function(t,e){},t.prototype.isDisabled=function(t){var n=t.selection;return null==n||(!Range.isCollapsed(n)||!!W$5(Editor.nodes(t,{match:function(n){var r=ms$1.getNodeType(n);return "code"===r||("pre"===r||("link"===r||("list-item"===r||(!!r.startsWith("header")||("blockquote"===r||!!Editor.isVoid(t,n))))))},universal:!0}),1)[0])},t.prototype.getModalPositionNode=function(t){return null},t.prototype.getModalContentElem=function(t){var e=this,i=this,u=i.srcInputId,a=i.altInputId,c=i.hrefInputId,l=i.buttonId,s=W$5(ed$1(bh("image.src"),u),2),f=s[0],d=s[1],h=W$5(ed$1(bh("image.desc"),a),2),v=h[0],g=h[1],y=W$5(ed$1(bh("image.link"),c),2),m=y[0],b=y[1],w=W$5(td$1(l,bh("common.ok")),1)[0];if(null==this.$content){var S=$$6("<div></div>");S.on("click","#"+l,(function(n){n.preventDefault();var r=$$6("#"+u).val().trim(),o=$$6("#"+a).val().trim(),i=$$6("#"+c).val().trim();e.insertImage(t,r,o,i),t.hidePanelOrModal();})),this.$content=S;}var x=this.$content;return x.html(""),x.append(f),x.append(v),x.append(m),x.append(w),d.val(""),g.val(""),b.val(""),setTimeout((function(){$$6("#"+u).focus();})),x},t.prototype.insertImage=function(t,e,n,r){void 0===n&&(n=""),void 0===r&&(r=""),e&&(t.restoreSelection(),this.isDisabled(t)||Gu(t,e,n,r));},t}(),Ju=function(){function t(){this.title=bh("image.delete"),this.iconSvg='<svg viewBox="0 0 1024 1024"><path d="M826.8032 356.5312c-19.328 0-36.3776 15.6928-36.3776 35.0464v524.2624c0 19.328-16 34.56-35.328 34.56H264.9344c-19.328 0-35.5072-15.3088-35.5072-34.56V390.0416c0-19.328-14.1568-35.0464-33.5104-35.0464s-33.5104 15.6928-33.5104 35.0464V915.712c0 57.9328 44.6208 108.288 102.528 108.288H755.2c57.9328 0 108.0832-50.4576 108.0832-108.288V391.4752c-0.1024-19.2512-17.1264-34.944-36.48-34.944z" p-id="9577"></path><path d="M437.1712 775.7568V390.6048c0-19.328-14.1568-35.0464-33.5104-35.0464s-33.5104 15.616-33.5104 35.0464v385.152c0 19.328 14.1568 35.0464 33.5104 35.0464s33.5104-15.7184 33.5104-35.0464zM649.7024 775.7568V390.6048c0-19.328-17.0496-35.0464-36.3776-35.0464s-36.3776 15.616-36.3776 35.0464v385.152c0 19.328 17.0496 35.0464 36.3776 35.0464s36.3776-15.7184 36.3776-35.0464zM965.0432 217.0368h-174.6176V145.5104c0-57.9328-47.2064-101.76-104.6528-101.76h-350.976c-57.8304 0-105.3952 43.8528-105.3952 101.76v71.5264H54.784c-19.4304 0-35.0464 14.1568-35.0464 33.5104 0 19.328 15.616 33.5104 35.0464 33.5104h910.3616c19.328 0 35.0464-14.1568 35.0464-33.5104 0-19.3536-15.6928-33.5104-35.1488-33.5104z m-247.3728 0H297.3952V145.5104c0-19.328 18.2016-34.7648 37.4272-34.7648h350.976c19.1488 0 31.872 15.1296 31.872 34.7648v71.5264z"></path></svg>',this.tag="button";}return t.prototype.getValue=function(t){return ""},t.prototype.isActive=function(t){return !1},t.prototype.isDisabled=function(t){return null==t.selection||null==ms$1.getSelectedNodeByType(t,"image")},t.prototype.exec=function(t,n){this.isDisabled(t)||Transforms.removeNodes(t,{match:function(t){return ms$1.checkNodeType(t,"image")}});},t}();function Ku(){return Xi$1("w-e-edit-image")}var Qu=function(){function t(){this.title=bh("image.edit"),this.iconSvg=uo$3,this.tag="button",this.showModal=!0,this.modalWidth=300,this.$content=null,this.srcInputId=Ku(),this.altInputId=Ku(),this.hrefInputId=Ku(),this.buttonId=Ku();}return t.prototype.getValue=function(t){return ""},t.prototype.getImageNode=function(t){return ms$1.getSelectedNodeByType(t,"image")},t.prototype.isActive=function(t){return !1},t.prototype.exec=function(t,e){},t.prototype.isDisabled=function(t){var n=t.selection;return null==n||(!Range.isCollapsed(n)||null==ms$1.getSelectedNodeByType(t,"image"))},t.prototype.getModalPositionNode=function(t){return this.getImageNode(t)},t.prototype.getModalContentElem=function(t){var e=this,i=this,u=i.srcInputId,a=i.altInputId,c=i.hrefInputId,l=i.buttonId,s=this.getImageNode(t);if(null==s)throw new Error("Not found selected image node");var f=W$5(ed$1(bh("image.src"),u),2),d=f[0],h=f[1],v=W$5(ed$1(bh("image.desc"),a),2),g=v[0],y=v[1],m=W$5(ed$1(bh("image.link"),c),2),b=m[0],w=m[1],S=W$5(td$1(l,bh("common.ok")),1)[0];if(null==this.$content){var x=$$6("<div></div>");x.on("click","#"+l,(function(n){n.preventDefault();var r=$$6("#"+u).val(),o=$$6("#"+a).val(),i=$$6("#"+c).val();e.updateImage(t,r,o,i),t.hidePanelOrModal();})),this.$content=x;}var k=this.$content;k.html(""),k.append(d),k.append(g),k.append(b),k.append(S);var T=s,O=T.src,M=T.alt,E=void 0===M?"":M,I=T.href,N=void 0===I?"":I;return h.val(O),y.val(E),w.val(N),setTimeout((function(){$$6("#"+u).focus();})),k},t.prototype.updateImage=function(t,e,n,r,o){void 0===n&&(n=""),void 0===r&&(r=""),void 0===o&&(o={}),e&&(t.restoreSelection(),this.isDisabled(t)||Uu(t,e,n,r,o));},t}(),Zu=function(){function t(){this.title=bh("image.viewLink"),this.iconSvg=ao$3,this.tag="button";}return t.prototype.getValue=function(t){var n=ms$1.getSelectedNodeByType(t,"image");return n&&n.href||""},t.prototype.isActive=function(t){return !1},t.prototype.isDisabled=function(t){return null==t.selection||!this.getValue(t)},t.prototype.exec=function(t,e){if(!this.isDisabled(t)){if(!e||"string"!=typeof e)throw new Error("View image link failed, image.href is '"+e+"'");window.open(e,"_blank");}},t}(),ta$1=function(){function t(){this.tag="button";}return t.prototype.getValue=function(t){return ""},t.prototype.isActive=function(t){return !1},t.prototype.getSelectedNode=function(t){return ms$1.getSelectedNodeByType(t,"image")},t.prototype.isDisabled=function(t){return null==t.selection||null==this.getSelectedNode(t)},t.prototype.exec=function(t,n){if(!this.isDisabled(t)){var r=this.getSelectedNode(t);if(null!=r){var o=ms$1.getHoverbar(t);o&&o.hideAndClean();var i=r.style,u={style:F$5(F$5({},void 0===i?{}:i),{width:this.value,height:""})};Transforms.setNodes(t,u,{match:function(t){return ms$1.checkNodeType(t,"image")}});}}},t}(),ea$1=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e.title="30%",e.value="30%",e}return R$5(e,t),e}(ta$1),na$1=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e.title="50%",e.value="50%",e}return R$5(e,t),e}(ta$1),ra=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e.title="100%",e.value="100%",e}return R$5(e,t),e}(ta$1);var oa={onInsertedImage:function(t){},checkImage:function(t,e,n){return !0},onUpdatedImage:function(t){}},ia={renderElems:[Hu],elemsToHtml:[Vu],menus:[{key:"insertImage",factory:function(){return new Yu},config:oa},{key:"deleteImage",factory:function(){return new Ju}},{key:"editImage",factory:function(){return new Qu},config:oa},{key:"viewImageLink",factory:function(){return new Zu}},{key:"imageWidth30",factory:function(){return new ea$1}},{key:"imageWidth50",factory:function(){return new na$1}},{key:"imageWidth100",factory:function(){return new ra}}],editorPlugin:function(t){var e=t.isInline,n=t.isVoid,r=t;return r.isInline=function(t){return "image"===t.type||e(t)},r.isVoid=function(t){return "image"===t.type||n(t)},r}};var ua={type:"blockquote",renderElem:function(t,e,n){return jsx("blockquote",null,e)}};var aa$1={type:"blockquote",elemToHtml:function(t,e){return "<blockquote>"+e+"</blockquote>"}},ca=function(){function t(){this.title=bh("blockQuote.title"),this.iconSvg='<svg viewBox="0 0 1024 1024"><path d="M894.6 907.1H605.4c-32.6 0-59-26.4-59-59V608.2l-4-14.9c0-315.9 125.5-485.1 376.5-507.5v59.8C752.7 180.4 711.3 315.8 711.3 442.4v41.2l31.5 12.3h151.8c32.6 0 59 26.4 59 59v293.2c0 32.5-26.4 59-59 59z m-472 0H133.4c-32.6 0-59-26.4-59-59V608.2l-4-14.9c0-315.9 125.5-485.1 376.5-507.5v59.8C280.7 180.4 239.3 315.8 239.3 442.4v41.2l31.5 12.3h151.8c32.6 0 59 26.4 59 59v293.2c0 32.5-26.4 59-59 59z"></path></svg>',this.tag="button";}return t.prototype.getValue=function(t){return ""},t.prototype.isActive=function(t){return !!ms$1.getSelectedNodeByType(t,"blockquote")},t.prototype.isDisabled=function(t){return null==t.selection||!W$5(Editor.nodes(t,{match:function(t){var n=ms$1.getNodeType(t);return "paragraph"===n||"blockquote"===n},universal:!0,mode:"highest"}),1)[0]},t.prototype.exec=function(t,e){if(!this.isDisabled(t)){var n=this.isActive(t)?"paragraph":"blockquote";Transforms.setNodes(t,{type:n},{mode:"highest"});}},t}();var la={renderElems:[ua],elemsToHtml:[aa$1],menus:[{key:"blockquote",factory:function(){return new ca}}],editorPlugin:function(t){var n=t.insertBreak,r=t;return r.insertBreak=function(){var o=W$5(Editor.nodes(t,{match:function(t){return ms$1.checkNodeType(t,"blockquote")},universal:!0}),1)[0];if(o)if(ms$1.isSelectionAtLineEnd(t,o[1])){Transforms.insertNodes(r,{type:"paragraph",children:[{text:""}]},{mode:"highest"});}else n();else n();},r}},sa=function(){function t(){this.title=bh("emotion.title"),this.iconSvg='<svg viewBox="0 0 1024 1024"><path d="M512 1024C230.4 1024 0 793.6 0 512S230.4 0 512 0s512 230.4 512 512-230.4 512-512 512z m0-102.4c226.742857 0 409.6-182.857143 409.6-409.6S738.742857 102.4 512 102.4 102.4 285.257143 102.4 512s182.857143 409.6 409.6 409.6z m-204.8-358.4h409.6c0 113.371429-91.428571 204.8-204.8 204.8s-204.8-91.428571-204.8-204.8z m0-102.4c-43.885714 0-76.8-32.914286-76.8-76.8s32.914286-76.8 76.8-76.8 76.8 32.914286 76.8 76.8-32.914286 76.8-76.8 76.8z m409.6 0c-43.885714 0-76.8-32.914286-76.8-76.8s32.914286-76.8 76.8-76.8c43.885714 0 76.8 32.914286 76.8 76.8s-32.914286 76.8-76.8 76.8z"></path></svg>',this.tag="button",this.showDropPanel=!0,this.$content=null;}return t.prototype.exec=function(t,e){},t.prototype.getValue=function(t){return ""},t.prototype.isActive=function(t){return !1},t.prototype.isDisabled=function(t){return null==t.selection||!!W$5(Editor.nodes(t,{match:function(n){return "pre"===ms$1.getNodeType(n)||!!Editor.isVoid(t,n)},universal:!0}),1)[0]},t.prototype.getPanelContentElem=function(t){if(null==this.$content){var e=$$6('<ul class="w-e-panel-content-emotion"></ul>');e.on("mousedown","li",(function(e){var n=e.target;if(null!=n){e.preventDefault();var r=$$6(n).text();t.insertText(r);}})),this.$content=e;}var n=this.$content;if(null==n)return $$6();n.html("");var r=t.getMenuConfig("emotion").emotions;return (void 0===r?[]:r).forEach((function(t){var e=$$6("<li>"+t+"</li>");n.append(e);})),n},t}(),fa=tt$5.TypeError,pa=ae$5("species"),da=function(t,e){var n,r=we$5(t).constructor;return void 0===r||null==(n=we$5(r)[pa])?e:function(t){if(Rr$3(t))return t;throw fa(Rt$5(t)+" is not a constructor")}(n)},ha=ht$5([].slice),va=Rn$5.UNSUPPORTED_Y,ga=Math.min,ya=[].push,ma=ht$5(/./.exec),ba=ht$5(ya),wa=ht$5("".slice);ki$2("split",(function(t,e,n){var r;return r="c"=="abbc".split(/(b)*/)[1]||4!="test".split(/(?:)/,-1).length||2!="ab".split(/(?:ab)*/).length||4!=".".split(/(.?)(.?)/).length||".".split(/()()/).length>1||"".split(/.?/).length?function(t,n){var r=zn$5(xt$5(this)),o=void 0===n?4294967295:n>>>0;if(0===o)return [];if(void 0===t)return [r];if(!gr$3(t))return ot$5(e,r,t,o);for(var i,u,a,c=[],l=(t.ignoreCase?"i":"")+(t.multiline?"m":"")+(t.unicode?"u":"")+(t.sticky?"y":""),s=0,f=new RegExp(t.source,l+"g");(i=ot$5(dr$3,f,r))&&!((u=f.lastIndex)>s&&(ba(c,wa(r,s,i.index)),i.length>1&&i.index<r.length&&wi$2(ya,c,ha(i,1)),a=i[0].length,s=u,c.length>=o));)f.lastIndex===i.index&&f.lastIndex++;return s===r.length?!a&&ma(f,"")||ba(c,""):ba(c,wa(r,s)),c.length>o?ha(c,0,o):c}:"0".split(void 0,0).length?function(t,n){return void 0===t&&0===n?[]:ot$5(e,this,t,n)}:e,[function(e,n){var o=xt$5(this),i=null==e?void 0:$t$5(e,t);return i?ot$5(i,e,o,n):ot$5(r,zn$5(o),e,n)},function(t,o){var i=we$5(this),u=zn$5(t),a=n(r,i,u,o,r!==e);if(a.done)return a.value;var c=da(i,RegExp),l=i.unicode,s=(i.ignoreCase?"i":"")+(i.multiline?"m":"")+(i.unicode?"u":"")+(va?"g":"y"),f=new c(va?"^(?:"+i.source+")":i,s),p=void 0===o?4294967295:o>>>0;if(0===p)return [];if(0===u.length)return null===Di$2(f,u)?[u]:[];for(var d=0,h=0,v=[];h<u.length;){f.lastIndex=va?0:h;var g,y=Di$2(f,va?wa(u,h):u);if(null===y||(g=ga(en$5(f.lastIndex+(va?h:0)),u.length))===d)h=Ni$2(u,h,l);else {if(ba(v,wa(u,d,h)),v.length===p)return v;for(var m=1;m<=y.length-1;m++)if(ba(v,y[m]),v.length===p)return v;h=d=g;}}return ba(v,wa(u,d)),v}]}),!!et$5((function(){var t=/(?:)/,e=t.exec;t.exec=function(){return e.apply(this,arguments)};var n="ab".split(t);return 2!==n.length||"a"!==n[0]||"b"!==n[1]})),va);var Sa={menus:[{key:"emotion",factory:function(){return new sa},config:{emotions:"😀 😃 😄 😁 😆 😅 😂 🤣 😊 😇 🙂 🙃 😉 😌 😍 😘 😗 😙 😚 😋 😛 😝 😜 🤓 😎 😏 😒 😞 😔 😟 😕 🙁 😣 😖 😫 😩 😢 😭 😤 😠 😡 😳 😱 😨 🤗 🤔 😶 😑 😬 🙄 😯 😴 😷 🤑 😈 🤡 💩 👻 💀 👀 👣 👐 🙌 👏 🤝 👍 👎 👊 ✊ 🤛 🤜 🤞 ✌️ 🤘 👌 👈 👉 👆 👇 ☝️ ✋ 🤚 🖐 🖖 👋 🤙 💪 🖕 ✍️ 🙏".split(" ")}}]};var xa,ka,Ta=function(){function t(){this.tag="select",this.width=80;}return t.prototype.isActive=function(t){return !1},t.prototype.getValue=function(t){var e=this.mark,n=Editor.marks(t);return n&&n[e]?n[e]:""},t.prototype.isDisabled=function(t){return null==t.selection||(this.mark,!!W$5(Editor.nodes(t,{match:function(n){return "pre"===ms$1.getNodeType(n)||!!Editor.isVoid(t,n)},universal:!0}),1)[0])},t.prototype.exec=function(t,e){var n=this.mark;e?t.addMark(n,e):t.removeMark(n);},t}(),Oa=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e.title=bh("fontSize.title"),e.iconSvg=so$2,e.mark="fontSize",e}return R$5(e,t),e.prototype.getOptions=function(t){var e=[],r=t.getMenuConfig(this.mark).fontSizeList,o=void 0===r?[]:r;e.push({text:bh("fontSize.default"),value:""}),o.forEach((function(t){e.push({text:t,value:t});}));var i=this.getValue(t);return e.forEach((function(t){t.value===i?t.selected=!0:delete t.selected;})),e},e}(Ta),Ma=function(t){return t&&t.Math==Math&&t},Ea=Ma("object"==typeof globalThis&&globalThis)||Ma("object"==typeof window&&window)||Ma("object"==typeof self&&self)||Ma("object"==typeof X$5&&X$5)||function(){return this}()||Function("return this")(),Ia=Function.prototype,Na=Ia.apply,ja=Ia.bind,La=Ia.call,za="object"==typeof Reflect&&Reflect.apply||(ja?La.bind(Na):function(){return La.apply(Na,arguments)}),Ha=Function.prototype,Aa=Ha.bind,Va=Ha.call,Pa=Aa&&Aa.bind(Va),Ca=Aa?function(t){return t&&Pa(Va,t)}:function(t){return t&&function(){return Va.apply(t,arguments)}},Da=function(t){return "function"==typeof t},Ba=function(t){try{return !!t()}catch(t){return !0}},Ra=!Ba((function(){return 7!=Object.defineProperty({},1,{get:function(){return 7}})[1]})),Fa=Function.prototype.call,_a=Fa.bind?Fa.bind(Fa):function(){return Fa.apply(Fa,arguments)},$a={}.propertyIsEnumerable,qa=Object.getOwnPropertyDescriptor,Wa=qa&&!$a.call({1:2},1)?function(t){var e=qa(this,t);return !!e&&e.enumerable}:$a,Ga={f:Wa},Ua=function(t,e){return {enumerable:!(1&t),configurable:!(2&t),writable:!(4&t),value:e}},Xa=Ca({}.toString),Ya=Ca("".slice),Ja=function(t){return Ya(Xa(t),8,-1)},Ka=Ea.Object,Qa=Ca("".split),Za=Ba((function(){return !Ka("z").propertyIsEnumerable(0)}))?function(t){return "String"==Ja(t)?Qa(t,""):Ka(t)}:Ka,tc=Ea.TypeError,ec=function(t){if(null==t)throw tc("Can't call method on "+t);return t},nc=function(t){return Za(ec(t))},rc=function(t){return "object"==typeof t?null!==t:Da(t)},oc={},ic=function(t){return Da(t)?t:void 0},uc=function(t,e){return arguments.length<2?ic(oc[t])||ic(Ea[t]):oc[t]&&oc[t][e]||Ea[t]&&Ea[t][e]},ac=Ca({}.isPrototypeOf),cc=uc("navigator","userAgent")||"",lc=Ea.process,sc=Ea.Deno,fc=lc&&lc.versions||sc&&sc.version,pc=fc&&fc.v8;pc&&(ka=(xa=pc.split("."))[0]>0&&xa[0]<4?1:+(xa[0]+xa[1])),!ka&&cc&&(!(xa=cc.match(/Edge\/(\d+)/))||xa[1]>=74)&&(xa=cc.match(/Chrome\/(\d+)/))&&(ka=+xa[1]);var dc=ka,hc=!!Object.getOwnPropertySymbols&&!Ba((function(){var t=Symbol();return !String(t)||!(Object(t)instanceof Symbol)||!Symbol.sham&&dc&&dc<41})),vc=hc&&!Symbol.sham&&"symbol"==typeof Symbol.iterator,gc=Ea.Object,yc=vc?function(t){return "symbol"==typeof t}:function(t){var e=uc("Symbol");return Da(e)&&ac(e.prototype,gc(t))},mc=Ea.String,bc=Ea.TypeError,wc=function(t){if(Da(t))return t;throw bc(function(t){try{return mc(t)}catch(t){return "Object"}}(t)+" is not a function")},Sc=Ea.TypeError,xc=Object.defineProperty,kc=Ea["__core-js_shared__"]||function(t,e){try{xc(Ea,t,{value:e,configurable:!0,writable:!0});}catch(n){Ea[t]=e;}return e}("__core-js_shared__",{}),Tc=J$5((function(t){(t.exports=function(t,e){return kc[t]||(kc[t]=void 0!==e?e:{})})("versions",[]).push({version:"3.19.1",mode:"pure",copyright:"© 2021 Denis Pushkarev (zloirock.ru)"});})),Oc=Ea.Object,Mc=function(t){return Oc(ec(t))},Ec=Ca({}.hasOwnProperty),Ic=Object.hasOwn||function(t,e){return Ec(Mc(t),e)},Nc=0,jc=Math.random(),Lc=Ca(1..toString),zc=function(t){return "Symbol("+(void 0===t?"":t)+")_"+Lc(++Nc+jc,36)},Hc=Tc("wks"),Ac=Ea.Symbol,Vc=Ac&&Ac.for,Pc=vc?Ac:Ac&&Ac.withoutSetter||zc,Cc=function(t){if(!Ic(Hc,t)||!hc&&"string"!=typeof Hc[t]){var e="Symbol."+t;hc&&Ic(Ac,t)?Hc[t]=Ac[t]:Hc[t]=vc&&Vc?Vc(e):Pc(e);}return Hc[t]},Dc=Ea.TypeError,Bc=Cc("toPrimitive"),Rc=function(t,e){if(!rc(t)||yc(t))return t;var n,r,o=null==(n=t[Bc])?void 0:wc(n);if(o){if(void 0===e&&(e="default"),r=_a(o,t,e),!rc(r)||yc(r))return r;throw Dc("Can't convert object to primitive value")}return void 0===e&&(e="number"),function(t,e){var n,r;if("string"===e&&Da(n=t.toString)&&!rc(r=_a(n,t)))return r;if(Da(n=t.valueOf)&&!rc(r=_a(n,t)))return r;if("string"!==e&&Da(n=t.toString)&&!rc(r=_a(n,t)))return r;throw Sc("Can't convert object to primitive value")}(t,e)},Fc=function(t){var e=Rc(t,"string");return yc(e)?e:e+""},_c=Ea.document,$c=rc(_c)&&rc(_c.createElement),qc=function(t){return $c?_c.createElement(t):{}},Wc=!Ra&&!Ba((function(){return 7!=Object.defineProperty(qc("div"),"a",{get:function(){return 7}}).a})),Gc=Object.getOwnPropertyDescriptor,Uc={f:Ra?Gc:function(t,e){if(t=nc(t),e=Fc(e),Wc)try{return Gc(t,e)}catch(t){}if(Ic(t,e))return Ua(!_a(Ga.f,t,e),t[e])}},Xc=/#|\.prototype\./,Yc=function(t,e){var n=Kc[Jc(t)];return n==Zc||n!=Qc&&(Da(e)?Ba(e):!!e)},Jc=Yc.normalize=function(t){return String(t).replace(Xc,".").toLowerCase()},Kc=Yc.data={},Qc=Yc.NATIVE="N",Zc=Yc.POLYFILL="P",tl=Yc,el=Ca(Ca.bind),nl=function(t,e){return wc(t),void 0===e?t:el?el(t,e):function(){return t.apply(e,arguments)}},rl=Ea.String,ol=Ea.TypeError,il=function(t){if(rc(t))return t;throw ol(rl(t)+" is not an object")},ul=Ea.TypeError,al=Object.defineProperty,cl={f:Ra?al:function(t,e,n){if(il(t),e=Fc(e),il(n),Wc)try{return al(t,e,n)}catch(t){}if("get"in n||"set"in n)throw ul("Accessors not supported");return "value"in n&&(t[e]=n.value),t}},ll=Ra?function(t,e,n){return cl.f(t,e,Ua(1,n))}:function(t,e,n){return t[e]=n,t},sl=Uc.f,fl=function(t){var e=function(n,r,o){if(this instanceof e){switch(arguments.length){case 0:return new t;case 1:return new t(n);case 2:return new t(n,r)}return new t(n,r,o)}return za(t,this,arguments)};return e.prototype=t.prototype,e},pl=function(t,e){var n,r,o,i,u,a,c,l,s=t.target,f=t.global,p=t.stat,d=t.proto,h=f?Ea:p?Ea[s]:(Ea[s]||{}).prototype,v=f?oc:oc[s]||ll(oc,s,{})[s],g=v.prototype;for(o in e)n=!tl(f?o:s+(p?".":"#")+o,t.forced)&&h&&Ic(h,o),u=v[o],n&&(a=t.noTargetGet?(l=sl(h,o))&&l.value:h[o]),i=n&&a?a:e[o],n&&typeof u==typeof i||(c=t.bind&&n?nl(i,Ea):t.wrap&&n?fl(i):d&&Da(i)?Ca(i):i,(t.sham||i&&i.sham||u&&u.sham)&&ll(c,"sham",!0),ll(v,o,c),d&&(Ic(oc,r=s+"Prototype")||ll(oc,r,{}),ll(oc[r],o,i),t.real&&g&&!g[o]&&ll(g,o,i)));},dl=Array.isArray||function(t){return "Array"==Ja(t)},hl=Math.ceil,vl=Math.floor,gl=function(t){var e=+t;return e!=e||0===e?0:(e>0?vl:hl)(e)},yl=Math.min,ml=function(t){return (e=t.length)>0?yl(gl(e),9007199254740991):0;var e;},bl=function(t,e,n){var r=Fc(e);r in t?cl.f(t,r,Ua(0,n)):t[r]=n;},wl={};wl[Cc("toStringTag")]="z";var Sl="[object z]"===String(wl),xl=Cc("toStringTag"),kl=Ea.Object,Tl="Arguments"==Ja(function(){return arguments}()),Ol=Sl?Ja:function(t){var e,n,r;return void 0===t?"Undefined":null===t?"Null":"string"==typeof(n=function(t,e){try{return t[e]}catch(t){}}(e=kl(t),xl))?n:Tl?Ja(e):"Object"==(r=Ja(e))&&Da(e.callee)?"Arguments":r},Ml=Ca(Function.toString);Da(kc.inspectSource)||(kc.inspectSource=function(t){return Ml(t)});var El=kc.inspectSource,Il=function(){},Nl=[],jl=uc("Reflect","construct"),Ll=/^\s*(?:class|function)\b/,zl=Ca(Ll.exec),Hl=!Ll.exec(Il),Al=function(t){if(!Da(t))return !1;try{return jl(Il,Nl,t),!0}catch(t){return !1}},Vl=!jl||Ba((function(){var t;return Al(Al.call)||!Al(Object)||!Al((function(){t=!0;}))||t}))?function(t){if(!Da(t))return !1;switch(Ol(t)){case"AsyncFunction":case"GeneratorFunction":case"AsyncGeneratorFunction":return !1}return Hl||!!zl(Ll,El(t))}:Al,Pl=Cc("species"),Cl=Ea.Array,Dl=function(t,e){return new(function(t){var e;return dl(t)&&(e=t.constructor,(Vl(e)&&(e===Cl||dl(e.prototype))||rc(e)&&null===(e=e[Pl]))&&(e=void 0)),void 0===e?Cl:e}(t))(0===e?0:e)},Bl=Cc("species"),Rl=Cc("isConcatSpreadable"),Fl=Ea.TypeError,_l=dc>=51||!Ba((function(){var t=[];return t[Rl]=!1,t.concat()[0]!==t})),$l=function(t){return dc>=51||!Ba((function(){var e=[];return (e.constructor={})[Bl]=function(){return {foo:1}},1!==e[t](Boolean).foo}))}("concat"),ql=function(t){if(!rc(t))return !1;var e=t[Rl];return void 0!==e?!!e:dl(t)};pl({target:"Array",proto:!0,forced:!_l||!$l},{concat:function(t){var e,n,r,o,i,u=Mc(this),a=Dl(u,0),c=0;for(e=-1,r=arguments.length;e<r;e++)if(ql(i=-1===e?u:arguments[e])){if(c+(o=ml(i))>9007199254740991)throw Fl("Maximum allowed index exceeded");for(n=0;n<o;n++,c++)n in i&&bl(a,c,i[n]);}else {if(c>=9007199254740991)throw Fl("Maximum allowed index exceeded");bl(a,c++,i);}return a.length=c,a}});var Wl,Gl=Ea.String,Ul=function(t){if("Symbol"===Ol(t))throw TypeError("Cannot convert a Symbol value to a string");return Gl(t)},Xl=Math.max,Yl=Math.min,Jl=function(t){return function(e,n,r){var o,i=nc(e),u=ml(i),a=function(t,e){var n=gl(t);return n<0?Xl(n+e,0):Yl(n,e)}(r,u);if(t&&n!=n){for(;u>a;)if((o=i[a++])!=o)return !0}else for(;u>a;a++)if((t||a in i)&&i[a]===n)return t||a||0;return !t&&-1}},Kl={includes:Jl(!0),indexOf:Jl(!1)},Ql={},Zl=Kl.indexOf,ts=Ca([].push),es=function(t,e){var n,r=nc(t),o=0,i=[];for(n in r)!Ic(Ql,n)&&Ic(r,n)&&ts(i,n);for(;e.length>o;)Ic(r,n=e[o++])&&(~Zl(i,n)||ts(i,n));return i},ns=["constructor","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","toLocaleString","toString","valueOf"],rs=Object.keys||function(t){return es(t,ns)},os=Ra?Object.defineProperties:function(t,e){il(t);for(var n,r=nc(e),o=rs(e),i=o.length,u=0;i>u;)cl.f(t,n=o[u++],r[n]);return t},is=uc("document","documentElement"),us=Tc("keys"),as=function(t){return us[t]||(us[t]=zc(t))},cs=as("IE_PROTO"),ls=function(){},ss=function(t){return "<script>"+t+"<\/script>"},fs=function(t){t.write(ss("")),t.close();var e=t.parentWindow.Object;return t=null,e},ps=function(){try{Wl=new ActiveXObject("htmlfile");}catch(t){}var t,e;ps="undefined"!=typeof document?document.domain&&Wl?fs(Wl):((e=qc("iframe")).style.display="none",is.appendChild(e),e.src=String("javascript:"),(t=e.contentWindow.document).open(),t.write(ss("document.F=Object")),t.close(),t.F):fs(Wl);for(var n=ns.length;n--;)delete ps.prototype[ns[n]];return ps()};Ql[cs]=!0;var ds,hs,vs,gs=Object.create||function(t,e){var n;return null!==t?(ls.prototype=il(t),n=new ls,ls.prototype=null,n[cs]=t):n=ps(),void 0===e?n:os(n,e)},ys=ns.concat("length","prototype"),ms={f:Object.getOwnPropertyNames||function(t){return es(t,ys)}},bs=Ca([].slice),ws=ms.f,Ss="object"==typeof window&&window&&Object.getOwnPropertyNames?Object.getOwnPropertyNames(window):[],xs={f:function(t){return Ss&&"Window"==Ja(t)?function(t){try{return ws(t)}catch(t){return bs(Ss)}}(t):ws(nc(t))}},ks={f:Object.getOwnPropertySymbols},Ts=function(t,e,n,r){r&&r.enumerable?t[e]=n:ll(t,e,n);},Os={f:Cc},Ms=cl.f,Es=function(t){var e=oc.Symbol||(oc.Symbol={});Ic(e,t)||Ms(e,t,{value:Os.f(t)});},Is=Sl?{}.toString:function(){return "[object "+Ol(this)+"]"},Ns=cl.f,js=Cc("toStringTag"),Ls=function(t,e,n,r){if(t){var o=n?t:t.prototype;Ic(o,js)||Ns(o,js,{configurable:!0,value:e}),r&&!Sl&&ll(o,"toString",Is);}},zs=Ea.WeakMap,Hs=Da(zs)&&/native code/.test(El(zs)),As=Ea.TypeError,Vs=Ea.WeakMap;if(Hs||kc.state){var Ps=kc.state||(kc.state=new Vs),Cs=Ca(Ps.get),Ds=Ca(Ps.has),Bs=Ca(Ps.set);ds=function(t,e){if(Ds(Ps,t))throw new As("Object already initialized");return e.facade=t,Bs(Ps,t,e),e},hs=function(t){return Cs(Ps,t)||{}},vs=function(t){return Ds(Ps,t)};}else {var Rs=as("state");Ql[Rs]=!0,ds=function(t,e){if(Ic(t,Rs))throw new As("Object already initialized");return e.facade=t,ll(t,Rs,e),e},hs=function(t){return Ic(t,Rs)?t[Rs]:{}},vs=function(t){return Ic(t,Rs)};}var Fs={set:ds,get:hs,has:vs,enforce:function(t){return vs(t)?hs(t):ds(t,{})},getterFor:function(t){return function(e){var n;if(!rc(e)||(n=hs(e)).type!==t)throw As("Incompatible receiver, "+t+" required");return n}}},_s=Ca([].push),$s=function(t){var e=1==t,n=2==t,r=3==t,o=4==t,i=6==t,u=7==t,a=5==t||i;return function(c,l,s,f){for(var p,d,h=Mc(c),v=Za(h),g=nl(l,s),y=ml(v),m=0,b=f||Dl,w=e?b(c,y):n||u?b(c,0):void 0;y>m;m++)if((a||m in v)&&(d=g(p=v[m],m,h),t))if(e)w[m]=d;else if(d)switch(t){case 3:return !0;case 5:return p;case 6:return m;case 2:_s(w,p);}else switch(t){case 4:return !1;case 7:_s(w,p);}return i?-1:r||o?o:w}},qs={forEach:$s(0),map:$s(1),filter:$s(2),some:$s(3),every:$s(4),find:$s(5),findIndex:$s(6),filterReject:$s(7)}.forEach,Ws=as("hidden"),Gs=Cc("toPrimitive"),Us=Fs.set,Xs=Fs.getterFor("Symbol"),Ys=Object.prototype,Js=Ea.Symbol,Ks=Js&&Js.prototype,Qs=Ea.TypeError,Zs=Ea.QObject,tf=uc("JSON","stringify"),ef=Uc.f,nf=cl.f,rf=xs.f,of=Ga.f,uf=Ca([].push),af=Tc("symbols"),cf=Tc("op-symbols"),lf=Tc("string-to-symbol-registry"),sf=Tc("symbol-to-string-registry"),ff=Tc("wks"),pf=!Zs||!Zs.prototype||!Zs.prototype.findChild,df=Ra&&Ba((function(){return 7!=gs(nf({},"a",{get:function(){return nf(this,"a",{value:7}).a}})).a}))?function(t,e,n){var r=ef(Ys,e);r&&delete Ys[e],nf(t,e,n),r&&t!==Ys&&nf(Ys,e,r);}:nf,hf=function(t,e){var n=af[t]=gs(Ks);return Us(n,{type:"Symbol",tag:t,description:e}),Ra||(n.description=e),n},vf=function(t,e,n){t===Ys&&vf(cf,e,n),il(t);var r=Fc(e);return il(n),Ic(af,r)?(n.enumerable?(Ic(t,Ws)&&t[Ws][r]&&(t[Ws][r]=!1),n=gs(n,{enumerable:Ua(0,!1)})):(Ic(t,Ws)||nf(t,Ws,Ua(1,{})),t[Ws][r]=!0),df(t,r,n)):nf(t,r,n)},gf=function(t,e){il(t);var n=nc(e),r=rs(n).concat(wf(n));return qs(r,(function(e){Ra&&!_a(yf,n,e)||vf(t,e,n[e]);})),t},yf=function(t){var e=Fc(t),n=_a(of,this,e);return !(this===Ys&&Ic(af,e)&&!Ic(cf,e))&&(!(n||!Ic(this,e)||!Ic(af,e)||Ic(this,Ws)&&this[Ws][e])||n)},mf=function(t,e){var n=nc(t),r=Fc(e);if(n!==Ys||!Ic(af,r)||Ic(cf,r)){var o=ef(n,r);return !o||!Ic(af,r)||Ic(n,Ws)&&n[Ws][r]||(o.enumerable=!0),o}},bf=function(t){var e=rf(nc(t)),n=[];return qs(e,(function(t){Ic(af,t)||Ic(Ql,t)||uf(n,t);})),n},wf=function(t){var e=t===Ys,n=rf(e?cf:nc(t)),r=[];return qs(n,(function(t){!Ic(af,t)||e&&!Ic(Ys,t)||uf(r,af[t]);})),r};if(hc||(Ks=(Js=function(){if(ac(Ks,this))throw Qs("Symbol is not a constructor");var t=arguments.length&&void 0!==arguments[0]?Ul(arguments[0]):void 0,e=zc(t),n=function(t){this===Ys&&_a(n,cf,t),Ic(this,Ws)&&Ic(this[Ws],e)&&(this[Ws][e]=!1),df(this,e,Ua(1,t));};return Ra&&pf&&df(Ys,e,{configurable:!0,set:n}),hf(e,t)}).prototype,Ts(Ks,"toString",(function(){return Xs(this).tag})),Ts(Js,"withoutSetter",(function(t){return hf(zc(t),t)})),Ga.f=yf,cl.f=vf,Uc.f=mf,ms.f=xs.f=bf,ks.f=wf,Os.f=function(t){return hf(Cc(t),t)},Ra&&nf(Ks,"description",{configurable:!0,get:function(){return Xs(this).description}})),pl({global:!0,wrap:!0,forced:!hc,sham:!hc},{Symbol:Js}),qs(rs(ff),(function(t){Es(t);})),pl({target:"Symbol",stat:!0,forced:!hc},{for:function(t){var e=Ul(t);if(Ic(lf,e))return lf[e];var n=Js(e);return lf[e]=n,sf[n]=e,n},keyFor:function(t){if(!yc(t))throw Qs(t+" is not a symbol");if(Ic(sf,t))return sf[t]},useSetter:function(){pf=!0;},useSimple:function(){pf=!1;}}),pl({target:"Object",stat:!0,forced:!hc,sham:!Ra},{create:function(t,e){return void 0===e?gs(t):gf(gs(t),e)},defineProperty:vf,defineProperties:gf,getOwnPropertyDescriptor:mf}),pl({target:"Object",stat:!0,forced:!hc},{getOwnPropertyNames:bf,getOwnPropertySymbols:wf}),pl({target:"Object",stat:!0,forced:Ba((function(){ks.f(1);}))},{getOwnPropertySymbols:function(t){return ks.f(Mc(t))}}),tf){var Sf=!hc||Ba((function(){var t=Js();return "[null]"!=tf([t])||"{}"!=tf({a:t})||"{}"!=tf(Object(t))}));pl({target:"JSON",stat:!0,forced:Sf},{stringify:function(t,e,n){var r=bs(arguments),o=e;if((rc(e)||void 0!==t)&&!yc(t))return dl(e)||(e=function(t,e){if(Da(o)&&(e=_a(o,this,t,e)),!yc(e))return e}),r[1]=e,za(tf,null,r)}});}if(!Ks[Gs]){var xf=Ks.valueOf;Ts(Ks,Gs,(function(t){return _a(xf,this)}));}Ls(Js,"Symbol"),Ql[Ws]=!0,Es("asyncIterator"),Es("hasInstance"),Es("isConcatSpreadable"),Es("iterator"),Es("match"),Es("matchAll"),Es("replace"),Es("search"),Es("species"),Es("split"),Es("toPrimitive"),Es("toStringTag"),Es("unscopables"),Ls(Ea.JSON,"JSON",!0);var kf,Tf,Of,Mf=oc.Symbol,Ef={},If=Function.prototype,Nf=Ra&&Object.getOwnPropertyDescriptor,jf=Ic(If,"name"),Lf={EXISTS:jf,PROPER:jf&&"something"===function(){}.name,CONFIGURABLE:jf&&(!Ra||Ra&&Nf(If,"name").configurable)},zf=!Ba((function(){function t(){}return t.prototype.constructor=null,Object.getPrototypeOf(new t)!==t.prototype})),Hf=as("IE_PROTO"),Af=Ea.Object,Vf=Af.prototype,Pf=zf?Af.getPrototypeOf:function(t){var e=Mc(t);if(Ic(e,Hf))return e[Hf];var n=e.constructor;return Da(n)&&e instanceof n?n.prototype:e instanceof Af?Vf:null},Cf=Cc("iterator"),Df=!1;[].keys&&("next"in(Of=[].keys())?(Tf=Pf(Pf(Of)))!==Object.prototype&&(kf=Tf):Df=!0);var Bf=null==kf||Ba((function(){var t={};return kf[Cf].call(t)!==t}));kf=Bf?{}:gs(kf),Da(kf[Cf])||Ts(kf,Cf,(function(){return this}));var Rf={IteratorPrototype:kf,BUGGY_SAFARI_ITERATORS:Df},Ff=Rf.IteratorPrototype,_f=function(){return this};Ea.String,Ea.TypeError;Object.setPrototypeOf||"__proto__"in{}&&function(){var t,e=!1,n={};try{(t=Ca(Object.getOwnPropertyDescriptor(Object.prototype,"__proto__").set))(n,[]),e=n instanceof Array;}catch(t){}}();var $f=Lf.PROPER,qf=Rf.BUGGY_SAFARI_ITERATORS,Wf=Cc("iterator"),Gf=function(){return this},Uf=function(t,e,n,r,o,i,u){!function(t,e,n){var r=e+" Iterator";t.prototype=gs(Ff,{next:Ua(1,n)}),Ls(t,r,!1,!0),Ef[r]=_f;}(n,e,r);var a,c,l,s=function(t){if(t===o&&v)return v;if(!qf&&t in d)return d[t];switch(t){case"keys":case"values":case"entries":return function(){return new n(this,t)}}return function(){return new n(this)}},f=e+" Iterator",p=!1,d=t.prototype,h=d[Wf]||d["@@iterator"]||o&&d[o],v=!qf&&h||s(o),g="Array"==e&&d.entries||h;if(g&&(a=Pf(g.call(new t)))!==Object.prototype&&a.next&&(Ls(a,f,!0,!0),Ef[f]=Gf),$f&&"values"==o&&h&&"values"!==h.name&&(p=!0,v=function(){return _a(h,this)}),o)if(c={values:s("values"),keys:i?v:s("keys"),entries:s("entries")},u)for(l in c)(qf||p||!(l in d))&&Ts(d,l,c[l]);else pl({target:e,proto:!0,forced:qf||p},c);return u&&d[Wf]!==v&&Ts(d,Wf,v,{name:o}),Ef[e]=v,c},Xf=Fs.set,Yf=Fs.getterFor("Array Iterator");Uf(Array,"Array",(function(t,e){Xf(this,{type:"Array Iterator",target:nc(t),index:0,kind:e});}),(function(){var t=Yf(this),e=t.target,n=t.kind,r=t.index++;return !e||r>=e.length?(t.target=void 0,{value:void 0,done:!0}):"keys"==n?{value:r,done:!1}:"values"==n?{value:e[r],done:!1}:{value:[r,e[r]],done:!1}}),"values"),Ef.Arguments=Ef.Array;var Jf=Cc("toStringTag");for(var Kf in {CSSRuleList:0,CSSStyleDeclaration:0,CSSValueList:0,ClientRectList:0,DOMRectList:0,DOMStringList:0,DOMTokenList:1,DataTransferItemList:0,FileList:0,HTMLAllCollection:0,HTMLCollection:0,HTMLFormElement:0,HTMLSelectElement:0,MediaList:0,MimeTypeArray:0,NamedNodeMap:0,NodeList:1,PaintRequestList:0,Plugin:0,PluginArray:0,SVGLengthList:0,SVGNumberList:0,SVGPathSegList:0,SVGPointList:0,SVGStringList:0,SVGTransformList:0,SourceBufferList:0,StyleSheetList:0,TextTrackCueList:0,TextTrackList:0,TouchList:0}){var Qf=Ea[Kf],Zf=Qf&&Qf.prototype;Zf&&Ol(Zf)!==Jf&&ll(Zf,Jf,Kf),Ef[Kf]=Ef.Array;}var tp=Mf;Es("asyncDispose"),Es("dispose"),Es("matcher"),Es("metadata"),Es("observable"),Es("patternMatch"),Es("replaceAll");var ep=tp,np=Ca("".charAt),rp=Ca("".charCodeAt),op=Ca("".slice),ip=function(t){return function(e,n){var r,o,i=Ul(ec(e)),u=gl(n),a=i.length;return u<0||u>=a?t?"":void 0:(r=rp(i,u))<55296||r>56319||u+1===a||(o=rp(i,u+1))<56320||o>57343?t?np(i,u):r:t?op(i,u,u+2):o-56320+(r-55296<<10)+65536}},up={codeAt:ip(!1),charAt:ip(!0)}.charAt,ap=Fs.set,cp=Fs.getterFor("String Iterator");Uf(String,"String",(function(t){ap(this,{type:"String Iterator",string:Ul(t),index:0});}),(function(){var t,e=cp(this),n=e.string,r=e.index;return r>=n.length?{value:void 0,done:!0}:(t=up(n,r),e.index+=t.length,{value:t,done:!1})}));var lp=Os.f("iterator"),sp=J$5((function(t){function e(n){return "function"==typeof ep&&"symbol"==typeof lp?(t.exports=e=function(t){return typeof t},t.exports.default=t.exports,t.exports.__esModule=!0):(t.exports=e=function(t){return t&&"function"==typeof ep&&t.constructor===ep&&t!==ep.prototype?"symbol":typeof t},t.exports.default=t.exports,t.exports.__esModule=!0),e(n)}t.exports=e,t.exports.default=t.exports,t.exports.__esModule=!0;})),fp=Y$5(sp),pp=Ge$5.EXISTS,dp=ke$5.f,hp=Function.prototype,vp=ht$5(hp.toString),gp=/^\s*function ([^ (]*)/,yp=ht$5(gp.exec);nt$5&&!pp&&dp(hp,"name",{configurable:!0,get:function(){try{return yp(gp,vp(this))[1]}catch(t){return ""}}});var mp=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e.title=bh("fontFamily.title"),e.iconSvg=fo$2,e.mark="fontFamily",e.selectPanelWidth=150,e}return R$5(e,t),e.prototype.getOptions=function(t){var e=[],r=t.getMenuConfig(this.mark).fontFamilyList,o=void 0===r?[]:r;e.push({text:bh("fontFamily.default"),value:""}),o.forEach((function(t){if("string"==typeof t)e.push({text:t,value:t,styleForRenderMenuList:{"font-family":t}});else if("object"===fp(t)){var n=t.name,r=t.value;e.push({text:n,value:r,styleForRenderMenuList:{"font-family":r}});}}));var i=this.getValue(t);return e.forEach((function(t){t.value===i?t.selected=!0:delete t.selected;})),e},e}(Ta);var bp={renderTextStyle:function(t,e){var n=t,r=n.fontSize,o=n.fontFamily,i=e;return r&&si$2(i,{fontSize:r}),o&&si$2(i,{fontFamily:o}),i},textStyleToHtml:function(t,e){if(!Text.isText(t))return e;var n=t,r=n.fontSize,o=n.fontFamily,i=n.text;if(!r&&!o)return e;e===Yi$1(i)&&(e="<span>"+e+"</span>");var u=$$6(e);r&&u.css("font-size",r),o&&u.css("font-family",o);var a=$$6("<div></div>");return a.append(u),a.html()},menus:[{key:"fontSize",factory:function(){return new Oa},config:{fontSizeList:["12px","13px","14px","15px","16px","19px","22px","24px","29px","32px","40px","48px"]}},{key:"fontFamily",factory:function(){return new mp},config:{fontFamilyList:["黑体",{name:"仿宋",value:"仿宋"},"楷体","标楷体","华文仿宋","华文楷体",{name:"宋体",value:"宋体"},"微软雅黑","Arial","Tahoma","Verdana","Times New Roman","Courier New"]}}]};var wp=function(){function t(){this.tag="button";}return t.prototype.getValue=function(t){var e=W$5(Editor.nodes(t,{match:function(t){return !!t.indent},universal:!0}),1),n=e[0];return null==n?"":W$5(n,1)[0].indent||""},t.prototype.isActive=function(t){return !1},t.prototype.getMatchNode=function(t){var n=W$5(Editor.nodes(t,{match:function(t){var n=ms$1.getNodeType(t);return "paragraph"===n||!!n.startsWith("header")},universal:!0,mode:"highest"}),1)[0];return null==n?null:n[0]},t}(),Sp=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e.title=bh("indent.decrease"),e.iconSvg=po$2,e}return R$5(e,t),e.prototype.isDisabled=function(t){var e=this.getMatchNode(t);return null==e||!e.indent},e.prototype.exec=function(t,e){if(e){var n=parseInt(e.toString(),10)-32;n<0&&(n=0),Transforms.setNodes(t,{indent:0===n?null:n+"px"},{match:function(t){return Element$1.isElement(t)}});}},e}(wp),xp=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e.title=bh("indent.increase"),e.iconSvg=ho$2,e}return R$5(e,t),e.prototype.isDisabled=function(t){return null==this.getMatchNode(t)},e.prototype.exec=function(t,e){var n=parseInt(e.toString(),10);n||(n=0);var r=n+32;Transforms.setNodes(t,{indent:r+"px"},{match:function(t){return Element$1.isElement(t)}});},e}(wp),kp={renderTextStyle:function(t,e){if(!Element$1.isElement(t))return e;var n=t.indent,r=e;return n&&si$2(r,{paddingLeft:n}),r},textStyleToHtml:function(t,e){if(!Element$1.isElement(t))return e;var n=t.indent;if(!n)return e;var r=$$6(e);r.css("padding-left",n);var o=$$6("<div></div>");return o.append(r),o.html()},menus:[{key:"indent",factory:function(){return new xp}},{key:"delIndent",factory:function(){return new Sp}}]};var Tp=function(){function t(){this.tag="button";}return t.prototype.getValue=function(t){return ""},t.prototype.isActive=function(t){return !1},t.prototype.getMatchNode=function(t){var n=W$5(Editor.nodes(t,{match:function(t){var n=ms$1.getNodeType(t);return "paragraph"===n||("blockquote"===n||!!n.startsWith("header"))},universal:!0,mode:"highest"}),1)[0];return null==n?null:n[0]},t.prototype.isDisabled=function(t){return null==t.selection||!!W$5(Editor.nodes(t,{match:function(n){var r=ms$1.getNodeType(n);return "pre"===r||("video"===r||!!Editor.isVoid(t,n))},universal:!0}),1)[0]},t}(),Op=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e.title=bh("justify.left"),e.iconSvg=vo$2,e}return R$5(e,t),e.prototype.exec=function(t,e){Transforms.setNodes(t,{textAlign:"left"},{match:function(e){return Element$1.isElement(e)&&!t.isInline(e)}});},e}(Tp),Mp=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e.title=bh("justify.right"),e.iconSvg=go$2,e}return R$5(e,t),e.prototype.exec=function(t,e){Transforms.setNodes(t,{textAlign:"right"},{match:function(e){return Element$1.isElement(e)&&!t.isInline(e)}});},e}(Tp),Ep=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e.title=bh("justify.center"),e.iconSvg=yo$2,e}return R$5(e,t),e.prototype.exec=function(t,e){Transforms.setNodes(t,{textAlign:"center"},{match:function(e){return Element$1.isElement(e)&&!t.isInline(e)}});},e}(Tp),Ip=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e.title=bh("justify.justify"),e.iconSvg=mo$2,e}return R$5(e,t),e.prototype.exec=function(t,e){Transforms.setNodes(t,{textAlign:"justify"},{match:function(e){return Element$1.isElement(e)&&!t.isInline(e)}});},e}(Tp),Np={renderTextStyle:function(t,e){if(!Element$1.isElement(t))return e;var n=t.textAlign,r=e;return n&&si$2(r,{textAlign:n}),r},textStyleToHtml:function(t,e){if(!Element$1.isElement(t))return e;var n=t.textAlign;if(!n)return e;var r=$$6(e);r.css("text-align",n);var o=$$6("<div></div>");return o.append(r),o.html()},menus:[{key:"justifyLeft",factory:function(){return new Op}},{key:"justifyRight",factory:function(){return new Mp}},{key:"justifyCenter",factory:function(){return new Ep}},{key:"justifyJustify",factory:function(){return new Ip}}]};var jp=function(){function t(){this.title=bh("lineHeight.title"),this.iconSvg='<svg viewBox="0 0 1024 1024"><path d="M964 788a8 8 0 0 1 8 8v98a8 8 0 0 1-8 8H438a8 8 0 0 1-8-8v-98a8 8 0 0 1 8-8h526zM198.93 144.306c6.668-5.798 16.774-5.094 22.573 1.574l122.26 140.582a16 16 0 0 1 3.927 10.5c0 8.836-7.164 16-16 16h-61.8a8 8 0 0 0-8 8v390.077h69.819a16 16 0 0 1 10.502 3.928c6.666 5.8 7.37 15.906 1.57 22.573L221.476 878.123a16 16 0 0 1-1.57 1.57c-6.668 5.8-16.774 5.097-22.574-1.57L75.051 737.538a16 16 0 0 1-3.928-10.5c0-8.837 7.163-16 16-16h69.822V312.96H87.127a16 16 0 0 1-10.502-3.928c-6.666-5.8-7.37-15.906-1.57-22.573l122.303-140.582a16 16 0 0 1 1.572-1.572zM964 465a8 8 0 0 1 8 8v98a8 8 0 0 1-8 8H438a8 8 0 0 1-8-8v-98a8 8 0 0 1 8-8h526z m0-323a8 8 0 0 1 8 8v98a8 8 0 0 1-8 8H438a8 8 0 0 1-8-8v-98a8 8 0 0 1 8-8h526z"></path></svg>',this.tag="select",this.width=80;}return t.prototype.getOptions=function(t){var e=[],r=t.getMenuConfig("lineHeight").lineHeightList,o=void 0===r?[]:r;e.push({text:bh("lineHeight.default"),value:""}),o.forEach((function(t){e.push({text:t,value:t});}));var i=this.getValue(t);return e.forEach((function(t){t.value===i?t.selected=!0:delete t.selected;})),e},t.prototype.getMatchNode=function(t){var n=W$5(Editor.nodes(t,{match:function(t){var n=ms$1.getNodeType(t);return !!n.startsWith("header")||!!["paragraph","blockquote","bulleted-list","numbered-list"].includes(n)},universal:!0,mode:"highest"}),1)[0];return null==n?null:n[0]},t.prototype.isActive=function(t){return !1},t.prototype.getValue=function(t){var e=this.getMatchNode(t);return null==e?"":Element$1.isElement(e)&&e.lineHeight||""},t.prototype.isDisabled=function(t){return null==t.selection||null==this.getMatchNode(t)},t.prototype.exec=function(t,e){Transforms.setNodes(t,{lineHeight:e.toString()},{mode:"highest"});},t}();var Lp={renderTextStyle:function(t,e){if(!Element$1.isElement(t))return e;var n=t.lineHeight,r=e;return n&&si$2(r,{lineHeight:n}),r},textStyleToHtml:function(t,e){if(!Element$1.isElement(t))return e;var n=t.lineHeight;if(!n)return e;var r=$$6(e);r.css("line-height",n);var o=$$6("<div></div>");return o.append(r),o.html()},menus:[{key:"lineHeight",factory:function(){return new jp},config:{lineHeightList:["1","1.15","1.5","2","2.5","3"]}}]},zp=function(){function t(){this.title=bh("undo.redo"),this.iconSvg='<svg viewBox="0 0 1024 1024"><path d="M0.00032 576a510.72 510.72 0 0 0 173.344 384l84.672-96A383.136 383.136 0 0 1 128.00032 576C128.00032 363.936 299.93632 192 512.00032 192c106.048 0 202.048 42.976 271.52 112.48L640.00032 448h384V64l-149.984 149.984A510.272 510.272 0 0 0 512.00032 64C229.21632 64 0.00032 293.216 0.00032 576z"></path></svg>',this.tag="button";}return t.prototype.getValue=function(t){return ""},t.prototype.isActive=function(t){return !1},t.prototype.isDisabled=function(t){return null==t.selection},t.prototype.exec=function(t,e){"function"==typeof t.redo&&t.redo();},t}(),Hp=function(){function t(){this.title=bh("undo.undo"),this.iconSvg='<svg viewBox="0 0 1024 1024"><path d="M512 64A510.272 510.272 0 0 0 149.984 213.984L0.032 64v384h384L240.512 304.48A382.784 382.784 0 0 1 512.032 192c212.064 0 384 171.936 384 384 0 114.688-50.304 217.632-130.016 288l84.672 96a510.72 510.72 0 0 0 173.344-384c0-282.784-229.216-512-512-512z"></path></svg>',this.tag="button";}return t.prototype.getValue=function(t){return ""},t.prototype.isActive=function(t){return !1},t.prototype.isDisabled=function(t){return null==t.selection},t.prototype.exec=function(t,e){"function"==typeof t.undo&&t.undo();},t}(),Ap={menus:[{key:"redo",factory:function(){return new zp}},{key:"undo",factory:function(){return new Hp}}]};var Vp={type:"divider",renderElem:function(t,n,r){var o=ms$1.isNodeSelected(r,t);return jsx("div",{contentEditable:!1,className:"w-e-textarea-divider","data-selected":o?"true":"",style:{}},jsx("hr",null))}};var Pp={type:"divider",elemToHtml:function(t,e){return "<hr/>"}},Cp=function(){function t(){this.title=bh("divider.title"),this.iconSvg='<svg viewBox="0 0 1092 1024"><path d="M0 51.2m51.2 0l989.866667 0q51.2 0 51.2 51.2l0 0q0 51.2-51.2 51.2l-989.866667 0q-51.2 0-51.2-51.2l0 0q0-51.2 51.2-51.2Z"></path><path d="M0 460.8m51.2 0l170.666667 0q51.2 0 51.2 51.2l0 0q0 51.2-51.2 51.2l-170.666667 0q-51.2 0-51.2-51.2l0 0q0-51.2 51.2-51.2Z"></path><path d="M819.2 460.8m51.2 0l170.666667 0q51.2 0 51.2 51.2l0 0q0 51.2-51.2 51.2l-170.666667 0q-51.2 0-51.2-51.2l0 0q0-51.2 51.2-51.2Z"></path><path d="M409.6 460.8m51.2 0l170.666667 0q51.2 0 51.2 51.2l0 0q0 51.2-51.2 51.2l-170.666667 0q-51.2 0-51.2-51.2l0 0q0-51.2 51.2-51.2Z"></path><path d="M0 870.4m51.2 0l989.866667 0q51.2 0 51.2 51.2l0 0q0 51.2-51.2 51.2l-989.866667 0q-51.2 0-51.2-51.2l0 0q0-51.2 51.2-51.2Z"></path></svg>',this.tag="button";}return t.prototype.getValue=function(t){return ""},t.prototype.isActive=function(t){return !1},t.prototype.isDisabled=function(t){return null==t.selection||!!ms$1.getSelectedNodeByType(t,"divider")},t.prototype.exec=function(t,e){Transforms.insertNodes(t,{type:"divider",children:[{text:""}]},{mode:"highest"});},t}(),Dp={renderElems:[Vp],elemsToHtml:[Pp],menus:[{key:"divider",factory:function(){return new Cp}}],editorPlugin:function(t){var n=t.isVoid,r=t.normalizeNode,o=t;return o.isVoid=function(t){return "divider"===t.type||n(t)},o.normalizeNode=function(t){var n=W$5(t,2),i=n[0],u=n[1];if("divider"!==ms$1.getNodeType(i))return r([i,u]);var a=((o.children||[])[u[0]+1]||{}).type,c=void 0===a?"":a;if("paragraph"!==c&&"blockquote"!==c&&!c.startsWith("header")){var l=[u[0]+1];Transforms.insertNodes(o,{type:"paragraph",children:[{text:""}]},{at:l});}},o}},Bp=ae$5("species"),Rp=function(t){return At$5>=51||!et$5((function(){var e=[];return (e.constructor={})[Bp]=function(){return {foo:1}},1!==e[t](Boolean).foo}))},Fp=Gr$3.map;Tn$5({target:"Array",proto:!0,forced:!Rp("map")},{map:function(t){return Fp(this,t,arguments.length>1?arguments[1]:void 0)}});var _p=ht$5("".indexOf);Tn$5({target:"String",proto:!0,forced:!wr$3("includes")},{includes:function(t){return !!~_p(zn$5(xt$5(this)),zn$5(mr$3(t)),arguments.length>1?arguments[1]:void 0)}});var $p=ht$5([].join),qp=wt$5!=Object,Wp=Ur$3("join",",");Tn$5({target:"Array",proto:!0,forced:qp||!Wp},{join:function(t){return $p(kt$5(this),void 0===t?",":t)}});var Gp=function(){function t(){this.title=bh("codeBlock.title"),this.iconSvg='<svg viewBox="0 0 1280 1024"><path d="M832 736l96 96 320-320L928 192l-96 96 224 224zM448 288l-96-96L32 512l320 320 96-96-224-224zM701.312 150.528l69.472 18.944-192 704.032-69.472-18.944 192-704.032z"></path></svg>',this.tag="button";}return t.prototype.getSelectCodeElem=function(t){var n=ms$1.getSelectedNodeByType(t,"code");if(null==n)return null;var r=ms$1.getParentNode(t,n);return null==r||"pre"!==ms$1.getNodeType(r)?null:n},t.prototype.getValue=function(t){var e=this.getSelectCodeElem(t);return null==e?"":e.language||""},t.prototype.isActive=function(t){return !!this.getSelectCodeElem(t)},t.prototype.isDisabled=function(t){return null==t.selection||null==W$5(Editor.nodes(t,{match:function(t){var n=ms$1.getNodeType(t);return "pre"===n||"paragraph"===n},universal:!0}),1)[0]},t.prototype.exec=function(t,e){this.isActive(t)?this.changeToPlainText(t):this.changeToCodeBlock(t,e.toString());},t.prototype.changeToPlainText=function(t){var e=this.getSelectCodeElem(t);if(null!=e){var n=Node$1.string(e);Transforms.removeNodes(t,{mode:"highest"});var r=n.split("\n").map((function(t){return {type:"paragraph",children:[{text:t}]}}));Transforms.insertNodes(t,r,{mode:"highest"});}},t.prototype.changeToCodeBlock=function(t,e){var n,r,o=[],i=Editor.nodes(t,{match:function(e){return t.children.includes(e)},universal:!0});try{for(var a=q$5(i),l=a.next();!l.done;l=a.next()){var f=W$5(l.value,1)[0];f&&o.push(Node$1.string(f));}}catch(t){n={error:t};}finally{try{l&&!l.done&&(r=a.return)&&r.call(a);}finally{if(n)throw n.error}}Transforms.removeNodes(t,{mode:"highest"});var p={type:"pre",children:[{type:"code",language:e,children:[{text:o.join("\n")}]}]};Transforms.insertNodes(t,p,{mode:"highest"});},t}(),Up={key:"codeBlock",factory:function(){return new Gp}},Xp=Rp("slice"),Yp=ae$5("species"),Jp=tt$5.Array,Kp=Math.max;Tn$5({target:"Array",proto:!0,forced:!Xp},{slice:function(t,e){var n,r,o,i,u,a,c,l=kt$5(this),s=nn$5(l),f=Ze$5(t,s),p=Ze$5(void 0===e?s:e,s);if(zr$3(l)&&(n=l.constructor,(Rr$3(n)&&(n===Jp||zr$3(n.prototype))||Ot$5(n)&&null===(n=n[Yp]))&&(n=void 0),n===Jp||void 0===n))return ha(l,f,p);for(r=new(void 0===n?Jp:n)(Kp(p-f,0)),o=0;f<p;f++,o++)f in l&&(i=r,u=o,a=l[f],c=void 0,(c=fe$5(u))in i?ke$5.f(i,c,lt$5(0,a)):i[c]=a);return r.length=o,r}});var Qp={type:"pre",renderElem:function(t,e,n){return jsx("pre",null,e)}},Zp={type:"code",renderElem:function(t,e,n){return jsx("code",null,e)}};var td={menus:[Up],editorPlugin:function(t){var n=t.insertBreak,r=t.normalizeNode,o=t.insertData,i=t;return i.insertBreak=function(){var r=ms$1.getSelectedNodeByType(i,"code");if(null!=r)if("\n\n"===Node$1.string(r).slice(-2)){Transforms.insertNodes(t,{type:"paragraph",children:[{text:""}]},{mode:"highest"});}else i.insertText("\n");else n();},i.normalizeNode=function(t){var n=W$5(t,2),o=n[0],u=n[1],a=ms$1.getNodeType(o);if(!("code"===a&&u.length<=1)){if("pre"===a&&i.children[0]===o){Transforms.insertNodes(i,{type:"paragraph",children:[{text:""}]},{at:u});}return r([o,u])}Transforms.setNodes(i,{type:"paragraph"},{at:u});},i.insertData=function(t){if(null!=ms$1.getSelectedNodeByType(i,"code")){var n=t.getData("text/plain");Editor.insertText(i,n);}else o(t);},i},renderElems:[Qp,Zp],elemsToHtml:[{type:"code",elemToHtml:function(t,e){return "<code>"+e+"</code>"}},{type:"pre",elemToHtml:function(t,e){return "<pre>"+e+"</pre>"}}]},ed=function(){function t(){this.title=bh("fullScreen.title"),this.iconSvg='<svg viewBox="0 0 1024 1024"><path d="M133.705143 335.433143V133.851429h201.581714a29.622857 29.622857 0 0 0 29.622857-29.549715V68.754286a29.622857 29.622857 0 0 0-29.622857-29.622857H61.732571A22.893714 22.893714 0 0 0 38.765714 62.025143V335.725714c0 16.310857 13.238857 29.622857 29.622857 29.622857h35.547429a29.842286 29.842286 0 0 0 29.696-29.842285zM690.980571 133.851429h201.581715v201.654857c0 16.310857 13.238857 29.549714 29.622857 29.549714h35.547428a29.622857 29.622857 0 0 0 29.549715-29.549714V61.952a22.893714 22.893714 0 0 0-22.820572-22.893714h-273.554285a29.622857 29.622857 0 0 0-29.549715 29.622857v35.547428c0 16.310857 13.238857 29.696 29.622857 29.696zM335.286857 892.781714H133.705143V691.2a29.622857 29.622857 0 0 0-29.622857-29.622857H68.534857a29.622857 29.622857 0 0 0-29.549714 29.622857v273.554286c0 12.653714 10.24 22.893714 22.820571 22.893714h273.554286a29.622857 29.622857 0 0 0 29.696-29.622857v-35.547429a29.769143 29.769143 0 0 0-29.769143-29.696z m557.348572-201.581714v201.581714H690.907429a29.622857 29.622857 0 0 0-29.622858 29.622857v35.547429c0 16.310857 13.238857 29.622857 29.622858 29.622857h273.554285c12.580571 0 22.893714-10.313143 22.893715-22.893714V691.2a29.622857 29.622857 0 0 0-29.622858-29.622857h-35.547428a29.622857 29.622857 0 0 0-29.696 29.622857z"></path></svg>',this.tag="button";}return t.prototype.getValue=function(t){return ""},t.prototype.isActive=function(t){return t.isFullScreen},t.prototype.isDisabled=function(t){return !1},t.prototype.exec=function(t,e){t.isFullScreen?t.unFullScreen():t.fullScreen();},t}(),nd=[No$2,ii$2,U$5,tu,mu,ia,la,Sa,bp,kp,Np,Lp,Ap,Dp,td,{menus:[{key:"fullScreen",factory:function(){return new ed}}]}];

  mh("en",{listModule:{unOrderedList:"Unordered list",orderedList:"Ordered list"}}),mh("zh-CN",{listModule:{unOrderedList:"无序列表",orderedList:"有序列表"}});var a="undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:{};function l$1(t){var e={exports:{}};return t(e,e.exports),e.exports}var f$1,s$1,p$1=function(t){return t&&t.Math==Math&&t},d$1=p$1("object"==typeof globalThis&&globalThis)||p$1("object"==typeof window&&window)||p$1("object"==typeof self&&self)||p$1("object"==typeof a&&a)||function(){return this}()||Function("return this")(),v$2=function(t){try{return !!t()}catch(t){return !0}},y$3=!v$2((function(){return 7!=Object.defineProperty({},1,{get:function(){return 7}})[1]})),g$3=Function.prototype.call,h$2=g$3.bind?g$3.bind(g$3):function(){return g$3.apply(g$3,arguments)},m$3={}.propertyIsEnumerable,b$3=Object.getOwnPropertyDescriptor,w$3={f:b$3&&!m$3.call({1:2},1)?function(t){var e=b$3(this,t);return !!e&&e.enumerable}:m$3},O$4=function(t,e){return {enumerable:!(1&t),configurable:!(2&t),writable:!(4&t),value:e}},S$3=Function.prototype,x$3=S$3.bind,j$4=S$3.call,E$4=x$3&&x$3.bind(j$4),T$3=x$3?function(t){return t&&E$4(j$4,t)}:function(t){return t&&function(){return j$4.apply(t,arguments)}},P$4=T$3({}.toString),N$4=T$3("".slice),I$4=function(t){return N$4(P$4(t),8,-1)},_$4=d$1.Object,M$4=T$3("".split),z$4=v$2((function(){return !_$4("z").propertyIsEnumerable(0)}))?function(t){return "String"==I$4(t)?M$4(t,""):_$4(t)}:_$4,L$4=d$1.TypeError,R$4=function(t){if(null==t)throw L$4("Can't call method on "+t);return t},A$4=function(t){return z$4(R$4(t))},H$4=function(t){return "function"==typeof t},k$4=function(t){return "object"==typeof t?null!==t:H$4(t)},C$4=function(t){return H$4(t)?t:void 0},B$4=function(t,e){return arguments.length<2?C$4(d$1[t]):d$1[t]&&d$1[t][e]},F$4=T$3({}.isPrototypeOf),D$4=B$4("navigator","userAgent")||"",U$4=d$1.process,V$4=d$1.Deno,G$4=U$4&&U$4.versions||V$4&&V$4.version,W$4=G$4&&G$4.v8;W$4&&(s$1=(f$1=W$4.split("."))[0]>0&&f$1[0]<4?1:+(f$1[0]+f$1[1])),!s$1&&D$4&&(!(f$1=D$4.match(/Edge\/(\d+)/))||f$1[1]>=74)&&(f$1=D$4.match(/Chrome\/(\d+)/))&&(s$1=+f$1[1]);var K$4=s$1,Y$4=!!Object.getOwnPropertySymbols&&!v$2((function(){var t=Symbol();return !String(t)||!(Object(t)instanceof Symbol)||!Symbol.sham&&K$4&&K$4<41})),$$4=Y$4&&!Symbol.sham&&"symbol"==typeof Symbol.iterator,X$4=d$1.Object,q$4=$$4?function(t){return "symbol"==typeof t}:function(t){var e=B$4("Symbol");return H$4(e)&&F$4(e.prototype,X$4(t))},J$4=d$1.String,Q$4=d$1.TypeError,Z$4=function(t){if(H$4(t))return t;throw Q$4(function(t){try{return J$4(t)}catch(t){return "Object"}}(t)+" is not a function")},tt$4=d$1.TypeError,et$4=Object.defineProperty,nt$4=function(t,e){try{et$4(d$1,t,{value:e,configurable:!0,writable:!0});}catch(n){d$1[t]=e;}return e},rt$4=d$1["__core-js_shared__"]||nt$4("__core-js_shared__",{}),ot$4=l$1((function(t){(t.exports=function(t,e){return rt$4[t]||(rt$4[t]=void 0!==e?e:{})})("versions",[]).push({version:"3.19.1",mode:"global",copyright:"© 2021 Denis Pushkarev (zloirock.ru)"});})),it$4=d$1.Object,ut$4=T$3({}.hasOwnProperty),ct$4=Object.hasOwn||function(t,e){return ut$4(it$4(R$4(t)),e)},at$4=0,lt$4=Math.random(),ft$4=T$3(1..toString),st$4=function(t){return "Symbol("+(void 0===t?"":t)+")_"+ft$4(++at$4+lt$4,36)},pt$4=ot$4("wks"),dt$4=d$1.Symbol,vt$4=dt$4&&dt$4.for,yt$4=$$4?dt$4:dt$4&&dt$4.withoutSetter||st$4,gt$4=function(t){if(!ct$4(pt$4,t)||!Y$4&&"string"!=typeof pt$4[t]){var e="Symbol."+t;Y$4&&ct$4(dt$4,t)?pt$4[t]=dt$4[t]:pt$4[t]=$$4&&vt$4?vt$4(e):yt$4(e);}return pt$4[t]},ht$4=d$1.TypeError,mt$4=gt$4("toPrimitive"),bt$4=function(t,e){if(!k$4(t)||q$4(t))return t;var n,r,o=null==(n=t[mt$4])?void 0:Z$4(n);if(o){if(void 0===e&&(e="default"),r=h$2(o,t,e),!k$4(r)||q$4(r))return r;throw ht$4("Can't convert object to primitive value")}return void 0===e&&(e="number"),function(t,e){var n,r;if("string"===e&&H$4(n=t.toString)&&!k$4(r=h$2(n,t)))return r;if(H$4(n=t.valueOf)&&!k$4(r=h$2(n,t)))return r;if("string"!==e&&H$4(n=t.toString)&&!k$4(r=h$2(n,t)))return r;throw tt$4("Can't convert object to primitive value")}(t,e)},wt$4=function(t){var e=bt$4(t,"string");return q$4(e)?e:e+""},Ot$4=d$1.document,St$4=k$4(Ot$4)&&k$4(Ot$4.createElement),xt$4=function(t){return St$4?Ot$4.createElement(t):{}},jt$4=!y$3&&!v$2((function(){return 7!=Object.defineProperty(xt$4("div"),"a",{get:function(){return 7}}).a})),Et$4=Object.getOwnPropertyDescriptor,Tt$4={f:y$3?Et$4:function(t,e){if(t=A$4(t),e=wt$4(e),jt$4)try{return Et$4(t,e)}catch(t){}if(ct$4(t,e))return O$4(!h$2(w$3.f,t,e),t[e])}},Pt$4=d$1.String,Nt$4=d$1.TypeError,It$4=function(t){if(k$4(t))return t;throw Nt$4(Pt$4(t)+" is not an object")},_t$4=d$1.TypeError,Mt$4=Object.defineProperty,zt$4={f:y$3?Mt$4:function(t,e,n){if(It$4(t),e=wt$4(e),It$4(n),jt$4)try{return Mt$4(t,e,n)}catch(t){}if("get"in n||"set"in n)throw _t$4("Accessors not supported");return "value"in n&&(t[e]=n.value),t}},Lt$4=y$3?function(t,e,n){return zt$4.f(t,e,O$4(1,n))}:function(t,e,n){return t[e]=n,t},Rt$4=T$3(Function.toString);H$4(rt$4.inspectSource)||(rt$4.inspectSource=function(t){return Rt$4(t)});var At$4,Ht$4,kt$4,Ct$4=rt$4.inspectSource,Bt$4=d$1.WeakMap,Ft$4=H$4(Bt$4)&&/native code/.test(Ct$4(Bt$4)),Dt$4=ot$4("keys"),Ut$4=function(t){return Dt$4[t]||(Dt$4[t]=st$4(t))},Vt$4={},Gt$4=d$1.TypeError,Wt$4=d$1.WeakMap;if(Ft$4||rt$4.state){var Kt$4=rt$4.state||(rt$4.state=new Wt$4),Yt$4=T$3(Kt$4.get),$t$4=T$3(Kt$4.has),Xt$4=T$3(Kt$4.set);At$4=function(t,e){if($t$4(Kt$4,t))throw new Gt$4("Object already initialized");return e.facade=t,Xt$4(Kt$4,t,e),e},Ht$4=function(t){return Yt$4(Kt$4,t)||{}},kt$4=function(t){return $t$4(Kt$4,t)};}else {var qt$4=Ut$4("state");Vt$4[qt$4]=!0,At$4=function(t,e){if(ct$4(t,qt$4))throw new Gt$4("Object already initialized");return e.facade=t,Lt$4(t,qt$4,e),e},Ht$4=function(t){return ct$4(t,qt$4)?t[qt$4]:{}},kt$4=function(t){return ct$4(t,qt$4)};}var Jt$4,Qt$4={set:At$4,get:Ht$4,has:kt$4,enforce:function(t){return kt$4(t)?Ht$4(t):At$4(t,{})},getterFor:function(t){return function(e){var n;if(!k$4(e)||(n=Ht$4(e)).type!==t)throw Gt$4("Incompatible receiver, "+t+" required");return n}}},Zt$4=Function.prototype,te$4=y$3&&Object.getOwnPropertyDescriptor,ee$4=ct$4(Zt$4,"name"),ne$4={EXISTS:ee$4,PROPER:ee$4&&"something"===function(){}.name,CONFIGURABLE:ee$4&&(!y$3||y$3&&te$4(Zt$4,"name").configurable)},re$4=l$1((function(t){var e=ne$4.CONFIGURABLE,n=Qt$4.get,r=Qt$4.enforce,o=String(String).split("String");(t.exports=function(t,n,i,u){var c,a=!!u&&!!u.unsafe,l=!!u&&!!u.enumerable,f=!!u&&!!u.noTargetGet,s=u&&void 0!==u.name?u.name:n;H$4(i)&&("Symbol("===String(s).slice(0,7)&&(s="["+String(s).replace(/^Symbol\(([^)]*)\)/,"$1")+"]"),(!ct$4(i,"name")||e&&i.name!==s)&&Lt$4(i,"name",s),(c=r(i)).source||(c.source=o.join("string"==typeof s?s:""))),t!==d$1?(a?!f&&t[n]&&(l=!0):delete t[n],l?t[n]=i:Lt$4(t,n,i)):l?t[n]=i:nt$4(n,i);})(Function.prototype,"toString",(function(){return H$4(this)&&n(this).source||Ct$4(this)}));})),oe$4=Math.ceil,ie$4=Math.floor,ue$4=function(t){var e=+t;return e!=e||0===e?0:(e>0?ie$4:oe$4)(e)},ce$4=Math.max,ae$4=Math.min,le$4=Math.min,fe$4=function(t){return (e=t.length)>0?le$4(ue$4(e),9007199254740991):0;var e;},se$4=function(t){return function(e,n,r){var o,i=A$4(e),u=fe$4(i),c=function(t,e){var n=ue$4(t);return n<0?ce$4(n+e,0):ae$4(n,e)}(r,u);if(t&&n!=n){for(;u>c;)if((o=i[c++])!=o)return !0}else for(;u>c;c++)if((t||c in i)&&i[c]===n)return t||c||0;return !t&&-1}},pe$4={includes:se$4(!0),indexOf:se$4(!1)},de$4=pe$4.indexOf,ve$4=T$3([].push),ye$4=function(t,e){var n,r=A$4(t),o=0,i=[];for(n in r)!ct$4(Vt$4,n)&&ct$4(r,n)&&ve$4(i,n);for(;e.length>o;)ct$4(r,n=e[o++])&&(~de$4(i,n)||ve$4(i,n));return i},ge$4=["constructor","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","toLocaleString","toString","valueOf"],he$4=ge$4.concat("length","prototype"),me$4={f:Object.getOwnPropertyNames||function(t){return ye$4(t,he$4)}},be$4={f:Object.getOwnPropertySymbols},we$4=T$3([].concat),Oe$4=B$4("Reflect","ownKeys")||function(t){var e=me$4.f(It$4(t)),n=be$4.f;return n?we$4(e,n(t)):e},Se$4=function(t,e){for(var n=Oe$4(e),r=zt$4.f,o=Tt$4.f,i=0;i<n.length;i++){var u=n[i];ct$4(t,u)||r(t,u,o(e,u));}},xe$4=/#|\.prototype\./,je$4=function(t,e){var n=Te$4[Ee$4(t)];return n==Ne$4||n!=Pe$4&&(H$4(e)?v$2(e):!!e)},Ee$4=je$4.normalize=function(t){return String(t).replace(xe$4,".").toLowerCase()},Te$4=je$4.data={},Pe$4=je$4.NATIVE="N",Ne$4=je$4.POLYFILL="P",Ie$4=je$4,_e$4=Tt$4.f,Me$4=function(t,e){var n,r,o,i,u,c=t.target,a=t.global,l=t.stat;if(n=a?d$1:l?d$1[c]||nt$4(c,{}):(d$1[c]||{}).prototype)for(r in e){if(i=e[r],o=t.noTargetGet?(u=_e$4(n,r))&&u.value:n[r],!Ie$4(a?r:c+(l?".":"#")+r,t.forced)&&void 0!==o){if(typeof i==typeof o)continue;Se$4(i,o);}(t.sham||o&&o.sham)&&Lt$4(i,"sham",!0),re$4(n,r,i,t);}},ze$4=Object.keys||function(t){return ye$4(t,ge$4)},Le$4=y$3?Object.defineProperties:function(t,e){It$4(t);for(var n,r=A$4(e),o=ze$4(e),i=o.length,u=0;i>u;)zt$4.f(t,n=o[u++],r[n]);return t},Re$4=B$4("document","documentElement"),Ae$4=Ut$4("IE_PROTO"),He$4=function(){},ke$4=function(t){return "<script>"+t+"<\/script>"},Ce$4=function(t){t.write(ke$4("")),t.close();var e=t.parentWindow.Object;return t=null,e},Be$4=function(){try{Jt$4=new ActiveXObject("htmlfile");}catch(t){}var t,e;Be$4="undefined"!=typeof document?document.domain&&Jt$4?Ce$4(Jt$4):((e=xt$4("iframe")).style.display="none",Re$4.appendChild(e),e.src=String("javascript:"),(t=e.contentWindow.document).open(),t.write(ke$4("document.F=Object")),t.close(),t.F):Ce$4(Jt$4);for(var n=ge$4.length;n--;)delete Be$4.prototype[ge$4[n]];return Be$4()};Vt$4[Ae$4]=!0;var Fe$4=Object.create||function(t,e){var n;return null!==t?(He$4.prototype=It$4(t),n=new He$4,He$4.prototype=null,n[Ae$4]=t):n=Be$4(),void 0===e?n:Le$4(n,e)},De$4=gt$4("unscopables"),Ue$4=Array.prototype;null==Ue$4[De$4]&&zt$4.f(Ue$4,De$4,{configurable:!0,value:Fe$4(null)});var Ve$4,Ge$4=pe$4.includes;function We$4(t){if("bulleted-list"===t)return "ul";if("numbered-list"===t)return "ol";if("list-item"===t)return "li";throw new Error("list type '"+t+"' is invalid")}function Ke$4(t){var n=ms$1.getNodeType(t);return ["bulleted-list","numbered-list"].includes(n)}function Ye$4(t){return function(e,n,o){var i=We$4(t);return jsx(i,null,n)}}Me$4({target:"Array",proto:!0},{includes:function(t){return Ge$4(this,t,arguments.length>1?arguments[1]:void 0)}}),Ve$4="includes",Ue$4[De$4][Ve$4]=!0;var $e$4={type:"bulleted-list",renderElem:Ye$4("bulleted-list")},Xe$4={type:"numbered-list",renderElem:Ye$4("numbered-list")},qe$4={type:"list-item",renderElem:Ye$4("list-item")};function Je$4(t){var e=We$4(t);return function(t,n){return "<"+e+">"+n+"</"+e+">"}}var Qe$4={type:"bulleted-list",elemToHtml:Je$4("bulleted-list")},Ze$4={type:"numbered-list",elemToHtml:Je$4("numbered-list")},tn$4={type:"list-item",elemToHtml:Je$4("list-item")},en$4=function(t,e){return en$4=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(t,e){t.__proto__=e;}||function(t,e){for(var n in e)Object.prototype.hasOwnProperty.call(e,n)&&(t[n]=e[n]);},en$4(t,e)};function nn$4(t,e){if("function"!=typeof e&&null!==e)throw new TypeError("Class extends value "+String(e)+" is not a constructor or null");function n(){this.constructor=t;}en$4(t,e),t.prototype=null===e?Object.create(e):(n.prototype=e.prototype,new n);}function rn$4(t,e){var n="function"==typeof Symbol&&t[Symbol.iterator];if(!n)return t;var r,o,i=n.call(t),u=[];try{for(;(void 0===e||e-- >0)&&!(r=i.next()).done;)u.push(r.value);}catch(t){o={error:t};}finally{try{r&&!r.done&&(n=i.return)&&n.call(i);}finally{if(o)throw o.error}}return u}var on$4={};on$4[gt$4("toStringTag")]="z";var un$4,cn$4,an$4="[object z]"===String(on$4),ln$4=gt$4("toStringTag"),fn$4=d$1.Object,sn$4="Arguments"==I$4(function(){return arguments}()),pn$4=an$4?I$4:function(t){var e,n,r;return void 0===t?"Undefined":null===t?"Null":"string"==typeof(n=function(t,e){try{return t[e]}catch(t){}}(e=fn$4(t),ln$4))?n:sn$4?I$4(e):"Object"==(r=I$4(e))&&H$4(e.callee)?"Arguments":r},dn$4=d$1.String,vn$4=function(){var t=It$4(this),e="";return t.global&&(e+="g"),t.ignoreCase&&(e+="i"),t.multiline&&(e+="m"),t.dotAll&&(e+="s"),t.unicode&&(e+="u"),t.sticky&&(e+="y"),e},yn$4=d$1.RegExp,gn$4={UNSUPPORTED_Y:v$2((function(){var t=yn$4("a","y");return t.lastIndex=2,null!=t.exec("abcd")})),BROKEN_CARET:v$2((function(){var t=yn$4("^r","gy");return t.lastIndex=2,null!=t.exec("str")}))},hn$4=d$1.RegExp,mn$4=v$2((function(){var t=hn$4(".","s");return !(t.dotAll&&t.exec("\n")&&"s"===t.flags)})),bn$4=d$1.RegExp,wn$4=v$2((function(){var t=bn$4("(?<a>b)","g");return "b"!==t.exec("b").groups.a||"bc"!=="b".replace(t,"$<a>c")})),On$4=Qt$4.get,Sn$4=ot$4("native-string-replace",String.prototype.replace),xn$4=RegExp.prototype.exec,jn$4=xn$4,En$4=T$3("".charAt),Tn$4=T$3("".indexOf),Pn$4=T$3("".replace),Nn$4=T$3("".slice),In$4=(cn$4=/b*/g,h$2(xn$4,un$4=/a/,"a"),h$2(xn$4,cn$4,"a"),0!==un$4.lastIndex||0!==cn$4.lastIndex),_n$4=gn$4.UNSUPPORTED_Y||gn$4.BROKEN_CARET,Mn$4=void 0!==/()??/.exec("")[1];(In$4||Mn$4||_n$4||mn$4||wn$4)&&(jn$4=function(t){var e,n,r,o,i,u,c,a=this,l=On$4(a),f=function(t){if("Symbol"===pn$4(t))throw TypeError("Cannot convert a Symbol value to a string");return dn$4(t)}(t),s=l.raw;if(s)return s.lastIndex=a.lastIndex,e=h$2(jn$4,s,f),a.lastIndex=s.lastIndex,e;var p=l.groups,d=_n$4&&a.sticky,v=h$2(vn$4,a),y=a.source,g=0,m=f;if(d&&(v=Pn$4(v,"y",""),-1===Tn$4(v,"g")&&(v+="g"),m=Nn$4(f,a.lastIndex),a.lastIndex>0&&(!a.multiline||a.multiline&&"\n"!==En$4(f,a.lastIndex-1))&&(y="(?: "+y+")",m=" "+m,g++),n=new RegExp("^(?:"+y+")",v)),Mn$4&&(n=new RegExp("^"+y+"$(?!\\s)",v)),In$4&&(r=a.lastIndex),o=h$2(xn$4,d?n:a,m),d?o?(o.input=Nn$4(o.input,g),o[0]=Nn$4(o[0],g),o.index=a.lastIndex,a.lastIndex+=o[0].length):a.lastIndex=0:In$4&&o&&(a.lastIndex=a.global?o.index+o[0].length:r),Mn$4&&o&&o.length>1&&h$2(Sn$4,o[0],n,(function(){for(i=1;i<arguments.length-2;i++)void 0===arguments[i]&&(o[i]=void 0);})),o&&p)for(o.groups=u=Fe$4(null),i=0;i<p.length;i++)u[(c=p[i])[0]]=o[c[1]];return o});Me$4({target:"RegExp",proto:!0,forced:/./.exec!==jn$4},{exec:jn$4});var zn$4=function(){function t(){this.tag="button";}return t.prototype.getListNode=function(t){var n=this.type;return ms$1.getSelectedNodeByType(t,n)},t.prototype.getValue=function(t){return ""},t.prototype.isActive=function(t){return !!this.getListNode(t)},t.prototype.isDisabled=function(t){return null==t.selection||!!rn$4(Editor.nodes(t,{match:function(n){var r=ms$1.getNodeType(n);return "pre"===r||(!!Editor.isVoid(t,n)||"table"===r)},universal:!0}),1)[0]},t.prototype.getMatchListType=function(t){var n=rn$4(Editor.nodes(t,{match:function(t){return Ke$4(t)},universal:!0}),1),r=n[0];if(null==r)return "";var i=rn$4(r,1)[0];return ms$1.getNodeType(i)},t.prototype.exec=function(t,e){var n=this.type,r=this.isActive(t);Transforms.unwrapNodes(t,{match:function(t){return Ke$4(t)},split:!0}),Transforms.setNodes(t,{type:r?"paragraph":"list-item"});var o={type:n,children:[]};r||Transforms.wrapNodes(t,o);var u=this.getMatchListType(t);""!=u&&u!==n&&Transforms.wrapNodes(t,o);},t}(),Ln$4='<svg viewBox="0 0 1024 1024"><path d="M384 64h640v128H384V64z m0 384h640v128H384v-128z m0 384h640v128H384v-128zM0 128a128 128 0 1 1 256 0 128 128 0 0 1-256 0z m0 384a128 128 0 1 1 256 0 128 128 0 0 1-256 0z m0 384a128 128 0 1 1 256 0 128 128 0 0 1-256 0z"></path></svg>',Rn$4='<svg viewBox="0 0 1024 1024"><path d="M384 832h640v128H384z m0-384h640v128H384z m0-384h640v128H384zM192 0v256H128V64H64V0zM128 526.016v50.016h128v64H64v-146.016l128-60V384H64v-64h192v146.016zM256 704v320H64v-64h128v-64H64v-64h128v-64H64v-64z"></path></svg>',An$4=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e.type="bulleted-list",e.title=bh("listModule.unOrderedList"),e.iconSvg=Ln$4,e}return nn$4(e,t),e}(zn$4),Hn$4=function(t){function e(){var e=null!==t&&t.apply(this,arguments)||this;return e.type="numbered-list",e.title=bh("listModule.orderedList"),e.iconSvg=Rn$4,e}return nn$4(e,t),e}(zn$4);var kn$4={renderElems:[$e$4,Xe$4,qe$4],elemsToHtml:[Qe$4,Ze$4,tn$4],menus:[{key:"bulletedList",factory:function(){return new An$4}},{key:"numberedList",factory:function(){return new Hn$4}}],editorPlugin:function(t){var n=t.insertBreak,r=t.deleteBackward,a=t;return a.insertBreak=function(){var t=ms$1.getSelectedNodeByType(a,"list-item");if(null!=t){var r=ms$1.getParentNode(a,t),o=(null==r?void 0:r.children)||[];if(t===o[o.length-1])if(""===Node$1.string(t)){Transforms.removeNodes(a,{match:function(t){return ms$1.checkNodeType(t,"list-item")}});return void Transforms.insertNodes(a,{type:"paragraph",children:[{text:""}]},{mode:"highest"})}n();}else n();},a.deleteBackward=function(t){var e=function(t){var e=rn$4(Editor.nodes(t,{match:function(e){return t.children[0]===e},mode:"highest"}),1),n=e[0];if(null==n)return !1;var r=n[0];return !(!Element$1.isElement(r)||Node$1.string(r)||!Ke$4(r)||(Transforms.unwrapNodes(t,{match:function(t){return Ke$4(t)},split:!0}),Transforms.setNodes(t,{type:"paragraph"}),0))}(a);e||r(t);},a}};

  mh("en",{tableModule:{deleteCol:"Delete column",deleteRow:"Delete row",deleteTable:"Delete table",widthAuto:"Width auto",insertCol:"Insert column",insertRow:"Insert row",insertTable:"Insert table",header:"Header"}}),mh("zh-CN",{tableModule:{deleteCol:"删除列",deleteRow:"删除行",deleteTable:"删除表格",widthAuto:"宽度自适应",insertCol:"插入列",insertRow:"插入行",insertTable:"插入表格",header:"表头"}});var E$3="undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:{};function N$3(t){var e={exports:{}};return t(e,e.exports),e.exports}var O$3,M$3,V$3=function(t){return t&&t.Math==Math&&t},z$3=V$3("object"==typeof globalThis&&globalThis)||V$3("object"==typeof window&&window)||V$3("object"==typeof self&&self)||V$3("object"==typeof E$3&&E$3)||function(){return this}()||Function("return this")(),L$3=function(t){try{return !!t()}catch(t){return !0}},P$3=!L$3((function(){return 7!=Object.defineProperty({},1,{get:function(){return 7}})[1]})),j$3=Function.prototype.call,C$3=j$3.bind?j$3.bind(j$3):function(){return j$3.apply(j$3,arguments)},H$3={}.propertyIsEnumerable,A$3=Object.getOwnPropertyDescriptor,I$3=A$3&&!H$3.call({1:2},1)?function(t){var e=A$3(this,t);return !!e&&e.enumerable}:H$3,R$3={f:I$3},D$3=function(t,e){return {enumerable:!(1&t),configurable:!(2&t),writable:!(4&t),value:e}},k$3=Function.prototype,B$3=k$3.bind,F$3=k$3.call,_$3=B$3&&B$3.bind(F$3),W$3=B$3?function(t){return t&&_$3(F$3,t)}:function(t){return t&&function(){return F$3.apply(t,arguments)}},G$3=W$3({}.toString),U$3=W$3("".slice),$$3=function(t){return U$3(G$3(t),8,-1)},q$3=z$3.Object,K$3=W$3("".split),Y$3=L$3((function(){return !q$3("z").propertyIsEnumerable(0)}))?function(t){return "String"==$$3(t)?K$3(t,""):q$3(t)}:q$3,J$3=z$3.TypeError,X$3=function(t){if(null==t)throw J$3("Can't call method on "+t);return t},Q$3=function(t){return Y$3(X$3(t))},Z$3=function(t){return "function"==typeof t},tt$3=function(t){return "object"==typeof t?null!==t:Z$3(t)},et$3=function(t){return Z$3(t)?t:void 0},nt$3=function(t,e){return arguments.length<2?et$3(z$3[t]):z$3[t]&&z$3[t][e]},rt$3=W$3({}.isPrototypeOf),ot$3=nt$3("navigator","userAgent")||"",it$3=z$3.process,at$3=z$3.Deno,lt$3=it$3&&it$3.versions||at$3&&at$3.version,ct$3=lt$3&&lt$3.v8;ct$3&&(M$3=(O$3=ct$3.split("."))[0]>0&&O$3[0]<4?1:+(O$3[0]+O$3[1])),!M$3&&ot$3&&(!(O$3=ot$3.match(/Edge\/(\d+)/))||O$3[1]>=74)&&(O$3=ot$3.match(/Chrome\/(\d+)/))&&(M$3=+O$3[1]);var ut$3=M$3,st$3=!!Object.getOwnPropertySymbols&&!L$3((function(){var t=Symbol();return !String(t)||!(Object(t)instanceof Symbol)||!Symbol.sham&&ut$3&&ut$3<41})),ft$3=st$3&&!Symbol.sham&&"symbol"==typeof Symbol.iterator,dt$3=z$3.Object,ht$3=ft$3?function(t){return "symbol"==typeof t}:function(t){var e=nt$3("Symbol");return Z$3(e)&&rt$3(e.prototype,dt$3(t))},pt$3=z$3.String,vt$3=z$3.TypeError,yt$3=function(t){if(Z$3(t))return t;throw vt$3(function(t){try{return pt$3(t)}catch(t){return "Object"}}(t)+" is not a function")},gt$3=z$3.TypeError,bt$3=Object.defineProperty,mt$3=function(t,e){try{bt$3(z$3,t,{value:e,configurable:!0,writable:!0});}catch(n){z$3[t]=e;}return e},wt$3=z$3["__core-js_shared__"]||mt$3("__core-js_shared__",{}),St$3=N$3((function(t){(t.exports=function(t,e){return wt$3[t]||(wt$3[t]=void 0!==e?e:{})})("versions",[]).push({version:"3.19.1",mode:"global",copyright:"© 2021 Denis Pushkarev (zloirock.ru)"});})),xt$3=z$3.Object,Tt$3=function(t){return xt$3(X$3(t))},Et$3=W$3({}.hasOwnProperty),Nt$3=Object.hasOwn||function(t,e){return Et$3(Tt$3(t),e)},Ot$3=0,Mt$3=Math.random(),Vt$3=W$3(1..toString),zt$3=function(t){return "Symbol("+(void 0===t?"":t)+")_"+Vt$3(++Ot$3+Mt$3,36)},Lt$3=St$3("wks"),Pt$3=z$3.Symbol,jt$3=Pt$3&&Pt$3.for,Ct$3=ft$3?Pt$3:Pt$3&&Pt$3.withoutSetter||zt$3,Ht$3=function(t){if(!Nt$3(Lt$3,t)||!st$3&&"string"!=typeof Lt$3[t]){var e="Symbol."+t;st$3&&Nt$3(Pt$3,t)?Lt$3[t]=Pt$3[t]:Lt$3[t]=ft$3&&jt$3?jt$3(e):Ct$3(e);}return Lt$3[t]},At$3=z$3.TypeError,It$3=Ht$3("toPrimitive"),Rt$3=function(t,e){if(!tt$3(t)||ht$3(t))return t;var n,r,o=null==(n=t[It$3])?void 0:yt$3(n);if(o){if(void 0===e&&(e="default"),r=C$3(o,t,e),!tt$3(r)||ht$3(r))return r;throw At$3("Can't convert object to primitive value")}return void 0===e&&(e="number"),function(t,e){var n,r;if("string"===e&&Z$3(n=t.toString)&&!tt$3(r=C$3(n,t)))return r;if(Z$3(n=t.valueOf)&&!tt$3(r=C$3(n,t)))return r;if("string"!==e&&Z$3(n=t.toString)&&!tt$3(r=C$3(n,t)))return r;throw gt$3("Can't convert object to primitive value")}(t,e)},Dt$3=function(t){var e=Rt$3(t,"string");return ht$3(e)?e:e+""},kt$3=z$3.document,Bt$3=tt$3(kt$3)&&tt$3(kt$3.createElement),Ft$3=function(t){return Bt$3?kt$3.createElement(t):{}},_t$3=!P$3&&!L$3((function(){return 7!=Object.defineProperty(Ft$3("div"),"a",{get:function(){return 7}}).a})),Wt$3=Object.getOwnPropertyDescriptor,Gt$3={f:P$3?Wt$3:function(t,e){if(t=Q$3(t),e=Dt$3(e),_t$3)try{return Wt$3(t,e)}catch(t){}if(Nt$3(t,e))return D$3(!C$3(R$3.f,t,e),t[e])}},Ut$3=z$3.String,$t$3=z$3.TypeError,qt$3=function(t){if(tt$3(t))return t;throw $t$3(Ut$3(t)+" is not an object")},Kt$3=z$3.TypeError,Yt$3=Object.defineProperty,Jt$3={f:P$3?Yt$3:function(t,e,n){if(qt$3(t),e=Dt$3(e),qt$3(n),_t$3)try{return Yt$3(t,e,n)}catch(t){}if("get"in n||"set"in n)throw Kt$3("Accessors not supported");return "value"in n&&(t[e]=n.value),t}},Xt$3=P$3?function(t,e,n){return Jt$3.f(t,e,D$3(1,n))}:function(t,e,n){return t[e]=n,t},Qt$3=W$3(Function.toString);Z$3(wt$3.inspectSource)||(wt$3.inspectSource=function(t){return Qt$3(t)});var Zt$3,te$3,ee$3,ne$3=wt$3.inspectSource,re$3=z$3.WeakMap,oe$3=Z$3(re$3)&&/native code/.test(ne$3(re$3)),ie$3=St$3("keys"),ae$3=function(t){return ie$3[t]||(ie$3[t]=zt$3(t))},le$3={},ce$3=z$3.TypeError,ue$3=z$3.WeakMap;if(oe$3||wt$3.state){var se$3=wt$3.state||(wt$3.state=new ue$3),fe$3=W$3(se$3.get),de$3=W$3(se$3.has),he$3=W$3(se$3.set);Zt$3=function(t,e){if(de$3(se$3,t))throw new ce$3("Object already initialized");return e.facade=t,he$3(se$3,t,e),e},te$3=function(t){return fe$3(se$3,t)||{}},ee$3=function(t){return de$3(se$3,t)};}else {var pe$3=ae$3("state");le$3[pe$3]=!0,Zt$3=function(t,e){if(Nt$3(t,pe$3))throw new ce$3("Object already initialized");return e.facade=t,Xt$3(t,pe$3,e),e},te$3=function(t){return Nt$3(t,pe$3)?t[pe$3]:{}},ee$3=function(t){return Nt$3(t,pe$3)};}var ve$3={set:Zt$3,get:te$3,has:ee$3,enforce:function(t){return ee$3(t)?te$3(t):Zt$3(t,{})},getterFor:function(t){return function(e){var n;if(!tt$3(e)||(n=te$3(e)).type!==t)throw ce$3("Incompatible receiver, "+t+" required");return n}}},ye$3=Function.prototype,ge$3=P$3&&Object.getOwnPropertyDescriptor,be$3=Nt$3(ye$3,"name"),me$3={EXISTS:be$3,PROPER:be$3&&"something"===function(){}.name,CONFIGURABLE:be$3&&(!P$3||P$3&&ge$3(ye$3,"name").configurable)},we$3=N$3((function(t){var e=me$3.CONFIGURABLE,n=ve$3.get,r=ve$3.enforce,o=String(String).split("String");(t.exports=function(t,n,i,a){var l,c=!!a&&!!a.unsafe,u=!!a&&!!a.enumerable,s=!!a&&!!a.noTargetGet,f=a&&void 0!==a.name?a.name:n;Z$3(i)&&("Symbol("===String(f).slice(0,7)&&(f="["+String(f).replace(/^Symbol\(([^)]*)\)/,"$1")+"]"),(!Nt$3(i,"name")||e&&i.name!==f)&&Xt$3(i,"name",f),(l=r(i)).source||(l.source=o.join("string"==typeof f?f:""))),t!==z$3?(c?!s&&t[n]&&(u=!0):delete t[n],u?t[n]=i:Xt$3(t,n,i)):u?t[n]=i:mt$3(n,i);})(Function.prototype,"toString",(function(){return Z$3(this)&&n(this).source||ne$3(this)}));})),Se$3=Math.ceil,xe$3=Math.floor,Te$3=function(t){var e=+t;return e!=e||0===e?0:(e>0?xe$3:Se$3)(e)},Ee$3=Math.max,Ne$3=Math.min,Oe$3=function(t,e){var n=Te$3(t);return n<0?Ee$3(n+e,0):Ne$3(n,e)},Me$3=Math.min,Ve$3=function(t){return t>0?Me$3(Te$3(t),9007199254740991):0},ze$3=function(t){return Ve$3(t.length)},Le$3=function(t){return function(e,n,r){var o,i=Q$3(e),a=ze$3(i),l=Oe$3(r,a);if(t&&n!=n){for(;a>l;)if((o=i[l++])!=o)return !0}else for(;a>l;l++)if((t||l in i)&&i[l]===n)return t||l||0;return !t&&-1}},Pe$3={includes:Le$3(!0),indexOf:Le$3(!1)}.indexOf,je$3=W$3([].push),Ce$3=function(t,e){var n,r=Q$3(t),o=0,i=[];for(n in r)!Nt$3(le$3,n)&&Nt$3(r,n)&&je$3(i,n);for(;e.length>o;)Nt$3(r,n=e[o++])&&(~Pe$3(i,n)||je$3(i,n));return i},He$3=["constructor","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","toLocaleString","toString","valueOf"],Ae$3=He$3.concat("length","prototype"),Ie$3={f:Object.getOwnPropertyNames||function(t){return Ce$3(t,Ae$3)}},Re$3={f:Object.getOwnPropertySymbols},De$3=W$3([].concat),ke$3=nt$3("Reflect","ownKeys")||function(t){var e=Ie$3.f(qt$3(t)),n=Re$3.f;return n?De$3(e,n(t)):e},Be$3=function(t,e){for(var n=ke$3(e),r=Jt$3.f,o=Gt$3.f,i=0;i<n.length;i++){var a=n[i];Nt$3(t,a)||r(t,a,o(e,a));}},Fe$3=/#|\.prototype\./,_e$3=function(t,e){var n=Ge$3[We$3(t)];return n==$e$3||n!=Ue$3&&(Z$3(e)?L$3(e):!!e)},We$3=_e$3.normalize=function(t){return String(t).replace(Fe$3,".").toLowerCase()},Ge$3=_e$3.data={},Ue$3=_e$3.NATIVE="N",$e$3=_e$3.POLYFILL="P",qe$3=_e$3,Ke$3=Gt$3.f,Ye$3=function(t,e){var n,r,o,i,a,l=t.target,c=t.global,u=t.stat;if(n=c?z$3:u?z$3[l]||mt$3(l,{}):(z$3[l]||{}).prototype)for(r in e){if(i=e[r],o=t.noTargetGet?(a=Ke$3(n,r))&&a.value:n[r],!qe$3(c?r:l+(u?".":"#")+r,t.forced)&&void 0!==o){if(typeof i==typeof o)continue;Be$3(i,o);}(t.sham||o&&o.sham)&&Xt$3(i,"sham",!0),we$3(n,r,i,t);}},Je$3={};Je$3[Ht$3("toStringTag")]="z";var Xe$3,Qe$3="[object z]"===String(Je$3),Ze$3=Ht$3("toStringTag"),tn$3=z$3.Object,en$3="Arguments"==$$3(function(){return arguments}()),nn$3=Qe$3?$$3:function(t){var e,n,r;return void 0===t?"Undefined":null===t?"Null":"string"==typeof(n=function(t,e){try{return t[e]}catch(t){}}(e=tn$3(t),Ze$3))?n:en$3?$$3(e):"Object"==(r=$$3(e))&&Z$3(e.callee)?"Arguments":r},rn$3=z$3.String,on$3=function(t){if("Symbol"===nn$3(t))throw TypeError("Cannot convert a Symbol value to a string");return rn$3(t)},an$3=/"/g,ln$3=W$3("".replace);Ye$3({target:"String",proto:!0,forced:(Xe$3="anchor",L$3((function(){var t=""[Xe$3]('"');return t!==t.toLowerCase()||t.split('"').length>3})))},{anchor:function(t){return e="a",n="name",r=t,o=on$3(X$3(this)),i="<"+e,""!==n&&(i+=" "+n+'="'+ln$3(on$3(r),an$3,"&quot;")+'"'),i+">"+o+"</"+e+">";var e,n,r,o,i;}});var cn$3,un$3=Ht$3("match"),sn$3=z$3.TypeError,fn$3=function(t){if(function(t){var e;return tt$3(t)&&(void 0!==(e=t[un$3])?!!e:"RegExp"==$$3(t))}(t))throw sn$3("The method doesn't accept regular expressions");return t},dn$3=Ht$3("match"),hn$3=Gt$3.f,pn$3=W$3("".startsWith),vn$3=W$3("".slice),yn$3=Math.min,gn$3=function(t){var e=/./;try{"/./"[t](e);}catch(n){try{return e[dn$3]=!1,"/./"[t](e)}catch(t){}}return !1}("startsWith");Ye$3({target:"String",proto:!0,forced:!!(gn$3||(cn$3=hn$3(String.prototype,"startsWith"),!cn$3||cn$3.writable))&&!gn$3},{startsWith:function(t){var e=on$3(X$3(this));fn$3(t);var n=Ve$3(yn$3(arguments.length>1?arguments[1]:void 0,e.length)),r=on$3(t);return pn$3?pn$3(e,r,n):vn$3(e,n,n+r.length)===r}});var bn$3=Qe$3?{}.toString:function(){return "[object "+nn$3(this)+"]"};Qe$3||we$3(Object.prototype,"toString",bn$3,{unsafe:!0});var mn$3={CSSRuleList:0,CSSStyleDeclaration:0,CSSValueList:0,ClientRectList:0,DOMRectList:0,DOMStringList:0,DOMTokenList:1,DataTransferItemList:0,FileList:0,HTMLAllCollection:0,HTMLCollection:0,HTMLFormElement:0,HTMLSelectElement:0,MediaList:0,MimeTypeArray:0,NamedNodeMap:0,NodeList:1,PaintRequestList:0,Plugin:0,PluginArray:0,SVGLengthList:0,SVGNumberList:0,SVGPathSegList:0,SVGPointList:0,SVGStringList:0,SVGTransformList:0,SourceBufferList:0,StyleSheetList:0,TextTrackCueList:0,TextTrackList:0,TouchList:0},wn$3=Ft$3("span").classList,Sn$3=wn$3&&wn$3.constructor&&wn$3.constructor.prototype,xn$3=Sn$3===Object.prototype?void 0:Sn$3,Tn$3=W$3(W$3.bind),En$3=Array.isArray||function(t){return "Array"==$$3(t)},Nn$3=function(){},On$3=[],Mn$3=nt$3("Reflect","construct"),Vn$3=/^\s*(?:class|function)\b/,zn$3=W$3(Vn$3.exec),Ln$3=!Vn$3.exec(Nn$3),Pn$3=function(t){if(!Z$3(t))return !1;try{return Mn$3(Nn$3,On$3,t),!0}catch(t){return !1}},jn$3=!Mn$3||L$3((function(){var t;return Pn$3(Pn$3.call)||!Pn$3(Object)||!Pn$3((function(){t=!0;}))||t}))?function(t){if(!Z$3(t))return !1;switch(nn$3(t)){case"AsyncFunction":case"GeneratorFunction":case"AsyncGeneratorFunction":return !1}return Ln$3||!!zn$3(Vn$3,ne$3(t))}:Pn$3,Cn$3=Ht$3("species"),Hn$3=z$3.Array,An$3=function(t,e){return new(function(t){var e;return En$3(t)&&(e=t.constructor,(jn$3(e)&&(e===Hn$3||En$3(e.prototype))||tt$3(e)&&null===(e=e[Cn$3]))&&(e=void 0)),void 0===e?Hn$3:e}(t))(0===e?0:e)},In$3=W$3([].push),Rn$3=function(t){var e=1==t,n=2==t,r=3==t,o=4==t,i=6==t,a=7==t,l=5==t||i;return function(c,u,s,f){for(var d,h,p=Tt$3(c),v=Y$3(p),y=function(t,e){return yt$3(t),void 0===e?t:Tn$3?Tn$3(t,e):function(){return t.apply(e,arguments)}}(u,s),g=ze$3(v),b=0,m=f||An$3,w=e?m(c,g):n||a?m(c,0):void 0;g>b;b++)if((l||b in v)&&(h=y(d=v[b],b,p),t))if(e)w[b]=h;else if(h)switch(t){case 3:return !0;case 5:return d;case 6:return b;case 2:In$3(w,d);}else switch(t){case 4:return !1;case 7:In$3(w,d);}return i?-1:r||o?o:w}},Dn$3={forEach:Rn$3(0),map:Rn$3(1),filter:Rn$3(2),some:Rn$3(3),every:Rn$3(4),find:Rn$3(5),findIndex:Rn$3(6),filterReject:Rn$3(7)},kn$3=function(t,e){var n=[][t];return !!n&&L$3((function(){n.call(null,e||function(){throw 1},1);}))},Bn$3=Dn$3.forEach,Fn$3=kn$3("forEach")?[].forEach:function(t){return Bn$3(this,t,arguments.length>1?arguments[1]:void 0)},_n$3=function(t){if(t&&t.forEach!==Fn$3)try{Xt$3(t,"forEach",Fn$3);}catch(e){t.forEach=Fn$3;}};for(var Wn$3 in mn$3)mn$3[Wn$3]&&_n$3(z$3[Wn$3]&&z$3[Wn$3].prototype);_n$3(xn$3);var Gn$3=function(t,e,n){var r=Dt$3(e);r in t?Jt$3.f(t,r,D$3(0,n)):t[r]=n;},Un$3=Ht$3("species"),$n$3=function(t){return ut$3>=51||!L$3((function(){var e=[];return (e.constructor={})[Un$3]=function(){return {foo:1}},1!==e[t](Boolean).foo}))},qn$3=Ht$3("isConcatSpreadable"),Kn$3=z$3.TypeError,Yn$3=ut$3>=51||!L$3((function(){var t=[];return t[qn$3]=!1,t.concat()[0]!==t})),Jn$3=$n$3("concat"),Xn$3=function(t){if(!tt$3(t))return !1;var e=t[qn$3];return void 0!==e?!!e:En$3(t)};Ye$3({target:"Array",proto:!0,forced:!Yn$3||!Jn$3},{concat:function(t){var e,n,r,o,i,a=Tt$3(this),l=An$3(a,0),c=0;for(e=-1,r=arguments.length;e<r;e++)if(Xn$3(i=-1===e?a:arguments[e])){if(c+(o=ze$3(i))>9007199254740991)throw Kn$3("Maximum allowed index exceeded");for(n=0;n<o;n++,c++)n in i&&Gn$3(l,c,i[n]);}else {if(c>=9007199254740991)throw Kn$3("Maximum allowed index exceeded");Gn$3(l,c++,i);}return l.length=c,l}});var Qn$3,Zn$3=function(){var t=qt$3(this),e="";return t.global&&(e+="g"),t.ignoreCase&&(e+="i"),t.multiline&&(e+="m"),t.dotAll&&(e+="s"),t.unicode&&(e+="u"),t.sticky&&(e+="y"),e},tr$2=z$3.RegExp,er$2={UNSUPPORTED_Y:L$3((function(){var t=tr$2("a","y");return t.lastIndex=2,null!=t.exec("abcd")})),BROKEN_CARET:L$3((function(){var t=tr$2("^r","gy");return t.lastIndex=2,null!=t.exec("str")}))},nr$2=Object.keys||function(t){return Ce$3(t,He$3)},rr$2=P$3?Object.defineProperties:function(t,e){qt$3(t);for(var n,r=Q$3(e),o=nr$2(e),i=o.length,a=0;i>a;)Jt$3.f(t,n=o[a++],r[n]);return t},or$2=nt$3("document","documentElement"),ir$2=ae$3("IE_PROTO"),ar$2=function(){},lr$2=function(t){return "<script>"+t+"<\/script>"},cr$2=function(t){t.write(lr$2("")),t.close();var e=t.parentWindow.Object;return t=null,e},ur$2=function(){try{Qn$3=new ActiveXObject("htmlfile");}catch(t){}var t,e;ur$2="undefined"!=typeof document?document.domain&&Qn$3?cr$2(Qn$3):((e=Ft$3("iframe")).style.display="none",or$2.appendChild(e),e.src=String("javascript:"),(t=e.contentWindow.document).open(),t.write(lr$2("document.F=Object")),t.close(),t.F):cr$2(Qn$3);for(var n=He$3.length;n--;)delete ur$2.prototype[He$3[n]];return ur$2()};le$3[ir$2]=!0;var sr$2,fr$2,dr$2=Object.create||function(t,e){var n;return null!==t?(ar$2.prototype=qt$3(t),n=new ar$2,ar$2.prototype=null,n[ir$2]=t):n=ur$2(),void 0===e?n:rr$2(n,e)},hr$2=z$3.RegExp,pr$2=L$3((function(){var t=hr$2(".","s");return !(t.dotAll&&t.exec("\n")&&"s"===t.flags)})),vr$2=z$3.RegExp,yr$2=L$3((function(){var t=vr$2("(?<a>b)","g");return "b"!==t.exec("b").groups.a||"bc"!=="b".replace(t,"$<a>c")})),gr$2=ve$3.get,br$2=St$3("native-string-replace",String.prototype.replace),mr$2=RegExp.prototype.exec,wr$2=mr$2,Sr$2=W$3("".charAt),xr$2=W$3("".indexOf),Tr$2=W$3("".replace),Er$2=W$3("".slice),Nr$2=(fr$2=/b*/g,C$3(mr$2,sr$2=/a/,"a"),C$3(mr$2,fr$2,"a"),0!==sr$2.lastIndex||0!==fr$2.lastIndex),Or$2=er$2.UNSUPPORTED_Y||er$2.BROKEN_CARET,Mr$2=void 0!==/()??/.exec("")[1];(Nr$2||Mr$2||Or$2||pr$2||yr$2)&&(wr$2=function(t){var e,n,r,o,i,a,l,c=this,u=gr$2(c),s=on$3(t),f=u.raw;if(f)return f.lastIndex=c.lastIndex,e=C$3(wr$2,f,s),c.lastIndex=f.lastIndex,e;var d=u.groups,h=Or$2&&c.sticky,p=C$3(Zn$3,c),v=c.source,y=0,g=s;if(h&&(p=Tr$2(p,"y",""),-1===xr$2(p,"g")&&(p+="g"),g=Er$2(s,c.lastIndex),c.lastIndex>0&&(!c.multiline||c.multiline&&"\n"!==Sr$2(s,c.lastIndex-1))&&(v="(?: "+v+")",g=" "+g,y++),n=new RegExp("^(?:"+v+")",p)),Mr$2&&(n=new RegExp("^"+v+"$(?!\\s)",p)),Nr$2&&(r=c.lastIndex),o=C$3(mr$2,h?n:c,g),h?o?(o.input=Er$2(o.input,y),o[0]=Er$2(o[0],y),o.index=c.lastIndex,c.lastIndex+=o[0].length):c.lastIndex=0:Nr$2&&o&&(c.lastIndex=c.global?o.index+o[0].length:r),Mr$2&&o&&o.length>1&&C$3(br$2,o[0],n,(function(){for(i=1;i<arguments.length-2;i++)void 0===arguments[i]&&(o[i]=void 0);})),o&&d)for(o.groups=a=dr$2(null),i=0;i<d.length;i++)a[(l=d[i])[0]]=o[l[1]];return o});
  /*! *****************************************************************************
  Copyright (c) Microsoft Corporation.

  Permission to use, copy, modify, and/or distribute this software for any
  purpose with or without fee is hereby granted.

  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
  REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
  AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
  INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
  LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
  OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
  PERFORMANCE OF THIS SOFTWARE.
  ***************************************************************************** */
  function Vr$2(t,e){var n="function"==typeof Symbol&&t[Symbol.iterator];if(!n)return t;var r,o,i=n.call(t),a=[];try{for(;(void 0===e||e-- >0)&&!(r=i.next()).done;)a.push(r.value);}catch(t){o={error:t};}finally{try{r&&!r.done&&(n=i.return)&&n.call(i);}finally{if(o)throw o.error}}return a}function zr$2(t){var n=t.selection;if(null==n)return !1;var o=Vr$2(Editor.nodes(t,{match:function(t){return ms$1.checkNodeType(t,"table-cell")}}),1)[0];if(o){var i=Vr$2(o,2)[1],l=Editor.start(t,i);if(Point.equals(n.anchor,l))return !0}return !1}Ye$3({target:"RegExp",proto:!0,forced:/./.exec!==wr$2},{exec:wr$2});var Lr$2=W$3([].join),Pr$2=Y$3!=Object,jr$2=kn$3("join",",");Ye$3({target:"Array",proto:!0,forced:Pr$2||!jr$2},{join:function(t){return Lr$2(Q$3(this),void 0===t?",":t)}});var Cr$2={type:"table",renderElem:function(t,e,n){var r=t,o=r.withHeader,i=void 0!==o&&o,a=r.fullWidth,l=void 0!==a&&a,c=[];return i&&c.push("with-header"),l&&c.push("full-width"),jsx("table",{className:c.join(" ")},jsx("tbody",null,e))}},Hr$2={type:"table-row",renderElem:function(t,e,n){return jsx("tr",null,e)}},Ar$2={type:"table-cell",renderElem:function(t,e,n){var r=t,o=r.colSpan,i=void 0===o?1:o,a=r.rowSpan;return jsx("td",{colSpan:i,rowSpan:void 0===a?1:a},e)}},Ir$2=Ht$3("unscopables"),Rr$2=Array.prototype;null==Rr$2[Ir$2]&&Jt$3.f(Rr$2,Ir$2,{configurable:!0,value:dr$2(null)});var Dr$2,kr$2=Dn$3.findIndex,Br$2=!0;"findIndex"in[]&&Array(1).findIndex((function(){Br$2=!1;})),Ye$3({target:"Array",proto:!0,forced:Br$2},{findIndex:function(t){return kr$2(this,t,arguments.length>1?arguments[1]:void 0)}}),Dr$2="findIndex",Rr$2[Ir$2][Dr$2]=!0;var Fr$2={type:"table",elemToHtml:function(t,e){var n=t.fullWidth,r="";return void 0!==n&&n&&(r+="width: 100%;"),'<table style="'+r+'"><tbody>'+e+"</tbody></table>"}},_r$2={type:"table-row",elemToHtml:function(t,e){return "<tr>"+e+"</tr>"}},Wr$2={type:"table-cell",elemToHtml:function(t,n){var r=t,o=r.colSpan,i=void 0===o?1:o,a=r.rowSpan,l=void 0===a?1:a,c="td",u=ms$1.getParentNode(null,t);if(null==u)throw new Error("Cannot get table row node by cell node "+JSON.stringify(t));var s=ms$1.getParentNode(null,u);if(null==s)throw new Error("Cannot get table node by cell node "+JSON.stringify(t));return s.withHeader&&0===s.children.findIndex((function(t){return t===u}))&&(c="th"),"<"+c+' colSpan="'+i+'" rowSpan="'+l+'">'+n+"</"+c+">"}},Gr$2=me$3.PROPER,Ur$2=RegExp.prototype,$r$2=Ur$2.toString,qr$2=W$3(Zn$3),Kr$2=L$3((function(){return "/a/b"!=$r$2.call({source:"a",flags:"b"})})),Yr$2=Gr$2&&"toString"!=$r$2.name;(Kr$2||Yr$2)&&we$3(RegExp.prototype,"toString",(function(){var t=qt$3(this),e=on$3(t.source),n=t.flags;return "/"+e+"/"+on$3(void 0===n&&rt$3(Ur$2,t)&&!("flags"in Ur$2)?qr$2(t):n)}),{unsafe:!0}),$$6.fn.append=append,$$6.fn.on=on$7,$$6.fn.focus=focus,$$6.fn.attr=attr,$$6.fn.val=val,$$6.fn.html=html,$$6.fn.dataset=dataset,$$6.fn.addClass=addClass,$$6.fn.removeClass=removeClass,$$6.fn.children=children,$$6.fn.each=each;var Jr$2=function(){function t(){this.title=bh("tableModule.insertTable"),this.iconSvg='<svg viewBox="0 0 1024 1024"><path d="M0 64v896h1024V64H0z m384 576v-192h256v192h-256z m256 64v192h-256v-192h256z m0-512v192h-256V192h256zM320 192v192H64V192h256z m-256 256h256v192H64v-192z m640 0h256v192h-256v-192z m0-64V192h256v192h-256zM64 704h256v192H64v-192z m640 192v-192h256v192h-256z"></path></svg>',this.tag="button",this.showDropPanel=!0,this.$content=null;}return t.prototype.getValue=function(t){return ""},t.prototype.isActive=function(t){return !1},t.prototype.exec=function(t,e){},t.prototype.isDisabled=function(t){var n=t.selection;return null==n||(!Range.isCollapsed(n)||null!=Vr$2(Editor.nodes(t,{match:function(t){return ms$1.checkNodeType(t,"table")},universal:!0}),1)[0])},t.prototype.getPanelContentElem=function(t){var e=this;if(this.$content)return this.$content;for(var n=$$6('<div class="w-e-panel-content-table"></div>'),r=$$6("<table></table>"),o=0;o<10;o++){for(var i=$$6("<tr></tr>"),a=0;a<10;a++){var l=$$6("<td></td>");l.attr("data-x",a.toString()),l.attr("data-y",o.toString()),i.append(l),l.on("mouseenter",(function(t){var e=t.target;if(null!=e){var n=$$6(e).dataset(),o=n.x,i=n.y;r.children().each((function(t){$$6(t).children().each((function(t){var e=$$6(t),n=e.dataset(),r=n.x,a=n.y;r<=o&&a<=i?e.addClass("active"):e.removeClass("active");}));}));}})),l.on("mousedown",(function(n){n.preventDefault();var r=n.target;if(null!=r){var o=$$6(r).dataset(),i=o.x,a=o.y;e.insertTable(t,a+1,i+1);}}));}r.append(i);}return n.append(r),this.$content=n,n},t.prototype.insertTable=function(t,n,r){var i=parseInt(n,10),a=parseInt(r,10);if(i&&a&&!(i<=0||a<=0)){var l=ms$1.getSelectedNodeByType(t,"paragraph");l&&""===Node$1.string(l)&&Transforms.removeNodes(t,{mode:"highest"});var u=function(t,e){for(var n=[],r=0;r<t;r++){for(var o=[],i=0;i<e;i++)o.push({type:"table-cell",children:[{text:""}]});n.push({type:"table-row",children:o});}return {type:"table",withHeader:!0,children:n}}(i,a);Transforms.insertNodes(t,u,{mode:"highest"});}},t}(),Xr$2=function(){function t(){this.title=bh("tableModule.deleteTable"),this.iconSvg='<svg viewBox="0 0 1024 1024"><path d="M826.8032 356.5312c-19.328 0-36.3776 15.6928-36.3776 35.0464v524.2624c0 19.328-16 34.56-35.328 34.56H264.9344c-19.328 0-35.5072-15.3088-35.5072-34.56V390.0416c0-19.328-14.1568-35.0464-33.5104-35.0464s-33.5104 15.6928-33.5104 35.0464V915.712c0 57.9328 44.6208 108.288 102.528 108.288H755.2c57.9328 0 108.0832-50.4576 108.0832-108.288V391.4752c-0.1024-19.2512-17.1264-34.944-36.48-34.944z" p-id="9577"></path><path d="M437.1712 775.7568V390.6048c0-19.328-14.1568-35.0464-33.5104-35.0464s-33.5104 15.616-33.5104 35.0464v385.152c0 19.328 14.1568 35.0464 33.5104 35.0464s33.5104-15.7184 33.5104-35.0464zM649.7024 775.7568V390.6048c0-19.328-17.0496-35.0464-36.3776-35.0464s-36.3776 15.616-36.3776 35.0464v385.152c0 19.328 17.0496 35.0464 36.3776 35.0464s36.3776-15.7184 36.3776-35.0464zM965.0432 217.0368h-174.6176V145.5104c0-57.9328-47.2064-101.76-104.6528-101.76h-350.976c-57.8304 0-105.3952 43.8528-105.3952 101.76v71.5264H54.784c-19.4304 0-35.0464 14.1568-35.0464 33.5104 0 19.328 15.616 33.5104 35.0464 33.5104h910.3616c19.328 0 35.0464-14.1568 35.0464-33.5104 0-19.3536-15.6928-33.5104-35.1488-33.5104z m-247.3728 0H297.3952V145.5104c0-19.328 18.2016-34.7648 37.4272-34.7648h350.976c19.1488 0 31.872 15.1296 31.872 34.7648v71.5264z"></path></svg>',this.tag="button";}return t.prototype.getValue=function(t){return ""},t.prototype.isActive=function(t){return !1},t.prototype.isDisabled=function(t){return null==t.selection||null==ms$1.getSelectedNodeByType(t,"table")},t.prototype.exec=function(t,e){this.isDisabled(t)||Transforms.removeNodes(t,{mode:"highest"});},t}(),Qr$2=function(){function t(){this.title=bh("tableModule.insertRow"),this.iconSvg='<svg viewBox="0 0 1048 1024"><path d="M707.7888 521.0112h-147.456v-147.456H488.2432v147.456h-147.456v68.8128h147.456v147.456h72.0896v-147.456h147.456zM0 917.504V0h1048.576v917.504H0zM327.68 65.536H65.536v196.608H327.68V65.536z m327.68 0H393.216v196.608h262.144V65.536z m327.68 0h-262.144v196.608h262.144V65.536z m0 258.8672H65.536v462.0288H983.04V324.4032z"></path></svg>',this.tag="button";}return t.prototype.getValue=function(t){return ""},t.prototype.isActive=function(t){return !1},t.prototype.isDisabled=function(t){var n=t.selection;return null==n||(!Range.isCollapsed(n)||null==ms$1.getSelectedNodeByType(t,"table"))},t.prototype.exec=function(t,n){if(!this.isDisabled(t)){var i=Vr$2(Editor.nodes(t,{match:function(t){return ms$1.checkNodeType(t,"table-cell")},universal:!0}),1),a=Vr$2(i[0],2),l=a[0],c=a[1],s=ms$1.getParentNode(t,l),f=(null==s?void 0:s.children.length)||0;if(0!==f){for(var d={type:"table-row",children:[]},h=0;h<f;h++){d.children.push({type:"table-cell",children:[{text:""}]});}var p=Path.parent(c),v=Path.next(p);Transforms.insertNodes(t,d,{at:v});}}},t}(),Zr$2=function(){function t(){this.title=bh("tableModule.deleteRow"),this.iconSvg='<svg viewBox="0 0 1048 1024"><path d="M907.6736 586.5472L747.1104 425.984l163.84-163.84-78.6432-78.6432-163.84 163.84L507.904 186.7776 429.2608 262.144l163.84 163.84-167.1168 167.1168 78.6432 78.6432 167.1168-167.1168 160.5632 160.5632 75.3664-78.6432zM0 917.504V0h1048.576v917.504H0z m983.04-327.68h-22.9376l-65.536-65.536H983.04V327.68h-91.7504l65.536-65.536h26.2144V65.536H65.536v196.608h317.8496l65.536 65.536H65.536v196.608h380.1088l-65.536 65.536H65.536v196.608H983.04v-196.608z"></path></svg>',this.tag="button";}return t.prototype.getValue=function(t){return ""},t.prototype.isActive=function(t){return !1},t.prototype.isDisabled=function(t){var n=t.selection;return null==n||(!Range.isCollapsed(n)||null==ms$1.getSelectedNodeByType(t,"table-row"))},t.prototype.exec=function(t,n){if(!this.isDisabled(t)){var i=Vr$2(Editor.nodes(t,{match:function(t){return ms$1.checkNodeType(t,"table-row")},universal:!0}),1),a=Vr$2(i[0],2),l=a[0],c=a[1],u=ms$1.getParentNode(t,l);((null==u?void 0:u.children.length)||0)<=1?Transforms.removeNodes(t,{mode:"highest"}):Transforms.removeNodes(t,{at:c});}},t}(),to$2=W$3([].slice),eo$2=$n$3("slice"),no$2=Ht$3("species"),ro$2=z$3.Array,oo$2=Math.max;Ye$3({target:"Array",proto:!0,forced:!eo$2},{slice:function(t,e){var n,r,o,i=Q$3(this),a=ze$3(i),l=Oe$3(t,a),c=Oe$3(void 0===e?a:e,a);if(En$3(i)&&(n=i.constructor,(jn$3(n)&&(n===ro$2||En$3(n.prototype))||tt$3(n)&&null===(n=n[no$2]))&&(n=void 0),n===ro$2||void 0===n))return to$2(i,l,c);for(r=new(void 0===n?ro$2:n)(oo$2(c-l,0)),o=0;l<c;l++,o++)l in i&&Gn$3(r,o,i[l]);return r.length=o,r}});var io$2=function(){function t(){this.title=bh("tableModule.insertCol"),this.iconSvg='<svg viewBox="0 0 1048 1024"><path d="M327.68 193.3312v186.7776H140.9024v91.7504H327.68v186.7776h88.4736V471.8592h190.0544V380.1088H416.1536V193.3312zM0 917.504V0h1048.576v917.504H0zM655.36 65.536H65.536v720.896H655.36V65.536z m327.68 0h-262.144v196.608h262.144V65.536z m0 262.144h-262.144v196.608h262.144V327.68z m0 262.144h-262.144v196.608h262.144v-196.608z"></path></svg>',this.tag="button";}return t.prototype.getValue=function(t){return ""},t.prototype.isActive=function(t){return !1},t.prototype.isDisabled=function(t){var n=t.selection;return null==n||(!Range.isCollapsed(n)||null==ms$1.getSelectedNodeByType(t,"table"))},t.prototype.exec=function(t,n){if(!this.isDisabled(t)){var a=Vr$2(Editor.nodes(t,{match:function(t){return ms$1.checkNodeType(t,"table-cell")},universal:!0}),1),l=Vr$2(a[0],2),c=l[0],u=l[1],s=u.slice(0,1);ms$1.recordChangingPath(t,s);var f=ms$1.getParentNode(t,c);if(null!=f){var d=ms$1.getParentNode(t,f);if(null!=d)(d.children||[]).forEach((function(n){Element$1.isElement(n)&&(n.children||[]).forEach((function(n){var r=ms$1.findPath(t,n);if(r.length===u.length&&lodash_isequal(r.slice(-1),u.slice(-1))){Transforms.insertNodes(t,{type:"table-cell",children:[{text:""}]},{at:r});}}));})),ms$1.deleteChangingPath(t);}}},t}(),ao$2=function(){function t(){this.title=bh("tableModule.deleteCol"),this.iconSvg='<svg viewBox="0 0 1048 1024"><path d="M327.68 510.976L393.216 445.44v-13.1072L327.68 366.7968V510.976z m327.68-78.4384l65.536-65.536V507.904L655.36 442.368v-9.8304z m393.216 484.9664V0H0v917.504h1048.576z m-65.536-131.072h-262.144v-52.4288l-13.1072 13.1072-52.4288-52.4288v91.7504H393.216v-91.7504l-52.4288 52.4288-13.1072-13.1072v52.4288H65.536V65.536H327.68v121.2416l36.0448-36.0448 29.4912 29.4912V62.2592h262.144V180.224l49.152-49.152 16.384 16.384V62.2592h262.144V786.432z m-294.912-108.1344l-160.5632-160.5632-167.1168 167.1168-78.6432-78.6432 167.1168-167.1168L288.3584 278.528l78.6432-78.6432 160.5632 160.5632 163.84-163.84 78.6432 78.6432-163.84 163.84 160.5632 160.5632-78.6432 78.6432z"></path></svg>',this.tag="button";}return t.prototype.getValue=function(t){return ""},t.prototype.isActive=function(t){return !1},t.prototype.isDisabled=function(t){var n=t.selection;return null==n||(!Range.isCollapsed(n)||null==ms$1.getSelectedNodeByType(t,"table-cell"))},t.prototype.exec=function(t,n){if(!this.isDisabled(t)){var a=Vr$2(Editor.nodes(t,{match:function(t){return ms$1.checkNodeType(t,"table-cell")},universal:!0}),1),l=Vr$2(a[0],2),c=l[0],u=l[1],s=ms$1.getParentNode(t,c),f=(null==s?void 0:s.children.length)||0;if(!s||f<=1)Transforms.removeNodes(t,{mode:"highest"});else {var d=u.slice(0,1);ms$1.recordChangingPath(t,d);var h=ms$1.getParentNode(t,s);if(null!=h)(h.children||[]).forEach((function(n){Element$1.isElement(n)&&(n.children||[]).forEach((function(n){var r=ms$1.findPath(t,n);r.length===u.length&&lodash_isequal(r.slice(-1),u.slice(-1))&&Transforms.removeNodes(t,{at:r});}));})),ms$1.deleteChangingPath(t);}}},t}(),lo$2=function(){function t(){this.title=bh("tableModule.header"),this.iconSvg='<svg viewBox="0 0 1024 1024"><path d="M704 128l-64 0L384 128 320 128 0 128l0 256 0 64 0 192 0 64 0 256 320 0 64 0 256 0 64 0 320 0 0-256 0-64L1024 448 1024 384 1024 128 704 128zM640 640 384 640 384 448l256 0L640 640zM64 448l256 0 0 192L64 640 64 448zM320 896 64 896l0-192 256 0L320 896zM640 896 384 896l0-192 256 0L640 896zM960 896l-256 0 0-192 256 0L960 896zM960 640l-256 0L704 448l256 0L960 640z"></path></svg>',this.tag="button";}return t.prototype.getValue=function(t){var n=ms$1.getSelectedNodeByType(t,"table");return null!=n&&!!n.withHeader},t.prototype.isActive=function(t){return !!this.getValue(t)},t.prototype.isDisabled=function(t){var n=t.selection;return null==n||(!Range.isCollapsed(n)||null==ms$1.getSelectedNodeByType(t,"table"))},t.prototype.exec=function(t,e){if(!this.isDisabled(t)){var n={withHeader:!e||null};Transforms.setNodes(t,n,{mode:"highest"});}},t}(),co$2=function(){function t(){this.title=bh("tableModule.widthAuto"),this.iconSvg='<svg viewBox="0 0 1228 1024"><path d="M862.514337 563.200461H404.581995v121.753478a13.311987 13.311987 0 0 1-6.655993 11.468789 10.23999 10.23999 0 0 1-12.083188-1.433599l-204.799795-179.199821a13.721586 13.721586 0 0 1 0-20.479979l204.799795-179.302221a10.23999 10.23999 0 0 1 12.185588-1.535998 13.209587 13.209587 0 0 1 6.553593 11.673588v115.097485h457.932342V319.693504a11.571188 11.571188 0 0 1 18.841582-10.239989l204.799795 179.19982a13.721586 13.721586 0 0 1 0 20.47998l-204.799795 179.199821a10.23999 10.23999 0 0 1-12.185588 1.535998 13.311987 13.311987 0 0 1-6.655994-11.571188V563.200461zM136.499064 14.951409v993.893406a15.257585 15.257585 0 0 1-15.155185 15.052785H15.155185A15.155185 15.155185 0 0 1 0 1008.844815V14.951409a15.257585 15.257585 0 0 1 15.155185-15.052785h106.086294a15.155185 15.155185 0 0 1 15.257585 15.155185zM1228.798771 14.951409v993.893406a15.257585 15.257585 0 0 1-15.155185 15.052785h-106.188693a15.155185 15.155185 0 0 1-15.155185-15.052785V14.951409a15.257585 15.257585 0 0 1 15.155185-15.052785h106.086293A15.155185 15.155185 0 0 1 1228.798771 15.053809z"></path></svg>',this.tag="button";}return t.prototype.getValue=function(t){var n=ms$1.getSelectedNodeByType(t,"table");return null!=n&&!!n.fullWidth},t.prototype.isActive=function(t){return !!this.getValue(t)},t.prototype.isDisabled=function(t){var n=t.selection;return null==n||(!Range.isCollapsed(n)||null==ms$1.getSelectedNodeByType(t,"table"))},t.prototype.exec=function(t,e){if(!this.isDisabled(t)){var n={fullWidth:!e||null};Transforms.setNodes(t,n,{mode:"highest"});}},t}(),uo$2={renderElems:[Cr$2,Hr$2,Ar$2],elemsToHtml:[Fr$2,_r$2,Wr$2],menus:[{key:"insertTable",factory:function(){return new Jr$2}},{key:"deleteTable",factory:function(){return new Xr$2}},{key:"insertTableRow",factory:function(){return new Qr$2}},{key:"deleteTableRow",factory:function(){return new Zr$2}},{key:"insertTableCol",factory:function(){return new io$2}},{key:"deleteTableCol",factory:function(){return new ao$2}},{key:"tableHeader",factory:function(){return new lo$2}},{key:"tableFullWidth",factory:function(){return new co$2}}],editorPlugin:function(t){var n=t.insertBreak,a=t.deleteBackward,l=t.deleteForward,c=t.normalizeNode,u=t.insertData,s=t.handleTab,f=t;return f.insertBreak=function(){null==ms$1.getSelectedNodeByType(f,"table")?n():f.insertText("\n");},f.deleteBackward=function(t){zr$2(f)||a(t);},f.handleTab=function(){var n,i;if(ms$1.getSelectedNodeByType(f,"table")){var a=Editor.above(t);ms$1.checkNodeType(a[0],"table-cell")&&Transforms.select(t,a[1]);var l=Editor.next(t);if(l)(null===(n=l[0])||void 0===n?void 0:n.text)&&(l=null!==(i=Editor.above(t,{at:l[1]}))&&void 0!==i?i:l),Transforms.select(t,l[1]);else {var c=f.children||[],u=c.length;if(ms$1.checkNodeType(c[u-1],"table")){var d={type:"paragraph",children:[{text:""}]};Transforms.insertNodes(f,d,{at:[u]}),f.handleTab();}}}else s();},f.deleteForward=function(t){zr$2(f)||l(t);},f.normalizeNode=function(t){var n=Vr$2(t,2),r=n[0],a=n[1];if("table"!==ms$1.getNodeType(r))return c([r,a]);var l=r.children,u=void 0===l?[]:l,s=f.children||[],d=s.length;if(s[0]===r){var h={type:"paragraph",children:[{text:""}]};Transforms.insertNodes(f,h,{at:a});}if(s[d-1]===r){h={type:"paragraph",children:[{text:""}]};Transforms.insertNodes(f,h,{at:[a[0]+1]});}var p=s[a[0]+1]||{};if(Element$1.isElement(p)){var v=p.type,y=void 0===v?"":v;if("paragraph"!==y&&"blockquote"!==y&&!y.startsWith("header")){h={type:"paragraph",children:[{text:""}]};var g=[a[0]+1];Transforms.insertNodes(f,h,{at:g});}}var b=s[a[0]-1]||{};if(Element$1.isElement(b)&&("table"===ms$1.getNodeType(b)||f.isVoid(b))){h={type:"paragraph",children:[{text:""}]};Transforms.insertNodes(f,h,{at:a});}if(ms$1.isChangingPath(f,a))return c([r,a]);var m=0;u.forEach((function(t){if(Element$1.isElement(t)){var e=(t.children||[]).length;m<e&&(m=e);}})),u.forEach((function(t,e){if(Element$1.isElement(t)){var n=t.children||[],r=a.concat(e);if(n.length<m)for(var l=n.length;l<m;l++){var c=r.concat(l);Transforms.insertNodes(f,{type:"table-cell",children:[{text:""}]},{at:c});}n.forEach((function(t,e){if(Element$1.isElement(t)&&"table-cell"!==t.type){var n=r.concat(e);Transforms.setNodes(f,{type:"table-cell"},{at:n});}}));}}));},f.insertData=function(t){if(null!=ms$1.getSelectedNodeByType(f,"table")){var n=t.getData("text/plain");"\n"===n||/<img[^>]+>/.test(t.getData("text/html"))?u(t):Editor.insertText(f,n);}else u(t);},f}};

  mh("en",{videoModule:{delete:"Delete",insertVideo:"Insert video",videoSrc:"video source",insertPlaceHolder:"video file url, or third-party <iframe>",ok:"Ok"}}),mh("zh-CN",{videoModule:{delete:"删除视频",insertVideo:"插入视频",videoSrc:"视频地址",insertPlaceHolder:"视频文件 url 或第三方 <iframe>",ok:"确定"}});var y$2="undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:{};function g$2(t){var e={exports:{}};return t(e,e.exports),e.exports}var m$2,b$2,w$2=function(t){return t&&t.Math==Math&&t},x$2=w$2("object"==typeof globalThis&&globalThis)||w$2("object"==typeof window&&window)||w$2("object"==typeof self&&self)||w$2("object"==typeof y$2&&y$2)||function(){return this}()||Function("return this")(),S$2=function(t){try{return !!t()}catch(t){return !0}},j$2=!S$2((function(){return 7!=Object.defineProperty({},1,{get:function(){return 7}})[1]})),E$2=Function.prototype.call,O$2=E$2.bind?E$2.bind(E$2):function(){return E$2.apply(E$2,arguments)},P$2={}.propertyIsEnumerable,T$2=Object.getOwnPropertyDescriptor,I$2=T$2&&!P$2.call({1:2},1)?function(t){var e=T$2(this,t);return !!e&&e.enumerable}:P$2,M$2={f:I$2},R$2=function(t,e){return {enumerable:!(1&t),configurable:!(2&t),writable:!(4&t),value:e}},k$2=Function.prototype,_$2=k$2.bind,A$2=k$2.call,N$2=_$2&&_$2.bind(A$2),C$2=_$2?function(t){return t&&N$2(A$2,t)}:function(t){return t&&function(){return A$2.apply(t,arguments)}},V$2=C$2({}.toString),$$2=C$2("".slice),F$2=function(t){return $$2(V$2(t),8,-1)},z$2=x$2.Object,D$2=C$2("".split),H$2=S$2((function(){return !z$2("z").propertyIsEnumerable(0)}))?function(t){return "String"==F$2(t)?D$2(t,""):z$2(t)}:z$2,W$2=x$2.TypeError,L$2=function(t){if(null==t)throw W$2("Can't call method on "+t);return t},U$2=function(t){return H$2(L$2(t))},B$2=function(t){return "function"==typeof t},G$2=function(t){return "object"==typeof t?null!==t:B$2(t)},K$2=function(t){return B$2(t)?t:void 0},q$2=function(t,e){return arguments.length<2?K$2(x$2[t]):x$2[t]&&x$2[t][e]},Y$2=C$2({}.isPrototypeOf),X$2=q$2("navigator","userAgent")||"",J$2=x$2.process,Q$2=x$2.Deno,Z$2=J$2&&J$2.versions||Q$2&&Q$2.version,tt$2=Z$2&&Z$2.v8;tt$2&&(b$2=(m$2=tt$2.split("."))[0]>0&&m$2[0]<4?1:+(m$2[0]+m$2[1])),!b$2&&X$2&&(!(m$2=X$2.match(/Edge\/(\d+)/))||m$2[1]>=74)&&(m$2=X$2.match(/Chrome\/(\d+)/))&&(b$2=+m$2[1]);var et$2=b$2,nt$2=!!Object.getOwnPropertySymbols&&!S$2((function(){var t=Symbol();return !String(t)||!(Object(t)instanceof Symbol)||!Symbol.sham&&et$2&&et$2<41})),rt$2=nt$2&&!Symbol.sham&&"symbol"==typeof Symbol.iterator,ot$2=x$2.Object,it$2=rt$2?function(t){return "symbol"==typeof t}:function(t){var e=q$2("Symbol");return B$2(e)&&Y$2(e.prototype,ot$2(t))},ct$2=x$2.String,ut$2=function(t){try{return ct$2(t)}catch(t){return "Object"}},at$2=x$2.TypeError,ft$2=function(t){if(B$2(t))return t;throw at$2(ut$2(t)+" is not a function")},st$2=function(t,e){var n=t[e];return null==n?void 0:ft$2(n)},lt$2=x$2.TypeError,dt$2=Object.defineProperty,pt$2=function(t,e){try{dt$2(x$2,t,{value:e,configurable:!0,writable:!0});}catch(n){x$2[t]=e;}return e},vt$2=x$2["__core-js_shared__"]||pt$2("__core-js_shared__",{}),ht$2=g$2((function(t){(t.exports=function(t,e){return vt$2[t]||(vt$2[t]=void 0!==e?e:{})})("versions",[]).push({version:"3.19.1",mode:"global",copyright:"© 2021 Denis Pushkarev (zloirock.ru)"});})),yt$2=x$2.Object,gt$2=function(t){return yt$2(L$2(t))},mt$2=C$2({}.hasOwnProperty),bt$2=Object.hasOwn||function(t,e){return mt$2(gt$2(t),e)},wt$2=0,xt$2=Math.random(),St$2=C$2(1..toString),jt$2=function(t){return "Symbol("+(void 0===t?"":t)+")_"+St$2(++wt$2+xt$2,36)},Et$2=ht$2("wks"),Ot$2=x$2.Symbol,Pt$2=Ot$2&&Ot$2.for,Tt$2=rt$2?Ot$2:Ot$2&&Ot$2.withoutSetter||jt$2,It$2=function(t){if(!bt$2(Et$2,t)||!nt$2&&"string"!=typeof Et$2[t]){var e="Symbol."+t;nt$2&&bt$2(Ot$2,t)?Et$2[t]=Ot$2[t]:Et$2[t]=rt$2&&Pt$2?Pt$2(e):Tt$2(e);}return Et$2[t]},Mt$2=x$2.TypeError,Rt$2=It$2("toPrimitive"),kt$2=function(t,e){if(!G$2(t)||it$2(t))return t;var n,r=st$2(t,Rt$2);if(r){if(void 0===e&&(e="default"),n=O$2(r,t,e),!G$2(n)||it$2(n))return n;throw Mt$2("Can't convert object to primitive value")}return void 0===e&&(e="number"),function(t,e){var n,r;if("string"===e&&B$2(n=t.toString)&&!G$2(r=O$2(n,t)))return r;if(B$2(n=t.valueOf)&&!G$2(r=O$2(n,t)))return r;if("string"!==e&&B$2(n=t.toString)&&!G$2(r=O$2(n,t)))return r;throw lt$2("Can't convert object to primitive value")}(t,e)},_t$2=function(t){var e=kt$2(t,"string");return it$2(e)?e:e+""},At$2=x$2.document,Nt$2=G$2(At$2)&&G$2(At$2.createElement),Ct$2=function(t){return Nt$2?At$2.createElement(t):{}},Vt$2=!j$2&&!S$2((function(){return 7!=Object.defineProperty(Ct$2("div"),"a",{get:function(){return 7}}).a})),$t$2=Object.getOwnPropertyDescriptor,Ft$2={f:j$2?$t$2:function(t,e){if(t=U$2(t),e=_t$2(e),Vt$2)try{return $t$2(t,e)}catch(t){}if(bt$2(t,e))return R$2(!O$2(M$2.f,t,e),t[e])}},zt$2=x$2.String,Dt$2=x$2.TypeError,Ht$2=function(t){if(G$2(t))return t;throw Dt$2(zt$2(t)+" is not an object")},Wt$2=x$2.TypeError,Lt$2=Object.defineProperty,Ut$2={f:j$2?Lt$2:function(t,e,n){if(Ht$2(t),e=_t$2(e),Ht$2(n),Vt$2)try{return Lt$2(t,e,n)}catch(t){}if("get"in n||"set"in n)throw Wt$2("Accessors not supported");return "value"in n&&(t[e]=n.value),t}},Bt$2=j$2?function(t,e,n){return Ut$2.f(t,e,R$2(1,n))}:function(t,e,n){return t[e]=n,t},Gt$2=C$2(Function.toString);B$2(vt$2.inspectSource)||(vt$2.inspectSource=function(t){return Gt$2(t)});var Kt$2,qt$2,Yt$2,Xt$2=vt$2.inspectSource,Jt$2=x$2.WeakMap,Qt$2=B$2(Jt$2)&&/native code/.test(Xt$2(Jt$2)),Zt$2=ht$2("keys"),te$2=function(t){return Zt$2[t]||(Zt$2[t]=jt$2(t))},ee$2={},ne$2=x$2.TypeError,re$2=x$2.WeakMap;if(Qt$2||vt$2.state){var oe$2=vt$2.state||(vt$2.state=new re$2),ie$2=C$2(oe$2.get),ce$2=C$2(oe$2.has),ue$2=C$2(oe$2.set);Kt$2=function(t,e){if(ce$2(oe$2,t))throw new ne$2("Object already initialized");return e.facade=t,ue$2(oe$2,t,e),e},qt$2=function(t){return ie$2(oe$2,t)||{}},Yt$2=function(t){return ce$2(oe$2,t)};}else {var ae$2=te$2("state");ee$2[ae$2]=!0,Kt$2=function(t,e){if(bt$2(t,ae$2))throw new ne$2("Object already initialized");return e.facade=t,Bt$2(t,ae$2,e),e},qt$2=function(t){return bt$2(t,ae$2)?t[ae$2]:{}},Yt$2=function(t){return bt$2(t,ae$2)};}var fe$2={set:Kt$2,get:qt$2,has:Yt$2,enforce:function(t){return Yt$2(t)?qt$2(t):Kt$2(t,{})},getterFor:function(t){return function(e){var n;if(!G$2(e)||(n=qt$2(e)).type!==t)throw ne$2("Incompatible receiver, "+t+" required");return n}}},se$2=Function.prototype,le$2=j$2&&Object.getOwnPropertyDescriptor,de$2=bt$2(se$2,"name"),pe$2={EXISTS:de$2,PROPER:de$2&&"something"===function(){}.name,CONFIGURABLE:de$2&&(!j$2||j$2&&le$2(se$2,"name").configurable)},ve$2=g$2((function(t){var e=pe$2.CONFIGURABLE,n=fe$2.get,r=fe$2.enforce,o=String(String).split("String");(t.exports=function(t,n,i,c){var u,a=!!c&&!!c.unsafe,f=!!c&&!!c.enumerable,s=!!c&&!!c.noTargetGet,l=c&&void 0!==c.name?c.name:n;B$2(i)&&("Symbol("===String(l).slice(0,7)&&(l="["+String(l).replace(/^Symbol\(([^)]*)\)/,"$1")+"]"),(!bt$2(i,"name")||e&&i.name!==l)&&Bt$2(i,"name",l),(u=r(i)).source||(u.source=o.join("string"==typeof l?l:""))),t!==x$2?(a?!s&&t[n]&&(f=!0):delete t[n],f?t[n]=i:Bt$2(t,n,i)):f?t[n]=i:pt$2(n,i);})(Function.prototype,"toString",(function(){return B$2(this)&&n(this).source||Xt$2(this)}));})),he$2=Math.ceil,ye$2=Math.floor,ge$2=function(t){var e=+t;return e!=e||0===e?0:(e>0?ye$2:he$2)(e)},me$2=Math.max,be$2=Math.min,we$2=Math.min,xe$2=function(t){return t>0?we$2(ge$2(t),9007199254740991):0},Se$2=function(t){return xe$2(t.length)},je$2=function(t){return function(e,n,r){var o,i=U$2(e),c=Se$2(i),u=function(t,e){var n=ge$2(t);return n<0?me$2(n+e,0):be$2(n,e)}(r,c);if(t&&n!=n){for(;c>u;)if((o=i[u++])!=o)return !0}else for(;c>u;u++)if((t||u in i)&&i[u]===n)return t||u||0;return !t&&-1}},Ee$2={includes:je$2(!0),indexOf:je$2(!1)}.indexOf,Oe$2=C$2([].push),Pe$2=function(t,e){var n,r=U$2(t),o=0,i=[];for(n in r)!bt$2(ee$2,n)&&bt$2(r,n)&&Oe$2(i,n);for(;e.length>o;)bt$2(r,n=e[o++])&&(~Ee$2(i,n)||Oe$2(i,n));return i},Te$2=["constructor","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","toLocaleString","toString","valueOf"],Ie$2=Te$2.concat("length","prototype"),Me$2={f:Object.getOwnPropertyNames||function(t){return Pe$2(t,Ie$2)}},Re$2={f:Object.getOwnPropertySymbols},ke$2=C$2([].concat),_e$2=q$2("Reflect","ownKeys")||function(t){var e=Me$2.f(Ht$2(t)),n=Re$2.f;return n?ke$2(e,n(t)):e},Ae$2=function(t,e){for(var n=_e$2(e),r=Ut$2.f,o=Ft$2.f,i=0;i<n.length;i++){var c=n[i];bt$2(t,c)||r(t,c,o(e,c));}},Ne$2=/#|\.prototype\./,Ce$2=function(t,e){var n=$e$2[Ve$2(t)];return n==ze$2||n!=Fe$2&&(B$2(e)?S$2(e):!!e)},Ve$2=Ce$2.normalize=function(t){return String(t).replace(Ne$2,".").toLowerCase()},$e$2=Ce$2.data={},Fe$2=Ce$2.NATIVE="N",ze$2=Ce$2.POLYFILL="P",De$2=Ce$2,He$2=Ft$2.f,We$2=function(t,e){var n,r,o,i,c,u=t.target,a=t.global,f=t.stat;if(n=a?x$2:f?x$2[u]||pt$2(u,{}):(x$2[u]||{}).prototype)for(r in e){if(i=e[r],o=t.noTargetGet?(c=He$2(n,r))&&c.value:n[r],!De$2(a?r:u+(f?".":"#")+r,t.forced)&&void 0!==o){if(typeof i==typeof o)continue;Ae$2(i,o);}(t.sham||o&&o.sham)&&Bt$2(i,"sham",!0),ve$2(n,r,i,t);}},Le$2={};Le$2[It$2("toStringTag")]="z";var Ue$2,Be$2="[object z]"===String(Le$2),Ge$2=It$2("toStringTag"),Ke$2=x$2.Object,qe$2="Arguments"==F$2(function(){return arguments}()),Ye$2=Be$2?F$2:function(t){var e,n,r;return void 0===t?"Undefined":null===t?"Null":"string"==typeof(n=function(t,e){try{return t[e]}catch(t){}}(e=Ke$2(t),Ge$2))?n:qe$2?F$2(e):"Object"==(r=F$2(e))&&B$2(e.callee)?"Arguments":r},Xe$2=x$2.String,Je$2=function(t){if("Symbol"===Ye$2(t))throw TypeError("Cannot convert a Symbol value to a string");return Xe$2(t)},Qe$2=It$2("match"),Ze$2=x$2.TypeError,tn$2=function(t){if(function(t){var e;return G$2(t)&&(void 0!==(e=t[Qe$2])?!!e:"RegExp"==F$2(t))}(t))throw Ze$2("The method doesn't accept regular expressions");return t},en$2=It$2("match"),nn$2=Ft$2.f,rn$2=C$2("".startsWith),on$2=C$2("".slice),cn$2=Math.min,un$2=function(t){var e=/./;try{"/./"[t](e);}catch(n){try{return e[en$2]=!1,"/./"[t](e)}catch(t){}}return !1}("startsWith");
  /*! *****************************************************************************
  Copyright (c) Microsoft Corporation.

  Permission to use, copy, modify, and/or distribute this software for any
  purpose with or without fee is hereby granted.

  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
  REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
  AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
  INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
  LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
  OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
  PERFORMANCE OF THIS SOFTWARE.
  ***************************************************************************** */
  function an$2(t,e,n,r){return new(n||(n=Promise))((function(o,i){function c(t){try{a(r.next(t));}catch(t){i(t);}}function u(t){try{a(r.throw(t));}catch(t){i(t);}}function a(t){var e;t.done?o(t.value):(e=t.value,e instanceof n?e:new n((function(t){t(e);}))).then(c,u);}a((r=r.apply(t,e||[])).next());}))}function fn$2(t,e){var n,r,o,i,c={label:0,sent:function(){if(1&o[0])throw o[1];return o[1]},trys:[],ops:[]};return i={next:u(0),throw:u(1),return:u(2)},"function"==typeof Symbol&&(i[Symbol.iterator]=function(){return this}),i;function u(i){return function(u){return function(i){if(n)throw new TypeError("Generator is already executing.");for(;c;)try{if(n=1,r&&(o=2&i[0]?r.return:i[0]?r.throw||((o=r.return)&&o.call(r),0):r.next)&&!(o=o.call(r,i[1])).done)return o;switch(r=0,o&&(i=[2&i[0],o.value]),i[0]){case 0:case 1:o=i;break;case 4:return c.label++,{value:i[1],done:!1};case 5:c.label++,r=i[1],i=[0];continue;case 7:i=c.ops.pop(),c.trys.pop();continue;default:if(!(o=c.trys,(o=o.length>0&&o[o.length-1])||6!==i[0]&&2!==i[0])){c=0;continue}if(3===i[0]&&(!o||i[1]>o[0]&&i[1]<o[3])){c.label=i[1];break}if(6===i[0]&&c.label<o[1]){c.label=o[1],o=i;break}if(o&&c.label<o[2]){c.label=o[2],c.ops.push(i);break}o[2]&&c.ops.pop(),c.trys.pop();continue}i=e.call(t,c);}catch(t){i=[6,t],r=0;}finally{n=o=0;}if(5&i[0])throw i[1];return {value:i[0]?i[1]:void 0,done:!0}}([i,u])}}}function sn$2(t,e){var n="function"==typeof Symbol&&t[Symbol.iterator];if(!n)return t;var r,o,i=n.call(t),c=[];try{for(;(void 0===e||e-- >0)&&!(r=i.next()).done;)c.push(r.value);}catch(t){o={error:t};}finally{try{r&&!r.done&&(n=i.return)&&n.call(i);}finally{if(o)throw o.error}}return c}We$2({target:"String",proto:!0,forced:!!(un$2||(Ue$2=nn$2(String.prototype,"startsWith"),!Ue$2||Ue$2.writable))&&!un$2},{startsWith:function(t){var e=Je$2(L$2(this));tn$2(t);var n=xe$2(cn$2(arguments.length>1?arguments[1]:void 0,e.length)),r=Je$2(t);return rn$2?rn$2(e,r,n):on$2(e,n,n+r.length)===r}});var ln$2,dn$2="\t\n\v\f\r                　\u2028\u2029\ufeff",pn$2=C$2("".replace),vn$2="["+dn$2+"]",hn$2=RegExp("^"+vn$2+vn$2+"*"),yn$2=RegExp(vn$2+vn$2+"*$"),gn$2=function(t){return function(e){var n=Je$2(L$2(e));return 1&t&&(n=pn$2(n,hn$2,"")),2&t&&(n=pn$2(n,yn$2,"")),n}},mn$2={start:gn$2(1),end:gn$2(2),trim:gn$2(3)},bn$2=pe$2.PROPER,wn$2=mn$2.trim;We$2({target:"String",proto:!0,forced:(ln$2="trim",S$2((function(){return !!dn$2[ln$2]()||"​᠎"!=="​᠎"[ln$2]()||bn$2&&dn$2[ln$2].name!==ln$2})))},{trim:function(){return wn$2(this)}});var xn$2={type:"video",renderElem:function(t,n,r){var o=t.src,i=void 0===o?"":o,c=ms$1.isNodeSelected(r,t);return 0===i.trim().indexOf("<iframe")?jsx("div",{contentEditable:!1,className:"w-e-textarea-video-container","data-selected":c?"true":"",innerHTML:i}):jsx("div",{contentEditable:!1,className:"w-e-textarea-video-container","data-selected":c?"true":""},jsx("video",{controls:!0},jsx("source",{src:i,type:"video/mp4"}),"Sorry, your browser doesn't support embedded videos.\n 抱歉，浏览器不支持 video 视频"))}};var Sn$2,jn$2={type:"video",elemToHtml:function(t,e){var n=t.src,r=void 0===n?"":n,o='<div class="wangeditor-video-container">\n';return 0===r.trim().indexOf("<iframe")?o+=r:o+='<video controls="true"><source src="'+r+'" type="video/mp4"/></video>',o+="\n</div>"}},En$2=function(){var t=Ht$2(this),e="";return t.global&&(e+="g"),t.ignoreCase&&(e+="i"),t.multiline&&(e+="m"),t.dotAll&&(e+="s"),t.unicode&&(e+="u"),t.sticky&&(e+="y"),e},On$2=x$2.RegExp,Pn$2={UNSUPPORTED_Y:S$2((function(){var t=On$2("a","y");return t.lastIndex=2,null!=t.exec("abcd")})),BROKEN_CARET:S$2((function(){var t=On$2("^r","gy");return t.lastIndex=2,null!=t.exec("str")}))},Tn$2=Object.keys||function(t){return Pe$2(t,Te$2)},In$2=j$2?Object.defineProperties:function(t,e){Ht$2(t);for(var n,r=U$2(e),o=Tn$2(e),i=o.length,c=0;i>c;)Ut$2.f(t,n=o[c++],r[n]);return t},Mn$2=q$2("document","documentElement"),Rn$2=te$2("IE_PROTO"),kn$2=function(){},_n$2=function(t){return "<script>"+t+"<\/script>"},An$2=function(t){t.write(_n$2("")),t.close();var e=t.parentWindow.Object;return t=null,e},Nn$2=function(){try{Sn$2=new ActiveXObject("htmlfile");}catch(t){}var t,e;Nn$2="undefined"!=typeof document?document.domain&&Sn$2?An$2(Sn$2):((e=Ct$2("iframe")).style.display="none",Mn$2.appendChild(e),e.src=String("javascript:"),(t=e.contentWindow.document).open(),t.write(_n$2("document.F=Object")),t.close(),t.F):An$2(Sn$2);for(var n=Te$2.length;n--;)delete Nn$2.prototype[Te$2[n]];return Nn$2()};ee$2[Rn$2]=!0;var Cn$2,Vn$2,$n$2=Object.create||function(t,e){var n;return null!==t?(kn$2.prototype=Ht$2(t),n=new kn$2,kn$2.prototype=null,n[Rn$2]=t):n=Nn$2(),void 0===e?n:In$2(n,e)},Fn$2=x$2.RegExp,zn$2=S$2((function(){var t=Fn$2(".","s");return !(t.dotAll&&t.exec("\n")&&"s"===t.flags)})),Dn$2=x$2.RegExp,Hn$2=S$2((function(){var t=Dn$2("(?<a>b)","g");return "b"!==t.exec("b").groups.a||"bc"!=="b".replace(t,"$<a>c")})),Wn$2=fe$2.get,Ln$2=ht$2("native-string-replace",String.prototype.replace),Un$2=RegExp.prototype.exec,Bn$2=Un$2,Gn$2=C$2("".charAt),Kn$2=C$2("".indexOf),qn$2=C$2("".replace),Yn$2=C$2("".slice),Xn$2=(Vn$2=/b*/g,O$2(Un$2,Cn$2=/a/,"a"),O$2(Un$2,Vn$2,"a"),0!==Cn$2.lastIndex||0!==Vn$2.lastIndex),Jn$2=Pn$2.UNSUPPORTED_Y||Pn$2.BROKEN_CARET,Qn$2=void 0!==/()??/.exec("")[1];(Xn$2||Qn$2||Jn$2||zn$2||Hn$2)&&(Bn$2=function(t){var e,n,r,o,i,c,u,a=this,f=Wn$2(a),s=Je$2(t),l=f.raw;if(l)return l.lastIndex=a.lastIndex,e=O$2(Bn$2,l,s),a.lastIndex=l.lastIndex,e;var d=f.groups,p=Jn$2&&a.sticky,v=O$2(En$2,a),h=a.source,y=0,g=s;if(p&&(v=qn$2(v,"y",""),-1===Kn$2(v,"g")&&(v+="g"),g=Yn$2(s,a.lastIndex),a.lastIndex>0&&(!a.multiline||a.multiline&&"\n"!==Gn$2(s,a.lastIndex-1))&&(h="(?: "+h+")",g=" "+g,y++),n=new RegExp("^(?:"+h+")",v)),Qn$2&&(n=new RegExp("^"+h+"$(?!\\s)",v)),Xn$2&&(r=a.lastIndex),o=O$2(Un$2,p?n:a,g),p?o?(o.input=Yn$2(o.input,y),o[0]=Yn$2(o[0],y),o.index=a.lastIndex,a.lastIndex+=o[0].length):a.lastIndex=0:Xn$2&&o&&(a.lastIndex=a.global?o.index+o[0].length:r),Qn$2&&o&&o.length>1&&O$2(Ln$2,o[0],n,(function(){for(i=1;i<arguments.length-2;i++)void 0===arguments[i]&&(o[i]=void 0);})),o&&d)for(o.groups=c=$n$2(null),i=0;i<d.length;i++)c[(u=d[i])[0]]=o[u[1]];return o});var Zn$2=Bn$2;We$2({target:"RegExp",proto:!0,forced:/./.exec!==Zn$2},{exec:Zn$2});var tr$1=Be$2?{}.toString:function(){return "[object "+Ye$2(this)+"]"};Be$2||ve$2(Object.prototype,"toString",tr$1,{unsafe:!0});var er$1=x$2.Promise,nr$1=x$2.String,rr$1=x$2.TypeError,or$1=Object.setPrototypeOf||("__proto__"in{}?function(){var t,e=!1,n={};try{(t=C$2(Object.getOwnPropertyDescriptor(Object.prototype,"__proto__").set))(n,[]),e=n instanceof Array;}catch(t){}return function(n,r){return Ht$2(n),function(t){if("object"==typeof t||B$2(t))return t;throw rr$1("Can't set "+nr$1(t)+" as a prototype")}(r),e?t(n,r):n.__proto__=r,n}}():void 0),ir$1=Ut$2.f,cr$1=It$2("toStringTag"),ur$1=It$2("species"),ar$1=x$2.TypeError,fr$1=C$2(C$2.bind),sr$1=function(t,e){return ft$2(t),void 0===e?t:fr$1?fr$1(t,e):function(){return t.apply(e,arguments)}},lr$1={},dr$1=It$2("iterator"),pr$1=Array.prototype,vr$1=It$2("iterator"),hr$1=function(t){if(null!=t)return st$2(t,vr$1)||st$2(t,"@@iterator")||lr$1[Ye$2(t)]},yr$1=x$2.TypeError,gr$1=function(t,e,n){var r,o;Ht$2(t);try{if(!(r=st$2(t,"return"))){if("throw"===e)throw n;return n}r=O$2(r,t);}catch(t){o=!0,r=t;}if("throw"===e)throw n;if(o)throw r;return Ht$2(r),n},mr$1=x$2.TypeError,br$1=function(t,e){this.stopped=t,this.result=e;},wr$1=br$1.prototype,xr$1=function(t,e,n){var r,o,i,c,u,a,f,s,l=n&&n.that,d=!(!n||!n.AS_ENTRIES),p=!(!n||!n.IS_ITERATOR),v=!(!n||!n.INTERRUPTED),h=sr$1(e,l),y=function(t){return r&&gr$1(r,"normal",t),new br$1(!0,t)},g=function(t){return d?(Ht$2(t),v?h(t[0],t[1],y):h(t[0],t[1])):v?h(t,y):h(t)};if(p)r=t;else {if(!(o=hr$1(t)))throw mr$1(ut$2(t)+" is not iterable");if(void 0!==(s=o)&&(lr$1.Array===s||pr$1[dr$1]===s)){for(i=0,c=Se$2(t);c>i;i++)if((u=g(t[i]))&&Y$2(wr$1,u))return u;return new br$1(!1)}r=function(t,e){var n=arguments.length<2?hr$1(t):e;if(ft$2(n))return Ht$2(O$2(n,t));throw yr$1(ut$2(t)+" is not iterable")}(t,o);}for(a=r.next;!(f=O$2(a,r)).done;){try{u=g(f.value);}catch(t){gr$1(r,"throw",t);}if("object"==typeof u&&u&&Y$2(wr$1,u))return u}return new br$1(!1)},Sr$1=It$2("iterator"),jr$1=!1;try{var Er$1=0,Or$1={next:function(){return {done:!!Er$1++}},return:function(){jr$1=!0;}};Or$1[Sr$1]=function(){return this},Array.from(Or$1,(function(){throw 2}));}catch(t){}var Pr$1,Tr$1,Ir$1,Mr$1,Rr$1=function(){},kr$1=[],_r$1=q$2("Reflect","construct"),Ar$1=/^\s*(?:class|function)\b/,Nr$1=C$2(Ar$1.exec),Cr$1=!Ar$1.exec(Rr$1),Vr$1=function(t){if(!B$2(t))return !1;try{return _r$1(Rr$1,kr$1,t),!0}catch(t){return !1}},$r$1=!_r$1||S$2((function(){var t;return Vr$1(Vr$1.call)||!Vr$1(Object)||!Vr$1((function(){t=!0;}))||t}))?function(t){if(!B$2(t))return !1;switch(Ye$2(t)){case"AsyncFunction":case"GeneratorFunction":case"AsyncGeneratorFunction":return !1}return Cr$1||!!Nr$1(Ar$1,Xt$2(t))}:Vr$1,Fr$1=x$2.TypeError,zr$1=It$2("species"),Dr$1=function(t,e){var n,r=Ht$2(t).constructor;return void 0===r||null==(n=Ht$2(r)[zr$1])?e:function(t){if($r$1(t))return t;throw Fr$1(ut$2(t)+" is not a constructor")}(n)},Hr$1=Function.prototype,Wr$1=Hr$1.apply,Lr$1=Hr$1.bind,Ur$1=Hr$1.call,Br$1="object"==typeof Reflect&&Reflect.apply||(Lr$1?Ur$1.bind(Wr$1):function(){return Ur$1.apply(Wr$1,arguments)}),Gr$1=C$2([].slice),Kr$1=/(?:ipad|iphone|ipod).*applewebkit/i.test(X$2),qr$1="process"==F$2(x$2.process),Yr$1=x$2.setImmediate,Xr$1=x$2.clearImmediate,Jr$1=x$2.process,Qr$1=x$2.Dispatch,Zr$1=x$2.Function,to$1=x$2.MessageChannel,eo$1=x$2.String,no$1=0,ro$1={};try{Pr$1=x$2.location;}catch(t){}var oo$1=function(t){if(bt$2(ro$1,t)){var e=ro$1[t];delete ro$1[t],e();}},io$1=function(t){return function(){oo$1(t);}},co$1=function(t){oo$1(t.data);},uo$1=function(t){x$2.postMessage(eo$1(t),Pr$1.protocol+"//"+Pr$1.host);};Yr$1&&Xr$1||(Yr$1=function(t){var e=Gr$1(arguments,1);return ro$1[++no$1]=function(){Br$1(B$2(t)?t:Zr$1(t),void 0,e);},Tr$1(no$1),no$1},Xr$1=function(t){delete ro$1[t];},qr$1?Tr$1=function(t){Jr$1.nextTick(io$1(t));}:Qr$1&&Qr$1.now?Tr$1=function(t){Qr$1.now(io$1(t));}:to$1&&!Kr$1?(Mr$1=(Ir$1=new to$1).port2,Ir$1.port1.onmessage=co$1,Tr$1=sr$1(Mr$1.postMessage,Mr$1)):x$2.addEventListener&&B$2(x$2.postMessage)&&!x$2.importScripts&&Pr$1&&"file:"!==Pr$1.protocol&&!S$2(uo$1)?(Tr$1=uo$1,x$2.addEventListener("message",co$1,!1)):Tr$1="onreadystatechange"in Ct$2("script")?function(t){Mn$2.appendChild(Ct$2("script")).onreadystatechange=function(){Mn$2.removeChild(this),oo$1(t);};}:function(t){setTimeout(io$1(t),0);});var ao$1,fo$1,so$1,lo$1,po$1,vo$1,ho$1,yo$1,go$1={set:Yr$1,clear:Xr$1},mo$1=/ipad|iphone|ipod/i.test(X$2)&&void 0!==x$2.Pebble,bo$1=/web0s(?!.*chrome)/i.test(X$2),wo$1=Ft$2.f,xo$1=go$1.set,So$1=x$2.MutationObserver||x$2.WebKitMutationObserver,jo$1=x$2.document,Eo$1=x$2.process,Oo$1=x$2.Promise,Po$1=wo$1(x$2,"queueMicrotask"),To$1=Po$1&&Po$1.value;To$1||(ao$1=function(){var t,e;for(qr$1&&(t=Eo$1.domain)&&t.exit();fo$1;){e=fo$1.fn,fo$1=fo$1.next;try{e();}catch(t){throw fo$1?lo$1():so$1=void 0,t}}so$1=void 0,t&&t.enter();},Kr$1||qr$1||bo$1||!So$1||!jo$1?!mo$1&&Oo$1&&Oo$1.resolve?((ho$1=Oo$1.resolve(void 0)).constructor=Oo$1,yo$1=sr$1(ho$1.then,ho$1),lo$1=function(){yo$1(ao$1);}):qr$1?lo$1=function(){Eo$1.nextTick(ao$1);}:(xo$1=sr$1(xo$1,x$2),lo$1=function(){xo$1(ao$1);}):(po$1=!0,vo$1=jo$1.createTextNode(""),new So$1(ao$1).observe(vo$1,{characterData:!0}),lo$1=function(){vo$1.data=po$1=!po$1;}));var Io$1,Mo$1,Ro$1,ko$1,_o$1,Ao$1,No$1,Co$1=To$1||function(t){var e={fn:t,next:void 0};so$1&&(so$1.next=e),fo$1||(fo$1=e,lo$1()),so$1=e;},Vo$1=function(t){var e,n;this.promise=new t((function(t,r){if(void 0!==e||void 0!==n)throw TypeError("Bad Promise constructor");e=t,n=r;})),this.resolve=ft$2(e),this.reject=ft$2(n);},$o$1={f:function(t){return new Vo$1(t)}},Fo$1=function(t){try{return {error:!1,value:t()}}catch(t){return {error:!0,value:t}}},zo$1="object"==typeof window,Do$1=go$1.set,Ho$1=It$2("species"),Wo$1=fe$2.get,Lo$1=fe$2.set,Uo$1=fe$2.getterFor("Promise"),Bo$1=er$1&&er$1.prototype,Go$1=er$1,Ko$1=Bo$1,qo$1=x$2.TypeError,Yo$1=x$2.document,Xo$1=x$2.process,Jo$1=$o$1.f,Qo$1=Jo$1,Zo$1=!!(Yo$1&&Yo$1.createEvent&&x$2.dispatchEvent),ti$1=B$2(x$2.PromiseRejectionEvent),ei$1=!1,ni$1=De$2("Promise",(function(){var t=Xt$2(Go$1),e=t!==String(Go$1);if(!e&&66===et$2)return !0;if(et$2>=51&&/native code/.test(t))return !1;var n=new Go$1((function(t){t(1);})),r=function(t){t((function(){}),(function(){}));};return (n.constructor={})[Ho$1]=r,!(ei$1=n.then((function(){}))instanceof r)||!e&&zo$1&&!ti$1})),ri$1=ni$1||!function(t,e){if(!e&&!jr$1)return !1;var n=!1;try{var r={};r[Sr$1]=function(){return {next:function(){return {done:n=!0}}}},t(r);}catch(t){}return n}((function(t){Go$1.all(t).catch((function(){}));})),oi$1=function(t){var e;return !(!G$2(t)||!B$2(e=t.then))&&e},ii$1=function(t,e){if(!t.notified){t.notified=!0;var n=t.reactions;Co$1((function(){for(var r=t.value,o=1==t.state,i=0;n.length>i;){var c,u,a,f=n[i++],s=o?f.ok:f.fail,l=f.resolve,d=f.reject,p=f.domain;try{s?(o||(2===t.rejection&&fi$1(t),t.rejection=1),!0===s?c=r:(p&&p.enter(),c=s(r),p&&(p.exit(),a=!0)),c===f.promise?d(qo$1("Promise-chain cycle")):(u=oi$1(c))?O$2(u,c,l,d):l(c)):d(r);}catch(t){p&&!a&&p.exit(),d(t);}}t.reactions=[],t.notified=!1,e&&!t.rejection&&ui$1(t);}));}},ci$1=function(t,e,n){var r,o;Zo$1?((r=Yo$1.createEvent("Event")).promise=e,r.reason=n,r.initEvent(t,!1,!0),x$2.dispatchEvent(r)):r={promise:e,reason:n},!ti$1&&(o=x$2["on"+t])?o(r):"unhandledrejection"===t&&function(t,e){var n=x$2.console;n&&n.error&&(1==arguments.length?n.error(t):n.error(t,e));}("Unhandled promise rejection",n);},ui$1=function(t){O$2(Do$1,x$2,(function(){var e,n=t.facade,r=t.value;if(ai$1(t)&&(e=Fo$1((function(){qr$1?Xo$1.emit("unhandledRejection",r,n):ci$1("unhandledrejection",n,r);})),t.rejection=qr$1||ai$1(t)?2:1,e.error))throw e.value}));},ai$1=function(t){return 1!==t.rejection&&!t.parent},fi$1=function(t){O$2(Do$1,x$2,(function(){var e=t.facade;qr$1?Xo$1.emit("rejectionHandled",e):ci$1("rejectionhandled",e,t.value);}));},si$1=function(t,e,n){return function(r){t(e,r,n);}},li$1=function(t,e,n){t.done||(t.done=!0,n&&(t=n),t.value=e,t.state=2,ii$1(t,!0));},di$1=function(t,e,n){if(!t.done){t.done=!0,n&&(t=n);try{if(t.facade===e)throw qo$1("Promise can't be resolved itself");var r=oi$1(e);r?Co$1((function(){var n={done:!1};try{O$2(r,e,si$1(di$1,n,t),si$1(li$1,n,t));}catch(e){li$1(n,e,t);}})):(t.value=e,t.state=1,ii$1(t,!1));}catch(e){li$1({done:!1},e,t);}}};if(ni$1&&(Ko$1=(Go$1=function(t){!function(t,e){if(Y$2(e,t))return t;throw ar$1("Incorrect invocation")}(this,Ko$1),ft$2(t),O$2(Io$1,this);var e=Wo$1(this);try{t(si$1(di$1,e),si$1(li$1,e));}catch(t){li$1(e,t);}}).prototype,(Io$1=function(t){Lo$1(this,{type:"Promise",done:!1,notified:!1,parent:!1,reactions:[],rejection:!1,state:0,value:void 0});}).prototype=function(t,e,n){for(var r in e)ve$2(t,r,e[r],n);return t}(Ko$1,{then:function(t,e){var n=Uo$1(this),r=n.reactions,o=Jo$1(Dr$1(this,Go$1));return o.ok=!B$2(t)||t,o.fail=B$2(e)&&e,o.domain=qr$1?Xo$1.domain:void 0,n.parent=!0,r[r.length]=o,0!=n.state&&ii$1(n,!1),o.promise},catch:function(t){return this.then(void 0,t)}}),Mo$1=function(){var t=new Io$1,e=Wo$1(t);this.promise=t,this.resolve=si$1(di$1,e),this.reject=si$1(li$1,e);},$o$1.f=Jo$1=function(t){return t===Go$1||t===Ro$1?new Mo$1(t):Qo$1(t)},B$2(er$1)&&Bo$1!==Object.prototype)){ko$1=Bo$1.then,ei$1||(ve$2(Bo$1,"then",(function(t,e){var n=this;return new Go$1((function(t,e){O$2(ko$1,n,t,e);})).then(t,e)}),{unsafe:!0}),ve$2(Bo$1,"catch",Ko$1.catch,{unsafe:!0}));try{delete Bo$1.constructor;}catch(t){}or$1&&or$1(Bo$1,Ko$1);}We$2({global:!0,wrap:!0,forced:ni$1},{Promise:Go$1}),Ao$1="Promise",No$1=!1,(_o$1=Go$1)&&!bt$2(_o$1=No$1?_o$1:_o$1.prototype,cr$1)&&ir$1(_o$1,cr$1,{configurable:!0,value:Ao$1}),function(t){var e=q$2(t),n=Ut$2.f;j$2&&e&&!e[ur$1]&&n(e,ur$1,{configurable:!0,get:function(){return this}});}("Promise"),Ro$1=q$2("Promise"),We$2({target:"Promise",stat:!0,forced:ni$1},{reject:function(t){var e=Jo$1(this);return O$2(e.reject,void 0,t),e.promise}}),We$2({target:"Promise",stat:!0,forced:ni$1},{resolve:function(t){return function(t,e){if(Ht$2(t),G$2(e)&&e.constructor===t)return e;var n=$o$1.f(t);return (0, n.resolve)(e),n.promise}(this,t)}}),We$2({target:"Promise",stat:!0,forced:ri$1},{all:function(t){var e=this,n=Jo$1(e),r=n.resolve,o=n.reject,i=Fo$1((function(){var n=ft$2(e.resolve),i=[],c=0,u=1;xr$1(t,(function(t){var a=c++,f=!1;u++,O$2(n,e,t).then((function(t){f||(f=!0,i[a]=t,--u||r(i));}),o);})),--u||r(i);}));return i.error&&o(i.value),n.promise},race:function(t){var e=this,n=Jo$1(e),r=n.reject,o=Fo$1((function(){var o=ft$2(e.resolve);xr$1(t,(function(t){O$2(o,e,t).then(n.resolve,r);}));}));return o.error&&r(o.value),n.promise}}),$$6.fn.append=append,$$6.fn.on=on$7,$$6.fn.focus=focus,$$6.fn.attr=attr,$$6.fn.val=val,$$6.fn.html=html;var pi$1=It$2("species"),vi$1=RegExp.prototype,hi$1=C$2("".charAt),yi$1=C$2("".charCodeAt),gi$1=C$2("".slice),mi$1=function(t){return function(e,n){var r,o,i=Je$2(L$2(e)),c=ge$2(n),u=i.length;return c<0||c>=u?t?"":void 0:(r=yi$1(i,c))<55296||r>56319||c+1===u||(o=yi$1(i,c+1))<56320||o>57343?t?hi$1(i,c):r:t?gi$1(i,c,c+2):o-56320+(r-55296<<10)+65536}},bi$1={codeAt:mi$1(!1),charAt:mi$1(!0)}.charAt,wi$1=function(t,e,n){return e+(n?bi$1(t,e).length:1)},xi$1=Math.floor,Si$1=C$2("".charAt),ji$1=C$2("".replace),Ei$1=C$2("".slice),Oi$1=/\$([$&'`]|\d{1,2}|<[^>]*>)/g,Pi$1=/\$([$&'`]|\d{1,2})/g,Ti$1=function(t,e,n,r,o,i){var c=n+t.length,u=r.length,a=Pi$1;return void 0!==o&&(o=gt$2(o),a=Oi$1),ji$1(i,a,(function(i,a){var f;switch(Si$1(a,0)){case"$":return "$";case"&":return t;case"`":return Ei$1(e,0,n);case"'":return Ei$1(e,c);case"<":f=o[Ei$1(a,1,-1)];break;default:var s=+a;if(0===s)return i;if(s>u){var l=xi$1(s/10);return 0===l?i:l<=u?void 0===r[l-1]?Si$1(a,1):r[l-1]+Si$1(a,1):i}f=r[s-1];}return void 0===f?"":f}))},Ii$1=x$2.TypeError,Mi$1=function(t,e){var n=t.exec;if(B$2(n)){var r=O$2(n,t,e);return null!==r&&Ht$2(r),r}if("RegExp"===F$2(t))return O$2(Zn$2,t,e);throw Ii$1("RegExp#exec called on incompatible receiver")},Ri$1=It$2("replace"),ki$1=Math.max,_i$1=Math.min,Ai$1=C$2([].concat),Ni$1=C$2([].push),Ci$1=C$2("".indexOf),Vi$1=C$2("".slice),$i=function(t){return void 0===t?t:String(t)},Fi$1="$0"==="a".replace(/./,"$0"),zi$1=!!/./[Ri$1]&&""===/./[Ri$1]("a","$0");!function(t,e,n,r){var o=It$2(t),i=!S$2((function(){var e={};return e[o]=function(){return 7},7!=""[t](e)})),c=i&&!S$2((function(){var e=!1,n=/a/;return "split"===t&&((n={}).constructor={},n.constructor[pi$1]=function(){return n},n.flags="",n[o]=/./[o]),n.exec=function(){return e=!0,null},n[o](""),!e}));if(!i||!c||n){var u=C$2(/./[o]),a=e(o,""[t],(function(t,e,n,r,o){var c=C$2(t),a=e.exec;return a===Zn$2||a===vi$1.exec?i&&!o?{done:!0,value:u(e,n,r)}:{done:!0,value:c(n,e,r)}:{done:!1}}));ve$2(String.prototype,t,a[0]),ve$2(vi$1,o,a[1]);}r&&Bt$2(vi$1[o],"sham",!0);}("replace",(function(t,e,n){var r=zi$1?"$":"$0";return [function(t,n){var r=L$2(this),o=null==t?void 0:st$2(t,Ri$1);return o?O$2(o,t,r,n):O$2(e,Je$2(r),t,n)},function(t,o){var i=Ht$2(this),c=Je$2(t);if("string"==typeof o&&-1===Ci$1(o,r)&&-1===Ci$1(o,"$<")){var u=n(e,i,c,o);if(u.done)return u.value}var a=B$2(o);a||(o=Je$2(o));var f=i.global;if(f){var s=i.unicode;i.lastIndex=0;}for(var l=[];;){var d=Mi$1(i,c);if(null===d)break;if(Ni$1(l,d),!f)break;""===Je$2(d[0])&&(i.lastIndex=wi$1(c,xe$2(i.lastIndex),s));}for(var p="",v=0,h=0;h<l.length;h++){for(var y=Je$2((d=l[h])[0]),g=ki$1(_i$1(ge$2(d.index),c.length),0),m=[],b=1;b<d.length;b++)Ni$1(m,$i(d[b]));var w=d.groups;if(a){var x=Ai$1([y],m,g,c);void 0!==w&&Ni$1(x,w);var S=Je$2(Br$1(o,void 0,x));}else S=Ti$1(y,c,g,m,w,o);g>=v&&(p+=Vi$1(c,v,g)+S,v=g+y.length);}return p+Vi$1(c,v)}]}),!!S$2((function(){var t=/./;return t.exec=function(){var t=[];return t.groups={a:"7"},t},"7"!=="".replace(t,"$<a>")}))||!Fi$1||zi$1);function Di$1(){return void 0===(t="w-e-insert-video")&&(t="r"),t+"-"+nanoid$3();var t;}var Hi$1=function(){function t(){this.title=bh("videoModule.insertVideo"),this.iconSvg='<svg viewBox="0 0 1024 1024"><path d="M981.184 160.096C837.568 139.456 678.848 128 512 128S186.432 139.456 42.816 160.096C15.296 267.808 0 386.848 0 512s15.264 244.16 42.816 351.904C186.464 884.544 345.152 896 512 896s325.568-11.456 469.184-32.096C1008.704 756.192 1024 637.152 1024 512s-15.264-244.16-42.816-351.904zM384 704V320l320 192-320 192z"></path></svg>',this.tag="button",this.showModal=!0,this.modalWidth=320,this.$content=null,this.srcInputId=Di$1(),this.buttonId=Di$1();}return t.prototype.getValue=function(t){return ""},t.prototype.isActive=function(t){return !1},t.prototype.exec=function(t,e){},t.prototype.isDisabled=function(t){var e=t.selection;return null==e||!Range.isCollapsed(e)},t.prototype.getModalPositionNode=function(t){return null},t.prototype.getModalContentElem=function(t){var e=this,i=this.srcInputId,c=this.buttonId,u=sn$2(ed$1(bh("videoModule.videoSrc"),i,bh("videoModule.insertPlaceHolder")),2),f=u[0],s=u[1],l=sn$2(td$1(c,bh("videoModule.ok")),1)[0];if(null==this.$content){var d=$$6("<div></div>");d.on("click","#"+c,(function(n){return an$2(e,void 0,void 0,(function(){var e;return fn$2(this,(function(r){switch(r.label){case 0:return n.preventDefault(),e=$$6("#"+i).val().trim(),[4,this.insertVideo(t,e)];case 1:return r.sent(),t.hidePanelOrModal(),[2]}}))}))})),this.$content=d;}var p=this.$content;return p.html(""),p.append(f),p.append(l),s.val(""),setTimeout((function(){$$6("#"+i).focus();})),p},t.prototype.insertVideo=function(t,e){return an$2(this,void 0,void 0,(function(){var n,r,o,c;return fn$2(this,(function(u){switch(u.label){case 0:return e?(t.restoreSelection(),this.isDisabled(t)?[2]:(n=t.getMenuConfig("insertVideo"),r=n.onInsertedVideo,[4,(0, n.checkVideo)(e)])):[2];case 1:return "string"==typeof(o=u.sent())?(t.alert(o,"error"),[2]):(null==o||(0!==e.trim().indexOf("<iframe")&&(e=e.replace(/</g,"&lt;").replace(/>/g,"&gt;")),c={type:"video",src:e,children:[{text:""}]},Promise.resolve().then((function(){Transforms.insertNodes(t,c);})),r(c)),[2])}}))}))},t}(),Wi$1=function(){function t(){this.title=bh("videoModule.delete"),this.iconSvg='<svg viewBox="0 0 1024 1024"><path d="M826.8032 356.5312c-19.328 0-36.3776 15.6928-36.3776 35.0464v524.2624c0 19.328-16 34.56-35.328 34.56H264.9344c-19.328 0-35.5072-15.3088-35.5072-34.56V390.0416c0-19.328-14.1568-35.0464-33.5104-35.0464s-33.5104 15.6928-33.5104 35.0464V915.712c0 57.9328 44.6208 108.288 102.528 108.288H755.2c57.9328 0 108.0832-50.4576 108.0832-108.288V391.4752c-0.1024-19.2512-17.1264-34.944-36.48-34.944z" p-id="9577"></path><path d="M437.1712 775.7568V390.6048c0-19.328-14.1568-35.0464-33.5104-35.0464s-33.5104 15.616-33.5104 35.0464v385.152c0 19.328 14.1568 35.0464 33.5104 35.0464s33.5104-15.7184 33.5104-35.0464zM649.7024 775.7568V390.6048c0-19.328-17.0496-35.0464-36.3776-35.0464s-36.3776 15.616-36.3776 35.0464v385.152c0 19.328 17.0496 35.0464 36.3776 35.0464s36.3776-15.7184 36.3776-35.0464zM965.0432 217.0368h-174.6176V145.5104c0-57.9328-47.2064-101.76-104.6528-101.76h-350.976c-57.8304 0-105.3952 43.8528-105.3952 101.76v71.5264H54.784c-19.4304 0-35.0464 14.1568-35.0464 33.5104 0 19.328 15.616 33.5104 35.0464 33.5104h910.3616c19.328 0 35.0464-14.1568 35.0464-33.5104 0-19.3536-15.6928-33.5104-35.1488-33.5104z m-247.3728 0H297.3952V145.5104c0-19.328 18.2016-34.7648 37.4272-34.7648h350.976c19.1488 0 31.872 15.1296 31.872 34.7648v71.5264z"></path></svg>',this.tag="button";}return t.prototype.getValue=function(t){return ""},t.prototype.isActive=function(t){return !1},t.prototype.isDisabled=function(t){return null==t.selection||null==ms$1.getSelectedNodeByType(t,"video")},t.prototype.exec=function(t,n){this.isDisabled(t)||Transforms.removeNodes(t,{match:function(t){return ms$1.checkNodeType(t,"video")}});},t}();var Li$1={renderElems:[xn$2],elemsToHtml:[jn$2],menus:[{key:"insertVideo",factory:function(){return new Hi$1},config:{onInsertedVideo:function(t){},checkVideo:function(t){return !0}}},{key:"deleteVideo",factory:function(){return new Wi$1}}],editorPlugin:function(t){var n=t.isVoid,r=t.normalizeNode,o=t;return o.isVoid=function(t){return "video"===t.type||n(t)},o.normalizeNode=function(t){var n=sn$2(t,2),c=n[0],u=n[1];if("video"===ms$1.getNodeType(c)){var a=(o.children||[])[u[0]+1]||{},f=ms$1.getNodeType(a);if("paragraph"!==f&&"blockquote"!==f&&!f.startsWith("header")){var s=[u[0]+1];Transforms.insertNodes(o,{type:"paragraph",children:[{text:""}]},{at:s});}}return r([c,u])},o}};

  mh("en",{uploadImgModule:{uploadImage:"Upload Image",uploadError:"{{fileName}} upload error"}}),mh("zh-CN",{uploadImgModule:{uploadImage:"上传图片",uploadError:"{{fileName}} 上传出错"}});var v$1="undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:{};function h$1(t){var e={exports:{}};return t(e,e.exports),e.exports}var g$1,y$1,b$1=function(t){return t&&t.Math==Math&&t},m$1=b$1("object"==typeof globalThis&&globalThis)||b$1("object"==typeof window&&window)||b$1("object"==typeof self&&self)||b$1("object"==typeof v$1&&v$1)||function(){return this}()||Function("return this")(),w$1=function(t){try{return !!t()}catch(t){return !0}},S$1=!w$1((function(){return 7!=Object.defineProperty({},1,{get:function(){return 7}})[1]})),x$1=Function.prototype.call,O$1=x$1.bind?x$1.bind(x$1):function(){return x$1.apply(x$1,arguments)},E$1={}.propertyIsEnumerable,j$1=Object.getOwnPropertyDescriptor,I$1=j$1&&!E$1.call({1:2},1)?function(t){var e=j$1(this,t);return !!e&&e.enumerable}:E$1,A$1={f:I$1},T$1=function(t,e){return {enumerable:!(1&t),configurable:!(2&t),writable:!(4&t),value:e}},P$1=Function.prototype,R$1=P$1.bind,L$1=P$1.call,M$1=R$1&&R$1.bind(L$1),_$1=R$1?function(t){return t&&M$1(L$1,t)}:function(t){return t&&function(){return L$1.apply(t,arguments)}},k$1=_$1({}.toString),F$1=_$1("".slice),C$1=function(t){return F$1(k$1(t),8,-1)},z$1=m$1.Object,N$1=_$1("".split),D$1=w$1((function(){return !z$1("z").propertyIsEnumerable(0)}))?function(t){return "String"==C$1(t)?N$1(t,""):z$1(t)}:z$1,U$1=m$1.TypeError,B$1=function(t){if(null==t)throw U$1("Can't call method on "+t);return t},G$1=function(t){return D$1(B$1(t))},W$1=function(t){return "function"==typeof t},V$1=function(t){return "object"==typeof t?null!==t:W$1(t)},H$1=function(t){return W$1(t)?t:void 0},K$1=function(t,e){return arguments.length<2?H$1(m$1[t]):m$1[t]&&m$1[t][e]},Y$1=_$1({}.isPrototypeOf),X$1=K$1("navigator","userAgent")||"",q$1=m$1.process,$$1=m$1.Deno,J$1=q$1&&q$1.versions||$$1&&$$1.version,Q$1=J$1&&J$1.v8;Q$1&&(y$1=(g$1=Q$1.split("."))[0]>0&&g$1[0]<4?1:+(g$1[0]+g$1[1])),!y$1&&X$1&&(!(g$1=X$1.match(/Edge\/(\d+)/))||g$1[1]>=74)&&(g$1=X$1.match(/Chrome\/(\d+)/))&&(y$1=+g$1[1]);var Z$1=y$1,tt$1=!!Object.getOwnPropertySymbols&&!w$1((function(){var t=Symbol();return !String(t)||!(Object(t)instanceof Symbol)||!Symbol.sham&&Z$1&&Z$1<41})),et$1=tt$1&&!Symbol.sham&&"symbol"==typeof Symbol.iterator,nt$1=m$1.Object,rt$1=et$1?function(t){return "symbol"==typeof t}:function(t){var e=K$1("Symbol");return W$1(e)&&Y$1(e.prototype,nt$1(t))},ot$1=m$1.String,it$1=function(t){try{return ot$1(t)}catch(t){return "Object"}},ut$1=m$1.TypeError,at$1=function(t){if(W$1(t))return t;throw ut$1(it$1(t)+" is not a function")},ct$1=function(t,e){var n=t[e];return null==n?void 0:at$1(n)},ft$1=m$1.TypeError,st$1=Object.defineProperty,lt$1=function(t,e){try{st$1(m$1,t,{value:e,configurable:!0,writable:!0});}catch(n){m$1[t]=e;}return e},pt$1=m$1["__core-js_shared__"]||lt$1("__core-js_shared__",{}),dt$1=h$1((function(t){(t.exports=function(t,e){return pt$1[t]||(pt$1[t]=void 0!==e?e:{})})("versions",[]).push({version:"3.19.1",mode:"global",copyright:"© 2021 Denis Pushkarev (zloirock.ru)"});})),vt$1=m$1.Object,ht$1=function(t){return vt$1(B$1(t))},gt$1=_$1({}.hasOwnProperty),yt$1=Object.hasOwn||function(t,e){return gt$1(ht$1(t),e)},bt$1=0,mt$1=Math.random(),wt$1=_$1(1..toString),St$1=function(t){return "Symbol("+(void 0===t?"":t)+")_"+wt$1(++bt$1+mt$1,36)},xt$1=dt$1("wks"),Ot$1=m$1.Symbol,Et$1=Ot$1&&Ot$1.for,jt$1=et$1?Ot$1:Ot$1&&Ot$1.withoutSetter||St$1,It$1=function(t){if(!yt$1(xt$1,t)||!tt$1&&"string"!=typeof xt$1[t]){var e="Symbol."+t;tt$1&&yt$1(Ot$1,t)?xt$1[t]=Ot$1[t]:xt$1[t]=et$1&&Et$1?Et$1(e):jt$1(e);}return xt$1[t]},At$1=m$1.TypeError,Tt$1=It$1("toPrimitive"),Pt$1=function(t,e){if(!V$1(t)||rt$1(t))return t;var n,r=ct$1(t,Tt$1);if(r){if(void 0===e&&(e="default"),n=O$1(r,t,e),!V$1(n)||rt$1(n))return n;throw At$1("Can't convert object to primitive value")}return void 0===e&&(e="number"),function(t,e){var n,r;if("string"===e&&W$1(n=t.toString)&&!V$1(r=O$1(n,t)))return r;if(W$1(n=t.valueOf)&&!V$1(r=O$1(n,t)))return r;if("string"!==e&&W$1(n=t.toString)&&!V$1(r=O$1(n,t)))return r;throw ft$1("Can't convert object to primitive value")}(t,e)},Rt$1=function(t){var e=Pt$1(t,"string");return rt$1(e)?e:e+""},Lt$1=m$1.document,Mt$1=V$1(Lt$1)&&V$1(Lt$1.createElement),_t$1=function(t){return Mt$1?Lt$1.createElement(t):{}},kt$1=!S$1&&!w$1((function(){return 7!=Object.defineProperty(_t$1("div"),"a",{get:function(){return 7}}).a})),Ft$1=Object.getOwnPropertyDescriptor,Ct$1={f:S$1?Ft$1:function(t,e){if(t=G$1(t),e=Rt$1(e),kt$1)try{return Ft$1(t,e)}catch(t){}if(yt$1(t,e))return T$1(!O$1(A$1.f,t,e),t[e])}},zt$1=m$1.String,Nt$1=m$1.TypeError,Dt$1=function(t){if(V$1(t))return t;throw Nt$1(zt$1(t)+" is not an object")},Ut$1=m$1.TypeError,Bt$1=Object.defineProperty,Gt$1={f:S$1?Bt$1:function(t,e,n){if(Dt$1(t),e=Rt$1(e),Dt$1(n),kt$1)try{return Bt$1(t,e,n)}catch(t){}if("get"in n||"set"in n)throw Ut$1("Accessors not supported");return "value"in n&&(t[e]=n.value),t}},Wt$1=S$1?function(t,e,n){return Gt$1.f(t,e,T$1(1,n))}:function(t,e,n){return t[e]=n,t},Vt$1=_$1(Function.toString);W$1(pt$1.inspectSource)||(pt$1.inspectSource=function(t){return Vt$1(t)});var Ht$1,Kt$1,Yt$1,Xt$1=pt$1.inspectSource,qt$1=m$1.WeakMap,$t$1=W$1(qt$1)&&/native code/.test(Xt$1(qt$1)),Jt$1=dt$1("keys"),Qt$1=function(t){return Jt$1[t]||(Jt$1[t]=St$1(t))},Zt$1={},te$1=m$1.TypeError,ee$1=m$1.WeakMap;if($t$1||pt$1.state){var ne$1=pt$1.state||(pt$1.state=new ee$1),re$1=_$1(ne$1.get),oe$1=_$1(ne$1.has),ie$1=_$1(ne$1.set);Ht$1=function(t,e){if(oe$1(ne$1,t))throw new te$1("Object already initialized");return e.facade=t,ie$1(ne$1,t,e),e},Kt$1=function(t){return re$1(ne$1,t)||{}},Yt$1=function(t){return oe$1(ne$1,t)};}else {var ue$1=Qt$1("state");Zt$1[ue$1]=!0,Ht$1=function(t,e){if(yt$1(t,ue$1))throw new te$1("Object already initialized");return e.facade=t,Wt$1(t,ue$1,e),e},Kt$1=function(t){return yt$1(t,ue$1)?t[ue$1]:{}},Yt$1=function(t){return yt$1(t,ue$1)};}var ae$1={set:Ht$1,get:Kt$1,has:Yt$1,enforce:function(t){return Yt$1(t)?Kt$1(t):Ht$1(t,{})},getterFor:function(t){return function(e){var n;if(!V$1(e)||(n=Kt$1(e)).type!==t)throw te$1("Incompatible receiver, "+t+" required");return n}}},ce$1=Function.prototype,fe$1=S$1&&Object.getOwnPropertyDescriptor,se$1=yt$1(ce$1,"name"),le$1={EXISTS:se$1,PROPER:se$1&&"something"===function(){}.name,CONFIGURABLE:se$1&&(!S$1||S$1&&fe$1(ce$1,"name").configurable)},pe$1=h$1((function(t){var e=le$1.CONFIGURABLE,n=ae$1.get,r=ae$1.enforce,o=String(String).split("String");(t.exports=function(t,n,i,u){var a,c=!!u&&!!u.unsafe,f=!!u&&!!u.enumerable,s=!!u&&!!u.noTargetGet,l=u&&void 0!==u.name?u.name:n;W$1(i)&&("Symbol("===String(l).slice(0,7)&&(l="["+String(l).replace(/^Symbol\(([^)]*)\)/,"$1")+"]"),(!yt$1(i,"name")||e&&i.name!==l)&&Wt$1(i,"name",l),(a=r(i)).source||(a.source=o.join("string"==typeof l?l:""))),t!==m$1?(c?!s&&t[n]&&(f=!0):delete t[n],f?t[n]=i:Wt$1(t,n,i)):f?t[n]=i:lt$1(n,i);})(Function.prototype,"toString",(function(){return W$1(this)&&n(this).source||Xt$1(this)}));})),de$1=Math.ceil,ve$1=Math.floor,he$1=function(t){var e=+t;return e!=e||0===e?0:(e>0?ve$1:de$1)(e)},ge$1=Math.max,ye$1=Math.min,be$1=function(t,e){var n=he$1(t);return n<0?ge$1(n+e,0):ye$1(n,e)},me$1=Math.min,we$1=function(t){return t>0?me$1(he$1(t),9007199254740991):0},Se$1=function(t){return we$1(t.length)},xe$1=function(t){return function(e,n,r){var o,i=G$1(e),u=Se$1(i),a=be$1(r,u);if(t&&n!=n){for(;u>a;)if((o=i[a++])!=o)return !0}else for(;u>a;a++)if((t||a in i)&&i[a]===n)return t||a||0;return !t&&-1}},Oe$1={includes:xe$1(!0),indexOf:xe$1(!1)}.indexOf,Ee$1=_$1([].push),je$1=function(t,e){var n,r=G$1(t),o=0,i=[];for(n in r)!yt$1(Zt$1,n)&&yt$1(r,n)&&Ee$1(i,n);for(;e.length>o;)yt$1(r,n=e[o++])&&(~Oe$1(i,n)||Ee$1(i,n));return i},Ie$1=["constructor","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","toLocaleString","toString","valueOf"],Ae$1=Ie$1.concat("length","prototype"),Te$1={f:Object.getOwnPropertyNames||function(t){return je$1(t,Ae$1)}},Pe$1={f:Object.getOwnPropertySymbols},Re$1=_$1([].concat),Le$1=K$1("Reflect","ownKeys")||function(t){var e=Te$1.f(Dt$1(t)),n=Pe$1.f;return n?Re$1(e,n(t)):e},Me$1=function(t,e){for(var n=Le$1(e),r=Gt$1.f,o=Ct$1.f,i=0;i<n.length;i++){var u=n[i];yt$1(t,u)||r(t,u,o(e,u));}},_e$1=/#|\.prototype\./,ke$1=function(t,e){var n=Ce$1[Fe$1(t)];return n==Ne$1||n!=ze$1&&(W$1(e)?w$1(e):!!e)},Fe$1=ke$1.normalize=function(t){return String(t).replace(_e$1,".").toLowerCase()},Ce$1=ke$1.data={},ze$1=ke$1.NATIVE="N",Ne$1=ke$1.POLYFILL="P",De$1=ke$1,Ue$1=Ct$1.f,Be$1=function(t,e){var n,r,o,i,u,a=t.target,c=t.global,f=t.stat;if(n=c?m$1:f?m$1[a]||lt$1(a,{}):(m$1[a]||{}).prototype)for(r in e){if(i=e[r],o=t.noTargetGet?(u=Ue$1(n,r))&&u.value:n[r],!De$1(c?r:a+(f?".":"#")+r,t.forced)&&void 0!==o){if(typeof i==typeof o)continue;Me$1(i,o);}(t.sham||o&&o.sham)&&Wt$1(i,"sham",!0),pe$1(n,r,i,t);}},Ge$1=Array.isArray||function(t){return "Array"==C$1(t)},We$1={};We$1[It$1("toStringTag")]="z";var Ve$1,He$1="[object z]"===String(We$1),Ke$1=It$1("toStringTag"),Ye$1=m$1.Object,Xe$1="Arguments"==C$1(function(){return arguments}()),qe$1=He$1?C$1:function(t){var e,n,r;return void 0===t?"Undefined":null===t?"Null":"string"==typeof(n=function(t,e){try{return t[e]}catch(t){}}(e=Ye$1(t),Ke$1))?n:Xe$1?C$1(e):"Object"==(r=C$1(e))&&W$1(e.callee)?"Arguments":r},$e$1=function(){},Je$1=[],Qe$1=K$1("Reflect","construct"),Ze$1=/^\s*(?:class|function)\b/,tn$1=_$1(Ze$1.exec),en$1=!Ze$1.exec($e$1),nn$1=function(t){if(!W$1(t))return !1;try{return Qe$1($e$1,Je$1,t),!0}catch(t){return !1}},rn$1=!Qe$1||w$1((function(){var t;return nn$1(nn$1.call)||!nn$1(Object)||!nn$1((function(){t=!0;}))||t}))?function(t){if(!W$1(t))return !1;switch(qe$1(t)){case"AsyncFunction":case"GeneratorFunction":case"AsyncGeneratorFunction":return !1}return en$1||!!tn$1(Ze$1,Xt$1(t))}:nn$1,on$1=It$1("species"),un$1=_$1([].slice),an$1=(Ve$1="slice",Z$1>=51||!w$1((function(){var t=[];return (t.constructor={})[on$1]=function(){return {foo:1}},1!==t[Ve$1](Boolean).foo}))),cn$1=It$1("species"),fn$1=m$1.Array,sn$1=Math.max;Be$1({target:"Array",proto:!0,forced:!an$1},{slice:function(t,e){var n,r,o,i,u,a,c,f=G$1(this),s=Se$1(f),l=be$1(t,s),p=be$1(void 0===e?s:e,s);if(Ge$1(f)&&(n=f.constructor,(rn$1(n)&&(n===fn$1||Ge$1(n.prototype))||V$1(n)&&null===(n=n[cn$1]))&&(n=void 0),n===fn$1||void 0===n))return un$1(f,l,p);for(r=new(void 0===n?fn$1:n)(sn$1(p-l,0)),o=0;l<p;l++,o++)l in f&&(i=r,u=o,a=f[l],c=void 0,(c=Rt$1(u))in i?Gt$1.f(i,c,T$1(0,a)):i[c]=a);return r.length=o,r}});var ln$1=He$1?{}.toString:function(){return "[object "+qe$1(this)+"]"};He$1||pe$1(Object.prototype,"toString",ln$1,{unsafe:!0});var pn$1,dn$1=m$1.String,vn$1=function(t){if("Symbol"===qe$1(t))throw TypeError("Cannot convert a Symbol value to a string");return dn$1(t)},hn$1=function(){var t=Dt$1(this),e="";return t.global&&(e+="g"),t.ignoreCase&&(e+="i"),t.multiline&&(e+="m"),t.dotAll&&(e+="s"),t.unicode&&(e+="u"),t.sticky&&(e+="y"),e},gn$1=m$1.RegExp,yn$1={UNSUPPORTED_Y:w$1((function(){var t=gn$1("a","y");return t.lastIndex=2,null!=t.exec("abcd")})),BROKEN_CARET:w$1((function(){var t=gn$1("^r","gy");return t.lastIndex=2,null!=t.exec("str")}))},bn$1=Object.keys||function(t){return je$1(t,Ie$1)},mn$1=S$1?Object.defineProperties:function(t,e){Dt$1(t);for(var n,r=G$1(e),o=bn$1(e),i=o.length,u=0;i>u;)Gt$1.f(t,n=o[u++],r[n]);return t},wn$1=K$1("document","documentElement"),Sn$1=Qt$1("IE_PROTO"),xn$1=function(){},On$1=function(t){return "<script>"+t+"<\/script>"},En$1=function(t){t.write(On$1("")),t.close();var e=t.parentWindow.Object;return t=null,e},jn$1=function(){try{pn$1=new ActiveXObject("htmlfile");}catch(t){}var t,e;jn$1="undefined"!=typeof document?document.domain&&pn$1?En$1(pn$1):((e=_t$1("iframe")).style.display="none",wn$1.appendChild(e),e.src=String("javascript:"),(t=e.contentWindow.document).open(),t.write(On$1("document.F=Object")),t.close(),t.F):En$1(pn$1);for(var n=Ie$1.length;n--;)delete jn$1.prototype[Ie$1[n]];return jn$1()};Zt$1[Sn$1]=!0;var In$1,An$1,Tn$1=Object.create||function(t,e){var n;return null!==t?(xn$1.prototype=Dt$1(t),n=new xn$1,xn$1.prototype=null,n[Sn$1]=t):n=jn$1(),void 0===e?n:mn$1(n,e)},Pn$1=m$1.RegExp,Rn$1=w$1((function(){var t=Pn$1(".","s");return !(t.dotAll&&t.exec("\n")&&"s"===t.flags)})),Ln$1=m$1.RegExp,Mn$1=w$1((function(){var t=Ln$1("(?<a>b)","g");return "b"!==t.exec("b").groups.a||"bc"!=="b".replace(t,"$<a>c")})),_n$1=ae$1.get,kn$1=dt$1("native-string-replace",String.prototype.replace),Fn$1=RegExp.prototype.exec,Cn$1=Fn$1,zn$1=_$1("".charAt),Nn$1=_$1("".indexOf),Dn$1=_$1("".replace),Un$1=_$1("".slice),Bn$1=(An$1=/b*/g,O$1(Fn$1,In$1=/a/,"a"),O$1(Fn$1,An$1,"a"),0!==In$1.lastIndex||0!==An$1.lastIndex),Gn$1=yn$1.UNSUPPORTED_Y||yn$1.BROKEN_CARET,Wn$1=void 0!==/()??/.exec("")[1];(Bn$1||Wn$1||Gn$1||Rn$1||Mn$1)&&(Cn$1=function(t){var e,n,r,o,i,u,a,c=this,f=_n$1(c),s=vn$1(t),l=f.raw;if(l)return l.lastIndex=c.lastIndex,e=O$1(Cn$1,l,s),c.lastIndex=l.lastIndex,e;var p=f.groups,d=Gn$1&&c.sticky,v=O$1(hn$1,c),h=c.source,g=0,y=s;if(d&&(v=Dn$1(v,"y",""),-1===Nn$1(v,"g")&&(v+="g"),y=Un$1(s,c.lastIndex),c.lastIndex>0&&(!c.multiline||c.multiline&&"\n"!==zn$1(s,c.lastIndex-1))&&(h="(?: "+h+")",y=" "+y,g++),n=new RegExp("^(?:"+h+")",v)),Wn$1&&(n=new RegExp("^"+h+"$(?!\\s)",v)),Bn$1&&(r=c.lastIndex),o=O$1(Fn$1,d?n:c,y),d?o?(o.input=Un$1(o.input,g),o[0]=Un$1(o[0],g),o.index=c.lastIndex,c.lastIndex+=o[0].length):c.lastIndex=0:Bn$1&&o&&(c.lastIndex=c.global?o.index+o[0].length:r),Wn$1&&o&&o.length>1&&O$1(kn$1,o[0],n,(function(){for(i=1;i<arguments.length-2;i++)void 0===arguments[i]&&(o[i]=void 0);})),o&&p)for(o.groups=u=Tn$1(null),i=0;i<p.length;i++)u[(a=p[i])[0]]=o[a[1]];return o});var Vn$1=Cn$1;Be$1({target:"RegExp",proto:!0,forced:/./.exec!==Vn$1},{exec:Vn$1});var Hn$1=Function.prototype,Kn$1=Hn$1.apply,Yn$1=Hn$1.bind,Xn$1=Hn$1.call,qn$1="object"==typeof Reflect&&Reflect.apply||(Yn$1?Xn$1.bind(Kn$1):function(){return Xn$1.apply(Kn$1,arguments)}),$n$1=It$1("species"),Jn$1=RegExp.prototype,Qn$1=It$1("match"),Zn$1=function(t){var e;return V$1(t)&&(void 0!==(e=t[Qn$1])?!!e:"RegExp"==C$1(t))},tr=m$1.TypeError,er=It$1("species"),nr=function(t,e){var n,r=Dt$1(t).constructor;return void 0===r||null==(n=Dt$1(r)[er])?e:function(t){if(rn$1(t))return t;throw tr(it$1(t)+" is not a constructor")}(n)},rr=_$1("".charAt),or=_$1("".charCodeAt),ir=_$1("".slice),ur=function(t){return function(e,n){var r,o,i=vn$1(B$1(e)),u=he$1(n),a=i.length;return u<0||u>=a?t?"":void 0:(r=or(i,u))<55296||r>56319||u+1===a||(o=or(i,u+1))<56320||o>57343?t?rr(i,u):r:t?ir(i,u,u+2):o-56320+(r-55296<<10)+65536}},ar={codeAt:ur(!1),charAt:ur(!0)},cr=ar.charAt,fr=function(t,e,n){return e+(n?cr(t,e).length:1)},sr=m$1.TypeError,lr=function(t,e){var n=t.exec;if(W$1(n)){var r=O$1(n,t,e);return null!==r&&Dt$1(r),r}if("RegExp"===C$1(t))return O$1(Vn$1,t,e);throw sr("RegExp#exec called on incompatible receiver")},pr=yn$1.UNSUPPORTED_Y,dr=Math.min,vr=[].push,hr=_$1(/./.exec),gr=_$1(vr),yr=_$1("".slice);!function(t,e,n,r){var o=It$1(t),i=!w$1((function(){var e={};return e[o]=function(){return 7},7!=""[t](e)})),u=i&&!w$1((function(){var e=!1,n=/a/;return "split"===t&&((n={}).constructor={},n.constructor[$n$1]=function(){return n},n.flags="",n[o]=/./[o]),n.exec=function(){return e=!0,null},n[o](""),!e}));if(!i||!u||n){var a=_$1(/./[o]),c=e(o,""[t],(function(t,e,n,r,o){var u=_$1(t),c=e.exec;return c===Vn$1||c===Jn$1.exec?i&&!o?{done:!0,value:a(e,n,r)}:{done:!0,value:u(n,e,r)}:{done:!1}}));pe$1(String.prototype,t,c[0]),pe$1(Jn$1,o,c[1]);}r&&Wt$1(Jn$1[o],"sham",!0);}("split",(function(t,e,n){var r;return r="c"=="abbc".split(/(b)*/)[1]||4!="test".split(/(?:)/,-1).length||2!="ab".split(/(?:ab)*/).length||4!=".".split(/(.?)(.?)/).length||".".split(/()()/).length>1||"".split(/.?/).length?function(t,n){var r=vn$1(B$1(this)),o=void 0===n?4294967295:n>>>0;if(0===o)return [];if(void 0===t)return [r];if(!Zn$1(t))return O$1(e,r,t,o);for(var i,u,a,c=[],f=(t.ignoreCase?"i":"")+(t.multiline?"m":"")+(t.unicode?"u":"")+(t.sticky?"y":""),s=0,l=new RegExp(t.source,f+"g");(i=O$1(Vn$1,l,r))&&!((u=l.lastIndex)>s&&(gr(c,yr(r,s,i.index)),i.length>1&&i.index<r.length&&qn$1(vr,c,un$1(i,1)),a=i[0].length,s=u,c.length>=o));)l.lastIndex===i.index&&l.lastIndex++;return s===r.length?!a&&hr(l,"")||gr(c,""):gr(c,yr(r,s)),c.length>o?un$1(c,0,o):c}:"0".split(void 0,0).length?function(t,n){return void 0===t&&0===n?[]:O$1(e,this,t,n)}:e,[function(e,n){var o=B$1(this),i=null==e?void 0:ct$1(e,t);return i?O$1(i,e,o,n):O$1(r,vn$1(o),e,n)},function(t,o){var i=Dt$1(this),u=vn$1(t),a=n(r,i,u,o,r!==e);if(a.done)return a.value;var c=nr(i,RegExp),f=i.unicode,s=(i.ignoreCase?"i":"")+(i.multiline?"m":"")+(i.unicode?"u":"")+(pr?"g":"y"),l=new c(pr?"^(?:"+i.source+")":i,s),p=void 0===o?4294967295:o>>>0;if(0===p)return [];if(0===u.length)return null===lr(l,u)?[u]:[];for(var d=0,v=0,h=[];v<u.length;){l.lastIndex=pr?0:v;var g,y=lr(l,pr?yr(u,v):u);if(null===y||(g=dr(we$1(l.lastIndex+(pr?v:0)),u.length))===d)v=fr(u,v,f);else {if(gr(h,yr(u,d,v)),h.length===p)return h;for(var b=1;b<=y.length-1;b++)if(gr(h,y[b]),h.length===p)return h;v=d=g;}}return gr(h,yr(u,d)),h}]}),!!w$1((function(){var t=/(?:)/,e=t.exec;t.exec=function(){return e.apply(this,arguments)};var n="ab".split(t);return 2!==n.length||"a"!==n[0]||"b"!==n[1]})),pr);
  /*! *****************************************************************************
  Copyright (c) Microsoft Corporation.

  Permission to use, copy, modify, and/or distribute this software for any
  purpose with or without fee is hereby granted.

  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
  REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
  AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
  INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
  LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
  OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
  PERFORMANCE OF THIS SOFTWARE.
  ***************************************************************************** */
  var br=function(){return br=Object.assign||function(t){for(var e,n=1,r=arguments.length;n<r;n++)for(var o in e=arguments[n])Object.prototype.hasOwnProperty.call(e,o)&&(t[o]=e[o]);return t},br.apply(this,arguments)};function mr(t,e){var n="function"==typeof Symbol&&t[Symbol.iterator];if(!n)return t;var r,o,i=n.call(t),u=[];try{for(;(void 0===e||e-- >0)&&!(r=i.next()).done;)u.push(r.value);}catch(t){o={error:t};}finally{try{r&&!r.done&&(n=i.return)&&n.call(i);}finally{if(o)throw o.error}}return u}var wr,Sr=m$1.TypeError,xr=function(t){if(Zn$1(t))throw Sr("The method doesn't accept regular expressions");return t},Or=It$1("match"),Er=Ct$1.f,jr=_$1("".startsWith),Ir=_$1("".slice),Ar=Math.min,Tr=function(t){var e=/./;try{"/./"[t](e);}catch(n){try{return e[Or]=!1,"/./"[t](e)}catch(t){}}return !1}("startsWith"),Pr=!(Tr||(wr=Er(String.prototype,"startsWith"),!wr||wr.writable));function Rr(t){var n=t.selection;return null==n||(!Range.isCollapsed(n)||!!mr(Editor.nodes(t,{match:function(n){var r=ms$1.getNodeType(n);return "code"===r||("pre"===r||("link"===r||("list-item"===r||(!!r.startsWith("header")||("blockquote"===r||!!Editor.isVoid(t,n))))))},universal:!0}),1)[0])}Be$1({target:"String",proto:!0,forced:!Pr&&!Tr},{startsWith:function(t){var e=vn$1(B$1(this));xr(t);var n=we$1(Ar(arguments.length>1?arguments[1]:void 0,e.length)),r=vn$1(t);return jr?jr(e,r,n):Ir(e,n,n+r.length)===r}});var Lr=It$1("unscopables"),Mr=Array.prototype;null==Mr[Lr]&&Gt$1.f(Mr,Lr,{configurable:!0,value:Tn$1(null)});var _r,kr,Fr,Cr=function(t){Mr[Lr][t]=!0;},zr={},Nr=!w$1((function(){function t(){}return t.prototype.constructor=null,Object.getPrototypeOf(new t)!==t.prototype})),Dr=Qt$1("IE_PROTO"),Ur=m$1.Object,Br=Ur.prototype,Gr=Nr?Ur.getPrototypeOf:function(t){var e=ht$1(t);if(yt$1(e,Dr))return e[Dr];var n=e.constructor;return W$1(n)&&e instanceof n?n.prototype:e instanceof Ur?Br:null},Wr=It$1("iterator"),Vr=!1;[].keys&&("next"in(Fr=[].keys())?(kr=Gr(Gr(Fr)))!==Object.prototype&&(_r=kr):Vr=!0);var Hr=null==_r||w$1((function(){var t={};return _r[Wr].call(t)!==t}));Hr&&(_r={}),W$1(_r[Wr])||pe$1(_r,Wr,(function(){return this}));var Kr={IteratorPrototype:_r,BUGGY_SAFARI_ITERATORS:Vr},Yr=Gt$1.f,Xr=It$1("toStringTag"),qr=function(t,e,n){t&&!yt$1(t=n?t:t.prototype,Xr)&&Yr(t,Xr,{configurable:!0,value:e});},$r=Kr.IteratorPrototype,Jr=function(){return this},Qr=m$1.String,Zr=m$1.TypeError,to=Object.setPrototypeOf||("__proto__"in{}?function(){var t,e=!1,n={};try{(t=_$1(Object.getOwnPropertyDescriptor(Object.prototype,"__proto__").set))(n,[]),e=n instanceof Array;}catch(t){}return function(n,r){return Dt$1(n),function(t){if("object"==typeof t||W$1(t))return t;throw Zr("Can't set "+Qr(t)+" as a prototype")}(r),e?t(n,r):n.__proto__=r,n}}():void 0),eo=le$1.PROPER,no=le$1.CONFIGURABLE,ro=Kr.IteratorPrototype,oo=Kr.BUGGY_SAFARI_ITERATORS,io=It$1("iterator"),uo=function(){return this},ao=function(t,e,n,r,o,i,u){!function(t,e,n){var r=e+" Iterator";t.prototype=Tn$1($r,{next:T$1(1,n)}),qr(t,r,!1),zr[r]=Jr;}(n,e,r);var a,c,f,s=function(t){if(t===o&&h)return h;if(!oo&&t in d)return d[t];switch(t){case"keys":case"values":case"entries":return function(){return new n(this,t)}}return function(){return new n(this)}},l=e+" Iterator",p=!1,d=t.prototype,v=d[io]||d["@@iterator"]||o&&d[o],h=!oo&&v||s(o),g="Array"==e&&d.entries||v;if(g&&(a=Gr(g.call(new t)))!==Object.prototype&&a.next&&(Gr(a)!==ro&&(to?to(a,ro):W$1(a[io])||pe$1(a,io,uo)),qr(a,l,!0)),eo&&"values"==o&&v&&"values"!==v.name&&(no?Wt$1(d,"name","values"):(p=!0,h=function(){return O$1(v,this)})),o)if(c={values:s("values"),keys:i?h:s("keys"),entries:s("entries")},u)for(f in c)(oo||p||!(f in d))&&pe$1(d,f,c[f]);else Be$1({target:e,proto:!0,forced:oo||p},c);return d[io]!==h&&pe$1(d,io,h,{name:o}),zr[e]=h,c},co=ae$1.set,fo=ae$1.getterFor("Array Iterator"),so=ao(Array,"Array",(function(t,e){co(this,{type:"Array Iterator",target:G$1(t),index:0,kind:e});}),(function(){var t=fo(this),e=t.target,n=t.kind,r=t.index++;return !e||r>=e.length?(t.target=void 0,{value:void 0,done:!0}):"keys"==n?{value:r,done:!1}:"values"==n?{value:e[r],done:!1}:{value:[r,e[r]],done:!1}}),"values");zr.Arguments=zr.Array,Cr("keys"),Cr("values"),Cr("entries");var lo=ar.charAt,po=ae$1.set,vo=ae$1.getterFor("String Iterator");ao(String,"String",(function(t){po(this,{type:"String Iterator",string:vn$1(t),index:0});}),(function(){var t,e=vo(this),n=e.string,r=e.index;return r>=n.length?{value:void 0,done:!0}:(t=lo(n,r),e.index+=t.length,{value:t,done:!1})}));var ho=function(t,e,n){for(var r in e)pe$1(t,r,e[r],n);return t},go=Te$1.f,yo="object"==typeof window&&window&&Object.getOwnPropertyNames?Object.getOwnPropertyNames(window):[],bo={f:function(t){return yo&&"Window"==C$1(t)?function(t){try{return go(t)}catch(t){return un$1(yo)}}(t):go(G$1(t))}},mo=w$1((function(){if("function"==typeof ArrayBuffer){var t=new ArrayBuffer(8);Object.isExtensible(t)&&Object.defineProperty(t,"a",{value:8});}})),wo=Object.isExtensible,So=w$1((function(){wo(1);}))||mo?function(t){return !!V$1(t)&&((!mo||"ArrayBuffer"!=C$1(t))&&(!wo||wo(t)))}:wo,xo=!w$1((function(){return Object.isExtensible(Object.preventExtensions({}))})),Oo=h$1((function(t){var e=Gt$1.f,n=!1,r=St$1("meta"),o=0,i=function(t){e(t,r,{value:{objectID:"O"+o++,weakData:{}}});},u=t.exports={enable:function(){u.enable=function(){},n=!0;var t=Te$1.f,e=_$1([].splice),o={};o[r]=1,t(o).length&&(Te$1.f=function(n){for(var o=t(n),i=0,u=o.length;i<u;i++)if(o[i]===r){e(o,i,1);break}return o},Be$1({target:"Object",stat:!0,forced:!0},{getOwnPropertyNames:bo.f}));},fastKey:function(t,e){if(!V$1(t))return "symbol"==typeof t?t:("string"==typeof t?"S":"P")+t;if(!yt$1(t,r)){if(!So(t))return "F";if(!e)return "E";i(t);}return t[r].objectID},getWeakData:function(t,e){if(!yt$1(t,r)){if(!So(t))return !0;if(!e)return !1;i(t);}return t[r].weakData},onFreeze:function(t){return xo&&n&&So(t)&&!yt$1(t,r)&&i(t),t}};Zt$1[r]=!0;})),Eo=_$1(_$1.bind),jo=function(t,e){return at$1(t),void 0===e?t:Eo?Eo(t,e):function(){return t.apply(e,arguments)}},Io=It$1("iterator"),Ao=Array.prototype,To=It$1("iterator"),Po=function(t){if(null!=t)return ct$1(t,To)||ct$1(t,"@@iterator")||zr[qe$1(t)]},Ro=m$1.TypeError,Lo=function(t,e,n){var r,o;Dt$1(t);try{if(!(r=ct$1(t,"return"))){if("throw"===e)throw n;return n}r=O$1(r,t);}catch(t){o=!0,r=t;}if("throw"===e)throw n;if(o)throw r;return Dt$1(r),n},Mo=m$1.TypeError,_o=function(t,e){this.stopped=t,this.result=e;},ko=_o.prototype,Fo=function(t,e,n){var r,o,i,u,a,c,f,s,l=n&&n.that,p=!(!n||!n.AS_ENTRIES),d=!(!n||!n.IS_ITERATOR),v=!(!n||!n.INTERRUPTED),h=jo(e,l),g=function(t){return r&&Lo(r,"normal",t),new _o(!0,t)},y=function(t){return p?(Dt$1(t),v?h(t[0],t[1],g):h(t[0],t[1])):v?h(t,g):h(t)};if(d)r=t;else {if(!(o=Po(t)))throw Mo(it$1(t)+" is not iterable");if(void 0!==(s=o)&&(zr.Array===s||Ao[Io]===s)){for(i=0,u=Se$1(t);u>i;i++)if((a=y(t[i]))&&Y$1(ko,a))return a;return new _o(!1)}r=function(t,e){var n=arguments.length<2?Po(t):e;if(at$1(n))return Dt$1(O$1(n,t));throw Ro(it$1(t)+" is not iterable")}(t,o);}for(c=r.next;!(f=O$1(c,r)).done;){try{a=y(f.value);}catch(t){Lo(r,"throw",t);}if("object"==typeof a&&a&&Y$1(ko,a))return a}return new _o(!1)},Co=m$1.TypeError,zo=function(t,e){if(Y$1(e,t))return t;throw Co("Incorrect invocation")},No=It$1("iterator"),Do=!1;try{var Uo=0,Bo={next:function(){return {done:!!Uo++}},return:function(){Do=!0;}};Bo[No]=function(){return this},Array.from(Bo,(function(){throw 2}));}catch(t){}var Go=It$1("species"),Wo=m$1.Array,Vo=function(t,e){return new(function(t){var e;return Ge$1(t)&&(e=t.constructor,(rn$1(e)&&(e===Wo||Ge$1(e.prototype))||V$1(e)&&null===(e=e[Go]))&&(e=void 0)),void 0===e?Wo:e}(t))(0===e?0:e)},Ho=_$1([].push),Ko=function(t){var e=1==t,n=2==t,r=3==t,o=4==t,i=6==t,u=7==t,a=5==t||i;return function(c,f,s,l){for(var p,d,v=ht$1(c),h=D$1(v),g=jo(f,s),y=Se$1(h),b=0,m=l||Vo,w=e?m(c,y):n||u?m(c,0):void 0;y>b;b++)if((a||b in h)&&(d=g(p=h[b],b,v),t))if(e)w[b]=d;else if(d)switch(t){case 3:return !0;case 5:return p;case 6:return b;case 2:Ho(w,p);}else switch(t){case 4:return !1;case 7:Ho(w,p);}return i?-1:r||o?o:w}},Yo={forEach:Ko(0),map:Ko(1),filter:Ko(2),some:Ko(3),every:Ko(4),find:Ko(5),findIndex:Ko(6),filterReject:Ko(7)},Xo=Oo.getWeakData,qo=ae$1.set,$o=ae$1.getterFor,Jo=Yo.find,Qo=Yo.findIndex,Zo=_$1([].splice),ti=0,ei=function(t){return t.frozen||(t.frozen=new ni)},ni=function(){this.entries=[];},ri=function(t,e){return Jo(t.entries,(function(t){return t[0]===e}))};ni.prototype={get:function(t){var e=ri(this,t);if(e)return e[1]},has:function(t){return !!ri(this,t)},set:function(t,e){var n=ri(this,t);n?n[1]=e:this.entries.push([t,e]);},delete:function(t){var e=Qo(this.entries,(function(e){return e[0]===t}));return ~e&&Zo(this.entries,e,1),!!~e}};var oi,ii={getConstructor:function(t,e,n,r){var o=t((function(t,o){zo(t,i),qo(t,{type:e,id:ti++,frozen:void 0}),null!=o&&Fo(o,t[r],{that:t,AS_ENTRIES:n});})),i=o.prototype,u=$o(e),a=function(t,e,n){var r=u(t),o=Xo(Dt$1(e),!0);return !0===o?ei(r).set(e,n):o[r.id]=n,t};return ho(i,{delete:function(t){var e=u(this);if(!V$1(t))return !1;var n=Xo(t);return !0===n?ei(e).delete(t):n&&yt$1(n,e.id)&&delete n[e.id]},has:function(t){var e=u(this);if(!V$1(t))return !1;var n=Xo(t);return !0===n?ei(e).has(t):n&&yt$1(n,e.id)}}),ho(i,n?{get:function(t){var e=u(this);if(V$1(t)){var n=Xo(t);return !0===n?ei(e).get(t):n?n[e.id]:void 0}},set:function(t,e){return a(this,t,e)}}:{add:function(t){return a(this,t,!0)}}),o}},ui=ae$1.enforce,ai=!m$1.ActiveXObject&&"ActiveXObject"in m$1,ci=function(t){return function(){return t(this,arguments.length?arguments[0]:void 0)}},fi=function(t,e,n){var r=-1!==t.indexOf("Map"),o=-1!==t.indexOf("Weak"),i=r?"set":"add",u=m$1[t],a=u&&u.prototype,c=u,f={},s=function(t){var e=_$1(a[t]);pe$1(a,t,"add"==t?function(t){return e(this,0===t?0:t),this}:"delete"==t?function(t){return !(o&&!V$1(t))&&e(this,0===t?0:t)}:"get"==t?function(t){return o&&!V$1(t)?void 0:e(this,0===t?0:t)}:"has"==t?function(t){return !(o&&!V$1(t))&&e(this,0===t?0:t)}:function(t,n){return e(this,0===t?0:t,n),this});};if(De$1(t,!W$1(u)||!(o||a.forEach&&!w$1((function(){(new u).entries().next();})))))c=n.getConstructor(e,t,r,i),Oo.enable();else if(De$1(t,!0)){var l=new c,p=l[i](o?{}:-0,1)!=l,d=w$1((function(){l.has(1);})),v=function(t,e){if(!e&&!Do)return !1;var n=!1;try{var r={};r[No]=function(){return {next:function(){return {done:n=!0}}}},t(r);}catch(t){}return n}((function(t){new u(t);})),h=!o&&w$1((function(){for(var t=new u,e=5;e--;)t[i](e,e);return !t.has(-0)}));v||((c=e((function(t,e){zo(t,a);var n=function(t,e,n){var r,o;return to&&W$1(r=e.constructor)&&r!==n&&V$1(o=r.prototype)&&o!==n.prototype&&to(t,o),t}(new u,t,c);return null!=e&&Fo(e,n[i],{that:n,AS_ENTRIES:r}),n}))).prototype=a,a.constructor=c),(d||h)&&(s("delete"),s("has"),r&&s("get")),(h||p)&&s(i),o&&a.clear&&delete a.clear;}return f[t]=c,Be$1({global:!0,forced:c!=u},f),qr(c,t),o||n.setStrong(c,t,r),c}("WeakMap",ci,ii);if($t$1&&ai){oi=ii.getConstructor(ci,"WeakMap",!0),Oo.enable();var si=fi.prototype,li=_$1(si.delete),pi=_$1(si.has),di=_$1(si.get),vi=_$1(si.set);ho(si,{delete:function(t){if(V$1(t)&&!So(t)){var e=ui(this);return e.frozen||(e.frozen=new oi),li(this,t)||e.frozen.delete(t)}return li(this,t)},has:function(t){if(V$1(t)&&!So(t)){var e=ui(this);return e.frozen||(e.frozen=new oi),pi(this,t)||e.frozen.has(t)}return pi(this,t)},get:function(t){if(V$1(t)&&!So(t)){var e=ui(this);return e.frozen||(e.frozen=new oi),pi(this,t)?di(this,t):e.frozen.get(t)}return di(this,t)},set:function(t,e){if(V$1(t)&&!So(t)){var n=ui(this);n.frozen||(n.frozen=new oi),pi(this,t)?vi(this,t,e):n.frozen.set(t,e);}else vi(this,t,e);return this}});}var hi={CSSRuleList:0,CSSStyleDeclaration:0,CSSValueList:0,ClientRectList:0,DOMRectList:0,DOMStringList:0,DOMTokenList:1,DataTransferItemList:0,FileList:0,HTMLAllCollection:0,HTMLCollection:0,HTMLFormElement:0,HTMLSelectElement:0,MediaList:0,MimeTypeArray:0,NamedNodeMap:0,NodeList:1,PaintRequestList:0,Plugin:0,PluginArray:0,SVGLengthList:0,SVGNumberList:0,SVGPathSegList:0,SVGPointList:0,SVGStringList:0,SVGTransformList:0,SourceBufferList:0,StyleSheetList:0,TextTrackCueList:0,TextTrackList:0,TouchList:0},gi=_t$1("span").classList,yi=gi&&gi.constructor&&gi.constructor.prototype,bi=yi===Object.prototype?void 0:yi,mi=It$1("iterator"),wi=It$1("toStringTag"),Si=so.values,xi=function(t,e){if(t){if(t[mi]!==Si)try{Wt$1(t,mi,Si);}catch(e){t[mi]=Si;}if(t[wi]||Wt$1(t,wi,e),hi[e])for(var n in so)if(t[n]!==so[n])try{Wt$1(t,n,so[n]);}catch(e){t[n]=so[n];}}};for(var Oi in hi)xi(m$1[Oi]&&m$1[Oi].prototype,Oi);xi(bi,"DOMTokenList");var Ei=le$1.PROPER,ji=RegExp.prototype,Ii=ji.toString,Ai=_$1(hn$1),Ti=w$1((function(){return "/a/b"!=Ii.call({source:"a",flags:"b"})})),Pi=Ei&&"toString"!=Ii.name;(Ti||Pi)&&pe$1(RegExp.prototype,"toString",(function(){var t=Dt$1(this),e=vn$1(t.source),n=t.flags;return "/"+e+"/"+vn$1(void 0===n&&Y$1(ji,t)&&!("flags"in ji)?Ai(t):n)}),{unsafe:!0});var Ri=le$1.EXISTS,Li=Gt$1.f,Mi=Function.prototype,_i=_$1(Mi.toString),ki=/^\s*function ([^ (]*)/,Fi=_$1(ki.exec);S$1&&!Ri&&Li(Mi,"name",{configurable:!0,get:function(){try{return Fi(ki,_i(this))[1]}catch(t){return ""}}});var Ci=function(t,e){var n=[][t];return !!n&&w$1((function(){n.call(null,e||function(){throw 1},1);}))},zi=Yo.forEach,Ni=Ci("forEach")?[].forEach:function(t){return zi(this,t,arguments.length>1?arguments[1]:void 0)},Di=function(t){if(t&&t.forEach!==Ni)try{Wt$1(t,"forEach",Ni);}catch(e){t.forEach=Ni;}};for(var Ui in hi)hi[Ui]&&Di(m$1[Ui]&&m$1[Ui].prototype);Di(bi);var Bi=new WeakMap;function Gi(t){return t.getMenuConfig("uploadImage")}function Wi(t,e){if(null!=e){var r=Array.prototype.slice.call(e),o=[],i=Gi(t),a=i.customUpload,c=i.base64LimitKB;if(r.forEach((function(e){var n=e.size/1024;c&&n<=c?function(t,e){var n=new FileReader;n.readAsDataURL(e),n.onload=function(){var r=n.result;if(r){var o=r.toString(),i=0===o.indexOf("data:image")?"":o;Gu(t,o,e.name,i);}};}(t,e):o.push(e);})),o.length>0){if(a)return void a(o,(function(e,n,r){return Gu(t,e,n,r)}));!function(t,e){var r=Gi(t),o=r.onSuccess,i=r.onProgress,a=r.onFailed,c=r.customInsert,f=r.onError,s=Bi.get(t);null==s&&(s=Pd(br(br({},r),{onProgress:function(e){t.showProgressBar(e),i&&i(e);},onSuccess:function(e,n){if(c)c(n,(function(e,n,r){return Gu(t,e,n,r)}));else {var r=n.errno,i=void 0===r?1:r,f=n.data,s=void 0===f?[]:f;if(0!==i)return console.error("'"+e.name+"' upload failed",n),void a(e,n);s.forEach((function(e){var n=e.url,r=void 0===n?"":n,o=e.alt,i=void 0===o?"":o,a=e.href;Gu(t,r,i,void 0===a?"":a);})),o(e,n);}},onError:function(t,e,n){var r=t.name;console.error("'"+r+" upload error",e,n),f&&f(t,e,n);}})),Bi.set(t,s)),e.forEach((function(t){if(null!=s){var e=t.name,n=t.type,r=t.size;s.addFile({name:e,type:n,size:r,data:t}),s.upload();}}));}(t,o);}}}var Vi=_$1([].join),Hi=D$1!=Object,Ki=Ci("join",",");Be$1({target:"Array",proto:!0,forced:Hi||!Ki},{join:function(t){return Vi(G$1(this),void 0===t?",":t)}});$$6.fn.append=append,$$6.fn.on=on$7,$$6.fn.remove=remove,$$6.fn.val=val,$$6.fn.click=click,$$6.fn.hide=hide;var Yi=function(){function t(){this.title=bh("uploadImgModule.uploadImage"),this.iconSvg='<svg viewBox="0 0 1024 1024"><path d="M828.708571 585.045333a48.761905 48.761905 0 0 0-48.737523 48.761905v18.529524l-72.143238-72.167619a135.972571 135.972571 0 0 0-191.585524 0l-34.133334 34.133333-120.880762-120.953905a138.898286 138.898286 0 0 0-191.585523 0l-72.167619 72.167619V292.400762a48.786286 48.786286 0 0 1 48.761904-48.761905h341.23581a48.737524 48.737524 0 0 0 34.474667-83.285333 48.737524 48.737524 0 0 0-34.474667-14.287238H146.236952A146.212571 146.212571 0 0 0 0 292.400762v585.289143A146.358857 146.358857 0 0 0 146.236952 1024h584.996572a146.212571 146.212571 0 0 0 146.236952-146.310095V633.807238a48.786286 48.786286 0 0 0-48.761905-48.761905zM146.261333 926.45181a48.737524 48.737524 0 0 1-48.761904-48.761905v-174.128762l141.409523-141.458286a38.497524 38.497524 0 0 1 53.126096 0l154.526476 154.624 209.627428 209.724953H146.236952z m633.734096-48.761905c-0.073143 9.337905-3.145143 18.383238-8.777143 25.843809l-219.843048-220.94019 34.133333-34.133334a37.546667 37.546667 0 0 1 53.613715 0l140.873143 141.897143V877.714286zM1009.615238 160.231619L863.329524 13.897143a48.737524 48.737524 0 0 0-16.091429-10.24c-11.849143-4.87619-25.161143-4.87619-37.059047 0a48.761905 48.761905 0 0 0-16.067048 10.24l-146.236952 146.334476a49.005714 49.005714 0 0 0 69.217523 69.241905l62.902858-63.390476v272.627809a48.761905 48.761905 0 1 0 97.475047 0V166.083048l62.902857 63.390476a48.737524 48.737524 0 0 0 69.217524 0 48.761905 48.761905 0 0 0 0-69.241905z"></path></svg>',this.tag="button";}return t.prototype.getValue=function(t){return ""},t.prototype.isActive=function(t){return !1},t.prototype.isDisabled=function(t){return Rr(t)},t.prototype.getMenuConfig=function(t){return t.getMenuConfig("uploadImage")},t.prototype.exec=function(t,e){var n=this.getMenuConfig(t),r=n.allowedFileTypes,o=void 0===r?[]:r,i=n.customBrowseAndUpload;if(i)i((function(e,n,r){return Gu(t,e,n,r)}));else {var c="";o.length>0&&(c='accept="'+o.join(", ")+'"');var f=$$6("body"),s=$$6('<input type="file" '+c+" multiple/>");s.hide(),f.append(s),s.click(),s.on("change",(function(){var e=s[0].files;Wi(t,e);}));}},t}();var Xi={menus:[{key:"uploadImage",factory:function(){return new Yi},config:{server:"",fieldName:"wangeditor-uploaded-file",maxFileSize:2097152,maxNumberOfFiles:100,allowedFileTypes:["image/*"],meta:{},metaWithUrl:!1,withCredentials:!1,timeout:1e4,onBeforeUpload:function(t){return t},onProgress:function(t){},onSuccess:function(t,e){},onFailed:function(t,e){},onError:function(t,e,n){},base64LimitKB:0}}],editorPlugin:function(t){var e=t.insertData,n=t;return n.insertData=function(r){if(Rr(n))e(r);else {var o=r.files;if(o.length<=0)e(r);else Array.prototype.slice.call(o).some((function(t){return "image"===mr(t.type.split("/"),1)[0]}))?Wi(t,o):e(r);}},n}};

  mh("en",{highLightModule:{selectLang:"Language"}}),mh("zh-CN",{highLightModule:{selectLang:"选择语言"}});var s="undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:{};function o(e){var t={exports:{}};return e(t,t.exports),t.exports}var l,u,c=function(e){return e&&e.Math==Math&&e},d=c("object"==typeof globalThis&&globalThis)||c("object"==typeof window&&window)||c("object"==typeof self&&self)||c("object"==typeof s&&s)||function(){return this}()||Function("return this")(),p=Object.defineProperty,g=function(e,t){try{p(d,e,{value:t,configurable:!0,writable:!0});}catch(n){d[e]=t;}return t},f=d["__core-js_shared__"]||g("__core-js_shared__",{}),b=o((function(e){(e.exports=function(e,t){return f[e]||(f[e]=void 0!==t?t:{})})("versions",[]).push({version:"3.19.1",mode:"global",copyright:"© 2021 Denis Pushkarev (zloirock.ru)"});})),m=Function.prototype,h=m.bind,y=m.call,E=h&&h.bind(y),S=h?function(e){return e&&E(y,e)}:function(e){return e&&function(){return y.apply(e,arguments)}},v=d.TypeError,w=function(e){if(null==e)throw v("Can't call method on "+e);return e},k=d.Object,A=function(e){return k(w(e))},T=S({}.hasOwnProperty),x=Object.hasOwn||function(e,t){return T(A(e),t)},_=0,O=Math.random(),I=S(1..toString),R=function(e){return "Symbol("+(void 0===e?"":e)+")_"+I(++_+O,36)},N=function(e){return "function"==typeof e},L=function(e){return N(e)?e:void 0},P=function(e,t){return arguments.length<2?L(d[e]):d[e]&&d[e][t]},C=P("navigator","userAgent")||"",F=d.process,D=d.Deno,$=F&&F.versions||D&&D.version,M=$&&$.v8;M&&(u=(l=M.split("."))[0]>0&&l[0]<4?1:+(l[0]+l[1])),!u&&C&&(!(l=C.match(/Edge\/(\d+)/))||l[1]>=74)&&(l=C.match(/Chrome\/(\d+)/))&&(u=+l[1]);var B=u,U=function(e){try{return !!e()}catch(e){return !0}},j=!!Object.getOwnPropertySymbols&&!U((function(){var e=Symbol();return !String(e)||!(Object(e)instanceof Symbol)||!Symbol.sham&&B&&B<41})),z=j&&!Symbol.sham&&"symbol"==typeof Symbol.iterator,G=b("wks"),H=d.Symbol,q=H&&H.for,Y=z?H:H&&H.withoutSetter||R,X=function(e){if(!x(G,e)||!j&&"string"!=typeof G[e]){var t="Symbol."+e;j&&x(H,e)?G[e]=H[e]:G[e]=z&&q?q(t):Y(t);}return G[e]},W={};W[X("toStringTag")]="z";var Z="[object z]"===String(W),V=!U((function(){return 7!=Object.defineProperty({},1,{get:function(){return 7}})[1]})),K=function(e){return "object"==typeof e?null!==e:N(e)},J=d.document,Q=K(J)&&K(J.createElement),ee=function(e){return Q?J.createElement(e):{}},te=!V&&!U((function(){return 7!=Object.defineProperty(ee("div"),"a",{get:function(){return 7}}).a})),ne=d.String,ae=d.TypeError,re=function(e){if(K(e))return e;throw ae(ne(e)+" is not an object")},ie=Function.prototype.call,se=ie.bind?ie.bind(ie):function(){return ie.apply(ie,arguments)},oe=S({}.isPrototypeOf),le=d.Object,ue=z?function(e){return "symbol"==typeof e}:function(e){var t=P("Symbol");return N(t)&&oe(t.prototype,le(e))},ce=d.String,de=d.TypeError,pe=function(e){if(N(e))return e;throw de(function(e){try{return ce(e)}catch(e){return "Object"}}(e)+" is not a function")},ge=d.TypeError,fe=d.TypeError,be=X("toPrimitive"),me=function(e,t){if(!K(e)||ue(e))return e;var n,a,r=null==(n=e[be])?void 0:pe(n);if(r){if(void 0===t&&(t="default"),a=se(r,e,t),!K(a)||ue(a))return a;throw fe("Can't convert object to primitive value")}return void 0===t&&(t="number"),function(e,t){var n,a;if("string"===t&&N(n=e.toString)&&!K(a=se(n,e)))return a;if(N(n=e.valueOf)&&!K(a=se(n,e)))return a;if("string"!==t&&N(n=e.toString)&&!K(a=se(n,e)))return a;throw ge("Can't convert object to primitive value")}(e,t)},he=function(e){var t=me(e,"string");return ue(t)?t:t+""},ye=d.TypeError,Ee=Object.defineProperty,Se={f:V?Ee:function(e,t,n){if(re(e),t=he(t),re(n),te)try{return Ee(e,t,n)}catch(e){}if("get"in n||"set"in n)throw ye("Accessors not supported");return "value"in n&&(e[t]=n.value),e}},ve=function(e,t){return {enumerable:!(1&e),configurable:!(2&e),writable:!(4&e),value:t}},we=V?function(e,t,n){return Se.f(e,t,ve(1,n))}:function(e,t,n){return e[t]=n,e},ke=S(Function.toString);N(f.inspectSource)||(f.inspectSource=function(e){return ke(e)});var Ae,Te,xe,_e=f.inspectSource,Oe=d.WeakMap,Ie=N(Oe)&&/native code/.test(_e(Oe)),Re=b("keys"),Ne=function(e){return Re[e]||(Re[e]=R(e))},Le={},Pe=d.TypeError,Ce=d.WeakMap;if(Ie||f.state){var Fe=f.state||(f.state=new Ce),De=S(Fe.get),$e=S(Fe.has),Me=S(Fe.set);Ae=function(e,t){if($e(Fe,e))throw new Pe("Object already initialized");return t.facade=e,Me(Fe,e,t),t},Te=function(e){return De(Fe,e)||{}},xe=function(e){return $e(Fe,e)};}else {var Be=Ne("state");Le[Be]=!0,Ae=function(e,t){if(x(e,Be))throw new Pe("Object already initialized");return t.facade=e,we(e,Be,t),t},Te=function(e){return x(e,Be)?e[Be]:{}},xe=function(e){return x(e,Be)};}var Ue={set:Ae,get:Te,has:xe,enforce:function(e){return xe(e)?Te(e):Ae(e,{})},getterFor:function(e){return function(t){var n;if(!K(t)||(n=Te(t)).type!==e)throw Pe("Incompatible receiver, "+e+" required");return n}}},je=Function.prototype,ze=V&&Object.getOwnPropertyDescriptor,Ge=x(je,"name"),He={EXISTS:Ge,PROPER:Ge&&"something"===function(){}.name,CONFIGURABLE:Ge&&(!V||V&&ze(je,"name").configurable)},qe=o((function(e){var t=He.CONFIGURABLE,n=Ue.get,a=Ue.enforce,r=String(String).split("String");(e.exports=function(e,n,i,s){var o,l=!!s&&!!s.unsafe,u=!!s&&!!s.enumerable,c=!!s&&!!s.noTargetGet,p=s&&void 0!==s.name?s.name:n;N(i)&&("Symbol("===String(p).slice(0,7)&&(p="["+String(p).replace(/^Symbol\(([^)]*)\)/,"$1")+"]"),(!x(i,"name")||t&&i.name!==p)&&we(i,"name",p),(o=a(i)).source||(o.source=r.join("string"==typeof p?p:""))),e!==d?(l?!c&&e[n]&&(u=!0):delete e[n],u?e[n]=i:we(e,n,i)):u?e[n]=i:g(n,i);})(Function.prototype,"toString",(function(){return N(this)&&n(this).source||_e(this)}));})),Ye=S({}.toString),Xe=S("".slice),We=function(e){return Xe(Ye(e),8,-1)},Ze=X("toStringTag"),Ve=d.Object,Ke="Arguments"==We(function(){return arguments}()),Je=Z?We:function(e){var t,n,a;return void 0===e?"Undefined":null===e?"Null":"string"==typeof(n=function(e,t){try{return e[t]}catch(e){}}(t=Ve(e),Ze))?n:Ke?We(t):"Object"==(a=We(t))&&N(t.callee)?"Arguments":a},Qe=Z?{}.toString:function(){return "[object "+Je(this)+"]"};Z||qe(Object.prototype,"toString",Qe,{unsafe:!0});var et,tt,nt={CSSRuleList:0,CSSStyleDeclaration:0,CSSValueList:0,ClientRectList:0,DOMRectList:0,DOMStringList:0,DOMTokenList:1,DataTransferItemList:0,FileList:0,HTMLAllCollection:0,HTMLCollection:0,HTMLFormElement:0,HTMLSelectElement:0,MediaList:0,MimeTypeArray:0,NamedNodeMap:0,NodeList:1,PaintRequestList:0,Plugin:0,PluginArray:0,SVGLengthList:0,SVGNumberList:0,SVGPathSegList:0,SVGPointList:0,SVGStringList:0,SVGTransformList:0,SourceBufferList:0,StyleSheetList:0,TextTrackCueList:0,TextTrackList:0,TouchList:0},at=ee("span").classList,rt=at&&at.constructor&&at.constructor.prototype,it=rt===Object.prototype?void 0:rt,st=S(S.bind),ot=d.Object,lt=S("".split),ut=U((function(){return !ot("z").propertyIsEnumerable(0)}))?function(e){return "String"==We(e)?lt(e,""):ot(e)}:ot,ct=Math.ceil,dt=Math.floor,pt=function(e){var t=+e;return t!=t||0===t?0:(t>0?dt:ct)(t)},gt=Math.min,ft=function(e){return (t=e.length)>0?gt(pt(t),9007199254740991):0;var t;},bt=Array.isArray||function(e){return "Array"==We(e)},mt=function(){},ht=[],yt=P("Reflect","construct"),Et=/^\s*(?:class|function)\b/,St=S(Et.exec),vt=!Et.exec(mt),wt=function(e){if(!N(e))return !1;try{return yt(mt,ht,e),!0}catch(e){return !1}},kt=!yt||U((function(){var e;return wt(wt.call)||!wt(Object)||!wt((function(){e=!0;}))||e}))?function(e){if(!N(e))return !1;switch(Je(e)){case"AsyncFunction":case"GeneratorFunction":case"AsyncGeneratorFunction":return !1}return vt||!!St(Et,_e(e))}:wt,At=X("species"),Tt=d.Array,xt=function(e,t){return new(function(e){var t;return bt(e)&&(t=e.constructor,(kt(t)&&(t===Tt||bt(t.prototype))||K(t)&&null===(t=t[At]))&&(t=void 0)),void 0===t?Tt:t}(e))(0===t?0:t)},_t=S([].push),Ot=function(e){var t=1==e,n=2==e,a=3==e,r=4==e,i=6==e,s=7==e,o=5==e||i;return function(l,u,c,d){for(var p,g,f=A(l),b=ut(f),m=function(e,t){return pe(e),void 0===t?e:st?st(e,t):function(){return e.apply(t,arguments)}}(u,c),h=ft(b),y=0,E=d||xt,S=t?E(l,h):n||s?E(l,0):void 0;h>y;y++)if((o||y in b)&&(g=m(p=b[y],y,f),e))if(t)S[y]=g;else if(g)switch(e){case 3:return !0;case 5:return p;case 6:return y;case 2:_t(S,p);}else switch(e){case 4:return !1;case 7:_t(S,p);}return i?-1:a||r?r:S}},It={forEach:Ot(0),map:Ot(1),filter:Ot(2),some:Ot(3),every:Ot(4),find:Ot(5),findIndex:Ot(6),filterReject:Ot(7)}.forEach,Rt=!!(tt=[]["forEach"])&&U((function(){tt.call(null,et||function(){throw 1},1);}))?[].forEach:function(e){return It(this,e,arguments.length>1?arguments[1]:void 0)},Nt=function(e){if(e&&e.forEach!==Rt)try{we(e,"forEach",Rt);}catch(t){e.forEach=Rt;}};for(var Lt in nt)nt[Lt]&&Nt(d[Lt]&&d[Lt].prototype);Nt(it);var Pt={}.propertyIsEnumerable,Ct=Object.getOwnPropertyDescriptor,Ft={f:Ct&&!Pt.call({1:2},1)?function(e){var t=Ct(this,e);return !!t&&t.enumerable}:Pt},Dt=function(e){return ut(w(e))},$t=Object.getOwnPropertyDescriptor,Mt={f:V?$t:function(e,t){if(e=Dt(e),t=he(t),te)try{return $t(e,t)}catch(e){}if(x(e,t))return ve(!se(Ft.f,e,t),e[t])}},Bt=Math.max,Ut=Math.min,jt=function(e){return function(t,n,a){var r,i=Dt(t),s=ft(i),o=function(e,t){var n=pt(e);return n<0?Bt(n+t,0):Ut(n,t)}(a,s);if(e&&n!=n){for(;s>o;)if((r=i[o++])!=r)return !0}else for(;s>o;o++)if((e||o in i)&&i[o]===n)return e||o||0;return !e&&-1}},zt={includes:jt(!0),indexOf:jt(!1)}.indexOf,Gt=S([].push),Ht=function(e,t){var n,a=Dt(e),r=0,i=[];for(n in a)!x(Le,n)&&x(a,n)&&Gt(i,n);for(;t.length>r;)x(a,n=t[r++])&&(~zt(i,n)||Gt(i,n));return i},qt=["constructor","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","toLocaleString","toString","valueOf"],Yt=qt.concat("length","prototype"),Xt={f:Object.getOwnPropertyNames||function(e){return Ht(e,Yt)}},Wt={f:Object.getOwnPropertySymbols},Zt=S([].concat),Vt=P("Reflect","ownKeys")||function(e){var t=Xt.f(re(e)),n=Wt.f;return n?Zt(t,n(e)):t},Kt=function(e,t){for(var n=Vt(t),a=Se.f,r=Mt.f,i=0;i<n.length;i++){var s=n[i];x(e,s)||a(e,s,r(t,s));}},Jt=/#|\.prototype\./,Qt=function(e,t){var n=tn[en(e)];return n==an||n!=nn&&(N(t)?U(t):!!t)},en=Qt.normalize=function(e){return String(e).replace(Jt,".").toLowerCase()},tn=Qt.data={},nn=Qt.NATIVE="N",an=Qt.POLYFILL="P",rn=Qt,sn=Mt.f,on=function(e,t){var n,a,r,i,s,o=e.target,l=e.global,u=e.stat;if(n=l?d:u?d[o]||g(o,{}):(d[o]||{}).prototype)for(a in t){if(i=t[a],r=e.noTargetGet?(s=sn(n,a))&&s.value:n[a],!rn(l?a:o+(u?".":"#")+a,e.forced)&&void 0!==r){if(typeof i==typeof r)continue;Kt(i,r);}(e.sham||r&&r.sham)&&we(i,"sham",!0),qe(n,a,i,e);}},ln=Object.keys||function(e){return Ht(e,qt)},un=Object.assign,cn=Object.defineProperty,dn=S([].concat),pn=!un||U((function(){if(V&&1!==un({b:1},un(cn({},"a",{enumerable:!0,get:function(){cn(this,"b",{value:3,enumerable:!1});}}),{b:2})).b)return !0;var e={},t={},n=Symbol(),a="abcdefghijklmnopqrst";return e[n]=7,a.split("").forEach((function(e){t[e]=e;})),7!=un({},e)[n]||ln(un({},t)).join("")!=a}))?function(e,t){for(var n=A(e),a=arguments.length,r=1,i=Wt.f,s=Ft.f;a>r;)for(var o,l=ut(arguments[r++]),u=i?dn(ln(l),i(l)):ln(l),c=u.length,d=0;c>d;)o=u[d++],V&&!se(s,l,o)||(n[o]=l[o]);return n}:un;on({target:"Object",stat:!0,forced:Object.assign!==pn},{assign:pn});var gn=o((function(e){var t=function(e){var t=/\blang(?:uage)?-([\w-]+)\b/i,n=0,a={},r={manual:e.Prism&&e.Prism.manual,disableWorkerMessageHandler:e.Prism&&e.Prism.disableWorkerMessageHandler,util:{encode:function e(t){return t instanceof i?new i(t.type,e(t.content),t.alias):Array.isArray(t)?t.map(e):t.replace(/&/g,"&amp;").replace(/</g,"&lt;").replace(/\u00a0/g," ")},type:function(e){return Object.prototype.toString.call(e).slice(8,-1)},objId:function(e){return e.__id||Object.defineProperty(e,"__id",{value:++n}),e.__id},clone:function e(t,n){var a,i;switch(n=n||{},r.util.type(t)){case"Object":if(i=r.util.objId(t),n[i])return n[i];for(var s in a={},n[i]=a,t)t.hasOwnProperty(s)&&(a[s]=e(t[s],n));return a;case"Array":return i=r.util.objId(t),n[i]?n[i]:(a=[],n[i]=a,t.forEach((function(t,r){a[r]=e(t,n);})),a);default:return t}},getLanguage:function(e){for(;e&&!t.test(e.className);)e=e.parentElement;return e?(e.className.match(t)||[,"none"])[1].toLowerCase():"none"},currentScript:function(){if("undefined"==typeof document)return null;if("currentScript"in document)return document.currentScript;try{throw new Error}catch(a){var e=(/at [^(\r\n]*\((.*):[^:]+:[^:]+\)$/i.exec(a.stack)||[])[1];if(e){var t=document.getElementsByTagName("script");for(var n in t)if(t[n].src==e)return t[n]}return null}},isActive:function(e,t,n){for(var a="no-"+t;e;){var r=e.classList;if(r.contains(t))return !0;if(r.contains(a))return !1;e=e.parentElement;}return !!n}},languages:{plain:a,plaintext:a,text:a,txt:a,extend:function(e,t){var n=r.util.clone(r.languages[e]);for(var a in t)n[a]=t[a];return n},insertBefore:function(e,t,n,a){var i=(a=a||r.languages)[e],s={};for(var o in i)if(i.hasOwnProperty(o)){if(o==t)for(var l in n)n.hasOwnProperty(l)&&(s[l]=n[l]);n.hasOwnProperty(o)||(s[o]=i[o]);}var u=a[e];return a[e]=s,r.languages.DFS(r.languages,(function(t,n){n===u&&t!=e&&(this[t]=s);})),s},DFS:function e(t,n,a,i){i=i||{};var s=r.util.objId;for(var o in t)if(t.hasOwnProperty(o)){n.call(t,o,t[o],a||o);var l=t[o],u=r.util.type(l);"Object"!==u||i[s(l)]?"Array"!==u||i[s(l)]||(i[s(l)]=!0,e(l,n,o,i)):(i[s(l)]=!0,e(l,n,null,i));}}},plugins:{},highlightAll:function(e,t){r.highlightAllUnder(document,e,t);},highlightAllUnder:function(e,t,n){var a={callback:n,container:e,selector:'code[class*="language-"], [class*="language-"] code, code[class*="lang-"], [class*="lang-"] code'};r.hooks.run("before-highlightall",a),a.elements=Array.prototype.slice.apply(a.container.querySelectorAll(a.selector)),r.hooks.run("before-all-elements-highlight",a);for(var i,s=0;i=a.elements[s++];)r.highlightElement(i,!0===t,a.callback);},highlightElement:function(n,a,i){var s=r.util.getLanguage(n),o=r.languages[s];n.className=n.className.replace(t,"").replace(/\s+/g," ")+" language-"+s;var l=n.parentElement;l&&"pre"===l.nodeName.toLowerCase()&&(l.className=l.className.replace(t,"").replace(/\s+/g," ")+" language-"+s);var u={element:n,language:s,grammar:o,code:n.textContent};function c(e){u.highlightedCode=e,r.hooks.run("before-insert",u),u.element.innerHTML=u.highlightedCode,r.hooks.run("after-highlight",u),r.hooks.run("complete",u),i&&i.call(u.element);}if(r.hooks.run("before-sanity-check",u),(l=u.element.parentElement)&&"pre"===l.nodeName.toLowerCase()&&!l.hasAttribute("tabindex")&&l.setAttribute("tabindex","0"),!u.code)return r.hooks.run("complete",u),void(i&&i.call(u.element));if(r.hooks.run("before-highlight",u),u.grammar)if(a&&e.Worker){var d=new Worker(r.filename);d.onmessage=function(e){c(e.data);},d.postMessage(JSON.stringify({language:u.language,code:u.code,immediateClose:!0}));}else c(r.highlight(u.code,u.grammar,u.language));else c(r.util.encode(u.code));},highlight:function(e,t,n){var a={code:e,grammar:t,language:n};return r.hooks.run("before-tokenize",a),a.tokens=r.tokenize(a.code,a.grammar),r.hooks.run("after-tokenize",a),i.stringify(r.util.encode(a.tokens),a.language)},tokenize:function(e,t){var n=t.rest;if(n){for(var a in n)t[a]=n[a];delete t.rest;}var r=new l;return u(r,r.head,e),o(e,r,t,r.head,0),function(e){var t=[],n=e.head.next;for(;n!==e.tail;)t.push(n.value),n=n.next;return t}(r)},hooks:{all:{},add:function(e,t){var n=r.hooks.all;n[e]=n[e]||[],n[e].push(t);},run:function(e,t){var n=r.hooks.all[e];if(n&&n.length)for(var a,i=0;a=n[i++];)a(t);}},Token:i};function i(e,t,n,a){this.type=e,this.content=t,this.alias=n,this.length=0|(a||"").length;}function s(e,t,n,a){e.lastIndex=t;var r=e.exec(n);if(r&&a&&r[1]){var i=r[1].length;r.index+=i,r[0]=r[0].slice(i);}return r}function o(e,t,n,a,l,d){for(var p in n)if(n.hasOwnProperty(p)&&n[p]){var g=n[p];g=Array.isArray(g)?g:[g];for(var f=0;f<g.length;++f){if(d&&d.cause==p+","+f)return;var b=g[f],m=b.inside,h=!!b.lookbehind,y=!!b.greedy,E=b.alias;if(y&&!b.pattern.global){var S=b.pattern.toString().match(/[imsuy]*$/)[0];b.pattern=RegExp(b.pattern.source,S+"g");}for(var v=b.pattern||b,w=a.next,k=l;w!==t.tail&&!(d&&k>=d.reach);k+=w.value.length,w=w.next){var A=w.value;if(t.length>e.length)return;if(!(A instanceof i)){var T,x=1;if(y){if(!(T=s(v,k,e,h)))break;var _=T.index,O=T.index+T[0].length,I=k;for(I+=w.value.length;_>=I;)I+=(w=w.next).value.length;if(k=I-=w.value.length,w.value instanceof i)continue;for(var R=w;R!==t.tail&&(I<O||"string"==typeof R.value);R=R.next)x++,I+=R.value.length;x--,A=e.slice(k,I),T.index-=k;}else if(!(T=s(v,0,A,h)))continue;_=T.index;var N=T[0],L=A.slice(0,_),P=A.slice(_+N.length),C=k+A.length;d&&C>d.reach&&(d.reach=C);var F=w.prev;if(L&&(F=u(t,F,L),k+=L.length),c(t,F,x),w=u(t,F,new i(p,m?r.tokenize(N,m):N,E,N)),P&&u(t,w,P),x>1){var D={cause:p+","+f,reach:C};o(e,t,n,w.prev,k,D),d&&D.reach>d.reach&&(d.reach=D.reach);}}}}}}function l(){var e={value:null,prev:null,next:null},t={value:null,prev:e,next:null};e.next=t,this.head=e,this.tail=t,this.length=0;}function u(e,t,n){var a=t.next,r={value:n,prev:t,next:a};return t.next=r,a.prev=r,e.length++,r}function c(e,t,n){for(var a=t.next,r=0;r<n&&a!==e.tail;r++)a=a.next;t.next=a,a.prev=t,e.length-=r;}if(e.Prism=r,i.stringify=function e(t,n){if("string"==typeof t)return t;if(Array.isArray(t)){var a="";return t.forEach((function(t){a+=e(t,n);})),a}var i={type:t.type,content:e(t.content,n),tag:"span",classes:["token",t.type],attributes:{},language:n},s=t.alias;s&&(Array.isArray(s)?Array.prototype.push.apply(i.classes,s):i.classes.push(s)),r.hooks.run("wrap",i);var o="";for(var l in i.attributes)o+=" "+l+'="'+(i.attributes[l]||"").replace(/"/g,"&quot;")+'"';return "<"+i.tag+' class="'+i.classes.join(" ")+'"'+o+">"+i.content+"</"+i.tag+">"},!e.document)return e.addEventListener?(r.disableWorkerMessageHandler||e.addEventListener("message",(function(t){var n=JSON.parse(t.data),a=n.language,i=n.code,s=n.immediateClose;e.postMessage(r.highlight(i,r.languages[a],a)),s&&e.close();}),!1),r):r;var d=r.util.currentScript();function p(){r.manual||r.highlightAll();}if(d&&(r.filename=d.src,d.hasAttribute("data-manual")&&(r.manual=!0)),!r.manual){var g=document.readyState;"loading"===g||"interactive"===g&&d&&d.defer?document.addEventListener("DOMContentLoaded",p):window.requestAnimationFrame?window.requestAnimationFrame(p):window.setTimeout(p,16);}return r}("undefined"!=typeof window?window:"undefined"!=typeof WorkerGlobalScope&&self instanceof WorkerGlobalScope?self:{});
  /**
   * Prism: Lightweight, robust, elegant syntax highlighting
   *
   * @license MIT <https://opensource.org/licenses/MIT>
   * @author Lea Verou <https://lea.verou.me>
   * @namespace
   * @public
   */e.exports&&(e.exports=t),void 0!==s&&(s.Prism=t),t.languages.markup={comment:{pattern:/<!--(?:(?!<!--)[\s\S])*?-->/,greedy:!0},prolog:{pattern:/<\?[\s\S]+?\?>/,greedy:!0},doctype:{pattern:/<!DOCTYPE(?:[^>"'[\]]|"[^"]*"|'[^']*')+(?:\[(?:[^<"'\]]|"[^"]*"|'[^']*'|<(?!!--)|<!--(?:[^-]|-(?!->))*-->)*\]\s*)?>/i,greedy:!0,inside:{"internal-subset":{pattern:/(^[^\[]*\[)[\s\S]+(?=\]>$)/,lookbehind:!0,greedy:!0,inside:null},string:{pattern:/"[^"]*"|'[^']*'/,greedy:!0},punctuation:/^<!|>$|[[\]]/,"doctype-tag":/^DOCTYPE/i,name:/[^\s<>'"]+/}},cdata:{pattern:/<!\[CDATA\[[\s\S]*?\]\]>/i,greedy:!0},tag:{pattern:/<\/?(?!\d)[^\s>\/=$<%]+(?:\s(?:\s*[^\s>\/=]+(?:\s*=\s*(?:"[^"]*"|'[^']*'|[^\s'">=]+(?=[\s>]))|(?=[\s/>])))+)?\s*\/?>/,greedy:!0,inside:{tag:{pattern:/^<\/?[^\s>\/]+/,inside:{punctuation:/^<\/?/,namespace:/^[^\s>\/:]+:/}},"special-attr":[],"attr-value":{pattern:/=\s*(?:"[^"]*"|'[^']*'|[^\s'">=]+)/,inside:{punctuation:[{pattern:/^=/,alias:"attr-equals"},/"|'/]}},punctuation:/\/?>/,"attr-name":{pattern:/[^\s>\/]+/,inside:{namespace:/^[^\s>\/:]+:/}}}},entity:[{pattern:/&[\da-z]{1,8};/i,alias:"named-entity"},/&#x?[\da-f]{1,8};/i]},t.languages.markup.tag.inside["attr-value"].inside.entity=t.languages.markup.entity,t.languages.markup.doctype.inside["internal-subset"].inside=t.languages.markup,t.hooks.add("wrap",(function(e){"entity"===e.type&&(e.attributes.title=e.content.replace(/&amp;/,"&"));})),Object.defineProperty(t.languages.markup.tag,"addInlined",{value:function(e,n){var a={};a["language-"+n]={pattern:/(^<!\[CDATA\[)[\s\S]+?(?=\]\]>$)/i,lookbehind:!0,inside:t.languages[n]},a.cdata=/^<!\[CDATA\[|\]\]>$/i;var r={"included-cdata":{pattern:/<!\[CDATA\[[\s\S]*?\]\]>/i,inside:a}};r["language-"+n]={pattern:/[\s\S]+/,inside:t.languages[n]};var i={};i[e]={pattern:RegExp(/(<__[^>]*>)(?:<!\[CDATA\[(?:[^\]]|\](?!\]>))*\]\]>|(?!<!\[CDATA\[)[\s\S])*?(?=<\/__>)/.source.replace(/__/g,(function(){return e})),"i"),lookbehind:!0,greedy:!0,inside:r},t.languages.insertBefore("markup","cdata",i);}}),Object.defineProperty(t.languages.markup.tag,"addAttribute",{value:function(e,n){t.languages.markup.tag.inside["special-attr"].push({pattern:RegExp(/(^|["'\s])/.source+"(?:"+e+")"+/\s*=\s*(?:"[^"]*"|'[^']*'|[^\s'">=]+(?=[\s>]))/.source,"i"),lookbehind:!0,inside:{"attr-name":/^[^\s=]+/,"attr-value":{pattern:/=[\s\S]+/,inside:{value:{pattern:/(^=\s*(["']|(?!["'])))\S[\s\S]*(?=\2$)/,lookbehind:!0,alias:[n,"language-"+n],inside:t.languages[n]},punctuation:[{pattern:/^=/,alias:"attr-equals"},/"|'/]}}}});}}),t.languages.html=t.languages.markup,t.languages.mathml=t.languages.markup,t.languages.svg=t.languages.markup,t.languages.xml=t.languages.extend("markup",{}),t.languages.ssml=t.languages.xml,t.languages.atom=t.languages.xml,t.languages.rss=t.languages.xml,function(e){var t=/(?:"(?:\\(?:\r\n|[\s\S])|[^"\\\r\n])*"|'(?:\\(?:\r\n|[\s\S])|[^'\\\r\n])*')/;e.languages.css={comment:/\/\*[\s\S]*?\*\//,atrule:{pattern:/@[\w-](?:[^;{\s]|\s+(?![\s{]))*(?:;|(?=\s*\{))/,inside:{rule:/^@[\w-]+/,"selector-function-argument":{pattern:/(\bselector\s*\(\s*(?![\s)]))(?:[^()\s]|\s+(?![\s)])|\((?:[^()]|\([^()]*\))*\))+(?=\s*\))/,lookbehind:!0,alias:"selector"},keyword:{pattern:/(^|[^\w-])(?:and|not|only|or)(?![\w-])/,lookbehind:!0}}},url:{pattern:RegExp("\\burl\\((?:"+t.source+"|"+/(?:[^\\\r\n()"']|\\[\s\S])*/.source+")\\)","i"),greedy:!0,inside:{function:/^url/i,punctuation:/^\(|\)$/,string:{pattern:RegExp("^"+t.source+"$"),alias:"url"}}},selector:{pattern:RegExp("(^|[{}\\s])[^{}\\s](?:[^{};\"'\\s]|\\s+(?![\\s{])|"+t.source+")*(?=\\s*\\{)"),lookbehind:!0},string:{pattern:t,greedy:!0},property:{pattern:/(^|[^-\w\xA0-\uFFFF])(?!\s)[-_a-z\xA0-\uFFFF](?:(?!\s)[-\w\xA0-\uFFFF])*(?=\s*:)/i,lookbehind:!0},important:/!important\b/i,function:{pattern:/(^|[^-a-z0-9])[-a-z0-9]+(?=\()/i,lookbehind:!0},punctuation:/[(){};:,]/},e.languages.css.atrule.inside.rest=e.languages.css;var n=e.languages.markup;n&&(n.tag.addInlined("style","css"),n.tag.addAttribute("style","css"));}(t),t.languages.clike={comment:[{pattern:/(^|[^\\])\/\*[\s\S]*?(?:\*\/|$)/,lookbehind:!0,greedy:!0},{pattern:/(^|[^\\:])\/\/.*/,lookbehind:!0,greedy:!0}],string:{pattern:/(["'])(?:\\(?:\r\n|[\s\S])|(?!\1)[^\\\r\n])*\1/,greedy:!0},"class-name":{pattern:/(\b(?:class|interface|extends|implements|trait|instanceof|new)\s+|\bcatch\s+\()[\w.\\]+/i,lookbehind:!0,inside:{punctuation:/[.\\]/}},keyword:/\b(?:if|else|while|do|for|return|in|instanceof|function|new|try|throw|catch|finally|null|break|continue)\b/,boolean:/\b(?:true|false)\b/,function:/\b\w+(?=\()/,number:/\b0x[\da-f]+\b|(?:\b\d+(?:\.\d*)?|\B\.\d+)(?:e[+-]?\d+)?/i,operator:/[<>]=?|[!=]=?=?|--?|\+\+?|&&?|\|\|?|[?*/~^%]/,punctuation:/[{}[\];(),.:]/},t.languages.javascript=t.languages.extend("clike",{"class-name":[t.languages.clike["class-name"],{pattern:/(^|[^$\w\xA0-\uFFFF])(?!\s)[_$A-Z\xA0-\uFFFF](?:(?!\s)[$\w\xA0-\uFFFF])*(?=\.(?:prototype|constructor))/,lookbehind:!0}],keyword:[{pattern:/((?:^|\})\s*)catch\b/,lookbehind:!0},{pattern:/(^|[^.]|\.\.\.\s*)\b(?:as|assert(?=\s*\{)|async(?=\s*(?:function\b|\(|[$\w\xA0-\uFFFF]|$))|await|break|case|class|const|continue|debugger|default|delete|do|else|enum|export|extends|finally(?=\s*(?:\{|$))|for|from(?=\s*(?:['"]|$))|function|(?:get|set)(?=\s*(?:[#\[$\w\xA0-\uFFFF]|$))|if|implements|import|in|instanceof|interface|let|new|null|of|package|private|protected|public|return|static|super|switch|this|throw|try|typeof|undefined|var|void|while|with|yield)\b/,lookbehind:!0}],function:/#?(?!\s)[_$a-zA-Z\xA0-\uFFFF](?:(?!\s)[$\w\xA0-\uFFFF])*(?=\s*(?:\.\s*(?:apply|bind|call)\s*)?\()/,number:/\b(?:(?:0[xX](?:[\dA-Fa-f](?:_[\dA-Fa-f])?)+|0[bB](?:[01](?:_[01])?)+|0[oO](?:[0-7](?:_[0-7])?)+)n?|(?:\d(?:_\d)?)+n|NaN|Infinity)\b|(?:\b(?:\d(?:_\d)?)+\.?(?:\d(?:_\d)?)*|\B\.(?:\d(?:_\d)?)+)(?:[Ee][+-]?(?:\d(?:_\d)?)+)?/,operator:/--|\+\+|\*\*=?|=>|&&=?|\|\|=?|[!=]==|<<=?|>>>?=?|[-+*/%&|^!=<>]=?|\.{3}|\?\?=?|\?\.?|[~:]/}),t.languages.javascript["class-name"][0].pattern=/(\b(?:class|interface|extends|implements|instanceof|new)\s+)[\w.\\]+/,t.languages.insertBefore("javascript","keyword",{regex:{pattern:/((?:^|[^$\w\xA0-\uFFFF."'\])\s]|\b(?:return|yield))\s*)\/(?:\[(?:[^\]\\\r\n]|\\.)*\]|\\.|[^/\\\[\r\n])+\/[dgimyus]{0,7}(?=(?:\s|\/\*(?:[^*]|\*(?!\/))*\*\/)*(?:$|[\r\n,.;:})\]]|\/\/))/,lookbehind:!0,greedy:!0,inside:{"regex-source":{pattern:/^(\/)[\s\S]+(?=\/[a-z]*$)/,lookbehind:!0,alias:"language-regex",inside:t.languages.regex},"regex-delimiter":/^\/|\/$/,"regex-flags":/^[a-z]+$/}},"function-variable":{pattern:/#?(?!\s)[_$a-zA-Z\xA0-\uFFFF](?:(?!\s)[$\w\xA0-\uFFFF])*(?=\s*[=:]\s*(?:async\s*)?(?:\bfunction\b|(?:\((?:[^()]|\([^()]*\))*\)|(?!\s)[_$a-zA-Z\xA0-\uFFFF](?:(?!\s)[$\w\xA0-\uFFFF])*)\s*=>))/,alias:"function"},parameter:[{pattern:/(function(?:\s+(?!\s)[_$a-zA-Z\xA0-\uFFFF](?:(?!\s)[$\w\xA0-\uFFFF])*)?\s*\(\s*)(?!\s)(?:[^()\s]|\s+(?![\s)])|\([^()]*\))+(?=\s*\))/,lookbehind:!0,inside:t.languages.javascript},{pattern:/(^|[^$\w\xA0-\uFFFF])(?!\s)[_$a-z\xA0-\uFFFF](?:(?!\s)[$\w\xA0-\uFFFF])*(?=\s*=>)/i,lookbehind:!0,inside:t.languages.javascript},{pattern:/(\(\s*)(?!\s)(?:[^()\s]|\s+(?![\s)])|\([^()]*\))+(?=\s*\)\s*=>)/,lookbehind:!0,inside:t.languages.javascript},{pattern:/((?:\b|\s|^)(?!(?:as|async|await|break|case|catch|class|const|continue|debugger|default|delete|do|else|enum|export|extends|finally|for|from|function|get|if|implements|import|in|instanceof|interface|let|new|null|of|package|private|protected|public|return|set|static|super|switch|this|throw|try|typeof|undefined|var|void|while|with|yield)(?![$\w\xA0-\uFFFF]))(?:(?!\s)[_$a-zA-Z\xA0-\uFFFF](?:(?!\s)[$\w\xA0-\uFFFF])*\s*)\(\s*|\]\s*\(\s*)(?!\s)(?:[^()\s]|\s+(?![\s)])|\([^()]*\))+(?=\s*\)\s*\{)/,lookbehind:!0,inside:t.languages.javascript}],constant:/\b[A-Z](?:[A-Z_]|\dx?)*\b/}),t.languages.insertBefore("javascript","string",{hashbang:{pattern:/^#!.*/,greedy:!0,alias:"comment"},"template-string":{pattern:/`(?:\\[\s\S]|\$\{(?:[^{}]|\{(?:[^{}]|\{[^}]*\})*\})+\}|(?!\$\{)[^\\`])*`/,greedy:!0,inside:{"template-punctuation":{pattern:/^`|`$/,alias:"string"},interpolation:{pattern:/((?:^|[^\\])(?:\\{2})*)\$\{(?:[^{}]|\{(?:[^{}]|\{[^}]*\})*\})+\}/,lookbehind:!0,inside:{"interpolation-punctuation":{pattern:/^\$\{|\}$/,alias:"punctuation"},rest:t.languages.javascript}},string:/[\s\S]+/}}}),t.languages.markup&&(t.languages.markup.tag.addInlined("script","javascript"),t.languages.markup.tag.addAttribute(/on(?:abort|blur|change|click|composition(?:end|start|update)|dblclick|error|focus(?:in|out)?|key(?:down|up)|load|mouse(?:down|enter|leave|move|out|over|up)|reset|resize|scroll|select|slotchange|submit|unload|wheel)/.source,"javascript")),t.languages.js=t.languages.javascript,function(){if(void 0!==t&&"undefined"!=typeof document){Element.prototype.matches||(Element.prototype.matches=Element.prototype.msMatchesSelector||Element.prototype.webkitMatchesSelector);var e={js:"javascript",py:"python",rb:"ruby",ps1:"powershell",psm1:"powershell",sh:"bash",bat:"batch",h:"c",tex:"latex"},n="data-src-status",a="loading",r="loaded",i='pre[data-src]:not([data-src-status="loaded"]):not([data-src-status="loading"])',s=/\blang(?:uage)?-([\w-]+)\b/i;t.hooks.add("before-highlightall",(function(e){e.selector+=", "+i;})),t.hooks.add("before-sanity-check",(function(s){var o=s.element;if(o.matches(i)){s.code="",o.setAttribute(n,a);var u=o.appendChild(document.createElement("CODE"));u.textContent="Loading…";var c=o.getAttribute("data-src"),d=s.language;if("none"===d){var p=(/\.(\w+)$/.exec(c)||[,"none"])[1];d=e[p]||p;}l(u,d),l(o,d);var g=t.plugins.autoloader;g&&g.loadLanguages(d);var f=new XMLHttpRequest;f.open("GET",c,!0),f.onreadystatechange=function(){var e,a;4==f.readyState&&(f.status<400&&f.responseText?(o.setAttribute(n,r),u.textContent=f.responseText,t.highlightElement(u)):(o.setAttribute(n,"failed"),f.status>=400?u.textContent=(e=f.status,a=f.statusText,"✖ Error "+e+" while fetching file: "+a):u.textContent="✖ Error: File does not exist or is empty"));},f.send(null);}})),t.plugins.fileHighlight={highlight:function(e){for(var n,a=(e||document).querySelectorAll(i),r=0;n=a[r++];)t.highlightElement(n);}};var o=!1;t.fileHighlight=function(){o||(console.warn("Prism.fileHighlight is deprecated. Use `Prism.plugins.fileHighlight.highlight` instead."),o=!0),t.plugins.fileHighlight.highlight.apply(this,arguments);};}function l(e,t){var n=e.className;n=n.replace(s," ")+" language-"+t,e.className=n.replace(/\s+/g," ").trim();}}();}));!function(e){var t=e.util.clone(e.languages.javascript),n=/(?:\s|\/\/.*(?!.)|\/\*(?:[^*]|\*(?!\/))\*\/)/.source,a=/(?:\{(?:\{(?:\{[^{}]*\}|[^{}])*\}|[^{}])*\})/.source,r=/(?:\{<S>*\.{3}(?:[^{}]|<BRACES>)*\})/.source;function i(e,t){return e=e.replace(/<S>/g,(function(){return n})).replace(/<BRACES>/g,(function(){return a})).replace(/<SPREAD>/g,(function(){return r})),RegExp(e,t)}r=i(r).source,e.languages.jsx=e.languages.extend("markup",t),e.languages.jsx.tag.pattern=i(/<\/?(?:[\w.:-]+(?:<S>+(?:[\w.:$-]+(?:=(?:"(?:\\[\s\S]|[^\\"])*"|'(?:\\[\s\S]|[^\\'])*'|[^\s{'"/>=]+|<BRACES>))?|<SPREAD>))*<S>*\/?)?>/.source),e.languages.jsx.tag.inside.tag.pattern=/^<\/?[^\s>\/]*/i,e.languages.jsx.tag.inside["attr-value"].pattern=/=(?!\{)(?:"(?:\\[\s\S]|[^\\"])*"|'(?:\\[\s\S]|[^\\'])*'|[^\s'">]+)/i,e.languages.jsx.tag.inside.tag.inside["class-name"]=/^[A-Z]\w*(?:\.[A-Z]\w*)*$/,e.languages.jsx.tag.inside.comment=t.comment,e.languages.insertBefore("inside","attr-name",{spread:{pattern:i(/<SPREAD>/.source),inside:e.languages.jsx}},e.languages.jsx.tag),e.languages.insertBefore("inside","special-attr",{script:{pattern:i(/=<BRACES>/.source),inside:{"script-punctuation":{pattern:/^=(?=\{)/,alias:"punctuation"},rest:e.languages.jsx},alias:"language-javascript"}},e.languages.jsx.tag);var s=function(e){return e?"string"==typeof e?e:"string"==typeof e.content?e.content:e.content.map(s).join(""):""},o=function(t){for(var n=[],a=0;a<t.length;a++){var r=t[a],i=!1;if("string"!=typeof r&&("tag"===r.type&&r.content[0]&&"tag"===r.content[0].type?"</"===r.content[0].content[0].content?n.length>0&&n[n.length-1].tagName===s(r.content[0].content[1])&&n.pop():"/>"===r.content[r.content.length-1].content||n.push({tagName:s(r.content[0].content[1]),openedBraces:0}):n.length>0&&"punctuation"===r.type&&"{"===r.content?n[n.length-1].openedBraces++:n.length>0&&n[n.length-1].openedBraces>0&&"punctuation"===r.type&&"}"===r.content?n[n.length-1].openedBraces--:i=!0),(i||"string"==typeof r)&&n.length>0&&0===n[n.length-1].openedBraces){var l=s(r);a<t.length-1&&("string"==typeof t[a+1]||"plain-text"===t[a+1].type)&&(l+=s(t[a+1]),t.splice(a+1,1)),a>0&&("string"==typeof t[a-1]||"plain-text"===t[a-1].type)&&(l=s(t[a-1])+l,t.splice(a-1,1),a--),t[a]=new e.Token("plain-text",l,null,l);}r.content&&"string"!=typeof r.content&&o(r.content);}};e.hooks.add("after-tokenize",(function(e){"jsx"!==e.language&&"tsx"!==e.language||o(e.tokens);}));}(Prism),function(e){e.languages.typescript=e.languages.extend("javascript",{"class-name":{pattern:/(\b(?:class|extends|implements|instanceof|interface|new|type)\s+)(?!keyof\b)(?!\s)[_$a-zA-Z\xA0-\uFFFF](?:(?!\s)[$\w\xA0-\uFFFF])*(?:\s*<(?:[^<>]|<(?:[^<>]|<[^<>]*>)*>)*>)?/,lookbehind:!0,greedy:!0,inside:null},builtin:/\b(?:string|Function|any|number|boolean|Array|symbol|console|Promise|unknown|never)\b/}),e.languages.typescript.keyword.push(/\b(?:abstract|as|declare|implements|is|keyof|readonly|require)\b/,/\b(?:asserts|infer|interface|module|namespace|type)\b(?=\s*(?:[{_$a-zA-Z\xA0-\uFFFF]|$))/,/\btype\b(?=\s*(?:[\{*]|$))/),delete e.languages.typescript.parameter;var t=e.languages.extend("typescript",{});delete t["class-name"],e.languages.typescript["class-name"].inside=t,e.languages.insertBefore("typescript","function",{decorator:{pattern:/@[$\w\xA0-\uFFFF]+/,inside:{at:{pattern:/^@/,alias:"operator"},function:/^[\s\S]+/}},"generic-function":{pattern:/#?(?!\s)[_$a-zA-Z\xA0-\uFFFF](?:(?!\s)[$\w\xA0-\uFFFF])*\s*<(?:[^<>]|<(?:[^<>]|<[^<>]*>)*>)*>(?=\s*\()/,greedy:!0,inside:{function:/^#?(?!\s)[_$a-zA-Z\xA0-\uFFFF](?:(?!\s)[$\w\xA0-\uFFFF])*/,generic:{pattern:/<[\s\S]+/,alias:"class-name",inside:t}}}}),e.languages.ts=e.languages.typescript;}(Prism),Prism.languages.markup={comment:{pattern:/<!--(?:(?!<!--)[\s\S])*?-->/,greedy:!0},prolog:{pattern:/<\?[\s\S]+?\?>/,greedy:!0},doctype:{pattern:/<!DOCTYPE(?:[^>"'[\]]|"[^"]*"|'[^']*')+(?:\[(?:[^<"'\]]|"[^"]*"|'[^']*'|<(?!!--)|<!--(?:[^-]|-(?!->))*-->)*\]\s*)?>/i,greedy:!0,inside:{"internal-subset":{pattern:/(^[^\[]*\[)[\s\S]+(?=\]>$)/,lookbehind:!0,greedy:!0,inside:null},string:{pattern:/"[^"]*"|'[^']*'/,greedy:!0},punctuation:/^<!|>$|[[\]]/,"doctype-tag":/^DOCTYPE/i,name:/[^\s<>'"]+/}},cdata:{pattern:/<!\[CDATA\[[\s\S]*?\]\]>/i,greedy:!0},tag:{pattern:/<\/?(?!\d)[^\s>\/=$<%]+(?:\s(?:\s*[^\s>\/=]+(?:\s*=\s*(?:"[^"]*"|'[^']*'|[^\s'">=]+(?=[\s>]))|(?=[\s/>])))+)?\s*\/?>/,greedy:!0,inside:{tag:{pattern:/^<\/?[^\s>\/]+/,inside:{punctuation:/^<\/?/,namespace:/^[^\s>\/:]+:/}},"special-attr":[],"attr-value":{pattern:/=\s*(?:"[^"]*"|'[^']*'|[^\s'">=]+)/,inside:{punctuation:[{pattern:/^=/,alias:"attr-equals"},/"|'/]}},punctuation:/\/?>/,"attr-name":{pattern:/[^\s>\/]+/,inside:{namespace:/^[^\s>\/:]+:/}}}},entity:[{pattern:/&[\da-z]{1,8};/i,alias:"named-entity"},/&#x?[\da-f]{1,8};/i]},Prism.languages.markup.tag.inside["attr-value"].inside.entity=Prism.languages.markup.entity,Prism.languages.markup.doctype.inside["internal-subset"].inside=Prism.languages.markup,Prism.hooks.add("wrap",(function(e){"entity"===e.type&&(e.attributes.title=e.content.replace(/&amp;/,"&"));})),Object.defineProperty(Prism.languages.markup.tag,"addInlined",{value:function(e,t){var n={};n["language-"+t]={pattern:/(^<!\[CDATA\[)[\s\S]+?(?=\]\]>$)/i,lookbehind:!0,inside:Prism.languages[t]},n.cdata=/^<!\[CDATA\[|\]\]>$/i;var a={"included-cdata":{pattern:/<!\[CDATA\[[\s\S]*?\]\]>/i,inside:n}};a["language-"+t]={pattern:/[\s\S]+/,inside:Prism.languages[t]};var r={};r[e]={pattern:RegExp(/(<__[^>]*>)(?:<!\[CDATA\[(?:[^\]]|\](?!\]>))*\]\]>|(?!<!\[CDATA\[)[\s\S])*?(?=<\/__>)/.source.replace(/__/g,(function(){return e})),"i"),lookbehind:!0,greedy:!0,inside:a},Prism.languages.insertBefore("markup","cdata",r);}}),Object.defineProperty(Prism.languages.markup.tag,"addAttribute",{value:function(e,t){Prism.languages.markup.tag.inside["special-attr"].push({pattern:RegExp(/(^|["'\s])/.source+"(?:"+e+")"+/\s*=\s*(?:"[^"]*"|'[^']*'|[^\s'">=]+(?=[\s>]))/.source,"i"),lookbehind:!0,inside:{"attr-name":/^[^\s=]+/,"attr-value":{pattern:/=[\s\S]+/,inside:{value:{pattern:/(^=\s*(["']|(?!["'])))\S[\s\S]*(?=\2$)/,lookbehind:!0,alias:[t,"language-"+t],inside:Prism.languages[t]},punctuation:[{pattern:/^=/,alias:"attr-equals"},/"|'/]}}}});}}),Prism.languages.html=Prism.languages.markup,Prism.languages.mathml=Prism.languages.markup,Prism.languages.svg=Prism.languages.markup,Prism.languages.xml=Prism.languages.extend("markup",{}),Prism.languages.ssml=Prism.languages.xml,Prism.languages.atom=Prism.languages.xml,Prism.languages.rss=Prism.languages.xml,Prism.languages.go=Prism.languages.extend("clike",{string:{pattern:/(["'`])(?:\\[\s\S]|(?!\1)[^\\])*\1/,greedy:!0},keyword:/\b(?:break|case|chan|const|continue|default|defer|else|fallthrough|for|func|go(?:to)?|if|import|interface|map|package|range|return|select|struct|switch|type|var)\b/,boolean:/\b(?:_|iota|nil|true|false)\b/,number:/(?:\b0x[a-f\d]+|(?:\b\d+(?:\.\d*)?|\B\.\d+)(?:e[-+]?\d+)?)i?/i,operator:/[*\/%^!=]=?|\+[=+]?|-[=-]?|\|[=|]?|&(?:=|&|\^=?)?|>(?:>=?|=)?|<(?:<=?|=|-)?|:=|\.\.\./,builtin:/\b(?:bool|byte|complex(?:64|128)|error|float(?:32|64)|rune|string|u?int(?:8|16|32|64)?|uintptr|append|cap|close|complex|copy|delete|imag|len|make|new|panic|print(?:ln)?|real|recover)\b/}),delete Prism.languages.go["class-name"],function(e){var t=/\/\*[\s\S]*?\*\/|\/\/.*|#(?!\[).*/,n=[{pattern:/\b(?:false|true)\b/i,alias:"boolean"},{pattern:/(::\s*)\b[a-z_]\w*\b(?!\s*\()/i,greedy:!0,lookbehind:!0},{pattern:/(\b(?:case|const)\s+)\b[a-z_]\w*(?=\s*[;=])/i,greedy:!0,lookbehind:!0},/\b(?:null)\b/i,/\b[A-Z_][A-Z0-9_]*\b(?!\s*\()/],a=/\b0b[01]+(?:_[01]+)*\b|\b0o[0-7]+(?:_[0-7]+)*\b|\b0x[\da-f]+(?:_[\da-f]+)*\b|(?:\b\d+(?:_\d+)*\.?(?:\d+(?:_\d+)*)?|\B\.\d+)(?:e[+-]?\d+)?/i,r=/<?=>|\?\?=?|\.{3}|\??->|[!=]=?=?|::|\*\*=?|--|\+\+|&&|\|\||<<|>>|[?~]|[/^|%*&<>.+-]=?/,i=/[{}\[\](),:;]/;e.languages.php={delimiter:{pattern:/\?>$|^<\?(?:php(?=\s)|=)?/i,alias:"important"},comment:t,variable:/\$+(?:\w+\b|(?=\{))/i,package:{pattern:/(namespace\s+|use\s+(?:function\s+)?)(?:\\?\b[a-z_]\w*)+\b(?!\\)/i,lookbehind:!0,inside:{punctuation:/\\/}},"class-name-definition":{pattern:/(\b(?:class|enum|interface|trait)\s+)\b[a-z_]\w*(?!\\)\b/i,lookbehind:!0,alias:"class-name"},"function-definition":{pattern:/(\bfunction\s+)[a-z_]\w*(?=\s*\()/i,lookbehind:!0,alias:"function"},keyword:[{pattern:/(\(\s*)\b(?:bool|boolean|int|integer|float|string|object|array)\b(?=\s*\))/i,alias:"type-casting",greedy:!0,lookbehind:!0},{pattern:/([(,?]\s*)\b(?:bool|int|float|string|object|array(?!\s*\()|mixed|self|static|callable|iterable|(?:null|false)(?=\s*\|))\b(?=\s*\$)/i,alias:"type-hint",greedy:!0,lookbehind:!0},{pattern:/([(,?]\s*[\w|]\|\s*)(?:null|false)\b(?=\s*\$)/i,alias:"type-hint",greedy:!0,lookbehind:!0},{pattern:/(\)\s*:\s*(?:\?\s*)?)\b(?:bool|int|float|string|object|void|array(?!\s*\()|mixed|self|static|callable|iterable|(?:null|false)(?=\s*\|))\b/i,alias:"return-type",greedy:!0,lookbehind:!0},{pattern:/(\)\s*:\s*(?:\?\s*)?[\w|]\|\s*)(?:null|false)\b/i,alias:"return-type",greedy:!0,lookbehind:!0},{pattern:/\b(?:bool|int|float|string|object|void|array(?!\s*\()|mixed|iterable|(?:null|false)(?=\s*\|))\b/i,alias:"type-declaration",greedy:!0},{pattern:/(\|\s*)(?:null|false)\b/i,alias:"type-declaration",greedy:!0,lookbehind:!0},{pattern:/\b(?:parent|self|static)(?=\s*::)/i,alias:"static-context",greedy:!0},{pattern:/(\byield\s+)from\b/i,lookbehind:!0},/\bclass\b/i,{pattern:/((?:^|[^\s>:]|(?:^|[^-])>|(?:^|[^:]):)\s*)\b(?:__halt_compiler|abstract|and|array|as|break|callable|case|catch|clone|const|continue|declare|default|die|do|echo|else|elseif|empty|enddeclare|endfor|endforeach|endif|endswitch|endwhile|enum|eval|exit|extends|final|finally|fn|for|foreach|function|global|goto|if|implements|include|include_once|instanceof|insteadof|interface|isset|list|namespace|match|new|or|parent|print|private|protected|public|require|require_once|return|self|static|switch|throw|trait|try|unset|use|var|while|xor|yield)\b/i,lookbehind:!0}],"argument-name":{pattern:/([(,]\s+)\b[a-z_]\w*(?=\s*:(?!:))/i,lookbehind:!0},"class-name":[{pattern:/(\b(?:extends|implements|instanceof|new(?!\s+self|\s+static))\s+|\bcatch\s*\()\b[a-z_]\w*(?!\\)\b/i,greedy:!0,lookbehind:!0},{pattern:/(\|\s*)\b[a-z_]\w*(?!\\)\b/i,greedy:!0,lookbehind:!0},{pattern:/\b[a-z_]\w*(?!\\)\b(?=\s*\|)/i,greedy:!0},{pattern:/(\|\s*)(?:\\?\b[a-z_]\w*)+\b/i,alias:"class-name-fully-qualified",greedy:!0,lookbehind:!0,inside:{punctuation:/\\/}},{pattern:/(?:\\?\b[a-z_]\w*)+\b(?=\s*\|)/i,alias:"class-name-fully-qualified",greedy:!0,inside:{punctuation:/\\/}},{pattern:/(\b(?:extends|implements|instanceof|new(?!\s+self\b|\s+static\b))\s+|\bcatch\s*\()(?:\\?\b[a-z_]\w*)+\b(?!\\)/i,alias:"class-name-fully-qualified",greedy:!0,lookbehind:!0,inside:{punctuation:/\\/}},{pattern:/\b[a-z_]\w*(?=\s*\$)/i,alias:"type-declaration",greedy:!0},{pattern:/(?:\\?\b[a-z_]\w*)+(?=\s*\$)/i,alias:["class-name-fully-qualified","type-declaration"],greedy:!0,inside:{punctuation:/\\/}},{pattern:/\b[a-z_]\w*(?=\s*::)/i,alias:"static-context",greedy:!0},{pattern:/(?:\\?\b[a-z_]\w*)+(?=\s*::)/i,alias:["class-name-fully-qualified","static-context"],greedy:!0,inside:{punctuation:/\\/}},{pattern:/([(,?]\s*)[a-z_]\w*(?=\s*\$)/i,alias:"type-hint",greedy:!0,lookbehind:!0},{pattern:/([(,?]\s*)(?:\\?\b[a-z_]\w*)+(?=\s*\$)/i,alias:["class-name-fully-qualified","type-hint"],greedy:!0,lookbehind:!0,inside:{punctuation:/\\/}},{pattern:/(\)\s*:\s*(?:\?\s*)?)\b[a-z_]\w*(?!\\)\b/i,alias:"return-type",greedy:!0,lookbehind:!0},{pattern:/(\)\s*:\s*(?:\?\s*)?)(?:\\?\b[a-z_]\w*)+\b(?!\\)/i,alias:["class-name-fully-qualified","return-type"],greedy:!0,lookbehind:!0,inside:{punctuation:/\\/}}],constant:n,function:{pattern:/(^|[^\\\w])\\?[a-z_](?:[\w\\]*\w)?(?=\s*\()/i,lookbehind:!0,inside:{punctuation:/\\/}},property:{pattern:/(->\s*)\w+/,lookbehind:!0},number:a,operator:r,punctuation:i};var s={pattern:/\{\$(?:\{(?:\{[^{}]+\}|[^{}]+)\}|[^{}])+\}|(^|[^\\{])\$+(?:\w+(?:\[[^\r\n\[\]]+\]|->\w+)?)/,lookbehind:!0,inside:e.languages.php},o=[{pattern:/<<<'([^']+)'[\r\n](?:.*[\r\n])*?\1;/,alias:"nowdoc-string",greedy:!0,inside:{delimiter:{pattern:/^<<<'[^']+'|[a-z_]\w*;$/i,alias:"symbol",inside:{punctuation:/^<<<'?|[';]$/}}}},{pattern:/<<<(?:"([^"]+)"[\r\n](?:.*[\r\n])*?\1;|([a-z_]\w*)[\r\n](?:.*[\r\n])*?\2;)/i,alias:"heredoc-string",greedy:!0,inside:{delimiter:{pattern:/^<<<(?:"[^"]+"|[a-z_]\w*)|[a-z_]\w*;$/i,alias:"symbol",inside:{punctuation:/^<<<"?|[";]$/}},interpolation:s}},{pattern:/`(?:\\[\s\S]|[^\\`])*`/,alias:"backtick-quoted-string",greedy:!0},{pattern:/'(?:\\[\s\S]|[^\\'])*'/,alias:"single-quoted-string",greedy:!0},{pattern:/"(?:\\[\s\S]|[^\\"])*"/,alias:"double-quoted-string",greedy:!0,inside:{interpolation:s}}];e.languages.insertBefore("php","variable",{string:o,attribute:{pattern:/#\[(?:[^"'\/#]|\/(?![*/])|\/\/.*$|#(?!\[).*$|\/\*(?:[^*]|\*(?!\/))*\*\/|"(?:\\[\s\S]|[^\\"])*"|'(?:\\[\s\S]|[^\\'])*')+\](?=\s*[a-z$#])/im,greedy:!0,inside:{"attribute-content":{pattern:/^(#\[)[\s\S]+(?=\]$)/,lookbehind:!0,inside:{comment:t,string:o,"attribute-class-name":[{pattern:/([^:]|^)\b[a-z_]\w*(?!\\)\b/i,alias:"class-name",greedy:!0,lookbehind:!0},{pattern:/([^:]|^)(?:\\?\b[a-z_]\w*)+/i,alias:["class-name","class-name-fully-qualified"],greedy:!0,lookbehind:!0,inside:{punctuation:/\\/}}],constant:n,number:a,operator:r,punctuation:i}},delimiter:{pattern:/^#\[|\]$/,alias:"punctuation"}}}}),e.hooks.add("before-tokenize",(function(t){if(/<\?/.test(t.code)){e.languages["markup-templating"].buildPlaceholders(t,"php",/<\?(?:[^"'/#]|\/(?![*/])|("|')(?:\\[\s\S]|(?!\1)[^\\])*\1|(?:\/\/|#(?!\[))(?:[^?\n\r]|\?(?!>))*(?=$|\?>|[\r\n])|#\[|\/\*(?:[^*]|\*(?!\/))*(?:\*\/|$))*?(?:\?>|$)/gi);}})),e.hooks.add("after-tokenize",(function(t){e.languages["markup-templating"].tokenizePlaceholders(t,"php");}));}(Prism),Prism.languages.c=Prism.languages.extend("clike",{comment:{pattern:/\/\/(?:[^\r\n\\]|\\(?:\r\n?|\n|(?![\r\n])))*|\/\*[\s\S]*?(?:\*\/|$)/,greedy:!0},"class-name":{pattern:/(\b(?:enum|struct)\s+(?:__attribute__\s*\(\([\s\S]*?\)\)\s*)?)\w+|\b[a-z]\w*_t\b/,lookbehind:!0},keyword:/\b(?:__attribute__|_Alignas|_Alignof|_Atomic|_Bool|_Complex|_Generic|_Imaginary|_Noreturn|_Static_assert|_Thread_local|asm|typeof|inline|auto|break|case|char|const|continue|default|do|double|else|enum|extern|float|for|goto|if|int|long|register|return|short|signed|sizeof|static|struct|switch|typedef|union|unsigned|void|volatile|while)\b/,function:/\b[a-z_]\w*(?=\s*\()/i,number:/(?:\b0x(?:[\da-f]+(?:\.[\da-f]*)?|\.[\da-f]+)(?:p[+-]?\d+)?|(?:\b\d+(?:\.\d*)?|\B\.\d+)(?:e[+-]?\d+)?)[ful]{0,4}/i,operator:/>>=?|<<=?|->|([-+&|:])\1|[?:~]|[-+*/%&|^!=<>]=?/}),Prism.languages.insertBefore("c","string",{macro:{pattern:/(^[\t ]*)#\s*[a-z](?:[^\r\n\\/]|\/(?!\*)|\/\*(?:[^*]|\*(?!\/))*\*\/|\\(?:\r\n|[\s\S]))*/im,lookbehind:!0,greedy:!0,alias:"property",inside:{string:[{pattern:/^(#\s*include\s*)<[^>]+>/,lookbehind:!0},Prism.languages.c.string],comment:Prism.languages.c.comment,"macro-name":[{pattern:/(^#\s*define\s+)\w+\b(?!\()/i,lookbehind:!0},{pattern:/(^#\s*define\s+)\w+\b(?=\()/i,lookbehind:!0,alias:"function"}],directive:{pattern:/^(#\s*)[a-z]+/,lookbehind:!0,alias:"keyword"},"directive-hash":/^#/,punctuation:/##|\\(?=[\r\n])/,expression:{pattern:/\S[\s\S]*/,inside:Prism.languages.c}}},constant:/\b(?:__FILE__|__LINE__|__DATE__|__TIME__|__TIMESTAMP__|__func__|EOF|NULL|SEEK_CUR|SEEK_END|SEEK_SET|stdin|stdout|stderr)\b/}),delete Prism.languages.c.boolean,Prism.languages.python={comment:{pattern:/(^|[^\\])#.*/,lookbehind:!0},"string-interpolation":{pattern:/(?:f|rf|fr)(?:("""|''')[\s\S]*?\1|("|')(?:\\.|(?!\2)[^\\\r\n])*\2)/i,greedy:!0,inside:{interpolation:{pattern:/((?:^|[^{])(?:\{\{)*)\{(?!\{)(?:[^{}]|\{(?!\{)(?:[^{}]|\{(?!\{)(?:[^{}])+\})+\})+\}/,lookbehind:!0,inside:{"format-spec":{pattern:/(:)[^:(){}]+(?=\}$)/,lookbehind:!0},"conversion-option":{pattern:/![sra](?=[:}]$)/,alias:"punctuation"},rest:null}},string:/[\s\S]+/}},"triple-quoted-string":{pattern:/(?:[rub]|rb|br)?("""|''')[\s\S]*?\1/i,greedy:!0,alias:"string"},string:{pattern:/(?:[rub]|rb|br)?("|')(?:\\.|(?!\1)[^\\\r\n])*\1/i,greedy:!0},function:{pattern:/((?:^|\s)def[ \t]+)[a-zA-Z_]\w*(?=\s*\()/g,lookbehind:!0},"class-name":{pattern:/(\bclass\s+)\w+/i,lookbehind:!0},decorator:{pattern:/(^[\t ]*)@\w+(?:\.\w+)*/im,lookbehind:!0,alias:["annotation","punctuation"],inside:{punctuation:/\./}},keyword:/\b(?:and|as|assert|async|await|break|class|continue|def|del|elif|else|except|exec|finally|for|from|global|if|import|in|is|lambda|nonlocal|not|or|pass|print|raise|return|try|while|with|yield)\b/,builtin:/\b(?:__import__|abs|all|any|apply|ascii|basestring|bin|bool|buffer|bytearray|bytes|callable|chr|classmethod|cmp|coerce|compile|complex|delattr|dict|dir|divmod|enumerate|eval|execfile|file|filter|float|format|frozenset|getattr|globals|hasattr|hash|help|hex|id|input|int|intern|isinstance|issubclass|iter|len|list|locals|long|map|max|memoryview|min|next|object|oct|open|ord|pow|property|range|raw_input|reduce|reload|repr|reversed|round|set|setattr|slice|sorted|staticmethod|str|sum|super|tuple|type|unichr|unicode|vars|xrange|zip)\b/,boolean:/\b(?:True|False|None)\b/,number:/\b0(?:b(?:_?[01])+|o(?:_?[0-7])+|x(?:_?[a-f0-9])+)\b|(?:\b\d+(?:_\d+)*(?:\.(?:\d+(?:_\d+)*)?)?|\B\.\d+(?:_\d+)*)(?:e[+-]?\d+(?:_\d+)*)?j?\b/i,operator:/[-+%=]=?|!=|\*\*?=?|\/\/?=?|<[<=>]?|>[=>]?|[&|^~]/,punctuation:/[{}[\];(),.:]/},Prism.languages.python["string-interpolation"].inside.interpolation.inside.rest=Prism.languages.python,Prism.languages.py=Prism.languages.python,function(e){var t=/\b(?:abstract|assert|boolean|break|byte|case|catch|char|class|const|continue|default|do|double|else|enum|exports|extends|final|finally|float|for|goto|if|implements|import|instanceof|int|interface|long|module|native|new|non-sealed|null|open|opens|package|permits|private|protected|provides|public|record|requires|return|sealed|short|static|strictfp|super|switch|synchronized|this|throw|throws|to|transient|transitive|try|uses|var|void|volatile|while|with|yield)\b/,n=/(^|[^\w.])(?:[a-z]\w*\s*\.\s*)*(?:[A-Z]\w*\s*\.\s*)*/.source,a={pattern:RegExp(n+/[A-Z](?:[\d_A-Z]*[a-z]\w*)?\b/.source),lookbehind:!0,inside:{namespace:{pattern:/^[a-z]\w*(?:\s*\.\s*[a-z]\w*)*(?:\s*\.)?/,inside:{punctuation:/\./}},punctuation:/\./}};e.languages.java=e.languages.extend("clike",{"class-name":[a,{pattern:RegExp(n+/[A-Z]\w*(?=\s+\w+\s*[;,=()])/.source),lookbehind:!0,inside:a.inside}],keyword:t,function:[e.languages.clike.function,{pattern:/(::\s*)[a-z_]\w*/,lookbehind:!0}],number:/\b0b[01][01_]*L?\b|\b0x(?:\.[\da-f_p+-]+|[\da-f_]+(?:\.[\da-f_p+-]+)?)\b|(?:\b\d[\d_]*(?:\.[\d_]*)?|\B\.\d[\d_]*)(?:e[+-]?\d[\d_]*)?[dfl]?/i,operator:{pattern:/(^|[^.])(?:<<=?|>>>?=?|->|--|\+\+|&&|\|\||::|[?:~]|[-+*/%&|^!=<>]=?)/m,lookbehind:!0}}),e.languages.insertBefore("java","string",{"triple-quoted-string":{pattern:/"""[ \t]*[\r\n](?:(?:"|"")?(?:\\.|[^"\\]))*"""/,greedy:!0,alias:"string"}}),e.languages.insertBefore("java","class-name",{annotation:{pattern:/(^|[^.])@\w+(?:\s*\.\s*\w+)*/,lookbehind:!0,alias:"punctuation"},generics:{pattern:/<(?:[\w\s,.?]|&(?!&)|<(?:[\w\s,.?]|&(?!&)|<(?:[\w\s,.?]|&(?!&)|<(?:[\w\s,.?]|&(?!&))*>)*>)*>)*>/,inside:{"class-name":a,keyword:t,punctuation:/[<>(),.:]/,operator:/[?&|]/}},namespace:{pattern:RegExp(/(\b(?:exports|import(?:\s+static)?|module|open|opens|package|provides|requires|to|transitive|uses|with)\s+)(?!<keyword>)[a-z]\w*(?:\.[a-z]\w*)*\.?/.source.replace(/<keyword>/g,(function(){return t.source}))),lookbehind:!0,inside:{punctuation:/\./}}});}(Prism),function(e){var t=/\b(?:alignas|alignof|asm|auto|bool|break|case|catch|char|char8_t|char16_t|char32_t|class|compl|concept|const|consteval|constexpr|constinit|const_cast|continue|co_await|co_return|co_yield|decltype|default|delete|do|double|dynamic_cast|else|enum|explicit|export|extern|final|float|for|friend|goto|if|import|inline|int|int8_t|int16_t|int32_t|int64_t|uint8_t|uint16_t|uint32_t|uint64_t|long|module|mutable|namespace|new|noexcept|nullptr|operator|override|private|protected|public|register|reinterpret_cast|requires|return|short|signed|sizeof|static|static_assert|static_cast|struct|switch|template|this|thread_local|throw|try|typedef|typeid|typename|union|unsigned|using|virtual|void|volatile|wchar_t|while)\b/,n=/\b(?!<keyword>)\w+(?:\s*\.\s*\w+)*\b/.source.replace(/<keyword>/g,(function(){return t.source}));e.languages.cpp=e.languages.extend("c",{"class-name":[{pattern:RegExp(/(\b(?:class|concept|enum|struct|typename)\s+)(?!<keyword>)\w+/.source.replace(/<keyword>/g,(function(){return t.source}))),lookbehind:!0},/\b[A-Z]\w*(?=\s*::\s*\w+\s*\()/,/\b[A-Z_]\w*(?=\s*::\s*~\w+\s*\()/i,/\b\w+(?=\s*<(?:[^<>]|<(?:[^<>]|<[^<>]*>)*>)*>\s*::\s*\w+\s*\()/],keyword:t,number:{pattern:/(?:\b0b[01']+|\b0x(?:[\da-f']+(?:\.[\da-f']*)?|\.[\da-f']+)(?:p[+-]?[\d']+)?|(?:\b[\d']+(?:\.[\d']*)?|\B\.[\d']+)(?:e[+-]?[\d']+)?)[ful]{0,4}/i,greedy:!0},operator:/>>=?|<<=?|->|--|\+\+|&&|\|\||[?:~]|<=>|[-+*/%&|^!=<>]=?|\b(?:and|and_eq|bitand|bitor|not|not_eq|or|or_eq|xor|xor_eq)\b/,boolean:/\b(?:true|false)\b/}),e.languages.insertBefore("cpp","string",{module:{pattern:RegExp(/(\b(?:module|import)\s+)/.source+"(?:"+/"(?:\\(?:\r\n|[\s\S])|[^"\\\r\n])*"|<[^<>\r\n]*>/.source+"|"+/<mod-name>(?:\s*:\s*<mod-name>)?|:\s*<mod-name>/.source.replace(/<mod-name>/g,(function(){return n}))+")"),lookbehind:!0,greedy:!0,inside:{string:/^[<"][\s\S]+/,operator:/:/,punctuation:/\./}},"raw-string":{pattern:/R"([^()\\ ]{0,16})\([\s\S]*?\)\1"/,alias:"string",greedy:!0}}),e.languages.insertBefore("cpp","keyword",{"generic-function":{pattern:/\b(?!operator\b)[a-z_]\w*\s*<(?:[^<>]|<[^<>]*>)*>(?=\s*\()/i,inside:{function:/^\w+/,generic:{pattern:/<[\s\S]+/,alias:"class-name",inside:e.languages.cpp}}}}),e.languages.insertBefore("cpp","operator",{"double-colon":{pattern:/::/,alias:"punctuation"}}),e.languages.insertBefore("cpp","class-name",{"base-clause":{pattern:/(\b(?:class|struct)\s+\w+\s*:\s*)[^;{}"'\s]+(?:\s+[^;{}"'\s]+)*(?=\s*[;{])/,lookbehind:!0,greedy:!0,inside:e.languages.extend("cpp",{})}}),e.languages.insertBefore("inside","double-colon",{"class-name":/\b[a-z_]\w*\b(?!\s*::)/i},e.languages.cpp["base-clause"]);}(Prism),function(e){function t(e,t){return e.replace(/<<(\d+)>>/g,(function(e,n){return "(?:"+t[+n]+")"}))}function n(e,n,a){return RegExp(t(e,n),a||"")}function a(e,t){for(var n=0;n<t;n++)e=e.replace(/<<self>>/g,(function(){return "(?:"+e+")"}));return e.replace(/<<self>>/g,"[^\\s\\S]")}var r="bool byte char decimal double dynamic float int long object sbyte short string uint ulong ushort var void",i="class enum interface record struct",s="add alias and ascending async await by descending from(?=\\s*(?:\\w|$)) get global group into init(?=\\s*;) join let nameof not notnull on or orderby partial remove select set unmanaged value when where with(?=\\s*{)",o="abstract as base break case catch checked const continue default delegate do else event explicit extern finally fixed for foreach goto if implicit in internal is lock namespace new null operator out override params private protected public readonly ref return sealed sizeof stackalloc static switch this throw try typeof unchecked unsafe using virtual volatile while yield";function l(e){return "\\b(?:"+e.trim().replace(/ /g,"|")+")\\b"}var u=l(i),c=RegExp(l(r+" "+i+" "+s+" "+o)),d=l(i+" "+s+" "+o),p=l(r+" "+i+" "+o),g=a(/<(?:[^<>;=+\-*/%&|^]|<<self>>)*>/.source,2),f=a(/\((?:[^()]|<<self>>)*\)/.source,2),b=/@?\b[A-Za-z_]\w*\b/.source,m=t(/<<0>>(?:\s*<<1>>)?/.source,[b,g]),h=t(/(?!<<0>>)<<1>>(?:\s*\.\s*<<1>>)*/.source,[d,m]),y=/\[\s*(?:,\s*)*\]/.source,E=t(/<<0>>(?:\s*(?:\?\s*)?<<1>>)*(?:\s*\?)?/.source,[h,y]),S=t(/[^,()<>[\];=+\-*/%&|^]|<<0>>|<<1>>|<<2>>/.source,[g,f,y]),v=t(/\(<<0>>+(?:,<<0>>+)+\)/.source,[S]),w=t(/(?:<<0>>|<<1>>)(?:\s*(?:\?\s*)?<<2>>)*(?:\s*\?)?/.source,[v,h,y]),k={keyword:c,punctuation:/[<>()?,.:[\]]/},A=/'(?:[^\r\n'\\]|\\.|\\[Uux][\da-fA-F]{1,8})'/.source,T=/"(?:\\.|[^\\"\r\n])*"/.source,x=/@"(?:""|\\[\s\S]|[^\\"])*"(?!")/.source;e.languages.csharp=e.languages.extend("clike",{string:[{pattern:n(/(^|[^$\\])<<0>>/.source,[x]),lookbehind:!0,greedy:!0},{pattern:n(/(^|[^@$\\])<<0>>/.source,[T]),lookbehind:!0,greedy:!0},{pattern:RegExp(A),greedy:!0,alias:"character"}],"class-name":[{pattern:n(/(\busing\s+static\s+)<<0>>(?=\s*;)/.source,[h]),lookbehind:!0,inside:k},{pattern:n(/(\busing\s+<<0>>\s*=\s*)<<1>>(?=\s*;)/.source,[b,w]),lookbehind:!0,inside:k},{pattern:n(/(\busing\s+)<<0>>(?=\s*=)/.source,[b]),lookbehind:!0},{pattern:n(/(\b<<0>>\s+)<<1>>/.source,[u,m]),lookbehind:!0,inside:k},{pattern:n(/(\bcatch\s*\(\s*)<<0>>/.source,[h]),lookbehind:!0,inside:k},{pattern:n(/(\bwhere\s+)<<0>>/.source,[b]),lookbehind:!0},{pattern:n(/(\b(?:is(?:\s+not)?|as)\s+)<<0>>/.source,[E]),lookbehind:!0,inside:k},{pattern:n(/\b<<0>>(?=\s+(?!<<1>>|with\s*\{)<<2>>(?:\s*[=,;:{)\]]|\s+(?:in|when)\b))/.source,[w,p,b]),inside:k}],keyword:c,number:/(?:\b0(?:x[\da-f_]*[\da-f]|b[01_]*[01])|(?:\B\.\d+(?:_+\d+)*|\b\d+(?:_+\d+)*(?:\.\d+(?:_+\d+)*)?)(?:e[-+]?\d+(?:_+\d+)*)?)(?:ul|lu|[dflmu])?\b/i,operator:/>>=?|<<=?|[-=]>|([-+&|])\1|~|\?\?=?|[-+*/%&|^!=<>]=?/,punctuation:/\?\.?|::|[{}[\];(),.:]/}),e.languages.insertBefore("csharp","number",{range:{pattern:/\.\./,alias:"operator"}}),e.languages.insertBefore("csharp","punctuation",{"named-parameter":{pattern:n(/([(,]\s*)<<0>>(?=\s*:)/.source,[b]),lookbehind:!0,alias:"punctuation"}}),e.languages.insertBefore("csharp","class-name",{namespace:{pattern:n(/(\b(?:namespace|using)\s+)<<0>>(?:\s*\.\s*<<0>>)*(?=\s*[;{])/.source,[b]),lookbehind:!0,inside:{punctuation:/\./}},"type-expression":{pattern:n(/(\b(?:default|typeof|sizeof)\s*\(\s*(?!\s))(?:[^()\s]|\s(?!\s)|<<0>>)*(?=\s*\))/.source,[f]),lookbehind:!0,alias:"class-name",inside:k},"return-type":{pattern:n(/<<0>>(?=\s+(?:<<1>>\s*(?:=>|[({]|\.\s*this\s*\[)|this\s*\[))/.source,[w,h]),inside:k,alias:"class-name"},"constructor-invocation":{pattern:n(/(\bnew\s+)<<0>>(?=\s*[[({])/.source,[w]),lookbehind:!0,inside:k,alias:"class-name"},"generic-method":{pattern:n(/<<0>>\s*<<1>>(?=\s*\()/.source,[b,g]),inside:{function:n(/^<<0>>/.source,[b]),generic:{pattern:RegExp(g),alias:"class-name",inside:k}}},"type-list":{pattern:n(/\b((?:<<0>>\s+<<1>>|record\s+<<1>>\s*<<5>>|where\s+<<2>>)\s*:\s*)(?:<<3>>|<<4>>|<<1>>\s*<<5>>|<<6>>)(?:\s*,\s*(?:<<3>>|<<4>>|<<6>>))*(?=\s*(?:where|[{;]|=>|$))/.source,[u,m,b,w,c.source,f,/\bnew\s*\(\s*\)/.source]),lookbehind:!0,inside:{"record-arguments":{pattern:n(/(^(?!new\s*\()<<0>>\s*)<<1>>/.source,[m,f]),lookbehind:!0,greedy:!0,inside:e.languages.csharp},keyword:c,"class-name":{pattern:RegExp(w),greedy:!0,inside:k},punctuation:/[,()]/}},preprocessor:{pattern:/(^[\t ]*)#.*/m,lookbehind:!0,alias:"property",inside:{directive:{pattern:/(#)\b(?:define|elif|else|endif|endregion|error|if|line|nullable|pragma|region|undef|warning)\b/,lookbehind:!0,alias:"keyword"}}}});var _=T+"|"+A,O=t(/\/(?![*/])|\/\/[^\r\n]*[\r\n]|\/\*(?:[^*]|\*(?!\/))*\*\/|<<0>>/.source,[_]),I=a(t(/[^"'/()]|<<0>>|\(<<self>>*\)/.source,[O]),2),R=/\b(?:assembly|event|field|method|module|param|property|return|type)\b/.source,N=t(/<<0>>(?:\s*\(<<1>>*\))?/.source,[h,I]);e.languages.insertBefore("csharp","class-name",{attribute:{pattern:n(/((?:^|[^\s\w>)?])\s*\[\s*)(?:<<0>>\s*:\s*)?<<1>>(?:\s*,\s*<<1>>)*(?=\s*\])/.source,[R,N]),lookbehind:!0,greedy:!0,inside:{target:{pattern:n(/^<<0>>(?=\s*:)/.source,[R]),alias:"keyword"},"attribute-arguments":{pattern:n(/\(<<0>>*\)/.source,[I]),inside:e.languages.csharp},"class-name":{pattern:RegExp(h),inside:{punctuation:/\./}},punctuation:/[:,]/}}});var L=/:[^}\r\n]+/.source,P=a(t(/[^"'/()]|<<0>>|\(<<self>>*\)/.source,[O]),2),C=t(/\{(?!\{)(?:(?![}:])<<0>>)*<<1>>?\}/.source,[P,L]),F=a(t(/[^"'/()]|\/(?!\*)|\/\*(?:[^*]|\*(?!\/))*\*\/|<<0>>|\(<<self>>*\)/.source,[_]),2),D=t(/\{(?!\{)(?:(?![}:])<<0>>)*<<1>>?\}/.source,[F,L]);function $(t,a){return {interpolation:{pattern:n(/((?:^|[^{])(?:\{\{)*)<<0>>/.source,[t]),lookbehind:!0,inside:{"format-string":{pattern:n(/(^\{(?:(?![}:])<<0>>)*)<<1>>(?=\}$)/.source,[a,L]),lookbehind:!0,inside:{punctuation:/^:/}},punctuation:/^\{|\}$/,expression:{pattern:/[\s\S]+/,alias:"language-csharp",inside:e.languages.csharp}}},string:/[\s\S]+/}}e.languages.insertBefore("csharp","string",{"interpolation-string":[{pattern:n(/(^|[^\\])(?:\$@|@\$)"(?:""|\\[\s\S]|\{\{|<<0>>|[^\\{"])*"/.source,[C]),lookbehind:!0,greedy:!0,inside:$(C,P)},{pattern:n(/(^|[^@\\])\$"(?:\\.|\{\{|<<0>>|[^\\"{])*"/.source,[D]),lookbehind:!0,greedy:!0,inside:$(D,F)}]});}(Prism),Prism.languages.dotnet=Prism.languages.cs=Prism.languages.csharp,Prism.languages["visual-basic"]={comment:{pattern:/(?:['‘’]|REM\b)(?:[^\r\n_]|_(?:\r\n?|\n)?)*/i,inside:{keyword:/^REM/i}},directive:{pattern:/#(?:Const|Else|ElseIf|End|ExternalChecksum|ExternalSource|If|Region)(?:[^\S\r\n]_[^\S\r\n]*(?:\r\n?|\n)|.)+/i,alias:"comment",greedy:!0},string:{pattern:/\$?["“”](?:["“”]{2}|[^"“”])*["“”]C?/i,greedy:!0},date:{pattern:/#[^\S\r\n]*(?:\d+([/-])\d+\1\d+(?:[^\S\r\n]+(?:\d+[^\S\r\n]*(?:AM|PM)|\d+:\d+(?::\d+)?(?:[^\S\r\n]*(?:AM|PM))?))?|\d+[^\S\r\n]*(?:AM|PM)|\d+:\d+(?::\d+)?(?:[^\S\r\n]*(?:AM|PM))?)[^\S\r\n]*#/i,alias:"builtin"},number:/(?:(?:\b\d+(?:\.\d+)?|\.\d+)(?:E[+-]?\d+)?|&[HO][\dA-F]+)(?:U?[ILS]|[FRD])?/i,boolean:/\b(?:True|False|Nothing)\b/i,keyword:/\b(?:AddHandler|AddressOf|Alias|And(?:Also)?|As|Boolean|ByRef|Byte|ByVal|Call|Case|Catch|C(?:Bool|Byte|Char|Date|Dbl|Dec|Int|Lng|Obj|SByte|Short|Sng|Str|Type|UInt|ULng|UShort)|Char|Class|Const|Continue|Currency|Date|Decimal|Declare|Default|Delegate|Dim|DirectCast|Do|Double|Each|Else(?:If)?|End(?:If)?|Enum|Erase|Error|Event|Exit|Finally|For|Friend|Function|Get(?:Type|XMLNamespace)?|Global|GoSub|GoTo|Handles|If|Implements|Imports|In|Inherits|Integer|Interface|Is|IsNot|Let|Lib|Like|Long|Loop|Me|Mod|Module|Must(?:Inherit|Override)|My(?:Base|Class)|Namespace|Narrowing|New|Next|Not(?:Inheritable|Overridable)?|Object|Of|On|Operator|Option(?:al)?|Or(?:Else)?|Out|Overloads|Overridable|Overrides|ParamArray|Partial|Private|Property|Protected|Public|RaiseEvent|ReadOnly|ReDim|RemoveHandler|Resume|Return|SByte|Select|Set|Shadows|Shared|short|Single|Static|Step|Stop|String|Structure|Sub|SyncLock|Then|Throw|To|Try|TryCast|Type|TypeOf|U(?:Integer|Long|Short)|Using|Variant|Wend|When|While|Widening|With(?:Events)?|WriteOnly|Until|Xor)\b/i,operator:[/[+\-*/\\^<=>&#@$%!]/,{pattern:/([^\S\r\n])_(?=[^\S\r\n]*[\r\n])/,lookbehind:!0}],punctuation:/[{}().,:?]/},Prism.languages.vb=Prism.languages["visual-basic"],Prism.languages.vba=Prism.languages["visual-basic"],Prism.languages.sql={comment:{pattern:/(^|[^\\])(?:\/\*[\s\S]*?\*\/|(?:--|\/\/|#).*)/,lookbehind:!0},variable:[{pattern:/@(["'`])(?:\\[\s\S]|(?!\1)[^\\])+\1/,greedy:!0},/@[\w.$]+/],string:{pattern:/(^|[^@\\])("|')(?:\\[\s\S]|(?!\2)[^\\]|\2\2)*\2/,greedy:!0,lookbehind:!0},function:/\b(?:AVG|COUNT|FIRST|FORMAT|LAST|LCASE|LEN|MAX|MID|MIN|MOD|NOW|ROUND|SUM|UCASE)(?=\s*\()/i,keyword:/\b(?:ACTION|ADD|AFTER|ALGORITHM|ALL|ALTER|ANALYZE|ANY|APPLY|AS|ASC|AUTHORIZATION|AUTO_INCREMENT|BACKUP|BDB|BEGIN|BERKELEYDB|BIGINT|BINARY|BIT|BLOB|BOOL|BOOLEAN|BREAK|BROWSE|BTREE|BULK|BY|CALL|CASCADED?|CASE|CHAIN|CHAR(?:ACTER|SET)?|CHECK(?:POINT)?|CLOSE|CLUSTERED|COALESCE|COLLATE|COLUMNS?|COMMENT|COMMIT(?:TED)?|COMPUTE|CONNECT|CONSISTENT|CONSTRAINT|CONTAINS(?:TABLE)?|CONTINUE|CONVERT|CREATE|CROSS|CURRENT(?:_DATE|_TIME|_TIMESTAMP|_USER)?|CURSOR|CYCLE|DATA(?:BASES?)?|DATE(?:TIME)?|DAY|DBCC|DEALLOCATE|DEC|DECIMAL|DECLARE|DEFAULT|DEFINER|DELAYED|DELETE|DELIMITERS?|DENY|DESC|DESCRIBE|DETERMINISTIC|DISABLE|DISCARD|DISK|DISTINCT|DISTINCTROW|DISTRIBUTED|DO|DOUBLE|DROP|DUMMY|DUMP(?:FILE)?|DUPLICATE|ELSE(?:IF)?|ENABLE|ENCLOSED|END|ENGINE|ENUM|ERRLVL|ERRORS|ESCAPED?|EXCEPT|EXEC(?:UTE)?|EXISTS|EXIT|EXPLAIN|EXTENDED|FETCH|FIELDS|FILE|FILLFACTOR|FIRST|FIXED|FLOAT|FOLLOWING|FOR(?: EACH ROW)?|FORCE|FOREIGN|FREETEXT(?:TABLE)?|FROM|FULL|FUNCTION|GEOMETRY(?:COLLECTION)?|GLOBAL|GOTO|GRANT|GROUP|HANDLER|HASH|HAVING|HOLDLOCK|HOUR|IDENTITY(?:_INSERT|COL)?|IF|IGNORE|IMPORT|INDEX|INFILE|INNER|INNODB|INOUT|INSERT|INT|INTEGER|INTERSECT|INTERVAL|INTO|INVOKER|ISOLATION|ITERATE|JOIN|KEYS?|KILL|LANGUAGE|LAST|LEAVE|LEFT|LEVEL|LIMIT|LINENO|LINES|LINESTRING|LOAD|LOCAL|LOCK|LONG(?:BLOB|TEXT)|LOOP|MATCH(?:ED)?|MEDIUM(?:BLOB|INT|TEXT)|MERGE|MIDDLEINT|MINUTE|MODE|MODIFIES|MODIFY|MONTH|MULTI(?:LINESTRING|POINT|POLYGON)|NATIONAL|NATURAL|NCHAR|NEXT|NO|NONCLUSTERED|NULLIF|NUMERIC|OFF?|OFFSETS?|ON|OPEN(?:DATASOURCE|QUERY|ROWSET)?|OPTIMIZE|OPTION(?:ALLY)?|ORDER|OUT(?:ER|FILE)?|OVER|PARTIAL|PARTITION|PERCENT|PIVOT|PLAN|POINT|POLYGON|PRECEDING|PRECISION|PREPARE|PREV|PRIMARY|PRINT|PRIVILEGES|PROC(?:EDURE)?|PUBLIC|PURGE|QUICK|RAISERROR|READS?|REAL|RECONFIGURE|REFERENCES|RELEASE|RENAME|REPEAT(?:ABLE)?|REPLACE|REPLICATION|REQUIRE|RESIGNAL|RESTORE|RESTRICT|RETURN(?:S|ING)?|REVOKE|RIGHT|ROLLBACK|ROUTINE|ROW(?:COUNT|GUIDCOL|S)?|RTREE|RULE|SAVE(?:POINT)?|SCHEMA|SECOND|SELECT|SERIAL(?:IZABLE)?|SESSION(?:_USER)?|SET(?:USER)?|SHARE|SHOW|SHUTDOWN|SIMPLE|SMALLINT|SNAPSHOT|SOME|SONAME|SQL|START(?:ING)?|STATISTICS|STATUS|STRIPED|SYSTEM_USER|TABLES?|TABLESPACE|TEMP(?:ORARY|TABLE)?|TERMINATED|TEXT(?:SIZE)?|THEN|TIME(?:STAMP)?|TINY(?:BLOB|INT|TEXT)|TOP?|TRAN(?:SACTIONS?)?|TRIGGER|TRUNCATE|TSEQUAL|TYPES?|UNBOUNDED|UNCOMMITTED|UNDEFINED|UNION|UNIQUE|UNLOCK|UNPIVOT|UNSIGNED|UPDATE(?:TEXT)?|USAGE|USE|USER|USING|VALUES?|VAR(?:BINARY|CHAR|CHARACTER|YING)|VIEW|WAITFOR|WARNINGS|WHEN|WHERE|WHILE|WITH(?: ROLLUP|IN)?|WORK|WRITE(?:TEXT)?|YEAR)\b/i,boolean:/\b(?:TRUE|FALSE|NULL)\b/i,number:/\b0x[\da-f]+\b|\b\d+(?:\.\d*)?|\B\.\d+\b/i,operator:/[-+*\/=%^~]|&&?|\|\|?|!=?|<(?:=>?|<|>)?|>[>=]?|\b(?:AND|BETWEEN|DIV|IN|ILIKE|IS|LIKE|NOT|OR|REGEXP|RLIKE|SOUNDS LIKE|XOR)\b/i,punctuation:/[;[\]()`,.]/},function(e){e.languages.ruby=e.languages.extend("clike",{comment:[/#.*/,{pattern:/^=begin\s[\s\S]*?^=end/m,greedy:!0}],"class-name":{pattern:/(\b(?:class)\s+|\bcatch\s+\()[\w.\\]+/i,lookbehind:!0,inside:{punctuation:/[.\\]/}},keyword:/\b(?:alias|and|BEGIN|begin|break|case|class|def|define_method|defined|do|each|else|elsif|END|end|ensure|extend|for|if|in|include|module|new|next|nil|not|or|prepend|protected|private|public|raise|redo|require|rescue|retry|return|self|super|then|throw|undef|unless|until|when|while|yield)\b/});var t={pattern:/#\{[^}]+\}/,inside:{delimiter:{pattern:/^#\{|\}$/,alias:"tag"},rest:e.languages.ruby}};delete e.languages.ruby.function,e.languages.insertBefore("ruby","keyword",{regex:[{pattern:RegExp(/%r/.source+"(?:"+[/([^a-zA-Z0-9\s{(\[<])(?:(?!\1)[^\\]|\\[\s\S])*\1/.source,/\((?:[^()\\]|\\[\s\S])*\)/.source,/\{(?:[^#{}\\]|#(?:\{[^}]+\})?|\\[\s\S])*\}/.source,/\[(?:[^\[\]\\]|\\[\s\S])*\]/.source,/<(?:[^<>\\]|\\[\s\S])*>/.source].join("|")+")"+/[egimnosux]{0,6}/.source),greedy:!0,inside:{interpolation:t}},{pattern:/(^|[^/])\/(?!\/)(?:\[[^\r\n\]]+\]|\\.|[^[/\\\r\n])+\/[egimnosux]{0,6}(?=\s*(?:$|[\r\n,.;})#]))/,lookbehind:!0,greedy:!0,inside:{interpolation:t}}],variable:/[@$]+[a-zA-Z_]\w*(?:[?!]|\b)/,symbol:{pattern:/(^|[^:]):[a-zA-Z_]\w*(?:[?!]|\b)/,lookbehind:!0},"method-definition":{pattern:/(\bdef\s+)[\w.]+/,lookbehind:!0,inside:{function:/\w+$/,rest:e.languages.ruby}}}),e.languages.insertBefore("ruby","number",{builtin:/\b(?:Array|Bignum|Binding|Class|Continuation|Dir|Exception|FalseClass|File|Stat|Fixnum|Float|Hash|Integer|IO|MatchData|Method|Module|NilClass|Numeric|Object|Proc|Range|Regexp|String|Struct|TMS|Symbol|ThreadGroup|Thread|Time|TrueClass)\b/,constant:/\b[A-Z]\w*(?:[?!]|\b)/}),e.languages.ruby.string=[{pattern:RegExp(/%[qQiIwWxs]?/.source+"(?:"+[/([^a-zA-Z0-9\s{(\[<])(?:(?!\1)[^\\]|\\[\s\S])*\1/.source,/\((?:[^()\\]|\\[\s\S])*\)/.source,/\{(?:[^#{}\\]|#(?:\{[^}]+\})?|\\[\s\S])*\}/.source,/\[(?:[^\[\]\\]|\\[\s\S])*\]/.source,/<(?:[^<>\\]|\\[\s\S])*>/.source].join("|")+")"),greedy:!0,inside:{interpolation:t}},{pattern:/("|')(?:#\{[^}]+\}|#(?!\{)|\\(?:\r\n|[\s\S])|(?!\1)[^\\#\r\n])*\1/,greedy:!0,inside:{interpolation:t}},{pattern:/<<[-~]?([a-z_]\w*)[\r\n](?:.*[\r\n])*?[\t ]*\1/i,alias:"heredoc-string",greedy:!0,inside:{delimiter:{pattern:/^<<[-~]?[a-z_]\w*|[a-z_]\w*$/i,alias:"symbol",inside:{punctuation:/^<<[-~]?/}},interpolation:t}},{pattern:/<<[-~]?'([a-z_]\w*)'[\r\n](?:.*[\r\n])*?[\t ]*\1/i,alias:"heredoc-string",greedy:!0,inside:{delimiter:{pattern:/^<<[-~]?'[a-z_]\w*'|[a-z_]\w*$/i,alias:"symbol",inside:{punctuation:/^<<[-~]?'|'$/}}}}],e.languages.rb=e.languages.ruby;}(Prism),Prism.languages.swift={comment:{pattern:/(^|[^\\:])(?:\/\/.*|\/\*(?:[^/*]|\/(?!\*)|\*(?!\/)|\/\*(?:[^*]|\*(?!\/))*\*\/)*\*\/)/,lookbehind:!0,greedy:!0},"string-literal":[{pattern:RegExp(/(^|[^"#])/.source+"(?:"+/"(?:\\(?:\((?:[^()]|\([^()]*\))*\)|\r\n|[^(])|[^\\\r\n"])*"/.source+"|"+/"""(?:\\(?:\((?:[^()]|\([^()]*\))*\)|[^(])|[^\\"]|"(?!""))*"""/.source+")"+/(?!["#])/.source),lookbehind:!0,greedy:!0,inside:{interpolation:{pattern:/(\\\()(?:[^()]|\([^()]*\))*(?=\))/,lookbehind:!0,inside:null},"interpolation-punctuation":{pattern:/^\)|\\\($/,alias:"punctuation"},punctuation:/\\(?=[\r\n])/,string:/[\s\S]+/}},{pattern:RegExp(/(^|[^"#])(#+)/.source+"(?:"+/"(?:\\(?:#+\((?:[^()]|\([^()]*\))*\)|\r\n|[^#])|[^\\\r\n])*?"/.source+"|"+/"""(?:\\(?:#+\((?:[^()]|\([^()]*\))*\)|[^#])|[^\\])*?"""/.source+")\\2"),lookbehind:!0,greedy:!0,inside:{interpolation:{pattern:/(\\#+\()(?:[^()]|\([^()]*\))*(?=\))/,lookbehind:!0,inside:null},"interpolation-punctuation":{pattern:/^\)|\\#+\($/,alias:"punctuation"},string:/[\s\S]+/}}],directive:{pattern:RegExp(/#/.source+"(?:"+/(?:elseif|if)\b/.source+"(?:[ \t]*"+/(?:![ \t]*)?(?:\b\w+\b(?:[ \t]*\((?:[^()]|\([^()]*\))*\))?|\((?:[^()]|\([^()]*\))*\))(?:[ \t]*(?:&&|\|\|))?/.source+")+|"+/(?:else|endif)\b/.source+")"),alias:"property",inside:{"directive-name":/^#\w+/,boolean:/\b(?:true|false)\b/,number:/\b\d+(?:\.\d+)*\b/,operator:/!|&&|\|\||[<>]=?/,punctuation:/[(),]/}},literal:{pattern:/#(?:colorLiteral|column|dsohandle|file(?:ID|Literal|Path)?|function|imageLiteral|line)\b/,alias:"constant"},"other-directive":{pattern:/#\w+\b/,alias:"property"},attribute:{pattern:/@\w+/,alias:"atrule"},"function-definition":{pattern:/(\bfunc\s+)\w+/,lookbehind:!0,alias:"function"},label:{pattern:/\b(break|continue)\s+\w+|\b[a-zA-Z_]\w*(?=\s*:\s*(?:for|repeat|while)\b)/,lookbehind:!0,alias:"important"},keyword:/\b(?:Any|Protocol|Self|Type|actor|as|assignment|associatedtype|associativity|async|await|break|case|catch|class|continue|convenience|default|defer|deinit|didSet|do|dynamic|else|enum|extension|fallthrough|fileprivate|final|for|func|get|guard|higherThan|if|import|in|indirect|infix|init|inout|internal|is|lazy|left|let|lowerThan|mutating|none|nonisolated|nonmutating|open|operator|optional|override|postfix|precedencegroup|prefix|private|protocol|public|repeat|required|rethrows|return|right|safe|self|set|some|static|struct|subscript|super|switch|throw|throws|try|typealias|unowned|unsafe|var|weak|where|while|willSet)\b/,boolean:/\b(?:true|false)\b/,nil:{pattern:/\bnil\b/,alias:"constant"},"short-argument":/\$\d+\b/,omit:{pattern:/\b_\b/,alias:"keyword"},number:/\b(?:[\d_]+(?:\.[\de_]+)?|0x[a-f0-9_]+(?:\.[a-f0-9p_]+)?|0b[01_]+|0o[0-7_]+)\b/i,"class-name":/\b[A-Z](?:[A-Z_\d]*[a-z]\w*)?\b/,function:/\b[a-z_]\w*(?=\s*\()/i,constant:/\b(?:[A-Z_]{2,}|k[A-Z][A-Za-z_]+)\b/,operator:/[-+*/%=!<>&|^~?]+|\.[.\-+*/%=!<>&|^~?]+/,punctuation:/[{}[\]();,.:\\]/},Prism.languages.swift["string-literal"].forEach((function(e){e.inside.interpolation.inside=Prism.languages.swift;})),function(e){var t="\\b(?:BASH|BASHOPTS|BASH_ALIASES|BASH_ARGC|BASH_ARGV|BASH_CMDS|BASH_COMPLETION_COMPAT_DIR|BASH_LINENO|BASH_REMATCH|BASH_SOURCE|BASH_VERSINFO|BASH_VERSION|COLORTERM|COLUMNS|COMP_WORDBREAKS|DBUS_SESSION_BUS_ADDRESS|DEFAULTS_PATH|DESKTOP_SESSION|DIRSTACK|DISPLAY|EUID|GDMSESSION|GDM_LANG|GNOME_KEYRING_CONTROL|GNOME_KEYRING_PID|GPG_AGENT_INFO|GROUPS|HISTCONTROL|HISTFILE|HISTFILESIZE|HISTSIZE|HOME|HOSTNAME|HOSTTYPE|IFS|INSTANCE|JOB|LANG|LANGUAGE|LC_ADDRESS|LC_ALL|LC_IDENTIFICATION|LC_MEASUREMENT|LC_MONETARY|LC_NAME|LC_NUMERIC|LC_PAPER|LC_TELEPHONE|LC_TIME|LESSCLOSE|LESSOPEN|LINES|LOGNAME|LS_COLORS|MACHTYPE|MAILCHECK|MANDATORY_PATH|NO_AT_BRIDGE|OLDPWD|OPTERR|OPTIND|ORBIT_SOCKETDIR|OSTYPE|PAPERSIZE|PATH|PIPESTATUS|PPID|PS1|PS2|PS3|PS4|PWD|RANDOM|REPLY|SECONDS|SELINUX_INIT|SESSION|SESSIONTYPE|SESSION_MANAGER|SHELL|SHELLOPTS|SHLVL|SSH_AUTH_SOCK|TERM|UID|UPSTART_EVENTS|UPSTART_INSTANCE|UPSTART_JOB|UPSTART_SESSION|USER|WINDOWID|XAUTHORITY|XDG_CONFIG_DIRS|XDG_CURRENT_DESKTOP|XDG_DATA_DIRS|XDG_GREETER_DATA_DIR|XDG_MENU_PREFIX|XDG_RUNTIME_DIR|XDG_SEAT|XDG_SEAT_PATH|XDG_SESSION_DESKTOP|XDG_SESSION_ID|XDG_SESSION_PATH|XDG_SESSION_TYPE|XDG_VTNR|XMODIFIERS)\\b",n={pattern:/(^(["']?)\w+\2)[ \t]+\S.*/,lookbehind:!0,alias:"punctuation",inside:null},a={bash:n,environment:{pattern:RegExp("\\$"+t),alias:"constant"},variable:[{pattern:/\$?\(\([\s\S]+?\)\)/,greedy:!0,inside:{variable:[{pattern:/(^\$\(\([\s\S]+)\)\)/,lookbehind:!0},/^\$\(\(/],number:/\b0x[\dA-Fa-f]+\b|(?:\b\d+(?:\.\d*)?|\B\.\d+)(?:[Ee]-?\d+)?/,operator:/--|\+\+|\*\*=?|<<=?|>>=?|&&|\|\||[=!+\-*/%<>^&|]=?|[?~:]/,punctuation:/\(\(?|\)\)?|,|;/}},{pattern:/\$\((?:\([^)]+\)|[^()])+\)|`[^`]+`/,greedy:!0,inside:{variable:/^\$\(|^`|\)$|`$/}},{pattern:/\$\{[^}]+\}/,greedy:!0,inside:{operator:/:[-=?+]?|[!\/]|##?|%%?|\^\^?|,,?/,punctuation:/[\[\]]/,environment:{pattern:RegExp("(\\{)"+t),lookbehind:!0,alias:"constant"}}},/\$(?:\w+|[#?*!@$])/],entity:/\\(?:[abceEfnrtv\\"]|O?[0-7]{1,3}|x[0-9a-fA-F]{1,2}|u[0-9a-fA-F]{4}|U[0-9a-fA-F]{8})/};e.languages.bash={shebang:{pattern:/^#!\s*\/.*/,alias:"important"},comment:{pattern:/(^|[^"{\\$])#.*/,lookbehind:!0},"function-name":[{pattern:/(\bfunction\s+)[\w-]+(?=(?:\s*\(?:\s*\))?\s*\{)/,lookbehind:!0,alias:"function"},{pattern:/\b[\w-]+(?=\s*\(\s*\)\s*\{)/,alias:"function"}],"for-or-select":{pattern:/(\b(?:for|select)\s+)\w+(?=\s+in\s)/,alias:"variable",lookbehind:!0},"assign-left":{pattern:/(^|[\s;|&]|[<>]\()\w+(?=\+?=)/,inside:{environment:{pattern:RegExp("(^|[\\s;|&]|[<>]\\()"+t),lookbehind:!0,alias:"constant"}},alias:"variable",lookbehind:!0},string:[{pattern:/((?:^|[^<])<<-?\s*)(\w+)\s[\s\S]*?(?:\r?\n|\r)\2/,lookbehind:!0,greedy:!0,inside:a},{pattern:/((?:^|[^<])<<-?\s*)(["'])(\w+)\2\s[\s\S]*?(?:\r?\n|\r)\3/,lookbehind:!0,greedy:!0,inside:{bash:n}},{pattern:/(^|[^\\](?:\\\\)*)"(?:\\[\s\S]|\$\([^)]+\)|\$(?!\()|`[^`]+`|[^"\\`$])*"/,lookbehind:!0,greedy:!0,inside:a},{pattern:/(^|[^$\\])'[^']*'/,lookbehind:!0,greedy:!0},{pattern:/\$'(?:[^'\\]|\\[\s\S])*'/,greedy:!0,inside:{entity:a.entity}}],environment:{pattern:RegExp("\\$?"+t),alias:"constant"},variable:a.variable,function:{pattern:/(^|[\s;|&]|[<>]\()(?:add|apropos|apt|aptitude|apt-cache|apt-get|aspell|automysqlbackup|awk|basename|bash|bc|bconsole|bg|bzip2|cal|cat|cfdisk|chgrp|chkconfig|chmod|chown|chroot|cksum|clear|cmp|column|comm|composer|cp|cron|crontab|csplit|curl|cut|date|dc|dd|ddrescue|debootstrap|df|diff|diff3|dig|dir|dircolors|dirname|dirs|dmesg|du|egrep|eject|env|ethtool|expand|expect|expr|fdformat|fdisk|fg|fgrep|file|find|fmt|fold|format|free|fsck|ftp|fuser|gawk|git|gparted|grep|groupadd|groupdel|groupmod|groups|grub-mkconfig|gzip|halt|head|hg|history|host|hostname|htop|iconv|id|ifconfig|ifdown|ifup|import|install|ip|jobs|join|kill|killall|less|link|ln|locate|logname|logrotate|look|lpc|lpr|lprint|lprintd|lprintq|lprm|ls|lsof|lynx|make|man|mc|mdadm|mkconfig|mkdir|mke2fs|mkfifo|mkfs|mkisofs|mknod|mkswap|mmv|more|most|mount|mtools|mtr|mutt|mv|nano|nc|netstat|nice|nl|nohup|notify-send|npm|nslookup|op|open|parted|passwd|paste|pathchk|ping|pkill|pnpm|popd|pr|printcap|printenv|ps|pushd|pv|quota|quotacheck|quotactl|ram|rar|rcp|reboot|remsync|rename|renice|rev|rm|rmdir|rpm|rsync|scp|screen|sdiff|sed|sendmail|seq|service|sftp|sh|shellcheck|shuf|shutdown|sleep|slocate|sort|split|ssh|stat|strace|su|sudo|sum|suspend|swapon|sync|tac|tail|tar|tee|time|timeout|top|touch|tr|traceroute|tsort|tty|umount|uname|unexpand|uniq|units|unrar|unshar|unzip|update-grub|uptime|useradd|userdel|usermod|users|uudecode|uuencode|v|vdir|vi|vim|virsh|vmstat|wait|watch|wc|wget|whereis|which|who|whoami|write|xargs|xdg-open|yarn|yes|zenity|zip|zsh|zypper)(?=$|[)\s;|&])/,lookbehind:!0},keyword:{pattern:/(^|[\s;|&]|[<>]\()(?:if|then|else|elif|fi|for|while|in|case|esac|function|select|do|done|until)(?=$|[)\s;|&])/,lookbehind:!0},builtin:{pattern:/(^|[\s;|&]|[<>]\()(?:\.|:|break|cd|continue|eval|exec|exit|export|getopts|hash|pwd|readonly|return|shift|test|times|trap|umask|unset|alias|bind|builtin|caller|command|declare|echo|enable|help|let|local|logout|mapfile|printf|read|readarray|source|type|typeset|ulimit|unalias|set|shopt)(?=$|[)\s;|&])/,lookbehind:!0,alias:"class-name"},boolean:{pattern:/(^|[\s;|&]|[<>]\()(?:true|false)(?=$|[)\s;|&])/,lookbehind:!0},"file-descriptor":{pattern:/\B&\d\b/,alias:"important"},operator:{pattern:/\d?<>|>\||\+=|=[=~]?|!=?|<<[<-]?|[&\d]?>>|\d[<>]&?|[<>][&=]?|&[>&]?|\|[&|]?/,inside:{"file-descriptor":{pattern:/^\d/,alias:"important"}}},punctuation:/\$?\(\(?|\)\)?|\.\.|[{}[\];\\]/,number:{pattern:/(^|\s)(?:[1-9]\d*|0)(?:[.,]\d+)?\b/,lookbehind:!0}},n.inside=e.languages.bash;for(var r=["comment","function-name","for-or-select","assign-left","string","environment","function","keyword","builtin","boolean","file-descriptor","operator","punctuation","number"],i=a.variable[1].inside,s=0;s<r.length;s++)i[r[s]]=e.languages.bash[r[s]];e.languages.shell=e.languages.bash;}(Prism),function(e){var t=/(?:\\.|[^\\\n\r]|(?:\n|\r\n?)(?![\r\n]))/.source;function n(e){return e=e.replace(/<inner>/g,(function(){return t})),RegExp(/((?:^|[^\\])(?:\\{2})*)/.source+"(?:"+e+")")}var a=/(?:\\.|``(?:[^`\r\n]|`(?!`))+``|`[^`\r\n]+`|[^\\|\r\n`])+/.source,r=/\|?__(?:\|__)+\|?(?:(?:\n|\r\n?)|(?![\s\S]))/.source.replace(/__/g,(function(){return a})),i=/\|?[ \t]*:?-{3,}:?[ \t]*(?:\|[ \t]*:?-{3,}:?[ \t]*)+\|?(?:\n|\r\n?)/.source;e.languages.markdown=e.languages.extend("markup",{}),e.languages.insertBefore("markdown","prolog",{"front-matter-block":{pattern:/(^(?:\s*[\r\n])?)---(?!.)[\s\S]*?[\r\n]---(?!.)/,lookbehind:!0,greedy:!0,inside:{punctuation:/^---|---$/,"font-matter":{pattern:/\S+(?:\s+\S+)*/,alias:["yaml","language-yaml"],inside:e.languages.yaml}}},blockquote:{pattern:/^>(?:[\t ]*>)*/m,alias:"punctuation"},table:{pattern:RegExp("^"+r+i+"(?:"+r+")*","m"),inside:{"table-data-rows":{pattern:RegExp("^("+r+i+")(?:"+r+")*$"),lookbehind:!0,inside:{"table-data":{pattern:RegExp(a),inside:e.languages.markdown},punctuation:/\|/}},"table-line":{pattern:RegExp("^("+r+")"+i+"$"),lookbehind:!0,inside:{punctuation:/\||:?-{3,}:?/}},"table-header-row":{pattern:RegExp("^"+r+"$"),inside:{"table-header":{pattern:RegExp(a),alias:"important",inside:e.languages.markdown},punctuation:/\|/}}}},code:[{pattern:/((?:^|\n)[ \t]*\n|(?:^|\r\n?)[ \t]*\r\n?)(?: {4}|\t).+(?:(?:\n|\r\n?)(?: {4}|\t).+)*/,lookbehind:!0,alias:"keyword"},{pattern:/^```[\s\S]*?^```$/m,greedy:!0,inside:{"code-block":{pattern:/^(```.*(?:\n|\r\n?))[\s\S]+?(?=(?:\n|\r\n?)^```$)/m,lookbehind:!0},"code-language":{pattern:/^(```).+/,lookbehind:!0},punctuation:/```/}}],title:[{pattern:/\S.*(?:\n|\r\n?)(?:==+|--+)(?=[ \t]*$)/m,alias:"important",inside:{punctuation:/==+$|--+$/}},{pattern:/(^\s*)#.+/m,lookbehind:!0,alias:"important",inside:{punctuation:/^#+|#+$/}}],hr:{pattern:/(^\s*)([*-])(?:[\t ]*\2){2,}(?=\s*$)/m,lookbehind:!0,alias:"punctuation"},list:{pattern:/(^\s*)(?:[*+-]|\d+\.)(?=[\t ].)/m,lookbehind:!0,alias:"punctuation"},"url-reference":{pattern:/!?\[[^\]]+\]:[\t ]+(?:\S+|<(?:\\.|[^>\\])+>)(?:[\t ]+(?:"(?:\\.|[^"\\])*"|'(?:\\.|[^'\\])*'|\((?:\\.|[^)\\])*\)))?/,inside:{variable:{pattern:/^(!?\[)[^\]]+/,lookbehind:!0},string:/(?:"(?:\\.|[^"\\])*"|'(?:\\.|[^'\\])*'|\((?:\\.|[^)\\])*\))$/,punctuation:/^[\[\]!:]|[<>]/},alias:"url"},bold:{pattern:n(/\b__(?:(?!_)<inner>|_(?:(?!_)<inner>)+_)+__\b|\*\*(?:(?!\*)<inner>|\*(?:(?!\*)<inner>)+\*)+\*\*/.source),lookbehind:!0,greedy:!0,inside:{content:{pattern:/(^..)[\s\S]+(?=..$)/,lookbehind:!0,inside:{}},punctuation:/\*\*|__/}},italic:{pattern:n(/\b_(?:(?!_)<inner>|__(?:(?!_)<inner>)+__)+_\b|\*(?:(?!\*)<inner>|\*\*(?:(?!\*)<inner>)+\*\*)+\*/.source),lookbehind:!0,greedy:!0,inside:{content:{pattern:/(^.)[\s\S]+(?=.$)/,lookbehind:!0,inside:{}},punctuation:/[*_]/}},strike:{pattern:n(/(~~?)(?:(?!~)<inner>)+\2/.source),lookbehind:!0,greedy:!0,inside:{content:{pattern:/(^~~?)[\s\S]+(?=\1$)/,lookbehind:!0,inside:{}},punctuation:/~~?/}},"code-snippet":{pattern:/(^|[^\\`])(?:``[^`\r\n]+(?:`[^`\r\n]+)*``(?!`)|`[^`\r\n]+`(?!`))/,lookbehind:!0,greedy:!0,alias:["code","keyword"]},url:{pattern:n(/!?\[(?:(?!\])<inner>)+\](?:\([^\s)]+(?:[\t ]+"(?:\\.|[^"\\])*")?\)|[ \t]?\[(?:(?!\])<inner>)+\])/.source),lookbehind:!0,greedy:!0,inside:{operator:/^!/,content:{pattern:/(^\[)[^\]]+(?=\])/,lookbehind:!0,inside:{}},variable:{pattern:/(^\][ \t]?\[)[^\]]+(?=\]$)/,lookbehind:!0},url:{pattern:/(^\]\()[^\s)]+/,lookbehind:!0},string:{pattern:/(^[ \t]+)"(?:\\.|[^"\\])*"(?=\)$)/,lookbehind:!0}}}}),["url","bold","italic","strike"].forEach((function(t){["url","bold","italic","strike","code-snippet"].forEach((function(n){t!==n&&(e.languages.markdown[t].inside.content.inside[n]=e.languages.markdown[n]);}));})),e.hooks.add("after-tokenize",(function(e){"markdown"!==e.language&&"md"!==e.language||function e(t){if(t&&"string"!=typeof t)for(var n=0,a=t.length;n<a;n++){var r=t[n];if("code"===r.type){var i=r.content[1],s=r.content[3];if(i&&s&&"code-language"===i.type&&"code-block"===s.type&&"string"==typeof i.content){var o=i.content.replace(/\b#/g,"sharp").replace(/\b\+\+/g,"pp"),l="language-"+(o=(/[a-z][\w-]*/i.exec(o)||[""])[0].toLowerCase());s.alias?"string"==typeof s.alias?s.alias=[s.alias,l]:s.alias.push(l):s.alias=[l];}}else e(r.content);}}(e.tokens);})),e.hooks.add("wrap",(function(t){if("code-block"===t.type){for(var n="",a=0,r=t.classes.length;a<r;a++){var i=t.classes[a],u=/language-(.+)/.exec(i);if(u){n=u[1];break}}var c=e.languages[n];if(c)t.content=e.highlight(function(e){var t=e.replace(s,"");return t=t.replace(/&(\w{1,8}|#x?[\da-f]{1,8});/gi,(function(e,t){var n;if("#"===(t=t.toLowerCase())[0])return n="x"===t[1]?parseInt(t.slice(2),16):Number(t.slice(1)),l(n);var a=o[t];return a||e}))}(t.content),c,n);else if(n&&"none"!==n&&e.plugins.autoloader){var d="md-"+(new Date).valueOf()+"-"+Math.floor(1e16*Math.random());t.attributes.id=d,e.plugins.autoloader.loadLanguages(n,(function(){var t=document.getElementById(d);t&&(t.innerHTML=e.highlight(t.textContent,e.languages[n],n));}));}}}));var s=RegExp(e.languages.markup.tag.pattern.source,"gi"),o={amp:"&",lt:"<",gt:">",quot:'"'},l=String.fromCodePoint||String.fromCharCode;e.languages.md=e.languages.markdown;}(Prism);var fn=["comment","prolog","doctype","cdata","punctuation","namespace","property","tag","boolean","number","constant","symbol","deleted","selector","attr-name","string","builtin","inserted","operator","entity","url","string","atrule","attr-value","keyword","function","class-name","regex","important","variable","bold","italic","entity","char"];function bn(e){return "string"==typeof e?e.length:"string"==typeof e.content?e.content.length:e.content.reduce((function(e,t){return e+bn(t)}),0)}var mn,hn=d.String,yn=function(e){if("Symbol"===Je(e))throw TypeError("Cannot convert a Symbol value to a string");return hn(e)},En=function(){var e=re(this),t="";return e.global&&(t+="g"),e.ignoreCase&&(t+="i"),e.multiline&&(t+="m"),e.dotAll&&(t+="s"),e.unicode&&(t+="u"),e.sticky&&(t+="y"),t},Sn=d.RegExp,vn={UNSUPPORTED_Y:U((function(){var e=Sn("a","y");return e.lastIndex=2,null!=e.exec("abcd")})),BROKEN_CARET:U((function(){var e=Sn("^r","gy");return e.lastIndex=2,null!=e.exec("str")}))},wn=V?Object.defineProperties:function(e,t){re(e);for(var n,a=Dt(t),r=ln(t),i=r.length,s=0;i>s;)Se.f(e,n=r[s++],a[n]);return e},kn=P("document","documentElement"),An=Ne("IE_PROTO"),Tn=function(){},xn=function(e){return "<script>"+e+"<\/script>"},_n=function(e){e.write(xn("")),e.close();var t=e.parentWindow.Object;return e=null,t},On=function(){try{mn=new ActiveXObject("htmlfile");}catch(e){}var e,t;On="undefined"!=typeof document?document.domain&&mn?_n(mn):((t=ee("iframe")).style.display="none",kn.appendChild(t),t.src=String("javascript:"),(e=t.contentWindow.document).open(),e.write(xn("document.F=Object")),e.close(),e.F):_n(mn);for(var n=qt.length;n--;)delete On.prototype[qt[n]];return On()};Le[An]=!0;var In,Rn,Nn=Object.create||function(e,t){var n;return null!==e?(Tn.prototype=re(e),n=new Tn,Tn.prototype=null,n[An]=e):n=On(),void 0===t?n:wn(n,t)},Ln=d.RegExp,Pn=U((function(){var e=Ln(".","s");return !(e.dotAll&&e.exec("\n")&&"s"===e.flags)})),Cn=d.RegExp,Fn=U((function(){var e=Cn("(?<a>b)","g");return "b"!==e.exec("b").groups.a||"bc"!=="b".replace(e,"$<a>c")})),Dn=Ue.get,$n=b("native-string-replace",String.prototype.replace),Mn=RegExp.prototype.exec,Bn=Mn,Un=S("".charAt),jn=S("".indexOf),zn=S("".replace),Gn=S("".slice),Hn=(Rn=/b*/g,se(Mn,In=/a/,"a"),se(Mn,Rn,"a"),0!==In.lastIndex||0!==Rn.lastIndex),qn=vn.UNSUPPORTED_Y||vn.BROKEN_CARET,Yn=void 0!==/()??/.exec("")[1];(Hn||Yn||qn||Pn||Fn)&&(Bn=function(e){var t,n,a,r,i,s,o,l=this,u=Dn(l),c=yn(e),d=u.raw;if(d)return d.lastIndex=l.lastIndex,t=se(Bn,d,c),l.lastIndex=d.lastIndex,t;var p=u.groups,g=qn&&l.sticky,f=se(En,l),b=l.source,m=0,h=c;if(g&&(f=zn(f,"y",""),-1===jn(f,"g")&&(f+="g"),h=Gn(c,l.lastIndex),l.lastIndex>0&&(!l.multiline||l.multiline&&"\n"!==Un(c,l.lastIndex-1))&&(b="(?: "+b+")",h=" "+h,m++),n=new RegExp("^(?:"+b+")",f)),Yn&&(n=new RegExp("^"+b+"$(?!\\s)",f)),Hn&&(a=l.lastIndex),r=se(Mn,g?n:l,h),g?r?(r.input=Gn(r.input,m),r[0]=Gn(r[0],m),r.index=l.lastIndex,l.lastIndex+=r[0].length):l.lastIndex=0:Hn&&r&&(l.lastIndex=l.global?r.index+r[0].length:a),Yn&&r&&r.length>1&&se($n,r[0],n,(function(){for(i=1;i<arguments.length-2;i++)void 0===arguments[i]&&(r[i]=void 0);})),r&&p)for(r.groups=s=Nn(null),i=0;i<p.length;i++)s[(o=p[i])[0]]=r[o[1]];return r});on({target:"RegExp",proto:!0,forced:/./.exec!==Bn},{exec:Bn});var Xn=He.PROPER,Wn=RegExp.prototype,Zn=Wn.toString,Vn=S(En),Kn=U((function(){return "/a/b"!=Zn.call({source:"a",flags:"b"})})),Jn=Xn&&"toString"!=Zn.name;(Kn||Jn)&&qe(RegExp.prototype,"toString",(function(){var e=re(this),t=yn(e.source),n=e.flags;return "/"+t+"/"+yn(void 0===n&&oe(Wn,e)&&!("flags"in Wn)?Vn(e):n)}),{unsafe:!0});var Qn=function(){function e(){this.title=bh("highLightModule.selectLang"),this.iconSvg='<svg viewBox="0 0 1024 1024"><path d="M64 64v896h896V64H64z m487.6 698.8c0 87.2-51.2 127-125.8 127-67.4 0-106.4-34.8-126.4-77l68.6-41.4c13.2 23.4 25.2 43.2 54.2 43.2 27.6 0 45.2-10.8 45.2-53V475.4h84.2v287.4z m199.2 127c-78.2 0-128.8-37.2-153.4-86l68.6-39.6c18 29.4 41.6 51.2 83 51.2 34.8 0 57.2-17.4 57.2-41.6 0-28.8-22.8-39-61.4-56l-21-9c-60.8-25.8-101-58.4-101-127 0-63.2 48.2-111.2 123.2-111.2 53.6 0 92 18.6 119.6 67.4L800 580c-14.4-25.8-30-36-54.2-36-24.6 0-40.2 15.6-40.2 36 0 25.2 15.6 35.4 51.8 51.2l21 9c71.6 30.6 111.8 62 111.8 132.4 0 75.6-59.6 117.2-139.4 117.2z"></path></svg>',this.tag="select",this.width=95,this.selectPanelWidth=115;}return e.prototype.getOptions=function(e){var t=[],n=e.getMenuConfig("codeSelectLang").codeLangs,a=void 0===n?[]:n;t.push({text:"plain text",value:""}),a.forEach((function(e){var n=e.text,a=e.value;t.push({text:n,value:a});}));var r=this.getValue(e);return t.forEach((function(e){e.value===r?e.selected=!0:delete e.selected;})),t},e.prototype.isActive=function(e){return !1},e.prototype.getValue=function(e){var t=this.getSelectCodeElem(e);return null==t?"":Element$1.isElement(t)&&t.language||""},e.prototype.isDisabled=function(e){return null==e.selection||!this.getSelectCodeElem(e)},e.prototype.exec=function(e,t){if(null!=this.getSelectCodeElem(e)){var a={language:t.toString()};Transforms.setNodes(e,a,{match:function(e){return ms$1.checkNodeType(e,"code")}});}},e.prototype.getSelectCodeElem=function(e){var t=ms$1.getSelectedNodeByType(e,"code");if(null==t)return null;var r=ms$1.getParentNode(e,t);return Element$1.isElement(r)?"pre"!==r.type?null:t:null},e}();var ea={renderTextStyle:function(e,t){var n=e,a=t,r="";return fn.forEach((function(e){n[e]&&(r=e);})),r&&function(e,t){null==e.data&&(e.data={});var n=e.data;null==n.props&&(n.props={}),Object.assign(n.props,{className:t});}(a,r="token "+r),a},menus:[{key:"codeSelectLang",factory:function(){return new Qn},config:{codeLangs:[{text:"CSS",value:"css"},{text:"HTML",value:"html"},{text:"XML",value:"xml"},{text:"Javascript",value:"javascript"},{text:"Typescript",value:"typescript"},{text:"JSX",value:"jsx"},{text:"Go",value:"go"},{text:"PHP",value:"php"},{text:"C",value:"c"},{text:"Python",value:"python"},{text:"Java",value:"java"},{text:"C++",value:"cpp"},{text:"C#",value:"csharp"},{text:"Visual Basic",value:"visual-basic"},{text:"SQL",value:"sql"},{text:"Ruby",value:"ruby"},{text:"Swift",value:"swift"},{text:"Bash",value:"bash"},{text:"Markdown",value:"markdown"}]}}],elemsToHtml:[{type:"code",elemToHtml:function(e,t){var n=e.language,a=void 0===n?"":n;return "<code "+(a?'class="language-'+a+'"':"")+">"+t+"</code>"}}]},ta=/"/g,na=S("".replace);on({target:"String",proto:!0,forced:function(e){return U((function(){var t=""[e]('"');return t!==t.toLowerCase()||t.split('"').length>3}))}("anchor")},{anchor:function(e){return t="a",n="name",a=e,r=yn(w(this)),i="<"+t,""!==n&&(i+=" "+n+'="'+na(yn(a),ta,"&quot;")+'"'),i+">"+r+"</"+t+">";var t,n,a,r,i;}});var aa=function(e){var t,a,r,s=function(e,t){var n="function"==typeof Symbol&&e[Symbol.iterator];if(!n)return e;var a,r,i=n.call(e),s=[];try{for(;(void 0===t||t-- >0)&&!(a=i.next()).done;)s.push(a.value);}catch(e){r={error:e};}finally{try{a&&!a.done&&(n=i.return)&&n.call(i);}finally{if(r)throw r.error}}return s}(e,2),o=s[0],l=s[1],u=[],c=function(e){if(!Text.isText(e))return null;var t=ms$1.getParentNode(null,e);if(t&&"code"===ms$1.getNodeType(t)){var a=ms$1.getParentNode(null,t);if(a&&"pre"===ms$1.getNodeType(a))return t}return null}(o);if(null==c)return u;var d=c.language,p=void 0===d?"":d;if(!p)return u;var g=function(e,t){return t?gn.tokenize(e.text,gn.languages[t]):[]}(o,p),f=0;try{for(var b=
  /*! *****************************************************************************
  Copyright (c) Microsoft Corporation.

  Permission to use, copy, modify, and/or distribute this software for any
  purpose with or without fee is hereby granted.

  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
  REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
  AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
  INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
  LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
  OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
  PERFORMANCE OF THIS SOFTWARE.
  ***************************************************************************** */
  function(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],a=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return {next:function(){return e&&a>=e.length&&(e=void 0),{value:e&&e[a++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")}(g),m=b.next();!m.done;m=b.next()){var h=m.value,y=f+bn(h);"string"!=typeof h&&u.push(((r={})[h.type]=!0,r.anchor={path:l,offset:f},r.focus={path:l,offset:y},r)),f=y;}}catch(e){t={error:e};}finally{try{m&&!m.done&&(a=b.return)&&a.call(b);}finally{if(t)throw t.error}}return u};

  /*! *****************************************************************************
  Copyright (c) Microsoft Corporation.

  Permission to use, copy, modify, and/or distribute this software for any
  purpose with or without fee is hereby granted.

  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
  REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
  AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
  INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
  LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
  OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
  PERFORMANCE OF THIS SOFTWARE.
  ***************************************************************************** */

  var __assign = function() {
      __assign = Object.assign || function __assign(t) {
          for (var s, i = 1, n = arguments.length; i < n; i++) {
              s = arguments[i];
              for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
          }
          return t;
      };
      return __assign.apply(this, arguments);
  };

  /**
   * @description Editor View class
   * @author wangfupeng
   */
  var Boot = /** @class */ (function () {
      function Boot() {
          throw new Error('不能实例化\nCan not construct a instance');
      }
      Boot.setEditorConfig = function (newConfig) {
          if (newConfig === void 0) { newConfig = {}; }
          this.editorConfig = __assign(__assign({}, this.editorConfig), newConfig);
      };
      Boot.setSimpleEditorConfig = function (newConfig) {
          if (newConfig === void 0) { newConfig = {}; }
          this.simpleEditorConfig = __assign(__assign({}, this.simpleEditorConfig), newConfig);
      };
      Boot.setToolbarConfig = function (newConfig) {
          if (newConfig === void 0) { newConfig = {}; }
          this.toolbarConfig = __assign(__assign({}, this.toolbarConfig), newConfig);
      };
      Boot.setSimpleToolbarConfig = function (newConfig) {
          if (newConfig === void 0) { newConfig = {}; }
          this.simpleToolbarConfig = __assign(__assign({}, this.simpleToolbarConfig), newConfig);
      };
      Boot.registerPlugin = function (plugin) {
          this.plugins.push(plugin);
      };
      // 注册 menu
      // TODO 可在注册时传入配置，在开发文档中说明
      Boot.registerMenu = function (menuConf, customConfig) {
          Ss$1(menuConf, customConfig);
      };
      // 注册 renderElem
      Boot.registerRenderElem = function (renderElemConf) {
          uf$1(renderElemConf);
      };
      // 注册 renderTextStyle
      Boot.registerRenderTextStyle = function (fn) {
          sf$1(fn);
      };
      // 注册 elemToHtml
      Boot.registerElemToHtml = function (elemToHtmlConf) {
          As$1(elemToHtmlConf);
      };
      // 注册 textToHtml
      Boot.registerTextToHtml = function (fn) {
          Rs$1(fn);
      };
      // 注册 textStyleToHtml
      Boot.registerTextStyleToHtml = function (fn) {
          Ts$1(fn);
      };
      // editor 配置
      Boot.editorConfig = {};
      Boot.simpleEditorConfig = {};
      //toolbar 配置
      Boot.toolbarConfig = {};
      Boot.simpleToolbarConfig = {};
      // 注册插件
      Boot.plugins = [];
      return Boot;
  }());

  /**
   * @description 注册 module
   * @author wangfupeng
   */
  function registerModule(module) {
      var menus = module.menus, renderElems = module.renderElems, renderTextStyle = module.renderTextStyle, elemsToHtml = module.elemsToHtml, textToHtml = module.textToHtml, textStyleToHtml = module.textStyleToHtml, editorPlugin = module.editorPlugin;
      if (menus) {
          menus.forEach(function (menu) { return Boot.registerMenu(menu); });
      }
      if (renderElems) {
          renderElems.forEach(function (renderElemConf) { return Boot.registerRenderElem(renderElemConf); });
      }
      if (renderTextStyle) {
          Boot.registerRenderTextStyle(renderTextStyle);
      }
      if (elemsToHtml) {
          elemsToHtml.forEach(function (elemToHtmlConf) { return Boot.registerElemToHtml(elemToHtmlConf); });
      }
      if (textToHtml) {
          Boot.registerTextToHtml(textToHtml);
      }
      if (textStyleToHtml) {
          Boot.registerTextStyleToHtml(textStyleToHtml);
      }
      if (editorPlugin) {
          Boot.registerPlugin(editorPlugin);
      }
  }

  /**
   * @description register builtin modules
   * @author wangfupeng
   */
  nd.forEach(function (module) { return registerModule(module); });
  registerModule(kn$4);
  registerModule(uo$2);
  registerModule(Li$1);
  registerModule(Xi);
  registerModule(ea);

  /**
   * @description svg tag
   * @author wangfupeng
   */
  /**
   * 【注意】svg 字符串的长度 ，否则会导致代码体积过大
   * 尽量选择 https://www.iconfont.cn/collections/detail?spm=a313x.7781069.0.da5a778a4&cid=20293
   * 找不到再从 iconfont.com 搜索
   */
  // 缩进 right
  var INDENT_RIGHT_SVG = '<svg viewBox="0 0 1024 1024"><path d="M0 64h1024v128H0z m384 192h640v128H384z m0 192h640v128H384z m0 192h640v128H384zM0 832h1024v128H0z m0-128V320l256 192z"></path></svg>';
  // 左对齐
  var JUSTIFY_LEFT_SVG = '<svg viewBox="0 0 1024 1024"><path d="M768 793.6v102.4H51.2v-102.4h716.8z m204.8-230.4v102.4H51.2v-102.4h921.6z m-204.8-230.4v102.4H51.2v-102.4h716.8zM972.8 102.4v102.4H51.2V102.4h921.6z"></path></svg>';
  // 图片
  var IMAGE_SVG = '<svg viewBox="0 0 1024 1024"><path d="M959.877 128l0.123 0.123v767.775l-0.123 0.122H64.102l-0.122-0.122V128.123l0.122-0.123h895.775zM960 64H64C28.795 64 0 92.795 0 128v768c0 35.205 28.795 64 64 64h896c35.205 0 64-28.795 64-64V128c0-35.205-28.795-64-64-64zM832 288.01c0 53.023-42.988 96.01-96.01 96.01s-96.01-42.987-96.01-96.01S682.967 192 735.99 192 832 234.988 832 288.01zM896 832H128V704l224.01-384 256 320h64l224.01-192z"></path></svg>';
  // plus
  var MORE_SVG = '<svg viewBox="0 0 1024 1024"><path d="M204.8 505.6m-76.8 0a76.8 76.8 0 1 0 153.6 0 76.8 76.8 0 1 0-153.6 0Z"></path><path d="M505.6 505.6m-76.8 0a76.8 76.8 0 1 0 153.6 0 76.8 76.8 0 1 0-153.6 0Z"></path><path d="M806.4 505.6m-76.8 0a76.8 76.8 0 1 0 153.6 0 76.8 76.8 0 1 0-153.6 0Z"></path></svg>';

  /**
   * @description toolbar 配置
   * @author wangfupeng
   */
  function genDefaultToolbarKeys() {
      return [
          'headerSelect',
          // 'header1',
          // 'header2',
          // 'header3',
          'blockquote',
          '|',
          'bold',
          'underline',
          'italic',
          {
              key: 'group-more-style',
              title: bh('editor.more'),
              iconSvg: MORE_SVG,
              menuKeys: ['through', 'code', 'sup', 'sub', 'clearStyle'],
          },
          'color',
          'bgColor',
          '|',
          'fontSize',
          'fontFamily',
          'lineHeight',
          '|',
          'bulletedList',
          'numberedList',
          {
              key: 'group-justify',
              title: bh('editor.justify'),
              iconSvg: JUSTIFY_LEFT_SVG,
              menuKeys: ['justifyLeft', 'justifyRight', 'justifyCenter', 'justifyJustify'],
          },
          {
              key: 'group-indent',
              title: bh('editor.indent'),
              iconSvg: INDENT_RIGHT_SVG,
              menuKeys: ['indent', 'delIndent'],
          },
          '|',
          'emotion',
          'insertLink',
          // 'editLink',
          // 'unLink',
          // 'viewLink',
          {
              key: 'group-image',
              title: bh('editor.image'),
              iconSvg: IMAGE_SVG,
              menuKeys: ['insertImage', 'uploadImage'],
          },
          // 'deleteImage',
          // 'editImage',
          // 'viewImageLink',
          'insertVideo',
          // 'deleteVideo',
          'insertTable',
          'codeBlock',
          // 'codeSelectLang',
          'divider',
          // 'deleteTable',
          '|',
          'undo',
          'redo',
          '|',
          'fullScreen',
      ];
  }
  function genSimpleToolbarKeys() {
      return [
          'blockquote',
          'header1',
          'header2',
          'header3',
          '|',
          'bold',
          'underline',
          'italic',
          'through',
          'color',
          'bgColor',
          'clearStyle',
          '|',
          'bulletedList',
          'numberedList',
          'justifyLeft',
          'justifyRight',
          'justifyCenter',
          '|',
          'insertLink',
          {
              key: 'group-image',
              title: bh('editor.image'),
              iconSvg: IMAGE_SVG,
              menuKeys: ['insertImage', 'uploadImage'],
          },
          'insertTable',
          'codeBlock',
          '|',
          'undo',
          'redo',
          '|',
          'fullScreen',
      ];
  }

  /**
   * @description hoverbar 配置
   * @author wangfupeng
   */
  var COMMON_HOVERBAR_KEYS = {
      // key 即 element type
      link: {
          menuKeys: ['editLink', 'unLink', 'viewLink'],
      },
      image: {
          menuKeys: [
              'imageWidth30',
              'imageWidth50',
              'imageWidth100',
              'editImage',
              'viewImageLink',
              'deleteImage',
          ],
      },
      video: {
          menuKeys: ['deleteVideo'],
      },
      pre: {
          menuKeys: ['codeBlock', 'codeSelectLang'],
      },
      table: {
          menuKeys: [
              'tableHeader',
              'tableFullWidth',
              'insertTableRow',
              'deleteTableRow',
              'insertTableCol',
              'deleteTableCol',
              'deleteTable',
          ],
      },
  };
  function genDefaultHoverbarKeys() {
      return __assign(__assign({}, COMMON_HOVERBAR_KEYS), { 
          // 也可以自定义 match 来匹配元素，此时 key 就随意了
          text: {
              match: function (editor, n) {
                  var selection = editor.selection;
                  if (selection == null)
                      return false; // 无选区
                  if (Range.isCollapsed(selection))
                      return false; // 未选中文字，选区的是折叠的
                  var selectedElems = ms$1.getSelectedElems(editor);
                  var notMatch = selectedElems.some(function (elem) {
                      if (editor.isVoid(elem))
                          return true;
                      var type = elem.type;
                      if (['pre', 'code'].includes(type))
                          return true;
                  });
                  if (notMatch)
                      return false;
                  if (Text.isText(n))
                      return true; // 匹配 text node
                  return false;
              },
              menuKeys: [
                  'headerSelect',
                  'insertLink',
                  'bulletedList',
                  '|',
                  'bold',
                  'through',
                  'color',
                  'bgColor',
                  'clearStyle',
              ],
          } });
  }
  function genSimpleHoverbarKeys() {
      return COMMON_HOVERBAR_KEYS;
  }

  /**
   * @description 获取编辑器默认配置
   * @author wangfupeng
   */
  function getDefaultEditorConfig() {
      return {
          hoverbarKeys: genDefaultHoverbarKeys(),
      };
  }
  function getSimpleEditorConfig() {
      return {
          hoverbarKeys: genSimpleHoverbarKeys(),
      };
  }
  function getDefaultToolbarConfig() {
      return {
          toolbarKeys: genDefaultToolbarKeys(),
      };
  }
  function getSimpleToolbarConfig() {
      return {
          toolbarKeys: genSimpleToolbarKeys(),
      };
  }

  /**
   * @description set default config
   * @author wangfupeng
   */
  var defaultEditorConfig = getDefaultEditorConfig();
  Boot.setEditorConfig(__assign(__assign({}, defaultEditorConfig), { decorate: aa }));
  var simpleEditorConfig = getSimpleEditorConfig();
  Boot.setSimpleEditorConfig(__assign(__assign({}, simpleEditorConfig), { decorate: aa }));
  var defaultToolbarConfig = getDefaultToolbarConfig();
  Boot.setToolbarConfig(defaultToolbarConfig);
  var simpleToolbarConfig = getSimpleToolbarConfig();
  Boot.setSimpleToolbarConfig(simpleToolbarConfig);

  /**
   * @description create
   * @author wangfupeng
   */
  /**
   * 创建 editor 实例
   */
  function createEditor(option) {
      if (option === void 0) { option = {}; }
      var _a = option.selector, selector = _a === void 0 ? '' : _a, _b = option.content, content = _b === void 0 ? [] : _b, _c = option.config, config = _c === void 0 ? {} : _c, _d = option.mode, mode = _d === void 0 ? 'default' : _d;
      var globalConfig = mode === 'simple' ? Boot.simpleEditorConfig : Boot.editorConfig;
      // 单独处理 hoverbarKeys
      var newHoverbarKeys = __assign(__assign({}, (globalConfig.hoverbarKeys || {})), (config.hoverbarKeys || {}));
      var editor = dd({
          selector: selector,
          config: __assign(__assign(__assign({}, globalConfig), config), { hoverbarKeys: newHoverbarKeys }),
          content: content,
          plugins: Boot.plugins,
      });
      return editor;
  }
  /**
   * 创建 toolbar 实例
   */
  function createToolbar(option) {
      var selector = option.selector, editor = option.editor, _a = option.config, config = _a === void 0 ? {} : _a, _b = option.mode, mode = _b === void 0 ? 'default' : _b;
      if (!selector) {
          throw new Error("Cannot find 'selector' when create toolbar");
      }
      var globalConfig = mode === 'simple' ? Boot.simpleToolbarConfig : Boot.toolbarConfig;
      var toolbar = bd(editor, {
          selector: selector,
          config: __assign(__assign({}, globalConfig), config),
      });
      return toolbar;
  }

  /**
   * @description editor entry
   * @author wangfupeng
   */
  var index = {};

  exports.Boot = Boot;
  exports.DomEditor = ms$1;
  exports.SlateEditor = Editor;
  exports.SlateElement = Element$1;
  exports.SlateLocation = Location;
  exports.SlateNode = Node$1;
  exports.SlatePath = Path;
  exports.SlatePoint = Point;
  exports.SlateRange = Range;
  exports.SlateText = Text;
  exports.SlateTransforms = Transforms;
  exports.Toolbar = wd;
  exports.createEditor = createEditor;
  exports.createToolbar = createToolbar;
  exports["default"] = index;
  exports.i18nAddResources = mh;
  exports.i18nChangeLanguage = wh;

  Object.defineProperty(exports, '__esModule', { value: true });

}));
